Commands

3D commands
Commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can start a command by using one of the following methods:

  • Click the command name on a menu, toolbar, status bar, or shortcut menu.
  • Enter the command name or command alias at the Command prompt and press ENTER or SPACEBAR.

The acad.pgp file lists the command aliases. To access the acad.pgp, on the Tools menu, click Customize [image] Edit Program Parameters (acad.pgp).

In this Command Reference, near the beginning of each command description is a command access section that lists the specific ways you can start that command.

Topics in this section

  • 3D commands
  • A commands
  • B commands
  • C commands
  • D commands
  • E commands
  • F commands
  • G commands
  • H commands
  • I commands
  • J commands
  • L commands
  • M commands
  • N commands
  • O commands
  • P commands
  • Q commands
  • R commands
  • S commands
  • T commands
  • U commands
  • V commands
  • W commands
  • X commands
  • Z commands
Please send us your comment about this page


3D commands

Commands
Commands
3D
Commands >
3D commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • 3D

    Creates 3D polygon mesh objects in common geometric shapes that can be hidden, shaded, or rendered.

  • 3DALIGN

    Aligns objects with other objects in 2D and 3D.

  • 3DARRAY

    Creates a 3D matrix of objects in a rectangular or polar arrangement.

  • 3DCLIP

    Starts an interactive 3D view and opens the Adjust Clipping Planes window.

  • 3DCONFIG

    Sets options that affect 3D display performance.

  • 3DCORBIT

    Rotates the view in 3D space with continuous motion.

  • 3DDISTANCE

    Starts the interactive 3D view and makes objects appear closer or farther away.

  • 3DDWF

    Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer.

  • 3DFACE

    Creates a three-sided or four-sided surface in 3D space.

  • 3DFLY

    Changes the 3D view in a drawing interactively to create the appearance of flying through the model.

  • 3DFORBIT

    Rotates the view in 3D space without constraining roll.

  • 3DMESH

    Creates a free-form polygon mesh.

  • 3DMOVE

    In a 3D view, displays the 3D Move gizmo to aid in moving 3D objects a specified distance in a specified direction.

  • 3DORBIT

    Rotates the view in 3D space, but constrained to horizontal and vertical orbit only.

  • 3DORBITCTR

    Sets the center of rotation in 3D Orbit view.

  • 3DPAN

    When a drawing is in a Perspective view, starts the interactive 3D view and enables you to drag the view horizontally and vertically.

  • 3DPOLY

    Creates a 3D polyline.

  • 3DPRINT

    Sends a 3D model to a 3D printing service.

  • 3DROTATE

    In a 3D view, displays the 3D Rotate gizmo to aid in revolving 3D objects around a base point.

  • 3DSCALE

    In a 3D view, displays the 3D Scale gizmo to aid in resizing 3D objects.

  • 3DSIN

    Imports an Autodesk 3ds MAX (3DS) file.

  • 3DSWIVEL

    Changes the target of the view in the direction that you drag.

  • 3DWALK

    Changes the 3D view in a drawing interactively to create the appearance of walking through the model.

  • 3DZOOM

    Zooms in and out in a perspective view.


3D (Quick Reference)

3D
3DALIGN
Commands > 3D commands >
3D
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates 3D polygon mesh objects in common geometric shapes that can be hidden, shaded, or rendered.

Access Methods

Command entry: 3d

Summary

Enter an option

[Box/Cone/DIsh/DOme/Mesh/Pyramid/Sphere/Torus/Wedge]:

Box

Creates a 3D box polygon mesh.

Specify corner point of box:

Specify length of box: Specify a distance

Specify width of box or [Cube]: Specify a distance or enter c

Width

Specifies the width of the box. Enter a distance or specify a point relative to the corner point of the box.

Specify height of box: Specify a distance

Specify rotation angle of box about the Z axis or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the box about the first corner specified. If you enter 0, the box remains orthogonal to the current X and Y axes.

Reference

Aligns the box with other objects in the drawing or relative to an angle you specify. The base point for the rotation is the first corner of the box.

Specify the reference angle <0>: Specify a point, enter an angle, or press Enter

You can define a reference angle by specifying two points or an angle from the X axis on the XY plane. For example, you can rotate the box to align two specified points on the box with a point on another object. After defining a reference angle, specify a point for the reference angle to align with. The box then rotates around the first corner relative to the angle of rotation specified for the reference angle.

If you enter 0 as a reference angle, the new angle alone determines the rotation of the box.

Specify the new angle: Specify a point or enter an angle

To specify the new angle of rotation, specify a point relative to the base point. The base point for the rotation is the first corner of the box. The box rotates by the angle between the reference angle and the new angle. If you want to align the box with another object, specify two points on the target object to define the new angle of rotation for the box.

If the reference angle of rotation is 0, the box rotates the angular distance entered relative to the first corner of the box.

Cube

Creates a cube using the length for the width and height of the box.

Specify rotation angle of box about the Z axis or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the cube about the first corner of the box. If you enter 0, the box remains orthogonal to the current X and Y axes.

Reference

Aligns the box with other objects in the drawing or relative to an angle you specify. The base point for the rotation is the first corner of the box.

Specify the reference angle <0>: Specify a point, enter an angle, or press Enter

You can define a reference angle by specifying two points or an angle from the X axis on the XY plane. For example, you can rotate the box to align two specified points on the box with a point on another object. After defining a reference angle, specify a point for the reference angle to align with. The box then rotates around the first corner relative to the angle of rotation specified for the reference angle.

If you enter 0 as a reference angle, the new angle alone determines the rotation of the box.

Specify the new angle: Specify a point or enter an angle

To specify the new angle of rotation, specify a point relative to the base point. The base point for the rotation is the first corner of the box. The box rotates the angular distance between the reference angle and the new angle. If you want to align the box with another object, specify two points on the target object to define the new angle of rotation for the box.

If the reference angle of rotation is 0, the box rotates the angular distance entered relative to the first corner point of the box.

Cone

Creates a cone-shaped polygon mesh.

Specify center point for base of cone: Specify a point (1)

Specify radius for base of cone or [Diameter]: Specify a distance or enter d

Radius for Base

Defines the base of the cone by its radius.

Specify radius for top of cone or [Diameter] <0>: Specify a distance, enter d, or press Enter

Radius for Top

Defines the top of the cone by its radius. A value of 0 produces a cone. A value greater than 0 produces a truncated cone.

Specify height of cone: Specify a distance

Enter number of segments for surface of cone <16>: Enter a value greater than 1 or press Enter

Diameter for Top

Defines the top of the cone by its diameter. A value of 0 produces a cone. A value greater than 0 produces a truncated cone.

Specify diameter for top of cone <0>: Specify a distance or press Enter

Specify height of cone: Specify a distance

Enter number of segments for surface of cone <16>: Enter a value greater than 1 or press Enter

Diameter for Base

Defines the base of the cone by its diameter.

Specify diameter for base of cone: Specify a distance

Specify radius for top of cone or [Diameter] <0>: Specify a distance, enter d, or press Enter

Radius for Top

Defines the top of the cone by its radius. A value of 0 produces a cone. A value greater than 0 produces a truncated cone.

Specify height of cone: Specify a distance

Enter number of segments for surface of cone <16>: Enter a value greater than 1 or press Enter

Diameter for Top

Defines the top of the cone by its diameter. A value of 0 produces a cone. A value greater than 0 produces a truncated cone.

Specify diameter for top of cone <0>: Specify a distance

Specify height of cone: Specify a distance

Enter number of segments for surface of cone <16>: Enter a value greater than 1 or press Enter

Dish

Creates the lower half of a spherical polygon mesh.

Specify center point of dish: Specify a point (1)

Specify radius of dish or [Diameter]: Specify a distance or enter d

Radius

Defines the dish by its radius.

Enter number of longitudinal segments for surface of dish <16>: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of dish <8>: Enter a value greater than 1 or press Enter

Diameter

Defines the dish by its diameter.

Specify diameter of dish: Specify a distance

Enter number of longitudinal segments for surface of dish <16>: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of dish <8>: Enter a value greater than 1 or press Enter

Dome

Creates the upper half of a spherical polygon mesh.

Specify center point of dome: Specify a point (1)

Specify radius of dome or [Diameter]: Specify a distance or enter d

Radius

Defines the dome by its radius.

Enter number of longitudinal segments for surface of dome: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of dome <8>: Enter a value greater than 1 or press Enter

Diameter

Defines the dome by its diameter.

Specify diameter of dome: Specify a distance

Enter number of longitudinal segments for surface of dome <16>: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of dome <8>: Enter a value greater than 1 or press Enter

Mesh

Creates a planar mesh whose M and N sizes determine the number of lines drawn in each direction along the mesh. The M and N directions are similar to the X and Y axes of an XY plane.

Specify first corner point of mesh: Specify a point (1)

Specify second corner point of mesh: Specify a point (2)

Specify third corner point of mesh: Specify a point (3)

Specify fourth corner point of mesh: Specify a point (4)

Enter mesh size in the M direction: Enter a value between 2 and 256

Enter mesh size in the N direction: Enter a value between 2 and 256

Pyramid

Creates a pyramid or a tetrahedron.

Specify first corner point for base of pyramid: Specify a point (1)

Specify second corner point for base of pyramid: Specify a point (2)

Specify third corner point for base of pyramid: Specify a point (3)

Specify fourth corner point for base of pyramid or [Tetrahedron]: Specify a point (4) or enter t

Fourth Corner Point

Defines the fourth corner point of the base of a pyramid.

Specify apex point of pyramid or [Ridge/Top]: Specify a point (5) or enter an option

The Z value of the point specified determines the height for the pyramid's apex, top, or ridge line.

Apex Point

Defines the top of the pyramid as a point (apex).

Ridge

Defines the top of the pyramid as a ridge line. The two endpoints must lie in the same direction as the base points to prevent a self-intersecting wireframe.

Specify first ridge end point of pyramid: Specify a point (1)

Specify second ridge end point of pyramid: Specify a point (2)

Top

Defines the top of the pyramid as a rectangle. If the top points cross, they create a self-intersecting polygon mesh.

Specify first corner point for top of pyramid: Specify a point

Specify second corner point for top of pyramid: Specify a point

Specify third corner point for top of pyramid: Specify a point

Specify fourth corner point for top of pyramid: Specify a point

Tetrahedron

Creates a tetrahedral polygon mesh.

Specify apex point of tetrahedron or [Top]: Specify a point or enter t

Apex Point

Defines the top of the tetrahedron as a point (apex).

Top

Defines the top of the tetrahedron as a triangle. If the top points cross, they create a self-intersecting polygon mesh.

Specify first corner point for top of tetrahedron: Specify a point (1)

Specify second corner point for top of tetrahedron: Specify a point (2)

Specify third corner point for top of tetrahedron: Specify a point (3)

Sphere

Creates a spherical polygon mesh.

Specify center point of sphere: Specify a point (1)

Specify radius of sphere or [Diameter]: Specify a distance or enter d

Radius

Defines the sphere by its radius.

Enter number of longitudinal segments for surface of sphere <16>: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of sphere <16>: Enter a value greater than 1 or press Enter

Diameter

Defines the sphere by its diameter.

Specify diameter of sphere: Specify a distance

Enter number of longitudinal segments for surface of sphere <16>: Enter a value greater than 1 or press Enter

Enter number of latitudinal segments for surface of sphere <16>: Enter a value greater than 1 or press Enter

Torus

Creates a toroidal polygon mesh that is parallel to the XY plane of the current UCS.

Specify center point of torus: Specify a point (1)

Specify radius of torus or [Diameter]: Specify a distance or enter d

The radius of the torus is measured from its center point to its outside edge, not to the center of the tube.

Radius

Defines the torus by its radius.

Specify radius of tube or [Diameter]: Specify a distance or enter d

The radius of the tube of the torus is measured from the center of the tube to the outside edge of the tube.

Radius

Defines the tube by its radius.

Enter number of segments around tube circumference <16>: Enter a value greater than 1 or press Enter

Enter number of segments around torus circumference <16>: Enter a value greater than 1 or press Enter

Diameter

Defines the tube by its diameter.

Specify diameter of tube: Specify a distance

Enter number of segments around tube circumference <16>: Enter a value greater than 1 or press Enter

Enter number of segments around torus circumference <16>: Enter a value greater than 1 or press Enter

Diameter

Defines the torus by its diameter.

Specify diameter of torus: Specify a distance

Specify radius of tube or [Diameter]: Specify a distance or enter d

The radius of the tube of the torus is measured from the center of the tube to the outside edge of the tube.

Radius

Defines the tube by its radius.

Enter number of segments around tube circumference <16>: Enter a value greater than 1 or press Enter

Enter number of segments around torus circumference <16>: Enter a value greater than 1 or press Enter

Diameter

Defines the tube by its diameter.

Specify diameter of tube: Specify a distance

Enter number of segments around tube circumference <16>: Enter a value greater than 1 or press Enter

Enter number of segments around torus circumference <16>: Enter a value greater than 1 or press Enter

Wedge

Creates a right-angle, wedge-shaped polygon mesh with a sloped face tapering along the X axis.

Specify corner point of wedge: Specify a point (1)

Specify length of wedge: Specify a distance

Specify width of wedge: Specify a distance

Specify height of wedge: Specify a distance

Specify rotation angle of wedge about the Z axis: Specify an angle

The base point for the rotation is the corner point of the wedge. If you enter 0, the wedge remains orthogonal to the current UCS plane.


3DALIGN (Quick Reference)

3D
3DALIGN
3DARRAY
Commands > 3D commands >
3DALIGN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Aligns objects with other objects in 2D and 3D.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D AlignNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] 3D AlignAt the Command prompt, enter 3dalign.
Toolbar: Modeling
Command entry: 3dalign

Summary

You can specify one, two, or three points for the source object. Then, you can specify one, two, or three points for the destination.

Select objects: Select the objects to align and press Enter

Specify source plane and orientation . . .

The selected object is moved and rotated so that the base points, and the X and Y axes of the source and destination align in 3D space. 3DALIGN works with dynamic UCS (DUCS), so you can dynamically drag the selected objects and align them with the face of a solid object.

Specify base point or [Copy]: Specify a point or enter c to create a copy

The base point of the source object will be moved to the base point of the destination.

Specify second point or [Continue] <C>: Specify a point on the object’s X axis, or press Enter to skip forward to specifying destination points

The second point specifies a new X axis direction within a plane parallel to the XY plane of the current UCS. If you press Enter instead of specifying a second point, the X and Y axes are assumed to be parallel with the X and Y axes of the current UCS.

Specify third point or [Continue] <C>: Specify a point on the object’s positive XY plane, or press Enter to skip forward to specifying destination points

The third point fully specifies the orientation of the X and Y axes of the source object that will be aligned with the destination plane.

Specify destination plane and orientation . . .

Specify first destination point: Specify a point

This point defines the destination of the base point of the source object.

Specify second source point or [eXit] <X>: Specify a point for the X axis of the destination or press Enter

The second point specifies a new X axis direction for the destination within a plane parallel to the XY plane of the current UCS. If you press Enter instead of specifying a second point, the X and Y axes of the destination are assumed to be parallel with the X and Y axes of the current UCS.

Specify third destination point or [eXit] <X>: Specify a point for the destination’s positive XY plane, or press Enter

The third point fully specifies the orientation of the X and Y axes of the destination plane.

NoteIf the destination is a plane on an existing solid object, you can define the destination plane with a single point by turning on dynamic UCS.


3DARRAY (Quick Reference)

3DALIGN
3DARRAY
3DCLIP
Commands > 3D commands >
3DARRAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D matrix of objects in a rectangular or polar arrangement.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D ArrayNot available on the ribbon in the current workspace.
Menu: Modify [image] 3D Operations [image] 3D ArrayDoes not exist in the menus.
Toolbar: Modeling
Command entry: 3darray

Summary

For 3D rectangular arrays, in addition to columns and rows, you also specify the number of levels in the Z direction. For 3D polar arrays, you specify the axis of rotation with any two points in space.

Select objects: Use an object selection method

The entire selection set is treated as a single element in the array.

Enter type of array [Rectangular/Polar] <R>: Enter an option or press Enter

Rectangular Array

Copies objects in a matrix of rows (X axis), columns (Y axis), and levels (Z axis). An array must have at least two rows or two columns or two levels.

Enter the number of rows (—) <1>: Enter a positive value or press Enter

Enter the number of columns ( | | | ) <1>: Enter a positive value or press Enter

Enter the number of levels ( . . . ) <1>: Enter a positive value or press Enter

Specifying one row requires that more than one column be specified, and vice versa. Specifying one level creates a two-dimensional array.

If you specify more than one row, the following prompt is displayed:

Specify the distance between rows (—): Specify a distance

If you specify more than one column, the following prompt is displayed:

Specify the distance between columns ( | | | ): Specify a distance

If you specify more than one level, the following prompt is displayed:

Specify the distance between levels ( . . . ): Specify a distance

Positive values generate the array along the positive X, Y, and Z axes. Negative values generate the array along the negative X, Y, and Z axes.

Polar Array

Copies objects about an axis of rotation.

Enter the number of items in the array: Enter a positive value

Specify the angle to fill (+=ccw, -=cw) <360>: Specify an angle or press Enter

The specified angle determines how far the objects are arrayed about the axis of rotation. A positive number produces a counterclockwise array rotation. A negative number produces a clockwise array rotation.

Rotate arrayed objects? [Yes/No] <Y>: Enter y or n, or press Enter

Entering y or pressing Enter rotates each array element.

Specify center point of array: Specify a point (1)

Specify second point on axis of rotation: Specify a point (2)


3DCLIP (Quick Reference)

3DARRAY
3DCLIP
Adjust Clipping Planes Window
Commands > 3D commands >
3DCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Starts an interactive 3D view and opens the Adjust Clipping Planes window.

Access Methods

Command entry: 3dclip

Summary

The Adjust Clipping Planes window is displayed.


Adjust Clipping Planes Window (Quick Reference)

3DCLIP
3DCLIP
3DCONFIG
Commands > 3D commands > 3DCLIP >
Adjust Clipping Planes Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: 3dclip

Sets clipping planes for the display in 3D Orbit view. Use the Adjust Clipping Planes toolbar, or right-click in the Adjust Clipping Planes window and select an option from the shortcut menu.

Click the Close button in the upper-right corner of the window to see the effect of the clipping planes. As you rotate the view, different portions of the objects are clipped as they pass in and out of the clipping planes.

To turn clipping planes off, right-click in the drawing area or the Adjust Clipping Planes window, and check or clear Front Clipping On and Back Clipping On.

Adjust Clipping Planes Shortcut Menu

To choose any of the following options, right-click in the Adjust Clipping Planes window.

Adjust Front Clipping

Adjusts only the front clipping plane. The line near the bottom of the window adjusts the front clipping plane. If a check mark is displayed next to Front Clipping On, you can see the clipping in the 3D Orbit view as you move the line up or down.

Adjust Back Clipping

Adjusts only the back clipping plane. The line near the top of the window adjusts the back clipping plane. If a check mark is displayed next to Back Clipping On, you can see the clipping in the 3D Orbit view as you move the line up or down.

Create Slice

Causes the back and front clipping planes to move together, which shows you a “slice” of the objects in the 3D Orbit view. Adjust the front and back clipping planes, and then choose Create Slice. You can then move the front and back clipping planes as one unit.

Pan

Displays the pan cursor, a hand cursor that you can use to pan the clipping plane. Hold down the pick button and drag the cursor in any direction. The pan cursor stays active until you click another button.

Zoom

Displays the zoom cursor, a magnifying-glass cursor that you can use to enlarge or reduce the clipping plane. To enlarge the image, hold down the pick button and drag the cursor toward the top of Adjust Clipping Planes window. To reduce the image, hold down the pick button and drag the cursor toward the bottom of the window.

Front Clipping On

Turns the front clipping plane on or off. A check mark indicates that the front clipping plane is on, and you can see the results of moving the line that adjusts the front clipping plane. Choose this option again to turn the front clipping plane off and remove the check mark.

Back Clipping On

Turns the back clipping plane on or off. A check mark indicates that the back clipping plane is on, and you can see the results of moving the line that adjusts the back clipping plane. Choose this option again to turn the back clipping plane off and remove the check mark.

Reset

Resets the window and clipping plane to the extents of the drawing.


3DCONFIG (Quick Reference)

Adjust Clipping Planes Window
3DCONFIG
Adaptive Degradation and Performance Tuning Dialog Box
Commands > 3D commands >
3DCONFIG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets options that affect 3D display performance.

Access Methods

Button

Ribbon: Render tab [image] Visual Styles panel [image] Performance TunerNot available on the ribbon in the current workspace
Command entry: 3dconfig

Summary

The Adaptive Degradation and Performance Tuning dialog box is displayed.

If you enter -3dconfig at the Command prompt, options are displayed.


Adaptive Degradation and Performance Tuning Dialog Box (Quick Reference)

3DCONFIG
3DCONFIG
Performance Tuner Log
Commands > 3D commands > 3DCONFIG >
Adaptive Degradation and Performance Tuning Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls 3D display performance. (This dialog box can also be accessed from the Performance Settings button on the System tab of the Options dialog box.)

These settings control hardware acceleration, effects available through your system's graphics card, and software performance settings. With adaptive degradation turned on, effects are reduced automatically to maintain an acceptable level of performance.

Adaptive Degradation

Turns adaptive degradation on and off. With adaptive degradation on, if performance goes below the level you specify, effects are turned off or turned down in a certain order until performance returns to an acceptable level.

Degrade When FPS Is Below

Sets the level at which adaptive degradation begins in frames per second (FPS). The default speed is 5 FPS. Enter a number or choose a number from the list.

Degradation Chain Order

Specifies the order in which effects are degraded. Items at the top are degraded first. Items that are not checked are not degraded. Click Move Up or Move Down to move a selected item up or down in the chain.

Move Up

Moves the selected item up in the chain.

Move Down

Moves the selected item down in the chain.

Hardware and Performance Tuning

Specifies hardware settings and performance tuning. The performance tuner reads your system and decides whether to use software or hardware implementation for features that support both. Features that work with your system are turned on, and features that cannot work with your system are turned off. A log file displays the results. You can make manual changes.

View Tune Log

Displays the Performance Tuner log.

Manual Tune

Displays the Manual Performance Tuning dialog box.

Check for Updates

Checks for updated versions of the graphics card and driver database that is used for performance tuning.

Get Download Info

This button is displayed after you have checked for updates and when a new driver is available and recommended.

Displays a Web page that describes the certification program for graphics cards and display drivers. You can download the latest list of certified cards and drivers at any time.

Graphics hardware certification indicates which graphics card and driver combinations that Autodesk has tested to ensure that it supports real-time 3D shading, shadows, smooth-line display, and texture compression features of AutoCAD 2007 (and later) based products. Autodesk certified graphics hardware is better suited for the 3D display features of AutoCAD 2007 and later releases, and non-certified graphics hardware may not support these features or may cause problems during use.

Graphics card information for the current system is available in the Performance Tuner Log, which you can view by clicking the View Tune Log button in this dialog box.

Remind Me When a New Driver Is Available

Specifies that a notification bubble is displayed when a new driver is available.


Performance Tuner Log (Quick Reference)

Adaptive Degradation and Performance Tuning Dialog Box
3DCONFIG
Manual Performance Tuning Dialog Box
Commands > 3D commands > 3DCONFIG >
Performance Tuner Log
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Visual Styles panel [image] Performance TunerNot available on the ribbon in the current workspace
Menu: Tools [image] Options (Options dialog box, System tab)
Command entry: options

Summary

Lists the features that have been disabled, if any. Information includes the system configuration, 3D graphics device, and driver. If your 3D device is certified, Autodesk has tested it with the performance tuner.

Save Log As

Displays a standard file selection dialog box.


Manual Performance Tuning Dialog Box (Quick Reference)

Performance Tuner Log
3DCONFIG
-3DCONFIG
Commands > 3D commands > 3DCONFIG >
Manual Performance Tuning Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Visual Styles panel [image] Performance TunerNot available on the ribbon in the current workspace
Menu: Tools [image] Options (Options dialog box, System tab)
Command entry: options

Sets options that affect 3D display performance. These options are set automatically by the performance tuner. You can set them manually in this dialog box.

Hardware Settings

Sets a driver for the graphics card and sets options for hardware acceleration.

Enable Hardware Acceleration

Uses hardware acceleration. When this check box is cleared, hardware acceleration is not used, and all the items in this dialog box are unavailable. For information on why hardware acceleration might not be available, see Hardware Acceleration Troubleshooting in the Driver and Peripheral Guide.

  • Green check mark indicates a graphics card that is certified and can run all features.
  • Yellow warning indicates a graphics card that is certified and cannot run all features. If the graphics card is unknown, the performance tuner displays the yellow warning, and you can use hardware acceleration at your own risk.
  • Red alert indicates a graphics card that is not certified. The check box is cleared, and Enable Hardware Acceleration is unavailable.
Driver Name

Sets a driver for the graphics card. (Autodesk or other custom drivers that might be installed). If no drivers are certified for the graphics card, “no certified drivers” is displayed. Changes to the driver might affect the Hardware Effects List.

Hardware Effects List

Lists features available for the current driver and indicates their status. A green check mark indicates a feature that is supported; you can turn it on or off. A yellow warning indicates that the feature is not recommended; you can turn it on or off. A red alert indicates that the feature is not supported and cannot be turned on.

  • Enhanced 3D performance (formerly known as Geometry Acceleration). Enables a more efficient use of the graphic card when working with 3D objects.
    NoteIf you experience problems with precision, turn this option off.
  • Gooch hardware shader. Enables the use of Gooch shading. With this option on the details of a 3D object are shown by softening the contrast between lighted areas and shadowed areas by using warm and cool colors as a substitute to light and dark colors.
  • Per-pixel lighting. Enables the computation of colors for individual pixels. With this option on the 3D objects and lighting effects appear smoother in the viewport.
  • Full shadow display. Enables shadows to be displayed in the viewport.
    NoteEnhanced 3D performance effect must be turned on.
  • Texture compression. Enables the use of texture compression to reduce the amount of video memory required to open and display a drawing that contains materials with images or has attached images.
    NoteWith this option turned on, the time it takes to load the images might increase the first time that they are accessed, and there is a reduction in the quality of the images when they are displayed in the viewport or plotted.
  • Enhanced 2D precision. Enables the Enhanced 2D precision effect. With this option turned on, the precision artifacts that can be seen at extreme zoom levels are removed.
    NoteThis option is only available if you are working on a Windows Vista platform. Turn on this option only if you experience problems with precision because it will decrease the graphics card performance.
Emulate Unsupported Hardware Effects in Software When Plotting

Controls whether software emulation is used for unsupported hardware effects when plotting shaded viewports with shadows and other effects that are not supported by your graphics card.

WarningIt is recommended that you not use any type of remote access application, such as NetMeeting, Remote Desktop, or VMWare in conjunction with hardware acceleration. Most remote access applications do not support hardware acceleration, and as a result, can cause general display failure and instability. Prior to using a remote access application with AutoCAD, check with the software vendor to see if it supports hardware acceleration and if not, disable hardware acceleration prior to starting the remote access software or use the /NOHARDWARE command line switch to start AutoCAD in Software mode.

General Settings

Sets performance-related options that are not hardware dependent.

Discard Back Faces

When selected, the back faces of objects are not drawn.

Smooth Faces by Default

When selected, the facets in a polyface mesh object are made smooth when displayed in the viewport and in a rendering. This is useful when using objects that were imported through 3DSIN or when using PFACE objects. Note that when you select this option, all objects in the drawing are made smooth. If you don’t want all objects to be smooth, recreate the model using a different object type.

Transparency Quality

Adjusts the transparency quality used when viewing or rendering a model. The transparency quality used is dependent on if software or hardware acceleration are used, or if a model is being rendered. The default quality is Medium.

Software acceleration

  • Low quality produces a screen-door effect to achieve transparency without sacrificing speed.
  • Medium quality uses a combination of the screen-door effect and alpha blending.
  • High quality uses simple alpha blending, which can cause graphical artifacts to appear based on the current draw order.

Hardware acceleration

  • Low quality uses simple alpha blending, which can cause graphical artifacts to appear based on the current draw order.
  • Medium quality uses a two-pass algorithm to draw all opaque objects, followed by all transparent objects. The transparent objects are drawn using simple alpha blending, which can cause graphical artifacts to appear based on the current draw order. The graphical artifacts are less noticeable due to the opaque objects being drawn prior to the transparent objects.
  • High quality improves on medium quality by sorting transparent objects to decrease the appearance of graphical artifacts. However, the sorting does not completely eliminate all graphical artifacts.

Rendering

  • Low quality disables the use of transparency for all materials, and the materials are rendered as opaque instead.
  • Medium quality enables transparency for materials, but the actual material opacity used is the square root of the specified material opacity.
  • High quality enables transparency and the opacity assigned to a material is mapped directly to Mental Ray rendering engine.

Drawing Settings

Sets performance values on a drawing level.

Dynamic Tessellation

Sets the options that determine the smoothness of the objects in a drawing. Objects are drawn using many short lines (or triangles when drawing spheres). These lines are called tessellation lines. Objects in your drawing appear smoother when you use more tessellation lines.

Surface Tessellation

Determines the amount of detail for surfaces in your drawing. The low end of the slider provides fewer tessellation lines and uses less memory.

Curve Tessellation

Determines the amount of detail for curves in your drawing. The low end of the slider provides fewer tessellation lines and uses less memory.

Number of Tessellations to Cache

Configures your system according to memory and performance requirements. The 3D cache always stores at least one tessellation. When this option is set to 1, the tessellation for all viewports is the same; some objects in the drawing may be regenerated as you zoom in and out. Setting this option to 2 or more is useful when you have more than one viewport with different views. Increasing the number requires more memory.

Reset to Recommended Values

Resets the values to the defaults based on the performance tuner’s evaluation of the graphics card.


-3DCONFIG (Quick Reference)

Manual Performance Tuning Dialog Box
3DCONFIG
3DCORBIT
Commands > 3D commands > 3DCONFIG >
-3DCONFIG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -3dconfig at the Command prompt, the following prompts are displayed.

Enter option: [Adaptive degradation/Dynamic tessellation/General options/acceLeration/Plot emulation/eXit] <Adaptive degradation>:

The prompt is redisplayed until you enter x (Exit) or press ESC.

Adaptive Degradation

Turns off or minimizes display effects when performance drops below the minimum you specify.

Enter mode [ON/OFF] <ON>:

If Adaptive Degradation is on, the following prompt is displayed.

Enter speed to maintain (1-60 fps) <5>:

The main prompt is redisplayed.

Dynamic Tessellation

Sets the options that determine the smoothness of the objects in a drawing. Objects are drawn using many short lines (or triangles when drawing spheres). These lines are called tessellation lines. Objects in your drawing appear smoother when you use more tessellation lines.

Enter mode [ON/OFF] <ON>:

If dynamic tessellation is on, the following prompt is displayed.

Enter option [Surface tessellation/Curve tessellation/Tessellations to cache/eXit] <Surface tessellation>:

The prompt is redisplayed.

Surface Tessellation

Enter tolerance <92>: Enter a value between 0 and 100

Determines the amount of detail for surfaces in your drawing. A higher setting provides more detail but uses more tessellation lines and more memory.

The Dynamic Tessellation prompt is redisplayed.

Curve Tessellation

Enter tolerance <87>: Enter a value between 0 and 100

Determines the amount of detail for curves in your drawing. A higher setting provides more detail but uses more tessellation lines and more memory.

The Dynamic Tessellation prompt is redisplayed.

Number of Tessellations to Cache

Enter number of tessellations to cache <6>: Enter a value between 1 and 10

Configures your system according to memory and performance requirements. The 3D cache always stores at least one tessellation. When this option is set to 1, the tessellation for all viewports is the same; some objects in the drawing may be regenerated as you zoom in and out. Setting this option to 2 or more is useful when you have more than one viewport with different views. Increasing the number requires more memory.

The Dynamic Tessellation prompt is redisplayed.

General Options

Sets performance-related options that are not hardware dependent.

Configure: General options

Enter option [Discard backfaces/Transparency quality/eXit] <Discard backfaces>:

Discard Back Faces

Enter mode [ON/OFF] <ON>: Enter on to discard back faces

Discards back faces when drawing objects. You cannot see the effect of discarding back faces on some objects, such as spheres, because you cannot see the back face even when it is present. The effect of discarding back faces is visible on objects such as those that don't have a top. Discarding back faces enhances performance.

The General Options prompt is redisplayed.

Transparency Quality

Adjusts the transparency quality. At the Low setting, a screen-door effect achieves transparency without sacrificing speed. At the Medium setting, the default in software mode, blending improves image quality. The High setting, the default in hardware mode, produces an image free of visual artifacts at the cost of drawing speed. Materials must also be turned on for transparency to be visible.

The General Options prompt is redisplayed.

Acceleration

Specifies whether to use software or hardware acceleration in 3D.

Enter option [Hardware/Software/eXit] <Hardware>:

If you select Hardware, you can also specify whether geometry acceleration are turned on or off.

Hardware

Enter option [Driver name/Enhanced 3D performance/gOoch hardware shader/Smooth line display/Per-pixel lighting/Full-shadow display/Texture compression/eNhanced 2D performance/eXit] <Driver name>:

Specifies hardware acceleration. The hardware graphics card performs most of the drawing tasks in 3D to increase performance.

Enter driver name <AcadDM10.hdi>:

The available drivers are AcadDM10.hdi and direct3d10.hdi.

When you select Hardware, the default driver is set to the AcadDM10.hdi driver that is included with the program.

If you select the Driver Name option, you can select a driver from a list of available hardware-accelerated drivers found in the Drv directory. If you want to use a hardware driver from another vendor, it must be supported by the Heidi® Graphics System.

For information on why hardware acceleration might not be available, see Hardware Acceleration Troubleshooting in the Driver and Peripheral Guide.

Software

Specifies software acceleration. The software graphics system performs all of the drawing tasks in 3D.

Geometry Acceleration

Enter mode [ON/OFF] <ON>:

Using geometry acceleration makes more efficient use of the graphics card when working with 3D objects.

Per-pixel lighting

Enter mode [ON/OFF] <ON>:

Enables the computation of colors for individual pixels. With this option on the 3D objects and lighting effects appear smoother in the viewport.

NoteWhen Geometry Acceleration is turned off, per-pixel lighting cannot be displayed in the viewport.
Shadows Enabled

Enter mode [ON/OFF] <ON>:

Enables the display of shadows.

NoteWhen Geometry Acceleration is turned off, full shadows cannot be displayed in the viewport.
Texture Compression

Enter mode [ON/OFF] <ON>:

Enables the use of texture compression to reduce the amount of video memory required to open and display a drawing that contains materials with images or has attached images.

NoteWith this option on the time it takes to load the images may increase the first time that they are accessed and there is a reduction in the quality of the images when they are displayed in the viewport or plotted.

Plot Emulation

Turns on or off the use of software emulation for unsupported hardware effects during the plotting of a drawing with shaded viewports. The use of software emulation happens when it is turned on, and hardware acceleration is disabled or is enabled, but does not support Shadows.

Enter mode [ON/OFF] <ON>:

The main prompt is redisplayed.

Exit

Exits the command.


3DCORBIT (Quick Reference)

-3DCONFIG
3DCORBIT
3DDISTANCE
Commands > 3D commands >
3DCORBIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rotates the view in 3D space with continuous motion.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] Continuous Orbit.Not available on the ribbon in the current workspace.
Menu: View [image] Orbit [image] Continuous OrbitDoes not appear in the menus.
Toolbar: 3D Navigation
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigation Modes [image] Continuous Orbit (3).
Command entry: 3dcorbit

Summary

You can view your entire drawing or select one or more objects before starting the command.

Selecting one of more objects before starting this command limits the display to those objects only.

While the command is active, right-click to display additional options from a shortcut menu.

Click in a drawing area and drag the pointing device in any direction to start the objects moving in the direction that you're dragging. Release the button on the pointing device and the objects continue their orbit in the direction that you specified. The speed set for the cursor movement determines the speed at which the objects spin.

You can change the direction of the continuous orbit by clicking and dragging again. You can also change the display of the continuous orbit by right-clicking in the drawing area and choosing an option from the shortcut menu. For example, you can choose Visual Aids [image] Grid to add a grid to the view without exiting Continuous Orbit.


3DDISTANCE (Quick Reference)

3DCORBIT
3DDISTANCE
3DDWF
Commands > 3D commands >
3DDISTANCE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Starts the interactive 3D view and makes objects appear closer or farther away.

Access Methods

Button

Menu: View [image] Camera [image] Adjust DistanceDoes not appear in the menus.
Toolbar: 3D Navigation
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigation Modes [image] Adjust Distance (4).
Command entry: 3ddistance

Summary

3DDISTANCE changes the cursor to a line with one arrow pointing up and one pointing down. Click and drag the cursor vertically toward the top of the screen to move the camera closer to the objects, making them appear larger. Click and drag the cursor vertically toward the bottom of the screen to move the camera away from the objects, making them appear smaller.


3DDWF (Quick Reference)

3DDISTANCE
3DDWF
3D DWF Publish Dialog Box
Commands > 3D commands >
3DDWF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D DWF or 3D DWFx file of your 3D model and displays it in the DWF Viewer.

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] 3D DWF Not available on the ribbon in the current workspace
Toolbar: Standard
Command entry: 3ddwf

Summary

The Export 3D DWF dialog box (a standard file selection dialog box) is displayed. After you enter a file name and click Save, the DWF file viewer is launched and your DWF file is displayed.

You can also change publishing settings from the 3D DWF Publish dialog box.

NoteThe File Type control on the Export 3D DWF dialog box lists 3D DWF (*.dwf) and 3D DWFx (*.dwfx) when you use the 3DDWF command.


3D DWF Publish Dialog Box (Quick Reference)

3DDWF
3DDWF
3DDWFPUBLISH
Commands > 3D commands > 3DDWF >
3D DWF Publish Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Toolbar: Standard
Shortcut menu: Issue the 3DDWF command and click Tools [image] Options from the Export 3D DWF dialog box.
Command entry: 3ddwf

Summary

Allows you to publish a three-dimensional model as a DWF or DWFx file. 3D DWF Publishing, a technology preview in AutoCAD® 2006, is now a standard AutoCAD feature.

Objects to Publish

Specifies whether all model space objects or selected model space objects are published to the DWF file.

All Model Space Objects

All model space objects are published to the 3D DWF or 3D DWFx file.

Select Model Space Objects

Allows you to create a selection set of model space objects, including external references, which are published to the 3D DWF or 3D DWFx file after you click OK.

Select Objects

Active only when Select Model Space Objects is enabled. Clicking this button minimizes the dialog boxes and lets you select objects in the drawing workspace. When object selection is completed, press Enter and the 3D DWF or 3D DWFx Publish dialog box reappears reporting the number of objects selected for publishing.

3D DWF Organization

Specifies how to group objects in the DWF or DWFx file for viewing in Autodesk® DWF™ Viewer.

Group by Xref Hierarchy

Arrange objects by xref hierarchy in the viewer. If unchecked, externally referenced files are listed in the viewer like any other objects.

Options

These options let you specify if materials are published in the DWF file.

Publish with Materials

Most materials that you have assigned to your model will not be published to the 3D DWF or 3D DWFx file. Materials with procedural maps and some material properties will not export to the 3D DWF or 3D DWFx file. If your material contains texture mapping, only the Diffuse Map gets published along with its scale and orientation data. Including materials will not significantly affect the size of your 3D DWF or 3D DWFx files. Default=active.

NoteMaterials that are not supported in 3D DWF or 3D DWFx include Bump, Opacity, and Reflection mapping, as well as all forms of procedural materials, which include Checker, Marble, Noise, Speckle, Tile, Waves and Wood.


3DFACE (Quick Reference)

3DDWFPUBLISH
3DFACE
3DFLY
Commands > 3D commands >
3DFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a three-sided or four-sided surface in 3D space.

Access Methods

Button

Menu: Draw [image] Modeling [image] Meshes [image] 3D FaceAt the Command prompt, enter 3dface.
Command entry: 3dface

Summary

Specify first point or [Invisible]: Specify a point (1) or enter i

First Point

Defines the start point for the 3D surface. After entering the first point, enter the remaining points in a natural clockwise or counterclockwise order to create a normal 3D face. If you locate all four points on the same plane, a planar face is created that is similar to a region object. When you shade or render the object, planar faces are filled.

Invisible

Controls which edges of a 3D face are visible, allowing for accurate modeling of objects with holes. Entering i or invisible before the first point of an edge makes the edge invisible.

The invisible specification must precede any object snap modes, XYZ filters, or coordinate input for that edge. You can create a 3D face in which all edges are invisible. Such a face is a phantom; it does not appear in wireframe presentations but can hide material in line drawings. 3D faces do appear in shaded renderings.

You can combine 3D faces to model complex 3D surfaces.

Specify second point or [Invisible]: Specify a point (2) or enter i

Specify third point or [Invisible] <exit>: Specify a point (3), enter i, or press Enter

Specify fourth point or [Invisible] <create three-sided face>: Specify a point (4), enter i, or press Enter

The Third Point and Fourth Point prompts are repeated until you press Enter. Specify points 5 and 6 at these repeating prompts. When you finish entering points, press Enter.


3DFLY (Quick Reference)

3DFACE
3DFLY
3DFORBIT
Commands > 3D commands >
3DFLY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the 3D view in a drawing interactively to create the appearance of flying through the model.

Access Methods

Button

Ribbon: Render tab [image] Animations panel [image] Fly.Not available on the ribbon in the current workspace.
Toolbar: 3D Navigation
Menu: View [image] Walk & Fly [image] FlyDoes not exist in the menus.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigations Modes [image] Fly (7).
Command entry: 3dfly

Summary

3DFLY activates a fly mode in the current viewport. You can leave the XY plane as though you're flying through or around the model. On the keyboard, use the four arrow keys, the W (forward), A (left), S (back), and D (right) keys, and the mouse to determine the direction of your fly. For more information, see Walk and Fly Navigation Mappings Balloon.

By default, the Position Locator window opens and displays your position in the drawing from a top view.

To control walk and fly settings, use the Walk and Fly Settings dialog box. To specify settings for animating a 3D walk or fly, see Animation Settings Dialog Box.


3DFORBIT (Quick Reference)

3DFLY
3DFORBIT
3D Free Orbit Cursor Icons
Commands > 3D commands >
3DFORBIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rotates the view in 3D space without constraining roll.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] Free OrbitNot available on the ribbon in the current workspace.
Menu: View [image] Orbit [image] Free OrbitNot available in menus in the current workspace
Toolbar: 3D Navigate
Pointing device: Press Shift+Ctrl and click the mouse wheel to temporarily enter 3DFORBIT mode.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigations Modes » Free Orbit (2).
Command entry: 3dforbit

Summary

Selecting one of more objects before starting this command limits the display to those objects only.

While the command is active, right-click to display additional options from a shortcut menu.

3DFORBIT activates a 3D Free Orbit view in the current viewport. If the user coordinate system (UCS) icon is on, a shaded 3D UCS icon representing the current UCS appears in the 3D Orbit view. You can view your entire drawing or select one or more objects before starting the command.

The 3D Free Orbit view displays an arcball, which is a circle divided into four quadrants by smaller circles. When the Enable Orbit Auto Target option is deselected in the shortcut menu, the target of the view stays stationary. The camera location, or point of view, moves around the target. The center of the arcball, not the center of the objects you’re viewing, is the target point. Unlike 3DORBIT, 3DFORBIT does not constrain the change in view along the XY axis or Z direction.

NoteYou cannot edit objects while the 3DFORBIT command is active.

Moving your cursor over different parts of the arcball changes the cursor icon, indicating the direction in which the view rotates. See 3D Free Orbit Cursor Icons.

While the command is active, you can access additional 3DORBIT options from a shortcut menu by right-clicking in the drawing area, or choosing buttons on the 3D Navigation toolbar. See 3D Orbit Shortcut Menu.

TipWhile in 3D Orbit mode, you can temporarily enter 3D Free Orbit mode by pressing and holding the Shift key.


3D Free Orbit Cursor Icons (Quick Reference)

3DFORBIT
3DFORBIT
3DMESH
Commands > 3D commands > 3DFORBIT >
3D Free Orbit Cursor Icons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

View rotation is determined by the placement and appearance of the cursor as follows:

Sphere Encircled by Two Lines

When you move the cursor inside the arcball, it changes to a small sphere encircled by two lines. If you click and drag in the drawing area you can move freely around the objects. It works as if your cursor is grabbing a sphere surrounding the objects and dragging it around the target point. You can drag horizontally, vertically, and diagonally using this method.

Circular Arrow

When you move the cursor outside the arcball, it becomes a circular arrow. Clicking outside the arcball and dragging the cursor around the arcball causes the view to move around an axis that extends through the center of the arcball, perpendicular to the screen. This is called a roll.

Horizontal Ellipse

When you move the cursor over one of the small circles on the left or right side of the arcball, it becomes a horizontal ellipse. Clicking and dragging from either of these points rotates the view around the vertical or Y axis through the middle of the arcball.

Vertical Ellipse

When you move the cursor over one of the small circles on the top or bottom of the arcball, it becomes a vertical ellipse. Clicking and dragging from either of these points rotates the view around the horizontal or X axis through the middle of the arcball.


3DMESH (Quick Reference)

3D Free Orbit Cursor Icons
3DMESH
3DMOVE
Commands > 3D commands >
3DMESH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a free-form polygon mesh.

Access Methods

Command entry: 3dmesh

Summary

The mesh density controls the number of facets, and is defined in terms of a matrix of M and N vertices, similar to a grid consisting of columns and rows. 3DMESH is a legacy method for creating mesh, designed primarily for operation under program control rather than by manual entry.

To take advantage of smoothing, creasing, and refinement capabilities, use the MESH command.

List of Prompts

The following prompts are displayed.

Size of mesh in M direction

Sets the M direction value. Enter a value between 2 and 256.

Size of mesh in N direction

Sets the N direction value. Enter a value between 2 and 256.

M times N equals the number of vertices that you must specify.

Location for vertex (0, 0)

Sets the coordinate location of the vertex. Enter a 2D or 3D coordinate.

The location of each vertex in the mesh is defined by m and n, the row and column indices of the vertex. Defining vertices begins with vertex (0,0). You must supply the coordinate locations for each vertex in row m before specifying vertices in row m + 1.

Vertices may be any distance from each other. The M and N orientation of a mesh depends on the position of its vertices.

3DMESH polygon meshes are always open in both M and N directions. You can close a mesh with PEDIT.


3DMOVE (Quick Reference)

3DMESH
3DMOVE
3D Move Gizmo Shortcut Menu
Commands > 3D commands >
3DMOVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a 3D view, displays the 3D Move gizmo to aid in moving 3D objects a specified distance in a specified direction.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D MoveNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] 3D MoveNot available in menus in the current workspace
Toolbar: Modeling
Command entry: 3dmove

Summary

With the 3D Move gizmo, you can move selected objects and subobjects freely or constrain the movement to an axis or plane.

If the default gizmo (DEFAULTGIZMO) is 3D Move, the 3D Move gizmo is displayed whenever you select an object in a view with a 3D visual style. If you are working in a viewport with 2D Wireframe set as the visual style, 3DMOVE temporarily changes the visual style to 3D Wireframe for the duration of the command.

The 3D Move gizmo is displayed at the center of the selected 3D object or objects by default. You can use the shortcut menu to change its location.

You can also align the 3D Move gizmo with the plane of a face or object by using the Align Gizmo With [image] Face option on the shortcut menu. The direction of the move operation is then constrained relative to this workplane.

When the 3D Move gizmo is displayed, the 3D Move Gizmo shortcut menu offers options for aligning, moving, or changing to another gizmo.

List of Prompts

The following prompts are displayed.

Select objects

Selects the 3D objects you want to move. When you have selected the objects, press Enter.

When you have selected an object, the gizmo is displayed. You can constrain the movement by clicking one of the following locations on the gizmo:

  • Move along an axis. Click an axis to constrain the movement to that axis.

  • Move along a plane. Click the area between the axes to constrain the movement to that plane.

Stretch point

When you are specifying the move using the gizmo, sets the new location of the selected objects. Drag and click to move the objects dynamically.

Copy

When you are specifying the move using the gizmo, creates a copy of the selected objects instead of moving them. You can make multiple copies by continuing to specify locations.

Base point

Specifies the base point of the 3D objects you want to move.

  • Second point. Specifies where the 3D object or objects will be dragged. You can also move the cursor to indicate a direction and then enter a distance.
Displacement

Specifies a relative distance and direction for the placement of the selected 3D objects using coordinate values that you enter at the command prompt.


3D Move Gizmo Shortcut Menu (Quick Reference)

3DMOVE
3DMOVE
3DORBIT
Commands > 3D commands > 3DMOVE >
3D Move Gizmo Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options to set the constraint of a 3D object, switch gizmos, and move or align the gizmo.

Access Methods

Shortcut menu: Right-click the 3D Move gizmo

List of Options

The following options are available in this shortcut menu.

Move

Activates the 3D Move gizmo.

Rotate

Activates the 3D Rotate gizmo.

Scale

Activates the 3D Scale gizmo.

Set Constraint

Sets whether the change is constrained to a specific axis.

  • X, Y or Z. Restricts the change to the designated axis.
  • XY, YX, or ZX. Restricts the change to a plane that is defined by the selected axes.
Relocate Gizmo

Moves the gizmo to the point you specify.

Align Gizmo With

Sets the alignment for the change. Choices include

  • World UCS (default)
  • Current UCS
  • Face
Custom Gizmo

Allows you to define the current gizmo by specifying one, two, or three points, or an object.

Respect Dynamic UCS

When relocating the gizmo, as you move the cursor, temporarily aligns the XY plane of the UCS with the faces or edges.


3DORBIT (Quick Reference)

3D Move Gizmo Shortcut Menu
3DORBIT
3D Orbit Shortcut Menu
Commands > 3D commands >
3DORBIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rotates the view in 3D space, but constrained to horizontal and vertical orbit only.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] Constrained Orbit.Not available on the ribbon in the current workspace.
Toolbar: 3D Navigate
Menu: View [image] Orbit [image] Constrained OrbitAt the Command prompt, enter 3dorbit.
Pointing device: Press Shift and click the mouse wheel to temporarily enter 3D Orbit mode.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigations Modes » Constrained Orbit (1).
Command entry: 3dorbit

Selecting one of more objects before starting this command limits the display to those objects only.

While the command is active, right-click to display additional options from a shortcut menu.

3DORBIT activates a 3D Orbit view in the current viewport. You can view your entire drawing or select one or more objects before starting the command.

When 3DORBIT is active, the target of the view stays stationary and the camera location, or point of view, moves around the target. However, it appears as if the 3D model is turning as the mouse cursor is dragged In this way, you can specify any view of the model.

The 3D Orbit cursor icon appears. If you drag the cursor horizontally, the camera moves parallel to the XY plane of the world coordinate system (WCS). If you drag the cursor vertically, the camera moves along the Z axis.

NoteYou cannot edit objects while the 3DORBIT command is active.

While the command is active, you can access additional 3DORBIT options and modes from a shortcut menu by right-clicking in the drawing area, or choosing buttons on the 3D Navigation toolbar. See 3D Orbit Shortcut Menu.


3D Orbit Shortcut Menu (Quick Reference)

3DORBIT
3DORBIT
3DORBITCTR
Commands > 3D commands > 3DORBIT >
3D Orbit Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the 3DORBIT command (or any 3D navigation command or mode) is active, you can access the options on the 3D Orbit shortcut menu. To access the 3D Orbit shortcut menu, right-click in the 3D Orbit view.

Current Mode: Current

Displays the current mode.

Other Navigation Modes

Choose one of the following 3D navigation modes:

  • Constrained Orbit (1). Constrains orbiting to the XY plane or the Z direction.
  • Free Orbit (2). Allows orbiting in any direction, without being constrained to the XY plane or the Z direction. See 3DFORBIT.
  • Continuous Orbit (3). Changes the cursor to a sphere with two continuous lines encircling it and enables you to set the objects into continuous motion. See 3DCORBIT.
  • Adjust Distance (4). Simulates moving the camera closer to the object or farther away. See 3DDISTANCE.
  • Swivel (5). Changes the cursor to an arched arrow and simulates the effect of swiveling the camera. See 3DSWIVEL.
  • Walk (6). Changes the cursor to a plus sign and enables you to "walk through" a model at a fixed height above the XY plane, by dynamically controlling the location and target of the camera. See 3DWALK.
  • Fly (7). Changes the cursor to a plus sign and enables you to "fly through" a model without being restricted to a fixed height above the XY plane. See 3DFLY.
  • Zoom (8). Changes the cursor to a magnifying glass with plus (+) and minus (-) sign and simulates moving the camera closer to an object or farther away. Works like the Adjust Distance option. See 3DZOOM.
  • Pan (9). Changes the cursor to a hand cursor and moves the view in the direction that you drag. See 3DPAN.
    TipYou can switch to any mode by using the shortcut menu or by entering the number displayed after its name.

Enable Orbit Auto Target

Keeps the target point on the objects you are viewing rather than on the center of the viewport. This feature is turned on by default.

Animation Settings

Opens the Animation Settings dialog box, where you can specify settings for saving an animation file.

Zoom Window

Changes the cursor to a window icon so that you can select a specific area to zoom in on. When the cursor changes, click a starting point and end point to define the zoom window. The drawing is zoomed in and focused on the area you selected.

Zoom Extents

Centers the view and sizes it to display all objects.

Zoom Previous

Displays the previous view.

Parallel

Displays objects so that two parallel lines in a drawing never converge. The shapes in your drawing always remain the same and do not appear distorted when they are closer.

Perspective

Displays objects in perspective so that all parallel lines converge at one point. Objects appear to recede into the distance, and parts of the objects appear larger and closer to you. The shapes are somewhat distorted when the object is very close. This view correlates more closely to what your eyes see. SeePERSPECTIVE.

Reset View

Resets the view back to the view that was current when you first started 3DORBIT.

Preset Views

Displays a list of predefined views such as Top, Bottom, and SW Isometric. Choose a view from the list to change the current view of your model.

Named Views

Displays a list of named views in the drawing. Choose a named view from the list to change the current view of your model.

Visual Styles

Provides methods for shading objects. For more information about visual styles, see Use a Visual Style to Display Your Model.

  • 3D Hidden. Displays the objects using 3D wireframe representation and hides lines representing back faces.
  • 3D Wireframe. Displays the objects using lines and curves to represent the boundaries.
  • Conceptual. Shades the objects and smooths the edges between polygon faces. The effect is less realistic, but it can make the details of the model easier to see.
  • Realistic. Shades the objects and smooths the edges between polygon faces.

Visual Aids

Provides aids to visualizing the objects.

  • Compass. Draws a 3D sphere composed of three lines representing the X, Y, and Z axes.
  • Grid. Displays a two-dimensional array of lines similar to graph paper. This grid is oriented along the X and Y axes.
    NoteBefore starting 3DORBIT, you can use the GRID command to set system variables that control the grid display. The number of major grid lines corresponds to the value you set using the Grid Spacing option of the GRID command, which is stored in the GRIDUNIT system variable. Ten horizontal lines and ten vertical lines are drawn between the major lines.
  • UCS Icon. Displays a shaded 3D UCS icon. Each axis is labeled X, Y, or Z. The X axis is red, the Y axis is green, and the Z axis is blue.


3DORBITCTR (Quick Reference)

3D Orbit Shortcut Menu
3DORBITCTR
3DPAN
Commands > 3D commands >
3DORBITCTR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the center of rotation in 3D Orbit view.

Access Methods

Command entry: 3dorbitctr

Starts 3D Orbit view and uses a center of rotation that you specify with your pointing device. If you specify a point outside the current view, 3DORBITCTR ignores the specified point and uses the default center of rotation.

3DORBITCTR overrides the AutoTarget option in the 3DORBIT command.


3DPAN (Quick Reference)

3DORBITCTR
3DPAN
3DPOLY
Commands > 3D commands >
3DPAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When a drawing is in a Perspective view, starts the interactive 3D view and enables you to drag the view horizontally and vertically.

Access Methods

Button

Toolbar: 3D Navigation
Menu: View [image] PanDoes not exist in the menus
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigation Modes [image] Pan (9).
Command entry: 3dpan

Moves in the direction that you drag. You can drag the view vertically, horizontally, or diagonally. 3DPAN changes the cursor to a hand cursor.

You can view your entire drawing or select objects before entering 3DPAN.


3DPOLY (Quick Reference)

3DPAN
3DPOLY
3DPRINT
Commands > 3D commands >
3DPOLY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D polyline.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] 3D Polyline.Not available on the ribbon in the current workspace.
Menu: Draw [image] 3D PolylineAt the Command prompt, enter 3dpoly.
Command entry: 3dpoly

Summary

A 3D polyline is a connected sequence of straight line segments created as a single object. 3D polylines can be non-coplanar; however, they cannot include arc segments.

Specify start point of polyline: Specify a point (1)

Specify endpoint of line or [Undo]: Specify a point or enter an option

Specify endpoint of line or [Undo]: Specify a point or enter an option

Specify endpoint of line or [Close/Undo]: Specify a point or enter an option

Endpoint of Line

Draws a straight line from the previous point to the specified new point. The prompt is repeated until you press Enter to end the command.

Undo

Deletes the last line created. You can continue drawing from the previous point.

Close

Draws a closing line from the endpoint back to the first point, and then ends the command. To be closed, a 3D polyline must contain at least two lines.


3DPRINT (Quick Reference)

3DPOLY
3DPRINT
Send to 3D Print Service Dialog Box
Commands > 3D commands >
3DPRINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sends a 3D model to a 3D printing service.

Access Methods

Button

Ribbon: Output tab [image] 3D Print panel [image] Send to 3D Print Service.Not available on the ribbon in the current workspace.
Menu: Application menu [image] Publish [image] Send to 3D Print Service
Command entry: 3dprint

Summary

The 3DPRINT command opens the 3D Printing - Prepare Model for Printing dialog box. You can

  • Learn about preparing 3D models for printing
  • Continue

If you click Continue, the following prompt displays:

Select solids or watertight meshes: Select 3D solids or watertight meshes. Press Enter.

As you select solids or watertight meshes, note the following:

  • You can select uniformly scaled blocks and xrefs that contain solids or watertight meshes. Non-uniformly scaled blocks and xrefs cannot be included in the selection set.
  • Only solids and watertight meshes within selected blocks and xrefs are included in the STL file. All other geometry is discarded.
  • Watertight meshes are converted and optimized based on the current value of the SMOOTHMESHCONVERT system variable.

No other command prompts display. However, the following display in the order listed:

  • Send to 3D Print Service Dialog Box
  • Create STL File Dialog Box
  • The Autodesk 3D Printing Website


Send to 3D Print Service Dialog Box (Quick Reference)

3DPRINT
3DPRINT
Create STL File Dialog Box
Commands > 3D commands > 3DPRINT >
Send to 3D Print Service Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: 3dprint

Summary

Objects

The following buttons allow you to change the selection set:

Select Objects

Displays the canvas where you can add or remove objects from the selection set. Objects that you have already selected are removed from the selection set and replaced by newly selected objects.

To add objects to the selection set, select the objects.

To remove objects from the selection set, shift-select the objects.

Quick Select

Displays the Quick Select Dialog Box.

Use the Quick Select Dialog Box.

Output Dimensions

As part of the 3D printing process, selected 3D solids and watertight meshes within a bounding box are saved as an STL file. This file can be used by a 3D printing service to output a physical model.

You can select blocks or external references (xrefs) that contain 3D solids and watertight meshes. However, only 3D solids and watertight meshes within selected blocks or xrefs are included in the STL file. Other objects are not included when you save the STL file.

You can modify the dimensions of the bounding box and specify the scale of 3D solids and watertight meshes within the bounding box. If you modify this option, the proportions of these objects are unaffected.

You can modify the following options. All of these options are based on one another. If you modify one, the others are automatically adjusted.

Scale

Specifies the scale of selected 3D objects within the bounding box.

Length (X)

Specifies the X dimension of the model bounding box.

Width (Y)

Specifies the Y dimension of the model bounding box.

Height (Z)

Specifies the Z dimension of the model bounding box.

Output Preview

Provides a dynamic preview of selected 3D solids and watertight meshes. If you modify output dimensions, the output preview remains unaffected.

The following buttons provide options for viewing the output preview:

Zoom Extents

Sets the display so that the image fits within the preview window. This dialog box is resizeable. If desired, you can enlarge the preview.

Pan

Moves the image horizontally and vertically within the preview window. You can also pan by holding down the scroll wheel of your mouse as you move the mouse.

Zoom

Changes the magnification of the preview. To zoom in or out, select this button, then hold the left mouse button and drag upwards or downwards.

You can also roll the mouse scroll wheel to zoom or out at any time.

Orbit

Rotates the image within the preview window as you drag the image with the mouse.


Create STL File Dialog Box (Quick Reference)

Send to 3D Print Service Dialog Box
3DPRINT
3DROTATE
Commands > 3D commands > 3DPRINT > S commands > STLOUT >
Create STL File Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: 3dprint
Command entry: stlout

Summary

The Create STL File dialog box is a standard file selection dialog box). It displays when you use the 3DPRINT or STLOUT commands. Use this dialog box to save your drawing as an STL file.

The STL file format is preferred by 3D printing service providers. If you have prepared your drawing for 3D printing, you can save it with the STLOUT command, rather than the 3DPRINT command.

The FACETRES system variable determines how the solid is triangulated. Setting FACETRES to a higher value creates a finer mesh that more accurately represents the model. This also results in a much larger file. When you use the 3DPRINT command, the FACETRES system variable is set to 10, the highest value available.


3DROTATE (Quick Reference)

Create STL File Dialog Box
3DROTATE
3D Rotate Gizmo Shortcut Menu
Commands > 3D commands >
3DROTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a 3D view, displays the 3D Rotate gizmo to aid in revolving 3D objects around a base point.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D RotateNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] 3D RotateAt the Command prompt, enter 3drotate.
Toolbar: Modeling
Command entry: 3drotate

Summary

With the 3D Rotate gizmo, you can rotate selected objects and subobjects freely or constrain the rotation to an axis.

If you are working in a viewport with 2D Wireframe set as the visual style, 3DROTATE temporarily changes the visual style to 3D Wireframe for the duration of the command.

The 3D Rotate gizmo is displayed at the center of the selected object or objects by default. You can adjust the axis of rotation by using the shortcut menu to change the location of the gizmo.

When the 3D Rotate gizmo is displayed, the 3D Rotate Gizmo shortcut menu offers options for aligning, moving, or changing to another gizmo.

List of Prompts

The following prompts are displayed.

Select objects

Specifies the objects that you want to rotate.

Base point

Sets the center point of the rotation.

Pick a rotation axis

On the 3D Scale gizmo, specifies the axis of rotation. Move the mouse until the axis path you want to select turns yellow, then click to select it.

Specify angle start point or type an angle

Sets the relative start point of the rotation. You can also enter an angle value.

Specify angle end point

Rotates the object about the specified axis. Click to end the rotation.


3D Rotate Gizmo Shortcut Menu (Quick Reference)

3DROTATE
3DROTATE
3DSCALE
Commands > 3D commands > 3DROTATE >
3D Rotate Gizmo Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options to set the constraint of a 3D object, switch gizmos, and move or align the gizmo.

Access Methods

Shortcut menu: Right-click the 3D Rotate gizmo

List of Options

The following options are available in this shortcut menu.

Move

Activates the 3D Move gizmo.

Rotate

Activates the 3D Rotate gizmo.

Scale

Activates the 3D Scale gizmo.

Set Constraint

Sets whether the change is constrained to a specific axis.

  • X, Y or Z. Restricts the change to the designated axis.
Relocate Gizmo

Moves the gizmo to the point you specify.

Align Gizmo With

Sets the alignment for the change. Choices include

  • World UCS (default)
  • Current UCS
  • Face
Custom Gizmo

Allows you to define the current gizmo by specifying one, two, or three points, or an object.

Respect Dynamic UCS

When relocating the gizmo, as you move the cursor, temporarily aligns the XY plane of the UCS with the faces or edges.


3DSCALE (Quick Reference)

3D Rotate Gizmo Shortcut Menu
3DSCALE
3D Scale Gizmo Shortcut Menu
Commands > 3D commands >
3DSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In a 3D view, displays the 3D Scale gizmo to aid in resizing 3D objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D ScaleNot available on the ribbon in the current workspace
Command entry: 3dscale

Summary

With the 3D Scale gizmo, you can resize selected objects and subobjects along an axis or plane, or resize the objects uniformly.

When the 3D Scale gizmo is displayed, the 3D Scale Gizmo shortcut menu offers options for aligning, moving, or changing to another gizmo.

List of Prompts

The following prompts are displayed.

Select objects

Specifies the objects to be scaled.

Specify base point

Specifies the base point for the scaling.

Pick a scale axis or plane

Specifies whether the object is scaled uniformly or only along a specific axis or plane. You have the following choices:

  • Scale uniformly. Click the area closest to the vertex of the 3D Scale gizmo. The interior region of all axes of the gizmo is highlighted.

  • Constrain the scale to a plane. Click between the parallel lines between the axes that define the plane.

  • Constrain the scale to an axis. Click the axis.

Specify scale factor

Specifies the amount of change. Drag to dynamically modify the size of the selected objects or enter a scale value. For example, enter 2 to double the size of the selection.

Copy

Creates and scales a copy of the selected objects.

Reference

Sets a scale based on a ratio.

  • Reference length. Sets the relative amount that represents the current size in the scale ratio.
  • New Length. Sets the relative value used to calculate the new size. For example, if the reference length is 1 and the new length is 3, the size of the selected objects is tripled.
  • Points. Specifies the relative value used to calculate the new size based on two points that you specify.


3D Scale Gizmo Shortcut Menu (Quick Reference)

3DSCALE
3DSCALE
3DSIN
Commands > 3D commands > 3DSCALE >
3D Scale Gizmo Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options to set the constraint of a 3D object, switch gizmos, and move or align the gizmo.

Access Methods

Shortcut menu: Right-click the 3D Scale gizmo

List of Options

The following menu options are displayed when you right-click the 3D Scale gizmo.

Move

Activates the 3D Move gizmo.

Rotate

Activates the 3D Rotate gizmo.

Scale

Activates the 3D Scale gizmo.

Set Constraint

Sets whether the change is constrained to a specific axis.

  • X, Y or Z. Restricts the change to the designated axis.
  • XY, YX, or ZX. Restricts the change to a plane that is defined by the selected axes.
  • XYZ. Applies the scaling uniformly to all axes.
NoteUnlike most other objects, mesh objects support non-uniform scale.
Relocate Gizmo

Moves the gizmo to the point you specify.

Align Gizmo With

Sets the alignment for the change. Choices include

  • World UCS (default)
  • Current UCS
  • Face
Custom Gizmo

Allows you to define the current gizmo by specifying one, two, or three points, or an object.

Respect Dynamic UCS

When relocating the gizmo, as you move the cursor, temporarily aligns the XY plane of the UCS with the faces or edges.


3DSIN (Quick Reference)

3D Scale Gizmo Shortcut Menu
3DSIN
3D Studio File Import Options Dialog Box
Commands > 3D commands >
3DSIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports an Autodesk 3ds MAX (3DS) file.

Access Methods

Button

Menu: Insert [image] 3D StudioAt the Command prompt, enter 3dsin.
Command entry: 3dsin

Summary

Data that can be imported from a 3ds MAX file includes meshes, materials, mappings, lights, and cameras. Procedural materials, smoothing groups, and keyframe data cannot be imported. For lights and materials, use CONVERTOLDLIGHTS and CONVERTOLDMATERIALS.

The 3D Studio File Import dialog box (a standard file selection dialog box) is displayed. After you choose a file to import, the 3D Studio File Import Options dialog box is displayed.


3D Studio File Import Options Dialog Box (Quick Reference)

3DSIN
3DSIN
3DSOUT
Commands > 3D commands > 3DSIN >
3D Studio File Import Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Menu: Insert [image] 3D StudioAt the Command prompt, enter 3dsin.
Command entry: 3dsin

Summary

Lists available and selected 3D objects, saves 3D objects to layers, and handles objects that use multiple materials.

Available Objects

Displays the names of all objects in the specified Autodesk® 3ds MAX® (3DS) file. You can select up to 70 objects.

Object Name and Type

Displays the type and assigned name of each object.

Add All

Adds all of the objects in the Available Objects list to the Selected Objects list.

Add

Adds the objects currently selected in the Available Objects list to the Selected Objects list.

Selected Objects

Displays the selected 3ds MAX objects to import.

Object Name and Type

Displays the type and assigned name of each object.

Remove

Removes objects selected in the Selected Objects list and returns them to the Available Objects list.

Remove All

Removes all objects from the Selected Objects list and returns them to the Available Objects list.

Save to Layers

Controls how 3ds MAX objects are assigned to layers in the drawing.

By Object

Creates a layer for each object in the 3ds MAX file and places the object on that layer. The name of the layer is the same as the name of the object.

By Material

Creates a layer for each material in the 3ds MAX file and places objects to which that material is attached on that layer. The name of the layer is the same as the name of the material.

By Object Color

Creates a layer for each object color in the 3ds MAX file. Each 3ds MAX object is placed on the layer corresponding to its color. The name of the layer is COLORnn, where nn is the 3ds MAX color index. If the 3ds MAX file contains objects with no color, these objects are placed on a layer called COLORNONE.

Single Layer

Creates a single layer called AVLAYER and places all objects on that layer.

Multiple Material Objects

3ds MAX assigns materials by face, element, or object. AutoCAD assigns materials by object only. When AutoCAD encounters a 3ds MAX object assigned multiple materials, AutoCAD must find a way to handle the assignment.

Always Prompt

Displays the Material Assignment Alert dialog box for each object with multiple materials. The dialog box displays the name of the object. The options you select determine how 3DSIN handles the assignment. The options are as follows:

Split Object by Materials

Splits the object into multiple objects, one for each material. This preserves the material assignments that were made in the 3ds MAX file. It also increases the complexity of the drawing geometry.

Assign First Material

Assigns the first material assigned to each multiple-material object to the entire object. See the 3ds MAX documentation for an explanation of how the first-assigned material is determined.

Select a Material

Assigns one of the materials that was assigned to the object in the 3ds MAX file to the entire object. Select the material from the list below this option, or choose NONE to revert to the AutoCAD default material.

Split by Material

Splits all objects with multiple materials into multiple objects, one for each material. This preserves the material assignments that were made in the 3ds MAX file. It also increases the complexity of the drawing geometry.

Assign First Material

Assigns the first material assigned to each multiple-material object to the entire object. See the 3ds MAX documentation for an explanation of how the first-assigned material is determined.

Don't Assign a Material

Assigns no material to each multiple-material object. This option loses all material assignment information but preserves the 3ds MAX geometry. The object reverts to the AutoCAD default material.


3DSWIVEL (Quick Reference)

3DSOUT
3DSWIVEL
3DWALK
Commands > 3D commands >
3DSWIVEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the target of the view in the direction that you drag.

Access Methods

Toolbar: 3D Navigation
Menu: View [image] Camera [image] SwivelAt the Command prompt, enter 3dswivel.
Pointing device: Press Ctrl and click the mouse wheel to temporarily enter 3DSWIVEL mode.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigations Modes » Swivel (5).
Command entry: 3dswivel

Summary

Simulates panning with a camera in the direction that you drag. The target of the view changes. You can swivel the view along the XY plane or along the Z axis.


3DWALK (Quick Reference)

3DSWIVEL
3DWALK
Animation Settings Dialog Box
Commands > 3D commands >
3DWALK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the 3D view in a drawing interactively to create the appearance of walking through the model.

Access Methods

Button

Toolbar: 3D Navigation
Menu: View [image] Walk and Fly [image] WalkAt the Command prompt, enter 3dwalk.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigation Modes [image] Walk (6).
Command entry: 3dwalk

Summary

3DWALK activates a walk mode in the current viewport. On the keyboard, use the four arrow keys or the W (forward), A (left), S (back), and D (right) keys to determine the direction of your walk. To specify the direction of the view, you drag the mouse in the direction you want to look. For more information, see Walk and Fly Navigation Mappings Balloon.

By default, the Position Locator window opens and displays your position in the drawing from a top view.

To control walk and fly settings, use the Walk and Fly Settings dialog box. To specify settings for animating a 3D walk or fly, see Animation Settings Dialog Box.


Animation Settings Dialog Box (Quick Reference)

3DWALK
3DWALK
Position Locator Window
Commands > 3D commands > 3DWALK >
Animation Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies settings for recording an animation of 3D navigation.

Settings

Determines the settings for an animation file.

Visual Style

Displays a list of visual styles and render presets that you can apply to an animation file.

Resolution

Displays a list of resolutions. The default value is 320 x 240.

Frame Rate (FPS)

Specifies a frame rate (in seconds). Values are between 1 and 60. The default value is 30.

Format

Specifies a list of animation output formats. Available formats are AVI, MPG, WMV, and MOV.


Position Locator Window (Quick Reference)

Animation Settings Dialog Box
3DWALK
Walk and Fly Navigation Mappings Balloon
Commands > 3D commands > 3DWALK >
Position Locator Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the top-view position of a 3D model when in a walk or fly navigation.

Zoom In

Zooms in to the display in the Position Locator window.

Zoom Out

Zooms out from the display in the Position Locator window.

Zoom Extents

Zooms to the extents of the display in the Position Locator window.

Preview

Displays your current location in the model. You can drag the position indicator to change your position. You can also drag the target indicator to change the direction of the view.

Position Indicator Color

Sets the color of the dot that shows your current position.

Position Indicator Size

Sets the size of the indicator. You can choose Small, Medium, or Large.

Position Indicator Blink

Turns the blinking effect on or off.

Position Z

Specifies the Z coordinate for the position indicator. You can modify the setting by entering a new value.

Target Indicator

Displays an indicator that shows the target of the view.

Target Indicator Color

Sets the color of the target indicator.

Target Z

Specifies the Z coordinate for the target position indicator. You can modify the setting by specifying a point in the drawing area or entering a new value.

Preview Transparency

Sets the transparency of the preview window. You can choose a value from 0 to 95.

Preview Visual Style

Sets the visual style of the preview.


Walk and Fly Navigation Mappings Balloon (Quick Reference)

Position Locator Window
3DWALK
3DZOOM
Commands > 3D commands > 3DWALK >
Walk and Fly Navigation Mappings Balloon
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Walk and Fly Navigation Mappings balloon displays the keyboard and mouse controls that control walk and fly modes.

Press TAB to turn the display of the balloon on and off. You can specify whether to display the instructions, and how often, in the Walk and Fly Settings dialog box.

The controls are as follows:

  • Up arrow/W key. Moves the camera forward so that you appear to be walking (or flying) forward.
  • Down arrow/S key. Moves the camera backward.
  • Left arrow/A key. Moves the camera to the left, so that you appear to be moving to the left.
  • Right arrow/D key. Moves the camera to the right.
  • Drag mouse. Sets the target so that you look or turn.
  • F key. Toggles between fly (3DFLY) and walk (3DWALK) modes.


3DZOOM (Quick Reference)

Walk and Fly Navigation Mappings Balloon
3DZOOM
ABOUT
Commands > 3D commands >
3DZOOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Zooms in and out in a perspective view.

Access Methods

Button

Toolbar: 3D Navigation
Menu: View [image] ZoomDoes not exist in the menus.
Pointing device: Scroll the mouse wheel to zoom in and out.
Shortcut menu: Start any 3D navigation command, right-click in the drawing area, and click Other Navigation Modes [image] Zoom (8).
Command entry: 3dzoom

In a parallel view, 3DZOOM displays the following prompt:

Press ESC or Enter to exit, or right-click to display shortcut-menu.

Zooming in a perspective view simulates moving the camera closer to the target or farther away. Objects appear closer or farther away, but the position of the camera does not change.

Enter option [All/Extents/Window/Previous] <real time>:

All

Zooms to display the entire drawing.

Extents

Zooms to display the drawing extents and results in the largest possible display of all the objects

Window

Zooms to display an area specified by two points of a rectangular window.

Previous

Zooms to display the previous view.

Real Time

Using the pointing device, zooms interactively.


A commands

3DZOOM
Commands
ABOUT
Commands >
A commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ABOUT

    Displays information about AutoCAD

  • ACISIN

    Imports an ACIS (SAT) file and creates 3D solid, body, or region objects.

  • ACISOUT

    Exports a body object, solid, or region to an ACIS file.

  • ACTBASEPOINT

    Inserts a base point in an action macro.

  • ACTMANAGER

    Manages action macro files.

  • ACTRECORD

    Starts the Action Recorder.

  • ACTSTOP

    Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.

  • ACTUSERINPUT

    Pauses for user input in an action macro.

  • ACTUSERMESSAGE

    Inserts a user message into an action macro.

  • ADCCLOSE

    Closes DesignCenter.

  • ADCENTER

    Manages and inserts content such as blocks, xrefs, and hatch patterns.

  • ADCNAVIGATE

    Loads a specified DesignCenter drawing file, folder, or network path.

  • ADJUST

    Adjusts the fade, contrast and monochrome settings of the selected image or underlay (DWF, DWFx, PDF, or DGN).

  • ALIGN

    Aligns objects with other objects in 2D and 3D

  • AMECONVERT

    Converts AME solid models to AutoCAD solid objects.

  • ANIPATH

    Saves an animation file of a camera moving or panning in a 3D model.

  • ANNORESET

    Resets the locations of all alternate scale representations of the selected annotative objects.

  • ANNOUPDATE

    Updates existing annotative objects to match the current properties of their styles.

  • APERTURE

    Controls the size of the object snap target box.

  • APPLOAD

    Loads and unloads applications and defines which applications to load at startup.

  • ARC

    Creates an arc.

  • ARCHIVE

    Packages the current sheet set files for archive.

  • AREA

    Calculates the area and perimeter of objects or of defined areas.

  • ARRAY

    Creates multiple copies of objects in a pattern.

  • ARX

    Loads, unloads, and provides information about ObjectARX applications.

  • ATTACH

    Inserts an external reference, image, or underlay (DWF, DWFx, PDF, or DGN files) in the current drawing.

  • ATTACHURL

    Attaches hyperlinks to objects or areas in a drawing.

  • ATTDEF

    Creates an attribute definition for storing data in a block.

  • ATTDISP

    Controls the visibility overrides for all block attributes in a drawing.

  • ATTEDIT

    Changes attribute information in a block.

  • ATTEXT

    Extracts attribute data, informational text associated with a block, into a file.

  • ATTIPEDIT

    Changes the textual content of an attribute within a block.

  • ATTREDEF

    Redefines a block and updates associated attributes.

  • ATTSYNC

    Updates block references with new and changed attributes from a specified block definition.

  • AUDIT

    Evaluates the integrity of a drawing and corrects some errors.

  • AUTOCONSTRAIN

    Applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.

  • AUTOPUBLISH

    Publishes drawings to DWF, DWFx, or PDF files automatically to a specified location.


ABOUT (Quick Reference)

3DZOOM
ABOUT
ACISIN
Commands > A commands >
ABOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Displays information about AutoCAD

Access Methods

Menu: Help [image] AboutAt the Command prompt, enter about.
Command entry: about (or 'about for transparent use)

Summary

Copyright information and product information is displayed. Product information includes the version number and service pack, serial number, license type and expiration date, and the text of the license agreement. You can save the product information as a text file.


ACISIN (Quick Reference)

ABOUT
ACISIN
ACISOUT
Commands > A commands >
ACISIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports an ACIS (SAT) file and creates 3D solid, body, or region objects.

Access Methods

Button

Menu: Insert [image] ACIS FileNot available in menus in the current workspace
Command entry: acisin

Summary

The Select ACIS File box is displayed. Select the file to import in the File Name list. The SAT (ASCII) ACIS file is imported into the drawing.

NoteACISIN imports SAT files up to ACIS version 7.0.


ACISOUT (Quick Reference)

ACISIN
ACISOUT
ACTBASEPOINT
Commands > A commands >
ACISOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports a body object, solid, or region to an ACIS file.

Access Method

Command entry: acisout

Select objects: Use an object selection method

Summary

Selected objects that are not solids or regions are ignored, and the Create ACIS File dialog box is displayed. Enter the name of the file you want to create. The selected objects are exported to an ASCII file.

NoteWhen exchanging SAT files to earlier versions of AutoCAD, you need to set the ACISOUTVER system variable to the ACIS version used for that release. For example, to export SAT files to AutoCAD Release 14, set ACISOUTVER to 16.


ACTBASEPOINT (Quick Reference)

ACISOUT
ACTBASEPOINT
ACTMANAGER
Commands > A commands >
ACTBASEPOINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a base point in an action macro.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Insert Base Point.
Command entry: actbasepoint

Summary

During the time of recording, if you enter actbasepoint at the Command prompt, the following prompt is displayed:

Specify a base point: Specify a point

Inserts a base point in an action macro, which requests a user-defined point when the action macro is played back. The inserted base point is represented by a node with an icon that displays a crosshairs and a small black silhouette of a person in the lower right corner. This icon is followed by the point specified in an italic font. You can insert a base point by selecting an action macro or the command node in the Action tree.

A base point establishes a point location with absolute coordinates, which is used by the prompts that follow in the action macro.

NoteA base point is not compatible with older releases. When you play back the action macro in an older version, an error message is displayed and the action macro is removed from the location of available action macros.


ACTMANAGER (Quick Reference)

ACTBASEPOINT
ACTMANAGER
Action Macro Manager
Commands > A commands >
ACTMANAGER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manages action macro files.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Manage Action Macros
Command entry: actmanager (or 'actmanager for transparent use)

Summary

The Action Macro Manager is displayed.

Use the Action Macro Manager to copy, rename, modify, or delete action macro files.


Action Macro Manager (Quick Reference)

ACTMANAGER
ACTMANAGER
ACTRECORD
Commands > A commands > ACTMANAGER >
Action Macro Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Manage Action Macros
Command entry: actmanager (or 'actmanager for transparent use)

Summary

The Action Macro Manager is displayed.

Your recorded action macro (ACTM) files are listed in the Action Macro Manager. You can manage the files with the following options:

List of Options

The following options are available in this dialog box.

Copy

Creates a duplicate copy of an action macro.

Rename

Renames an action macro.

Modify

Displays the selected action macro in the Action Macro dialog box.

Delete

Moves the selected action macro (ACTM) file to the Windows Recycle Bin. You can select and delete one or more action macros.

Options

Displays the Options dialog box (Files tab). From the Files tab, you can locate the paths used to record and play back your (ACTM) files from the Action Recorder Settings node.

Close

Closes the Action Macro Manager dialog box.

NoteWhen a single action macro is selected, you can use Copy, Rename, Modify, and Delete. But, when multiple action macros are selected, you can only use Delete.


ACTRECORD (Quick Reference)

Action Macro Manager
ACTRECORD
Action Recorder Preferences Dialog Box
Commands > A commands >
ACTRECORD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Starts the Action Recorder.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Record
Menu: Tools [image] Action Recorder [image] RecordNot available in menus in the current workspace
Shortcut menu: Right-click in the drawing area and click Action Recorder [image] Record.
Command entry: actrecord

Summary

The Action Recorder Preferences dialog box controls the behavior of the Action Recorder panel when playing back or recording an action macro.

You can create an action macro by recording most of the commands that you are already familiar with.


Action Recorder Preferences Dialog Box (Quick Reference)

ACTRECORD
ACTRECORD
ACTSTOP
Commands > A commands > ACTRECORD >
Action Recorder Preferences Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Preference

Summary

Customizes the settings used for the Action Recorder.


ACTSTOP (Quick Reference)

Action Recorder Preferences Dialog Box
ACTSTOP
Action Macro Dialog Box
Commands > A commands >
ACTSTOP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Stop
Menu: Tools [image] Action Recorder [image] Stop Does not exist in the menus.
Shortcut menu: Right-click in the drawing area and click Action Recorder [image] Stop.
Command entry: actstop (or 'actstop for transparent use)

Summary

The Action Macro dialog box is displayed.

If you enter -actstop at the Command prompt, options are displayed.

You can use this command to stop the recording or playback of an action macro based on the current state of the Action Recorder. When the recording of an action macro is stopped, the recorded actions are saved to an action macro file.


Action Macro Dialog Box (Quick Reference)

ACTSTOP
ACTSTOP
-ACTSTOP
Commands > A commands > ACTSTOP >
Action Macro Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Stop
Menu: Tools [image] Action Recorder [image] Stop Does not exist in the menus.
Shortcut menu: Right-click in the drawing area and click Action Recorder [image] Stop.
Command entry: actstop (or 'actstop for transparent use)

Summary

Saves or renames the current action macro and defines the playback behavior for the action macro.

List of Options

The following options are available in this dialog box.

Action Macro Command Name

Specifies the command name for the current action macro.

File Name

Displays the file name for the current action macro.

Folder Path

Displays the location where the current action macro file is stored or will be saved to.

Description

Specifies a description for the current action macro. The description is displayed in a tooltip when the cursor hovers over the top node of the action macro in the Action tree.

Restore Pre-Playback View

Defines how the view, prior to the playback of an action macro, is restored.

When Pausing for User Input

Restores the view prior to the playback of an action macro when a request for user input occurs.

Once Playback Finishes

Restores the view prior to the playback of an action macro when playback is complete.

Check for Inconsistencies When Playback Begins

Specifies if the action macro should be scanned for inconsistencies between the current drawing state and the drawing state when the macro was recorded.

More Options

Controls the display of additional options in the Action Macro dialog box.

  • Restore Pre-Playback View
  • Check for Inconsistencies When Playback Begins


-ACTSTOP (Quick Reference)

Action Macro Dialog Box
ACTSTOP
ACTUSERINPUT
Commands > A commands > ACTSTOP >
-ACTSTOP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stops the Action Recorder and provides the option of saving the recorded actions to an action macro file

Access methods

Command entry: -actstop (or '-actstop for transparent use)

List of Prompts

If you enter -actstop at the Command prompt, the following prompts are displayed:

Enter action macro name <ActMacro001>: Press ENTER, or enter a name for the action macro

Enter an option [ Description/ Settings/Exit] <Exit>: Enter an option and press ENTER

Description

Specifies a description for the current action macro.

Settings

Defines the behavior of the action macro during playback.

  • Restores the original view before a request for input.
  • Restores the view prior to the playback of an action macro when a request for user input occurs.
  • Restores the original view after playback is complete.
  • Restores the view prior to the playback of an action macro when playback is complete.
  • Prompts during playback if inconsistencies are found.

    Specifies if the action macro should be scanned for inconsistencies between the current drawing state and the drawing state when the macro was recorded.

Exit

Stops and saves the action macro recording with the specified name.


ACTUSERINPUT (Quick Reference)

-ACTSTOP
ACTUSERINPUT
ACTUSERMESSAGE
Commands > A commands >
ACTUSERINPUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pauses for user input in an action macro.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Pause for User Input.
Command entry: actuserinput (or 'actuserinput for transparent use)

Summary

The next recorded action is set to pause for user input when the action macro is played back. When a pause for user input is added to an action, the icon for the action in the Action tree displays a small black silhouette of a person in the lower-right corner and the text assigned to the action node is displayed in italic font.

You can insert a pause for user input by selecting the value node in the Action tree that you want to pause and provide input for during playback.


ACTUSERMESSAGE (Quick Reference)

ACTUSERINPUT
ACTUSERMESSAGE
Insert User Message Dialog Box
Commands > A commands >
ACTUSERMESSAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a user message into an action macro.

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Insert Message.
Command entry: actusermessage (or 'actusermessage for transparent use)

Summary

The Insert User Message dialog box is displayed.

If you enter -actusermessage at the Command prompt, options are displayed.

You can insert a message into an action macro by selecting an action in the Action tree, and then entering the text that you want displayed during playback.


Insert User Message Dialog Box (Quick Reference)

ACTUSERMESSAGE
ACTUSERMESSAGE
-ACTUSERMESSAGE
Commands > A commands > ACTUSERMESSAGE >
Insert User Message Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Action Recorder panel [image] Insert Message.
Command entry: actusermessage (or 'actusermessage for transparent use)

Summary

Inserts a user message that is displayed when the action macro is played back.


-ACTUSERMESSAGE (Quick Reference)

Insert User Message Dialog Box
ACTUSERMESSAGE
ADCCLOSE
Commands > A commands > ACTUSERMESSAGE >
-ACTUSERMESSAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a user message into an action macro

Access Methods

Command entry: -actusermessage (or '-actusermessage for transparent use)

Summary

Inserts a user message that is displayed when the action macro is played back. Click Close to continue playback.

List of Prompts

Enter a message to display during playback <exit>: Enter a message and press ENTER, or press ENTER to exit the command

NoteYou can enter a maximum of 256 characters for the user message.


ADCCLOSE (Quick Reference)

-ACTUSERMESSAGE
ADCCLOSE
ADCENTER
Commands > A commands >
ADCCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes DesignCenter.

Command entry: adcclose

Closes the DesignCenter™ window.


ADCENTER (Quick Reference)

ADCCLOSE
ADCENTER
DesignCenter Window
Commands > A commands >
ADCENTER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages and inserts content such as blocks, xrefs, and hatch patterns.

Access Methods

Button

Ribbon: Insert tab [image] Content panel [image] DesignCenter
Toolbar: Standard
Menu: Tools [image] Palettes [image] DesignCenterAt the Command prompt, enter adcenter.
Command entry: adcenter

Summary

The DesignCenter is displayed.

NoteThe DesignCenter Online (DC Online tab) is disabled by default. You can enable it from the CAD Manager Control utility.


DesignCenter Window (Quick Reference)

ADCENTER
ADCENTER
Search Dialog Box
Commands > A commands > ADCENTER >
DesignCenter Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Content panel [image] DesignCenter
Toolbar: Standard
Menu: Tools [image] Palettes [image] DesignCenterAt the Command prompt, enter adcenter.
Command entry: adcenter

Summary

Browses, finds, and previews content, and inserts content, which includes blocks, hatches, and external references (xrefs).

Use the buttons in the toolbar at the top of DesignCenter for display and access options.

When you click the Folders tab or the Open Drawings tab, the following two panes are displayed from which you can manage drawing content:

  • Content area (right pane)
  • Tree view (left pane)
    NoteThe DesignCenter Online (DC Online tab) is disabled by default. You can enable it from the CAD Manager Control utility.

Content Area (DesignCenter)

Displays the content of the "container" currently selected in the tree view. A container is a network, computer, disk, folder, file, or web address (URL) containing information accessible by DesignCenter. Depending on the container selected in tree view, the content area typically displays the following:

  • Folders containing drawings or other files
  • Drawings
  • Named objects contained in drawings (named objects include blocks, xrefs, layouts, layers, dimension styles, table styles, multileader styles, and text styles)
  • Images or icons representing blocks or hatch patterns
  • Web-based content
  • Custom content developed by third-party applications

From the content area, you can insert blocks or hatch patterns or attach external references in a drawing by dragging, by double-clicking, or by right-clicking and choosing Insert Block, Attach Xref, or Copy. You can drag or right-click to add other content to drawings, such as layers, dimension styles, and layouts. You can drag blocks and hatches from DesignCenter to tool palettes.

NoteYou can access relevant content area and tree view options on a shortcut menu by right-clicking in the tree view or the content area.

Load

Displays the Load dialog box (a standard file selection dialog box). Use Load to navigate to files on local and network drives or on the Web, and then to select content to load in the content area.

Back

Returns to the most recent location in the history list.

Forward

Returns to the next later location in the history list.

Up

Displays the contents of the container one level above the current container.

Stop (DC Online tab)

Stops the current transfer.

Reload (DC Online tab)

Reloads the current page.

Search

Displays the Search dialog box, where you can specify search criteria to locate drawings, blocks, and nongraphical objects within drawings.

Search also displays custom content saved on your desktop.

Favorites

Displays the contents of the Favorites folder in the content area. The Favorites folder contains shortcuts to items you access often. You can add items to Favorites either by right-clicking the content area or right-clicking an item in the tree view, and then clicking Add to Favorites. To delete an item from Favorites, use the Organize Favorites option on the shortcut menu and then use the Refresh option on the shortcut menu.

NoteThe DesignCenter folder is automatically added to Favorites. This folder contains drawings with discipline-specific blocks that you can insert in drawings.

Home

Returns DesignCenter to your home folder. On installation, the home folder is set to ...\Sample\DesignCenter. Change the home folder using the shortcut menu in the tree view.

Tree View Toggle

Displays and hides the tree view. Hide the tree view if you need more space in your drawing area. When the tree view is hidden, you can use the content area to navigate to containers and to load content.

The Tree View Toggle button is not available while you're using the History list in the tree view.

Preview

Displays and hides a preview of the selected item in a pane below the content area. If there is no preview image saved with the selected item, the Preview area is empty.

Description

Displays and hides a text description of the selected item in a pane below the content area. If a preview image is also displayed, the description is displayed below it. If there is no description saved with the selected item, the Description area is empty.

Views

Provides different display formats for the content that is loaded in the content area. You can select a view from the Views list or click the Views button repeatedly to cycle through the display formats. The default view varies for the type of content currently loaded in the content area.

Large Icon

Displays the names of the loaded content in large icon format.

Small Icon

Displays the names of the loaded content in small icon format.

List View

Displays the names of the loaded content in a list.

Detail View

Displays additional information about the loaded content. You can sort the items by name, size, type, and other properties, depending on the type of content that is loaded in the content area.

Refresh (Shortcut Menu Only)

Refreshes the display in the content area to reflect any changes you have made. Right-click the content area background and click Refresh on the shortcut menu.

Autodesk Seek Design Content

Opens a web browser and displays the Autodesk Seek (SEEK) home page. Product design information available on Autodesk Seek depends on what content providers, both corporate partners and individual contributors, publish to Autodesk Seek (SHAREWITHSEEK). Such content could include 3D models, 2D drawings, specifications, brochures, or descriptions of products or components.

Tree View (DesignCenter)

Displays the hierarchy of files and folders on your computer and network drives, a list of open drawings, custom content, and a history of the last locations you accessed. Select an item in the tree view to display its contents in the content area.

NoteIn the sample\designcenter folder are drawings containing discipline-specific blocks that you can insert in drawings. These drawings are called symbol library drawings.

Use the buttons in the toolbar at the top of DesignCenter to access tree view options.

Folders

Displays the hierarchy of files and folders on your computer and network drives, including My Computer and Network Neighborhood.

You can use ADCNAVIGATE to navigate to a specific file name, directory location, or network path in the DesignCenter tree view. See ADCNAVIGATE.

Open Drawings

Displays all drawings open in the current work session, including drawings that are minimized.

History

Displays a list of the files that you opened most recently in DesignCenter. With the history displayed, right-click a file to display information about the file or to delete the file from the History list.

DC Online

Accesses the DesignCenter Online web page. When you establish a web connection, two panes are viewed on the Welcome page. The left side displays folders containing symbol libraries, manufacturer sites, and additional content libraries. When a symbol is selected, it is displayed on the right side and can be downloaded into your drawing.


Search Dialog Box (Quick Reference)

DesignCenter Window
ADCENTER
ADCNAVIGATE
Commands > A commands > ADCENTER >
Search Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Content panel [image] DesignCenter
Toolbar: Standard
Menu: Tools [image] Palettes [image] DesignCenterAt the Command prompt, enter adcenter.
Command entry: adcenter

Searches for content such as drawings, hatch patterns, and blocks.

Look For

Specifies the type of content to search for. The content type you specify determines which tabs are displayed in the Search dialog box and the search fields it provides. The Date Modified and Advanced tabs are displayed only when the Drawings option is selected in Look For.

In

Specifies a search path name. To enter multiple paths, separate them with semicolons. Use Browse to select a path from a tree view list.

Browse

Displays a tree view in the Browse for Folder dialog box, in which you can specify the drives and folders to search.

Search Subfolders

Includes subfolders in the search path.

Search Now

Starts the search based on criteria you specify.

Stop

Stops the search and displays the accumulated results in the Search Results panel.

New Search

Clears the Search For the Word(s) box and places the cursor in the box.

Search Results Panel

Displays the results of the search in resizable columns at the bottom of the window. Double-click an item to load it into DesignCenter.

Search Tabs (Search Dialog Box)

Display search fields relevant to the type of content specified in the Look For list. The name of the tab reflects the content type. You can use wild-card characters to extend or limit your search patterns.

Search for the Word(s)

Specifies the text string to look for in the field you specify. Use the asterisk and question mark wild-card characters to broaden your search.

  • * (Asterisk): Matches any string and can be used anywhere in the search string.
  • ? (Question mark): Matches any single character; for example, ?BC matches ABC, 3BC, and so on.

This option is available on the Drawings tab and, when available, the Custom Content tab.

In the Field(s)

Specifies the property fields to search. For drawings, all fields other than File Name are derived from the information entered in the Drawing Properties dialog box (DWGPROPS).

This option is available on the Drawings tab and the Custom Content tab.

NoteCustom content developed by third-party applications may not provide fields for searches using the Search dialog box.
Search for the Name

Specifies the name of the drawing, block, layer, xref, or other content type that you want to find.

This option is available on all tabs except Drawings and Custom Content.

Date Modified Tab (Search Dialog Box)

Finds content that was created or modified during a certain time period.

All Files

Finds all the files that match the criteria you specify on other tabs, regardless of creation date or date modified. This is the default setting.

Find All Files Created or Modified

Finds files created or modified during a specific time period. The search locates files that match the criteria you specify on this and other tabs.

Between

Searches for files created or modified between the dates you specify.

During the Previous Month(s)

Searches for files created or modified within the number of months you specify.

During the Previous Day(s)

Searches for files created or modified within the number of days you specify.

Advanced Tab (Search Dialog Box)

Finds content within drawings; this tab is available only when you select Drawings in Look For.

Containing

Specifies the type of text in a drawing that you want to search for. For example, you can search for text contained within a block attribute, such as a manufacturer's catalog number.

Containing Text

Specifies the text you want to search for.

Size Is

Specifies a minimum or maximum file size. Select At Least or At Most, and enter a value in KB.


ADCNAVIGATE (Quick Reference)

Search Dialog Box
ADCNAVIGATE
ADJUST
Commands > A commands >
ADCNAVIGATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Loads a specified DesignCenter drawing file, folder, or network path.

Command entry: adcnavigate

Enter pathname <current>:

The path or drawing file name you specify is loaded in the tree view of the DesignCenter Folders tab.

At the prompt, you can enter a path in any of the following formats:

  • Folder path: c:\project files\electrical
  • Folder path and a file name: c:\project files\electrical\circuit2.dwg
  • UNC (universal naming convention) network path: \\server1\campus_project

DesignCenter is displayed, with the Folder tab active, and the path or drawing file that you specified is loaded.

ADCNAVIGATE supports remote domains or workgroups if you have the target domain or workgroup mapped to a drive letter.


ADJUST (Quick Reference)

ADCNAVIGATE
ADJUST
ALIGN
Commands > A commands >
ADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjusts the fade, contrast and monochrome settings of the selected image or underlay (DWF, DWFx, PDF, or DGN).

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Adjust.Does not exist on the ribbon.
Command entry: adjust

Summary

With the ADJUST command, you can control several display settings for selected images and underlays (DWF, DWFx, PDF, and DGN underlays). To confirm the settings, use the Properties palette.

List of Prompts

The list of prompts depends on whether you select one or more images, or one or more underlays.

Images

Fade

Controls the fade effect in the image. Values range from 0 through 100. The greater the value, the lighter that the image appears. This setting works indirectly with the contrast effect; a higher contrast value blends the image into the background when fade is set to a higher value.

Contrast

Controls the contrast, and indirectly the fading effect in the image. Values range from 0 through 100. The greater the value, the stronger the contrast.

Brightness

Controls the brightness, and indirectly, the contrast in the image. Values range from 0 through 100. The greater the value, the brighter the image and the more pixels that become white when you increase contrast.

Underlays

Fade

Controls the fade effect in the underlay. Values range from 0 through 100. The greater the value, the lighter that the linework in the underlay appears. This setting works indirectly with the contrast effect; a higher contrast value blends the underlay into the background when fade is set to a higher value.

Contrast

Controls the contrast, and indirectly the fading effect in the underlay. Values range from 0 through 100. The greater the value, the stronger the contrast.

Monochrome

Controls the color saturation of all areas while maintaining the luminance. When turned on, the underlay appears in shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest areas displaying as white, and the lightest areas displaying as black.


ALIGN (Quick Reference)

ADJUST
ALIGN
AMECONVERT
Commands > A commands >
ALIGN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Aligns objects with other objects in 2D and 3D

Menu: Modify [image] 3D Operations [image] AlignAt the Command prompt, enter align.
Command entry: align

Select objects: Select the objects to align and press ENTER

Specify either one, two, or three pairs of source points and definition points to align the selected objects.

ALIGN Using One Pair of Points

Specify first source point: Specify a point (1)

Specify first destination point: Specify a point (2)

Specify second source point: Press ENTER

When you select only one source point and destination point pair, the selected objects move in 2D or 3D from the source point (1) to the destination point (2).

ALIGN Using Two Pairs of Points

Specify first source point: Specify a point (1)

Specify first destination point: Specify a point (2)

Specify second source point: Specify a point (3)

Specify second destination point: Specify a point (4)

Specify third source point: Press ENTER

Scale objects based on alignment points [Yes/No] <No>: Enter y or press ENTER

When you select two point pairs, you can move, rotate, and scale the selected objects in 2D or 3D to align with other objects.

The first set of source and destination points defines the base point for the alignment (1, 2). The second set of points defines the angle of rotation (3, 4).

After you enter the second set of points, you are prompted to scale the object. The distance between the first and second destination points (2, 4) is used as the reference length to which the object is scaled. Scaling is available only when you are aligning objects using two point pairs.

NoteIf you use two source and destination points to perform a 3D alignment on nonperpendicular working planes, you get unpredictable results.
ALIGN Using Three Pairs of Points

Specify first source point: Specify a point (1)

Specify first destination point: Specify a point (2)

Specify second source point: Specify a point (3)

Specify second destination point: Specify a point (4)

Specify third source point: Specify a point (5)

Specify third destination point: Specify a point (6)

When you select three point pairs, you can move and rotate the selected objects in 3D to align with other objects.

The selected objects move from the source point (1) to the destination point (2).

The selected object is rotated (1 and 3) so that it aligns with the destination object (2 and 4).

The selected object is then rotated again (3 and 5) so that it aligns with the destination object (4 and 6).


AMECONVERT (Quick Reference)

ALIGN
AMECONVERT
ANIPATH
Commands > A commands >
AMECONVERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Converts AME solid models to AutoCAD solid objects.

Command entry: ameconvert

Select objects: Use an object selection method

The objects you select must be Advanced Modeling Extension (AME) Release 2 or 2.1 regions or solids. All other objects are ignored.

Because of increased accuracy in the new solid modeler, AME models may look slightly different after conversion. This difference is noticeable where the previous version of the solid modeler identified the surfaces of two different shapes as so close as to be considered in the same plane. The new solid modeler's finer tolerance may interpret these surfaces as being slightly offset. This phenomenon is most apparent with aligned features such as fillets, chamfers, and through-holes.

Holes might become blind holes when the new modeler, with its much finer approximation capability, interprets what was once a through-hole as being slightly less wide than the solid. Typically, the length of the remaining solid material is the difference between the tolerance of the previous modeler and that of the new modeler.

Likewise, updated fillets or chamfers can occasionally be placed slightly below the surface, creating a hole through the solid, leaving the original shape unaltered. Also, drawing fillets or chamfers slightly above the original surface creates an uneven transition between the solid and the fillet or chamfer.


ANIPATH (Quick Reference)

AMECONVERT
ANIPATH
Motion Path Animation Dialog Box
Commands > A commands >
ANIPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves an animation file of a camera moving or panning in a 3D model.

Access Methods

Ribbon: Tools tab [image] Animations panel [image] Animation Motion Path. Not available on the ribbon in the current workspace
Menu: View [image] Motion Path AnimationsAt the Command prompt, enter anipath.
Command entry: anipath

Summary

The Motion Path Animation dialog box is displayed.


Motion Path Animation Dialog Box (Quick Reference)

ANIPATH
ANIPATH
Animation Preview Dialog Box
Commands > A commands > ANIPATH >
Motion Path Animation Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Tools tab [image] Animations panel [image] Animation Motion Path. Not available on the ribbon in the current workspace
Menu: View [image] Motion Path AnimationsAt the Command prompt, enter anipath.
Command entry: anipath

Summary

Specifies settings for a motion path animation and creates an animation file.

A path object must be created first and then selected as the camera path or the target path. A path object can be a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.

Camera

Link Camera To

Links a camera to a static point or a motion path in a drawing.

Point

Links a camera to a static point in a drawing.

Path

Links a camera to a motion path in the drawing.

Pick Point/Select Path

Selects either the point where a camera is located or the path along which a camera travels, depending on whether Point or Path was selected.

Point/Path List

Displays a list of named points or paths to which you can link a camera. To create a path, you can link a camera to a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.

NoteWhen you create a motion path, a camera is automatically created. If you delete an object that you specified as a motion path, the named motion path is also deleted.

Target

Link Target To

Links a target to a point or a path.

If the camera is linked to a point, the target must be linked to a path. If the camera is linked to a path, you can link the target to either a point or a path.

Point

If the camera is linked to a path, links the target to a static point in the drawing.

Path

Links the target to a motion path in the drawing.

Pick Point/Select Path

Selects either the point or a path for the target, depending on whether Point or Path was selected.

Point/Path List

Displays a list of named points or paths to which you can link the target. To create a path, you can link a target to a line, arc, elliptical arc, circle, polyline, 3D polyline, or spline.

Animation Settings

Controls the output of the animation file.

Frame Rate (FPS)

The speed at which the animation will run, measured in frames per second. Specify a value from 1 to 60. The default value is 30.

Number of Frames

Specifies the total number of frames in the animation.

With the frame rate, this value determines the length of the animation. When you change this number, the Duration value is automatically recalculated.

Duration (seconds)

Specifies the duration (in sections) of the animation.

When you change this number, the Number of Frames value is automatically recalculated.

Visual Style

Displays a list of visual styles and render presets that you can apply to an animation file. See VISUALSTYLES and RENDERPRESETS for more information.

Format

Specifies the file format for the animation.

You can save an animation to an AVI, MOV, MPG, or WMV file format for future playback. The MOV format is available only if Apple QuickTime Player is installed. The WMV format is available and is the default selection only if Microsoft Windows Media Player 9 or later is installed. Otherwise, AVI is the default selection.

Resolution

Defines the width and height of the resulting animation in screen display units. The default value is 320 x 240.

Corner Deceleration

Moves a camera at a slower rate as it turns a corner.

Reverse

Reverses the direction of an animation.

When Previewing Show Camera Preview

Enables the display of the Animation Preview dialog box so you can preview the animation before you save it.

Preview

Displays the movement of the camera for the animation in the viewport. If “When Previewing Show Camera Preview” is checked, the Animation Preview dialog box also displays a preview of the animation.


Animation Preview Dialog Box (Quick Reference)

Motion Path Animation Dialog Box
ANIPATH
ANNORESET
Commands > A commands > ANIPATH >
Animation Preview Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Tools tab [image] Animations panel [image] Animation Motion Path. Not available on the ribbon in the current workspace
Menu: View [image] Motion Path AnimationsAt the Command prompt, enter anipath.
Command entry: anipath

Summary

Previews a motion path animation that you created with a motion path or 3D navigation.

Preview

Displays a preview of the animation you set up either in the Motion Path Animation dialog box or when walking or flying through an animation and recording it from the ribbon.

Play

Plays the animation preview. The Play button is disabled when an animation is already playing.

Record

Records the animation, starting from the current frame displayed in the Preview region. All frames following the current frame are overwritten. The Overwrite Confirmation warning is displayed to confirm that you intend to overwrite the existing frames. The Record button is disabled when an animation is playing.

Pause

Pauses the animation at the current frame displayed in the Preview region. After pausing an animation, the Pause button is disabled.

Save

Opens the Save As dialog box. You can save an animation to an AVI, MOV, MPG, or WMV file format for future playback. Once you save the animation, you are returned to the drawing. The Save button is disabled when an animation is playing.

Visual Style

Specifies the visual style displayed in the Preview region. The visual style is initially set to Current, which is the visual style defined in the active viewport. Choose from a list of preset and user-defined visual styles.

Slider

Moves frame-by-frame through the animation preview. You can move the slider to a specific frame in the animation. A tooltip displays the current frame and total number of frames in the animation.


ANNORESET (Quick Reference)

Animation Preview Dialog Box
ANNORESET
ANNOUPDATE
Commands > A commands >
ANNORESET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Resets the locations of all alternate scale representations of the selected annotative objects.

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Sync Scale PositionsNot available on the ribbon in the current workspace
Menu: Modify [image] Annotative Object Scale [image] Synchronize Multiple-Scale PositionsNot available in menus in the current workspace
Command entry: annoreset

Summary

The location of each scale representation of an annotative object can be adjusted using grips. For each selected annotative object, all alternate scale representations are returned to the location of the object’s current scale representation.

List of Prompts

The following prompts are displayed.

Select objects: Use an object selection method


ANNOUPDATE (Quick Reference)

ANNORESET
ANNOUPDATE
APERTURE
Commands > A commands >
ANNOUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates existing annotative objects to match the current properties of their styles.

Command entry: annoupdate

When a non-annotative text object is updated to an annotative text style, the object becomes annotative and supports the current annotation scale. If the text style has a fixed Paper Height, the object is set to that height. If the text style’s Paper Height is set to 0, the size of the text does not change. The Paper Height value is inferred by dividing the model height by the current annotation scale.

If an annotative object is updated to a non-annotative style, the object becomes non-annotative and any alternate scale representationsare removed.

Select objects: Use an object selection method


APERTURE (Quick Reference)

ANNOUPDATE
APERTURE
APPLOAD
Commands > A commands >
APERTURE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the size of the object snap target box.

Access Methods

Command entry: aperture (or 'aperture for transparent use)

Object snap target height (1-50 pixels) <current>: Enter a value (1-50) or press ENTER

Object snap applies only to objects inside or crossing the object snap target box. The APBOX system variable controls whether the object snap target box is displayed. The number of pixels you enter using APERTURE controls the size of the object snap box. The higher the number, the larger the target box. You can also change this setting in the Options dialog box, Drafting tab.

APERTURE controls the object snap target box, not the pickbox displayed at the Select Objects prompt. The object selection pickbox is controlled by the PICKBOX system variable.


APPLOAD (Quick Reference)

APERTURE
APPLOAD
Load/Unload Applications Dialog Box
Commands > A commands >
APPLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads and unloads applications and defines which applications to load at startup.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Load Application.Not available on the ribbon in the current workspace
Menu: Tools [image] Load ApplicationAt the Command prompt, enter appload.
Command entry: appload

Summary

The Startup Suite option loads the specified applications each time the product first starts. Application files can be dragged from the files list, or from any application with dragging capabilities.

The Load/Unload Applications dialog box is displayed.


Load/Unload Applications Dialog Box (Quick Reference)

APPLOAD
APPLOAD
Startup Suite Dialog Box
Commands > A commands > APPLOAD >
Load/Unload Applications Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Load ApplicationAt the Command prompt, enter appload.
Command entry: appload

Loads and unloads applications and specifies applications to be loaded at startup.

The options at the top of this dialog box are derived from the standard file selection dialog box. Following are descriptions of the additional options provided by the Load/Unload Applications dialog box:

Load

Loads or reloads the applications that are currently selected either in the files list or on the History List tab. Load is unavailable until you select a file that you can load. ObjectARX, VBA, and DBX applications are loaded immediately, but LSP, VLX, and FAS applications are queued and then loaded when you close the Load/Unload Applications dialog box.

If you select a file that is already loaded, Load reloads the application when applicable. You cannot reload ObjectARX applications. In this case, you must first unload the ObjectARX application and then load it again. The Load option is also available from a shortcut menu by right-clicking a file on the History List tab.

Loaded Applications

Displays an alphabetical list (by file name) of currently loaded applications. LISP routines are displayed in this list only if you loaded them in the Load/Unload Applications dialog box. You can drag files into this list from the files list or from any application with dragging capabilities, such as Microsoft® Windows® Explorer.

If you use the AutoCAD web browser to load an application, the web browser downloads the application to a temporary location on your machine. This is the location from which AutoCAD loads the application, as displayed in this list.

You can also unload certain applications from this list. See the Unload option for details. Files that you cannot unload are not available for selection.

History List

Displays an alphabetical list (by file name) of applications that you previously loaded with Add To History selected. You can drag files into this list from the files list, or from any application with dragging capabilities, such as Windows Explorer. If Add To History is not selected when you drag files into this list, the dragged files are loaded but not added to the history list.

You can load and remove applications from this list, but to unload applications, you must use the Loaded Applications tab. See the Load, Unload, and Remove options.

Add to History

Adds any applications that you load to the history list.

You may prefer to clear this option when loading applications with the AutoCAD web browser, because these applications are unavailable once the cache for the application's temporary location is emptied.

Unload/Remove

Unloads the selected applications or removes them from the History List. Unload is available only when a file is selected on the Loaded Applications tab. Remove is available only when you select a file on the History List tab.

LISP applications cannot be unloaded, nor can ObjectARX applications that are not registered for unloading.

Note that Remove does not unload the selected application. The Remove option is also available from a shortcut menu by right-clicking an application on the History List tab.

Startup Suite

Contains a list of applications that are loaded each time you start AutoCAD. You can drag application files from the files list, or from any application with dragging capabilities such as Windows Explorer, into the Startup Suite area to add them to the Startup Suite.

You cannot add applications that you load with the AutoCAD web browser to the Startup Suite.

Contents

Displays the Startup Suite dialog box. You can also add files to the Startup Suite by clicking the Startup Suite icon or by right-clicking an application on the History List tab and clicking Add to Startup Suite on the shortcut menu.

Status Line

Displays messages that indicate the status of loading and unloading operations.


Startup Suite Dialog Box (Quick Reference)

Load/Unload Applications Dialog Box
APPLOAD
ARC
Commands > A commands > APPLOAD >
Startup Suite Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Load ApplicationAt the Command prompt, enter appload.
Command entry: appload

Adds and removes application files from the Startup Suite. These are the applications that are loaded each time you start AutoCAD.

List of Applications

Displays an alphabetical list (by file name) of the application files to load at startup.

Add

Displays the Add File to Startup Suite dialog box. You can use this dialog box to select files to add to the startup suite.

Remove

Removes selected files from the Startup Suite.


ARC (Quick Reference)

Startup Suite Dialog Box
ARC
ARCHIVE
Commands > A commands >
ARC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an arc.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] 3-Point.Not available on the ribbon in the current workspace
Menu: Draw [image] ArcAt the Command prompt, enter arc.
Toolbar: Draw
Command entry: arc

Specify start point of arc or [Center]: Specify a point, enter c, or press ENTER to start tangent to last line, arc, or polyline

To create an arc, you can specify combinations of center, endpoint, start point, radius, angle, chord length, and direction values.

Start Point

Specifies the starting point of the arc.

NoteIf you press ENTER without specifying a point, the endpoint of the last drawn line or arc is used and you are immediately prompted to specify the endpoint of the new arc. This creates an arc tangent to the last drawn line, arc, or polyline.

Specify second point of arc or [Center/End]:

Second Point

Draws an arc using three specified points on the arc's circumference. The first point is the start point (1). The third point is the endpoint (3). The second point (2) is a point on the circumference of the arc.

Specify end point of arc: Specify a point (3)

You can specify a three-point arc either clockwise or counterclockwise.

Center

Specifies the center of the circle of which the arc is a part.

Specify center point of arc:

Specify end point of arc or [Angle/chord Length]:

End Point

Using the center point (2), draws an arc counterclockwise from the start point (1) to an endpoint that falls on an imaginary ray drawn from the center point through the third point (3).

The arc does not necessarily pass through this third point, as shown in the illustration.

Angle

Draws an arc counterclockwise from the start point (1) using a center point (2) with a specified included angle. If the angle is negative, a clockwise arc is drawn.

Specify included angle: Specify an angle

Chord Length

Draws either a minor or a major arc based on the distance of a straight line between the start point and endpoint.

If the chord length is positive, the minor arc is drawn counterclockwise from the start point. If the chord length is negative, the major arc is drawn counterclockwise.

Specify length of chord: Specify a length

End

Specifies the endpoint of the arc.

Specify end point of arc:

Specify center point of arc or [Angle/Direction/Radius]:

Center Point

Draws an arc counterclockwise from the start point (1) to an endpoint that falls on an imaginary ray drawn from the center point (3) through the second point specified (2).

Angle

Draws an arc counterclockwise from the start point (1) to an endpoint (2), with a specified included angle. If the angle is negative, a clockwise arc is drawn.

Specify included angle: Enter an angle in degrees or specify an angle by moving the pointing device counterclockwise

Direction

Begins the arc tangent to a specified direction. It creates any arc, major or minor, clockwise or counterclockwise, beginning with the start point (1), and ending at an endpoint (2). The direction is determined from the start point.

Specify tangent direction for the start point of arc:

Radius

Draws the minor arc counterclockwise from the start point (1) to the endpoint (2). If the radius is negative, the major arc is drawn.

Specify radius of arc:

Center

Specifies the center of the circle of which the arc is a part.

Specify center point of arc:

Specify start point of arc:

Specify end point of arc or [Angle/chord Length]:

End Point

Draws an arc counterclockwise from the start point (2) to an endpoint that falls on an imaginary ray drawn from the center point (1) through a specified point (3).

Angle

Draws an arc counterclockwise from the start point (2) using a center point (1) with a specified included angle. If the angle is negative, a clockwise arc is drawn.

Specify included angle:

Chord Length

Draws either a minor or a major arc based on the distance of a straight line between the start point and endpoint.

If the chord length is positive, the minor arc is drawn counterclockwise from the start point. If the chord length is negative, the major arc is drawn counterclockwise.

Specify length of chord:

Tangent to Last Line, Arc, or Polyline

Draws an arc tangent to the last line, arc, or polyline drawn when you press ENTER at the first prompt.

Specify end point of arc: Specify a point (1)


ARCHIVE (Quick Reference)

ARC
ARCHIVE
Archive a Sheet Set Dialog Box
Commands > A commands >
ARCHIVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Packages the current sheet set files for archive.

Access Methods

Button

Menu: Application menu [image] Publish [image] Archive
Command entry: archive

Summary

The Archive a Sheet Set dialog box is displayed.

If you enter -archive at the Command prompt, options are displayed.


Archive a Sheet Set Dialog Box (Quick Reference)

ARCHIVE
ARCHIVE
Modify Archive Setup Dialog Box
Commands > A commands > ARCHIVE >
Archive a Sheet Set Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Packages the current sheet set files for archive.

Access Methods

Button

Menu: Application menu [image] Publish [image] Archive
Command entry: archive

Summary

The Sheets tab lists the sheets to be included in the archive package in sheet order and according to subset organization. The Files Tree tab lists the files to be included in the package in a hierarchical tree format. The Files Table tab displays the files to be included in the package in a table format.

All files to be included in the archive package are indicated by a check mark next to the file name. To remove a file from the archive package, select the check box. Right-click in the file display area to display a shortcut menu, from which you can clear all check marks or apply check marks to all files.

NoteMake sure that the files to be archived are not currently open in any application.

Sheets Tab

Lists the sheets to be included in the archive package in sheet order and according to subset organization. A sheet set must be open in the Sheet Set Manager. Archive can be selected from the shortcut menu displayed when the top-level sheet set node is right-clicked, or archive can be entered at the Command prompt.

Files Tree Tab

Lists the files to be included in the archive package in a hierarchical tree format. By default, all files associated with the current drawing (such as related xrefs, plot styles, and fonts) are listed. You can add files to the archive package or remove existing files. Related files that are referenced by URLs are not included in the archive package.

Included

Reports the number of files included in the package and the size of the package.

Files Table Tab

Displays the files to be included in the archive package in a table format. By default, all files associated with the current drawing (such as related xrefs, plot styles, and fonts) are listed. You can add files to the archive package or remove existing files. Related files that are referenced by URLs are not included in the archive package.

Included

Reports the number of files included in the package and the size of the package.

Add a File

Opens a standard file selection dialog box, in which you can select an additional file to include in the archive package. This button is available on both the Files Tree tab and the Files Table tab.

Enter Notes to Be Included with This Archive

Provides a space where you can enter notes related to the archive package. The notes are included in the archive report. You can specify a template of default notes to be included with all your archive packages by creating an ASCII text file called archive.txt. This file must be saved to a location specified by the Support File Search Path option on the Files tab in the Options dialog box.

View Report

Displays report information that is included with the archive package. Includes any archive notes that you entered. If you have created a text file of default notes, the notes are also included in the report.

Save As

Opens a File Save dialog box, in which you can specify a location in which to save a report file. Note that a report file is automatically included with all archive packages that you generate; by choosing Save As, you can save an additional copy of a report file for reference purposes.

Modify Archive Setup

Displays the Modify Archive Setup dialog box, in which you can specify options for the archive package.


Modify Archive Setup Dialog Box (Quick Reference)

Archive a Sheet Set Dialog Box
ARCHIVE
Archive - Set Password Dialog Box
Commands > A commands > ARCHIVE >
Modify Archive Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: archive

Archive Type and Location

Specifies the type and location of archive package created.

Archive Package Type

Specifies the type of archive package created.

Archive Package Type | Description
Folder | Creates an archive package of uncompressed files in a new or existing folder.
Self-Extracting Executable | Creates an archive package of files as a compressed, self-extracting executable file. Double-clicking the resulting EXE file decompresses the archive package and restores the files.
Zip | Creates an archive package of files as a compressed ZIP file. To restore the files, you need a decompression utility such as the shareware application PKZIP or WinZip.
File Format

Specifies the file format to which all drawings included in the archive package will be converted. You can select a drawing file format from the drop-down list.

Archive File Folder

Specifies the location in which the archive package is created. Lists the last nine locations in which archive packages were created. To specify a new location, click Browse and navigate to the location you want.

If this field is left blank, the archive file is created in the folder containing the sheet set data (DST) file.

Archive File Name

Specifies the method for naming the archive package. Displays the default file name for the archive package. This option is not available if the archive package type is set to Folder.

Archive File Name Type | Description
Prompt for a File Name | Displays a standard file selection dialog box where you can enter the name of the archive package.
Overwrite if Necessary | Uses a logical default file name. If the file name already exists, the existing file is automatically overwritten.
Increment File Name if Necessary | Uses a logical default file name. If the file name already exists, a number is added to the end. This number is incremented each time a new archive package is saved.

Path Options

Provides options for the archive.

Use Organized Folder Structure

Duplicates the folder structure for the files being transmitted. The root folder is the top-level folder within a hierarchical folder tree.

The following considerations apply:

  • Relative paths remain unchanged. Relative paths outside the source root folder retain up to one level of the folder path above them, and are placed in the root folder.
  • Absolute paths within the root folder tree are converted to relative paths. Absolute paths retain up to one level of the folder path above them, and are placed in the root folder.
  • Absolute paths outside the root folder tree are converted to No Path and are moved to the root folder or to a folder within the root folder tree.
  • A Fonts folder is created, if necessary.
  • A PlotCfgs folder is created, if necessary.
  • A SheetSets folder is created to hold all support files for sheet sets, if necessary. The sheet set data (DST) file, however, is placed in the root folder.

This option is not available if you're saving an archive package to an Internet location.

Source Root Folder

Defines the source root folder for relative paths of drawing-dependent files, such as xrefs. This option determines the source root folder for the Use Organized Folder Structure option.

The source root folder also contains the sheet set data (DST) file when a sheet set is archived.

Place All Files in One Folder

All files are installed to a single, specified target folder when the archive package is created.

Keep Files and Folders As Is

Preserves the folder structure of all files in the archive package. This option is not available if you're saving an archive package to an Internet location.

Actions

Specifies the actions applicable to the archive package.

Set Default Plotter to 'None'

Changes the printer/plotter setting in the archive package to None.

Prompt for Password

Opens the Archive—Set Password dialog box, where you can specify a password for your archive package.

Purge Drawings

Does a complete purge of all the drawings in the archive.

NoteAs the purge is done in silent mode, you will not receive any notifications when the drawings have been removed.

Include Options

Specifies the various options available with the archive package.

Include Fonts

Includes any associated font files (TXT and SHX) with the archive package.

Include Files from Data Links

Adds external files referenced by a data link to the transmittal package.

Include Textures from Materials

Includes textures with materials that are attached to objects or faces.

Include Photometric Web Files

Includes photometric web files that are associated with web lights in the drawing.

Includes all unloaded external file references. The unloaded file references are listed in the Files Tree and Files Table and report under their appropriate category.

Include Sheet Set Data and Files

Includes the sheet set data (DST) file, label block drawing files, callout block drawing files, and drawing template (DWT) files with the archive package.


Archive - Set Password Dialog Box (Quick Reference)

Modify Archive Setup Dialog Box
ARCHIVE
-ARCHIVE
Commands > A commands > ARCHIVE >
Archive - Set Password Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: archive

Password for Compressed Archive Package

Provides a space for an optional password for the archive package. When others attempt to open the archive package, they must provide this password to access the files. Password protection cannot be applied to folder archive packages.

Password Confirmation

Provides a space to confirm the password that you entered in the Password field. If the two passwords do not match, you are prompted to reenter them.


-ARCHIVE (Quick Reference)

Archive - Set Password Dialog Box
ARCHIVE
AREA
Commands > A commands > ARCHIVE >
-ARCHIVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -archive at the Command prompt, the following prompts are displayed.

Sheet Set name or [?] <current>: Enter a predefined sheet set name, enter ? to display a list of sheet sets, or press ENTER

The sheet set name specifies a sheet set to use for the archive package. This option is available only when a sheet set is open.

Enter an option [Create archive package/Report only] <Create>: Enter an option or press ENTER

Password (press ENTER for none): Enter a password or press ENTER

You are only prompted for a password if you selected Prompt for Password in the archive setup.


AREA (Quick Reference)

-ARCHIVE
AREA
ARRAY
Commands > A commands >
AREA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Calculates the area and perimeter of objects or of defined areas.

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] AreaNot available on the ribbon in the current workspace
Menu: Tools [image] Inquiry [image] AreaNot available in menus in the current workspace
Command entry: area

Summary

Specify first corner point or [Object/Add Area/Subtract Area] <Object>: Select an option

The area and perimeter of the specified object displays at the Command prompt and in the tooltip.

Specify Corner Points

Calculates the area and perimeter defined by specified points. All points must lie in a plane parallel to the XY plane of the current user coordinate system (UCS).

Specify next point or [Arc/Length/Undo]: Select the next corner point of the object

A rubberband line from the first specified point to the cursor is displayed. Once the second point is specified, a line segment and a polygon with green fill are displayed.

Continue to specify points to define a polygon and then press ENTER to complete the definition of the perimeter. The area to be calculated is highlighted in green.

If you do not close the polygon, the area is calculated as if a line were drawn from the last point entered to the first. When the perimeter is calculated, that line length is added.

Specify next point or [Arc/Length/Undo]: Select the next corner point of the object

Specify next point or [Arc/Length/Undo/Total] <Total>

Specify an Object

Calculates the area and perimeter of a selected object. You can calculate the area of circles, ellipses, splines, polylines, polygons, regions, and 3D solids.

Note2D solids (created with the SOLID command) do not have an area reported.

Select object:

If you select an open polyline, the area is calculated as if a line were drawn from the last point entered to the first. When the perimeter is calculated that line length is ignored.

The centerline of a wide polyline is used to make area and perimeter calculations.

The centerline of a wide polyline is used to make area and perimeter (or length) calculations.

Add Area

Turns on Add mode and keeps a running balance of the total area as you continue to define areas. You can use the Add Area option to calculate individual areas and perimeters of defined areas and objects and the total area of all defined areas and objects.

Specify first corner point or [Object/Subtract area]: Specify a point or enter an option

If you select the option to select an object, you will see the following command prompt:

(ADD mode) Select objects: Select an object

You can also select to specify the points. A rubberband line from the first specified point to the cursor is displayed

Specify first corner point or [Object/Subtract area]: Specify a point or enter an option

(ADD mode)Specify next point or [Arc/Length/Undo]: Specify a point or enter an option

(ADD mode)Specify next point or [Arc/Length/Undo]: Specify a point or enter an option

(ADD mode)Specify next point or [Arc/Length/Undo/Total]: Specify a point or press ENTER for Total

Specify points to define a polygon (3). The area to be added is highlighted in green. Press ENTER. AREA calculates the area and perimeter and returns the total area of all the areas defined by selecting points or objects since Add mode was turned on.

If you do not close the polygon, the area is calculated as if a line were drawn from the last point entered to the first. When the perimeter is calculated, that line length is added.

Subtract Area

Similar to the Add Area option, but subtracts areas and perimeters. You can use the Subtract Area option to subtract a specified area from a total area.

Specify first corner point or [Object/Add Area]: Specify a point or enter an option

If you select the option to select an object, you will see the following command prompt:

(SUBTRACT mode) Select objects: Select an object

You can also specify the area to be subtracted with points. A rubberband line from the first specified point to the cursor is displayed.

Specify first corner point or [Object/Add area): Specify a point

(SUBTRACT mode)Specify next point or [Arc/Length/Undo]: Specify a point or enter an option

(SUBTRACT mode)Specify next point or [Arc/Length/Undo]: Specify a point or enter an option

(SUBTRACT mode)Specify next point or [Arc/Length/Undo/Total]: Specify a point or press ENTER for Total

The specified area to be subracted is highlighted in red.

The total area and perimeter displays at the Command prompt and in the tooltip.


ARRAY (Quick Reference)

AREA
ARRAY
Array Dialog Box
Commands > A commands >
ARRAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates multiple copies of objects in a pattern.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Array.Not available on the ribbon in the current workspace
Toolbar: Modify
Menu: Modify [image] ArrayNot available in menus in the current workspace
Command entry: array

Summary

You can create copies of objects in a regularly spaced rectangular or polar array.

The Array dialog box is displayed. You can create rectangular or polar arrays by choosing the appropriate option. Each object in an array can be manipulated independently. If you select multiple objects, the objects are treated as one item to be copied and arrayed.

If you enter -array at the Command prompt, options are displayed.


Array Dialog Box (Quick Reference)

ARRAY
ARRAY
-ARRAY
Commands > A commands > ARRAY >
Array Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Array.Not available on the ribbon in the current workspace
Menu: Modify [image] ArrayNot available in menus in the current workspace
Toolbar: Modify
Command entry: array

Creates multiple copies of objects in a pattern. Use the Rectangular Array option to create an array of rows and columns of copies of the selected object. Use the Polar Array option to create an array by copying the selected objects around a center point.

Other options: Select Objects, Preview Area, Preview.

Rectangular Array

Creates an array of rows and columns of copies of the selected object.

Rows

Specifies the number of rows in the array.

If you specify one row, you must specify more than one column. If you specify a large number of rows and columns for the array, it might take a while to create the copies. By default, the maximum number of array elements that you can generate in one command is 100,000. The limit is set by the MAXARRAY setting in the registry. To reset the limit to 200,000, for example, enter (setenv "MaxArray" "200000") at the Command prompt.

Columns

Specifies the number of columns in the array.

If you specify one column, you must specify more than one row. If you specify a large number of rows and columns for the array, it might take a while to create the copies. By default, the maximum number of array elements that you can generate in one command is 100,000. The limit is set by the MAXARRAY setting in the registry. To reset the limit to 200,000, for example, enter (setenv "MaxArray" "200000") at the Command prompt.

Offset Distance and Direction

Provides a space for you to specify the distance and direction of the array's offset.

Row Offset

Specifies the distance (in units) between rows. To add rows downward, specify a negative value. To specify row spacing with the pointing device, use the Pick Both Offsets button or the Pick Row Offset button.

Column Offset

Specifies the distance (in units) between columns. To add columns to the left, specify a negative value. To specify column spacing with the pointing device, use the Pick Both Offsets button or the Pick Column Offset button.

Angle of Array

Specifies the angle of rotation. This angle is normally 0, so the rows and columns are orthogonal with respect to the X and Y drawing axes of the current UCS. You can change the measurement conventions for angles using UNITS. The ANGBASE and ANGDIR system variables affect the angle of arrays.

Pick Both Offsets

Temporarily closes the Array dialog box so that you can use the pointing device to set the row and column spacing by specifying two diagonal corners of a rectangle.

Pick Row Offset

Temporarily closes the Array dialog box so that you can use the pointing device to specify the distance between rows. ARRAY prompts you to specify two points and uses the distance and direction between the points to specify the value in Row Offset.

Pick Column Offset

Temporarily closes the Array dialog box so that you can use the pointing device to specify the distance between columns. ARRAY prompts you to specify two points and uses the distance and direction between the points to specify the value in Column Offset.

Pick Angle of Array

Temporarily closes the Array dialog box so that you can specify the angle of rotation by entering a value or using the pointing device to specify two points. You can change the measurement conventions for angles using UNITS. The ANGBASE and ANGDIR system variables affect the angle of arrays.

Polar Array

Creates an array by copying the selected objects around a specified center point.

Center Point

Specifies the center point of the polar array. Enter coordinate values for X and Y, or choose Pick Center Point to use the pointing device to specify the location.

Pick Center Point

Temporarily closes the Array dialog box so that you can use the pointing device to specify the center point in the drawing area.

Method and Values

Specifies the method and values used to position objects in the polar array.

Method

Sets the method used to position objects. This setting controls which of the Method and Value fields are available for specifying values. For example, if the method is Total Number of Items & Angle to Fill, the related fields are available for specifying values; the Angle Between Items field is not available.

Total Number of Items

Sets the number of objects that appear in the resultant array. The default value is 4.

Angle to Fill

Sets the size of the array by defining the included angle between the base points of the first and last elements in the array. A positive value specifies counterclockwise rotation. A negative value specifies clockwise rotation. The default value is 360. A value of 0 is not permitted.

Angle Between Items

Sets the included angle between the base points of the arrayed objects and the center of the array. Enter a positive value. The default direction value is 90.

NoteYou can choose the Pick buttons and use the pointing device to specify the values for Angle to Fill and Angle Between Items.
Pick Angle to Fill

Temporarily closes the Array dialog box so that you can define the included angle between the base points of the first and last elements in the array. ARRAY prompts you to select a point relative to another point in the drawing area.

Pick Angle Between Items

Temporarily closes the Array dialog box so that you can define the included angle between the base points of the arrayed objects and the center of the array. ARRAY prompts you to select a point relative to another point in the drawing area.

Rotate Items as Copied

Rotates the items in the array, as shown in the preview area.

More/Less

Turns the display of additional options in the Array dialog box on and off. When you choose More, additional options are displayed, and the name of this button changes to Less.

Object Base Point

Specifies a new reference (base) point relative to the selected objects that will remain at a constant distance from the center point of the array as the objects are arrayed. To construct a polar array, ARRAY determines the distance from the array's center point to a reference (base) point on the last object selected. The point used depends on the type of object, as shown in the following table.

Base point settings by object
Object type | Default base point
Arc, circle, ellipse | Center point
Polygon, rectangle | First corner
Donut, line, polyline, 3D polyline, ray, spline | Starting point
Block, paragraph text, single-line text | Insertion point
Construction lines | Midpoint
Region | Grip point
Set to Object's Default

Uses the default base point of the object to position the arrayed object. To manually set the base point, clear this option.

Base Point

Sets a new X and Y base point coordinate. Choose Pick Base Point to temporarily close the dialog box and specify a point. After you specify a point, the Array dialog box is redisplayed.

NoteTo avoid unexpected results, set the base point manually if you are constructing a polar array and do not want to rotate the objects.

Select Objects

Specifies the objects used to construct the array. You can select objects before or after the Array dialog box is displayed. To select objects when the Array dialog box is displayed, choose Select Objects. The dialog box temporarily closes. When you finish selecting objects, press ENTER. The Array dialog box is redisplayed, and the number of objects selected is shown below the Select Objects button.

NoteIf you select multiple objects, the base point of the last selected object is used to construct the array.

Preview Area

Shows a preview image of the array based on the current settings in the dialog box. The preview image is dynamically updated when you move to another field after changing a setting.

Preview

Closes the Array dialog box and displays the array in the current drawing.

Pick or press ESC to return to dialog box or <Right-click to accept array>: Click anywhere in the drawing area or press escape to return to the Array dialog box or right-click to accept the array.


-ARRAY (Quick Reference)

Array Dialog Box
ARRAY
ARX
Commands > A commands > ARRAY >
-ARRAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -array at the Command prompt, the following prompts are displayed.

Select objects: Use an object selection method

Enter the type of array [Rectangular/Polar] <current>: Enter an option or press ENTER

Rectangular

Creates an array of rows and columns of copies of the selected objects.

Enter the number of rows (---) <1>:Enter a nonzero integer or press ENTER

Enter the number of columns (|||) <1>:Enter a nonzero integer or press ENTER

If you specify one row, you must specify more than one column and vice versa.

The selected object, or cornerstone element, is assumed to be in the lower-left corner, and generates the array up and to the right.

The specified distance between the rows and columns includes the corresponding lengths of the object to be arrayed.

Enter the distance between rows or specify unit cell (---):

To add rows downward, specify a negative value for the distance between rows. ARRAY skips the next prompt if you specify two points for the opposite corners of a rectangle.

Specify the distance between columns (|||):

To add columns to the left, specify a negative value for the distance between columns. Rectangular arrays are constructed along a baseline defined by the current snap rotation. This angle is normally 0, so the rows and columns are orthogonal with respect to the X and Y drawing axes. The Rotate option of the SNAP command changes the angle and creates a rotated array. The SNAPANG system variable stores the snap rotation angle.

If you specify a large number of rows and columns for the array, it might take a while to create the copies. By default, the maximum number of array elements that you can generate in one command is 100,000. The limit is set by the MAXARRAY setting in the registry. To reset the limit to 200,000, for example, enter (setenv "MaxArray" "200000") at the Command prompt.

Polar

Creates an array by copying the selected objects around a specified center point.

Specify center point of array or [Base]: Specify a point or enter b to specify a new base point

Center Point

Creates an array defined by a center point.

Base

Specifies a new reference (base) point relative to the selected objects that will remain at a constant distance from the center point of the array as the objects are arrayed.

Specify the base point of objects: Specify a point

Enter the number of items in the array: Enter a positive integer or press ENTER

If you enter a value for the number of items, you must specify either the angle to fill or the angle between items. If you press ENTER (and do not provide the number of items), you must specify both.

Specify the angle to fill (+=ccw, -=cw) <360>: Enter a positive integer for a counterclockwise rotation or a negative integer for a clockwise rotation

You can enter 0 for the angle to fill only if you specify the number of items.

If you specify an angle to fill without providing the number of items, or if you specify the number of items and enter 0 as the angle to fill or press ENTER, the following prompt is displayed:

Angle between items: Specify an angle

If you specified the number of items and entered 0 as the angle to fill or pressed ENTER, ARRAY prompts for a positive or negative value to indicate the direction of the array:

Angle between items (+=ccw, -=cw): Enter a positive integer for a counterclockwise rotation or a negative integer for a clockwise rotation

ARRAY determines the distance from the array's center point to a reference point on the last object selected. The reference point used is the center point of a circle or arc, the insertion base point of a block or shape, the start point of text, and one endpoint of a line or trace.

Rotate arrayed objects? <Y>: Enter y or n, or press ENTER

In a polar array, the reference point of the last object in the selection set is used for all objects. If you defined the selection set by using window or crossing selection, the last object in the selection set is arbitrary. Removing an object from the selection set and adding it back forces that object to be the last object selected. You can also make the selection set into a block and replicate it.


ARX (Quick Reference)

-ARRAY
ARX
ATTACH
Commands > A commands >
ARX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads, unloads, and provides information about ObjectARX applications.

Command entry: arx

Enter an option [?/Load/Unload/Commands/Options]:

? - List Applications

Lists the currently loaded ObjectARX applications, which can be third-party programs or internal applications such as Render.

Load

Displays the ObjectARX/DBX File dialog box (a standard file selection dialog box). This option loads the specified ObjectARX application.

Unload

Unloads the specified ObjectARX application.

Enter ARX/DBX file name to unload:

Commands

Lists the AcEd-registered commands (AcEd-registered commands are described in the ObjectARX Developer's Guide).

Options

Presents developer-related ObjectARX application options. These options are explained in greater detail in the ObjectARX Developer's Guide.

Enter an option [Group/CLasses/Services]: Enter an option or press ENTER

Group

Causes the specified group of commands to be the first group searched when resolving the names of AutoCAD commands.

Classes

Displays a class hierarchy of C++ classes derived from objects registered in the system.

Services

Lists the names of all registered services.


ATTACH (Quick Reference)

ARX
ATTACH
- ATTACH
Commands > A commands >
ATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts an external reference, image, or underlay (DWF, DWFx, PDF, or DGN files) in the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] AttachNot available on the ribbon in the current workspace
Command entry: attach

Summary

The Attach command opens the Select Reference File dialog box (a standard file selection dialog box). If Views [image] Preview is selected, a preview of the selected file is displayed.


- ATTACH (Quick Reference)

ATTACH
ATTACH
ATTACHURL
Commands > A commands > ATTACH >
- ATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts an external reference, image, or underlay (DWF, DWFx, PDF, or DGN files) in the current drawing.

Access Methods

Command entry: - attach

Summary

Attach an external reference, image, or underlay (DWF, DWFx, PDF, or DGN) file from the command line.

List of Prompts

The list of prompts differs depending on whether you are attaching an underlay, an image, or an external reference.

DWF and DWFx Underlay Prompts
Path to File

Enters the location of the DWF or DWFx file including the file name.

Sheet name

Enters a sheet name.

?

Enters multiple sheets.

*

Lists sheets available in the DWF or DWFx file.

Insertion point

Specify the location of the lower, left-hand corner of the underlay by clicking on screen or entering the X,Y coordinates.

Base Image Size

Displays the underlay’s height and width in units

Scale Factor

Resizes the underlay. For example, if the base image size is 36 x 24 and you enter a scale factor of 2, the underlay will display at 72 x 48.

Rotation

Sets an angle of rotation for the underlay.

PDF Underlay Prompts
Path to File

Enters the location of the PDF file including the file name.

Page Number

Enters a page number.

?

Enters multiple pages.

*

Lists pages available in the PDF file.

Insertion Point

Specifies the location of the lower, left-hand corner of the underlay by clicking on screen or entering the X,Y coordinates.

Base Image Size

Displays the underlay’s height and width in units

Scale Factor

Resizes the underlay. For example, if the base image size is 36 x 24 and you enter a scale factor of 2, the underlay will display at 72 x 48.

Rotation

Sets an angle of rotation for the underlay.

DGN Underlay Prompts
Path to File

Enters the location of the DGN file including the file name.

Name of Model

Enters a model name.

?

Enters multiple models.

*

Lists pages available in the DGN file.

Insertion Point

Specifies the location of the lower, left-hand corner of the underlay by clicking on screen or entering the X,Y coordinates.

Base Image Size

Displays the underlay’s height and width in units

Scale Factor

Resizes the underlay. For example, if the base image size is 36 x 24 and you enter a scale factor of 2, the underlay will display at 72 x 48.

Rotation

Sets an angle of rotation for the underlay.

Image Prompts
Path to File

Enters the location of the image file including the file name.

Insertion Point

Specifies the location of the lower, left-hand corner of the image by clicking on screen or entering the X,Y coordinates.

Base Image Size

Displays the image’s height and width in units

Scale Factor

Resizes the image. For example, if the base image size is 36 x 24 and you enter a scale factor of 2, the underlay will display at 72 x 48.

Rotation

Sets an angle of rotation for the underlay.

External Reference Prompts
Path to File

Enters the location of the external reference file including the file name.

Reference Type

Selects whether to attach this file as an underlay or an overlay. Press Enter to attach the file as an underlay (attachment).

NoteUnlike attached external references, overlaid external references are not included when the drawing is attached or overlaid as an external reference to another drawing.
Insertion Point

Specifies the location of the lower, left-hand corner of the external reference by clicking on screen or entering the X,Y coordinates.

Scale

Sets the scale factor for the X,Y, and Z axes. The scale for the Z axis is the absolute value of the specified scale factor.

  • Specify scale factor for XYZ axes: Enter a nonzero value
  • Specify insertion point:
  • Specify rotations angle <0>:
X, Y, Z

Sets the X, Y, and Z scale factor.

  • Specifies scale factor for XYZ axes: Enter a nonzero value
  • Specifies insertion point:
  • Specifies rotations angle <0>:
Rotate

Sets the rotation angle for both the individual blocks and the entire array.

PScale

Sets the scale factor for the X, Y, and Z axes to control the display of the block as it is dragged into position.

PX, PY, PZ

Sets the scale factor for the X, Y, and Z axes to control the display of the block as it is dragged into position.

PRotate

Sets the rotation angle of the block as it is dragged into position.

Base Image Size

Displays the external reference’s height and width in units

Scale Factor

Resizes the external reference. For example, if the base image size is 36 x 24 and you enter a scale factor of 2, the external reference will display at 72 x 48.

Unit

Changes the type of units to scale the external reference.


ATTACHURL (Quick Reference)

- ATTACH
ATTACHURL
ATTDEF
Commands > A commands >
ATTACHURL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Attaches hyperlinks to objects or areas in a drawing.

Command entry: attachurl

Enter hyperlink insert option [Area/Object] <Object>: Enter a or press ENTER

Area

Creates the URLLAYER layer, draws a polyline on that layer, and attaches a URL to the polyline.

First corner: Click in the drawing to indicate the lower-left corner of the area

Other corner: Click to indicate the upper-right corner of the area

Enter hyperlink <current drawing>: Enter a URL

The polyline that represents the area is displayed in the color assigned to URLLAYER. The default color is red. When you move the cursor over the area in the drawing, the cursor changes to a hyperlink cursor to indicate that a URL is attached to the area.

Object

Attaches a URL to the selected object.

Select objects: Use an object selection method, and press ENTER to end selection

Enter hyperlink <current drawing>: Enter a URL

When you move the cursor over the object in the drawing, the cursor changes to a hyperlink cursor to indicate that a URL is attached to the object.


ATTDEF (Quick Reference)

ATTACHURL
ATTDEF
Attribute Definition Dialog Box
Commands > A commands >
ATTDEF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an attribute definition for storing data in a block.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Define Attributes.Not available on the ribbon in the current workspace
Menu: Draw [image] Block [image] Define AttributesAt the Command prompt, enter attdef.
Command entry: attdef

Summary

The Attribute Definition dialog box is displayed.

If you enter -attdef at the Command prompt, options are displayed.

An attribute is an object that is created and included with a block definition. Attributes can store data such as part numbers, product names, and so on.


Attribute Definition Dialog Box (Quick Reference)

ATTDEF
ATTDEF
-ATTDEF
Commands > A commands > ATTDEF >
Attribute Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Define Attributes.Not available on the ribbon in the current workspace
Menu: Draw [image] Block [image] Define AttributesAt the Command prompt, enter attdef.
Command entry: attdef

Summary

Defines the mode; attribute tag, prompt, and value; insertion point; and text settings for an attribute.

Mode

Sets options for attribute values associated with a block when you insert the block in a drawing.

The default values are stored in the AFLAGS system variable. Changing the AFLAGS setting affects the default mode for new attribute definitions and does not affect existing attribute definitions.

Invisible

Specifies that attribute values are not displayed or printed when you insert the block. ATTDISP overrides Invisible mode.

Constant

Gives attributes a fixed value for block insertions.

Verify

Prompts you to verify that the attribute value is correct when you insert the block.

Preset

Sets the attribute to its default value when you insert a block containing a preset attribute.

Lock Position

Locks the location of the attribute within the block reference. When unlocked, the attribute can be moved relative to the rest of the block using grip editing, and multiline attributes can be resized.

Multiple Lines

Specifies that the attribute value can contain multiple lines of text. When this option is selected, you can specify a boundary width for the attribute.

NoteIn a dynamic block, an attribute's position must be locked for it to be included in an action's selection set.

Attribute

Sets attribute data.

Tag

Identifies each occurrence of an attribute in the drawing. Enter the attribute tag using any combination of characters except spaces. Lowercase letters are automatically changed to uppercase.

Prompt

Specifies the prompt that is displayed when you insert a block containing this attribute definition. If you do not enter a prompt, the attribute tag is used as a prompt. If you select Constant in the Mode area, the Prompt option is not available.

Default

Specifies the default attribute value.

Insert Field Button

Displays the Field dialog box. You can insert a field as all or part of the value for an attribute.

Multiline Editor Button

When Multiple Line mode is selected, displays an in-place text editor with a text formatting toolbar and ruler. Depending on the setting of the ATTIPE system variable, the Text Formatting toolbar displayed is either the abbreviated version, or the full version.

For more information, see the In-Place Text Editor.

NoteSeveral options in the full In-Place Text Editor are grayed out to preserve compatibility with single-line attributes.

Insertion Point

Specifies the location for the attribute. Enter coordinate values or select Specify On-screen and use the pointing device to specify the placement of the attribute in relation to the objects that it will be associated with.

Specify On-Screen

Displays a Start Point prompt when the dialog box closes. Use the pointing device to specify the placement of the attribute in relation to the objects that it will be associated with.

X

Specifies the X coordinate of the attribute's insertion point.

Y

Specifies the Y coordinate of the attribute's insertion point.

Z

Specifies the Z coordinate of the attribute's insertion point.

Text Settings

Sets the justification, style, height, and rotation of the attribute text.

Justification

Specifies the justification of the attribute text. See TEXT for a description of the justification options.

Text Style

Specifies a predefined text style for the attribute text. Currently loaded text styles are displayed. To load or create a text style, see STYLE.

Annotative

Specifies that the attribute is annotative. If the block is annotative, the attribute will match the orientation of the block. Click the information icon to learn more about annotative objects.

Text Height

Specifies the height of the attribute text. Enter a value, or choose Height to specify a height with your pointing device. The height is measured from the origin to the location you specify. If you select a text style that has fixed height (anything other than 0.0), or if you select Align in the Justification list, the Height option is not available.

Rotation

Specifies the rotation angle of the attribute text. Enter a value, or choose Rotation to specify a rotation angle with your pointing device. The rotation angle is measured from the origin to the location you specify. If you select Align or Fit in the Justification list, the Rotation option is not available.

Boundary Width

Specifies the maximum length of the lines of text in a multiple-line attribute before wrapping to the next line. A value of 0.000 means that there is no restriction on the length of a line of text.

Not available for single-line attributes.

Align Below Previous Attribute Definition

Places the attribute tag directly below the previously defined attribute. If you have not previously created an attribute definition, this option is not available.


-ATTDEF (Quick Reference)

Attribute Definition Dialog Box
ATTDEF
ATTDISP
Commands > A commands > ATTDEF >
-ATTDEF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -attdef at the Command prompt, the following prompts are displayed.

Current attribute modes: Invisible=current Constant=current Verify=current Preset=current Lock position=current Annotative =current Multiple line =current

Enter an option to change [Invisible/Constant/Verify/Preset/Lock position/Annotative/Multiple lines] <done>:

Enter attribute tag name: Enter any characters except spaces or exclamation points

Enter attribute value: Enter the appropriate text or press ENTER (this prompt is displayed only if you turned on Constant mode)

Enter attribute prompt: Enter the text for the prompt line or press ENTER (this prompt is not displayed if you turned on Constant mode)

Enter default attribute value: Enter the appropriate text or press ENTER (this prompt is not displayed if you turned on Constant mode)

Specify location of multiline attribute: Specify a point (this prompt is displayed only if you turned on Multiple line mode)

Specify opposite corner: Specify a point or enter an option (this prompt is displayed only if you turned on Multiple line mode)

Attribute Modes

The current value line indicates the current settings for each attribute mode (either Y for on or N for off). Entering i, c, v, p, l, a, or m toggles the modes on or off. Press ENTER when you have finished adjusting the mode settings. The AFLAGS system variable stores the current mode settings and can be used to set the default modes.

Invisible

Specifies that attribute values are displayed when you insert the block. ATTDISP overrides Invisible mode.

Constant

Gives attributes a fixed value for block insertions.

Verify

Prompts for verification that the attribute value is correct when you insert the block.

Preset

Sets the attribute to its default value when you insert a block containing a preset attribute.

Lock Position

Locks the location of the attribute within the block reference. When unlocked, the attribute can be moved relative to the rest of the block using grip editing, and multiline attributes can be resized.

NoteIn a dynamic block, an attribute's position must be locked for it to be included in an action's selection set.
Annotative

Specifies that the attribute is annotative.

Multiple Lines

Specifies that the attribute value can contain multiple lines of text. When this option is selected, you can specify a boundary width for the attribute.

Attribute Tag Name

Specifies the attribute tag, which identifies each occurrence of an attribute in the drawing. The tag can contain any characters except spaces or exclamation marks (!). Lowercase letters are automatically changed to uppercase.

Attribute Prompt

Specifies the prompt that is displayed when you insert a block containing this attribute definition. If you press ENTER, the attribute tag is used as the prompt. If you turn on Constant mode, this prompt is not displayed.

NoteFor single-line attributes, you can enter up to 256 characters. If you need leading blanks in the prompt or the default value, start the string with a backslash (\). To make the first character a backslash, start the string with two backslashes.

Default Attribute Value

Specifies the default attribute value. The default attribute value appears when a block is inserted into your drawing. A default value is not required. If you turn on Constant mode, the Attribute Value prompt is displayed instead.

When Multiple Line mode is off, -ATTDEF then displays the same prompts as the TEXT command, using the attribute tag instead of requesting a text string.

Current text style: "Standard" Text height: 0.2000

Specify start point of text or [Justify / Style]: Enter an option or press ENTER

Specify paper text height <current>: Specify a height, or press ENTER

The Specify Paper Text Height prompt is displayed only if the current text style is annotative.

For a description of each option, see TEXT.

NoteFor single-line attributes, you can enter up to 256 characters. If you need leading blanks in the prompt or the default value, start the string with a backslash (\). To make the first character a backslash, start the string with two backslashes.

When Multiple Line mode is on, -ATTDEF then displays several of the prompts used by the MTEXT command. For a description of each option, see MTEXT.

Attribute Value (Constant Mode)

Specifies the value for a constant attribute. This prompt is displayed only if you turn on Constant mode.

ATTDEF then displays the same prompts as the TEXT command, using the attribute tag instead of requesting a text string.

Current text style: "Standard" Text height: 0.2000

Specify start point of text or [Justify / Style]: Enter an option or press ENTER

For a description of each option, see TEXT.

When Multiple Line mode is on, -ATTDEF then displays several of the prompts used by the MTEXT command. For a description of each option, see MTEXT.

Location of Multiline Attribute (Multiple Line Mode)

Specifies the first corner of the bounding box for the multiple-line text. This location is used as the starting point for the attribute.

Opposite Corner (Multiple Line Mode)

As you drag the pointing device to specify the opposite corner, a rectangle is displayed to show the location and width of the multiple-line text. The arrow within the rectangle indicates the direction of the text flow.


ATTDISP (Quick Reference)

-ATTDEF
ATTDISP
ATTEDIT
Commands > A commands >
ATTDISP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the visibility overrides for all block attributes in a drawing.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Retain Attribute DisplayNot available on the ribbon in the current workspace
Menu: View [image] Display [image] Attribute DisplayNot available in menus in the current workspace
Command entry: attdisp (or 'attdisp for transparent use)

Summary

The drawing is regenerated after you change the visibility settings unless REGENAUTO, which controls automatic regeneration, is off. The current visibility of attributes is stored in the ATTMODE system variable.

List of Prompts

The following prompts are displayed.

Enter attribute visibility setting [Normal/ON/OFF] <current>:

Normal

Restores the visibility settings of each attribute. Visible attributes are displayed. Invisible attributes are not displayed.

On

Makes all attributes visible, overriding the original visibility settings.

Off

Makes all attributes invisible, overriding the original visibility settings.


ATTEDIT (Quick Reference)

ATTDISP
ATTEDIT
Edit Attributes Dialog Box
Commands > A commands >
ATTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Changes attribute information in a block.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Edit Attributes.Not available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Attribute [image] SingleAt the Command prompt, enter attedit.
Command entry: attedit

Summary

Select block reference: Select a block with attributes

The Edit Attributes dialog box is displayed to edit attribute values for a specific block.

If you enter -attedit at the Command prompt, options are displayed to edit attribute values and properties independent of a block.


Edit Attributes Dialog Box (Quick Reference)

ATTEDIT
ATTEDIT
-ATTEDIT
Commands > A commands > ATTEDIT >
Edit Attributes Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Edit Attributes.Not available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Attribute [image] SingleAt the Command prompt, enter attedit.
Command entry: attedit

Changes attribute information in a block.

To change attribute properties such as position, height, and style, use -ATTEDIT.

Block Name

Indicates the name of the selected block. The value of each attribute contained in the block is displayed in this dialog box.

List of Attributes

Displays the first eight attributes contained in the block. Edit the attribute values. If the block contains additional attributes, use Previous and Next to navigate through the list. You cannot edit attribute values on locked layers.

Multiple-line attributes display the In-Place Text Editor with the Text Formatting toolbar and the ruler. Depending on the setting of the ATTIPE system variable, the Text Formatting toolbar displayed is either the abbreviated version, or the full version.

To use a field as the value, right-click and click Insert Field on the shortcut menu to display the Field dialog box.

Previous

Displays the previous eight attribute values. Previous is available only if the selected block contains more than eight attributes and you used Next to display the additional attributes.

Next

Displays the next eight attribute values. If the block contains no additional attributes, Next is unavailable.


-ATTEDIT (Quick Reference)

Edit Attributes Dialog Box
ATTEDIT
ATTEXT
Commands > A commands > ATTEDIT >
-ATTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Modify [image] Object [image] Attribute [image] GlobalAt the Command prompt, enter attedit.
Command entry: -attedit

If you enter -attedit at the Command prompt, the following prompts are displayed.

Edit attributes one at a time? [Yes/No] <Y>: Enter y or press ENTER to edit attributes one at a time, or enter n to edit attributes globally

The following prompts filter the attributes to be changed based on attribute tag, current value, or object selection.

Yes

Edits attributes one at a time. Attributes to be edited one at a time must be visible and parallel to the current UCS.

Enter block name specification <*>: Press ENTER, or enter a block name or a partial block name with wild-card characters (? or *) to narrow the selection to specific blocks

Enter attribute tag specification <*>: Press ENTER, or enter a tag or a partial tag with wild-card characters (? or *) to narrow the selection to specific attributes

Enter attribute value specification <*>: Press ENTER, or specify a value or a value name with wild-card characters (? or *) to narrow the selection to specific attribute values

Attribute values are case sensitive.

Select Attributes: Select only attributes parallel to the current UCS

The first attribute in the selection set is marked with an X. You can change any properties of the attribute you select.

Enter an option [Value/Position/Height/Angle/Style/Layer/Color/Next] <N>: Enter the property to change, or press ENTER for the next attribute

If the original attribute was defined with aligned or fit text, the prompt does not include Angle. The Height option is omitted for aligned text. For each of the options except Next, ATTEDIT prompts for a new value. The X remains on the current attribute until you move to the next attribute.

Value

Changes or replaces an attribute value.

Enter type of value modification [Change/Replace]: Enter c or r or press ENTER

Change

Modifies a few characters of the attribute value.

Enter string to change: Enter string to change or press ENTER

Enter new string: Enter replacement string or press ENTER

Either string can be null. The ? and * characters are interpreted literally, not as wild-card characters.

Replace

Substitutes a new attribute value for the entire attribute value.

Enter new attribute value: Enter a new attribute value or press ENTER

If you press ENTER, the attribute value is empty (null).

Position

Changes the text insertion point.

Specify new text insertion point: Specify a point or press ENTER

If the attribute is aligned, ATTEDIT prompts for both ends of a new text baseline.

Height

Changes the text height.

Specify new height <current>: Enter a value, specify a point, or press ENTER

When you specify a point, the height becomes the distance between the specified point and the start point of the text.

Angle

Changes the rotation angle.

Specify new rotation angle <current>: Enter a value, specify a point, or press ENTER

If you specify a point, the text is rotated along an imaginary line between the specified point and the start point of the text.

Style

Changes the style setting.

Enter new text style: Enter a style name or press ENTER

Layer

Changes the layer.

Enter new layer name <current>: Enter a layer name or press ENTER

Color

Changes the color.

You can enter a color from the AutoCAD Color Index (a color name or number), a true color, or a color from a color book.

Enter new color [Truecolor/COlorbook]<BYLAYER>: Enter a color, enter t, enter co, or press ENTER

You can enter a color name, a color number between 1 and 255, or bylayer or byblock.

True Color

Specifies a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to be used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE®

If you enter a color book name, you are prompted to enter the color name in the color book.

Enter color name: Enter the name of a color included in the selected color book, such as PANTONE® 573

Next

Moves to the next attribute in the selection set. If there are no more attributes, ATTEDIT ends.

No

Edits more than one attribute at a time. Global editing applies to both visible and invisible attributes.

Editing attributes globally limits you to replacing a single text string with another text string. If you edit attributes one at a time, you can edit any or all of the attributes.

Performing global editing of attribute values.

Edit only attributes visible on screen? [Yes/No] <Y>: Enter y or press ENTER to edit only visible attributes, or enter n to edit all attributes

Yes

Edits only visible attributes.

Enter block name specification <*>: Press ENTER, or specify a block name or a partial block name with wild-card characters (? or *) to narrow the selection to specific blocks

Enter attribute tag specification <*>: Press ENTER, or specify a tag or a partial tag with wild-card characters (? or *) to narrow the selection to specific attributes

Enter attribute value specification <*>: Press ENTER, or specify a value or a partial value with wild-card characters (? or *) to narrow the selection to specific attribute values

Attribute values are case sensitive. To select empty (null) attributes, which normally are not visible and cannot be selected, enter a backslash (\).

Select Attributes: Select only attributes parallel to the current UCS

Select the attribute you want to change.

Enter string to change: Enter string to change or press ENTER

Enter new string: Enter replacement string or press ENTER

Either string can be empty (null). The ? and * characters are interpreted literally, not as wild-card characters.

No

Edits attributes whether they are visible or not. Changes to attributes are not reflected immediately. The drawing is regenerated at the end of the command unless REGENAUTO, which controls automatic regeneration, is off.

Enter block name specification <*>: Enter a full block name or a partial block name with wild-card characters (? or *), or press ENTER to select attributes in all blocks

Enter attribute tag specification <*>: Enter a full attribute tag name or a partial name with wild-card characters (? or *), or press ENTER to select attributes in all attribute tags

Enter attribute value specification <*>: Enter a full attribute value or a partial value with wild-card characters (? or *), or press ENTER to select all attributes

Attribute values are case sensitive. To select empty (null) attributes, which normally are not visible, enter a backslash (\).

The attributes that match the specified block name, attribute tag, and attribute value are selected.

Enter string to change: Enter the attribute value you want to change, or press ENTER to append a new value to the existing value(s)

Enter new string: Enter the new value to replace the specified value or to append to selected values

Either string can be empty (null). The ? and * characters are interpreted literally, not as wild-card characters.


ATTEXT (Quick Reference)

-ATTEDIT
ATTEXT
Attribute Extraction Dialog Box
Commands > A commands >
ATTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extracts attribute data, informational text associated with a block, into a file.

Command entry: attext

The Attribute Extraction dialog box is displayed.

If you enter -attext at the Command prompt, options are displayed.


Attribute Extraction Dialog Box (Quick Reference)

ATTEXT
ATTEXT
-ATTEXT
Commands > A commands > ATTEXT >
Attribute Extraction Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: attext

Specifies the file format for the attribute information, the objects from which you want to extract information, and the template and output file names for the information.

File Format

Sets the format for the file into which you are extracting the attribute data.

Comma Delimited File (CDF)

Generates a file containing one record for each block reference in the drawing that has at least one matching attribute tag in the template file. Commas separate the fields of each record. Single quotation marks enclose the character fields.

Space Delimited File (SDF)

Generates a file containing one record for each block reference in the drawing that has at least one matching attribute tag in the template file. The fields of each record have a fixed width; therefore, field separators or character string delimiters are not appropriate.

DXF Format Extract File (DXX)

Produces a subset of the AutoCAD Drawing Interchange File format containing only block reference, attribute, and end-of-sequence objects. DXF™ format extraction requires no template. The file name extension .dxx distinguishes the output file from normal DXF files.

Select Objects

Closes the dialog box so you can use the pointing device to select blocks with attributes. When the Attribute Extraction dialog box reopens, Number Found shows the number of objects you selected.

Number Found

Indicates the number of objects you selected using Select Objects.

Template File

Specifies a template extraction file for CDF and SDF formats. Enter the file name in the box, or choose Template File to search for existing template files using a standard file selection dialog box. The default file extension is .txt. If you select DXF under File Format, the Template File option is not available.

For information about creating a template file, see Attach Data to Blocks (Block Attributes) in the User's Guide.

Output File

Specifies the file name and location for the extracted attribute data. Enter the path and file name for the extracted attribute data, or choose Output File to search for existing template files using a standard file selection dialog box. The .txt file name extension is appended for CDF or SDF files and the .dxx file name extension for DXF files.


-ATTEXT (Quick Reference)

Attribute Extraction Dialog Box
ATTEXT
ATTIPEDIT
Commands > A commands > ATTEXT >
-ATTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -attext at the Command prompt, the following prompts are displayed.

Enter extraction type or enable object selection [Cdf/Sdf/Dxf/Objects] <C>: Enter an option or press ENTER

CDF: Comma-Delimited File

Generates a file containing one record for each block reference in the drawing. Commas separate the fields of each record. Single quotation marks enclose the character fields.

In the Select Template File dialog box, enter the name of an existing attribute extraction template file.

In the Create Extract File dialog box, enter the name for the output file. The extract file's file name extension is .txt for CDF or SDF format.

SDF: Space-Delimited File

Generates a file containing one record for each block reference in the drawing. The fields of each record have a fixed width; therefore, field separators or character string delimiters are not used.

In the Select Template File dialog box, enter the name of an existing attribute extraction template file.

In the Create Extract File dialog box, enter the name for the output file. The extract file's file name extension is .txt for CDF or SDF format.

DXF: Drawing Interchange File

Produces a subset of the AutoCAD Drawing Interchange File format containing only block reference, attribute, and end-of-sequence objects. DXF-format extraction requires no template. The file name extension .dxx distinguishes the output file from normal DXF files.

In the Create Extract File dialog box, enter the name for the output file. The extract file's file name extension is .dxx for DXF format.

Objects

Selects objects whose attributes you want to extract.

Select object: Use an object selection method

Enter attribute extraction type [Cdf/Sdf/Dxf] <C>: Enter an option or press ENTER


ATTIPEDIT (Quick Reference)

-ATTEXT
ATTIPEDIT
ATTREDEF
Commands > A commands >
ATTIPEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the textual content of an attribute within a block.

Command entry: attipedit

Select attribute to edit: Select an attribute within a block

If you select a single-line attribute, displays the In-Place Text Editor without the Text Formatting toolbar and the ruler. Right-click to display options.

If you select a multiple-line attribute, displays the In-Place Text Editor with the Text Formatting toolbar and the ruler. Depending on the setting of the ATTIPE system variable, the Text Formatting toolbar displayed is either the abbreviated version shown, or the full version.

Use the abbreviated version for compatibility with previous AutoCAD releases and editing operations. Use the full version for additional text formatting options.

NoteNot all MTEXT formatting options are available for multiline attributes even with the full In-Place Editor.

Mask the Objects Behind Attribute Text

If the text in a multiple-line attribute overlaps other objects within the block, you can hide those objects that interfere with the text with a background mask. Click the Options button in the Text Formatting toolbar and click Background Mask to display the Background Mask dialog box.


ATTREDEF (Quick Reference)

ATTIPEDIT
ATTREDEF
ATTSYNC
Commands > A commands >
ATTREDEF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Redefines a block and updates associated attributes.

Command entry: attredef

Enter the name of the block you wish to redefine:

Select objects for new block:

Select objects:

Insertion base point of new block: Specify a point

New attributes assigned to existing block references use their default values. Old attributes in the new block definition retain their old values. Any old attributes that are not included in the new block definition are deleted.

WarningATTREDEF removes any format or property changes made with the ATTEDIT or EATTEDIT commands. It also deletes any extended data associated with the block, and might affect dynamic blocks and blocks created by third-party applications.


ATTSYNC (Quick Reference)

ATTREDEF
ATTSYNC
AUDIT
Commands > A commands >
ATTSYNC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates block references with new and changed attributes from a specified block definition.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Synchronize Attributes.Not available on the ribbon in the current workspace
Toolbar: Modify II
Command entry: attsync

List of Prompts

Enter an option [?/Name/Select] <Select>:

You are prompted for the names of blocks you want to update with the current attributes defined for the blocks.

Use this command to update all instances of a block containing attributes that was redefined using the BLOCK or BEDIT commands. ATTSYNC does not change any values assigned to attributes in existing blocks.

NoteUse the ATTREDEF command to redefine and update blocks in one command.

Entering ? displays a list of all block definitions in the drawing. Enter the name of the block you want to update.

Pressing ENTER allows you to use your pointing device to select the block whose attributes you want to update.

If a block you specify does not contain attributes or does not exist, an error message is displayed, and you are prompted to specify another block.

WarningATTSYNC removes any format or property changes made with the ATTEDIT or EATTEDIT commands. It also deletes any extended data associated with the block, and might affect dynamic blocks and blocks created by third-party applications.


AUDIT (Quick Reference)

ATTSYNC
AUDIT
AUTOCONSTRAIN
Commands > A commands >
AUDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Evaluates the integrity of a drawing and corrects some errors.

Access Methods

Button

Menu: Application menu [image] Drawing Utilities [image] Audit
Command entry: audit

Summary

List of Prompts

Fix any errors detected? [Yes/No] <N>: Enter y or n, or press ENTER

For easy access, AUDIT places all objects for which it reports errors in the Previous selection set. However, editing commands affect only the objects that belong to the current paper space or model space.

If you set the AUDITCTL system variable to 1, AUDIT creates a text file describing problems and the action taken and places this report in the same folder as the current drawing, with the file extension .adt.

If a drawing contains errors that AUDIT cannot fix, use RECOVER to retrieve the drawing and correct its errors.


AUTOCONSTRAIN (Quick Reference)

AUDIT
AUTOCONSTRAIN
AUTOPUBLISH
Commands > A commands >
AUTOCONSTRAIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.

Access Methods

Button

Ribbon: Parametric tab [image] Geometric panel [image] Auto ConstrainNot available on the ribbon in the current workspace
Menu: Parametric [image] AutoConstrainNot available in menus in the current workspace
Toolbar: Parametric
Command entry: autoconstrain

List of Prompts

Select objects or [Settings] <Settings>: Select the objects to autoconstrain

You can apply geometric constraints to a selection set of geometry within the specified tolerance set using the AutoConstrain tab in the Constraint Settings dialog box.

Specify the Settings option to change the types of constraints applied, the order in which they are applied, and the applicable tolerances.

The Settings option displays the Constraint Settings dialog box with the Autoconstrain tab selected.


AUTOPUBLISH (Quick Reference)

AUTOCONSTRAIN
AUTOPUBLISH
Auto Publish Options Dialog Box
Commands > A commands >
AUTOPUBLISH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Publishes drawings to DWF, DWFx, or PDF files automatically to a specified location.

Access Methods

Command entry: autopublish

Summary

Publishes a drawing to a DWF, DWFx, or PDF file. The file format (DWF, DWFx, or PDF) is specified in the Auto Publish dialog box.

To view information about the published drawings, click the Plotting Details Report Available icon in the tray on the right side of the status bar. Clicking this icon opens the Plot and Publish Details dialog box, which provides information about your completed plot and publish jobs. This information is also saved to the Plot and Publish log file. The shortcut menu for this icon also provides an option to view the most recently published DWF, DWFx, or PDF file.

List of Prompts

AutoPublish DWF

Automatically publishes the drawing to a DWF, DWFx, or PDF file. The file format (DWF, DWFx, or PDF) is specified in the Auto Publish dialog box.

Location

Specifies a directory where the published drawings are stored. Opens Select a Folder for Generated Files dialog box (a standard file selection dialog box).


Auto Publish Options Dialog Box (Quick Reference)

AUTOPUBLISH
AUTOPUBLISH
BACKGROUND
Commands > A commands > AUTOPUBLISH >
Auto Publish Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Publishes drawings to DWF, DWFx, or PDF files automatically to a specified location.

Access Methods

Menu: Application menu [image] Options Not available in menus in the current workspace
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options. Select the Plot and Publish tab.
Command entry: options

Summary

Specifies options for publishing drawings to DWF, DWFx, or PDF files when you save or close a drawing file, or issue the AUTOPUBLISH command.

List of Options

This dialog box contains the following options:

Auto-Publish Options

Specifies where DWF or PDF files are saved when you publish drawing sheets.

Publish on

Specifies when the publishing takes place.

  • Save (Publishes when the drawing is saved)
  • Close (Publishes when the drawing is closed)
  • Prompt on Save (Publishes when the drawing is prompted to save)
  • Prompt on Close (Publishes when the drawing is prompted to close)
Location

Specifies a directory where exported files are saved when you publish drawings by selecting the following options in the list:

  • Drawing folder
  • DWF and PDF (sub-folder relative to Drawing folder)
  • Previously selected location

Click the [...] button to specify a new location to save the published drawings.

Include

Specifies whether to publish the model, the layouts or both the model and layouts are saved when you publish drawings.

General DWF/PDF options

Specifies options for creating a single-sheet or multi-sheet DWF, DWFx, and PDF files.

File Format

Specifies whether the DWG should be published as a DWF, DWFx, or PDF file.

Type

Specifies that a single-sheet or a multi-sheet is generated for all the sheets listed in the Publish dialog box.

Layer Information

Specifies whether layer information is included in the published DWF, DWFx, or PDF file.

NoteLayer information for 3D DWF entries does not get published.
Merge Control

Specifies whether overlapping lines overwrite (the top line hides the bottom line) or merge (the colors of the lines blend together).

DWF Data Options

Lists and allows you to specify the data that you can optionally include in the published file.

Password Protection

Specifies options for protecting DWF, DWFx, or PDF files with passwords.

Block Information

Specifies whether block property and attribute information is included in the published DWF, DWFx, or PDF files.

NoteYou must set block information to Include in order for block template file information to be available.
Block Template File

Allows you to create a new block template (DXE) file, edit an existing block template file, or use the settings of a previously created block template file.

Create opens the Publish Block Template dialog box, in which you can create a new block template.

Edit opens the Select Block Template dialog box (a standard file selection dialog box), in which you can select an existing block template to modify.


B commands

Auto Publish Options Dialog Box
Commands
BACKGROUND
Commands >
B commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • BACKGROUND

    Obsolete. BACKGROUND functionality has been merged into the VIEW command.

  • BACTION

    Adds an action to a dynamic block definition.

  • BACTIONBAR

    Displays or hides action bars for a selection set of parameter objects.

  • BACTIONSET

    Specifies the selection set of objects associated with an action in a dynamic block definition.

  • BACTIONTOOL

    Adds an action to a dynamic block definition.

  • BASE

    Sets the insertion base point for the current drawing.

  • BASSOCIATE

    Associates an action with a parameter in a dynamic block definition.

  • BATTMAN

    Manages the attributes for a selected block definition.

  • BATTORDER

    Specifies the order of attributes for a block.

  • BAUTHORPALETTE

    Opens the Block Authoring Palettes window in the Block Editor.

  • BAUTHORPALETTECLOSE

    Closes the Block Authoring Palettes window in the Block Editor.

  • BCLOSE

    Closes the Block Editor.

  • BCONSTRUCTION

    Converts geometry into construction geometry.

  • BCPARAMETER

    Applies constraint parameters to selected objects, or converts dimensional constraints to parameter constraints.

  • BCYCLEORDER

    Changes the cycling order of grips for a dynamic block reference.

  • BEDIT

    Opens the block definition in the Block Editor.

  • BESETTINGS

    Displays the Block Editor Settings dialog box.

  • BGRIPSET

    Creates, deletes, or resets grips associated with a parameter.

  • BHATCH

    Fills an enclosed area or selected objects with a hatch pattern or gradient fill.

  • BLIPMODE

    Controls the display of marker blips.

  • BLOCK

    Creates a block definition from selected objects.

  • BLOCKICON

    Generates preview images for blocks displayed in DesignCenter.

  • BLOOKUPTABLE

    Displays or creates a lookup table for a dynamic block definition.

  • BMPOUT

    Saves selected objects to a file in device-independent bitmap format.

  • BOUNDARY

    Creates a region or a polyline from an enclosed area.

  • BOX

    Creates a 3D solid box.

  • BPARAMETER

    Adds a parameter with grips to a dynamic block definition.

  • BREAK

    Breaks the selected object between two points.

  • BREP

    Removes the history from 3D solid primitives and composite solids.

  • BROWSER

    Launches the default web browser defined in your system's registry.

  • BSAVE

    Saves the current block definition.

  • BSAVEAS

    Saves a copy of the current block definition under a new name.

  • BTABLE

    Displays a dialog box to define variations of a block.

  • BTESTBLOCK

    Displays a window within the Block Editor to test a dynamic block.

  • BVHIDE

    Makes objects invisible in the current visibility state or all visibility states in a dynamic block definition.

  • BVSHOW

    Makes objects visible in the current visibility state or all visibility states in a dynamic block definition.

  • BVSTATE

    Creates, sets, or deletes a visibility state in a dynamic block.


BACKGROUND (Quick Reference)

Auto Publish Options Dialog Box
BACKGROUND
BACTION
Commands > B commands >
BACKGROUND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete. BACKGROUND functionality has been merged into the VIEW command.

Command entry: background

The Background dialog box is displayed


BACTION (Quick Reference)

BACKGROUND
BACTION
BACTIONBAR
Commands > B commands >
BACTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Adds an action to a dynamic block definition.

Access Methods

Command entry: bedit [image] baction

Summary

You can only use the BACTION command in the Block Editor. Actions define how the geometry of a dynamic block reference moves or changes when the custom properties of a block reference are manipulated in a drawing. You associate actions with parameters.

List of Prompts

The following prompts are displayed.

Select parameter: Select a parameter in the block definition with which to associate the action

Select action type [Array/Move/Scale/sTretch/Polar Stretch]: Select an action type to associate with the parameter (the available action types depend on the type of parameter selected)

If you select a rotation parameter, a rotate action is added to the dynamic block definition and associated with the selected parameter.

If you select a flip parameter, a flip action is added to the dynamic block definition and associated with the selected parameter.

If you select a lookup parameter, a lookup action is added to the dynamic block definition and associated with the selected parameter.

Array

Adds an array action to the current dynamic block definition. An array action can be associated with a linear, polar, or XY parameter. Specifies that the selection set of objects will array when the action is triggered in a dynamic block reference.

Specify selection set for action

Select objects: Select objects for the action's selection set

If you selected a linear or polar parameter, the following prompts are displayed:

Enter the distance between columns (|||): Enter a value for the distance between the columns of arrayed objects

If you selected an XY parameter, the following prompts are displayed:

Enter the distance between rows or specify unit cell (---): Enter a value for the distance between the rows or enter two values separated by a comma for each of the two points for a unit cell for the arrayed objects

Enter the distance between columns (|||): Enter a value for the distance between the columns of arrayed objects

Move

Adds a move action to the current dynamic block definition. A move action can be associated with a point, linear, polar, or XY parameter. Specifies that the selection set of objects will move when the action is triggered in a dynamic block reference.

If you selected a point parameter, the following prompts are displayed:

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Multiplier/Offset]: Specify a location in the block definition

If you selected a linear or polar parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location [Multiplier/Offset]: Specify a location in the block definition for the action

If you selected an XY parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [Base point/Second point/Xcorner/Ycorner] <Xcorner>: Specify a parameter point to associate with the action or press Enter to associate the action with the X corner

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Multiplier/Offset/XY]: Specify a location in the block definition for the action

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases by a specified number the angle of the associated parameter when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0

XY

Specifies whether the distance that is applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Scale

Adds a scale action to the current dynamic block definition. A scale action can only be associated with a linear, polar, or XY parameter. Specifies that the selection set of objects will scale relative to the base point defined by the scale action when the action is triggered in a dynamic block reference.

If you selected a linear or polar parameter, the following prompts are displayed:

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type]: Specify a location in the block definition for the action or enter base type to specify the type of base point

If you selected an XY parameter, the following prompts are displayed:

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type/XY]: Specify a location in the block definition for the action, enter base type to specify the type of base point, or enter xy to specify the distance type

Base Type

Specifies the type of base point to use for the action.

Enter base point type [Dependent/Independent] <Dependent>: Enter the type of base point for the action or press Enter to use a dependent base point

Dependent

Specifies that the dynamic block reference is scaled relative to the base point of the parameter with which the scale action is associated. An offset can be specified for the base point, which is maintained relative to the parameter.

Specify base point location <0,0>: Enter two values separated by a comma or press Enter to select 0,0

Independent

Specifies that the dynamic block reference is scaled relative to an independent base point you specify. An independent base point is shown in the Block Editor as an X marker.

Specify base point location <XY location of associated parameter's base point>: Enter two values separated by a comma or press Enter to select the location of the associated parameter's base point

XY

Specifies whether the distance applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Stretch

Adds a stretch action to the current dynamic block definition. A stretch action can be associated with a point, linear, polar, or XY parameter. Specifies that the selection set of objects will stretch or move when the action is triggered in a dynamic block reference.

If you selected a linear or polar parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to or remove from the action's selection set

Specify action location or [Multiplier/Offset]: Specify a location in the block definition for the action

If you selected an XY parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [Base point/Second point/Xcorner/Ycorner] <Xcorner>: Specify a parameter point to associate with the action or press Enter to associate the action with the X corner

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to or remove from the action's selection set

Specify action location or [Multiplier/Offset/XY]: Specify a location in the block definition for the action.

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases the angle of the associated parameter, by a specified number, when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0

XY

Specifies whether the distance that is applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Polar Stretch

Adds a polar stretch action to the current dynamic block definition. A polar stretch action can only be associated with a polar parameter. Specifies that the selection set of objects will stretch or move when the action is triggered in a dynamic block reference.

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to the action's selection set for the stretch action

Specify objects to rotate only

Select objects: Select objects that will rotate only and not stretch

Specify action location or [Multiplier/Offset]: Specify a location in the block definition for the action

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases the angle of the associated parameter, by a specified number, when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0

Rotate

Adds a rotate action to the current dynamic block definition. A rotate action can only be associated with a rotation parameter. Specifies that the selection set of objects will rotate when the action is triggered in a dynamic block reference.

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type]: Specify a location in the block definition for the action or enter base type to specify the type of base point

Base Type

Specifies the type of base point to use for the action.

Enter base point type [Dependent/Independent] <Dependent>: Enter the type of base point for the action or press Enter to use a dependent base point

Dependent

Specifies that the dynamic block reference rotates about the associated parameter's base point.

Specify base point location <current>: Enter two values separated by a comma or press Enter to select the current location of the parameter's base point

Independent

Specifies that the dynamic block reference rotates about a specified base point.

Specify base point location <XY location of associated parameter's base point>: Enter two values separated by a comma or press Enter to select the location of the associated parameter's base point

Flip

Adds a flip action to the current dynamic block definition. A flip action can only be associated with a flip parameter. Specifies that the selection set of objects will flip around the reflection line of the flip parameter when the action is triggered in a dynamic block reference.

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location: Specify a location in the block definition for the action

Lookup

Adds a lookup action to the current dynamic block definition. A lookup action can only be associated with a lookup parameter. When you add a lookup action to the block definition, the Property Lookup Table dialog box is displayed.


BACTIONBAR (Quick Reference)

BACTION
BACTIONBAR
BACTIONSET
Commands > B commands >
BACTIONBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays or hides action bars for a selection set of parameter objects.

Access Methods

Ribbon: Block Editor tab [image] Action Parameters panel
Command entry: bedit [image] bactionbar

Summary

You can only use the BACTIONBAR command in the Block Editor and when in Action Bar mode (BACTIONBARMODE system variable is set to 1). The BACTIONBAR command controls the display of action bars for parameter objects in the Block Editor. An action bar is a toolbar-like element that displays the actions associated with a parameter object.

List of Prompts

The following prompts are displayed.

Select parameters to show actions or [Showall/Hideall/RESet] <Show all>: Specify a parameter to show or hide the action bars

Showall

Displays all action bars for the parameter objects in the Block Editor. This is the default option if no constraint bars are displayed.

Hideall

Hides all action bars for the parameter objects in the Block Editor. This is the default option if any contraint bar is displayed.

Reset

Displays all action bars for the parameter objects in the Block Editor and resets to the default position relative to the parameters they are associated with.


BACTIONSET (Quick Reference)

BACTIONBAR
BACTIONSET
BACTIONTOOL
Commands > B commands >
BACTIONSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the selection set of objects associated with an action in a dynamic block definition.

Access Methods

Command entry: bedit [image] bactionset
Shortcut menu: Select an action in the block definition. Right-click in the Block Editor drawing area. Click Action Selection Set, and then click an option.
NoteThe BACTIONSET command is disabled when the BACTIONBARMODE system variable is set to 1.

Re-specifies the selection set of objects associated with an action by creating a new selection set or by adding to or removing objects from the existing selection set. You can only use the BACTIONSET command in the Block Editor.

Select action: Select an action in the current dynamic block definition

Specify selection set for action object [New/Modify] <New>: Enter modify to modify the existing selection set or press Enter to create a new selection set

New

If you selected a move, scale, rotate, flip, or array action, the following prompt is displayed:

Specify selection set for action

Select objects: Select objects for the new selection set and then press Enter

If you selected a stretch action, the following prompts are displayed:

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Select objects to stretch

Select objects: Select objects for the new selection set and then press Enter

If you selected a polar stretch action, the following prompts are displayed:

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to stretch

Specify objects to rotate only

Select objects: Select objects that will rotate only and not stretch

Modify

If you selected a move, scale, rotate, flip, or array action, the following prompt is displayed:

Select objects to add to action set or [Remove]: Select objects to add to or remove from the action's selection set that will rotate only and not stretch

If you selected a stretch action, the following prompts are displayed:

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Select objects to stretch

Select objects to add to action set or [Remove]: Select objects to add to or remove from the action's selection set

If you selected a polar stretch action, the following prompts are displayed:

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects to add to action set or [Remove]: Select objects to add to or remove from the action's selection set

Specify objects to rotate only

Select objects to add to action set or [Remove]: Select objects to add to or remove from the action's selection set that will rotate only and not stretch


BACTIONTOOL (Quick Reference)

BACTIONSET
BACTIONTOOL
BASE
Commands > B commands >
BACTIONTOOL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Adds an action to a dynamic block definition.

Access Methods

Ribbon: Block Editor tab [image] Action Parameters panel
Command entry: bedit [image] bactiontool

Summary

The BACTIONTOOL command is used in the Block Editor by action tools on the Actions tab of the Block Authoring palettes. Actions define how the geometry of a dynamic block reference moves or changes when the custom properties of a block reference are manipulated in a drawing. You associate actions with parameters.

List of Prompts

The following prompts are displayed.

Select action type [Array/Lookup/Flip/Move/Rotate/Scale/sTretch/Polar stretch]:

Array

Adds an array action to the current dynamic block definition. An array action can be associated with a linear, polar, or XY parameter. Specifies that the selection set of objects arrays when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

If you selected a linear or polar parameter, the following prompts are displayed:

Enter the distance between columns (|||): Enter a value for the distance between the columns of arrayed objects

Specify opposite corner: Specify a distance between columns or rows

Specify action location: Specify a location in the block definition for the action

If you selected an XY parameter, the following prompts are displayed:

Enter the distance between rows or specify unit cell (---): Enter a value for the distance between the rows or enter two values separated by a comma for each of the two points for a unit cell for the arrayed objects

Enter the distance between columns (|||): Enter a value for the distance between the columns of arrayed objects

Specify action location: Specify a location in the block definition for the action

Lookup

Adds a lookup action to the current dynamic block definition. A lookup action can only be associated with a lookup parameter. When you add a lookup action to the block definition, the Property Lookup Table dialog box is displayed.

Select parameter: Select a lookup parameter

Flip

Adds a flip action to the current dynamic block definition. A flip action can only be associated with a flip parameter. Specifies that the selection set of objects flips when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

Move

Adds a move action to the current dynamic block definition. A move action can be associated with a point, linear, polar, or XY parameter. Specifies that the selection set of objects moves when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

If you selected a point parameter, the following prompts are displayed:

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Multiplier/Offset]: Specify a location in the block definition for the action

If you selected a linear or polar parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Multiplier/Offset]: Specify a location in the block definition for the action

If you selected an XY parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [Base Point/Second point/Xcorner/Ycorner] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Multiplier/Offset/XY]: Specify a location in the block definition for the action

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases the angle of the associated parameter, by a specified number, when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0

XY

Specifies whether the distance applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Rotate

Adds a rotate action to the current dynamic block definition. A rotate action can only be associated with a rotation parameter. Specifies that the selection set of objects rotates when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type]: Specify a location in the block definition for the action or enter base type to specify the type of the base point

Base Type

Specifies the type of base point to use for the action.

Enter base point type [Dependent/Independent] <Dependent>: Enter the type of base point for the action or press Enter to use a dependent base point

Dependent

Specifies that the dynamic block reference rotates about the associated parameter's base point.

Specify base point location <current>: Enter two values separated by a comma or press Enter to select the current location of the parameter's base point

Independent

Specifies that the dynamic block reference rotates about a specified base point.

Specify base point location <XY location of associated parameter's base point>: Enter two values separated by a comma or press Enter to select the location of the associated parameter's base point

Scale

Adds a scale action to the current dynamic block definition. A scale action can only be associated with a linear, polar, or XY parameter. Specifies that the selection set of objects scales when the action is triggered in a dynamic block reference.

If you selected a linear or polar parameter, the following prompts are displayed:

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type]: Specify a location in the block definition for the action or enter base type to specify the type of base point

If you selected an XY parameter, the following prompts are displayed:

Select parameter: Select a parameter in the block definition to associate with the action

Specify selection set for action

Select objects: Select objects for the action's selection set

Specify action location or [Base type/XY]: Specify a location in the block definition for the action, enter base type to specify the type of base point, or enter xy to specify the distance type

Base Type

Specifies the type of base point to use for the action.

Enter base point type [Dependent/Independent] <Dependent>: Enter the type of base point for the action or press Enter to use a dependent base point

Dependent

Specifies that the dynamic block reference is scaled relative to the base point of the parameter with which the scale action is associated. An offset can be specified for the base point, which is maintained relative to the parameter.

Specify base point location <0,0>: Enter two values separated by a comma or press Enter to select 0,0

Independent

Specifies that the dynamic block reference is scaled relative to an independent base point you specify. An independent base point is shown in the Block Editor as an X marker.

Specify base point location <XY location of associated parameter's base point>: Enter two values separated by a comma or press Enter to select the location of the associated parameter's base point

XY

Specifies whether the distance that is applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Stretch

Adds a stretch action to the current dynamic block definition. A stretch action can be associated with a point, linear, polar, or XY parameter. Specifies that the selection set of objects will stretch or move when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

If you selected a linear or polar parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to or remove from the action's selection set

Specify action location or [Multiplier/Offset]: Specify a location in the block definition for the action

If you selected an XY parameter, the following prompts are displayed:

Specify parameter point to associate with action or enter [sTart point/Second point/Xcorner/Ycorner] <Xcorner>: Specify a parameter point to associate with the action or press Enter to associate the action with the X corner

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to or remove from the action's selection set

Specify action location or [Multiplier/Offset/XY]: Specify a location in the block definition for the action.

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases the angle of the associated parameter, by a specified number, when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0

XY

Specifies whether the distance applied to the action is the XY parameter's X distance, Y distance, or XY distance from the parameter's base point.

Enter XY distance type [X/Y/XY] <XY>: Enter the distance type or press Enter to select XY

Polar Stretch

Adds a polar stretch action to the current dynamic block definition. A polar stretch action can only be associated with a polar parameter. Specifies that the selection set of objects stretches or moves when the action is triggered in a dynamic block reference.

Select parameter: Select a parameter in the block definition to associate with the action

Specify parameter point to associate with action or enter [sTart point/Second point] <Second>: Specify a parameter point to associate with the action or press Enter to associate the action with the second point

Specify first corner of stretch frame or [CPolygon]: Specify the first corner of the stretch frame or enter cpolygon to create a polygon of any shape as the stretch frame

Specify opposite corner: Specify the opposite corner of the stretch frame

Specify objects to stretch

Select objects: Select objects to add to or remove from the action's selection set

Specify objects to rotate only

Select objects: Select objects that will rotate only and not stretch

Specify action location or [Multiplier/Offset/XY]: Specify a location in the block definition for the action.

Multiplier

Changes the associated parameter value by a specified factor when the action is triggered.

Enter distance multiplier <1.0000>: Enter a value or press Enter to select 1.0000

Offset

Increases or decreases the angle of the associated parameter, by a specified number, when the action is triggered.

Enter angle offset <0>: Enter a value or press Enter to select 0


BASE (Quick Reference)

BACTIONTOOL
BASE
BASSOCIATE
Commands > B commands >
BASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the insertion base point for the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Block panel [image] Set Base PointNot available on the ribbon in the current workspace.
Menu: Draw [image] Block [image] BaseNot available in menus in the current workspace.
Command entry: base (or 'base for transparent use)

Summary

The base point is expressed as coordinates in the current UCS. When you insert or externally reference the current drawing into other drawings, this base point is used as the insertion base point.

List of Prompts

The following prompts are displayed.

Enter base point <current>: Specify a point or press Enter


BASSOCIATE (Quick Reference)

BASE
BASSOCIATE
BATTMAN
Commands > B commands >
BASSOCIATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Associates an action with a parameter in a dynamic block definition.

Command entry: bedit [image] bassociate
NoteThe BASSOCIATE command is disabled when the BACTIONBARMODE system variable is set to 1.

Associates an orphaned action with a parameter. You can only use the BASSOCIATE command in the Block Editor. An action becomes orphaned when the parameter with which it is associated is removed from the block definition.

Select action object: Select an action in the current block definition that is not associated with a parameter

Select parameter to associate with action: Select a parameter to associate with the action (if you selected a lookup action, you can select one or more lookup parameters)

If you selected an action and parameter combination that requires that the action be associated with a key point on the parameter, prompts are displayed to select the parameter point to associate with the action.


BATTMAN (Quick Reference)

BASSOCIATE
BATTMAN
Block Attribute Manager
Commands > B commands >
BATTMAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manages the attributes for a selected block definition.

Ribbon: Insert tab [image] Attributes panel [image] ManageNot available on the ribbon in the current workspace.
Menu: Modify [image] Object [image] Attribute [image] Block Attribute ManagerNot available in menus in the current workspace.
Toolbar: Modify II
Command entry: battman

Summary

The Block Attribute Manager is displayed.

If the current drawing does not contain any blocks with attributes, a message is displayed.

This command controls all attribute properties and settings of a selected block definition. Any changes to the attributes in a block definition are reflected in the block references.


Block Attribute Manager (Quick Reference)

BATTMAN
BATTMAN
Edit Attribute Dialog Box
Commands > B commands > BATTMAN >
Block Attribute Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Attributes panel [image] ManageNot available on the ribbon in the current workspace.
Menu: Modify [image] Object [image] Attribute [image] Block Attribute ManagerNot available in menus in the current workspace.
Toolbar: Modify II
Command entry: battman

Summary

Manages the attribute definitions for blocks in the current drawing. You can edit the attribute definitions in blocks, remove attributes from blocks, and change the order in which you are prompted for attribute values when inserting a block.

Attributes of the selected block are displayed in the attribute list. By default, Tag, Prompt, Default, Mode, and Annotative attribute properties are displayed in the attribute list. You can specify which attribute properties you want displayed in the list by choosing Settings.

For each selected block, a description below the attribute list identifies the number of its instances in the current drawing and in the current layout.

Select Block

Allows you to use your pointing device to select a block from the drawing area. When you choose Select Block, the dialog box closes until you select a block from the drawing or cancel by pressing ESC.

If you modify attributes of a block and then select a new block before you save the attribute changes you made, you are prompted to save the changes before selecting another block.

Block

Lists all block definitions in the current drawing that have attributes. Select the block whose attributes you want to modify.

List of Attributes

Displays the properties of each attribute in the selected block.

Blocks Found in Drawing

The number of instances of the selected block in the current drawing.

Blocks Found in Current Space

The number of instances of the selected block in the current model space or layout.

Sync

Updates all instances of the selected block with the attribute properties currently defined. This does not affect any values assigned to attributes in each block.

Move Up

Moves the selected attribute tag earlier in the prompt sequence. The Move Up button is not available when a constant attribute is selected.

Move Down

Moves the selected attribute tag later in the prompt sequence. The Move Down button is not available when a constant attribute is selected.

Edit

Opens the Edit Attribute dialog box, where you can modify attribute properties.

Remove

Removes the selected attribute from the block definition. If Apply Changes to Existing References is selected in the Settings dialog box before you choose Remove, the attribute is removed from all instances of the block in the current drawing. The Remove button is not available for blocks with only one attribute.

Settings

Opens the Block Attribute Settings dialog box, where you can customize how attribute information is listed in the Block Attribute Manager.

Apply

Applies the changes you made, but leaves the dialog box open.


Edit Attribute Dialog Box (Quick Reference)

Block Attribute Manager
BATTMAN
Block Attribute Settings Dialog Box
Commands > B commands > BATTMAN >
Edit Attribute Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Attributes panel [image] ManageNot available on the ribbon in the current workspace.
Menu: Modify [image] Object [image] Attribute [image] Block Attribute ManagerNot available in menus in the current workspace.
Toolbar: Modify II
Command entry: battman

List of Options

Allows you to edit attributes for a block definition.

Block Name

Displays the name of the block whose attributes are to be edited.

Auto Preview Changes

Controls whether or not the drawing area is immediately updated to display any visible attribute changes you make. If Auto Preview Changes is selected, changes are immediately visible. If Auto Preview Changes is cleared, changes are not immediately visible.

Clearing Auto Preview Changes results in a small improvement in performance. Auto Preview Changes is not available if Apply Changes to Existing References is not selected.

The Edit Attribute dialog box contains the following tabs:

  • Attribute
  • Text Options
  • Properties

Attribute Tab (Edit Attribute Dialog Box)

Defines how a value is assigned to an attribute and whether or not the assigned value is visible in the drawing area, and sets the string that prompts users to enter a value. The Attribute tab also displays the tag name that identifies the attribute.

Mode

Mode options determine whether and how attribute text appears.

Invisible

Displays or hides the attribute in the drawing area. If selected, hides the attribute value in the drawing area. If cleared, displays the attribute value.

Constant

Identifies whether the attribute is set to its default value. You cannot change this property. If a check mark is shown in the check box, the attribute is set to its default value and cannot be changed. If the check box is empty, you can assign a value to the attribute.

Verify

Turns value verification on and off. If selected, prompts you to verify the values you assign to the attribute when inserting a new instance of the block. If this option is cleared, verification is not performed.

Preset

Turns default value assignment on and off. If selected, sets the attribute to its default value when the block is inserted. If cleared, ignores the attribute's default value and prompts you to enter a value when inserting the block.

Multiple Lines

Indicates whether the attribute was defined as a Multiple Lines attribute and can contain multiple lines of text.

Data

Data options set the attribute text that is displayed.

Tag

Sets the identifier assigned to the attribute.

Prompt

Sets the text for the prompt that is displayed when you insert the block.

Default

Sets the default value assigned to the attribute when you insert the block.

Text Options Tab (Edit Attribute Dialog Box)

Sets the properties that define the way an attribute's text is displayed in the drawing. Change the color of attribute text on the Properties tab.

Text Style

Specifies the text style for attribute text. Default values for this text style are assigned to the text properties displayed in this dialog box.

Justification

Specifies how attribute text is justified.

Height

Specifies the height of the attribute text.

Rotation

Specifies the rotation angle of the attribute text.

Annotative

Specifies that the attribute is annotative. Click the information icon to learn more about annotative objects.

Backwards

Specifies whether or not the text is displayed backwards.

Upside Down

Specifies whether or not the text is displayed upside down.

Width Factor

Sets the character spacing for attribute text. Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Oblique Angle

Specifies the angle that attribute text is slanted away from its vertical axis.

Properties Tab (Edit Attribute Dialog Box)

Defines the layer that the attribute is on and the color, lineweight, and linetype for the attribute's line. If the drawing uses plot styles, you can assign a plot style to the attribute using the Properties tab.

Layer

Specifies the layer that the attribute is on.

Linetype

Specifies the linetype of attribute text.

Color

Specifies the attribute's text color.

Plot Style

Specifies the plot style of the attribute.

If the current drawing uses color-dependent plot styles, the Plot Style list is not available.

Lineweight

Specifies the lineweight of attribute text.

Changes you make to this option are not displayed if the LWDISPLAY system variable is off.


Block Attribute Settings Dialog Box (Quick Reference)

Edit Attribute Dialog Box
BATTMAN
BATTORDER
Commands > B commands > BATTMAN >
Block Attribute Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Attributes panel [image] ManageNot available on the ribbon in the current workspace.
Menu: Modify [image] Object [image] Attribute [image] Block Attribute ManagerNot available in menus in the current workspace.
Toolbar: Modify II
Command entry: battman

Summary

Controls the appearance of the attribute list in the Block Attribute Manager.

Display in List

Specifies the properties to be displayed in the attribute list. Only the selected properties are displayed in the list. The Tag property is always selected.

Select All

Selects all properties.

Clear All

Clears all properties.

Emphasize Duplicate Tags

Turns duplicate tag emphasis on and off. If this option is selected, duplicate attribute tags are displayed in red type in the attribute list. If this option is cleared, duplicate tags are not emphasized in the attribute list.

Apply Changes to Existing References

Specifies whether or not to update all existing instances of the block whose attributes you are modifying. If selected, updates all instances of the block with the new attribute definitions. If cleared, updates only new instances of the block with the new attribute definitions.

You can choose Sync in the Block Attribute Manager to apply changes immediately to existing block instances. This temporarily overrides the Apply Changes to Existing References option.


BATTORDER (Quick Reference)

Block Attribute Settings Dialog Box
BATTORDER
Attribute Order Dialog Box
Commands > B commands >
BATTORDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Specifies the order of attributes for a block.

Command entry: bedit [image] battorder

Displays the Attribute Order dialog box, which controls the order in which attributes are listed and prompted for when you insert or edit a block reference. You can only use the BATTORDER command in the Block Editor.


Attribute Order Dialog Box (Quick Reference)

BATTORDER
BATTORDER
BAUTHORPALETTE
Commands > B commands > BATTORDER >
Attribute Order Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: bedit [image] battorder

Specifies the order in which attributes are listed and prompted for when you insert or edit a block reference.

Attribute Definitions

Lists the attribute definitions in the current block.

Move Up

Moves the selected attribute definition up in the list.

Move Down

Moves the selected attribute definition down in the list.


BAUTHORPALETTE (Quick Reference)

Attribute Order Dialog Box
BAUTHORPALETTE
BAUTHORPALETTECLOSE
Commands > B commands >
BAUTHORPALETTE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the Block Authoring Palettes window in the Block Editor.

Access Methods

Button

Ribbon: Block Editor tab [image] Manage panel [image] Authoring Palettes
Command entry: bedit [image] bauthorpalette

Summary

Displays the Block Authoring Palettes window in the Block Editor. You can open the Block Authoring Palettes window only from the Block Editor. If you enter bauthorpalette at the Command prompt while the Block Editor is closed, the following message is displayed, “BAUTHORPALETTE command only allowed in Block Editor.”

The Block Authoring Palettes window contains the following tabs:

  • Parameters tab
  • Actions tab
  • Parameter Sets tab
  • Constraints tab


BAUTHORPALETTECLOSE (Quick Reference)

BAUTHORPALETTE
BAUTHORPALETTECLOSE
BCLOSE
Commands > B commands >
BAUTHORPALETTECLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Block Authoring Palettes window in the Block Editor.

Access Method

Command entry: bedit [image] bauthorpaletteclose

Summary

You can close the Block Authoring Palettes window only from the Block Editor. If you enter bauthorpaletteclose at the Command prompt while you are not in the Block Editor, the following message is displayed, “BAUTHORPALETTECLOSE command only allowed in Block Editor.”


BCLOSE (Quick Reference)

BAUTHORPALETTECLOSE
BCLOSE
BCONSTRUCTION
Commands > B commands >
BCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes the Block Editor.

Access Methods

Button

Ribbon: Block Editor tab [image] Close panel [image] Close Block Editor
Command entry: bedit [image] bclose
Shortcut menu: In the Block Editor, right-click in the drawing area. Click Close Block Editor

Summary

Closes the Block Editor. If you have modified the block definition since it was last saved, you are prompted to save or discard the changes.


BCONSTRUCTION (Quick Reference)

BCLOSE
BCONSTRUCTION
BCPARAMETER
Commands > B commands >
BCONSTRUCTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts geometry into construction geometry.

Access Methods

Button

Ribbon: Block Editor tab [image] Constraint Parameters panel [image] Construction Geometry. Not available on the ribbon in the current workspace.
Command entry: bedit [image] bconstruction

Summary

The BCONSTRUCTION command is used in the Block Editor to convert geometry into construction geometry. This command also controls the display of construction geometry and changees construction geometry back to regular geometry.

Construction geometry is not displayed in the block reference; in the Block Editor it is displayed with a gray dashed linetype. You cannot modify the color, linetype, or layer of the construction geometry.

List of Prompts

The following prompts are displayed.

Select objects or [Show all/Hide all]: Select objects to convert or revert geometry

Enter an option [Convert/Revert] <Convert>: Specify an option

Convert

Converts the valid selected objects into construction geometry and displays the number of objects converted. Authoring objects are not converted.

Revert

Changes the selected objects back to regular geometry. The geometry is set to the current layer.

Show All

Displays all construction geometry.

Hide All

Hides all construction geometry.


BCPARAMETER (Quick Reference)

BCONSTRUCTION
BCPARAMETER
BCYCLEORDER
Commands > B commands >
BCPARAMETER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies constraint parameters to selected objects, or converts dimensional constraints to parameter constraints.

Access Methods

Ribbon: Block Editor tab [image] Dimensional panel
Command entry: bedit [image] bcparameter

Summary

The BCPARAMETER command is used in the Block Editor. This command applies a constraint parameter to an object or between constraint points on object(s).

List of Prompts

The following prompts are displayed.

Select a dimensional constraint or [LInear/Horizontal/Vertical/Aligned/ANgular/Radius/Diameter] <last>: Specify an option

Linear

Creates a horizontal or vertical constraint parameter based on the locations of the extension line origins and the location of the dimension line similar to the DIMLINEAR command.

Specify first constraint point or [Object] <Object>: Select the first constraint point or select an object

Specify second constraint point: Select the second constraint point

Specify dimension line location: Select dimension line location

Enter value or name and value <d0=8.0000>: Specify the name and value of the dynamic constraint

Enter number of grips [0/1/2] <1>: Specify the number of grips

Horizontal

Creates a horizontal constraint parameter by picking two constraint points. Valid objects include lines and polyline segments.

Specify first constraint point or [Object] <Object>: Select the first constraint point or select an object

Specify second constraint point: Select the second constraint point

Specify dimension line location: Select dimension line location

Enter value or name and value <d1=4.0000>: Specify the name and value of the horizontal constraint

Enter number of grips [0/1/2] <1>: Specify the number of grips

Vertical

Creates a vertical constraint parameter by picking two constraint points. Valid objects include lines and polyline segments.

Specify first constraint point or [Object] <Object>: Select the first constraint point or select an object

Specify second constraint point: Select the second constraint point

Specify dimension line location: Select dimension line location

Enter value or name and value <d1=4.0000>: Specify the name and value of the vertical constraint

Enter number of grips [0/1/2] <1>: Specify the number of grips

Aligned

Creates an aligned constraint parameter using one of the following 4 ways.

  • Two constraint points

    Specify first constraint point or [Object/Point & line/2Lines] <Object>: Select the first constraint point or select an object

    Specify second constraint point: Select the second constraint point

    Specify dimension line location: Select dimension line location

    Enter value or name and value <d1=4.0000>: Specify the name and value of the dimensional constraint

  • A single object

    Select object: Select an object

    Specify dimension line location: Select dimension line location

    Enter value or name and value <d1=4.0000>: Specify the name and value of the dimensional constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

  • A constraint point and a line

    Specify constraint point or [Line] <Line>: Select an object to specify a constraint point on it

    Select line: Select a line

    Specify dimension line location: Specify the dimension line location

    Enter value or name and value <d1=4.0000>: Specify the name and value of the dimensional constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

    Or

    Specify first constraint point or [Line] <Line>: Press Enter to specify the line first

    Enter

    Select line: Select a line

    Select constraint point: Select a constraint point

    Specify dimension line location: Select dimension line location

    Enter value or name and value <d1=4.0000>: Specify the name and value of the dimensional constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

  • Two lines

    Select first line: Select the first line

    Select second line to make parallel: Select the second line

    Specify dimension line location: Specify the dimension line location

    Enter number of grips [0/1/2] <1>: Specify the number of grips

Angular

Creates an angular constraint parameter by picking two lines or polyline segments or an arc. It is similiar to an angular dimension.

  • Two lines

    Select first line or arc or [3Point]: Select the first line

    Select second line: Select the second line

    Specify dimension arc line location: Select the dimension arc line location

    Enter value or name and value <ang1=45>: Specify the name and value of the angular constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

  • Polyline segments

    Select first line or arc or [3Point]: Pick an arc

    Specify dimension arc line location: Select the dimension arc line location

    Enter value or name and value <ang1=45>: Specify the name and value of the angular constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

  • 3Point

    Select first line or arc or [3Point]: Enter 3Point

    Specify angle vertex: Enter the vertex of the angle

    Specify first angle constraint point: Select the first angle constraint point

    Specify second angle constraint point: Select the second angle constraint point

    Enter value or name and value <ang1=45>: Specify the name and value of the angular constraint

    Enter number of grips [0/1/2] <1>: Specify the number of grips

Radius

Creates a radial constraint parameter for a circle, arc, or polyline arc segment.

Select arc or circle: Select an arc or a circle

Specify dimension line location: Select the dimension line location

Enter value or name and value <rad1=1.5000>: Specify the name and value of the radial constraint

Enter number of grips [0/1] <1>: Specify the number of grips

Diameter

Creates a diameter constraint parameter for a circle, arc, or polyline arc segment.

Select arc or circle: Select an arc or a circle

Specify dimension line location: Select the dimension line location

Enter value or name and value <dia1=4.000>: Specify the name and value of the diameter constraint

Enter number of grips [0/1/2] <2>: Specify the number of grips


BCYCLEORDER (Quick Reference)

BCPARAMETER
BCYCLEORDER
Insertion Cycling Order Dialog Box
Commands > B commands >
BCYCLEORDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the cycling order of grips for a dynamic block reference.

Command entry: bedit [image] bcycleorder

Displays the Insertion Cycling Order dialog box. The BCYCLEORDER command is available only in the Block Editor.


Insertion Cycling Order Dialog Box (Quick Reference)

BCYCLEORDER
BCYCLEORDER
BEDIT
Commands > B commands > BCYCLEORDER >
Insertion Cycling Order Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the grip-cycling order for the insertion point of a dynamic block reference. When you insert a dynamic block reference in a drawing, you can use the CTRL key to cycle through the grips that have cycling turned on in the block definition. The grip you select as you cycle is used as the insertion point for the block reference.

Grip Cycling List

Lists the grips in the dynamic block definition. A check mark in the cycling column indicates that cycling is turned on for that grip.

Move Up

Moves the selected grip up in the cycling order for the dynamic block reference.

Move Down

Moves the selected grip down in the cycling order for the dynamic block reference.

Cycling

Turns cycling on or off for the selected grip. A check mark in the cycling column indicates that cycling is turned on for that grip.


BEDIT (Quick Reference)

Insertion Cycling Order Dialog Box
BEDIT
Edit Block Definition Dialog Box
Commands > B commands >
BEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens the block definition in the Block Editor.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Block Editor. Not available on the ribbon in the current workspace.
Toolbar: Standard
Menu: Tools [image] Block EditorNot available in menus in the current workspace.
Shortcut menu: Select a block reference. Right-click in the drawing area. Click Block Editor.
Command entry: bedit

Summary

The Edit Block Definition dialog box is displayed. Select a block definition to edit or enter a name for a new block definition to create, then click OK to open the Block Editor. If the ribbon is active, the Block Editor ribbon contextual tab is displayed. Otherwise, the Block Editor toolbar is displayed.

When the BLOCKEDITLOCK system variable is set to 1, the Block Editor cannot be opened.

The Block Editor is a separate environment for creating and changing block definitions for the current drawing. You can also use it to add dynamic behavior to blocks.


Edit Block Definition Dialog Box (Quick Reference)

BEDIT
BEDIT
Block Editor Ribbon Contextual Tab
Commands > B commands > BEDIT >
Edit Block Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Home tab [image] Block panel [image] Block Editor. Not available on the ribbon in the current workspace.
Toolbar: Standard
Menu: Tools [image] Block EditorNot available in menus in the current workspace.
Command entry: bedit

Summary

In the Edit Block Definition dialog box, you can select from a list of block definitions that are saved in the drawing to edit in the Block Editor. You can also enter a name for a new block definition to create in the Block Editor.

When you click OK, the Edit Block Definition dialog box closes, and the Block Editor is displayed. If you selected a block definition from the list in the Edit Block Definition dialog box, that block definition is displayed and is available for editing in the Block Editor. If you entered a name for a new block definition, the Block Editor is displayed, and you can start adding objects to the block definition.

List of Options

The following options are available in this dialog box.

Name

Specifies the name of the block to edit or create in the Block Editor. If you select <Current Drawing>, the current drawing is opened in the Block Editor. After you add dynamic elements to the drawing, you can then save it and insert it as a dynamic block reference in a drawing.

Name List (Unlabeled)

Displays a list of block definitions that are saved in the current drawing. When you select a block definition from the list, the name is displayed in the Name box. When you click OK, this block definition is opened in the Block Editor. When you select <Current Drawing>, the current drawing is opened in the Block Editor.

Preview

Displays a preview of the selected block definition. A lightning bolt icon indicates that the block is a dynamic block.

Description

Displays the block definition description specified in the Block area of the Properties palette in the Block Editor.

OK

Opens the selected or new block definition in the Block Editor.


Block Editor Ribbon Contextual Tab (Quick Reference)

Edit Block Definition Dialog Box
BEDIT
Block Editor
Commands > B commands > BEDIT >
Block Editor Ribbon Contextual Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Home tab [image] Block panel [image] Block Editor. Not available on the ribbon in the current workspace.
Menu: Tools [image] Block EditorNot available in menus in the current workspace.
Command entry: bedit
Shortcut menu: Select a block reference. Right-click in the drawing area. Click Block Editor.

Open/Save Panel

Edit Block | Opens the block definition in the Block Editor.
Save Block | Saves the current block definition.
Test Block | Displays a window within the Block Editor to test a dynamic block.
Save As | Displays the Save Block As dialog box, in which you can save a copy of the current block definition under a new name.

Geometric Panel

Auto Constrain | Applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.
Coincident (GEOMCONSTRAINT) | Constrains two points together or a point to a curve (or extension of curve).
Colinear (GEOMCONSTRAINT) | Causes two line segments to lie along the same line.
Concentric (GEOMCONSTRAINT) | Constrains two arcs, circles, or ellipses to the same center point.
Fix (GEOMCONSTRAINT) | Locks points and curves in position.
Parallel (GEOMCONSTRAINT) | Causes selected lines to lie parallel to each another. Parallel constraints are applied between two objects.
Perpendicular (GEOMCONSTRAINT) | Causes selected lines to lie 90 degrees to one another. Perpendicular constraints are applied between two objects.
Horizontal (GEOMCONSTRAINT) | Causes lines or pairs of points to lie parallel to the X axis of the current coordinate system.
Vertical (GEOMCONSTRAINT) | Causes lines or pairs of points to lie parallel to the Y axis of the current coordinate system.
Tangent (GEOMCONSTRAINT) | Causes curves to be tangent to other curves. Tangential constraints are applied between two objects.
Smooth (GEOMCONSTRAINT) | Creates a curvature continuous (G2) condition between two splines that share a coincident endpoint.
Symmetric (GEOMCONSTRAINT) | Causes selected lines or circles to become symmetrically constrained about a selected line.
Equal (GEOMCONSTRAINT) | Resizes selected arcs and circles to the same radius, or selected lines to the same length.
Show Constraints | Displays relevant geometric constraints for selected objects.
Show All | Displays all geometric constraints applied in the drawing.
Hide All | Hides all geometric constraints in the drawing.
Constraint Settings | Controls the display of geometric constraints on constraint bars.

Dimensional Panel

Linear (BCPARAMETER) | Specifies a horizontal or vertical constraint based on the locations of the extension line origins and the location of the dimension line similar to the DIMLINEAR command.
Horizontal (BCPARAMETER) | Specifies a horizontal constraint parameter by picking two constraint points.
Vertical (BCPARAMETER) | Specifies a vertical constraint parameter by picking two constraint points.
Aligned (BCPARAMETER) | Specifies the dimensional constraint.
Radius (BCPARAMETER) | Specifies a radial constraint for a circle, arc, or polyarc segment.
Diameter (BCPARAMETER) | Specifies a diameter constraint for a circle, arc, or polyarc segment.
Angular (BCPARAMETER) | Specifies an angular constraint by picking two lines or polyline segments or an arc.
Convert (BCPARAMETER) | Converts a dimensional constraint into a constraint parameter.
Block Table | Displays a dialog box to define variations of a block.
Constraint Settings | Controls the display of geometric constraints on constraint bars.

Manage Panel

Delete Constraints | Removes all geometric and dimensional constraints from a selection set of objects.
Construction Geometry | Converts geometry into construction geometry.
Block Constraint Status | Turns the constraint display status on and off and controls the shading of objects based on their constraint level.
Parameters Manager | Controls the associative parameters used in the drawing.
Authoring Palettes | Opens the Block Authoring Palettes window in the Block Editor.
Block Editor Settings | Opens a dialog box where you can control the environment settings of the Block Editor.

Action Parameters Panel

Point (BPARAMETER) | Adds a point parameter to the current dynamic block definition and defines custom X and Y properties for the block reference.
Linear (BPARAMETER) | Adds a linear parameter to the current dynamic block definition and defines a custom distance property for the block reference.
Polar (BPARAMETER) | Adds a polar parameter to the current dynamic block definition and defines custom distance and angle properties for the block reference.
XY (BPARAMETER | Adds an XY parameter to the current dynamic block definition and defines custom horizontal and vertical distance properties for the block reference.
Rotation (BPARAMETER) | Adds a rotation parameter to the current dynamic block definition and defines a custom angle property for the block reference.
Flip (BPARAMETER) | Adds a flip parameter to the current dynamic block definition and defines a custom flip property for the block reference.
Alignment (BPARAMETER) | Adds an alignment parameter to the current dynamic block definition. Because the alignment parameter affects the entire block, it is not necessary (or possible) to associate an action with the alignment parameter.
Visibility (BPARAMETER) | Adds a visibility parameter to the current dynamic block definition and defines a custom visibility property for the block reference.
Lookup (BPARAMETER) | Adds a lookup parameter to the current dynamic block definition and defines custom lookup properties for the block reference.
Basepoint (BPARAMETER) | Adds a base point parameter to the current dynamic block definition.
Move (BACTIONTOOL) | Adds a move action to the current dynamic block definition.
Stretch (BACTIONTOOL) | Adds a stretch action to the current dynamic block definition.
Polar Stretch (BACTIONTOOL) | Adds a polar stretch action to the current dynamic block definition.
Scale (BACTIONTOOL) | Adds a scale action to the current dynamic block definition.
Rotate (BACTIONTOOL) | Adds a rotate action to the current dynamic block definition.
Flip (BACTIONTOOL) | Adds a flip action to the current dynamic block definition.
Array (BACTIONTOOL) | Adds a array action to the current dynamic block definition.
Lookup (BACTIONTOOL) | Adds a lookup action to the current dynamic block definition.
Attribute Definition | Creates an attribute definition for storing data in a block.
Show All Actions | Displays all action bars for the parameter objects in the Block Editor.
Hide All Actions | Hides all action bars for the parameter objects in the Block Editor.

Visibility Panel

Visibility States | Displays the Visibility States dialog box, in which you can create, delete, rename, and make current visibility states.
Visibility Mode | Sets the BVMODE system variable, which dims or hides objects made invisible for the current visibility state.
Make Visible | Runs the BVSHOW command, so that you can make objects visible for the current visibility state or for all visibility states.
Make Invisible | Runs the BVHIDE command, so that you can make objects invisible for the current visibility state or for all visibility states.
Block Visibility States | Specifies the current visibility state displayed in the Block Editor.

Close Panel

Close Block Editor

Ends the BEDIT command and closes the Block Editor ribbon contextual tab.


Block Editor (Quick Reference)

Block Editor Ribbon Contextual Tab
BEDIT
-BEDIT
Commands > B commands > BEDIT >
Block Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Home tab [image] Block panel [image] Block Editor. Not available on the ribbon in the current workspace.
Toolbar: Standard
Shortcut menu: Select a block reference. Right-click in the drawing area. Click Block Editor.
Menu: Tools [image] Block EditorNot available in menus in the current workspace.
Command entry: bedit

You use the Block Editor to define dynamic behavior for a block definition. In the Block Editor, you add parameters and actions, which define custom properties and dynamic behavior. The Block Editor contains a special authoring area in which you can draw and edit geometry as you would in the drawing area.

The following commands are used for creating dynamic blocks and are available only in the Block Editor:

  • BACTION
  • BACTIONBAR
  • BACTIONSET
  • BACTIONTOOL
  • BASSOCIATE
  • BATTORDER
  • BAUTHORPALETTE
  • BAUTHORPALETTECLOSE
  • BCLOSE
  • BCPARAMETER
  • BCYCLEORDER
  • BCONSTRUCTION
  • BGRIPSET
  • BLOOKUPTABLE
  • BPARAMETER
  • BSAVE
  • BSAVEAS
  • BTABLE
  • BTESTBLOCK
  • BVHIDE
  • BVSHOW
  • BVSTATE

When the BLOCKEDITLOCK system variable is set to 1, the Block Editor cannot be opened.

The Block Editor also provides a Block Editor toolbar and Block Authoring palettes that contain tools for creating dynamic blocks. The Block Authoring Palettes window contains the following tabs:

  • Parameters tab
  • Actions tab
  • Parameter Sets tab
  • Constraints tab

Block Editor Toolbar

Provides tools for working in the Block Editor, creating dynamic blocks, and working with visibility states.

The Block Editor toolbar is displayed when the ribbon is not active. It is also displayed only when you enter the Block Editor with the ribbon closed.

Edit or Create Block Definition

Displays the Edit Block Definition dialog box.

Save Block Definition

Saves the current Block Definition.

Save Block As

Displays the Save Block As dialog box, in which you can save a copy of the current block definition under a new name.

Name

Displays the name of the current block definition.

Test Block

Runs the BTESTBLOCK command, which opens an external window from the Block Editor to test a dynamic block.

Automatically Constrain Objects

Runs the AUTOCONSTRAIN command, which applies geometric constraints to a selection set of objects based on orientation of the objects relative to one another.

Apply Geometric Constraint

Runs the GEOMCONSTRAINT command, which applies geometric relationships between objects or points on objects.

Display / Hide Constraints Bar

Runs the CONSTRAINTBAR command, which displays or hides the available geometric constraints on an object.

Parameter Constraint

Runs the BCPARAMETER command, which applies constraint parameters to selected objects, or converts dimensional constraints to parameter constraints.

Block Table

Runs the BTABLE command, which displays a dialog box to define variations of a block.

Parameter

Runs the BPARAMETER command, which adds a parameter to the dynamic block definition.

Action

Runs the BACTION command, which adds an action to the dynamic block definition.

Define Attribute

Displays the Attribute Definition dialog box, in which you can define the mode, attribute tag, prompt, value, insertion point, and text options for an attribute.

Authoring Palettes

Executes the BAUTHORPALETTE command when the Authoring Palettes is inactive. Otherwise, the BAUTHORPALETTECLOSE command is executed.

Parameters Manager

Executes the PARAMETERS command when the Parameters Manager is inactive. Otherwise, the PARAMETERSCLOSE command is executed.

Learn About Dynamic Blocks

Displays demonstrations in the New Features Workshop for creating dynamic blocks.

Close Block Editor

Runs the BCLOSE command, which closes the Block Editor and prompts you to save or discard any changes to the current block definition.

Visibility Mode

Sets the BVMODE system variable, which dims or hides objects made invisible for the current visibility state.

Make Visible

Runs the BVSHOW command, so that you can make objects visible for the current visibility state or for all visibility states.

Make Invisible

Runs the BVHIDE command, so that you can make objects invisible for the current visibility state or for all visibility states.

Manage Visibility States

Displays the Visibility States dialog box, in which you can create, delete, rename, and make current visibility states.

Visibility State

Specifies the current visibility state displayed in the Block Editor.

Parameters Tab (Block Authoring Palettes Window)

Provides tools for adding parameters to a dynamic block definition in the Block Editor. Parameters specify positions, distances, and angles for geometry in the block reference. When you add a parameter to a dynamic block definition, it defines one or more custom properties for the block.

Point Parameter

Runs the BPARAMETER command, Point parameter option, which adds a point parameter to the dynamic block definition and defines custom X and Y properties for the block reference. A point parameter defines an X and Y location in the drawing. In the Block Editor, a point parameter looks similar to an ordinate dimension.

Linear Parameter

Runs the BPARAMETER command, Linear parameter option, which adds a linear parameter to the dynamic block definition and defines a custom distance property for the block reference. A linear parameter shows the distance between two anchor points. A linear parameter constrains grip movement along a preset angle. In the Block Editor, a linear parameter looks similar to an aligned dimension.

Polar Parameter

Runs the BPARAMETER command, Polar parameter option, which adds a polar parameter to the dynamic block definition and defines custom distance and angle properties for the block reference. A polar parameter shows the distance between two anchor points and displays an angle value. You can use both grips and the Properties palette to change both the distance value and the angle. In the Block Editor, a polar parameter looks similar to an aligned dimension.

XY Parameter

Runs the BPARAMETER command, XY parameter option, which adds an XY parameter to the dynamic block definition and defines custom horizontal and vertical distance properties for the block reference. An XY parameter shows the X and Y distances from the base point of the parameter. In the Block Editor, an XY parameter displays as a pair of dimensions (horizontal and vertical). These dimensions share a common base point.

Rotation Parameter

Runs the BPARAMETER command, Rotation parameter option, which adds a rotation parameter to the dynamic block definition and defines a custom angle property for the block reference. A rotation parameter defines an angle. In the Block Editor, a rotation parameter displays as a circle.

Alignment Parameter

Runs the BPARAMETER command, Alignment parameter option, which adds an alignment parameter to the dynamic block definition. An alignment parameter defines an X and Y location and an angle. An alignment parameter always applies to the entire block and needs no action associated with it. An alignment parameter allows the block reference to automatically rotate around a point to align with other objects in the drawing. An alignment parameter affects the angle property of the block reference. In the Block Editor, an alignment parameter looks like an alignment line.

Flip Parameter

Runs the BPARAMETER command, Flip parameter option, which adds a flip parameter to the dynamic block definition and defines a custom flip property for the block reference. A flip parameter flips objects. In the Block Editor, a flip parameter displays as a reflection line. Objects can be flipped about this reflection line. A flip parameter displays a value that shows if the block reference has been flipped or not.

Visibility Parameter

Runs the BPARAMETER command, Visibility parameter option, which adds a visibility parameter to the dynamic block definition and defines a custom visibility property for the block reference. With visibility parameter, you can create visibility states and control the visibility of objects in the block. A visibility parameter always applies to the entire block and needs no action associated with it. In a drawing, you click the grip to display a list of visibility states available for the block reference. In the Block Editor, a visibility parameter displays as text with an associated grip.

Lookup Parameter

Runs the BPARAMETER command, Lookup parameter option, which adds a lookup parameter to the dynamic block definition and defines custom lookup properties for the block reference. A lookup parameter defines a custom property that you can specify or set to evaluate to a value from a list or table you define. It can be associated with a single lookup grip. In the block reference, you click the grip to display a list of available values. In the Block Editor, a lookup parameter displays as text.

Base Point Parameter

Runs the BPARAMETER command, Base Point parameter option, which adds a base point parameter to the dynamic block definition. A base point parameter defines a base point for the dynamic block reference relative to the geometry in the block. A base point parameter cannot be associated with any actions, but can belong to an action's selection set. In the Block Editor, a base point parameter displays as a circle with crosshairs

Actions Tab (Block Authoring Palettes Window)

Provides tools for adding actions to a dynamic block definition in the Block Editor. Actions define how the geometry of a dynamic block reference move or change when the custom properties of a block reference are manipulated in a drawing. You associate actions with parameters.

Move Action

Runs the BACTIONTOOL command, Move action option, which adds a move action to the dynamic block definition when you associate the action with a point, linear, polar, or XY parameter. A move action is similar to the MOVE command. In a dynamic block reference, a move action causes objects to move a specified distance and angle.

Scale Action

Runs the BACTIONTOOL command, Scale action option, which adds a scale action to the dynamic block definition when you associate the action with a linear, polar, or XY parameter. A scale action is similar to the SCALE command. In a dynamic block reference, a scale action causes its selection set to scale when the associated parameter is edited by moving grips or by using the Properties palette.

Stretch Action

Runs the BACTIONTOOL command, Stretch action option, which adds a stretch action to the dynamic block definition when you associate the action with a point, linear, polar, or XY parameter. A stretch action causes objects to move and stretch a specified distance in a specified location.

Polar Stretch Action

Runs the BACTIONTOOL command, Polar Stretch action option, which adds a polar stretch action to the dynamic block definition when you associate the action with a polar parameter. A polar stretch action rotates, moves, and stretches objects a specified angle and distance when the key point on the associated polar parameter is changed through a grip or the Properties palette

Rotate Action

Runs the BACTIONTOOL command, Rotate action option, which adds a rotate action to the dynamic block definition when you associate the action with a rotation parameter. A rotate action is similar to the ROTATE command. In a dynamic block reference, a rotate action causes its associated objects to rotate when the associated parameter is edited through a grip or the Properties palette.

Flip Action

Runs the BACTIONTOOL command, Flip action option, which adds a flip action to the dynamic block definition when you associate the action with a flip parameter. With a flip action you can flip a dynamic block reference about a specified axis called a reflection line.

Array Action

Runs the BACTIONTOOL command, Array action, which adds an array action to the dynamic block definition when you associate the action with a linear, polar, or XY parameter. An array action causes its associated objects to copy and array in a rectangular pattern when the associated parameter is edited through a grip or the Properties palette.

Lookup Action

Runs the BACTIONTOOL command, Lookup action option, which adds a lookup action to the dynamic block definition. When you add a lookup action to a dynamic block definition and associate it with a lookup parameter, it creates a lookup table. You can use a lookup table to assign custom properties and values to a dynamic block.

Parameter Sets Tab (Block Authoring Palettes Window)

Provides tools for adding a parameter and at least one action at the same time to a dynamic block definition in the Block Editor. When you add a parameter set to a dynamic block, the actions are automatically associated with the parameter. After you add a parameter set to a dynamic block, you double-click the yellow alert icon (or use the BACTIONSET command) and follow the Command prompts to associate the action with a selection set of geometry.

Point Move

Runs the BPARAMETER command, Point parameter option with one grip specified, which adds a point parameter to the dynamic block definition. Automatically adds a move action associated with the point parameter.

Linear Move

Runs the BPARAMETER command, Linear parameter option with one grip specified, which adds a linear parameter to the dynamic block definition. Automatically adds a move action associated with the endpoint of the linear parameter.

Linear Stretch

Runs the BPARAMETER command, Linear parameter option with one grip specified, which adds a linear parameter to the dynamic block definition. Automatically adds a stretch action associated with the linear parameter.

Linear Array

Runs the BPARAMETER command, Linear parameter option with one grip specified, which adds a linear parameter to the dynamic block definition. Automatically adds an array action associated with the linear parameter.

Linear Move Pair

Runs the BPARAMETER command, Linear parameter option with two grips specified, which adds a linear parameter to the dynamic block definition. Automatically adds a two move action, one associated with the base point and one associated with the endpoint of the linear parameter.

Linear Stretch Pair

Runs the BPARAMETER command, Linear parameter option with two grips specified, which adds a linear parameter to the dynamic block definition. Automatically adds two stretch actions, one associated with the base point and one associated with the endpoint of the linear parameter.

Polar Move

Runs the BPARAMETER command, Polar parameter option with one grip specified, which adds a polar parameter to the dynamic block definition. Automatically adds a move action associated with the polar parameter.

Polar Stretch

Runs the BPARAMETER command, Polar parameter option with one grip specified, which adds a polar parameter to the dynamic block definition. Automatically adds a stretch action associated with the polar parameter.

Polar Array

Runs the BPARAMETER command, Polar parameter option with one grip specified, which adds a polar parameter to the dynamic block definition. Automatically adds an array action associated with the polar parameter.

Polar Move Pair

Runs the BPARAMETER command, Polar parameter option with two grips specified, which adds a polar parameter to the dynamic block definition. Automatically adds two move actions, one associated with the base point and one associated with the endpoint of the polar parameter.

Polar Stretch Pair

Runs the BPARAMETER command, Polar parameter option with two grips specified, which adds a polar parameter to the dynamic block definition. Automatically adds two stretch actions, one associated with the base point and one associated with the endpoint of the polar parameter.

XY Move

Runs the BPARAMETER command, XY parameter option with one grip specified, which adds an XY parameter to the dynamic block definition. Automatically adds a move action associated with the endpoint of the XY parameter.

XY Move Pair

Runs the BPARAMETER command, XY parameter option with two grips specified, which adds an XY parameter to the dynamic block definition. Automatically adds two move actions, one associated with the base point and one associated with the endpoint of the XY parameter.

XY Move Box Set

Runs the BPARAMETER command, XY parameter option with four grips specified, which adds an XY parameter to the dynamic block definition. Automatically adds four move actions, one associated with each key point on the XY parameter.

XY Stretch Box Set

Runs the BPARAMETER command, XY parameter option with four grips specified, which adds an XY parameter to the dynamic block definition. Automatically adds four stretch actions, one associated with each key point on the XY parameter.

XY Array Box Set

Runs the BPARAMETER command, XY parameter option with four grips specified, which adds an XY parameter to the dynamic block definition. Automatically adds an array action associated with the XY parameter.

Rotation Set

Runs the BPARAMETER command, Rotation parameter option with one grip specified, which adds a rotation parameter to the dynamic block definition. Automatically adds a rotation action associated with the rotation parameter.

Flip Set

Runs the BPARAMETER command, Flip parameter option with one grip specified, which adds a flip parameter to the dynamic block definition. Automatically adds a flip action associated with the flip parameter.

Visibility Set

Runs the BPARAMETER command, Visibility parameter option with one grip specified, which adds a visibility parameter to the dynamic block definition and allows visibility states to be defined. No action is necessary with the visibility parameter.

Lookup Set

Runs the BPARAMETER command, Lookup parameter option with one grip specified, which adds a lookup parameter to the dynamic block definition. Automatically adds a lookup action associated with the lookup parameter.

Constraints Tab (Block Authoring Palettes Window)

Provides tools for applying geometric constraints and constraint parameters to objects. When you apply geometric constraint to a pair of objects, the order in which the objects are selected and the point on which each object is selected can affect how the objects are positioned relative to each other.

Geometric Constraints

Coincident Constraint

Runs the GEOMCONSTRAINT command, Coincident option, which constrains two points together or a point to a curve (or extension of curve). Any constraint point on an object can be coincident with any constraint point on another object.

Perpendicular Constraint

Runs the GEOMCONSTRAINT command, Perpendicular option, which causes selected lines to lie 90 degrees to one another. Perpendicular constraints are applied between two objects.

Parallel Constraint

Runs the GEOMCONSTRAINT command, Parellel option, which causes selected lines to lie parallel to each other. Parallel constraints are applied between two objects.

Tangent Constraint

Runs the GEOMCONSTRAINT command, Tangent option, which causes the curves to be tangent to other curves. Tangential constraints are applied between two objects.

Horizontal Constraint

Runs the GEOMCONSTRAINT command, Horizontal option, which causes the lines or pairs of points to lie parallel to the X axis of the current coordinate system.

Vertical Constraint

Runs the GEOMCONSTRAINT command, Vertical option, which causes the lines or pairs of points to lie parallel to the Y axis of the current coordinate system.

Colinear Constraint

Runs the GEOMCONSTRAINT command, Colinear option, which causes two line segments to lie along the same line.

Concentric Constraint

Runs the GEOMCONSTRAINT command, Concentric option, which constrains two arcs, circles, or ellipses to the same center point. The result is the same as that of a coincident applied to the center points of the curves.

Smooth Constraint

Runs the GEOMCONSTRAINT command, Smooth option, which creates a curvature continuous (G2) condition between two splines that share a coincident endpoint.

Symmetric Constraint

Runs the GEOMCONSTRAINT command, Symmetric option, which causes selected lines or circles to become symmetrically constrained about a selected line.

Equal Constraint

Runs the GEOMCONSTRAINT command, Equal option, which resizes selected arcs and circles to the same radius, or selected lines to the same length.

Fix Constraint

Runs the GEOMCONSTRAINT command, Fix option, which locks points and curves in position.

Constraint Parameters

Aligned Constraint

Runs the BCPARAMETER command, Aligned option, which constrains the length of a line or the distance between two lines, a point on an object and a line, or two points on different objects.

Horizontal Constraint

Runs the BCPARAMETER command, Horizontal option, which constrains the X distance of a line or between two points on different objects. Valid objects include lines and polyline segments.

Vertical Constraint

Runs the BCPARAMETER command, Vertical option, which constrains the Y distance of a line or between two points on different objects. Valid objects include lines and polyline segments.

Angular Constraint

Runs the BCPARAMETER command, Angular option, which constrains the angle between two lines or polyline segments. It is similar to an angular dimension.

Radial Constraint

Runs the BCPARAMETER command, Radial option, which constrains the radius of a circle, arc, or polyarc segment.

Diameter Constraint

Runs the BCPARAMETER command, Diameter option, which constrains the diameter of a circle, arc, or polyarc segment.


-BEDIT (Quick Reference)

Block Editor
BEDIT
BESETTINGS
Commands > B commands > BEDIT >
-BEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Command entry: -bedit

If you select a block in a drawing and enter -bedit at the Command prompt, the selected block is opened in the Block Editor. If nothing is selected, the following prompt is displayed:

List of Prompts

The following prompts are displayed

Enter block name or [ ?]: Enter a name or ?

Block Name

Specifies the name of a block saved in the current drawing to open in the Block Editor or specifies the name of a new block to create.

?—List Previously Defined Blocks

Lists the block names in the text window.

Enter block(s) to list <*>: Enter a name list or press Enter


BESETTINGS (Quick Reference)

-BEDIT
BESETTINGS
Block Editor Settings Dialog Box
Commands > B commands >
BESETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Block Editor Settings dialog box.

Access Methods

Ribbon: Block Editor tab [image] Manage panel [image] [image] [image] Block Editor Settings
Command entry: besettings

Summary

The Block Editor Settings dialog box is displayed.


Block Editor Settings Dialog Box (Quick Reference)

BESETTINGS
BESETTINGS
BGRIPSET
Commands > B commands > BESETTINGS >
Block Editor Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Block Editor tab [image] Manage panel [image] [image] [image] Block Editor Settings
Command entry: besettings

Controls the environment settings of the Block Editor.

Command entry: besettings

List of Options

The following options are available in this dialog box.

Authoring Objects

Controls the color of parameter and grip objects and specifies the orientation of the parameter text.

Parameter Color

Sets the color of the block parameters. (BPARAMETERCOLOR system variable)

Grip Color

Sets the color of the custom grip objects in the Block Editor. (BGRIPOBJCOLOR system variable)

Parameter Text Alignment

Specifies the orientation of the parameter text. (BPTEXTHORIZONTAL system variable)

Parameter Font

Sets the font for the authoring objects.

Font Name

Lists the font family name for all registered TrueType fonts and all compiled shape (SHX) fonts in the Fonts folder. (BPARAMETERFONT system variable)

Font Style

Specifies font character formatting for the authoring objects, such as italic, bold, or regular.

Parameter and Grip Size

Controls the size of the parameter and grip objects.

Parameter Size

Specifies the text height and arrowhead size of parameters in pixels. (BPARAMETERSIZE system variable)

Grip Size

Specifies the size of grip objects in pixels. (BGRIPOBJSIZE system variable)

Constraint Status

Specifies the color overrides for objects in the Block Editor to show constraint status.

Unconstrained

Sets the color of the unconstrained objects.

Partially Constrained

Sets the color of the partially constrained objects.

Fully Constrained

Sets the color of the fully constrained objects.

Improperly Constrained

Sets the color of the over-constrained objects.

Highlight Dependent Objects During Selection

Automatically highlights all objects that are dependent on the currently selected authoring objects. Use this option when you need to confirm or change dependent objects. (BDEPENDENCYHIGHLIGHT system variable)

Display Tickmarks for Parameters With Value Sets

Controls the display of value set markers for parameters. (BTMARKDISPLAY system variable)

Display Action Bars

Controls the display of action bars for the selected parameters. (BACTIONBARMODE system variable)

Reset Values

Resets the Block Editor settings to default values.


BGRIPSET (Quick Reference)

Block Editor Settings Dialog Box
BGRIPSET
BHATCH
Commands > B commands >
BGRIPSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, deletes, or resets grips associated with a parameter.

Shortcut menu: Select a parameter in the block definition. Right-click in the Block Editor drawing area. Click Grip Display, and then click an option.
Command entry: bedit [image] bgripset

Specifies the number of grips displayed for a parameter. Also resets the position of grips for a parameter to their default location. You can only use the BGRIPSET command in the Block Editor.

Select parameter: Select a parameter in the current dynamic block definition

Enter number of grip objects for parameter or reset position [0/1/2/4/Reposition]: Enter the number of grips to display for the parameter (the number of grips available will vary depending on the type of parameter you selected) or enter reposition to reposition the existing grips in the block definition to their default locations


BHATCH (Quick Reference)

BGRIPSET
BHATCH
BLIPMODE
Commands > B commands >
BHATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fills an enclosed area or selected objects with a hatch pattern or gradient fill.

Command entry: bhatch

The BHATCH command has been renamed to HATCH. If you enter bhatch, the Hatch and Gradient dialog box is displayed. If you enter -bhatch or -hatch, Command prompts are displayed.


BLIPMODE (Quick Reference)

BHATCH
BLIPMODE
BLOCK
Commands > B commands >
BLIPMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of marker blips.

Command entry: blipmode (or 'blipmode for transparent use)

Enter mode [ON/OFF] <current>: Enter on or off, or press Enter

When Blip mode is on, a temporary mark in the shape of a plus sign (+) appears where you specify a point. BLIPMODE is off by default.

To remove marker blips, use REDRAW, REGEN, ZOOM, PAN, or other commands that redraw or regenerate the drawing.


BLOCK (Quick Reference)

BLIPMODE
BLOCK
Block Definition Dialog Box
Commands > B commands >
BLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a block definition from selected objects.

Access Methods

Button

Ribbon: Insert tab [image] Block panel [image] CreateNot available on the ribbon in the current workspace.
Menu: Draw [image] Block [image] MakeNot available in menus in the current workspace.
Toolbar: Draw
Command entry: block

Summary

The Block Definition dialog box is displayed.

If you enter -block at the Command prompt, options are displayed.

You create a block definition by selecting objects, specifying an insertion point, and giving it a name. You can create your own blocks or use the blocks provided in the DesignCenter or tool palettes.


Block Definition Dialog Box (Quick Reference)

BLOCK
BLOCK
-BLOCK
Commands > B commands > BLOCK >
Block Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Block panel [image] CreateNot available on the ribbon in the current workspace.
Menu: Draw [image] Block [image] MakeNot available in menus in the current workspace.
Toolbar: Draw
Command entry: block

Defines and names a block.

Name

Names the block. The name can have up to 255 characters and can include letters, numbers, blank spaces, and any special character not used by the operating system or the program for other purposes.

The block name and definition are saved in the current drawing.

NoteYou cannot use DIRECT, LIGHT, AVE_RENDER, RM_SDB, SH_SPOT, and OVERHEAD as valid block names.

Preview

If an existing block is selected under Name, displays a preview of the block.

Base Point

Specifies an insertion base point for the block. The default value is 0,0,0.

Specify On-Screen

Prompts you to specify the base point when the dialog box is closed.

Pick Insertion Base Point

Temporarily closes the dialog box so that you can specify an insertion base point in the current drawing.

X

Specifies the X coordinate value.

Y

Specifies the Y coordinate value.

Z

Specifies the Z coordinate value.

Objects

Specifies the objects to include in the new block and whether to retain or delete the selected objects or convert them to a block instance after you create the block.

Specify On-Screen

Prompts you to specify the objects when the dialog box is closed.

Select Objects

Closes the Block Definition dialog box temporarily while you select the objects for the block. When you finish selecting objects, press Enter to redisplay the Block Definition dialog box.

Quick Select

Displays the Quick Select dialog box, which defines a selection set.

Retain

Retains the selected objects as distinct objects in the drawing after you create the block.

Convert to Block

Converts the selected objects to a block instance in the drawing after you create the block.

Delete

Deletes the selected objects from the drawing after you create the block.

Objects Selected

Displays the number of selected objects.

Behavior

Specifies the behavior of the block.

Annotative

Specifies that the block is annotative. Click the information icon to learn more about annotative objects.

Match Block Orientation to Layout

Specifies that the orientation of the block references in paper space viewports matches the orientation of the layout. This option is unavailable if the Annotative option is cleared.

Scale Uniformly

Specifies whether or not the block reference is prevented from being non-uniformly scaled.

Allow Exploding

Specifies whether or not the block reference can be exploded.

Settings

Specifies settings for the block.

Block Unit

Specifies the insertion units for the block reference.

Hyperlink

Opens the Insert Hyperlink dialog box, which you can use to associate a hyperlink with the block definition.

Description

Specifies the text description of the block.

Open in Block Editor

Opens the current block definition in the Block Editor when you click OK.


-BLOCK (Quick Reference)

Block Definition Dialog Box
BLOCK
BLOCKICON
Commands > B commands > BLOCK >
-BLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -block at the Command prompt, the following prompts are displayed.

Enter block name or [?]: Enter a name or ?

Block Name

Names the block. The name can have up to 255 characters and can include letters, numbers, blank spaces, and any special character not used by Microsoft Windows and the program for other purposes if the system variable EXTNAMES is set to 1.

If you enter the name of an existing block, you are prompted as follows:

Block "NAME" already exists. Redefine it? [Yes/No] <N>: Enter y or n, or press Enter

By redefining a block, you automatically update all references to that block. Attributes attached to existing block references remain unchanged in the drawing. However, new insertions of the block do not prompt for attributes unless the attribute definitions are included in the new block definition (use ATTREDEF to redefine blocks that contain attributes).

Specify insertion base point or [Annotative]: Specify a point (1), enter a, or press Enter

The point specified as the base point is used for subsequent insertions of the block. Typically, a base point is the center of the block or its lower-left corner. The base point is also the point about which you can rotate the block during insertion. A block with 0 rotation is oriented according to the UCS in effect when it was created. Entering a 3D point inserts the block at a specific elevation. Omitting the Z coordinate uses the current elevation.

Enter a to create an annotative block.

Create annotative block [Yes/No] <N>: Enter y or n or press Enter

If you enter yes, the block becomes annotative.

Match orientation to layout in paper space viewports [Yes/No] <N>: Enter y or n or press Enter

If you enter yes, the block’s orientation in paper space viewports will match the orientation of the layout.

If you specify the insertion base point, you are prompted to select the objects.

Select objects: Use an object selection method

The program defines a block using the objects selected, the insertion base point, and the name provided, and then erases the selected objects from the drawing. You can restore the deleted objects by entering the OOPS command immediately after BLOCK.

The insertion base point becomes the origin of the block's coordinate system, which is parallel to the UCS in effect at the time that you define the block. When you insert the block into a drawing, its coordinate system is aligned parallel to the current UCS. Thus, you can insert a block at any orientation in space by setting the UCS first.

?—List Previously Defined Blocks

Lists the block names in the text window.

Enter block(s) to list <*>: Enter a name list or press Enter

In the list, external references (xrefs) are indicated with the notation

Xref: resolved

In addition, externally dependent blocks (blocks in an xref) are indicated with the notation

xdep: XREFNAME

where xrefname is the name of an externally referenced drawing. The following terms are used in the list:

  • User Blocks: Number of user-defined blocks in the list.
  • External References: Number of xrefs in the list.
  • Dependent Blocks: Number of externally dependent blocks in the list.
  • Unnamed Blocks: Number of unnamed (anonymous) blocks in the drawing.


BLOCKICON (Quick Reference)

-BLOCK
BLOCKICON
BLOOKUPTABLE
Commands > B commands >
BLOCKICON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Generates preview images for blocks displayed in DesignCenter.

Menu: File [image] Drawing Utilities [image] Update Block IconsNot available in menus in the current workspace.
Command entry: blockicon

Enter block names <*>: Specify block names, or press Enter to update all blocks

Use this command to generate icons for blocks created with an earlier release. You can enter a series of comma-delimited block names or wild-card characters. For example, enter b1,?2, to specify that block B1 and all two-character blocks ending with 2 should be updated.

After you enter the block names, a message is displayed describing the process as it proceeds. Press ESC at any time to stop.


BLOOKUPTABLE (Quick Reference)

BLOCKICON
BLOOKUPTABLE
Property Lookup Table Dialog Box
Commands > B commands >
BLOOKUPTABLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays or creates a lookup table for a dynamic block definition.

Command entry: bedit [image] baction

Displays the Property Lookup Table dialog box.

The current dynamic block definition must contain a lookup action and at least one lookup parameter in order for the Property Lookup Table dialog box to display. If a table is already defined for the lookup action, then that table is displayed in the dialog box. If no table is defined, one is created and displayed in the Property Lookup Table dialog box.


Property Lookup Table Dialog Box (Quick Reference)

BLOOKUPTABLE
BLOOKUPTABLE
Add Parameter Properties Dialog Box
Commands > B commands > BLOOKUPTABLE >
Property Lookup Table Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Property Lookup Table dialog box provides a lookup table for the dynamic block definition. You use the lookup table to control the values available for a lookup parameter (lookup property). The lookup table also allows the values of lookup parameters to be controlled by the values of other parameters (input properties).

The lookup table assigns property values to the dynamic block reference based on how it is manipulated in a drawing. If Reverse Lookup is selected for a lookup property, the block reference displays a lookup grip. When the lookup grip is clicked in a drawing, a list of lookup properties is displayed. Selecting an option from that list will change the display of the dynamic block reference.

Action Name

Displays the name of the lookup action associated with the table.

Add Properties

Displays the Add Parameter Properties dialog box. You can add parameter properties to the lookup table.

Audit

Checks the data in the table to ensure that each row is unique.

Input Properties

Specifies the input properties for the dynamic block. Each parameter (except a lookup, alignment, or base point parameter) in the dynamic block can be displayed as a column under Input Properties. When a parameter's value matches a value in its corresponding input property column in the lookup table, the corresponding lookup property on the right side of the table is assigned to the block reference.

Lookup Properties

Specifies the lookup properties for the dynamic block. Each lookup parameter in the dynamic block can be displayed as a column under Lookup Properties. When a parameter's value matches a value in its corresponding input property column in the lookup table, the corresponding lookup property on the right side of the table is assigned to the block reference. The drop-down control at the bottom of a lookup column is used to make the lookup property read-only or to allow reverse lookup. If all the rows in the table are unique, you can set the lookup property to allow reverse lookup. Allow Reverse Lookup enables the lookup property for a block reference to be set from a drop-down list that is displayed when the lookup grip is clicked in a drawing. Selecting an option from this list changes the block reference to match the corresponding input property values in the table.


Add Parameter Properties Dialog Box (Quick Reference)

Property Lookup Table Dialog Box
BLOOKUPTABLE
BMPOUT
Commands > B commands > BLOOKUPTABLE >
Add Parameter Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Adds parameter properties to a lookup table.

Parameter Properties

Displays a list of parameters not yet added to the lookup table. Select a parameter and click OK to add it to the lookup table.

Property Type

Specifies the type of property to add to the lookup table.

Add Input Properties

When selected, the Parameter Properties list displays the available input property parameters that can be added to the lookup table.

Add Lookup Properties

When selected, the Parameter Properties list displays the available lookup property parameters that can be added to the lookup table.


BMPOUT (Quick Reference)

Add Parameter Properties Dialog Box
BMPOUT
BOUNDARY
Commands > B commands >
BMPOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves selected objects to a file in device-independent bitmap format.

Command entry: bmpout

The Create Raster File dialog box (a standard file selection dialog box) is displayed. Enter the file name in the dialog box.

Select objects or <all objects and viewports>: Press Enter to select all objects and viewports or use an object selection method and press Enter

A bitmap file that contains the objects you select is created. The file reflects what is displayed on the screen. Light glyphs that are displayed in the drawing appear in the new file, even if the Plot Glyph property of the lights is set to No.

NoteWhen the FILEDIA system variable is set to 0 (Off), Command prompts are displayed.


BOUNDARY (Quick Reference)

BMPOUT
BOUNDARY
Boundary Creation Dialog Box
Commands > B commands >
BOUNDARY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a region or a polyline from an enclosed area.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] BoundaryNot available on the ribbon in the current workspace.
Menu: Draw [image] BoundaryNot available in menus in the current workspace.
Command entry: boundary

Summary

The Boundary Creation dialog box is displayed.

If you enter -boundary at the Command prompt, options are displayed.

Each point that you specify identifies the surrounding objects and creates a separate region or polyline.


Boundary Creation Dialog Box (Quick Reference)

BOUNDARY
BOUNDARY
-BOUNDARY
Commands > B commands > BOUNDARY >
Boundary Creation Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] BoundaryNot available on the ribbon in the current workspace.
Menu: Draw [image] BoundaryNot available in menus in the current workspace.
Command entry: boundary

Summary

Defines the object type, boundary set, and island detection method for creating a region or polyline using a specified point within an area enclosed by objects.

Pick Points

Determines a boundary from existing objects that form an enclosed area around the specified point.

Island Detection

Controls whether BOUNDARY detects internal closed boundaries, called islands.

Object Type

Controls the type of the new boundary object. BOUNDARY creates the boundary as a region or a polyline object.

Boundary Set

Defines the set of objects BOUNDARY analyzes when defining a boundary from a specified point.

Current Viewport

Defines the boundary set from everything in the current viewport extents. Selecting this option discards any current boundary set.

New

Prompts you to select the objects that define the boundary set. BOUNDARY includes only the objects that can be used to create a region or closed polyline when it constructs the new boundary set.

For more information about the options in this dialog box, see HATCH.


-BOUNDARY (Quick Reference)

Boundary Creation Dialog Box
BOUNDARY
BOX
Commands > B commands > BOUNDARY >
-BOUNDARY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -boundary at the Command prompt, the following prompts are displayed.

Specify internal point or [Advanced options]: Specify a point or enter a

Internal Point

Creates a region or polyline from existing objects that form an enclosed area. Specify a point inside the area.

Advanced Options

Sets the method BOUNDARY uses to create the boundary.

Enter an option [Boundary set/Island detection/Object type]: Enter an option or press Enter to return to the previous prompt

Boundary Set

Defines the set of objects BOUNDARY analyzes when it creates a boundary from a specified point. For information about defining a boundary set at the Command prompt, see the HATCH Command prompt option.

Island Detection

Specifies whether BOUNDARY uses objects within the outermost boundary as boundary objects. For information about specifying island detection at the Command prompt, see the HATCH Command prompt option.

Object Type

Specifies the type of object that BOUNDARY creates.

Enter type of boundary object [Region/Polyline] <current>: Enter an option or press Enter


BOX (Quick Reference)

-BOUNDARY
BOX
BPARAMETER
Commands > B commands >
BOX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid box.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] BoxNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] BoxNot available in menus in the current workspace.
Toolbar: Modeling
Command entry: box

List of Prompts

The following prompts are displayed.

Specify first corner or [Center]: Specify a point or enterc for center

Specify other corner or [Cube/Length]: Specify the other corner of the box or enteran option

If the other corner of the box is specified with a Z value that differs from the first corner, then no height prompt is displayed.

Specify height or [2Point] <default>: Specify the height or enter 2P for the 2 Point option

Entering a positive value draws the height along the positive Z axis of the current UCS. Entering a negative value draws the height along the negative Z axis.

The base of the box is always drawn parallel to the XY plane of the current UCS (workplane). The height of the box is specified in the Z-axis direction. You can enter both positive and negative values for the height.

Center

Creates the box by using a specified center point.

Specify center: Specify a point (1)

Specify other corner or [Cube/Length]: Specify a point or enter an option

Specify height or [2Point] <default>: Specify the height or enter2P for the 2 Point option

Cube

Creates a box with sides of equal length.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the box in the XY plane

Length

Creates a box with length, width, and height values you specify. The length corresponds to the X axis, the width to the Y axis, and the height to the Z axis.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the box in the XY plane

Specify width: Specify a distance

Specify height: Specify a distance

Cube

Creates a box with sides of equal length.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the box in the XY plane

Length

Creates a box with length, width, and height values you specify. If you enter values, the length corresponds to the X axis, the width to the Y axis, and the height to the Z axis. If you pick a point to specify the length, you also specify the rotation in the XY plane.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the box in the XY plane

Specify width: Specify a distance

Specify height: Specify a distance

2Point

Specifies that the height of the box is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point


BPARAMETER (Quick Reference)

BOX
BPARAMETER
BREAK
Commands > B commands >
BPARAMETER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds a parameter with grips to a dynamic block definition.

Access Methods

Ribbon: Block Editor tab [image] Action Parameters panel
Command entry: bedit [image] bparameter

Summary

You can use the BPARAMETER command only in the Block Editor. A parameter defines custom properties for the block reference. After you add a parameter, you must associate an action with the parameter to make the block dynamic.

List of Prompts

The following prompts are displayed.

Enter parameter type [Alignment/Base/pOint/Linear/Polar/XY/Rotation/Flip/Visibility/looKup] <last>: Enter a parameter type

Alignment

Adds an alignment parameter to the current dynamic block definition. Because the alignment parameter affects the entire block, it is not necessary (or possible) to associate an action with the alignment parameter.

An alignment parameter defines an X and Y location and an angle. An alignment parameter always applies to the entire block and needs no action associated with it. An alignment parameter allows the block reference to automatically rotate around a point to align with other objects in the drawing. An alignment parameter affects the angle property of the block reference.

Specify base point of alignment or [Name]: Specify a point or enter name

When you specify the base point for the alignment parameter, an X is displayed in the Block Editor. When the command is completed, an alignment grip is added at this base point. The block reference automatically rotates about this point to align with another object in the drawing.

The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Alignment type = Perpendicular

Specify alignment direction or alignment type [Type] <Type>: Specify an alignment direction or enter type

The alignment direction specifies the direction of the grip and the angle of alignment for the block reference.

Enter alignment type [Perpendicular/Tangent] <Perpendicular>: Specify an alignment type

Perpendicular

Specifies that the dynamic block reference aligns perpendicular to objects in a drawing.

Tangent

Specifies that the dynamic block reference aligns tangent to objects in a drawing.

Base

Adds a base point parameter to the current dynamic block definition. You do not associate any actions with a base point parameter. The base point parameter defines the base point for the dynamic block reference in relation to the geometry in the block. This provides a way to control the location of the base point within the block reference when it is edited in a drawing. The base point parameter is generally included in a selection set of the block definition's actions.

Specify parameter location: Specify a location

Only one base point parameter is allowed in a dynamic block definition. If you try to add another base point parameter, the following alert is displayed.

Base point parameter already exists in block definition

Point

Adds a point parameter to the current dynamic block definition and defines custom X and Y properties for the block reference. You associate a move or stretch action with a point parameter.

Specify parameter location or [Name/Label/Chain/Description/Palette]: Specify a location or enter an option

Specify label location: Specify a location for the parameter label

Enter number of grips [0/1] <1>: Specify the number of grips for the parameter

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter position property label <default>: Enter a label for the position property or press Enter to use the default label

Chain

Specifies the Chain Actions property for the parameter. The point parameter may be included in the selection set of an action that is associated with a different parameter. When that parameter is edited in a block reference, its associated action may trigger a change in the values of other parameters included in the action's selection set.

If the Chain Actions property is set to Yes, this change triggers any actions associated with the point parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the point parameter's associated actions are not triggered by the changes to the other parameter.

Evaluate associated actions when parameter is edited by another action? [Yes/No] <No>: Enter y or press Enter

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Linear

Button

Adds a linear parameter to the current dynamic block definition and defines a custom distance property for the block reference. You associate a move, scale, stretch, or array action with a linear parameter.

Specify start point or [Name/Label/Chain/Description/Base/Palette/Value set]: Specify a start point for the parameter or enter an option

Specify endpoint: Specify an endpoint for the parameter

Specify label location: Specify a location for the parameter label

Enter number of grips [0/1/2] <2>: Specify the number of grips for the parameter

If you specify one grip for the parameter, the grip is added to the endpoint of the parameter.

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter distance property label <default>: Enter a label for the distance property or press Enter to use the default label

Chain

Specifies the Chain Actions property for the parameter. The linear parameter may be included in the selection set of an action that is associated with a different parameter. When that parameter is edited in a block reference, its associated action may trigger a change in the values of other parameters included in the action's selection set.

If the Chain Actions property is set to Yes, this change triggers any actions associated with the linear parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the linear parameter's associated actions are not triggered by the changes to the other parameter.

Evaluate associated actions when parameter is edited by another action? [Yes/No] <No>: Enter y or press Enter

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Base

Specifies the Base Location property for the parameter.

Enter base location [Startpoint/Midpoint]: Specify an option

Startpoint

Specifies that the start point of the parameter remains fixed when the endpoint of the parameter is edited in the block reference.

Midpoint

Specifies a midpoint base location for the parameter. This midpoint is indicated by an X in the block definition. When you edit the linear parameter in the block reference, the midpoint of the parameter remains fixed, and the start point and endpoint of the parameter move simultaneously equal distances from the midpoint. For example, if you move the grip on the endpoint two units away from the midpoint, the start point simultaneously moves two units in the opposite direction.

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Value Set

Specifies a value set for the parameter. Limits the available values for the parameter in a block reference to the values specified in the set.

Enter distance value set type [None/List/Increment] <None>: Specify a value set type or press Enter to specify no value set type

List

Specifies a list of available values for the parameter in a block reference.

Enter list of distance values (separated by commas): Specify a list of values separated by commas

Increment

Specifies a value increment and minimum and maximum values for the parameter in the block reference.

Enter distance increment: Specify an increment value for the parameter

Enter minimum distance: Specify a minimum distance value for the parameter

Enter maximum distance: Specify a maximum distance value for the parameter

Polar

Adds a polar parameter to the current dynamic block definition. Defines custom distance and angle properties for the block reference. You associate a move, scale, stretch, polar stretch, or array action with a polar parameter.

Specify base point or [Name/Label/Chain/Description/Palette/Value set]: Specify a start point for the parameter or enter an option

Specify endpoint: Specify an endpoint for the parameter

Specify label location: Specify a location for the parameter label

Enter number of grips [0/1/2] <2>: Specify the number of grips for the parameter

If you specify one grip for the parameter, the grip is added to the endpoint of the parameter.

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter distance property label <default>: Enter a label for the distance property or press Enter to use the default label

Enter angle property label <default>: Enter a label for the angle property or press Enter to use the default label

Chain

Specifies the Chain Actions property for the parameter. The polar parameter may be included in the selection set of an action that is associated with a different parameter. When that parameter is edited in a block reference, its associated action may trigger a change in the values of other parameters included in the action's selection set.

If the Chain Actions property is set to Yes, this change triggers any actions associated with the polar parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the polar parameter's associated actions are not triggered by the changes to the other parameter.

Evaluate associated actions when parameter is edited by another action? [Yes/No] <No>: Enter y or press Enter

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Value Set

Specifies a value set for the parameter. Limits the available values for the parameter in a block reference to the values specified in the set.

Enter distance value set type [None/List/Increment] <None>: Specify a distance value set type or press Enter to specify no value set type

Enter angle value set type [None/List/Increment] <None>: Specify an angle value set type or press Enter to specify no value set type

List

Specifies a list of available values for the parameter in a block reference.

Enter list of distance values (separated by commas): Specify a list of values separated by commas

Enter list of angle values (separated by commas): Specify a list of values separated by commas

Increment

Specifies a value increment and minimum and maximum values for the parameter distance in the block reference.

Enter distance increment: Specify an increment value for the parameter distance

Enter minimum distance: Specify a minimum value for the parameter distance

Enter maximum distance: Specify a maximum value for the parameter distance

Specifies a value increment and minimum and maximum values for the parameter angle in the block reference.

Enter angle increment: Specify an increment value for the parameter angle

Enter minimum angle: Specify a minimum value for the parameter angle

Enter maximum angle: Specify a maximum value for the parameter angle

XY

Adds an XY parameter to the current dynamic block definition and defines custom horizontal and vertical distance properties for the block reference. You associate a move, scale, stretch, or array action with an XY parameter.

Specify base point or [Name/Label/Chain/Description/Palette/Value set]: Specify a base point for the parameter or enter an option

Specify endpoint: Specify an endpoint for the parameter

Enter number of grips [0/1/2/4] <1>: Specify the number of grips for the parameter

If you specify one grip for the parameter, the grip is added to the endpoint of the parameter. If you specify two grips for the parameter, a grip is added to the base point and endpoint of the parameter. If you specify four grips for the parameter, a grip is added to all four corners of the parameter.

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter horizontal distance property label <default>: Enter a label for the horizontal distance property or press Enter to use the default label

Enter vertical distance property label <default>: Enter a label for the vertical distance property or press Enter to use the default label

Chain

Specifies the Chain Actions property for the parameter. The XY parameter may be included in the selection set of an action that is associated with a different parameter. When that parameter is edited in a block reference, its associated action may trigger a change in the values of other parameters included in the action's selection set.

If the Chain Actions property is set to Yes, this change triggers any actions associated with the XY parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the XY parameter's associated actions are not triggered by the changes to the other parameter.

Evaluate associated actions when parameter is edited by another action? [Yes/No] <No>: Enter y or press Enter

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter horizontal distance property description: Enter a description for the horizontal distance property of the parameter

Enter vertical distance property description: Enter a description for the vertical distance property of the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Value Set

Specifies a value set for the parameter. Limits the available values for the parameter in a block reference to the values specified in the set.

Enter horizontal value set type [None/List/Increment] <None>: Specify a value set type or press Enter to specify no value set type

Enter vertical value set type [None/List/Increment] <None>: Specify a value set type or press Enter to specify no value set type

List

Specifies a list of available values for the parameter in a block reference.

Enter list of distance values (separated by commas): Specify a list of values separated by commas

Increment

Specifies a value increment and minimum and maximum values for the parameter in the block reference.

Enter distance increment: Specify an increment value for the parameter

Enter minimum distance: Specify a minimum distance value for the parameter

Enter maximum distance: Specify a maximum distance value for the parameter

Rotation

Adds a rotation parameter to the current dynamic block definition and defines a custom angle property for the block reference. Only a rotate action can be associated with a rotation parameter.

Specify base point or [Name/Label/Chain/Description/Palette/Value set]: Specify a base point for the parameter or enter an option

Specify radius of parameter: Specify a radius for the parameter

Specify default rotation angle or [Base angle] <0>: Specify a base angle for the parameter

Specify label location: Specify a location for the parameter label

Enter number of grips [0/1] <1>: Specify the number of grips for the parameter

If you specify one grip for the parameter, the grip is added to the key point on the radius of the parameter.

Base Angle

Specifies a base angle for the parameter and places the grip for the parameter at this angle.

Specify base angle <0>: Specify a base angle for the parameter or press Enter

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter rotation property label <default>: Enter a label for the rotation property or press Enter to use the default label

Chain

Specifies the Chain Actions property for the parameter. The rotation parameter may be included in the selection set of an action that is associated with a different parameter. When that parameter is edited in a block reference, its associated action may trigger a change in the values of other parameters included in the action's selection set.

If the Chain Actions property is set to Yes, this change triggers any actions associated with the rotation parameter, just as if you had edited the parameter in the block reference through a grip or custom property.

If the Chain Actions property is set to No, the rotation parameter's associated actions are not triggered by the changes to the other parameter.

Evaluate associated actions when parameter is edited by another action? [Yes/No] <No>: Enter y or press Enter

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Value Set

Specifies a value set for the parameter. Limits the available values for the parameter in a block reference to the values specified in the set.

Enter angle value set type [None/List/Increment] <None>: Specify an angle value set type or press Enter to specify no value set type

List

Specifies a list of available values for the parameter in a block reference.

Enter list of angle values (separated by commas): Specify a list of values separated by commas

Increment

Specifies a value increment and minimum and maximum values for the parameter angle in the block reference.

Enter angle increment: Specify an increment value for the parameter angle

Enter minimum angle: Specify a minimum value for the parameter angle

Enter maximum angle: Specify a maximum value for the parameter angle

Flip

Adds a flip parameter to the current dynamic block definition. Defines a custom flip property for the block reference. A flip parameter flips objects. In the Block Editor, a flip parameter displays as a reflection line. Objects can be flipped about this reflection line. A flip parameter displays a value that shows if the block reference has been flipped or not. You associate a flip action with a flip parameter.

Specify base point of reflection line or [Name/Label/Description/Palette]: Specify a base point for the reflection line or enter an option

Specify endpoint of reflection line: Specify an endpoint for the reflection line

Specify label location: Specify a location for the parameter label

Enter number of grips [0/1] <1>: Specify the number of grips for the parameter

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter Flip property label <default>: Enter a label for the flip property or press Enter to use the default label

Specify values for items in the flip property dropdown control:

Enter flip property value for an unflipped state <Not Flipped>: Enter a property value to display when the parameter is unflipped or press Enter to use the default label

Enter flipped property value for a flipped state <Flipped>: Enter a property value to display when the parameter is flipped or press Enter to use the default label

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Visibility

Adds a visibility parameter to the current dynamic block definition and defines a custom visibility property for the block reference. A visibility parameter allows you to create visibility states and to control the visibility of objects in the block. A visibility parameter always applies to the entire block and needs no action associated with it.

Specify parameter location or [Name/Label/Description/Palette]: Specify a location for the parameter or enter an option

Enter number of grips [0/1] <1>: Specify the number of grips for the parameter

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter visibility property label <default>: Enter a label for the visibility property or press Enter to use the default label

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter

Lookup

Adds a lookup parameter to the current dynamic block definition and defines custom lookup properties for the block reference. A lookup parameter defines a custom property that you can specify or can be set to use a value from a list or table you define. You associate a lookup action with a lookup parameter. Each lookup parameter you add to the block definition can be added as a column in the Property Lookup Table dialog box.

Specify parameter location or [Name/Label/Description/Palette]: Specify a location for the parameter or enter an option

Enter number of grips [0/1] <1>: Specify the number of grips for the parameter

Name

Specifies the parameter name. The parameter name is displayed in the Properties palette when you select the parameter in the Block Editor.

Enter parameter name <default>: Enter a name for the parameter or press Enter to use the default name

Label

Specifies the parameter label, which defines the custom property name added to the block. The parameter label is displayed in the Properties palette as a Custom property when you select the block reference in a drawing. In the Block Editor, the parameter label is displayed next to the parameter.

Enter lookup property label <default>: Enter a label for the lookup property or press Enter to use the default label

Description

Specifies the description for the custom property name (parameter label). This description is displayed in the Properties palette when you select the parameter in the Block Editor. In a drawing, when you select the custom property name (parameter label) for the block reference in the Properties palette, the description is displayed at the bottom of the Properties palette.

Enter property description: Enter a description for the parameter

Palette

Specifies whether or not the parameter label is displayed in the Properties palette when the block reference is selected in a drawing.

Display property in Properties palette? [Yes/No] <Yes>: Enter n or press Enter


BREAK (Quick Reference)

BPARAMETER
BREAK
BREP
Commands > B commands >
BREAK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Breaks the selected object between two points.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] BreakNot available on the ribbon in the current workspace.
Menu: Modify [image] BreakNot available in menus in the current workspace.
Toolbar: Modify
Command entry: break

You can create a gap between two specified points on an object, breaking it into two objects. If the points are off of an object, they are automatically projected on to the object. BREAK is often used to create space for a block or text.

Select object: Use an object selection method, or specify the first break point (1) on an object

The prompts that are displayed next depend on how you select the object. If you select the object by using your pointing device, the program both selects the object and treats the selection point as the first break point. At the next prompt you can continue by specifying the second point or overriding the first point.

Specify second break point or [First point]: Specify the second break point (2) or enter f

Second Break Point

Specifies the second point to use to break the object.

First Point

Overrides the original first point with the new point that you specify.

Specify first break point:

Specify second break point:

The portion of the object is erased between the two points that you specify. If the second point is not on the object, the nearest point on the object is selected; therefore, to break off one end of a line, arc, or polyline, specify the second point beyond the end to be removed.

To split an object in two without erasing a portion, enter the same point for both the first and second points. You can do this by entering @ to specify the second point.

Lines, arcs, circles, polylines, ellipses, splines, donuts, and several other object types can be split into two objects or have one end removed.

The program converts a circle to an arc by removing a piece of the circle starting counterclockwise from the first to the second point.

You can also break selected objecs at a single point with the Break at Point tool.

Valid objects include lines, open polylines, and arcs. Closed objects such as circles cannot be broken at a single point.


BREP (Quick Reference)

BREAK
BREP
BROWSER
Commands > B commands >
BREP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes the history from 3D solid primitives and composite solids.

Command entry: brep

Select objects: Use an object selection method and press Enter when you finish

The history of the selected solids is removed. The solid no longer retains a history of the original parts from which the solid was created, and thus, its original parts cannot be selected and modified.

If you use BREP on a solid primitive, the solid primitive is no longer a true primitive and cannot be manipulated as such (through grips and the Properties palette).


BROWSER (Quick Reference)

BREP
BROWSER
BSAVE
Commands > B commands >
BROWSER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Launches the default web browser defined in your system's registry.

Toolbar: Web
Command entry: browser

Enter Web location (URL) <current>: Press Enter or enter a new location; you don't need to enter http:// before the location

Pressing Enter displays your web browser, which automatically connects to the location you specify. Because BROWSER does not append “http://” to web locations, you can specify an FTP or file location to your default web browser.


BSAVE (Quick Reference)

BROWSER
BSAVE
BSAVEAS
Commands > B commands >
BSAVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves the current block definition.

Access Methods

Button

Ribbon: Block Editor tab [image] Open/Save panel [image] Save BlockNot available on the ribbon in the current workspace.
Command entry: bedit [image] bsave

Summary

Saves changes to the current block definition.

You can only use the BSAVE command in the Block Editor.


BSAVEAS (Quick Reference)

BSAVE
BSAVEAS
Save Block As Dialog Box
Commands > B commands >
BSAVEAS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a copy of the current block definition under a new name.

Access Methods

Button

Ribbon: Block Editor tab [image] Open/Save panel [image] Save Block AsNot available on the ribbon in the current workspace.
Command entry: bedit [image] bsaveas

Summary

Displays the Save Block As dialog box.

You can only use the BSAVEAS command in the Block Editor.


Save Block As Dialog Box (Quick Reference)

BSAVEAS
BSAVEAS
BTABLE
Commands > B commands > BSAVEAS >
Save Block As Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a copy of the current block definition under a new name.

Access Methods

Button

Ribbon: Block Editor tab [image] Open/Save panel [image] Save Block AsNot available on the ribbon in the current workspace.
Command entry: bedit [image] bsaveas

List of Options

The following options are available in this dialog box.

Block Name

Specifies a new name under which to save a copy of the current block definition.

Block List

Displays a list of block definitions that are saved in the current drawing.

Preview

Displays a preview of the selected block definition.

Description

Displays the block definition description specified in the Block area of the Properties palette in the Block Editor.

Save Block Definition to Drawing File

Saves the block definition as a drawing file. Selecting a pre-existing drawing file overwrites the saved file. By default, the block name specified is taken as the drawing file name.


BTABLE (Quick Reference)

Save Block As Dialog Box
BTABLE
Block Properties Table Dialog Box
Commands > B commands >
BTABLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a dialog box to define variations of a block.

Access Methods

Button

Ribbon: Block Editor tab [image] Dimensional panel [image] Block TableNot available on the ribbon in the current workspace.
Command entry: bedit [image] btable

Summary

You can only use the BTABLE command in the Block Editor. The Block Properties Table dialog box is displayed after you specify a location point. The location point determines where the grip and table icon are located in the block definition. The grip location determines where the grip appears in the block reference and displays a context menu based on the contents of the block properties table. The type of properties that can be included in the block properties table include legacy parameters, parameter constraints, user parameters, and attributes. The legacy action parameters that are added to the lookup tables cannot be added to the Block Properties Table.

Each row in the table defines a different variation of the block reference, and can be accessed by the lookup grip.

If a block table is already created in the block editor, entering the BTABLE command directly displays the Block Properties Table dialog box (see BLOOKUPTABLE command).

List of Prompts

The following prompts are displayed.

Specify parameter location or [Palette]: Specify a location point

Enter number of grips [0/1] <1>: Enter the number of grips

Palette

Specifies whether the block table item is displayed in the Properties palette for the block reference.


Block Properties Table Dialog Box (Quick Reference)

BTABLE
BTABLE
Add Parameter Properties Dialog Box
Commands > B commands > BTABLE >
Block Properties Table Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the variations for a set of user-defined properties in the block definition through a grid control.

Access Methods

Button

Ribbon: Block Editor tab [image] Dimensional panel [image] Block TableNot available on the ribbon in the current workspace.
Command entry: bedit [image] btable

NoteYou can press SHIFT+Enter to add a new line for a multiline attribute value in the grid in the Block Properties Table dialog box.

List of Options

The following options are available in this dialog box.

Add Properties

Displays the Add Parameter Properties dialog box where you can add parameters already defined in the Block Properties Table.

New Properties

Displays the New Parameters dialog box where you can create and add new user parameters to the Block Properties Table.

Audit

Checks the Block Properties Table for errors.

Grid Control

Displays the name of parameters added to the table. You can also modify the properties of the table.

Block Properties Must Match A Row In The Table

Specifies whether the properties added to the grid control can be modified individually for a block reference.

Default Value When Entering Custom Values

Displays the default values when other properties are changed without matching a row.


Add Parameter Properties Dialog Box (Quick Reference)

Block Properties Table Dialog Box
BTABLE
New Parameter Dialog Box
Commands > B commands > BTABLE >
Add Parameter Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds parameter properties to the block properties table.

Access Methods

Button

Ribbon: Block Editor tab [image] Dimensional panel [image] Block TableNot available on the ribbon in the current workspace.
Command entry: bedit [image] btable

List of Options

The following options are available in this dialog box.

Parameter Properties

Displays a list of dimensional constraint parameters, user parameters, legacy parameters, and attribute definitions.

Name

Displays the names of parameters available to add to the block properties table.

Type

Identifies the type of the parameter.


New Parameter Dialog Box (Quick Reference)

Add Parameter Properties Dialog Box
BTABLE
BTESTBLOCK
Commands > B commands > BTABLE >
New Parameter Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates and defines a new user parameter to be added to the block properties table.

Access Methods

Button

Ribbon: Block Editor tab [image] Dimensional panel [image] Block TableNot available on the ribbon in the current workspace.
Command entry: bedit [image] btable

List of Options

The following options are available in this dialog box.

Name

Displays the name of the new user parameter.

Value

Displays the value of the user parameter.

Type

Determines the type of the new parameter. You can select a real, distance, area, volume, angle, or string parameter type.

Display in Properties Palette

Specifies whether to display the user parameter as a property in the Properties palette for the block reference.


BTESTBLOCK (Quick Reference)

New Parameter Dialog Box
BTESTBLOCK
BVHIDE
Commands > B commands >
BTESTBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a window within the Block Editor to test a dynamic block.

Access Methods

Button

Ribbon: Block Editor tab [image] Open / Save panel [image] Test Block [image] Not available on the ribbon in the current workspace.
Command entry: bedit [image] btestblock

Summary

You can only use the BTESTBLOCK command in the Block Editor. With the Test Block window you can test a dynamic block without closing the Block Editor. You can select the block reference and test the grips or display the Properties palette and test the behavior when changing the properties. You can also insert additional copies of the block to test the inserting behavior. You can make changes and test the block without saving the changes to the block definition.

In the Test Block window, all AutoCAD commands operate the same way except the BEDIT, SAVE, SAVEAS, and QSAVE commands. The BEDIT command is not available in Test Block window. The SAVE, SAVEAS, and QSAVE commands remove the Test Block status from the window and the Test Block window becomes an open drawing. A Close Test Block Window contextual panel is added to the ribbon when you are in the test block mode.

In the Block Editor, the BCLOSE, BTESTBLOCK, and CLOSE commands automatically close the Test Block window and discard the temporary file. The BTESTBLOCK command closes the current Test Block window and opens a new window with the current definition.

NotePlease ensure that there are entities present in the block being tested before running the BTESTBLOCK command.


BVHIDE (Quick Reference)

BTESTBLOCK
BVHIDE
BVSHOW
Commands > B commands >
BVHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Makes objects invisible in the current visibility state or all visibility states in a dynamic block definition.

Access Methods

Button

Ribbon: Block Editor tab [image] Visibility panel [image] Block Visibility HideNot available on the ribbon in the current workspace.
Command entry: bedit [image] bvhide
Shortcut menu: Select objects to hide for visibility states. Right-click in the Block Editor drawing area. Click Object Visibility [image] Hide for Current State or click Object Visibility [image] Hide for All States

Summary

Makes objects invisible for the current visibility state. You can only use the BVHIDE command in the Block Editor.

List of Prompts

The following prompts are displayed.

Select objects to hide: Select objects to hide for the current visibility state or all visibility states

Hide for current state or all visibility states [Current/All] <Current>: Enter currentto hide the selected objects for the current visibility state or enter all to hide the selected objects for all visibility states in the block definition


BVSHOW (Quick Reference)

BVHIDE
BVSHOW
BVSTATE
Commands > B commands >
BVSHOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Makes objects visible in the current visibility state or all visibility states in a dynamic block definition.

Access Methods

Button

Ribbon: Block Editor tab [image] Visibility panel [image] Block Visibility ShowNot available on the ribbon in the current workspace.
Command entry: bedit [image] bvshow
Shortcut menu: Select objects to make visible for visibility states. Right-click in the Block Editor drawing area. Click Object Visibility [image] Show for Current State or click Object Visibility [image] Show for All States

Summary

Allows you to make objects visible for visibility states. You can only use the BVSHOW command in the Block Editor.

List of Prompts

The following prompts are displayed

Select objects to make visible: Select objects to make visible for the current visibility state or all visibility states

Make visible for current state or all visibility states [Current/All] <Current>: Enter current to make the selected objects visible for the current visibility state or enter all to make the selected objects visible for all visibility states in the block definition


BVSTATE (Quick Reference)

BVSHOW
BVSTATE
Visibility States Dialog Box
Commands > B commands >
BVSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, sets, or deletes a visibility state in a dynamic block.

Access Methods

Button

Ribbon: Block Editor tab [image] Visibility panel [image] Visibility StatesNot available on the ribbon in the current workspace.
Command entry: bedit [image] bvstate

Summary

Displays the Visibility States dialog box. You can only use the BVSTATE command in the Block Editor after a visibility parameter has been added to the block definition.


Visibility States Dialog Box (Quick Reference)

BVSTATE
BVSTATE
New Visibility State Dialog Box
Commands > B commands > BVSTATE >
Visibility States Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates or modifies visibility states.

Access Methods

Button

Ribbon: Block Editor tab [image] Visibility panel [image] Visibility StatesNot available on the ribbon in the current workspace.
Command entry: bedit [image] bvstate

List of Options

The following options are available in this dialog box.

Visibility States

Lists the available visibility states for the current dynamic block definition. The order of this list is reflected in the dynamic block reference when the grip is clicked to display the list of visibility states. The state at the top of the list is the default state for the block reference.

Set Current

Sets the selected visibility state as the current state to display in the Block Editor. Does not change the default visibility state that is displayed when the block is inserted in a drawing, nor does it change the displayed visibility state for block references already inserted and edited in the drawing.

New

Displays the New Visibility State dialog box.

Rename

Renames the selected visibility state.

Delete

Deletes the selected visibility state.

Move Up

Moves the selected visibility state up in the list.

Move Down

Moves the selected visibility state down in the list.


New Visibility State Dialog Box (Quick Reference)

Visibility States Dialog Box
BVSTATE
-BVSTATE
Commands > B commands > BVSTATE >
New Visibility State Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new visibility state.

Access Methods

Button

Ribbon: Block Editor tab [image] Visibility panel [image] Visibility StatesNot available on the ribbon in the current workspace.
Command entry: bedit [image] bvstate

List of Options

The following options are available in this dialog box.

Visibility State Name

Specifies the name for the new visibility state.

Visibility Options for New States

Displays options for the new visibility state.

Hide All Existing Objects in New State

Specifies that all objects in the block definition will be hidden in the new visibility state.

Show All Existing Objects in New State

Specifies that all objects in the block definition will be shown in the new visibility state.

Leave Visibility of Existing Objects Unchanged in New State

Specifies that the visibility of objects in the new visibility state will be the same as in the current visibility state on which the new state is based.

OK

Creates a new visibility state.


-BVSTATE (Quick Reference)

New Visibility State Dialog Box
BVSTATE
CAL
Commands > B commands > BVSTATE >
-BVSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: bedit [image] -bvstate

List of Prompts

The following prompts are displayed.

Current visibility state: <Name of current visibility state>

Enter an option [New/Set/Delete] <New>: Enter an option or press Enter

New

Creates a new visibility state.

Enter name of new visibility state: Enter a name for the new visibility state

Enter object visibility for new state [Hide all/Show all/Current visibility] <Current visibility>: Enter object visibility for new state

Hide All

Specifies that all objects in the block definition will be hidden in the new visibility state.

Show All

Specifies that all objects in the block definition will be shown in the new visibility state.

Current Visibility

Specifies that the visibility of objects in the new visibility state will be the same as in the current visibility state on which the new state is based.

Set

Specifies the visibility state to set as current.

Enter visibility state name to make current or [?]: Enter the name of the visibility state to set as the current state

Delete

Deletes a visibility state.

Enter visibility state name(s) to delete: Enter the name(s) of the visibility states to delete


C commands

-BVSTATE
Commands
CAL
Commands >
C commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • CAL

    Evaluates mathematical and geometric expressions.

  • CAMERA

    Sets a camera and target location to create and save a 3D perspective view of objects.

  • CHAMFER

    Bevels the edges of objects.

  • CHANGE

    Changes the properties of existing objects.

  • CHECKSTANDARDS

    Checks the current drawing for standards violations.

  • CHPROP

    Changes the properties of an object.

  • CHSPACE

    Moves objects between model space and paper space.

  • CIRCLE

    Creates a circle.

  • CLASSICIMAGE

    Manages referenced image files in the current drawing

  • CLASSICLAYER

    Opens the modal Layer Properties Manager.

  • CLASSICXREF

    Manages referenced drawing files in the current drawing

  • CLEANSCREENOFF

    Restores display of toolbars and dockable windows (excluding the command line).

  • CLEANSCREENON

    Clears the screen of toolbars and dockable windows (excluding the command line).

  • CLIP

    Crops a selected external reference, image, viewport, or underlay (DWF, DWFx, PDF, or DGN) to a specified boundary.

  • CLOSE

    Closes the current drawing.

  • CLOSEALL

    Closes all currently open drawings.

  • COLOR

    Sets the color for new objects.

  • COMMANDLINE

    Displays the Command Line window.

  • COMMANDLINEHIDE

    Hides the Command Line window.

  • COMPILE

    Compiles shape files and PostScript font files into SHX files.

  • CONE

    Creates a 3D solid cone.

  • CONSTRAINTBAR

    A toolbar-like UI element that displays the available geometric constraints on an object.

  • CONSTRAINTSETTINGS

    Controls the display of geometric constraints on constraint bars.

  • CONVERT

    Optimizes 2D polylines and associative hatches created in AutoCAD Release 13 or earlier.

  • CONVERTCTB

    Converts a color-dependent plot style table (CTB) to a named plot style table (STB).

  • CONVERTOLDLIGHTS

    Converts lights created in previous drawing file formats to the current format.

  • CONVERTOLDMATERIALS

    Converts materials created in previous drawing file formats to the current format.

  • CONVERTPSTYLES

    Converts the current drawing to either named or color-dependent plot styles.

  • CONVTOSOLID

    Converts 3D meshes and polylines and circles with thickness to 3D solids.

  • CONVTOSURFACE

    Converts objects to 3D surfaces.

  • COPY

    Copies objects a specified distance in a specified direction.

  • COPYBASE

    Copies selected objects to the Clipboard along with a specified base point.

  • COPYCLIP

    Copies selected objects to the Clipboard.

  • COPYHIST

    Copies the text in the command line history to the Clipboard.

  • COPYLINK

    Copies the current view to the Clipboard for linking to other OLE applications.

  • COPYTOLAYER

    Copies one or more objects to another layer.

  • CUI

    Manages the customized user interface elements in the product.

  • CUIEXPORT

    Exports customized settings from the main CUIx file to an enterprise or partial CUIx file.

  • CUIIMPORT

    Imports customized settings from an enterprise or partial CUIx file to the main CUIx file.

  • CUILOAD

    Loads a CUIx file.

  • CUIUNLOAD

    Unloads a CUIx file.

  • CUSTOMIZE

    Customizes tool palettes and tool palette groups.

  • CUTCLIP

    Copies selected objects to the Clipboard and removes them from the drawing.

  • CYLINDER

    Creates a 3D solid cylinder.


CAL (Quick Reference)

-BVSTATE
CAL
Understand Syntax of Expressions
Commands > C commands >
CAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Evaluates mathematical and geometric expressions.

Command entry: cal (or 'cal for transparent use)

CAL is an online geometry calculator that evaluates point (vector), real, or integer expressions. The expressions can access existing geometry using the object snap functions such as CEN, END, and INS.

You can insert AutoLISP® variables into the arithmetic expression and assign the value of the expression back to an AutoLISP variable.

You can use these arithmetic and vector expressions in any command that expects points, vectors, or numbers.

CAL topics:

  • Understand Syntax of Expressions
  • Format Feet and Inches
  • Format Angles
  • Use Points and Vectors
  • Use AutoLISP Variables
  • Use System Variables in Calculations
  • Convert Units of Measurement
  • Use Standard Numeric Functions
  • Calculate a Vector from Two Points
  • Calculate the Length of a Vector
  • Obtain a Point by Cursor
  • Obtain the Last-Specified Point
  • Use Snap Modes in Arithmetic Expressions
  • Convert Points Between UCS and WCS
  • Calculate a Point on a Line
  • Rotate a Point About an Axis
  • Obtain an Intersection Point
  • Calculate a Distance
  • Obtain a Radius
  • Obtain an Angle
  • Calculate a Normal Vector
  • Use Shortcut Functions


Understand Syntax of Expressions (Quick Reference)

CAL
CAL
Format Feet and Inches
Commands > C commands > CAL >
Understand Syntax of Expressions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

CAL evaluates expressions according to standard mathematical rules of precedence:

  • Expressions in parentheses first, starting with the innermost set
  • Operators in standard order: exponents first, multiplication and division second, and addition and subtraction last
  • Operators of equal precedence from left to right

Numeric Expressions

Numeric expressions are real integer numbers and functions combined with the operators in the following table.

Numeric operators
Operator | Operation
( ) | Groups expressions
^ | Indicates exponentiation
* , / | Multiplies, divides
+, - | Adds, subtracts

The following are examples of numeric expressions:

3

3 + 0.6

(5.8^2) + PI

Vector Expressions

A vector expression is a collection of points, vectors, numbers, and functions combined with the operators in the following table.

Vector operators
Operator | Operation
( ) | Groups expressions
& | Determines the vector product of vectors (as a vector) [a,b,c]&[x,y,z] = [ (b*z) - (c*y) , (c*x) - (a*z) , (a*y) - (b*x) ]
* | Determines the scalar product of vectors (as a real number) [a,b,c]*[x,y,z] = ax + by + cz
*, / | Multiplies, divides a vector by a real number a*[x,y,z] = [a*x,a*y,a*z]
+ , - | Adds, subtracts vectors (points) [a,b,c] + [x,y,z] = [a+x,b+y,c+z]

The following are examples of vector expressions:

A+[1,2,3] provides the point positioned [1,2,3] units relative to point A.

The expression

[2<45<45] + [2<45<0] - [1.02, 3.5, 2]

adds two points and subtracts a third point. The first two points are in spherical coordinates.


Format Feet and Inches (Quick Reference)

Understand Syntax of Expressions
CAL
Format Angles
Commands > C commands > CAL >
Format Feet and Inches
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Enter feet and inches using the following format:

feet'-inches" or feet' inches" or feet'inches"

You can separate feet, inches, and fractional inches with a dash, a space, or nothing. You can use any of the following syntax cases to enter valid feet-inch formatted values:

  • 5' or 60”
  • 5'-9” or 5' 9” or 5'9”
  • 5'-1/2” or 5' 1/2” or 5'1/2”
  • 5'-9-1/2” or 5' 9-1/2” or 5'9-1/2”
  • 5'-9 1/2” or 5' 9 1/2” or 5'9 1/2”

To designate inches for linear calculations, entering double quotes (“) is optional. For example, instead of entering 5'9-1/2”, you could enter 5'9-1/2.

WarningWith imperial units, CAL interprets a minus or a dash (-) as a unit separator rather than a subtraction operation. To specify subtraction, include at least one space before or after the minus sign. For example, to subtract 9” from 5', enter 5' -9” rather than 5'-9”.


Format Angles (Quick Reference)

Format Feet and Inches
CAL
Use Points and Vectors
Commands > C commands > CAL >
Format Angles
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The default units for angles are decimal degrees. Enter angles using the following format:

<degrees>d<minutes>'<seconds>”

You must enter 0d when entering an angle that is less than 1 degree (minutes and seconds only). You can omit the minutes or seconds if they are zero.

Enter a number followed by r to enter angles in radians. Enter a number followed by g to enter angles in grads.

The following examples show ways of entering angles:

5d10'20"

0d10'20"

124.6r

14g

Angles entered in any format are converted to decimal degrees.

Pi radians is equal to 180 degrees, and 100 grads is equal to 90 degrees.


Use Points and Vectors (Quick Reference)

Format Angles
CAL
Use AutoLISP Variables
Commands > C commands > CAL >
Use Points and Vectors
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Both points and vectors are pairs or triples of real numbers. A point defines a location in space, but a vector defines a direction (or translation) in space.

Some CAL functions, such as pld and plt, return a point. Other functions, such as nor and vec, return a vector.

Formatting Points and Vectors

A point or vector is a set of three real expressions enclosed in brackets ([ ]): [r1,r2,r3]

The notation p1, p2, and so forth designates points. The notation v1, v2, and so forth designates vectors. In drawings, points are displayed as dots, and vectors are displayed as lines with arrows.

CAL supports points expressed in all formats.

Point formats
Coordinate system | Point format
Polar | [dist<angle]
Cylindrical | [dist<angle,z]
Spherical | [dist<angle1<angle2]
Relative | Uses the @ prefix [@x,y,z]
WCS (instead of UCS) | Uses the * prefix [*x,y,z]

You can omit the following components of a point or vector: coordinate values of zero and a comma immediately preceding the right bracket (]).

The following are valid points:

[1,2] is the same as [1,2,0]

[,,3] is the same as [0,0,3]

[ ] is the same as [0,0,0]

In the following example, the point is entered in the relative spherical coordinate system with respect to the (WCS). The distance is 1+2=3; the angles are 10+20=30 degrees and 45 degrees, 20 minutes.

[@*1+2<10+20<45d20"]

The following is a valid point that contains arithmetic expressions as its components:

[2*(1.0+3.3),0.4-1.1,2*1.4]

The following example uses the Endpoint object snap and the vector [2,0,3] to calculate a point that is offset from a selected endpoint:

end + [2,,3]

The calculated point is offset 2 units in the X direction and 3 units in the Z direction relative to the selected endpoint.


Use AutoLISP Variables (Quick Reference)

Use Points and Vectors
CAL
Use System Variables in Calculations
Commands > C commands > CAL >
Use AutoLISP Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can use AutoLISP variables within arithmetic expressions. The variables must be one of the following types: real, integer, or 2D or 3D point (vector).

This example defines a point positioned 5 units in the X direction and 1 unit in the Y direction from the point stored in AutoLISP variable A.

A+[5,1]

If you enter an AutoLISP variable with a name containing a character with special meaning in CAL, such as +, -, *, or /, enclose the variable name in apostrophes ('), for example:

'number-of-holes'

Assigning Values to AutoLISP Variables

To assign a value to an AutoLISP variable, precede the arithmetic expression with the variable name and the equal sign (=). Later, you can use the value of this variable for other calculations.

This example saves the values of two expressions in AutoLISP variables P1 and R1.

Command: cal

>> Expression: P1=cen+[1,0]

>> Select entity for CEN snap: Select a circle or an arc

Command: cal

>> Expression: R1=dist(end,end)/3

>> Select entity for END snap: Select an object with an endpoint

This example uses the values of variables P1 and R1:

Command: circle

Specify center point for circle or [3P/2P/Ttr (tangent tangent radius)]: 'cal

>> Expression: P1+[0,1]

Specify radius of circle or [Diameter] <last>: 'cal

>> Expression: R1+0.5


Use System Variables in Calculations (Quick Reference)

Use AutoLISP Variables
CAL
Convert Units of Measurement
Commands > C commands > CAL >
Use System Variables in Calculations
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can use the getvar function to read the value of a system variable.

The syntax is

getvar(variable_name)

The following example uses getvar to obtain the point that is the center of the view in the current viewport.

getvar(viewctr)

With this method, you can also access the user system variables, USERI1-5 and USERR1-5. For example, to retrieve the value stored in USERR2, enter the following:

getvar(userr2)


Convert Units of Measurement (Quick Reference)

Use System Variables in Calculations
CAL
Use Standard Numeric Functions
Commands > C commands > CAL >
Convert Units of Measurement
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The cvunit function converts either a number or a point from one unit of measurement to another. See the acad.unt file for a list of units that you can convert. The syntax is

cvunit(value, from_unit, to_unit)

The following example converts the value 1 from inches to centimeters:

cvunit(1,inch,cm)


Use Standard Numeric Functions (Quick Reference)

Convert Units of Measurement
CAL
Calculate a Vector from Two Points
Commands > C commands > CAL >
Use Standard Numeric Functions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

CAL supports the standard numeric functions in the following table.

Numeric functions
Function | Description
sin(angle) | Sine of the angle
cos(angle) | Cosine of the angle
tang(angle) | Tangent of the angle
asin(real) | Arcsine of the number; the number must be between -1 and 1
acos(real) | Arccosine of the number; the number must be between -1 and 1
atan(real) | Arctangent of the number
ln(real) | Natural log of the number
log(real) | Base-10 log of the number
exp(real) | Natural exponent of the number
exp10(real) | Base-10 exponent of the number
sqr(real) | Square of the number
sqrt(real) | Square root of the number; the number must be nonnegative
abs(real) | Absolute value of the number
round(real) | Number rounded to the nearest integer
trunc(real) | Integer portion of the number
r2d(angle) | Angles in radians converted to degrees; for example, r2d(pi) converts the pi radians to 180 degrees
d2r(angle) | Angles in degrees converted to radians; for example, d2r(180) converts 180 degrees to radians and returns the value of pi
pi | The constant pi


Calculate a Vector from Two Points (Quick Reference)

Use Standard Numeric Functions
CAL
Calculate the Length of a Vector
Commands > C commands > CAL >
Calculate a Vector from Two Points
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The functions vec and vec1 calculate a vector from two points.

vec(p1,p2)

Provides the vector from point p1 to point p2.

vec1(p1,p2)

Provides the unit vector from point p1 to point p2.

The following example uses CAL to move selected objects 3 units in the direction from the center of one selected circle to the center of another selected circle:

Command: move

Select objects

Specify base point or displacement: 'cal

>> Expression: 3*vec1(cen,cen)

Select entity for CEN snap: Specify a circle or an arc

Specify second point of displacement or <use first point as displacement>: Specify a point or press Enter

The following examples illustrate the meaning of vector and point calculations.

Examples of vector and point calculations
Expression | Meaning
vec(a,b) | Determines vector translation from point a to point b.
vec1(a,b) | Determines unit vector direction from point a to point b.
L*vec1(a,b) | Determines vector of length L in the direction from point a to point b.
a+v | Determines point b, which is a translation of the point a through vector v.
a+[5<20] | Determines point b positioned 5 units away from point a under the angle of 20 degrees. Note that [5<20] is a vector in polar coordinates.


Calculate the Length of a Vector (Quick Reference)

Calculate a Vector from Two Points
CAL
Obtain a Point by Cursor
Commands > C commands > CAL >
Calculate the Length of a Vector
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The abs function calculates the length of a vector.

abs(v)

Calculates the length of vector v, a nonnegative real number.

In spherical coordinates (dist<ang<ang), the dist is the length of the vector.

The following example calculates the length of the vector [1,2,3]:

abs([1,2,3])


Obtain a Point by Cursor (Quick Reference)

Calculate the Length of a Vector
CAL
Obtain the Last-Specified Point
Commands > C commands > CAL >
Obtain a Point by Cursor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To enter a point using the pointing device, use the cur function. The program prompts you to specify a point and uses the coordinate values of the point in the expression. The point coordinate values are expressed in terms of the current UCS. The cur function sets the value of theLASTPOINT system variable.

The following example adds the vector [3.6,2.4,0]—the result of 1.2*[3,2]—to the point you select. This expression produces a point that is offset from the selected point.

cur+1.2*[3,2]


Obtain the Last-Specified Point (Quick Reference)

Obtain a Point by Cursor
CAL
Use Snap Modes in Arithmetic Expressions
Commands > C commands > CAL >
Obtain the Last-Specified Point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Use the @ character in the expression to obtain the coordinate of the last point, as shown in the following example:

Command: line

Specify first point: 'cal

>> Expression: cen+[0,1]

>> Select entity for CEN snap: Select a circle or an arc

Specify next point or [Close/Undo]: 'cal

>> Expression: @+3*vec1(cen,cen)

The first point of the line is 1 unit in the Y direction from the center of the first selected circle. The second point of the line is 3 units away from the first point. The direction of the line is from the center of the first selected circle to the center of the second selected circle.


Use Snap Modes in Arithmetic Expressions (Quick Reference)

Obtain the Last-Specified Point
CAL
Convert Points Between UCS and WCS
Commands > C commands > CAL >
Use Snap Modes in Arithmetic Expressions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can use Snap modes as parts of arithmetic expressions. The program prompts you to select an object and returns the coordinate of the appropriate snap point. Using arithmetic expressions with Snap modes greatly simplifies entering coordinates relative to other objects.

When you use these Snap modes, enter only the three-character name. For example, when you use the Center Snap mode, enter cen. CAL Snap modes set the value of theLASTPOINT system variable.

CAL Snap modes
Abbreviation | Snap mode
END | ENDPOINT
INS | INSERT
INT | INTERSECTION
MID | MIDPOINT
CEN | CENTER
NEA | NEAREST
NOD | NODE
QUA | QUADRANT
PER | PERPENDICULAR
TAN | TANGENT

The following example uses the Center and Endpoint Snap modes in a CAL expression:

(cen+end)/2

CAL prompts for a circle or arc and an object. It then determines the midpoint between the center of the circle or arc and the end of the selected object.

Using the Midpoint Snap mode, in the following example CAL prompts for an object and returns a point 1 unit in the Y direction from the midpoint of the selected object:

mid+[,1]

The following example uses the Endpoint Snap mode to calculate the centroid of a triangle defined by three endpoints:

(end+end+end)/3


Convert Points Between UCS and WCS (Quick Reference)

Use Snap Modes in Arithmetic Expressions
CAL
Calculate a Point on a Line
Commands > C commands > CAL >
Convert Points Between UCS and WCS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Normally, the program assumes all coordinates to be relative to the current UCS. The following functions convert points between UCS and WCS.

w2u(p1)

Converts point p1 expressed in the WCS to the current UCS.

u2w(p1)

Converts point p1 expressed in the current UCS to the WCS.

You can use w2u to find the WCS origin in terms of the current UCS:

w2u([0,0,0])

Filtering the X, Y, and Z Components of a Point or Vector

The following functions filter the X, Y, and Z components of a point or vector.

Point-filter functions
Function | Description
xyof(p1) | X and Y components of a point; Z component is set to 0.0
xzof(p1) | X and Z components of a point; Y component is set to 0.0
yzof(p1) | Y and Z components of a point; X component is set to 0.0
xof(p1) | X component of a point; Y and Z components are set to 0.0
yof(p1) | Y component of a point; X and Z components are set to 0.0
zof(p1) | Z component of a point; X and Y components are set to 0.0
rxof(p1) | X component of a point
ryof(p1) | Y component of a point
rzof(p1) | Z component of a point

The following example provides the Z component of a point expressed in spherical coordinates:

zof([2<45<45])

The following example provides a point whose X and Y coordinate values are taken from point a and the Z coordinate value from point b:

xyof(a)+zof(b)


Calculate a Point on a Line (Quick Reference)

Convert Points Between UCS and WCS
CAL
Rotate a Point About an Axis
Commands > C commands > CAL >
Calculate a Point on a Line
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The plt and pld functions return a point on a given line. You can specify the position of the point on the line either by its distance from the first point or parametrically by a t parameter.

pld(p1,p2,dist)

Calculates a point on the line passing through points p1 and p2. The parameter dist defines the distance of the point from the point p1.

plt(p1,p2,t)

Calculates a point on the line passing through points p1 and p2. The parameter t defines the parametric position of the point on the line.

The following are examples of the parameter t:

If t=0 the point is p1

If t=0.5 the point is the midpoint between p1 and p2

If t=1 the point is p2


Rotate a Point About an Axis (Quick Reference)

Calculate a Point on a Line
CAL
Obtain an Intersection Point
Commands > C commands > CAL >
Rotate a Point About an Axis
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The rot function rotates a point about an axis and returns the resulting point.

rot(p,origin,ang)

Rotates point p through angle ang about the Z axis passing through the point origin, as shown in the following example:

rot(p,AxP1,AxP2,ang)

Rotates point p through an angle ang about the axis passing through points AxP1 and AxP2, as shown in the following example. The axis is oriented from the first point to the second point.


Obtain an Intersection Point (Quick Reference)

Rotate a Point About an Axis
CAL
Calculate a Distance
Commands > C commands > CAL >
Obtain an Intersection Point
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The ill and ilp functions determine intersection points.

ill(p1,p2,p3,p4)

Determines the intersection point between two lines (p1,p2) and (p3,p4). All points are considered three-dimensional.

ilp(p1,p2,p3,p4,p5)

Determines the intersection point between a line (p1,p2) and a plane passing through three points (p3,p4,p5).


Calculate a Distance (Quick Reference)

Obtain an Intersection Point
CAL
Obtain a Radius
Commands > C commands > CAL >
Calculate a Distance
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
dist(p1,p2)

Determines the distance between two points, p1 and p2. This is the same as the vector expression abs(p1-p2).

dpl(p,p1,p2)

Determines the shortest distance between point p and the line passing through points p1 and p2.

dpp(p,p1,p2,p3)

Determines the distance from a point p to a plane defined by three points (p1,p2,p3).

dist(p1,p2)

Determines the distance between two points, p1 and p2. This is the same as the vector expression abs(p1-p2).

The following example returns half the distance between the centers of two selected objects:

dist(cen,cen)/2

The following example finds the distance between the point 3,2,4 and a plane you define by selecting three endpoints:

dpp([3,2,4],end, end, end)


Obtain a Radius (Quick Reference)

Calculate a Distance
CAL
Obtain an Angle
Commands > C commands > CAL >
Obtain a Radius
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The rad function determines the radius of a selected object.

rad

Determines the radius of a selected object. The object can be a circle, an arc, or a 2D polyline arc segment.

The following example uses rad with the CIRCLE command. The radius of the new circle is two-thirds of the radius of the selected polyline arc segment:

Command: circle

Specify center point for circle or [3P/2P/Ttr (tangent tangent radius)]: cen

of Select the circle

Specify radius of circle or [Diameter] <last>: 'cal

>> Expression: 2/3*rad

>> Select circle, arc or polyline segment for RAD function: Select the circle


Obtain an Angle (Quick Reference)

Obtain a Radius
CAL
Calculate a Normal Vector
Commands > C commands > CAL >
Obtain an Angle
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The ang function determines the angle between two lines. Angles are measured counterclockwise with respect to either the X axis, in the two-dimensional case, or to a user-specified axis, in the three-dimensional case.

ang(v)

Determines the angle between the X axis and vector v. The vector v is considered 2D, projected on the XY plane of the current UCS.

ang(p1,p2)

Determines the angle between the X axis and the line (p1,p2), oriented from p1 to p2. The points are considered 2D, projected on the XY plane of the current UCS.

ang(apex,p1,p2)

Determines the angle between lines (apex,p1) and (apex,p2). The points are considered 2D, projected on the XY plane of the current UCS.

ang(apex,p1,p2,p)

Determines the angle between lines (apex,p1) and (apex,p2). The lines are considered 3D. The last parameter, point p, is used to define the orientation of the angle. The angle is measured counterclockwise with respect to the axis going from apex to p.

The following examples show how angles are measured.

You can determine the angle between the two sides of a triangle using the ang function, as shown in the following example:

Command: cal

>> Expression: ang(end,end,end)

Select the apex of the angle, and then select the two opposite vertices.


Calculate a Normal Vector (Quick Reference)

Obtain an Angle
CAL
Use Shortcut Functions
Commands > C commands > CAL >
Calculate a Normal Vector
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The nor function calculates the unit normal vector (a vector perpendicular to a line or plane), not a point. The vector defines the direction of the normal, not a location in space. You can add this normal vector to a point to obtain another point.

nor

Determines the three-dimensional unit normal vector of a selected circle, arc, or polyline arc segment. This normal vector is the Z coordinate of the object coordinate system (OCS) of the selected object.

nor(v)

Determines the two-dimensional unit normal vector to vector v. Both vectors are considered 2D, projected on the XY plane of the current UCS. The orientation of the resulting normal vector points to the left of the original vector v.

nor(p1,p2)

Determines the 2D unit normal vector to line p1,p2. The line is oriented from p1 to p2. The orientation of the resulting normal vector points to the left from the original line (p1,p2).

nor(p1,p2,p3)

Determines the 3D unit normal vector to a plane defined by the three points p1, p2, and p3. The orientation of the normal vector is such that the given points go counterclockwise with respect to the normal.

The following illustrations show how normal vectors are calculated:

The following example sets the view direction perpendicular to a selected object. The program displays the object in plan view and does not distort the object by the parallel projection.

Command: vpoint

Current view direction: VIEWDIR=current

Specify a view point or [Rotate] <display compass and tripod>: 'cal

>> Expression: nor

>> Select circle, arc or polyline for NOR function:


Use Shortcut Functions (Quick Reference)

Calculate a Normal Vector
CAL
CAMERA
Commands > C commands > CAL >
Use Shortcut Functions
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The functions in the table are shortcuts for commonly used expressions that combine a function with the Endpoint Snap mode.

Shortcut functions
Function | Shortcut for | Description
dee | dist(end,end) | Distance between two endpoints
ille | ill(end,end,end,end) | Intersection of two lines defined by four endpoints
mee | (end+end)/2 | Midpoint between two endpoints
nee | nor(end,end) | Unit vector in the XY plane and normal to two endpoints
pldee (d) | pld(d,end,end) | Point at a distance along a line determined by two endpoints (see pld)
pltee (t) | plt(t,end,end) | Point at a parametric location on a line determined by two endpoints (see plt)
vee | vec(end,end) | Vector from two endpoints
vee1 | vec1(end,end) | Unit vector from two endpoints


CAMERA (Quick Reference)

Use Shortcut Functions
CAMERA
Camera Preview Dialog Box
Commands > C commands >
CAMERA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets a camera and target location to create and save a 3D perspective view of objects.

Access Methods

Button

Ribbon: Home tab [image] View panel [image] Create Camera.Not available on the ribbon in the current workspace.
Toolbar: View
Command entry: camera

Current camera settings: Height=<current> Lens Length=<current>

Specify camera location <current>: Enter a value or specify a point

Sets the point from which you view objects in a model.

Specify target location: Enter a value or specify a point

Sets the target location of a camera’s lens.

Enter an option[?/Name/LOcation/Height/Target/LEns/Clipping/View/<eXit>]:

?—List Cameras

Displays a list of the currently defined cameras.

Enter camera name(s) to list <*>: Enter a name list or press Enter to list all cameras.

Name

Names a camera.

Enter name for new camera <Camera1>:

Location

Specifies the location of the camera.

Specify camera location <current>:

Height

Changes the camera height.

Specify camera height <current>:

Target

Specifies the target of the camera.

Specify camera target <current>:

Lens

Changes the lens length of the camera.

Specify lens length in mm <current>:

Clipping

Defines front and back clipping planes and sets their values.

Enable front clipping plane? [Yes/No] <No>: Specify Yes to enable front clipping

Specify front clipping plane offset from target plane <current>: Enter a distance

Enable back clipping Plane? <Yes/No] <No>: Specify Yes to enable back clipping

Specify back clipping plane offset from target plane <current>: Enter a distance

View

Sets the current view to match the camera settings.

Switch to camera view? [Yes/No] <No>:

Exit

Cancels the command.


Camera Preview Dialog Box (Quick Reference)

CAMERA
CAMERA
CHAMFER
Commands > C commands > CAMERA >
Camera Preview Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays a preview of a camera view.

Preview

Displays a preview of a camera view defined with the CAMERA command.

Visual Style

Specifies the visual style applied to the preview.

Display This Window When Editing a Camera

Specifies that the Camera Preview dialog box is displayed when you edit a camera.


CHAMFER (Quick Reference)

Camera Preview Dialog Box
CHAMFER
CHANGE
Commands > C commands >
CHAMFER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Bevels the edges of objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] ChamferNot available on the ribbon in the current workspace.
Menu: Modify [image] ChamferAt the Command prompt, enter chamfer.
Toolbar: Modify
Command entry: chamfer

Summary

The distances and angles that you specify are applied in the order that you select the objects.

You can chamfer lines, polylines, rays, and xlines.

You can also chamfer 3D solids and surfaces. If you select a mesh to chamfer, you can choose to convert it to a solid or surface before completing the operation.

List of Prompts

The following prompts are displayed.

(TRIM mode) Current chamfer Dist1 = current, Dist2 = current

Select first line or [Undo/Polyline/Distance/Angle/Trim/mEthod/Multiple]: Use an object selection method or enter an option

First Line

Specifies the first of two edges required to define a 2D chamfer, or the edge of a 3D solid to chamfer.

Select second line or shift-select to apply corner: Use an object selection method or hold down Shift and select an object to create a sharp corner

If you select lines or polylines, their lengths adjust to accommodate the chamfer line. You can hold down Shift while selecting the objects to override the current chamfer distances with a value of 0.

If the selected objects are line segments of a 2D polyline, they must be adjacent or separated by no more than one segment. If they're separated by another polyline segment, CHAMFER deletes the segment that separates them and replaces it with the chamfer.

If you select an edge on a 3D solid, you must indicate which one of the two surfaces adjacent to the edge is the base surface.

Base surface selection...

Enter surface selection option [Next/OK (current)] <OK>: Enter n or o, or press Enter

Entering o or pressing Enter sets the selected surface as the base surface. Entering n selects either of the two surfaces adjacent to the selected edge.

Specify base surface chamfer distance <current>:

Specify other surface chamfer distance <current>:

After you select the base surface and the chamfer distances, select the edges of the base surface to chamfer. You can select edges individually or all the edges at once.

Select an edge or [Loop]: Select an edge, enter L, or press Enter

Edge

Selects an individual edge to chamfer.

Loop

Switches to Edge Loop mode.

Select an edge loop or [Edge]: Select an edge, enter e, or press Enter

Edge Loop

Selects all edges on the base surface.

Edge

Switches to Edge mode.

Undo

Reverses the previous action in the command.

Polyline

Chamfers an entire 2D polyline.

Select 2D polyline:

The intersecting polyline segments are chamfered at each vertex of the polyline. Chamfers become new segments of the polyline.

If the polyline includes segments that are too short to accommodate the chamfer distance, those segments are not chamfered.

Distance

Sets the distance of the chamfer from the endpoint of the selected edge.

Specify first chamfer distance <current>:

Specify second chamfer distance <current>:

If you set both distances to zero, CHAMFER extends or trims the two lines so they end at the same point.

Angle

Sets the chamfer distances using a chamfer distance for the first line and an angle for the second line.

Specify chamfer length on the first line <current>:

Specify chamfer angle from the first line <current>:

Trim

Controls whether CHAMFER trims the selected edges to the chamfer line endpoints.

Enter Trim mode option [Trim/No trim] <current>:

NoteTrim sets the TRIMMODE system variable to 1; No Trim sets TRIMMODE to 0.

If the TRIMMODE system variable is set to 1, CHAMFER trims the intersecting lines to the endpoints of the chamfer line. If the selected lines do not intersect, CHAMFER extends or trims them so that they do. If TRIMMODE is set to 0, the chamfer is created without trimming the selected lines.

Method

Controls whether CHAMFER uses two distances or a distance and an angle to create the chamfer.

Enter trim method [Distance/Angle] <current>:

Multiple

Chamfers the edges of more than one set of objects. CHAMFER displays the main prompt and the Select Second Object prompt repeatedly until you press Enter to end the command.


CHANGE (Quick Reference)

CHAMFER
CHANGE
CHECKSTANDARDS
Commands > C commands >
CHANGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the properties of existing objects.

Command entry: change

Select objects:

Except for zero-thickness lines, the objects selected must be parallel to the current user coordinate system (UCS).

If you select lines and other changeable objects in the same selection set, you get varying results depending on the object selection sequence. The easiest way to use CHANGE is to select only lines in a selection set or select only objects other than lines in a selection set.

Specify change point or [Properties]: Specify a new point, or press Enter to enter new values

Change Point or Values

Changes the selected objects. The result depends on the type of objects you select.

Lines

Moves the endpoints of the selected lines that are closest to the change point to the new point, unless Ortho mode is on. If Ortho mode is on, the selected lines are modified so that they become parallel to either the X or the Y axis; their endpoints are not moved to the specified coordinate.

Circles

Changes the circle radius. If you selected more than one circle, the prompt is repeated for the next circle.

Specify new circle radius <no change>:

Text

Changes text position and other properties.

Specify new text insertion point <no change>:

Specifying a new location repositions the text. Pressing Enter leaves the text in its original position.

Enter new text style <current>:

If the text has a fixed height, the height prompt is not displayed.

Specify new height <current>:

Specify new rotation angle <current>:

Enter new text <current>:

The next object is highlighted and prompts are displayed.

Attribute Definitions

Changes the text and text properties of an attribute that is not part of a block.

Specify new text insertion point <no change>:

Specifying a new location repositions the text. Pressing Enter leaves the text at its original position.

Enter new text style <current>:

If the text has a fixed height, the height prompt is not displayed

Specify new height <current>:

Specify new rotation angle <current>:

Enter new tag <current>:

Enter new prompt <current>:

Enter new default value <current>:

Blocks

Changes the location or rotation of a block.

Specify new block insertion point: Specify a point (1), or press Enter

Specifying a new location repositions the block. Pressing Enter leaves the block in its original position.

Specify new block rotation angle <current>:

The block is rotated about its insertion point to the specified angle.

Properties

Modifies properties of existing objects.

Enter property to change [Color/Elev/LAyer/LType/ltScale/LWeight/Thickness/Material/Annotative]:

NoteThe Plotstyle option is displayed only when you are using named plot styles.

If you select several objects with different values for the property you want to change, varies is displayed as the current value.

You can change several properties at a time. The Enter Property to Change prompt is redisplayed after each option is completed.

Color

Changes the color of the selected objects.

Enter new color [Truecolor/COlorbook] <current>: Enter a color name or a number from 1 through 255, enter t, enter co, enter bylayer or byblock, or press Enter

For example, to change a color to red, enter red or 1. If you enter bylayer, the object assumes the color of the layer on which it is located. If you enter byblock, the object inherits the color of the block of which it is a component.

True Color

Specifies a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to be used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE

If you enter a color book name, the following prompt is displayed.

Enter color name: Enter the name of a color included in the selected color book, such as Pantone 573

Elev

Changes the Z-axis elevation of 2D objects.

Specify new elevation <current>:

You can change the elevation of an object only if all its points have the same Z value.

Layer

Changes the layer of the selected objects.

Enter new layer name <current>:

Ltype

Changes the linetype of the selected objects.

Enter new linetype name <current>:

If the new linetype is not loaded, the program tries to load it from the standard linetype library file, acad.lin. If this procedure fails, use LINETYPE to load the linetype.

Ltscale

Changes the linetype scale factor of the selected objects.

Specify new linetype scale <current>:

Lweight

Changes the lineweight of the selected objects. Lineweight values are predefined values. If you enter a value that is not a predefined value, the closest predefined lineweight is assigned to the selected objects.

Enter new lineweight <current>:

Thickness

Changes the Z-direction thickness of 2D objects.

Specify new thickness <current>:

Changing the thickness of a 3D polyline, dimension, or layout viewport object has no effect.

Material

Changes the material of the selected objects if a material is attached.

Enter new material name <ByLayer>:

Annotative

Changes the Annotative property of the selected objects.

Make annotative? [Yes/No] <current>: Enter y or n, or press Enter


CHECKSTANDARDS (Quick Reference)

CHANGE
CHECKSTANDARDS
Check Standards Dialog Box
Commands > C commands >
CHECKSTANDARDS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Checks the current drawing for standards violations.

Access Methods

Button

Ribbon: Manage tab [image] CAD Standards panel [image] Check.Not available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] CheckNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: checkstandards

Summary

Set standards by creating a file that defines properties for layers, dimension styles, linetypes, and text styles, and save it as a standards file with the .dws file name extension.

The Check Standards dialog box is displayed.


Check Standards Dialog Box (Quick Reference)

CHECKSTANDARDS
CHECKSTANDARDS
CHPROP
Commands > C commands > CHECKSTANDARDS >
Check Standards Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Analyzes the current drawing for standards violations.

Button

Ribbon: Manage tab [image] CAD Standards panel [image] Check.Not available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] CheckNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: checkstandards
Problem

Provides a description of a nonstandard object in the current drawing. To fix a problem, select a replacement from the Replace With list, and then click Fix.

Replace With

Lists possible replacements for the current standards violation. If a recommended fix is available, it is preceded by a check mark. If a recommended fix is not available, no items are highlighted in the Replace With list.

Preview of Changes

Indicates the properties of the nonstandard object that will be changed if the fix currently selected in the Replace With list is applied.

Fix

Fixes the nonstandard object using the item currently selected in the Replace With list, and advances to the next nonstandard object in the current drawing. This button is unavailable if a recommended fix does not exist or if an item is not highlighted in the Replace With list.

Next Problem

Advances to the next nonstandard object in the current drawing without applying a fix.

Mark This Problem as Ignored

Flags the current problem as ignored. If the Show Ignored Problems option is turned off in the CAD Standards Settings dialog box, problems flagged as ignored are not displayed the next time the drawing is checked.

Settings

Displays the CAD Standards Settings dialog box, which specifies additional settings for the Check Standards dialog box and the Configure Standards dialog box.

Close

Closes the Check Standards dialog box without applying a fix to the standards violation currently displayed in Problem.


CHPROP (Quick Reference)

Check Standards Dialog Box
CHPROP
CHSPACE
Commands > C commands >
CHPROP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the properties of an object.

Command entry: chprop

Select objects:

Enter property to change [Color/LAyer/LType/ltScale/LWeight/Thickness/Material/Annotative]:

NoteThe Plotstyle option is displayed only when you are using named plot styles.

If you select several objects with different values for the property you want to change, varies is displayed as the current value.

Color

Changes the color of the selected objects.

Enter new color [Truecolor/COlorbook] <current>: Enter a color name or a number from 1 through 255, enter t, enter co, enter bylayer or byblock, or press Enter

For example, to change a color to red, enter red or 1. If you enter bylayer, the object assumes the color of the layer on which it is located. If you enter byblock, the object inherits the color of the block of which it is a component.

True Color

Specifies a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to be used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE®

If you enter a color book name, the following prompt is displayed.

Enter color name: Enter the name of a color included in the selected color book, such as PANTONE® 573

Layer

Changes the layer of the selected objects.

Enter new layer name <current>:

Ltype

Changes the linetype of the selected objects.

Enter new linetype name <current>:

If the new linetype is not loaded, the program tries to load it from the standard linetype library file, acad.lin. If this procedure fails, use LINETYPE to load the linetype.

Ltscale

Changes the linetype scale factor of the selected objects.

Specify new linetype scale <current>:

Lweight

Changes the lineweight of the selected objects. Lineweight values are predefined values. If you enter a value that is not a predefined value, the closest predefined lineweight is assigned to the selected objects.

Enter new lineweight <current>:

Thickness

Changes the Z-direction thickness of 2D objects.

Specify new thickness <current>:

Changing the thickness of a 3D polyline, dimension, or layout viewport object has no effect.

Material

Changes the material of the selected objects if a material is attached.

Enter new material name <ByLayer>:

Annotative

Changes the Annotative property of the selected objects.

Make annotative? [Yes/No] <current>: Enter y or n, or press Enter


CHSPACE (Quick Reference)

CHPROP
CHSPACE
CIRCLE
Commands > C commands >
CHSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Moves objects between model space and paper space.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Change SpaceNot available on the ribbon in the current workspace
Menu: Modify [image] Change SpaceNot available in menus in the current workspace
Command entry: chspace

List of Prompts

The following prompts are displayed.

Select objects:

Set the SOURCE viewport active and press Enter to continue:

Returns prompts similar to the following:

N object(s) changed from MODEL space to PAPER space.

Objects were scaled by a factor of n to maintain visual appearance.

The moved object is scaled appropriately in the new space.

When transferring objects to paper space, the SOURCE viewport that you click determines the paper space location of the transferred objects. When transferring objects to model space, the TARGET viewport that you click determines the model space location of the transferred objects.


CIRCLE (Quick Reference)

CHSPACE
CIRCLE
CLASSICIMAGE
Commands > C commands >
CIRCLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a circle.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] Center, Radius.Not available on the ribbon in the current workspace.
Menu: Draw [image] CircleNot available in menus in the current workspace.
Toolbar: Draw
Command entry: circle

Specify center point for circle or [3P/2P/Ttr (tan tan radius)]: Specify a point or enter an option

Center Point

Draws a circle based on a center point and a diameter or a radius.

Specify radius of circle or [Diameter]: Specify a point, enter a value, enter d, or press Enter

Radius

Defines the radius of the circle. Enter a value, or specify a point.

Diameter

Defines the diameter of the circle. Enter a value, or specify a second point.

Specify diameter of circle <current>: Specify a point (2), enter a value, or press Enter

3P (Three Points)

Draws a circle based on three points on the circumference.

Specify first point on circle: Specify a point (1)

Specify second point on circle: Specify a point (2)

Specify third point on circle: Specify a point (3)

2P (Two Points)

Draws a circle based on two endpoints of the diameter.

Specify first endpoint of circle's diameter: Specify a point (1)

Specify second endpoint of circle's diameter: Specify a point (2)

TTR (Tangent, Tangent, Radius)

Draws a circle with a specified radius tangent to two objects.

Specify point on object for first tangent of circle: Select a circle, arc, or line

Specify point on object for second tangent of circle: Select a circle, arc, or line

Specify radius of circle <current>:

Sometimes more than one circle matches the specified criteria. The program draws the circle of the specified radius whose tangent points are closest to the selected points.


CLASSICIMAGE (Quick Reference)

CIRCLE
CLASSICIMAGE
CLASSICLAYER
Commands > C commands >
CLASSICIMAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages referenced image files in the current drawing

Command entry: classicimage

The legacy Image Manager is displayed. The IMAGE command now displays the External References palette.

NoteThis command will be removed in future releases.


CLASSICLAYER (Quick Reference)

CLASSICIMAGE
CLASSICLAYER
CLASSICXREF
Commands > C commands >
CLASSICLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the modal Layer Properties Manager.

Command entry: classiclayer

The legacy Layer Properties Manager is displayed. The LAYER command displays the current Layer Properties Manager.

NoteThis command will be removed in future releases.


CLASSICXREF (Quick Reference)

CLASSICLAYER
CLASSICXREF
CLEANSCREENOFF
Commands > C commands >
CLASSICXREF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages referenced drawing files in the current drawing

Command entry: classicxref

The legacy Xref Manager is displayed. The EXTERNALREFERENCES command displays the current External References palette.

NoteThis command will be removed in future releases.


CLEANSCREENOFF (Quick Reference)

CLASSICXREF
CLEANSCREENOFF
CLEANSCREENON
Commands > C commands >
CLEANSCREENOFF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores display of toolbars and dockable windows (excluding the command line).

Menu: View [image] Clean ScreenNot available in menus in the current workspace.
Command entry: cleanscreenoff

Restores the state of the display before CLEANSCREENON was used. Use CLEANSCREENON to clear the screen of toolbars and dockable windows (excluding the command line). Press Ctrl+0 (zero) to switch between CLEANSCREENON and CLEANSCREENOFF. The Clean Screen button is available in the lower-right corner of the application status bar.


CLEANSCREENON (Quick Reference)

CLEANSCREENOFF
CLEANSCREENON
CLIP
Commands > C commands >
CLEANSCREENON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Clears the screen of toolbars and dockable windows (excluding the command line).

Menu: View [image] Clean ScreenNot available in menus in the current workspace.
Command entry: cleanscreenon

The screen displays only the menu bar, the Model and layout tabs at the bottom of the drawing, the status bars, and the command line. Use CLEANSCREENOFF to restore display of interface items except menu bar, status bar, and the command line. Press Ctrl+0 (zero) to switch between CLEANSCREENON and CLEANSCREENOFF. A Clean Screen button is available in the lower-right corner of the application status bar.


CLIP (Quick Reference)

CLEANSCREENON
CLIP
CLOSE
Commands > C commands >
CLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Crops a selected external reference, image, viewport, or underlay (DWF, DWFx, PDF, or DGN) to a specified boundary.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] ClipNot available on the ribbon in the current workspace.
Command entry: clip

Summary

The clipping boundary determines a portion of an image, underlay, viewport, or external reference to hide. The visibility of the clipping boundary is controlled by the FRAME system variable.

List of Prompts

The list of prompts varies depending on whether you are clipping an underlay, image, external reference, or viewport.

Underlay and Image Prompts

The following prompts are displayed.

On

Turns on clipping and displays the underlay clipped to the previously defined boundary.

Off

Turns off clipping and displays the entire PDF underlay and frame.

If you clip the underlay again while clipping is off, clipping automatically turns on. You are prompted to delete the old boundary even when clipping is off and the clipping boundary is not visible.

Delete

Removes a predefined clipping boundary and redisplays the full original underlay.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

NoteYou can only create a new clipping boundary for an underlay when the old boundary is deleted.
Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

External Reference Prompts

The following prompts are displayed.

Select objects: Use an object selection method and press Enter when you finish selecting objects

Enter clipping option [ON/OFF/Clipdepth/Delete/generate Polyline/New boundary] <New>: Select an option or press Enter

On

Displays the clipped portion of the external reference or block in the current drawing.

Off

Displays all of the geometry of the external reference or block in the current drawing, ignoring the clipping boundary.

Clipdepth

Sets the front and back clipping planes on an xref or block. Objects outside the volume defined by the boundary and the specified depth are not displayed. Regardless of the current UCS, the clip depth is applied parallel to the clipping boundary.

Front Clip Point

Creates a clipping plane passing through and perpendicular to the clipping boundary.

Distance

Creates a clipping plane the specified distance from and parallel to the clipping boundary.

Remove

Removes both the front and back clipping planes.

Delete

Removes a clipping boundary for the selected xref or block. To temporarily turn off a clipping boundary, use the Off option. Delete erases the clipping boundary and the clipdepth. The ERASE command cannot be used to delete clipping boundaries.

Generate Polyline

Automatically draws a polyline coincident with the clipping boundary. The polyline assumes the current layer, linetype, lineweight, and color settings. Use this option when you want to modify the current clipping boundary using PEDIT and then redefine the clipping boundary with the new polyline. To see the entire xref while redefining the boundary, use the Off option.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

NoteYou can only create a new clipping boundary for a selected XREF underlay when the old boundary is deleted.
Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

Viewport Prompts
NoteYou cannot clip a viewport in model space. You must be in paper space.
Clipping Object

Select the viewport to clip.

Polygonal

Draws a clipping boundary. You can draw line segments or arc segments by specifying points. The following prompt is displayed:

Specify start point:

Specify next point or [Arc/Close/Length/Undo]:

The descriptions of the Next Point, Arc, Close, Length, and Undo options match the descriptions of the corresponding options in the PLINE command.

Delete

Deletes the clipping boundary of a selected viewport. This option is available only if the selected viewport has already been clipped. If you clip a viewport that has been previously clipped, the original clipping boundary is deleted, and the new clipping boundary is applied.


CLOSE (Quick Reference)

CLIP
CLOSE
CLOSEALL
Commands > C commands >
CLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the current drawing.

Access Methods

Menu: Application menu [image] Close [image] Current Drawing
Command entry: close

Summary

The current drawing is closed. If you modified the drawing since it was last saved, you are prompted to save or discard the changes.

You can close a file that has been opened in read-only mode if you have made no changes or if you are willing to discard changes. To save changes to a read-only file, you must use the SAVEAS command.


CLOSEALL (Quick Reference)

CLOSE
CLOSEALL
COLOR
Commands > C commands >
CLOSEALL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes all currently open drawings.

Access Methods

Menu: Application menu [image] Close [image] Current Drawing
Command entry: closeall

Summary

All open drawings are closed. A message box is displayed for each unsaved drawing, in which you can save any changes to the drawing before closing it.


COLOR (Quick Reference)

CLOSEALL
COLOR
Select Color Dialog Box
Commands > C commands >
COLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the color for new objects.

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Object Color
Menu: Format [image] ColorNot available in menus in the current workspace.
Command entry: color (or 'color for transparent use)

Summary

The Select Color dialog box is displayed.

If you enter -color at the Command prompt, options are displayed.


Select Color Dialog Box (Quick Reference)

COLOR
COLOR
Index Color Tab (Select Color Dialog Box)
Commands > C commands > COLOR >
Select Color Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Object Color
Menu: Format [image] ColorNot available in menus in the current workspace.
Command entry: color (or 'color for transparent use)

Define the color of objects. You can select from the 255 AutoCAD Color Index (ACI) colors, true colors, and Color Book colors.

The Select Color dialog box includes the following tabs:

  • Index Color
  • True Color
  • Color Books


Index Color Tab (Select Color Dialog Box) (Quick Reference)

Select Color Dialog Box
Select Color Dialog Box
True Color Tab (Select Color Dialog Box)
Commands > C commands > COLOR > Select Color Dialog Box >
Index Color Tab (Select Color Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies color settings using the 255 AutoCAD Color Index (ACI) colors.

AutoCAD Color Index (ACI) Palettes

Specifies a color from the AutoCAD Color Index. If you hover over a color, the number of the color and its red, green, blue value are displayed below the palette. Click a color to select it, or enter the color number or name in the Color box.

The large palette displays colors 10 through 249.

The second palette displays colors 1 through 9; these colors have names as well as numbers.

The third palette displays colors 250 through 255; these colors are shades of gray.

Index Color

Indicates the ACI color number when you hover over a color.

Red, Green, Blue

Indicates the RGB color value when you hover over a color.

Bylayer

Specifies that new objects assume the color assigned to the layer on which you create them. When BYLAYER is selected, the color of the current layer is displayed in the Old and New color swatches.

Byblock

Specifies that new objects use the default color (white or black, depending on your background color) until you group the objects into a block and insert the block. When you insert the block into a drawing, the objects in the block inherit the current Color setting.

NoteThe BYLAYER and BYBLOCK options do not apply to the LIGHT command.

Color

Specifies a color name, BYLAYER or BYBLOCK color, or an AutoCAD Color Index (ACI) number of 1 through 255. The New color swatch shows the most recently selected color.

Old Color Swatch

Displays the previously selected color.

New Color Swatch

Displays the currently selected color.


True Color Tab (Select Color Dialog Box) (Quick Reference)

Index Color Tab (Select Color Dialog Box)
Select Color Dialog Box
Color Books Tab (Select Color Dialog Box)
Commands > C commands > COLOR > Select Color Dialog Box >
True Color Tab (Select Color Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies color settings using true colors (24-bit color) with either the Hue, Saturation, and Luminance (HSL) color model or the Red, Green, and Blue (RGB) color model. Over sixteen million colors are available when using true color functionality. The options available on the True Color tab are dependent on whether the HSL or RGB color model is specified.

HSL Color Model

Specifies the HSL color model for selecting colors.

Hue, saturation, and luminance are properties of colors. By manipulating the values of these properties, you can specify a wide range of colors.

Hue

Specifies the hue of a color. Hues represent a specific wavelength of light within the visible spectrum. To specify a hue, use the color spectrum or specify a value in the Hue box. Adjusting this value affects the RGB value. Valid hue values are from 0 to 360 degrees.

Saturation

Specifies the purity of a color. High saturation causes a color to look more pure while low saturation causes a color to look washed-out. To specify color saturation, use the color spectrum or specify a value in the Saturation box. Adjusting this value affects the RGB value. Valid saturation values are from 0 to 100%.

Luminance

Specifies the brightness of a color. To specify color luminance, use the color slider or specify a value in the Luminance box. Valid luminance values are from 0 to 100%. A value of 0% represents the color black, 100% represents white, and 50% represents the optimal brightness for the color. Adjusting this value also affects the RGB value.

Color Spectrum

Specifies the hue and purity of a color. To specify a hue, move the crosshairs from side to side over the color spectrum. To specify color saturation, move the crosshairs from top to bottom over the color spectrum.

Color Slider

Specifies the brightness of a color. To specify color luminance, adjust the bar on the color slider or specify a value in the Luminance box.

RGB Color Model

Specifies the RGB color model for selecting colors. The options available on the True Color tab are dependent on whether the HSL or RGB color model is specified.

Colors can be broken down into components of red, green, and blue. The values specified for each component represent the intensity of the red, green, and blue components. The combination of these values can be manipulated to create a wide range of colors.

Red

Specifies the red component of a color. Adjust the slider on the color bar or specify a value from 1 to 255 in the Red box. If this value is adjusted, it will be reflected in the HSL color mode values.

Green

Specifies the green component of a color. Adjust the slider on the color bar or specify a value from 1 to 255 in the Green box. If this value is adjusted, it will be reflected in the HSL color mode values.

Blue

Specifies the blue component of a color. Adjust the slider on the color bar or specify a value from 1 to 255 in the Blue box. If this value is adjusted, it will be reflected in the HSL color mode values.

Color

Specifies the RGB color value. This option is updated when changes are made to HSL or RGB options. You can also edit the RGB value directly using the following format: 000,000,000.

True Color Stored as RGB

Indicates the value for each RGB color component.

Old Color Swatch

Displays the previously selected color.

New Color Swatch

Displays the currently selected color.


Color Books Tab (Select Color Dialog Box) (Quick Reference)

True Color Tab (Select Color Dialog Box)
Select Color Dialog Box
-COLOR
Commands > C commands > COLOR > Select Color Dialog Box >
Color Books Tab (Select Color Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies colors using third-party color books (such as PANTONE®) or user-defined color books. Once a color book is selected, the Color Books tab displays the name of the selected color book.

Color Book

Specifies the color book to be used when selecting colors. The list consists of all the color books that are found in the Color Book Locations specified in the Options dialog box, Files tab.

Displays the pages of the selected color book and the colors and color names on each page. Color books containing up to ten colors per page are supported. If a color book is not paginated, the colors are organized into pages containing seven colors per page. To view color book pages, select an area on the color slider or use the up and down arrows to browse.

RGB Equivalent

Indicates the value for each RGB color component.

Color

Indicates the currently selected color book color. You can search for a specific color in a color book by entering the number of the color swatch and pressing TAB. This action updates the New color swatch with the requested color number. If the specified color is not found in the color book, the closest number match is displayed.

Old Color Swatch

Displays the previously selected color.

New Color Swatch

Displays the currently selected color.


-COLOR (Quick Reference)

Color Books Tab (Select Color Dialog Box)
COLOR
COMMANDLINE
Commands > C commands > COLOR >
-COLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -color at the Command prompt, the following prompts are displayed.

Enter default object color [Truecolor/COlorbook] <BYLAYER>: Enter a color, enter t, enter co, or press Enter

You can enter a color from the AutoCAD Color Index (a color name or number), a true color, or a color from a color book.

You can enter the color number (1 through 255) or the color name (the names for the first seven colors). For example, you can specify the color red by entering the ACI number 1 or the ACI name red.

You can also enter bylayer or byblock. If you enter byblock, all new objects are drawn in the default color (white or black, depending on your background color) until they are grouped into a block. When you insert the block in a drawing, the objects in the block inherit the current setting of COLOR.

WarningIf you used a mixture of color methods to draw the objects that make up a block, inserting that block or changing its color produces complex results.

If you enter bylayer, new objects assume the color assigned to the layer on which you create them. See the LAYER command for information about assigning a color to a layer.

True Color

Specifies a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to be used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as Pantone

If you enter a color book name, you are prompted to enter the color name in the color book.

Enter color name: Enter the name of a color included in the selected color book, such as Pantone 573


COMMANDLINE (Quick Reference)

-COLOR
COMMANDLINE
COMMANDLINEHIDE
Commands > C commands >
COMMANDLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Command Line window.

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Command Line
Menu: Tools [image] Command LineNot available in menus in the current workspace.
Command entry: commandline

Summary

Displays the Command Line window when it has been hidden.

You can display commands, system variables, options, messages, and prompts in a dockable and resizable window called the Command Line window.


COMMANDLINEHIDE (Quick Reference)

COMMANDLINE
COMMANDLINEHIDE
COMPILE
Commands > C commands >
COMMANDLINEHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hides the Command Line window.

Menu: Tools [image] Command LineNot available in menus in the current workspace.
Command entry: commandlinehide

Hides the Command Line window. When the Command Line window is hidden, you can still enter commands with dynamic prompts turned on.


COMPILE (Quick Reference)

COMMANDLINEHIDE
COMPILE
CONE
Commands > C commands >
COMPILE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Compiles shape files and PostScript font files into SHX files.

Command entry: compile

The Select Shape or Font File dialog box (a standard file selection dialog box) is displayed. Enter the SHP or PFB file name in the dialog box. The compiled file is assigned this name with the file extension .shx.


CONE (Quick Reference)

COMPILE
CONE
CONSTRAINTBAR
Commands > C commands >
CONE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid cone.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] ConeNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] ConeNot available in menus in the current workspace
Toolbar: Modeling
Command entry: cone

Specify center point of base or [3P/2P/Ttr/Elliptical]: Specify a point (1) or enter an option

Specify base radius or [Diameter] <default>: Specify a base radius, enter d to specify a diameter, or press Enter to specify the default base radius value

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Creates a 3D solid with a circular or elliptical base that tapers symmetrically to a point or to a circular or elliptical planar face. You can control the smoothness of 3D curved solids, such as a cone, in a shaded or hidden visual style with the FACETRES system variable.

Use the Top Radius option to create a cone frustum.

Initially, the default base radius is not set to any value. During a drawing session, the default value for the base radius is always the previously entered base radius value for any solid primitive.

3P (Three Points)

Defines the base circumference and base plane of the cone by specifying three points.

Specify first point: Specify a point

Specify second point: Specify a point

Specify third point: Specify a point

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

2P (Two Points)

Defines the base diameter of the cone by specifying two points.

Specify first endpoint of diameter: Specify a point

Specify second endpoint of diameter: Specify a point

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

TTR (Tangent, Tangent, Radius)

Defines the base of the cone with a specified radius tangent to two objects.

Specify point on object for first tangent: Select a point on an object

Specify point on object for second tangent: Select a point on an object

Specify radius of circle <default>: Specify a base radius or press Enter to specify the default base radius value

Sometimes, more than one base matches the specified criteria. The program draws the base of the specified radius whose tangent points are closest to the selected points.

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

Elliptical

Specifies an elliptical base for the cone.

Specify endpoint of first axis or [Center]: Specify a point

Specify other endpoint of first axis: Specify a point

Specify endpoint of second axis: Specify a point

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

Center

Creates the base of the cone by using a specified center point.

Specify center point: Specify a point

Specify distance to first axis <default>: Specify a distance or press Enter to specify the default distance value

Specify endpoint of second axis: Specify a point

Specify height or [2Point/Axis endpoint/Top radius] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

Diameter

Specifies the diameter for the base of the cone.

Specify diameter <default>: Specify a diameter or press Enter to specify the default value

Initially, the default diameter is not set to any value. During a drawing session, the default value for the diameter is always the previously entered diameter value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

2Point

Specifies that the height of the cone is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cone axis. The axis endpoint is the top point of the cone or the center point of the top face of the cone frustum (Top Radius option). The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cone.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the cone, creating a cone frustum.

Specify top radius <default>: Specify a value or press Enter to specify the default value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.


CONSTRAINTBAR (Quick Reference)

CONE
CONSTRAINTBAR
CONSTRAINTSETTINGS
Commands > C commands >
CONSTRAINTBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

A toolbar-like UI element that displays the available geometric constraints on an object.

Access Methods

Button

Ribbon: Parametric tab [image] Geometric panel [image] ShowNot available on the ribbon in the current workspace.
Menu: Parametric [image] Constraints Bars [image] Select ObjectsNot available in menus in the current workspace
Toolbar: Parametric
Command entry: constraintbar

Select objects to show constraints or [Showall/Hideall] <Showall>:Enter the appropriate value to show or hide constraint bars in the drawing.

The selection preview behavior for constraint bars is as follows:

  • Placing the cursor over an icon on a constraint bar highlights related geometry.
  • Placing the cursor over a constrained object (while constraint bars are displayed) highlights the constraint icons associated with the selected object.

The CONSTRAINTBARMODE system variable or the CONSTRAINTSETTINGS command controls the display of geometric constraints on constraint bars, when constraint bar are displayed.

Showall

Displays constraint bars for all objects with geometric constraints applied to them.

Hideall

Hides constraint bars for all the objects with geometric constraints applied to them.

Shortcut Menu Options

Apart from displaying or hiding constraint bars, you can also perform the following actions:

Delete

Deletes the geometric constraint applied for the selected object.

Hide

Hides the constraint bar for the selected object.

Hide All Constraints

Hides all constraint bars for objects with geometric constraints applied to them.

Constraint Bar Settings

Displays the Constraint Settings dialog box.


CONSTRAINTSETTINGS (Quick Reference)

CONSTRAINTBAR
CONSTRAINTSETTINGS
Constraint Settings Dialog Box
Commands > C commands >
CONSTRAINTSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls the display of geometric constraints on constraint bars.

Access Methods

Button

Ribbon: Parametric tab [image] Dimensional panel [image] [image] [image] Constraint Settings.
Menu: Parametric [image] Constraint SettingsNot available in menus in the current workspace.
Toolbar: Parametric
Command entry: constraintsettings

The Constraint Settings Dialog Box is displayed.


Constraint Settings Dialog Box (Quick Reference)

CONSTRAINTSETTINGS
CONSTRAINTSETTINGS
+CONSTRAINTSETTINGS
Commands > C commands > CONSTRAINTSETTINGS >
Constraint Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Constraint Settings dialog box includes the following:

  • Geometric Tab
  • Dimensional Tab
  • Autoconstrain Tab

Geometric Tab

Controls the display of constraint types on constraint bars.

Constraint Bar Settings

Controls the display of constraint bars or constraint point markers for objects in the drawing editor.

For example, you can hide the display of constraint bars for Horizontal and Vertical constraints.

Select All

Selects the geometric constraint types.

Clear All

Clears the selected geometric constraint types.

Only display constraint bars for object in the current plane

Displays constraint bars for geometrically constrained objects only on the current plane.

Constraint Bar Transparency

Sets the transparency level of constraint bars in a drawing.

Show constraint bars after applying constraints to selected objects

Displays relevant constraint bars after you apply a constraint manually or when you use the AUTOCONSTRAIN command

Dimensional Tab

Sets preferences in behavior when displaying dimensional constraints.

Show All Dynamic Constraints

Display all dynamic dimensional constraints by default.

Dimensional Constraint Format

Sets the display of the dimensional name format and lock icon

Dimension Name Format

Specifies the format for the text displayed when dimensional constraints are applied.

Set the name format to display: Name, Value, or Name and Expression.

For example: Width=Length/2

Show Lock Icon for Annotational Constraints

Displays a lock icon against an object that has an annotational constraint applied.

The check box selection is dependent on the value of the DIMCONSTRAINTICON system variable.

  • The check box is cleared if DIMCONSTRAINTICON is set to 0 or 1.
  • The check box is selected if DIMCONSTRAINTICON is set to 2 or 3.
  • If you select the check box, the value of the DIMCONSTRAINTICON system variable will be increased by 2. For example, the system variable will be set to 2 if the old value is 0.
  • If you clear the check box, the value of the DIMCONSTRAINTICON system variable will be decreased by 2. For example, the system variable will be set to 0 if the old value is 2.
Show Hidden Dynamic Constraints for Selected Objects

Displays dynamic constraints that have been set to hide when selected.

Autoconstrain Tab

Controls the constraints that are applied to a selection set, and the order in which they are applied when using the AUTOCONSTRAIN command.

The following conditions are checked before multiple geometric constraints are applied:

  • Are the objects perpendicular or tangential to each other within the tolerances specified in the AutoConstrain tab?
  • Do they also intersect within the specified tolerances?

If the first condition is met, then tangent and perpendicular constraints are always applied if the check boxes are cleared.

If you select the additional check boxes, then the distance tolerance is considered for intersecting objects. If the objects do not intersect but the nearest distance between them is within the distance tolerance specified, then the constraint will be applied even if the check boxed are selected.

Autoconstrain Headings
  • Priority — Controls the order in which constraints are applied.
  • Constraint Type — Controls the type of constraint applied to objects.
  • Apply — Controls the constraints that are applied when applying constraints to multiple objects.
Move Up

Changes the order of the selected item by moving it up in the list.

Move Down

Changes the order of the selected item by moving it down in the list.

Select All

Selects all geometric constraint types to autoconstrain.

Clear All

Clears all geometric constraint types to autoconstrain.

Reset

Resets AutoConstrain settings to default values.

Tangent Objects Must Share an Intersection Point

Specifies that two curves must share a common point (as specified within the distance tolerance) for the tangent constraint to be applied.

Perpendicular Objects Must Share an Intersection Point

Specifies that lines must intersect or the endpoint of one line must be coincident with the other line or endpoint of the line as specified within the distance tolerance.

Tolerances

Sets the acceptable tolerance values to determine whether a constraint can be applied.

  • Distance — Distance tolerance for determining whether constraints are applied.
  • Angle — Angle tolerance for determining whether constraints are applied.


+CONSTRAINTSETTINGS (Quick Reference)

Constraint Settings Dialog Box
CONSTRAINTSETTINGS
CONVERT
Commands > C commands > CONSTRAINTSETTINGS >
+CONSTRAINTSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls the tab that is displayed by default when the Constraint Settings dialog box is invoked.

Tab Index | Tab Displayed
0 | Geometric tab
1 | Dimensional tab
2 | AutoConstrain tab


CONVERT (Quick Reference)

+CONSTRAINTSETTINGS
CONVERT
CONVERTCTB
Commands > C commands >
CONVERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Optimizes 2D polylines and associative hatches created in AutoCAD Release 13 or earlier.

Command entry: convert

Enter type of objects to convert [Hatch/Polyline/All] <All>: Enter h for hatches, p for polylines, or a for both

Hatch

Converts all hatches in the drawing.

Enter object selection preference [Select/All] <All>: Enter s to select specific objects to convert or a to convert all objects in the drawing

Polyline

Converts all polylines in the drawing.

Enter object selection preference [Select/All] <All>: Enter s to select specific objects to convert or a to convert all objects in the drawing

All

Converts all polylines and hatches in the drawing.

Enter object selection preference [Select/All] <All>: Enter s to select specific objects to convert or a to convert all objects in the drawing

One or both of the following messages are displayed:

number hatch objects converted

number 2d polyline objects converted

Hatches are not updated automatically when a drawing from a previous release is opened in Release 14 or later. Information about the rotation of a hatch pattern may not be updated properly if you have changed the UCS since creating the hatch. When updating hatches with CONVERT, it is recommended that you use the Select option so that you can check your results.

In most cases, you do not need to update polylines with CONVERT. By default, thePLINETYPE system variable specifies that polylines are updated automatically when you open an older drawing. Polylines may be created in the old format by third-party applications, and they may be contained in an older drawing that was inserted as a block and then exploded.

NotePolylines containing curve-fit or splined segments always retain the old format, as do polylines that store extended object data on their vertices. Editing commands make no distinction between the two formats.


CONVERTCTB (Quick Reference)

CONVERT
CONVERTCTB
CONVERTOLDLIGHTS
Commands > C commands >
CONVERTCTB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts a color-dependent plot style table (CTB) to a named plot style table (STB).

Command entry: convertctb

Displays the Select File dialog box (a standard file selection dialog box), where you can select the color-dependent plot style table file you want to convert. The Save As dialog box is then displayed. If necessary, specify a new location or name for the converted plot style table file.

CONVERTCTB saves a copy of a color-dependent plot style table as a named plot style table, which you can then attach to drawings that use named plot styles. The original color-dependent plot style table is not affected by CONVERTCTB. The default location for the new named plot style table file is in the Plot Styles folder. The default name for the new named plot style table file is the same as the color-dependent plot style table name.

CONVERTCTB creates one named plot style for each color that has unique plot properties, one named plot style for each group of colors that are assigned the same plot properties, and a default named plot style called NORMAL.

For example, if all the colors in a color-dependent plot style table have the same plot properties, CONVERTCTB creates only two named plot styles in the named plot style table: NORMAL, the default plot style, and STYLE 1, which assumes the plot properties that were assigned to all the colors in the color-dependent plot style table. However, suppose that all the colors in a color-dependent plot style table have the same plot properties except for two colors, BLUE and GREEN. If these colors each have unique plot properties, CONVERTCTB creates four named plot styles in the named plot style table: NORMAL, the default plot style; STYLE 1, which assumes the plot properties of GREEN; STYLE 2, which assumes the plot properties of BLUE; and STYLE 3, which assumes the plot properties that were assigned to all the other colors.

CONVERTCTB gives the plot styles in the new named plot style table generic names such as STYLE 1, STYLE 2. You can modify these generic plot style names in the Plot Style Table Editor. Click the Edit button on the Plot Device tab in the Page Setup dialog box. If you want to rename the plot styles, you must do so before applying them to drawing layouts.


CONVERTOLDLIGHTS (Quick Reference)

CONVERTCTB
CONVERTOLDLIGHTS
CONVERTOLDMATERIALS
Commands > C commands >
CONVERTOLDLIGHTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Converts lights created in previous drawing file formats to the current format.

Command entry: convertoldlights

The lights in the drawing that were originally created in a previous drawing file format are updated to the current drawing file format. Drawing file format changes occur infrequently in AutoCAD-based products. For example, format changes occurred in AutoCAD 2000, AutoCAD 2004, and AutoCAD 2007.

WarningThe conversion may not be correct in all cases. You may need to adjust intensity, for example.


CONVERTOLDMATERIALS (Quick Reference)

CONVERTOLDLIGHTS
CONVERTOLDMATERIALS
CONVERTPSTYLES
Commands > C commands >
CONVERTOLDMATERIALS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Converts materials created in previous drawing file formats to the current format.

Command entry: convertoldmaterials

The materials in the drawing that were originally created in a previous drawing file format are updated to the current drawing file format. Drawing file format changes occur infrequently in AutoCAD-based products. For example, format changes occurred in AutoCAD 2000, AutoCAD 2004, and AutoCAD 2007.

WarningThe conversion may not be correct in all cases. You may need to adjust material mapping, for example.


CONVERTPSTYLES (Quick Reference)

CONVERTOLDMATERIALS
CONVERTPSTYLES
CONVTOSOLID
Commands > C commands >
CONVERTPSTYLES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts the current drawing to either named or color-dependent plot styles.

Command entry: convertpstyles

A drawing can use either named or color-dependent plot styles, but not both.

CONVERTPSTYLES converts a currently open drawing from color-dependent plot styles to named plot styles, or from named plot styles to color-dependent plot styles, depending on which plot style method the drawing is currently using.

  • Converting drawings from color-dependent plot styles to named plot styles
  • Converting drawings from named plot styles to color-dependent plot styles

When you convert a drawing, CONVERTPSTYLES sets thePSTYLEMODE system variable to the appropriate setting (0 = named, 1= color-dependent).

For example, a drawing using color-dependent plot styles assigns plot properties to objects and layers by color. In other words, all objects with the same color have the same plot properties. CONVERTPSTYLES converts the drawing to use named plot styles that can be applied to objects or layers independent of color assignment. In other words, all objects with the same color can have different plot properties.

Converting Drawings from Color-Dependent to Named Plot Styles

A dialog box advises you to convert the drawing's plot style tables before converting the drawing. You can convert the color-dependent plot style tables assigned to the drawing to named plot style tables using CONVERTCTB.

The Select File dialog box (a standard file selection dialog box) is displayed, where you select the named plot style table file to attach to the converted drawing.

CONVERTPSTYLES requires you to select a named plot style table that was converted using CONVERTCTB or created from a PC2 or PCP file. Normally you should select the named plot style table that was converted from the color-dependent plot style table that was assigned to the same drawing.

CONVERTPSTYLES attaches the selected named plot style table to model space and to all layouts. Drawing layers are each assigned a named plot style (from the converted plot style table) that has the same plot properties that their color-dependent plot style had. Drawing objects that had the same color-dependent plot style as their layer are assigned the named plot style BYLAYER. Drawing objects that had a color-dependent plot style that was different from their layer are assigned a named plot style that has the same properties that their color-dependent plot style had.

After a drawing is converted to named plot styles, you can change the named plot style table assignment or assign other named plot styles tables to model space or layouts. You can also assign individual plot styles to drawing objects.

Converting Drawings from Named to Color-Dependent Plot Styles

A dialog box advises you that the named plot styles attached to objects and named plot style tables attached to model space and layouts will be detached.

After a drawing is converted to color-dependent plot styles, you can assign a color-dependent plot style table. Plot styles will be applied by color.


CONVTOSOLID (Quick Reference)

CONVERTPSTYLES
CONVTOSOLID
CONVTOSURFACE
Commands > C commands >
CONVTOSOLID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts 3D meshes and polylines and circles with thickness to 3D solids.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] Convert to SolidNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] Convert to SolidNot available in menus in the current workspace
Command entry: convtosolid

Summary

Take advantage of the solid modeling capabilities available for 3D solids. When you convert mesh, you can specify whether the converted objects are smoothed or faceted, and whether the faces are merged.

The smoothness and number of faces of the resulting 3D solid are controlled by the SMOOTHMESHCONVERT system variable. Whereas the previous example shows a conversion to a smooth, optimized 3D solid, the following example shows a conversion to a faceted 3D solid in which the faces are not merged, or optimized.

The following tables list the objects that can be converted to solid objects and some limitations on their conversion.

Objects that Can Be Converted to 3D Solids

Object | Required properties
Mesh | Encloses a volume with no gaps between edges (watertight)
Polyline | Closed, uniform-width, with thickness
Polyline | Closed, zero-width, with thickness
Surface | Encloses a volume with no gaps between edges (such as a revolved surface that is capped at both ends or closed mesh objects that were converted to surfaces)

Limitations on Conversion to Solid Objects

Object | Description
Polyline | Cannot contain zero-width vertices.
Polyline | Cannot contain segments of variable width.
Separate objects that simulate a closed surface | Cannot be a planar surface with contiguous edges or an exploded 3D solid box into six regions. However, you cannot convert those separate objects back to a solid with CONVTOSOLID.
Planar surfaces with contiguous edges | Cannot convert separate objects, even if they enclose a volume without gaps.
Exploded 3D solid | Cannot convert separate objects (in this case, regions).

You can select the objects to convert before you start the command.

The DELOBJ system variable controls whether the geometry used to create 3D objects is automatically deleted when the new object is created or whether you are prompted to delete the objects.

List of Prompts

The following prompt is displayed.

Select objects

Specifies one or more objects to convert to 3D solid objects. You can select objects with thickness or mesh objects.

If one or more objects in the selection set are invalid for the command, you will be prompted again to select objects.


CONVTOSURFACE (Quick Reference)

CONVTOSOLID
CONVTOSURFACE
COPY
Commands > C commands >
CONVTOSURFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts objects to 3D surfaces.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] Convert to SurfaceNot available on the ribbon in the current workspace.
Menu: Modify [image] 3D Operations [image] Convert to SurfaceNot available in menus in the current workspace.
Command entry: convtosurface

Summary

As you convert objects to solid objects, you can specify whether the resulting object is smooth or faceted.

The smoothness and number of faces of the resulting surface are controlled by the SMOOTHMESHCONVERT system variable. Whereas the previous example shows a conversion to a smooth, optimized surface, the following example shows a conversion to a faceted surface in which the faces are not merged, or optimized.

With the CONVTOSURFACE command, you can convert the following objects into surfaces:

Objects That Can Be Converted to 3D Surfaces

Objects
2D solids
Regions
Open, zero-width polylines with thickness
Lines with thickness
Arcs with thickness
Mesh objects
Planar 3D faces

objects converted to surfaces

You can select the objects to convert before you start the command.

NoteYou can create surfaces from 3D solids with curved faces, such as a cylinder, with the EXPLODE command.

The DELOBJ system variable controls whether the geometry used to create 3D objects is automatically deleted when the new object is created or whether you are prompted to delete the objects.

List of Prompts

The following prompt is displayed.

Select objects

Specifies one or more objects to convert to surfaces.

If one or more objects in the selection set are invalid for the command, you will be prompted again to select objects.


COPY (Quick Reference)

CONVTOSURFACE
COPY
COPYBASE
Commands > C commands >
COPY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies objects a specified distance in a specified direction.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] CopyNot available on the ribbon in the current workspace
Menu: Modify [image] CopyNot available in menus in the current workspace.
Toolbar: Modify
Shortcut menu: Select the objects to copy, and right-click in the drawing area. Click Copy Selection.
Command entry: copy

Select objects: Use an object selection method and press Enter when you finish

Current settings: Copy mode = current

Specify base point or [Displacement/mOde/Multiple] <Displacement>: Specify a base point or enter an option

The two points you specify define a vector that indicates how far the copied objects are to be moved and in what direction.

If you press Enter at the Specify Second Point prompt, the first point is interpreted as a relative X,Y,Z displacement. For example, if you specify 2,3 for the base point and press Enter at the next prompt, the objects are copied 2 units in the X direction and 3 units in the Y direction from their current position.

The COPY command repeats automatically by default. To exit the command, press Enter.

With the COPYMODE system variable, you can control whether multiple copies are created automatically.

Displacement

Specifies a relative distance and direction using coordinates.

Specify displacement <last value>: Enter coordinates to represent a vector

Mode

Controls whether the command repeats automatically. This setting is controlled by the COPYMODE system variable.

Enter a copy mode option [Single/Multiple] <current>: Enter s or m

Multiple

Overrides the Single mode setting. The COPY command is set to repeat automatically for the duration of the command. This setting is controlled by theCOPYMODE system variable.

NoteThis option is displayed only when copy mode is set to Single.


COPYBASE (Quick Reference)

COPY
COPYBASE
COPYCLIP
Commands > C commands >
COPYBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies selected objects to the Clipboard along with a specified base point.

Access Methods

Button

Menu: Edit [image] Copy with Base PointNot available in menus in the current workspace.
Shortcut menu: End any active commands, right-click in the drawing area, and choose Copy with Base Point.
Command entry: copybase

Specify base point:

Select objects:

The selected objects are copied to the Clipboard.

  • Use PASTECLIP to move the copied objects from the Clipboard to a location in the same document or to another document.
  • When you paste an object copied with COPYBASE, it is placed relative to the specified base point.


COPYCLIP (Quick Reference)

COPYBASE
COPYCLIP
COPYHIST
Commands > C commands >
COPYCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies selected objects to the Clipboard.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] Copy Clip.Not available on the ribbon in the current workspace.
Menu: Edit [image] CopyNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: End any active commands, right-click in the drawing area, and choose Copy.
Command entry: copyclip

Select objects:

COPYCLIP copies all objects you select to the Clipboard. You can paste the contents of the Clipboard into a document or drawing as an OLE object.

NoteYou can also use Ctrl+C to run COPYCLIP. If the cursor is in the drawing area, the selected objects are copied to the Clipboard. If the cursor is on the command line or in the text window, the selected text is copied to the Clipboard.

When you copy objects to the Clipboard, information is stored in all available formats. When you paste the Clipboard contents into a drawing, the format that retains the most information is used. You can also use Copy and Paste to transfer objects between drawings.


COPYHIST (Quick Reference)

COPYCLIP
COPYHIST
COPYLINK
Commands > C commands >
COPYHIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies the text in the command line history to the Clipboard.

Command entry: copyhist

The text is copied to the Clipboard.


COPYLINK (Quick Reference)

COPYHIST
COPYLINK
COPYTOLAYER
Commands > C commands >
COPYLINK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies the current view to the Clipboard for linking to other OLE applications.

Access Methods

Button

Menu: Edit [image] Copy LinkNot available in menus in the current workspace.
Command entry: copylink

Summary

You can copy the current view to the Clipboard and then paste the contents of the Clipboard into another document as a linked OLE object.


COPYTOLAYER (Quick Reference)

COPYLINK
COPYTOLAYER
Copy To Layer Dialog Box
Commands > C commands >
COPYTOLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies one or more objects to another layer.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Copy Objects to New LayerNot available on the ribbon in the current workspace
Menu: Format [image] Layers [image] Copy Objects to New LayerNot available in menus in the current workspace
Toolbar: Layers II
Command entry: copytolayer

Select objects to copy:

Select object on destination layer or [Name] <Name>: Select an object or enter n

If you enter -copytolayer at the Command prompt, options are displayed.

Select Object on Destination Layer

Specifies the layer on which the selected objects are placed.

Specify Base Point or [Displacement/Exit] <eXit>: Specify a point, enter d, or enter x

Specify Base Point

Specifies the base point of the copied objects.

Specify second point of displacement or <use first point as displacement>:

Displacement

Enters coordinate values that specify a relative distance and direction.

Specify displacement <0.0000, 0.0000, 0.0000>:

Exit

Cancels the command.

Name

Displays the Copy to Layer dialog box.

Specify Base Point or [Displacement/Exit] <eXit>: Specify a point, enter d, or enter x

Specify Base Point

Specifies the base point of the copied objects.

Specify second point of displacement or <use first point as displacement>:

Displacement

Enters coordinate values that specify a relative distance and direction.

Specify displacement <0.0000, 0.0000, 0.0000>:

Exit

Cancels the command.

Creates duplicates of selected objects on a layer that you specify. You can also specify a different location for the duplicated objects.


Copy To Layer Dialog Box (Quick Reference)

COPYTOLAYER
COPYTOLAYER
-COPYTOLAYER
Commands > C commands > COPYTOLAYER >
Copy To Layer Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the layer on which the selected objects are placed.

Destination Layer

Displays a list of layers that you can select as the destination layer. You can also enter a name to create a new layer. The new layer inherits the properties (on/off, freeze/thaw, locked/unlocked, etc.) of the current layer.


-COPYTOLAYER (Quick Reference)

Copy To Layer Dialog Box
COPYTOLAYER
CUI
Commands > C commands > COPYTOLAYER >
-COPYTOLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -copytolayer at the Command prompt, the following prompts are displayed.

Select objects to copy:

Specify the destination layer name or [?/= (select object)] <0>: Select an object on the destination layer, enter?, or enter=

Specify the Destination Layer Name

Displays a list of layers that you can select as the destination layer. You can also enter a name to create a new layer. The new layer inherits the properties (on/off, freeze/thaw, locked/unlocked, etc.) of the current layer

N object(s) copied and placed on layer "<layer name>".

?—List Layers

Enter layer name(s) to list <*>: *

=—Layer By Object

Selects a destination layer by selecting an object on that layer.

Select an object with the desired layer name: Select an object on the destination layer


CUI (Quick Reference)

-COPYTOLAYER
CUI
Customize User Interface Editor
Commands > C commands >
CUI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages the customized user interface elements in the product.

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Command entry: cui

Summary

User interface elements such as workspaces, toolbars, menus, ribbon panels, shortcut menus, and keyboard shortcuts are all managed from this dialog box.

The Customize User Interface Editor is displayed.

NoteThe XML-based CUIx file replaces the CUI file used in AutoCAD 2006 through AutoCAD 2009, and both the legacy menu (MNS) and legacy menu template (MNU) files used in releases prior to AutoCAD 2006.

For information about customizing the different user interface elements found in the Customize User Interface dialog box, see User Interface Customization in the Customization Guide.


Customize User Interface Editor (Quick Reference)

CUI
CUI
Customize Tab (Customize User Interface Editor)
Commands > C commands > CUI >
Customize User Interface Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Command entry: cui

Manages customized user interface elements such as workspaces, toolbars, menus, shortcut menus, and keyboard shortcuts.

The Customize User Interface Editor is displayed:

  • Customize tab (Customize User Interface Editor)
  • Transfer tab (Customize User Interface Editor)

For information about customizing the different user interface elements found in the Customize User Interface Editor, see User Interface Customization in the Customization Guide.


Customize Tab (Customize User Interface Editor) (Quick Reference)

Customize User Interface Editor
Customize User Interface Editor
Transfer Tab (Customize User Interface Editor)
Commands > C commands > CUI > Customize User Interface Editor >
Customize Tab (Customize User Interface Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides an interface for customizing workspaces, toolbars, menus, ribbon panels, shortcut menus, and other user interface elements.

NoteWhen the Customize User Interface Editor is displayed using the Customize Commands option from the Tool Palettes window or the Customize option from the Quick Access toolbar or a toolbar, the Customizations In pane is collapsed and the Command List pane is expanded.

Customizations In Pane

Displays a tree structure of user interface elements that can be customized, such as workspaces, toolbars, menus, ribbon panels, partial CUIx files, and so on.

List box

Displays a list of CUIx files that are loaded and an Open option.

Available Customizations In toolbar

Contains Load Partial Customization File and Save All Current Customization Files buttons.

Load Partial Customization File

Loads a CUIx file that you can add to the acad.cuix file.

Save All Current Customization Files

Saves changes to all loaded CUIx files.

Tree View

Displays the current customization file in a structured view so you can add and modify the user interface elements.

Dynamic Display Pane

Displays content specific to the user interface element you select in the tree view in the left pane. Following are the types of display content you'll see in the right pane and the corresponding information displayed in the left pane's tree view:

Information

Describes selected user interface elements that do not have properties (such as the Toolbars node, Menus node, and Shortcut Menus node).

Properties

Displays the properties of user interface elements or items selected in the tree view. Elements or items that display properties include specific menus, menu commands, toolbars, and toolbar buttons.

Button Image

Displays the toolbar buttons of all toolbars loaded in the program. You can edit the toolbar button, change its properties, and create a new toolbar button.

Shortcuts

Displays a list of shortcut key names and temporary override names, their corresponding shortcut key combinations, keyboard shortcut type (shortcut key or temporary override), and the source CUIx file name.

Toolbar Preview

Displays a preview of the selected toolbar.

Panel Preview

Displays a preview of the selected ribbon panel.

Quick Properties

Displays a list of object types and associated properties. You can specify which object types and properties are enabled to use with the Quick Properties panel and rollover tooltips.

Command List Pane

Displays a list of commands that are loaded in the program.

Categories

Displays filters for the command list, including All Commands, ACAD Commands, User Defined, or Control Commands. You can also filter the list to display commands within a specific menu.

Find Command or Text

Searches the current CUIx for a selected command or matching text string. Displays the Find and Replace dialog box.

Create a New Command

Creates a new command. You can add or change properties and create or edit a button.

Properties Pane

Displays user interface properties that you can view, edit, or delete.

General

Displays the name and description of a command or user interface element.

  • Name - Displays the name of the user interface element. The name you enter is the label or tooltip name displayed in the program.
  • Description - Displays the description for the user interface element. The description you enter is displayed in the status bar or in a tooltip.

Properties for Ribbon Tabs and Panels:

  • Display Text - Displays the name of the ribbon tab or panel.

Properties for Ribbon Tabs:

  • Contextual Display Type - Specifies whether the ribbon tab replaces all ribbon tabs on the ribbon or is merged with the ribbon tabs already displayed on the ribbon. (Full or Merged)
Display

Determines which user interface elements are displayed after start up or when a workspace is set current.

  • Start On - Specifies if the Model tab or last used layout is set current. (Model, Layout, or Do Not Change)
  • Menu Bar - Specifies the display of the menu bar. (Off or On)
  • Status Bar - Specifies the display of the application and drawing status bars. (Application Only, All Off, All On, or Drawing Status Bar Only)
  • Model/Layout Tabs - Specifies the display of the Model and layout tabs along the bottom of the drawing window. (Off, On, or Do Not Change)
  • Screen Menus - Specifies the display of the screen menu. (Off, On, or Do Not Change)
  • Scroll Bars - Specifies the display of the scroll bars in the drawing window. (Off, On, or Do Not Change)
Partial File Behavior

Controls how ribbon tabs are displayed when in a CUIx file that is being loaded as a partial customization file.

  • Default Display - Specifies whether the ribbon tab is displayed on the ribbon when in a CUIx file that is loaded as a partial customization file. (Do Not Add to Workspaces or Add to Woprkspaces)
  • Workspace Behavior - Specifies how the ribbon tab is merged or added to the ribbon when this CUIx file is loaded as a partial customization file. (Add Tab Only, Merge Tab Only, or Merge or Add Tab)
Appearance

Controls the appearance of toolbars, ribbon panels, commands on a ribbon panel, ribbon tabs, and screen menus.

Properties for Ribbon Panels:

  • Resize Style - Specifies the resize style for a ribbon panel when the ribbon is reduced in size. (Collapse as Needed, Never Collapse, or Collapse Last)

Properties for a Command on Ribbon Panels:

  • Button Style - Specifies the orientation, size, and label display of the command. (Large With Text (Vertical), Large With Text (Horizontal), SmallWithText, or SmallWithoutText)
  • Group Name - Specifies the group name for the command when grouping is enabled for a drop-down.

Properties for Drop-downs on Quick Access Toolbars and Ribbon Panels:

  • Behavior - Specifies if the button executes a command or displays a list of commands. (Drop Down Menu with Recent, Drop Down Menu, Split with Recent, Split, or Split with Recent (Static))
  • SplitButtonListStyle - Specifies how the commands on the drop-down will be displayed. (Icon, IconText, or Descriptive)
  • Button Style - Specifies the orientation, size, and label display of the button for the drop-down. (Large With Text (Vertical), Large With Text (Horizontal), SmallWithText, or SmallWithoutText)
  • Grouping - Specifies whether commands under a drop-down are grouped together using their assigned group names. (Yes or No)

Properties for Toolbars:

  • Default Display - Specifies whether the toolbar is displayed when in a CUIx file that is loaded as a partial customization file. (Do Not Add to Workspaces or Add to Woprkspaces)
  • Orientation - Specifies the location of the toolbar. (Floating, Top, Bottom, Left, or Right)
  • Default X Location - Specifies the X location of the toolbar when floating.
  • Default Y Location - Specifies the Y location of the toolbar when floating.
  • Rows - Specifies the number of rows the items on the toolbar are displayed in when the toolbar is floating.

Properties for a Separator on Ribbon Panels:

  • Separator Style - Specifies the style for the separator. (Line or Spacer)

Properties for Screen Menus:

  • Start Line - Specifies where the first line of a submenu should be displayed.
  • Number of Lines - Specifies the number of lines that make up the screen menu.
Access

Controls the key combination assigned to a shortcut key.

  • Key(s) - Specifies the key combination assigned to a shortcut key.
  • KeyTip - Specifies the keytip character to access a command or control from the ribbon.

Properties for Drop-downs on Quick Access Toolbars Ribbon Panels:

  • ToolTip Title - Specifies the alternate title for the tooltip of a drop-down when its Behavior property is set to Drop Down Menu.
Size

Controls the size of a tablet menu.

  • Rows - Specifies the number of rows for a tablet menu.
  • Columns - Specifies the number of columns for a tablet menu.
Slide

Specifies the slide library and slide to use for a command in an image menu.

  • Slide library - Specifies the slide library for the slide used for the command in an image menu.
  • Slide label - Specifies the slide to use for the command in an image menu.
Shortcut

Controls the key combination and macros assigned to a temporary override key.

  • Key(s) - Specifies the key combination for the temporary override.
  • Macro 1 (Key Down) - Displays the macro to execute when the key combination is pressed.
  • Macro 2 (Key Up) - Displays the macro to execute when the key combination is released.
Command

Displays the properties assigned to a command.

  • Name - Displays the name of the command. The name you enter is the label or tooltip name displayed in the program.
  • Description - Displays the description for the command. The description you enter is displayed in the status bar or in a tooltip.
  • Extended Help File - Displays the file name and ID from the extended help file that should be displayed when the cursor continues to hover over a toolbar, panel button, or menu item for a specified period of time.
  • Command Display Name - Displays the command line text string that is shown in the command tooltip.
  • Macro - Displays the macro assigned to a selected command. You can create a macro or edit an existing macro.
  • Tags - Displays the user-defined keywords that are associated with a command. Tags can be used to search for commands in the menu browser.
Advanced

Displays the aliases and element IDs that you can define for each user interface element.

  • Aliases - Specifies a unique value for a user interface element that is used to programmatically reference the user interface element.
  • Object Name - Specifies the object type associated with a double click action.
  • Element ID - Displays the tag that uniquely identifies a command or user interface element.
Images

Determines which images are assigned to a command when displayed on a user interface element.

  • Small Image - Specifies the small image file to use when a command is added to a toolbar, menu, or ribbon panel.
  • Large Image - Specifies the large image file to use when a command is added to a toolbar or ribbon panel.

Quick Properties Pane

Displays a list of object types and the properties associated to the selected object type.

Edit Object Type List

Controls which object types are used with the Quick Properties panel or rollover tooltips. Displays the Edit Object Type List dialog box.

Object Type List

Displays a list of the object types you can use with Quick Properties panel or rollover tooltips.

General

Displays the general properties that are available for all object types in the Properties list.

Properties List

Displays the properties for the selected object type or the general properties available for all object types.

Reset Overrides

Overrides the selected general properties for all object types.


Transfer Tab (Customize User Interface Editor) (Quick Reference)

Customize Tab (Customize User Interface Editor)
Customize User Interface Editor
Button Editor Dialog Box
Commands > C commands > CUI > Customize User Interface Editor >
Transfer Tab (Customize User Interface Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Transfers user interface elements to or from a main or partial customization (CUIx) file, where your interface element data is stored. You open a CUIx, CUI, MNS, or MNU file to import or export user interface data. When you open CUI, MNU, or MNS files, they are not converted automatically to a CUIx file format until you save the new file that is created. The original CUI, MNU, or MNS file is not modified.

Customizations In panes

When you enter cuiimport at the Command prompt, the main CUIx file is displayed (acad.cuix by default) in the right pane. You open a CUIx or legacy customization file in the left pane to transfer data. When you enter cuiexport at the Command prompt, the main CUIx file is displayed in the left pane. You open another CUIx or legacy customization file in the right pane to transfer data.


Button Editor Dialog Box (Quick Reference)

Transfer Tab (Customize User Interface Editor)
CUI
Image Manager Dialog Box
Commands > C commands > CUI >
Button Editor Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Right-click any toolbar and click Customize
Command entry: cui

Modifies or creates custom images used for commands.

Color Palette

Sets the current color used by the editing tools.

Standard Color Swatches

Color swatches used to set of the standard 16 colors current.

More

Opens the Select Color dialog box.

Editing Tools

Provides tools for editing a custom image.

Pencil

Edits one pixel at a time using the current color.

Line

Creates lines using the current color. Click and drag to set the start point and draw the line. Release to complete the line.

Circle

Creates circles using the current color. Click to set the center and drag to set the radius. Release to complete the circle.

Erase

Sets pixels to white. Click and drag over colored pixels to change them to white.

Editing Area

Provides a close-up view of the image for editing.

Preview

Displays a preview of the image currently being edited. The preview displayed shows the actual size of the image.

Clear

Clears the editing area.

Undo

Undoes the last editing action.

Grid

Displays a grid in the editing area. Each grid square represents a single pixel.

Save

Displays the Save Image dialog box, which allows you to save the customized image to the working customization file.

Import

Imports an externally stored image for editing. Images are stored in the working customization file as bitmap (BMP) files.

Export

Exports the customized image to an external local or network storage location.

NoteWhen exporting an image, the Create File dialog box defaults to the folder defined under Custom Icon Location of the Files tab in the Options dialog box. Images that are located in this folder can be migrated with the Migrate Custom Settings dialog box.


Image Manager Dialog Box (Quick Reference)

Button Editor Dialog Box
CUI
Save Image Dialog Box
Commands > C commands > CUI >
Image Manager Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Manages the images that are in the selected customization file.

Loaded Customization Files List

Lists the customization files that are currently loaded.

Custom Images List

Lists the images that are stored in the customization file selected from the Loaded Customization Files list.

Import

Imports an externally stored image into the selected customization file from the Loaded Customization Files list.

Export

Exports the selected custom images from the Custom Images list to an external local or network storage location.

Delete

Permanently deletes the selected image from the Custom Images list and the customization file.

Preview

Displays a preview of the selected image in the Custom Images list.


Save Image Dialog Box (Quick Reference)

Image Manager Dialog Box
CUI
Find and Replace Dialog Box - CUI
Commands > C commands > CUI >
Save Image Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Right-click any toolbar and click Customize
Command entry: cui

Saves the customized image to the working customization file.

Image Name

Displays the name of the customized image being saved.


Find and Replace Dialog Box - CUI (Quick Reference)

Save Image Dialog Box
CUI
Find Tab (Find and Replace Dialog Box)
Commands > C commands > CUI >
Find and Replace Dialog Box - CUI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Command entry: cui

Locates and replaces commands or command properties (command names, descriptions, or macros).

The Find and Replace dialog box contains the following tabs:

  • Find tab (Find and Replace dialog box)
  • Replace tab (Find and Replace dialog box)


Find Tab (Find and Replace Dialog Box) (Quick Reference)

Find and Replace Dialog Box - CUI
Find and Replace Dialog Box - CUI
Replace Tab (Find and Replace Dialog Box)
Commands > C commands > CUI > Find and Replace Dialog Box - CUI >
Find Tab (Find and Replace Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Searches for commands or command properties in either the Command List pane or the Available Customizations in <file name> pane.

Find What

Displays the search string you want to locate. If you select a command in the Command List pane, this box displays that string. You can also enter a string. Any previous strings entered in this box are stored in the drop-down list.

Ignore Case

Locates all commands or command properties regardless of their case (for example, the program would search for both LINE and line).

Restrict Search To

Limits the search to the CUIx file you select from the drop-down list. By default, the main CUIx file (acad.cuix by default) is searched.

Find Selected Command

When a command is selected in the Command List pane, locates the next interface element in the tree view that references the selected command.

Find Next

Locates the next instance of the search string in the Name, Description, or Macros box in the Properties pane. If you search in the Command List pane, only commands in the list are located. If you search in the tree view in the Customizations In pane, the search starts in the tree view and continues to the commands in the Command List pane.


Replace Tab (Find and Replace Dialog Box) (Quick Reference)

Find Tab (Find and Replace Dialog Box)
Find and Replace Dialog Box - CUI
Shortcut Keys Dialog Box
Commands > C commands > CUI > Find and Replace Dialog Box - CUI >
Replace Tab (Find and Replace Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Replaces a search string with a new search string.

Find What

Displays the search string you want to locate. If you select a command in the Command List pane, this box displays that string. You can also enter a string. Any previous strings entered in this box are stored in the drop-down list.

Replace With

Displays the string that will replace the string you searched for.

Ignore Case

Locates all commands or command properties regardless of their case (for example, the program would replace both LINE and line).

Restrict Search To

Limits the search to the CUIx file you select from the drop-down list. By default, the main CUIx file (acad.cuixby default) is searched.

Replace

Replaces a single instance of the search string. In the Customize User Interface dialog box, the location of the search string is displayed in the Command List pane, tree view, and Properties pane.

Replace All

Replaces all instances where the search string is found. You cannot undo this operation.

Find Next

Locates the next instance of the search string in the Name, Description, or Macros boxes in the Properties pane. If you search in the Command List pane, only commands in the list are located. If you search in the tree view in the Customizations In pane, the search starts in the tree view and continues to the commands in the Command List pane.


Shortcut Keys Dialog Box (Quick Reference)

Replace Tab (Find and Replace Dialog Box)
CUI
Long String Editor Dialog Box
Commands > C commands > CUI >
Shortcut Keys Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Adds and modifies the key combination assigned to a shortcut or temporary override key.

Press New Shortcut Key

Assigns a key combination to a shortcut or temporary override key. Shortcut keys can be assigned key combinations that start with Ctrl or Ctrl+Shift, and temporary override keys can be assigned key combinations that start with the Shift key.


Long String Editor Dialog Box (Quick Reference)

Shortcut Keys Dialog Box
CUI
Tag Editor Dialog Box
Commands > C commands > CUI >
Long String Editor Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Adds and modifies the macro assigned to a command.

Macro

Displays the macro for the selected command.


Tag Editor Dialog Box (Quick Reference)

Long String Editor Dialog Box
CUI
Select Help ID Dialog Box
Commands > C commands > CUI >
Tag Editor Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Adds and modifies tags for a command.

Name

Displays the name of the selected menu item when adding or modifying tags from the menu browser, or the name of the command when using the Customize User Interface (CUI) Editor.

Tags

Lists the tags that are currently associated with a menu item or command; you can add additional tags as needed. If no tag is present, Add a Tag is displayed in the field.

Each tag must be separated by a comma and the total number of characters for all the tags and separators cannot be more than 256 characters. As you enter a tag value, if the value entered matches a previous tag or tags, the previous tag values will be displayed in a flyout.


Select Help ID Dialog Box (Quick Reference)

Tag Editor Dialog Box
CUI
Edit Object Type Dialog Box
Commands > C commands > CUI >
Select Help ID Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Assigns a Help ID found in the selected XAML file to the selected command.

Help ID List

Lists all the help IDs in the selected XAML file that can be assigned to the selected command. A preview of the tooltip can be viewed by positioning the cursor over the help ID in the list and letting it remain idle for a few seconds.


Edit Object Type Dialog Box (Quick Reference)

Select Help ID Dialog Box
CUI
CUIEXPORT
Commands > C commands > CUI >
Edit Object Type Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] User InterfaceNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] InterfaceNot available in menus in the current workspace
Shortcut menu: Shortcut [image] Right-click any toolbar and click Customize
Command entry: cui

Controls which object types are supported for Quick Properties and rollover tooltips.

Object Types List

Lists all the object and subobject types that are available for Quick Properties and rollover tooltips. Objects that support subobjects are indicated by the appearance of a triangle to the left on the object type’s name. The list of subobjects is revealed when you click the triangle.


CUIEXPORT (Quick Reference)

Edit Object Type Dialog Box
CUIEXPORT
CUIIMPORT
Commands > C commands >
CUIEXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports customized settings from the main CUIx file to an enterprise or partial CUIx file.

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] ExportNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] Export CustomizationsNot available in menus in the current workspace
Command entry: cuiexport

Summary

Customization information can be transferred between the main and partial CUIx files.

Opens with the Transfer Tab (Customize User Interface Editor) opened by default. The main CUIx file (acad.cuix) is open in the left pane. You can drag items from one CUIx file to the other. Click Apply to save the changes and view the updated CUIx file.


CUIIMPORT (Quick Reference)

CUIEXPORT
CUIIMPORT
CUILOAD
Commands > C commands >
CUIIMPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports customized settings from an enterprise or partial CUIx file to the main CUIx file.

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] ImportNot available on the ribbon in the current workspace
Menu: Tools [image] Customize [image] Import CustomizationsNot available in menus in the current workspace
Command entry: cuiimport

Summary

Customization information can be transferred between the main and partial CUIx files.

Opens with the Transfer Tab (Customize User Interface Editor) opened by default. You can drag items from one CUIx file to the other. Click Apply to save the changes and view the updated CUIx file.


CUILOAD (Quick Reference)

CUIIMPORT
CUILOAD
Load/Unload Customizations Dialog Box
Commands > C commands >
CUILOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads a CUIx file.

Command entry: cuiload

Opens the Load/Unload Customizations dialog box, where you can locate and load a CUIx file to customize or transfer user interface settings.

When FILEDIA is set to 0 (off), CUILOAD displays the following Command prompt.

Enter name of customization file to load: Enter a file name

NoteThe Legacy Menu (MNS), Legacy Menu Template (MNU), and Customization (CUI) files used in past releases have been replaced with just one file type, the XML-based CUIx file.


Load/Unload Customizations Dialog Box (Quick Reference)

CUILOAD
CUILOAD
CUIUNLOAD
Commands > C commands > CUILOAD >
Load/Unload Customizations Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: cuiload

Controls the display of customization groups and interface elements.

Loaded Customization Groups

Lists the currently loaded customization files.

File Name

Specifies the file to load when you choose Load. You can either enter the file name or choose Browse to display the Select Customization File dialog box (a standard file selection dialog box).

Unload

Unloads the customization group selected in the Customization Groups list.

Load

Loads the file specified under File Name.

Browse

Displays the Select Menu File dialog box (a standard file selection dialog box), in which you can select a menu file to load.


CUIUNLOAD (Quick Reference)

Load/Unload Customizations Dialog Box
CUIUNLOAD
CUSTOMIZE
Commands > C commands >
CUIUNLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Unloads a CUIx file.

Command entry: cuiunload

Opens the Load/Unload Customizations dialog box, which has the same options as CUILOAD. The only difference between the two commands is in the Command prompts.

WhenFILEDIA is set to 0 (off), CUIUNLOAD displays the following Command prompt.

Enter the name of a Customization Group to unload: Enter a name

NoteThe Legacy Menu (MNS), Legacy Menu Template (MNU), and Customization (CUI) files used in past releases have been replaced with just one file type, the XML-based CUIx file.


CUSTOMIZE (Quick Reference)

CUIUNLOAD
CUSTOMIZE
Customize Dialog Box
Commands > C commands >
CUSTOMIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customizes tool palettes and tool palette groups.

Access Methods

Button

Ribbon: Manage tab [image] Customization panel [image] Tool PalettesNot available on the ribbon in the current workspace.
Menu: Tools [image] Customize [image] Tool PalettesNot available in menus in the current workspace
Shortcut menu: Right-click any tool palette and choose Customize Palettes.
Command entry: customize

Summary

The Customize dialog box is displayed.


Customize Dialog Box (Quick Reference)

CUSTOMIZE
CUSTOMIZE
CUTCLIP
Commands > C commands > CUSTOMIZE >
Customize Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Customize [image] Tool PalettesNot available in menus in the current workspace
Shortcut menu: Right-click any tool palette and choose Customize Palettes.
Command entry: customize

Creates, modifies, and organizes tool palettes, tool palette groups, and block authoring palettes. Imports and exports tool palette files.

Palettes

Lists all available tool palettes.

Click and drag a tool palette to move it up or down in the list. Right-click a palette in the list to rename, delete, or export the palette. When you export a palette, it is saved to a file with an .xtp extension. Right-click in the Palettes area to import a palette or to create a new, blank one.

The shortcut menus also provide options to

  • Rename an existing palette
  • Create a new palette
  • Delete a tool palette
  • Export a tool palette (as an XTP file)
  • Import a tool palette
Palette Groups

Displays the organization of your palettes in a tree view.

Click and drag a palette to move it into another palette group. Right-click a palette group, and then click Set Current on the shortcut menu to display the palette group.

The shortcut menus also provide options to

  • Create a new palette group
  • Delete an existing palette group
  • Rename an existing palette group
  • Remove a tool palette from a group
  • Export a palette group (as an XPG file)
  • Export all palette groups (as an XPG file)
  • Import a palette group
NoteYou might need to collapse all palette groups to expose a blank area within the Palette Groups area. Then, right-click in the blank area to display shortcut menu options that are not specific to any existing palette groups.
Current Palette Group

Displays the name of the palette group currently shown. Displays All Palettes when all available palettes are shown.


CUTCLIP (Quick Reference)

Customize Dialog Box
CUTCLIP
CYLINDER
Commands > C commands >
CUTCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Copies selected objects to the Clipboard and removes them from the drawing.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] CutNot available on the ribbon in the current workspace.
Menu: Edit [image] CutNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: End any active commands, right-click in the drawing area, and choose Cut.
Command entry: cutclip

Summary

CUTCLIP copies selected objects to the Clipboard, removing them from the drawing. You can paste the contents of the Clipboard into a document or drawing as an embedded OLE object (see PASTECLIP and PASTESPEC). CUTCLIP does not create OLE link information.

When you want to use objects from a drawing file in another application, you can cut these objects to the Clipboard and then paste them into another application. You can also use Cut and Paste to transfer objects between drawings.

List of Prompts

The following prompts are displayed.

Select objects:


CYLINDER (Quick Reference)

CUTCLIP
CYLINDER
DATAEXTRACTION
Commands > C commands >
CYLINDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid cylinder.

Access Methods

Button

Ribbon: Home tab [image] 3D Modeling panel [image] CylinderNot available on the ribbon in the current workspace.
Toolbar: Modeling
Menu: Draw [image] Modeling [image] CylinderNot available in menus in the current workspace
Command entry: cylinder

Specify center point of base or [3P/2P/Ttr/Elliptical]: Specify a center point or enter an option

Specify base radius or [Diameter] <default>: Specify a base radius, or enter d to specify a diameter, or press Enter to specify the default base radius value

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

In the illustration, the cylinder was created using a center point (1), a point on the radius (2), and a point for the height (3). The base of the cylinder is always on a plane parallel with the workplane. You can control the smoothness of curved 3D solids, such as a cylinder, in a shaded or hidden visual style with the FACETRES system variable.

During a drawing session, the default value for the base radius is always the previously entered base radius value.

3P (Three Points)

Defines the base circumference and base plane of the cylinder by specifying three points.

Specify first point: Specify a point

Specify second point: Specify a point

Specify third point: Specify a point

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. This endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point

2P (Two Points)

Defines the base diameter of the cylinder by specifying two points.

Specify first endpoint of diameter: Specify a point

Specify second endpoint of diameter: Specify a point

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. The axis endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point

TTR (Tangent, Tangent, Radius)

Defines the base of the cylinder with a specified radius tangent to two objects.

Specify point on object for first tangent: Select a point on an object

Specify point on object for second tangent: Select a point on an object

Specify base radius <default>: Specify a base radius or press Enter to specify the default base radius value

Sometimes more than one base matches the specified criteria. The program draws the base of the specified radius whose tangent points are closest to the selected points.

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. The axis endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point

Elliptical

Specifies an elliptical base for the cylinder.

Specify endpoint of first axis or [Center]: Specify a point (1)

Specify other endpoint of first axis: Specify a point

Specify endpoint of second axis: Specify a point

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

Center

Creates the base of the cylinder by using a specified center point.

Specify center point: Specify a point

Specify distance to first axis <default>: Specify a distance or press Enter to specify the default distance value

Specify endpoint of second axis: Specify a point

Specify height or [2Point/Axis endpoint] <default>: Specify a height, enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. The axis endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point

Diameter

Specifies the diameter for the base of the cylinder.

Specify diameter <default>: Specify a diameter or press Enter to specify the default value

Initially, the default diameter is not set to any value. During a drawing session, the default value for the diameter is always the previously entered diameter value for any solid primitive.

Specify height or [2Point/Axis endpoint] <default>: Specify a height (2), enter an option, or press Enter to specify the default height value

Initially, the default height is not set to any value. During a drawing session, the default value for the height is always the previously entered height value for any solid primitive.

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. The axis endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point

2Point

Specifies that the height of the cylinder is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the cylinder axis. The axis endpoint is the center point of the top face of the cylinder. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the cylinder.

Specify axis endpoint: Specify a point


D commands

CYLINDER
Commands
DATAEXTRACTION
Commands >
D commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • DATAEXTRACTION

    Extracts drawing data and merges data from an external source to a data extraction table or external file

  • DATALINK

    The Data Link dialog box is displayed.

  • DATALINKUPDATE

    Updates data to or from an established external data link.

  • DBCONNECT

    Provides an interface to external database tables.

  • DBLIST

    Lists database information for each object in the drawing.

  • DDEDIT

    Edits single-line text, dimension text, attribute definitions, and feature control frames.

  • DDPTYPE

    Specifies the display style and size of point objects.

  • DDVPOINT

    Sets the 3D viewing direction.

  • DELAY

    Provides a timed pause within a script.

  • DELCONSTRAINT

    Removes all geometric and dimensional constraints from a selection set of objects.

  • DETACHURL

    Removes hyperlinks in a drawing.

  • DGNADJUST

    Adjust the fade, contrast, and monochrome settings of a DGN underlay.

  • DGNATTACH

    Insert a DGN file as an underlay into the current drawing.

  • DGNCLIP

    Crops the display of a selected DGN underlay to a specified boundary.

  • DGNEXPORT

    Creates one or more DGN files from the current drawing.

  • DGNIMPORT

    Imports the data from a DGN file into a new DWG file.

  • DGNLAYERS

    Controls the display of layers in a DGN underlay.

  • DGNMAPPING

    Allows users to create and edit user-defined DGN mapping setups.

  • DIM and DIM1

    Accesses Dimensioning mode.

  • DIMALIGNED

    Creates an aligned linear dimension.

  • DIMANGULAR

    Creates an angular dimension.

  • DIMARC

    Creates an arc length dimension.

  • DIMBASELINE

    Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension.

  • DIMBREAK

    Breaks or restores dimension and extension lines where they cross other objects.

  • DIMCENTER

    Creates the center mark or the centerlines of circles and arcs.

  • DIMCONSTRAINT

    Applies dimensional constraints to selected objects or points on objects.

  • DIMCONTINUE

    Creates a dimension that starts from an extension line of a previously created dimension.

  • DIMDIAMETER

    Creates a diameter dimension for a circle or an arc.

  • DIMDISASSOCIATE

    Removes associativity from selected dimensions.

  • DIMEDIT

    Edits dimension text and extension lines.

  • DIMINSPECT

    Adds or removes inspection information for a selected dimension.

  • DIMJOGGED

    Creates jogged dimensions for circles and arcs.

  • DIMJOGLINE

    Adds or removes a jog line on a linear or aligned dimension.

  • DIMLINEAR

    Creates a linear dimension.

  • DIMORDINATE

    Creates ordinate dimensions.

  • DIMOVERRIDE

    Controls overrides of system variables used in selected dimensions.

  • DIMRADIUS

    Creates a radius dimension for a circle or an arc.

  • DIMREASSOCIATE

    Associates or reassociates selected dimensions to objects or points on objects.

  • DIMREGEN

    Updates the locations of all associative dimensions.

  • DIMSPACE

    Adjusts the spacing between linear dimensions or angular dimensions.

  • DIMSTYLE

    Creates and modifies dimension styles.

  • DIMTEDIT

    Moves and rotates dimension text and relocates the dimension line.

  • DIST

    Measures the distance and angle between two points.

  • DISTANTLIGHT

    Creates a distant light.

  • DIVIDE

    Creates evenly spaced point objects or blocks along the length or perimeter of an object.

  • DONUT

    Creates a filled circle or a wide ring.

  • DRAGMODE

    Controls the way dragged objects are displayed.

  • DRAWINGRECOVERY

    Displays a list of drawing files that can be recovered after a program or system failure.

  • DRAWINGRECOVERYHIDE

    Closes the Drawing Recovery Manager.

  • DRAWORDER

    Changes the draw order of images and other objects.

  • DSETTINGS

    Sets grid and snap, polar and object snap tracking, object snap modes, Dynamic Input, and Quick Properties.

  • DSVIEWER

    Opens the Aerial View window.

  • DVIEW

    Defines parallel projection or perspective views by using a camera and target.

  • DWFADJUST

    Adjust the fade, contrast, and monochrome settings of a DWF or DWFx underlay.

  • DWFATTACH

    Insert a DWF or DWFx file as an underlay into the current drawing.

  • DWFCLIP

    Crops the display of a selected DWF or DWFx underlay to a specified boundary.

  • DWFFORMAT

    Sets the default format to DFW or DWFx for the PUBLISH, 3DDWF, EXPORT, EXPORTDWF, AND EXPORTDWFX commands.

  • DWFLAYERS

    Controls the display of layers in a DWF or DWFx underlay.

  • DWGPROPS

    Sets and displays the file properties of the current drawing.

  • DXBIN

    Imports an AutoCAD DXB (drawing interchange binary) file.


DATAEXTRACTION (Quick Reference)

CYLINDER
DATAEXTRACTION
Data Extraction Wizard
Commands > D commands >
DATAEXTRACTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extracts drawing data and merges data from an external source to a data extraction table or external file

Access Methods

Button

Ribbon: Insert tab [image] Linking & Extraction panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionNot available in menus in the current workspace
Toolbar: Modify II
Command entry: dataextraction

Summary

Exports object property, block attribute, and drawing information to a data extraction table or to an external file, and specifies a data link to an Excel spreadsheet

The Data Extraction wizard is displayed.

If you enter -dataextraction at the Command prompt, options are displayed.


Data Extraction Wizard (Quick Reference)

DATAEXTRACTION
DATAEXTRACTION
Add Folder Options Dialog Box
Commands > D commands > DATAEXTRACTION >
Data Extraction Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Linking & Extraction panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Provides step-by-step instructions for extracting information from objects, blocks, and attributes, including drawing information in the current drawing or a set of drawings. The information is used to create a data extraction table in the current drawing, or is saved to an external file, or both.

The Data Extraction wizard includes the following pages:

  • Begin
  • Define Data Source
  • Select Objects
  • Select Properties
  • Refine Data
  • Choose Output
  • Table Style
  • Finish

Begin

Starts the data extraction process. Options include creating a new data extraction, using a template, or editing an existing data extraction.

Create a New Data Extraction

Creates a new data extraction and save it to a DXE file. Also makes the Use a Previous Extraction as a Template button available so you can select a data extraction template (DXE) file or attribute extraction (BLK) file.

Use a Previous Extraction as a Template

Uses settings previously saved in a data extraction (DXE) file or an attribute extraction template (BLK) file. As you move through the wizard, each page is already filled in with the settings in the template file. You can change these settings. Click the [...] button to select the file in a standard file selection dialog box.

Edit an Existing Data Extraction

Allows you to modify an existing data extraction (DXE) file. Click the [...] button to select the data extraction file in a standard file selection dialog box.

Define Data Source

Specifies the drawing files, including folders from which to extract data. Allows selection of objects in the current drawing from which to extract information.

Data Source

Drawings/Sheet Set

Makes the Add Folder and Add Drawings buttons available for specifying drawings and folders for the extraction. The drawings and folders for the extraction are listed in the Drawing Files view.

Include Current Drawing

Includes the current drawing in the data extraction. The current drawing can be empty (not contain objects) if additional drawings are selected for extraction.

Select Objects in the Current Drawing

Makes the Select Objects in the Current Drawing button available so you can select objects for data extraction.

Select Objects button

Closes the wizard temporarily so that you select objects and blocks in the current drawing.

Drawing Files and Folders

Lists the selected drawing files or folders. Checked folders are included in the extraction.

Add Folder

Displays the Add Folder Options dialog box, where you can specify folders to include in the data extraction.

Add Drawings

Displays the standard file selection dialog box, where you can specify drawings to include in the data extraction.

Remove

Removes the checked drawings or folders listed in the Drawing Files and Folders list from the data extraction.

Settings

Displays the Data Extraction - Additional Settings dialog box, where you can specify data extraction settings.

Folders Shortcut Menu

You can see the shortcut menu for Folders (and the drawings listed within the selected folder) only after you explicitly add a folder using the Add Folder button.

Edit Folder Settings

Displays the Add Folder Options dialog box where you can specify the folders to be used for data extraction. Drawings in the selected folders are monitored for data changes.

Remove

Removes the selected folder.

Check All

Selects all the drawings listed below the selected folder.

Uncheck All

Clears all the drawings listed below the selected folder.

Invert Selection

Inverts the current selected items below the selected folder.

Select Objects

Specifies the types of objects (blocks and non-blocks) and drawing information to be extracted.

Valid objects are checked by default. Objects that do not exist in the selected drawing are not checked. Click the column head to reverse the sort order. Columns can be resized. Property data from checked objects is displayed on the Select Properties page.

Object

Displays each object by its name. Blocks are listed by block name. Non-blocks are listed by their object name.

Display Name

Provides a place to enter an optional alternative name for an object as it will appear in the extracted information. Select a display name, right-click in the list, and click Edit Display Name.

Type

Displays whether the object is a block or non-block.

Preview

Displays a preview image of the checked block in the Object list view.

Display Options

Display All Object Types

Displays a list of all object types (blocks and non-blocks) in the Object list view. This option is selected by default.

Display Blocks Only

Displays only blocks in the Object list view.

Display Non-Blocks Only

Displays only those objects that are not blocks in the Object list view.

Display Blocks with Attributes Only

Displays only those blocks in the Object list view that contain attributes. Dynamic blocks are listed if they have special properties assigned to them (for example, actions and parameters).

Display Objects Currently In-Use Only

Displays objects in the Object list view that exist in the selected drawings.

Select Properties

Controls the object, block, and drawing properties to extract.

Each row displays a property name, its display name, and category.

Right-click a column head and use options on the shortcut menu to check all or clear all items, invert the selection set, or edit the display name. Click the column head to reverse the sort order. Columns can be resized.

Property

Displays object properties from objects selected on the page. The property list is filtered according to the filter categories that are selected. Properties are the same as those listed in the Properties palette.

Display Name

Provides a place to enter an optional alternative name for a property as it will appear in the extracted information. Select the property display name, right-click in the list, and click Edit Display Name.

Category

Displays a category for each property. For example, General designates ordinary object properties, such as color or layer. Attribute designates user-defined attributes. Dynamic designates user-defined property data for dynamic blocks. Categories are the same as those listed in the Properties palette.

Category Filter

Property Category List

Displays a list of categories that are extracted from the property list. Unchecked categories filter the Properties list. Categories include 3D Visualization, Attribute, Drawing, Dynamic Block, General, Geometry, Misc, Pattern, Table, and Text.

Property Grid Shortcut Menu

Check All

Selects all the properties in the property grid.

Uncheck All

Clears all the properties in the property grid.

Invert Selection

Inverts the current checked items in the property grid.

Edit Display Name

Allows in-place editing of the property display name for the selected row.

Refine Data

Modifies the structure of the data extraction table. You can reorder and sort columns, filter results, add formula columns and footer rows, and create a link to data in a Microsoft Excel spreadsheet.

Data Grid View

Columns

Displays properties in a columnar format as they were specified in the Select Properties page. Right-click any column header to display a shortcut menu of options. The Count column and Name column display by default. Icons display in the column header for inserted formula columns and columns extracted from a Microsoft Excel spreadsheet.

Combine Identical Rows

Groups identical records by row in the table. Updates the Count column with the sum of all aggregated objects.

Show Count Column

Displays the Count column in the grid.

Show Name Column

Displays the Name column in the grid.

Link External Data

Displays the Link External Data dialog box, where you can create a link between the extracted drawing data and data in an Excel spreadsheet.

Sort Columns Options

Displays the Sort Columns dialog box, where you can sort data across multiple columns.

Full Preview

Displays a full preview of the final output, including linked external data, in the text window. The preview is for viewing only.

Column Shortcut Menu

Sort Descending

Sorts column data in a descending order.

Sort Ascending

Sorts column data in an ascending order.

Sort Column Options

Displays the Sort Columns dialog box, where you can sort data across multiple columns.

Rename Column

Allows in-place editing of the selected column name.

Hide Column

Hides the selected column.

Show Hidden Columns

Displays the hidden column. The flyout option includes Display All Hidden Columns.

Set Column Data Format

Displays the Set Cell Format dialog box, where you can set a data type for cells in the selected column.

Insert Formula Column

Displays the Insert Formula Column dialog box, where you can specify the formula that is inserted into the table. Inserts the formula column to the right of the selected column. An existing formula column cannot be used as a value for another formula column.

Edit Formula Column

Displays the Edit Formula Column dialog box. This option is only available when a formula column is selected.

Remove Formula Column

Removes the selected formula column. This option is only available when a formula column is selected.

Combine Record Mode

Displays numeric data in the selected column as separate values or collapses identical property rows into one row and displays the sum of all the numeric data in the selected column. This option is available when the Combine Identical Rows is checked and the selected column contains numerical data.

Show Count Column

Displays a Count column that lists the quantity of each property.

Show Name Column

Displays a Name column that displays the name of each property.

Insert Totals Footer

Displays a flyout menu with options for Sum, Max, Min, and Average. Creates a footer row for the selected column that is placed below all the data rows and displays values based on the selected arithmetic function. This option is available only for columns that have a numeric data type.

Sum

Displays a sum of all the values in the selected column in a footer row.

Max

Displays the maximum value in the selected column in a footer row.

Min

Displays the minimum value in the selected column in a footer row.

Average

Displays the average value in the selected column in a footer row.

Remove Totals Footer

Removes the Totals footer. This option is available when a footer row exists.

Filter Options

Displays the Filter Column dialog box, where you can specify filter conditions for the selected column.

Reset Filter

Restores the default filter for the selected column.

Reset All Filters

Restores default filters for all columns that have filters.

Copy to Clipboard

Copies all the data cells, including column names, to the Clipboard.

Choose Output

Specifies the type of output to which the data is extracted.

Output Options

Insert Data Extraction Table into Drawing

Creates a table that is populated with extracted data. You are prompted to insert the table into the current drawing when you click Finish on the Finish page.

Output Data to External File

Creates a data extraction file. Click the [...] button to select the file format in a standard file selection dialog box. Available file formats are Microsoft Excel (XLS), comma-separated file format (CSV), Microsoft Access (MDB), and tab-separated file format (TXT). The external file is created when you click Finish on the Finish page.

The maximum number of columns that can be exported to an XLS and MDB file is 255.

Table Style

Controls the appearance of the data extraction table. This page is displayed only if AutoCAD Table is selected on the Choose Output page.

Table Style

Select the Table Style to Use for the Inserted Table

Specifies the table style. Click the Table Style button to display the Table Style Dialog Box, or select a table style from the drop-down list that is defined in the drawing.

Formatting and Structure

Use Table in Table Style for Label Rows

Creates the data extraction table with a set of top rows that contain label cells and a bottom set of label rows that contain header and footer cells. Extracted data is inserted between the top and bottom label rows. This option is only available when the selected table style contains a template table.

Manually Setup Table

Provides for manually entering a title and specification of the title, header, and data cells style.

Enter a Title for Your Table

Specifies a title for the table. This row is not overwritten when the table is updated. The default table style, STANDARD, includes a title row. If the selected table style does not include a title row, this option is not available.

Title Cell Style

Specifies the style for the title cell. Click the drop-down list to select a title cell style defined in the selected table style.

Header Cell Style

Specifies the style for the header row. Click the drop-down list to select a cell style defined in the selected table style.

Data Cell Style

Specifies the style for data cells. Click the drop-down list to select a cell style defined in the selected table style.

Use Property Names as Additional Column Headers

Includes column headers and uses the Display Name as the header row.

Display Preview

Displays a preview of the table layout. If the table style does not include a title row or header row, none is displayed.

Finish

Completes the process of extracting object property data that was specified in the wizard and creates the output type that was specified on the Choose Output page. If data linking and column matching to an Excel spreadsheet was defined in the Link External Data dialog box, the selected data in the spreadsheet is also extracted.

If the Insert Data Extraction Table into Drawing option was selected on the Choose Output page, you are prompted to insert the table into the drawing when you click Finish.

If the Output Data to External File option was selected, the extracted data is saved to the specified file type.


Add Folder Options Dialog Box (Quick Reference)

Data Extraction Wizard
DATAEXTRACTION
Data Extraction - Additional Settings Dialog Box
Commands > D commands > DATAEXTRACTION >
Add Folder Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Specifies the folders to be used for data extraction. Drawings in the selected folders are monitored for data changes.

List of Options

The following options are displayed.

Folder

Displays the path to the specified folder.

Folder Button

Click the [...] button to select the folder in a standard file selection dialog box.

Options

Automatically Include New Drawings Added in this Folder to the Data Extraction

Includes new drawings to the data extraction when they are added to the folder. The New Drawings Found dialog box displays when new drawings are added. When this option is selected, the specified folders are “live.” When this option is not selected, the folders are “static.”

Include Subfolders

Includes drawings in subfolders of selected folders in the data extraction process.

Utilize a Wild-card Character to Select Drawings

Activates a text entry field where you can enter search criteria using wild-card characters to select specific drawings.

Wild-Card field

Enter wild-card characters. Valid characters are * ? .


Data Extraction - Additional Settings Dialog Box (Quick Reference)

Add Folder Options Dialog Box
DATAEXTRACTION
New Drawings Found Dialog Box
Commands > D commands > DATAEXTRACTION >
Data Extraction - Additional Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Provides options for extracting objects in nested and xref blocks, options for counting blocks, and whether all objects are extracted or only those in model space.

List of Options

The following options are displayed.

Extraction Settings

Extract Objects from Blocks

Includes objects nested in blocks.

Extract Objects from Xrefs

Includes objects and blocks in externally referenced (xref) files.

Include Xrefs in Block Counts

Includes xrefs when counting blocks.

Extract From

Objects in Model Space

Includes only those objects in model space and ignores objects in paper space.

All Objects in Drawing

Includes all objects in model space and paper space in the drawing, including drawing information. On by default.


New Drawings Found Dialog Box (Quick Reference)

Data Extraction - Additional Settings Dialog Box
DATAEXTRACTION
Link External Data Dialog Box
Commands > D commands > DATAEXTRACTION >
New Drawings Found Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Displays a list of new drawings that were added to the folder that was selected for the data extraction after the extraction was performed.

List of Options

The following options are displayed.

Drawing Name

Displays the name of the drawing that was added to the data extraction folder.

Folder

Displays the path and folder name for each new drawing.


Link External Data Dialog Box (Quick Reference)

New Drawings Found Dialog Box
DATAEXTRACTION
Sort Columns Dialog Box
Commands > D commands > DATAEXTRACTION >
Link External Data Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Matches the extracted drawing data to a Microsoft Excel spreadsheet through a data link and data matching.

List of Options

Data Link

Choose the Source of the External Data

Displays a list of established links to an Excel spreadsheet.

Data Link Manager Button

Displays the Data Link Manager, where you can specify a link to a Microsoft Excel spreadsheet.

Data Matching

Drawing Data Column

Displays a list of extracted property columns.

External Data Column

Displays a list of column names from the linked data in the Excel spreadsheet.

Check Match

Compares the data in the specified drawing data key column and the external data key column. If the data is unique across all rows in the external data key columns, and there is at least one data match between the drawing data and in data in the spreadsheet, a message displays the check key is successful. If the check key is unsuccessful, a warning message is displayed.

Matching Options

Provides two options for the Check Match function: Case Sensitive and Ignore Prefix and Suffix White Space.

Case Sensitive

When Case Sensitive is selected, the case of the data is checked.

Ignore Prefix and Suffix White Space

Removes blank spaces in front of and after each data source before the check matching process proceeds. When this option is clear, white spaces are evaluated.

Learn About Data Matching

Displays Understand Data Linking and Matching topic in the User’s Guide.

Additional Columns for Data Table

Select External Data Columns to Include

Displays the column names in the order in which they appear in the spreadsheet. Selected columns are linked to the drawing data through data matching.

Use Top Row of External Data as Column Names

Uses the top row of data in the data link as the column name for the linked data. Otherwise, column names are labeled “Column 1, Column 2” and so on.

Learn About Using External Data

Displays the New Features Workshop.


Sort Columns Dialog Box (Quick Reference)

Link External Data Dialog Box
DATAEXTRACTION
Insert Formula Column Dialog Box
Commands > D commands > DATAEXTRACTION >
Sort Columns Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Specifies a sort order for columns.

List of Options

Define Sort Order

Specifies the sort order of columns. The Column section contains column names from the Refine Data page.

Add

Adds a new item of sorting criteria to the Column list.

Remove

Removes the currently selected sort criteria.

Move Up

Moves the selected item up in the list view.

Move Down

Moves the selected item down in the list view.


Insert Formula Column Dialog Box (Quick Reference)

Sort Columns Dialog Box
DATAEXTRACTION
Set Cell Format Dialog Box
Commands > D commands > DATAEXTRACTION >
Insert Formula Column Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Specifies the formula for the column that is inserted into the extracted data.

List of Options

The following options are displayed.

Column Name

Specifies a name for the column that can be edited. Duplicate column names cannot be used.

Formula

Displays the selected formula or functions that are available for QUICKCALC and CAL.

Addition (+) Button

Adds the numerical data from one column to another.

Minus (-) Button

Subtracts the numerical data from one column to another.

Multiply (*) Button

Multiplies the numerical data from one column to another.

Division (/) Button

Divides the numerical data from one column to another.

Validate

Checks the validity of the specified equation. A formula column can only be inserted when the formula is validated.

Columns

Displays the column names from the extracted drawing data and external data (if data linking was established). Column names can be double-clicked to be added to the Formula field or dragged from the Column list to the Formula field. Existing formula columns are not listed and cannot be used as values for creating additional formula columns.


Set Cell Format Dialog Box (Quick Reference)

Insert Formula Column Dialog Box
DATAEXTRACTION
Additional Format Dialog Box
Commands > D commands > DATAEXTRACTION >
Set Cell Format Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract DataNot available on the ribbon in the current workspace.
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Toolbar: Modify II
Command entry: dataextraction

Summary

Defines the formatting for cells in the table.

List of Options

The following options are displayed.

Data Type

Displays a list of data types (Angle, Date, Decimal Number, and so on) that you can format for table rows.

Preview

Displays a preview of the option you selected in the Format list.

Format

Depending on the data type you select, displays a list of relevant format types. For example, if you select Angle as the data type, Format includes options such as Decimal Degrees, Grads, Radians, and so on.

Precision

For Angle, Decimal Number, and Points data types only, sets the precision for applicable formats. For example, if you select Angle as the data type and Radians as the format type, Precision includes options such as Current Precision, 0.0r, 0.00r, 0.000r, and so on.

List Separator

For a Point data type only, displays a list of options (comma, semicolon, or colon) that you can use to separate list items.

Symbol

For Currency data types only, displays a list of currency symbols that you can use.

Append Symbol

For Currency data types, places the currency symbol after the number. For Percentage data types, the percent symbol is placed after the number.

Negative Numbers

For Currency data types only, lists options for displaying negative numbers.

X, Y, and Z Coordinates

For Point data types only, filters X, Y, or Z coordinates.

Additional Format

For Angle, Decimal Number, Point, and Whole Number data types only, opens the Additional Format dialog box, where you set additional formatting options for table cells.

Examples

For the Date data types only, displays a list of date display options in the Format field. Click a date in the Format field to see an example.


Additional Format Dialog Box (Quick Reference)

Set Cell Format Dialog Box
Set Cell Format Dialog Box
Edit Formula Column Dialog Box
Commands > D commands > DATAEXTRACTION > Set Cell Format Dialog Box >
Additional Format Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Format [image] Data Extraction

Summary

Provides additional formatting options for fields and table cells.

List of Options

Current Value

Displays the value in base drawing units.

Preview

Displays updates to the format as you change the conversion factor and other settings.

Conversion Factor

Specifies the conversion factor to use on the current value. The default is 1 for no conversion.

Additional Text

Specifies a prefix or a suffix for the value.

Number Separators

Specifies a decimal separator and the formatting for numbers over 1000.

  • Decimal

    Specifies the separator for decimal values. Select a period, a comma, or a space.

  • Thousands

    Inserts a comma to group thousands in a field value.

Zero Suppression

Controls the suppression of leading and trailing zeros, and of feet and inches that have a value of zero.

  • Leading

    Suppresses leading zeros in all decimal values. For example, 0.5000 becomes .5000.

  • Trailing

    Suppresses trailing zeros in all decimal values. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

  • 0 Feet

    Suppresses the feet portion of a feet-and-inches value when the distance is less than one foot. For example, 0'-6 1/2" becomes 6 1/2".

  • 0 Inches

    Suppresses the inches portion of a feet-and-inches value when the distance is an integral number of feet. For example, 1'-0" becomes 1'.


Edit Formula Column Dialog Box (Quick Reference)

Additional Format Dialog Box
DATAEXTRACTION
Filter Column Dialog Box
Commands > D commands > DATAEXTRACTION >
Edit Formula Column Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract Data.Not available on the ribbon in the current workspace.
Toolbar: Modify II
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Command entry: dataextraction

Summary

Displays the equation for the selected formula column.

List of Options

The following options are displayed.

Column Name

Specifies a name for the column that can be edited.

Formula

Displays the existing formula or function.

Plus (+)

Adds the numerical data from one column to another.

Minus (-)

Subtracts the numerical data from one column to another.

Multiply (*)

Multiplies the numerical data from one column to another.

Division (/)

Divides the numerical data from one column to another.

Validate

Checks the validity of the specified equation. A formula column can only be inserted when the formula is validated.

Columns

Displays the column names from the extracted drawing data and external data (if data linking was established). Column names can be double-clicked to be added to the Formula field or dragged from the Column list to the Formula field.


Filter Column Dialog Box (Quick Reference)

Edit Formula Column Dialog Box
DATAEXTRACTION
Data Extraction - Outdated Table Dialog Box
Commands > D commands > DATAEXTRACTION >
Filter Column Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract Data.Not available on the ribbon in the current workspace.
Toolbar: Modify II
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Command entry: dataextraction

Summary

Filters column data by specified filters.

List of Options

Filter Based on the Following Conditions

Displays conditions based on the type of data in the selected column.

First Column

Specifies the first condition.

Second Column

Available when the specified filter uses two conditions.

Filter Across These Values

Displays a list of values depending on the type of data being filtered. Filters for numeric data include Greater than >, Equal To, Between, and so on. Filters for textual data include Equal To, Not Equal To, Contains, and Begins With.


Data Extraction - Outdated Table Dialog Box (Quick Reference)

Filter Column Dialog Box
DATAEXTRACTION
-DATAEXTRACTION
Commands > D commands > DATAEXTRACTION >
Data Extraction - Outdated Table Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Tables panel [image] Extract Data.Not available on the ribbon in the current workspace.
Toolbar: Modify II
Menu: Tools [image] Data ExtractionAt the Command prompt, enter dataextraction.
Command entry: dataextraction

Summary

Offers options to update the data extraction table, update all tables, skip the update, or skip all updates.

List of Definitions

The following options are displayed.

Update

Updates the data extraction table in the current drawing.

Update All

Updates all the data extraction tables.

Skip Update

Does not update the table.

Skip All Updates

Does not update any tables.


-DATAEXTRACTION (Quick Reference)

Data Extraction - Outdated Table Dialog Box
DATAEXTRACTION
DATALINK
Commands > D commands > DATAEXTRACTION >
-DATAEXTRACTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extracts data as specified in an existing attribute extraction template (BLK) file created with the Attribute Extraction wizard in AutoCAD 2006 or data extraction (DXE) file created in AutoCAD 2007.

If you enter -dataextraction at the Command prompt, the following prompts are displayed.

Enter the template file path for the extraction: type: Specify the path and file name for the attribute extraction template (BLK) or data extraction (DXE) file that describes how to extract the information

Subsequent prompts depend on the information set up in the template file. If the template specifies extracting data to an external file, the following prompts are displayed:

Enter the output filetype [Csv/Txt/Xls/Mdb] <Csv>: Enter c for comma-separated (CSV), t for tab-separated (TXT), x for Microsoft Excel (XLS), or m for Microsoft Access (MDB)

Enter output filepath: Specify the names of the path and file where the data will be extracted

NoteThe maximum number of columns that can be exported to an XLS and MDB file is 255.

If the template specifies a table, the following prompt is displayed:

Specify insertion point:


DATALINK (Quick Reference)

-DATAEXTRACTION
DATALINK
Data Link Manager
Commands > D commands >
DATALINK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Data Link dialog box is displayed.

Access Methods

Button

Ribbon: Insert tab [image] Linking & Extraction panel [image] Data LinkNot available on the ribbon in the current workspace
Menu: Tools [image] Data Links [image] Data Link ManagerNot available in menus in the current workspace.
Command entry: datalink

Summary

A table can be linked to data in a Microsoft Excel (XLS, XLSX, or CSV) file. You can link to an entire spreadsheet, individual row, column, cell, or cell range in Excel.

The Data Link Manager is displayed.


Data Link Manager (Quick Reference)

DATALINK
DATALINK
New and Modify Excel Link Dialog Box
Commands > D commands > DATALINK >
Data Link Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, edits, and manages data links.

Access Methods

Button

Ribbon: Insert tab [image] Linking & Extraction panel [image] Data LinkNot available on the ribbon in the current workspace
Menu: Tools [image] Data Links [image] Data Link ManagerNot available in menus in the current workspace.
Command entry: datalink

Data Link Tree View

Displays links contained within the drawing. Also gives options for creating new data links.

Excel Links

Lists the Microsoft Excel data links within the drawing. If the icon displays a linked chain, then the data link is valid. If the icon displays a broken chain, then the data link is broken.

Create a New Excel Data Link

Launches a dialog box where you enter the name for a new data link. Once a name has been created, the New Excel Data Link dialog box is displayed.

Details

Lists information for the data link selected in the tree view above.

Preview

Displays a preview of the linked data as it would appear in the drawing table. When a data link is not currently selected then no preview is displayed.


New and Modify Excel Link Dialog Box (Quick Reference)

Data Link Manager
DATALINK
DATALINKUPDATE
Commands > D commands > DATALINK >
New and Modify Excel Link Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Links data from a spreadsheet created in Microsoft Excel to a table within your drawing.

Access Methods

Button

Ribbon: Insert tab [image] Linking & Extraction panel [image] Data LinkNot available on the ribbon in the current workspace
Menu: Tools [image] Data Links [image] Data Link ManagerNot available in menus in the current workspace.
Command entry: datalink

File

Specifies the file and file path from which to create a data link.

Choose an Excel File

Allows you to choose an established Microsoft XLS, XLSX, or CSV file to link to your drawing. At the bottom of this drop-down list, you can select a new XLS, XLSX, or CSV file from which to create a data link.

Click the [...] button to browse for another Microsoft Excel file on your computer.

Path Type

Determines the path that will be used to find the file specified above. There are three path options: full path, relative path, and no path.

Full Path

Uses the full path of the file specified above, including the root directory and all subdirectories that contain the linked Microsoft Excel file.

Relative Path

Uses the file path relative to the current drawing file to reference the linked Microsoft Excel file. To use a relative path, the linked file must be saved.

No Path

Uses only the filename of the linked Microsoft Excel file for referencing.

Link Options

Specifies the data in your Excel file to link to your drawing.

Select the Excel Sheet to Link to

Displays the names of all sheets within the specified XLS, XLSX, or CSV file. The link options specified below are applied to the sheet you choose here.

Link whole sheet

Links the entire specified sheet within your Excel file to a table in your drawing.

Link to a named range

Links a named range of cells already contained within your Excel file to a table in your drawing.

Clicking the arrow displays the available named ranges found in the linked spreadsheet.

Link to range

Specifies a range of cells in your Excel file to link to a table in your drawing.

In the text box, enter the range of cells you want linked to your drawing. Valid ranges include

  • Rectangular regions (for example, A1:D10)
  • Entire columns (for example, A:A)
  • Sets of columns (for example, A:D)

Click the button to the right of the text box to preview the linked range.

Preview Window

Displays a preview of your table using the options you have applied.

Cell Contents

Options in this box will determine how data is imported into your drawing from your external source.

Keep Data Formats and Formulas

Imports data with formulas and supported data formats attached.

Keep Data Formats, Solve Formulas in Excel

Imports data formats. Data is calculated from formulas in Excel.

Convert Data Formats to Text, Solve Formulas in Excel

Imports Microsoft Excel data as text with data calculated from formulas in Excel (supported data formats not attached).

Allow Writing to Source File

Specifies that the DATALINKUPDATE command can be used to upload any changes made to linked data in your drawing to the original external spreadsheet.

Cell Formatting

Use Excel Formatting

Imports any formatting specified in the original XLS, XLSX, or CSV file will be brought into your drawing.

Keep Table Updated to Excel Formatting

If the option above is selected, updates any changed formatting when the DATALINKUPDATE command is used.

Start With Excel Formatting, Do Not Update

Imports the formatting specified in the original XLS, XLSX, or CSV file into your drawing, but any changes made to the formatting are not included when the DATALINKUPDATE command is used.


DATALINKUPDATE (Quick Reference)

New and Modify Excel Link Dialog Box
DATALINKUPDATE
DBCONNECT
Commands > D commands >
DATALINKUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates data to or from an established external data link.

Ribbon: Annotate tab [image] Tables panel [image] Download from Source. Not available on the ribbon in the current workspace.
Menu: Tools [image] Data Links [image] Update Data LinksNot available in menus in the current workspace.
Command entry: datalinkupdate

Updates changes to linked data between a table in a drawing and an external data file.

Select an option [Update data link/Write data link] <Update data link>:

Update Data Link

Updates the linked data in a table in your drawing with data that has been changed in the external source file.

Select objects or [Data link/All]:

Select Objects

Updates selected tables containing data links with data that has been changed in the external source file.

Data Link

Specifies the name of a data link to update with data that has been changed in the external source file.

Enter data link name or [?]:

Entering [?] lists the data links in the current drawing.

All

Updates all data links in all tables in the drawing with data that has been changed in the external source file.

Write Data Link

Updates the linked data in an external file with data that has been changed in a table in your drawing.

Select objects:

Select Objects

Uploads data that has been changed from the original linked content to the source file.


DBCONNECT (Quick Reference)

DATALINKUPDATE
DBCONNECT
dbConnect Manager
Commands > D commands >
DBCONNECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides an interface to external database tables.

Ribbon: View tab [image] Palettes panel [image] dbConnect. Not available on the ribbon in the current workspace.
Menu: Tools [image] Palettes [image] dbConnect.
Command entry: dbconnect

The dbConnect Manager is displayed and the dbConnect menu is added to the menu bar.

The four primary interfaces (the dbConnect Manager, the Data View window, the Query Editor, and the Link Select dialog box) are described first, followed by descriptions of each additional dialog box presented in alphabetical order. The Column Values dialog box, a sub-dialog box of the Query Editor, is described in the Query Editor section. The section describing each dialog box contains a list of methods that you can use to access it.

  • dbConnect Manager
  • Data View window
  • Query Editor
  • Column Values dialog box
  • Link Select dialog box
  • Configure a Data Source dialog box
  • Data View and Query Options dialog box
  • Export Links dialog box
  • Export Query Set dialog box
  • Export Template Set dialog box
  • Find dialog box
  • Format dialog box
  • Import Query Set dialog box
  • Import Template Set dialog box
  • Label Template dialog box
  • Label Template Properties dialog box
  • Link Conversion dialog box
  • Link Manager
  • Link Template dialog box
  • Link Template Properties dialog box
  • New Label Template dialog box
  • New Link Template dialog box
  • New Query dialog box
  • Replace dialog box
  • Select a Database Object dialog box
  • Select Data Object dialog box
  • Sort dialog box
  • Synchronize dialog box


dbConnect Manager (Quick Reference)

DBCONNECT
DBCONNECT
Data View Window
Commands > D commands > DBCONNECT >
dbConnect Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides the primary interface for the connectivity feature. You can view and edit database tables, execute structured query language (SQL) queries, and link table records to graphical objects. By default, the dbConnect Manager opens as a docked window on the left side of the drawing area.

When you open the dbConnect Manager, a small red X is displayed in the lower right corner of each database and data object. The X indicates that these objects are currently unconnected. To connect to a database or data object, double-click it in the dbConnect Manager.

The dbConnect Manager includes the following components:

  • dbConnect Manager Buttons
  • dbConnect Manager Tree View
  • Drawing Nodes Shortcut Menu
  • Database Objects Shortcut Menu
  • Data Sources Node Shortcut Menu
  • Data Objects Shortcut Menu

dbConnect Manager Buttons

Display and manipulate database objects.

View Table

Opens an external database table in Read-only mode. This button is not available unless a single table, link template, or label template is selected in the tree view.

Edit Table

Opens an external database table in Edit mode. This button is not available unless a single table, link template, or label template is selected in the tree view.

Execute Query

Executes a query. This button is not available unless a query is selected in the tree view.

New Query

Displays the New Query dialog box. This button is not available unless a single table, link template, or query is selected. If a query is selected, you can use this button to display the Query Editor, in which you can edit the query.

New Link Template

Displays the New Link Template dialog box. This button is not available unless a single table or link template is selected. If a link template is selected, you can use this button to display the Link Template dialog box, in which you can edit the link template. Not available for link templates with links already defined in a drawing.

New Label Template

Displays the New Label Template dialog box. This button is not available unless a single table, link template, or label template is selected. If a label template is selected, you can use this button to display the Label Template dialog box, in which you can edit the label template.

dbConnect Manager Tree View

Contains nodes for each drawing that's currently open and a Data Sources node that contains all available data sources configured on your system.

Drawing Nodes Shortcut Menu

Provides options available for an open drawing. Right-click the node of an open drawing.

Export Template Set

Opens the Export Template Set dialog box, in which you can save all link and label templates stored in the drawing to an external file.

Import Template Set

Opens the Import Template Set dialog box, in which you can import a set of link and label templates that are stored in an external file.

Export Query Set

Opens the Export Query Set dialog box, in which you can save all queries stored in the drawing to an external file. The exported query set is saved with the file extension .dbq.

Import Query Set

Opens the Import Query Set dialog box, in which you can import a set of queries stored in an external file with the file extension .dbq.

Show Labels

Turns on visibility of all labels in the selected drawing.

Hide Labels

Turns off visibility of all labels in the selected drawing.

Reload Labels

Refreshes the field values of the labels in the selected drawing, updating them to reflect any changes made in the source database table.

Database Objects Shortcut Menu

Provides options available for database objects (such as link templates, label templates, and queries) attached to the drawing nodes. Different database objects have different subsets of menu options available to them. For example, the shortcut menu options that are displayed when you right-click a query differ from the options that are available when you right-click a link template. The following shortcut menu options are available for various database objects.

View Table

Opens an external database table in Read-only mode. Available only for link templates.

Edit Table

Opens an external database table in Edit mode. Available only for link templates.

Edit

Opens a dialog box in which you can edit the properties of the selected database object. Available for link templates, label templates, and queries. Not available for link templates with links already defined in the drawing.

Delete

Deletes the selected database object. Available for link templates, label templates, and queries.

Duplicate

Makes a copy of the selected database object and inserts it in the current drawing. Available for link templates, label templates, and queries.

Rename

Opens a dialog box in which you can rename the selected database object. Available for link templates, label templates, and queries. Not available for link templates with links already defined in the drawing.

New Query

Opens the New Query dialog box. Available only for link templates.

Link Select

Opens the Link Select dialog box. Available only for link templates.

New Label Template

Opens the New Label Template dialog box. Available only for link templates.

Show Labels

Displays all labels that are associated with the selected database object. Available for link templates and label templates.

Hide Labels

Hides all labels that are associated with the selected database object. Available for link templates and label templates.

Delete Links

Deletes all links in the current drawing that use the selected link template. Available only for link templates.

Delete Labels

Deletes all labels in the current drawing that use the selected label template. Available only for label templates.

Synchronize

Verifies that all links in the current drawing based on the selected link template contain valid values. Any detected problems are reported in the Synchronize dialog box. Available only for link templates.

Reload

Refreshes the field values of all labels associated with the selected label template in the current drawing, updating them to reflect any changes made in the source database table. Available only for label templates.

Execute

Executes the selected query. Available only for queries.

Delete Links

Deletes all links in the current drawing that use the selected link template. Available only for link templates.

Data Sources Node Shortcut Menu

Provides options available for data sources. Right-click the data sources node.

Configure Data Source

Opens the Configure a Data Source dialog box where you can configure a new data source or edit an existing one.

Data Objects Shortcut Menu

Provides options available for data objects. Right-click a data object (such as a catalog or table) in the data sources node.

Connect

Establishes a connection to the selected data object. Available for data sources, catalogs, and schemas.

Disconnect

Closes the connection to the selected data object. Available for data sources, catalogs, and schemas.

Synchronize

Opens the Synchronize dialog box. Available only for connected data sources.

Configure

Opens the Configure a Data Source dialog box where you can configure a new data source or edit an existing one. Available only for disconnected data sources.

View Table

Opens the selected database table in Read-only mode. Available only for tables.

Edit Table

Opens the selected database table in Edit mode. Available only for tables.

New Link Template

Opens the New Link Template dialog box. Available only for database tables.

New Label Template

Opens the New Label Template dialog box. Available only for database tables.

New Query

Opens the New Query dialog box. Available only for database tables.


Data View Window (Quick Reference)

dbConnect Manager
DBCONNECT
Query Editor
Commands > D commands > DBCONNECT >
Data View Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides the primary interface for viewing and editing external database tables from within the program. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a link template, a label template, or a table from the dbConnect Manager and choose View Table or Edit Table.
Menu: dbConnect [image] View Data [image] View External Table, Edit External Table, View Linked Table, or Edit Linked Table. (Displays a dialog box in which you can select a database table to open.)
Shortcut menu: Right-click a link template or a database table in the dbConnect Manager and choose View Table or Edit Table.
Pointing device: Double-click a database table or a link template in the dbConnect Manager. Double-clicking a link template that has no links created in the drawing it's associated with opens the Link Template dialog box. The database table is opened in either Edit mode or Read-only mode, depending on the dbConnect Settings specified on the System tab of the Options dialog box. See OPTIONS.

The Data View window displays records from the selected database table. The Data View contains a set of buttons, a grid window for viewing and editing records, and a set of navigation controls for navigating through the record set. After you open the Data View window, the Data View menu is added to the menu bar. You can specify whether the Data View window can be docked or anchored by right-clicking the title bar and choosing an option from the shortcut menu.

The appearance of the Data View window is governed by your computer's system settings, and it can be changed in the Windows Control Panel. Text in the cells is displayed using the system window text color. If the database table is opened in Read-only mode, the cell background is shown using the system 3D objects button shade color (light gray by default). If it is opened in Edit mode, the cell background is shown using the system window color (white by default). When a cell is selected, it is shown using the system- selected items background and text colors.

The Data View window has the following buttons:

  • Data View Buttons
  • Data View Grid Window
  • Column Shortcut Menu
  • Cell Shortcut Menu
  • Record Shortcut Menu
  • Grid Header Shortcut Menu
  • Navigation Controls
  • Data View Print Preview Window

Data View Buttons

Create links and display linked records and graphical objects.

Link

Links the currently selected database table row or rows to one or more graphical objects. The link and, if desired, the label from the currently selected link and label templates are created in the Data View window. To change the current link creation setting, choose the Link and Label Settings button. Three distinct link methods are available:

Link

Creates a link to one or more graphical objects without creating a corresponding label. If the current drawing has a selection set already established, a link is created for each object in the selection set. If the current drawing does not have a current selection set, you are prompted to select objects to link to.

Create Freestanding Label

Creates a freestanding label that isn't associated with a graphical object. You are prompted to specify an insertion point for the label.

Create Attached Label

Creates a link to one or more graphical objects and creates a corresponding label. If the current drawing has a selection set already established, a link is created for all objects in the selection set. If the current drawing does not have a current selection set, you are prompted to select objects to link to.

View Linked Objects in Drawing

Selects graphical objects in the current drawing that are linked to the currently selected Data View row or rows.

View Linked Records in Table

Selects records in the Data View window that are linked to the current selection set of graphical objects.

AutoView Linked Objects in Drawing

Displays linked objects automatically in the current drawing as you select rows from the database table.

AutoView Linked Records in Table

Displays linked records automatically in the Data View window as you select graphical objects in the current drawing.

Print Data View

Prints the contents of the Data View window to the current Microsoft® Windows® system printer.

Data View and Query Options

Opens the Data View and Query Options dialog box, in which you can specify a number of settings that affect the interaction and display of linked objects in the Data View window and the current drawing.

Query, Return to Query, and Return to Link Select

Opens either the New Query dialog box, the Query Editor, or the Link Select dialog box, depending on the method used to open the Data View window. If the Data View window was opened to view or edit a database table, this button's tooltip is Query, and choosing it opens the New Query dialog box. If the Data View window was opened to return the results of a query, this button's tooltip is Return to Query, and choosing it returns you to the Query Editor. If the Data View window was opened to return the results of a Link Select operation, this button's tooltip is Return to Link Select, and choosing it returns you to the Link Select dialog box.

Link Template List

Creates a new link template, or specifies a link template from those that are defined for the open table. The selected link template is applied when you create new links in the current drawing. To create a new link template, select the New Link Template option from the Link Template list, and then choose the Link button flyout.

Label Template List

Creates a new label template, or specifies a label template from those that are defined for the currently selected table. The selected label template is applied when you create new labels in the current drawing. To create a new label template, select the New Label Template option from the Label Template list and choose either the Create Freestanding Label or the Create Attached Label button flyout. If there is no link template defined for the selected database table in the current drawing, the New Link Template dialog box is displayed.

Data View Grid Window

Displays a subset of the records from a database table. You can select records by clicking the following elements:

  • Column header: Selects all records in that column. Double-clicking a column header sorts its records in ascending order. Double-clicking a column header a second time sorts its records in descending order.
  • Record header: Selects an individual record. Double-clicking a record header selects any graphical objects that the record is linked to in the drawing area.
  • Grid cell: Selects one field of a given record. Double-clicking a cell selects it for editing.
  • Grid header: Selects the entire table. Double-clicking the grid header commits any changes made during an editing session and closes the Data View window.

Column Shortcut Menu

Displays the following options when you right-click one or more selected column headers.

Sort

Opens the Sort dialog box, in which you can select a combination of up to five columns to use in specifying a sort order for the Data View.

A small triangle in the column header indicates that the data is sorted by that column.

Hide

Removes all selected columns from the Data View display.

Unhide All

Restores all hidden columns to the Data View display. Available only if you have hidden one or more columns.

Freeze

Freezes all selected columns so that they do not scroll when you use the horizontal scroll bar. Available only if the selected columns are contiguous.

Unfreeze All

Unfreezes all frozen columns so that they scroll when you use the horizontal scroll bar. Available only if you have frozen one or more columns.

Align

Aligns the current column. Standard right-aligns numeric fields and left-aligns all others, Left left-aligns the column cells, Center center-aligns the cells, and Right right-aligns the cells.

Find

Opens the Find dialog box, which you can use to search for a specific value. Find is limited to the values stored in the currently selected column.

Replace

Opens the Replace dialog box, which you can use to search for a specific value to overwrite with a replacement value that you specify. Replace is limited to the values stored in the currently selected column. Available only for database tables that are opened in Edit mode.

Cell Shortcut Menu

Displays the following options when you right-click the selected cell.

View Linked Objects

Indicates graphical objects in the current drawing that are linked to the selected database record.

Link

Links the current row to a graphical object. The link and, if desired, the label from the currently selected link and label templates are created in the Data View. You can specify whether a link, a freestanding label, or an attached label is created by changing the settings from the Link and Label Settings cell shortcut menu option.

Link and Label Settings

Lists the currently selected link creation mode. You can specify whether a link, a freestanding label, or an attached label is created when the Link shortcut menu option is chosen.

Find

Opens the Find dialog box, which you can use to search for a specific value. The Find shortcut menu option limits its search to records contained in the same column as the currently selected cell.

Replace

Opens the Replace dialog box, which you can use to search for a specific value to overwrite with a replacement value that you specify. Replace limits its search to records contained in the same column as the currently selected cell. Available only for database tables that are opened in Edit mode.

Edit

Enables you to change the value of the currently selected cell. Available only for database tables that are opened in Edit mode.

Cut

Clears the current cell and copies its value to the Clipboard. Available only for database tables that are opened in Edit mode.

Copy

Copies the value from the current cell to the Clipboard.

Paste

Inserts the value currently stored on the Clipboard into the selected cell. Available only for database tables that are opened in Edit mode.

Clear

Deletes the value in the current cell. Available only for database tables that are opened in Edit mode.

Record Shortcut Menu

Displays the following options when you right-click one or more selected record headers.

View Linked Objects

Indicates graphical objects in the current drawing that are linked to the selected database records.

Link

Links the selected row or rows to one or more graphical objects. The link and, if desired, the label from the currently selected link and label templates are created in the Data View window. You can specify whether a link, a freestanding label, or an attached label is created by choosing the Link and Label Settings shortcut menu option.

Link and Label Settings

Lists the currently selected link creation mode. You can specify whether a link, a freestanding label, or an attached label is created when the Link shortcut menu option is chosen.

Copy

Copies the selected records to the Clipboard.

Delete Record

Deletes the selected records. Available only for database tables that are opened in Edit mode.

Add New Record

Adds a new record with blank field values to the end of the record set. Available only for database tables that are opened in Edit mode.

Clear All Marks

Clears record selection marks from the selected records in the Data View window.

Grid Header Shortcut Menu

Displays the following options when you right-click the grid header.

Commit

Saves all changes made in the Data View window to the source database table and closes the Data View window. Available only when a database table is open in Edit mode and you have edited its values.

Restore

Undoes any changes made to a database table during an editing session and closes the Data View window. Available only when a database table is open in Edit mode and you have edited its values.

Unhide All Columns

Restores any hidden columns to the Data View window display.

Unfreeze All Columns

Unfreezes any frozen columns so that they scroll when you use the horizontal scroll bar.

Clear All Marks

Clears all record selection marks from the Data View window.

Print Preview

Opens the Print Preview window in the Data View window, in which you can preview your printed report.

Print

Prints the contents of the Data View window to the current Windows system printer.

Format

Opens the Format dialog box, in which you can control how data is displayed in the Data View window.

Navigation Controls

Cycle quickly through the records in the Data View window. The following controls are available:

First Button

Selects the first record.

Previous Button

Selects the previous record.

Next Button

Selects the next record.

Last Button

Selects the last record.

Data View Print Preview Window

Loads into the Data View window a preview image of how the current table appears when you print it. When the Data View window is in Preview mode, none of the primary Data View buttons is available and the navigation buttons are removed from the bottom of the window. You can open this dialog box using the following methods:

Menu: Data View [image] Print Preview
Shortcut menu: Right-click the grid header in the Data View window and choose Print Preview.

Print

Opens the default system Print dialog box.

Next Page

Presents a preview image of the next page of the database table.

Prev Page

Restores the preview image of the previous page of the database table.

Two Page

Toggles the display between one and two preview pages. If you choose Two Page, the name of the button changes to One Page and vice versa.

Zoom In

Magnifies the preview page so that you can view the details more closely.

Zoom Out

Shrinks the preview page to display a larger region of the database table.

Close

Closes the Data View Print Preview window and restores the default Data View window display.


Query Editor (Quick Reference)

Data View Window
DBCONNECT
Quick Query Tab (Query Editor)
Commands > D commands > DBCONNECT >
Query Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Consists of a series of tabs that you can use to build and execute queries. If you are creating a new query, the New Query dialog box is displayed first. You can open the Query Editor using the following methods:

Toolbar: dbConnect buttons [image] Select a database table or a link template in the dbConnect Manager and choose the New Query button.
Toolbar: Data View buttons [image] Choose the Query or Return to Query button in the Data View window.
Menu: dbConnect [image] Queries [image] New Query on an External Table, New Query on a Link Template, or Edit Query. (Displays a dialog box in which you can select a database object to query.)
Shortcut menu: Right-click a database table or link template in the dbConnect Manager and choose New Query, or right-click a query and choose Edit.

The Query Editor includes the following tabs:

  • Quick Query
  • Range Query
  • Query Builder
  • SQL Queries


Quick Query Tab (Query Editor) (Quick Reference)

Query Editor
Query Editor
Range Query Tab (Query Editor)
Commands > D commands > DBCONNECT > Query Editor >
Quick Query Tab (Query Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Develops simple queries based on a single database field, single operator, and single value.

Field

Lists the fields from the current database table, from which you can select one to apply to the query.

Operator

Displays a list of available operators that can be applied to the query. For information about operators, see Construct Simple Queries in the User's Guide.

Value

Specifies a value for the field that you are using to construct your query.

Look Up Values

Returns a list of all values for the specified field from the database table in the Column Values dialog box, from which you can select the value you want.

Indicate Records in Data View

Indicates records that match your search criterion in the Data View window.

Indicate Objects in Drawing

Indicates linked objects that match your search criterion in the current drawing.

Execute

Issues the finished query and closes the dialog box.

Close

Closes the dialog box without issuing the query.

Store

Saves the query with the current drawing.

Options

Opens the Data View and Query Options dialog box.


Range Query Tab (Query Editor) (Quick Reference)

Quick Query Tab (Query Editor)
Query Editor
Query Builder Tab (Query Editor)
Commands > D commands > DBCONNECT > Query Editor >
Range Query Tab (Query Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Constructs a query that returns all records or objects that fall within a given range of values.

Field

Lists the fields from the current database table, from which you can select one to apply to the query.

From

Specifies the first value of the range. The query returns all records or graphical objects that are greater than or equal to this value.

Look Up Values (From, Through)

Returns a list of all values for the specified field from the database table in the Column Values dialog box, from which you can select the value you want.

Through

Specifies the second value of the range. The query returns all records or graphical objects that are less than or equal to this value.

Indicate Records in Data View

Indicates records that match your search criterion in the Data View window.

Indicate Objects in Drawing

Indicates linked objects that match your search criterion in the current drawing.

Execute

Issues the finished query and closes the dialog box.

Close

Closes the dialog box without issuing the query.

Store

Saves the query with the current drawing.

Options

Opens the Data View and Query Options dialog box.


Query Builder Tab (Query Editor) (Quick Reference)

Range Query Tab (Query Editor)
Query Editor
SQL Query Tab (Query Editor)
Commands > D commands > DBCONNECT > Query Editor >
Query Builder Tab (Query Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Constructs queries based on multiple search criteria. You can also group criteria parenthetically, select which fields to display in the returned query, and specify a sort order for the fields.

Query Builder Grid

Provides a space for you to construct queries based on multiple search parameters.

Parenthetical Grouping

Groups a series of search criteria by bracketing them within parentheses. You can nest up to four sets of parentheses within a single statement. To insert a beginning parenthesis, click in the cell to the left of the first Field cell that you want to group. To insert an end parenthesis, click in the cell to the right of the last Value cell that you want to group.

Field

Provides a space where you can select the field or fields to include in your query. Double-click in the Field cell of the current row to display a list of available fields from the current database table that you can use in constructing your query. To add an additional parameter, specify an operator and a value for the current row and then select the Logical cell.

Operator

Provides a space where you can select an operator to apply to the query condition of the current row. Double-click in the Operator cell to display a list of operators that you can use in constructing your query.

Value

Provides a space where you can specify a value for the query condition of the current row. Click in the Value cell and enter a value, or choose the [...] button to retrieve a list of available values for the selected field in the Column Values dialog box.

Logical

Provides either an And or an Or operator to the query statement. Click in the Logical cell to add an And value. To change the value to Or, click in the Logical cell again.

Fields in Table

Displays a list of available fields from the current database table, from which you can specify the fields to display in the Data View window when the query is executed. If you don't specify any fields to display, the query displays all fields from the database table. Double-clicking in a field in this list or selecting a field and choosing Add (Show Fields) adds the field to the list of those that are displayed in the Data View window by the returned query. You can also drag fields to add them to the Show Fields and Sort By areas.

Show Fields

Specifies the fields that are displayed in the Data View window when the query is executed. To remove a field from this list, drag it from the list to any area on the Query Builder tab.

Add (Show Fields)

Adds a field to include in the Data View window display of the returned query. To add a field, select it in the Fields in Table list window and then choose Add.

Sort By

Specifies a sort order for the returned query. The first field added to the Sort By list is the primary sort. To change the sort order for a field, drag the field to a new location in the Sort By list. By default, fields are added to the Sort By list in an ascending sort order. To apply a descending sort, select a field and choose the Ascending/Descending Sort button, or double-click in the field. To remove a field, drag it from the list to any area on the Query Builder tab or select the field and press DELETE.

Add (Sort By)

Adds a field to the Sort By list. To add a sort field, select it in the Fields in Table list window and then choose Add. Repeat for additional fields that you want to apply to the sort.

Ascending/Descending Sort

Reverses the sort order for the currently selected field. If an ascending sort order is currently applied, choosing this button reverses the sort to descending order, and vice versa.

Indicate Records in Data View

Indicates records that match your search criteria in the Data View window.

Indicate Objects in Drawing

Indicates linked objects that match your search criteria in the current drawing.

Execute

Issues the finished query and closes the dialog box.

Close

Closes the dialog box without issuing the query.

Store

Saves the query with the current drawing.

Options

Opens the Data View and Query Options dialog box.


SQL Query Tab (Query Editor) (Quick Reference)

Query Builder Tab (Query Editor)
Query Editor
Column Values Dialog Box
Commands > D commands > DBCONNECT > Query Editor >
SQL Query Tab (Query Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Constructs any query statement that conforms with the SQL 92 protocol. The SQL Query tab provides both a query editor text box where you can type a free-form SQL statement and a set of tools to assist you in constructing your query. As not all database management systems are fully compliant with the SQL 92 standard, you should review your system's documentation to see what SQL commands are valid for your particular database.

SQL Text Editor

Provides a space for you to type a free-form SQL query or add elements that you select using the various SQL Query tools.

Table

Lists all database tables that are available in the current data source. You can add database tables to the SQL text editor by double-clicking them, by selecting them and choosing Add in the Table area, by dragging them from the Table list to the SQL text editor, or by entering their names directly in the SQL text editor.

Add (Table)

Adds the currently selected database table to the SQL text editor.

Fields

Displays a list of the fields in the selected database table. You can add fields to the SQL text editor by double-clicking them, by selecting them and choosing Add in the Fields area, or by dragging them from the Fields list to the SQL text editor.

Add (Fields)

Adds the selected field to the SQL text editor.

Operator

Displays a list of operators that you can apply to your query.

Add (Operator)

Adds the selected operator to the SQL text editor.

Values

Specifies a value for the selected field.

Add (Values)

Adds the value specified in the Values area to the SQL text editor.

[...] Button

Returns a list of available values for the specified field from the selected database table in the Column Values dialog box, from which you can select a value to apply to the query.

Indicate Records in Data View

Indicates records that match your search criteria in the Data View window.

Indicate Objects in Drawing

Indicates linked objects that match your search criteria in the current drawing.

Execute

Issues the finished query and closes the dialog box.

Close

Closes the dialog box without issuing the query.

Store

Saves the query with the current drawing.

Check

Checks your SQL query for proper syntax without actually executing it. This function helps you isolate syntax errors before you issue your query.

Options

Opens the Data View and Query Options dialog box.


Column Values Dialog Box (Quick Reference)

SQL Query Tab (Query Editor)
DBCONNECT
Configure a Data Source Dialog Box
Commands > D commands > DBCONNECT >
Column Values Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists values for the selected database column; you can select a value to apply to the current operation.

Column Values

Lists all values for the selected database column. Select a value from the list and choose OK to apply it to the current operation. If you are constructing a query using the In operator, you can add additional values to the query by pressing the CTRL or SHIFT key as you select values.


Configure a Data Source Dialog Box (Quick Reference)

Column Values Dialog Box
DBCONNECT
Data View and Query Options Dialog Box
Commands > D commands > DBCONNECT >
Configure a Data Source Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Configures an external database so it can be accessed from the program. For detailed information about configuring a particular database system, refer to Configure External Databases in the Driver and Peripheral Guide. You can open this dialog box using the following methods:

Menu: dbConnect [image] Data Sources [image] Configure
Shortcut menu: Right-click the Data Sources node and choose Configure Data Source.
Data Source Name

Specifies a name for the OLE DB data source that you are configuring.

Data Sources

Lists all OLE DB data sources configured for use with the program that are present on your system.

OK

Opens the Microsoft Data Links Properties dialog box, in which you can continue configuring your data source.


Data View and Query Options Dialog Box (Quick Reference)

Configure a Data Source Dialog Box
DBCONNECT
Export Links Dialog Box
Commands > D commands > DBCONNECT >
Data View and Query Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls a number of settings related to the display of linked records and objects and the processing of SQL queries. You can open this dialog box using the following methods:

Toolbar: Data View buttons
Menu: Data View [image] Options. (The Data View menu is available only if you currently have a database table open in the Data View window.)

AutoPan and Zoom

Control how linked objects are displayed in the current drawing when you select their corresponding records in the Data View window.

Automatically Pan Drawing

Pans the drawing automatically to display objects that are associated with the current selection set of Data View records.

Automatically Zoom Drawing

Zooms the drawing automatically so that all objects associated with the current record set are displayed.

Zoom Factor

Specifies a zoom factor that limits the size of the extents of the indicated object set to a defined percentage of the drawing area. The available range is 20 to 90 percent with a default value of 50 percent. A value of 50 percent means that either the height of the extents is 50 percent of the height of the window, or the width of the extents is 50 percent of the window, whichever value is less.

Record Indication Settings

Control the appearance of linked records in the Data View window when their corresponding objects are selected in the current drawing.

Show Only Indicated Records

Displays in the Data View window only the record set that is associated with the current selection set. Any records not linked to the current drawing selection set are not displayed.

Show All Records, Select Indicated Records

Displays all records in the current database table. All records that are linked to the current selection set are selected in the Data View window.

Mark Indicated Records

Applies a marking color to linked Data View records to clearly differentiate them from records without links.

Marking Color

Specifies the marking color to apply to linked Data View records. The default color is yellow.

Query Options

Specify options for SQL query processing.

Send as Native SQL

Issues queries to database tables in the format of the source table rather than SQL 92 format. You can use this option to issue proprietary commands in native database format.

Automatically Store

Automatically stores queries when they are executed with the current drawing.

Accumulate Options

Control the accumulation of selection and record sets.

Accumulate Selection Set in Drawing

Adds additional objects to the selection set as you select additional Data View records. If this option is cleared, the current drawing indicates a new set of objects each time you select a new set of Data View records.

Accumulate Record Set in Data View

Adds additional records to the record set as you select additional graphical objects. If this option is cleared, the Data View window indicates a new set of records each time you select a new set of graphical objects.


Export Links Dialog Box (Quick Reference)

Data View and Query Options Dialog Box
DBCONNECT
Export Query Set Dialog Box
Commands > D commands > DBCONNECT >
Export Links Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports a set of links that are associated with a selection set of graphical objects. You can open this dialog box using the following method:

Menu: dbConnect [image] Links [image] Export Links

If more than one link template exists for the set of graphical objects that you select, the Select a Database Object dialog box is displayed, in which you can select a link template whose links you want to export.

Include Fields

Specifies the database table fields to export. The key fields for the selected link template are included automatically. The handle of the object that each link is associated with is also exported.

File Name

Specifies a name for the exported link file.

Save as Type

Specifies the file format for the exported links. You can save the file in the native database format of the current database table or as a comma-delimited or space-delimited text file.

Link Template Name

Displays the name of the link template whose links you're exporting.


Export Query Set Dialog Box (Quick Reference)

Export Links Dialog Box
DBCONNECT
Export Template Set Dialog Box
Commands > D commands > DBCONNECT >
Export Query Set Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports a set of queries that are associated with the current drawing. You can open this dialog box using the following methods:

Menu: dbConnect [image] Queries [image] Export Query Set
Shortcut menu: In the dbConnect Manager, right-click the drawing node of a drawing that contains one or more queries and choose Export Query Set.
File Name

Specifies a name for the query set.

Save as Type

Specifies the file format for the query set. Query sets are always saved with the .dbq file extension.


Export Template Set Dialog Box (Quick Reference)

Export Query Set Dialog Box
DBCONNECT
Find Dialog Box
Commands > D commands > DBCONNECT >
Export Template Set Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports a set of link templates and label templates that are associated with the current drawing. You can open this dialog box using the following methods:

Menu: dbConnect [image] Templates [image] Export Template Set
Shortcut menu: In the dbConnect Manager, right-click the drawing node of a drawing that has one or more templates defined and choose Export Template Set.
File Name

Specifies a name for the template set.

Save as Type

Specifies the file format for the template set. Template sets are always saved with the .dbt extension.


Find Dialog Box (Quick Reference)

Export Template Set Dialog Box
DBCONNECT
Format Dialog Box
Commands > D commands > DBCONNECT >
Find Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Searches for specified text or a numeric value in the currently loaded Data View table. The search is limited to a single table column. It is not possible to conduct a global search that scans all columns in the table. You can open this dialog box using the following methods:

Menu: Data View [image] Find. (The Data View menu is available only if you currently have a database table open in the Data View window.)
Shortcut menu: Right-click a record header or a single cell in the Data View window and choose Find.
Find What

Specifies the value to search for.

Match Case

Searches for the exact value, including case, of what you enter in Find What. If this option is cleared, the program searches for the value regardless of case.

Find Next

Finds the next occurrence of the value that you're searching for.

Direction

Toggles the direction that the program searches for the specified value in the Data View window.


Format Dialog Box (Quick Reference)

Find Dialog Box
DBCONNECT
Import Query Set Dialog Box
Commands > D commands > DBCONNECT >
Format Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls how database table records are displayed in the Data View window. You can open this dialog box using the following methods:

Menu: Data View [image] Format. (The Data View menu is available only if you currently have a database table open in the Data View window.)
Shortcut menu: Right-click the grid header in the Data View window and choose Format.
Font

Specifies the font style that is applied to the current Data View table.

Font Style

Specifies a style to apply to the current font. The available options are Normal, Italic, Bold, Bold Italic, Not Bold, and Not Italic.

Size

Specifies the size in points that is applied to the current font.

Effects

Applies additional formatting to the Data View window display. Strikeout draws a line through the center of all column data. Underline applies an underline to all column data. Color applies a color to all column data.

Sample

Displays how the current Format option values look when applied to the Data View window.

Script

Specifies the script that is applied to the current font.


Import Query Set Dialog Box (Quick Reference)

Format Dialog Box
DBCONNECT
Import Template Set Dialog Box
Commands > D commands > DBCONNECT >
Import Query Set Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports a set of queries into the current drawing. If the query set contains a name that matches a query in the current drawing, an alert box is displayed, and you can enter a different name for the query. You can open this dialog box using the following methods:

Menu: dbConnect [image] Queries [image] Import Query Set
Shortcut menu: Right-click a drawing node in the dbConnect Manager and choose Import Query Set.
Look In

Specifies the directory where the query set is located.

File Name

Specifies the name of the query set to import.

Files of Type

Specifies the file extension of the query set that you're importing. Query sets always have the .dbq extension.


Import Template Set Dialog Box (Quick Reference)

Import Query Set Dialog Box
DBCONNECT
Label Template Dialog Box
Commands > D commands > DBCONNECT >
Import Template Set Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports a set of link templates and label templates into the current drawing. If the template set contains a link or label template with a name that matches a template in the current drawing, an alert box is displayed where you can enter a different name for the template. You can open this dialog box using the following methods:

Menu: dbConnect [image] Templates [image] Import Template Set
Shortcut menu: Right-click a drawing node in the dbConnect Manager and choose Import Template Set.

Look In

Specifies the directory where the template set is located.

File Name

Specifies the name of the template set to import.

Files of Type

Specifies the file extension of the template set that you're importing. Template sets always have the .dbt extension.


Label Template Dialog Box (Quick Reference)

Import Template Set Dialog Box
DBCONNECT
Label Template Properties Dialog Box
Commands > D commands > DBCONNECT >
Label Template Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies formatting to labels.

Before the Label Template dialog box opens, the New Label Template dialog box is displayed, in which you can name the label template. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a database table, link template, or label template and choose the New Label Template button. If a label template is selected, the program opens the Label Template dialog box without first displaying the New Label Template dialog box.
Toolbar: Data View buttons [image] Choose New Label Template from the Label Template list, and then choose either the Create Freestanding Label or the Create Attached Label button flyout. If there is no link template defined for the selected database table in the current drawing, the program displays the New Link Template dialog box.
Menu: dbConnect [image] Templates [image] New Label Template. Select a link template in the Select a Database Object dialog box and choose Continue.
Shortcut menu: Right-click a link template or a database table in the dbConnect Manager and choose New Label Template.
Pointing device: Double-click a label template in the dbConnect Manager. This method opens the Label Template dialog box directly without first displaying the New Label Template dialog box.

Character Tab

Controls character formatting for text that is entered at the keyboard or imported.

Font

Specifies a font for new text or changes the font of selected text.

Height

Sets the character height in drawing units for new text or changes the height of selected text. The default value is based on the current text style. If the current text style has no fixed height, the text height is the value stored in the TEXTSIZE system variable.

Bold

Turns bold formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.

Italic

Turns italic formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.

Underline

Turns underlining on and off for new or selected text.

Undo

Undoes actions, including changes to either text content or text formatting. You can also use CTRL+Z.

Redo

Redoes actions, including changes to either text content or text formatting. You can also use CTRL+Y.

Stack, Unstack

Creates stacked text, for example, fractions, if the selected text contains stack characters. Also, unstacks text if stacked text is selected. When the stack characters, carat (^), forward slash (/), and pound sign (#), are used, the text to the left of the stack character is stacked on top of the text to the right.

By default, text that contains a carat converts to left-justified tolerance values. Text that contains the forward slash converts to center-justified fractional numbers; the slash is converted to a horizontal bar the length of the longer text string. Text that contains the pound sign converts to a fraction separated by a diagonal bar the height of the two text strings. The characters above the diagonal fraction bar are bottom-right aligned; the characters beneath the diagonal bar are top-left aligned.

Text Color

Specifies a color for new text or changes the color of selected text.

You can assign text the color associated with the layer it is on (BYLAYER) or the color of the block it is contained in (BYBLOCK). You can also select one of the colors in the color list or click Other to open the Select Color dialog box.

Symbol

Inserts a symbol or a nonbreaking space at the cursor position. Symbols can also be inserted manually. See Symbols and Special Characters.

Commonly used symbols are listed on the submenu. Click Other to display the Character Map dialog box, which contains the entire character set for each font available on your system. Select a character and click Select to place it in the Characters to Copy box. When you have selected all the characters that you want to use, click Copy and close the dialog box. In the Label Template dialog box, right-click and click Paste.

You can use the euro symbol with SHX fonts and their TrueType equivalent fonts shipped with AutoCAD 2000 and later releases. If your keyboard does not contain a euro symbol, hold down the ALT key and enter 0128 on the numeric keypad.

Symbols are not supported in vertical text.

NoteIn the dialog box, the diameter symbol is displayed as %%c, but it is displayed correctly in the label. The nonbreaking space is unavailable in double-byte operating systems.

Properties Tab

Controls properties that apply to the whole label template.

Style

Applies a text style to the label. The current style is saved in the TEXTSTYLE system variable. Character formatting for font, height, and bold or italic attributes is overridden if you apply a new style to an existing label template. Stacking, underlining, and color attributes are retained in characters to which a new style is applied.Styles that have backward or upside-down effects are not applied. If a style defined with a vertical effect is applied to an SHX font, the text is displayed horizontally in the Label Template dialog box.

Justification

Sets justification and alignment for the label. Top Left is the default setting. Spaces entered at the end of a line are included as part of the text and affect the justification of the line. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Text is middle-, top-, or bottom-aligned with respect to the top and bottom text boundaries. See -MTEXT for an illustration of the nine justification options.

Width

Sets a paragraph width for new or selected text. The No Wrap option produces a single line. The width of individual characters is not affected by this option.

Rotation

Sets the rotation angle for the label in the current unit of angle measurement (degrees, radians, or grads).

Find/Replace Tab

Searches for specified text strings in the label template and replaces them with new text.

Find

Defines the text string to search for.

Find Button

Starts a search for the text string in Find. To continue the search, click the Find button again.

Replace With

Defines the text string to replace the text in Find What.

Replace Button

Replaces the highlighted text with the text in Replace With.

Match Case

Finds text only if the case of all characters in the text string is identical to the case of the text in Find. When this option is cleared, a match is found for specified text strings regardless of case.

Whole Word

Matches the text in the Find box only if it is a single word. Text that is part of another word is ignored. When this option is cleared, a match is found for text strings, whether they are single words or parts of other words.

Label Fields Tab

Specifies which database table fields are displayed when you create labels based on this template.

Field

Displays a list of available fields from the current database table that you can include in your label. You may include any number of fields from the source table.

Add

Adds the selected field in the Field list to the label.

Table

Displays the name of the current database table.

Label Offset Tab

Defines X and Y coordinate offsets for the insertion point of both your label and, if it is an attached label, its associated leader object.

Start

Specifies the start point for the leader object. The point is defined with respect to the extents of the graphical object that the label is attached to. The Start option has no effect on freestanding labels, as they have no associated leader object.

Leader Offset

Specifies an X and Y offset for the multiline text object with respect to the associated leader object. By default, the X and Y Leader Offset options are set to 1, indicating that the label text is offset 1 unit in the X and Y planes from the tip of the leader object. The Leader Offset settings apply only to attached labels.

Tip Offset

Specifies the leader tip or label text offset values for attached and freestanding labels. For attached labels, the Tip Offset specifies the X and Y offset from the value specified in Start for the tip of the leader object. For freestanding labels, the Tip Offset specifies the X and Y offset from the insertion point you specified for the label.


Label Template Properties Dialog Box (Quick Reference)

Label Template Dialog Box
DBCONNECT
Link Conversion Dialog Box
Commands > D commands > DBCONNECT >
Label Template Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the full data source path to a label template's database table. You can use this dialog box to update a label template with new data source information.

Before the Label Template Properties dialog box opens, the Select a Database Object dialog box is displayed, from which you can select a label template.

You can open this dialog box using the following method:

Menu: dbConnect [image] Templates [image] Label Template Properties
Template Name

Displays the name of the selected label template.

Data Source

Displays the name of the data source specified for the selected label template. You can select a new data source from this list to apply to the label template.

Catalog

Displays the name of the catalog specified for the selected label template. You can select a new catalog from this list to apply to the label template.

Schema

Displays the name of the schema specified for the selected label template. You can select a new schema from this list to apply to the label template.

Table

Displays the name of the database table specified for the selected label template. You can select a new database table from this list to apply to the label template.

Fields

Displays the fields specified for the selected label template.


Link Conversion Dialog Box (Quick Reference)

Label Template Properties Dialog Box
DBCONNECT
Link Manager
Commands > D commands > DBCONNECT >
Link Conversion Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts links created in AutoCAD Release 12, Release 13, and Release 14 to AutoCAD 2000 (and later) format. You can open this dialog box using the following method:

Menu: dbConnect [image] Link Conversion

Because legacy links are stored in formats that differ significantly from AutoCAD 2000 and later, the link conversion process requires that you specify a mapping of the old AutoCAD SQL Extension™ (ASE) link values to the new ones used by AutoCAD 2000 and later. For example, you must identify the environment used by a particular link in Release 14 and specify the corresponding data source that you want substituted for this environment in AutoCAD 2000 and later. Similar mappings must be established between all old ASE link values and the new values that you want substituted for them.

Link Format

Specifies the format of the link that you are converting. Different fields are displayed depending on whether you select R12 or R13/R14.

R12

Specifies settings for converting R12 links.

R13/R14

Specifies settings for converting R13 and R14 links.

Old Link Format (R12)

Specifies the path to the database table used by the link that you're converting.

DBMS

Specifies the database management system used by the link that you're converting.

Database

Specifies the database used by the link that you're converting.

Table

Specifies the database table used by the link that you're converting.

Old Link Format (R13/R14)

Specifies the path to the database table used by the link that you're converting.

Environment

Specifies the environment used by the link that you're converting.

Catalog

Specifies the catalog used by the link that you're converting.

Schema

Specifies the schema used by the link that you're converting.

Table

Specifies the database table used by the link that you're converting.

Link Path Name

Specifies the link path name used by the link that you're converting.

New Link Format

Specifies the path to the database table used by the converted link.

Data Source

Lists available data sources that you can select for the converted link.

Catalog

Lists available catalogs that you can select for the converted link.

Schema

Lists available schemas that you can select for the converted link.

Table

Lists available database tables that you can select for the converted link.

Link Template

Lists available link templates that you can select for the converted link.

OK

Writes conversion mapping information to the asi.ini file and closes the dialog box.

Apply

Writes conversion mapping information to the asi.ini file but keeps the dialog box open so that you can specify conversions for additional links.

Cancel

Closes the dialog box without converting any links.


Link Manager (Quick Reference)

Link Conversion Dialog Box
DBCONNECT
Link Select Dialog Box
Commands > D commands > DBCONNECT >
Link Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits the values of the key fields for a selected linked object. You can open the Link Manager using the following methods:

Menu: dbConnect [image] Links [image] Link Manager. Select a linked graphical object.
Shortcut menu: Select and then right-click a linked graphical object, and then choose Link [image] Link Manager.

Link Templates

Lists all link templates that are associated with the selected graphical object. Select the link template whose link values you want to view or edit.

Key

Displays the key fields of the currently selected link template.

Value

Displays all key values that are defined for the selected link. To display a list of values for a specific field, click a Value cell and choose [...].

Delete

Deletes the currently selected link from the graphical object it's associated with.


Link Select Dialog Box (Quick Reference)

Link Manager
DBCONNECT
Link Template Dialog Box
Commands > D commands > DBCONNECT >
Link Select Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Constructs iterative selection sets of graphical objects and database records. The Link Select dialog box, known as ASE Select in previous releases, is an advanced implementation of the Query Editor. You begin a Link Select operation by creating an initial query or selection set of graphical objects (set A), which can be operated on by an additional query or selection set (set B). The results of the returned operation become the new running selection set (set A), and you can apply additional queries or selection sets to further refine your running query.

In order to work with the Link Select dialog box, you must have a drawing open that has a number of links already created. You can open this dialog box using the following methods:

Menu: dbConnect [image] Links [image] Link Select
Shortcut menu: Right-click a link template in the dbConnect Manager and choose Link Select.

The Link Select dialog box contains the Quick Query, Range Query, and Query Builder tabs from the Query Editor, and the following additional controls.

Do

Applies a Link Select operator to the current query or selection set. The following operators are available: Select, Union, Intersect, Subtract A-B, Subtract A-B.

Select

Creates an initial query or selection set. This selection set can be refined through subsequent Link Select operations.

Union

Adds the results of the new query or selection set to the running selection set. This operation returns all records or objects that are members of set A or set B.

Intersect

Returns the intersection of the existing running selection and the results of the new query or drawing selection. This operation returns all records or objects that are members of set A and set B.

Subtract A-B

Subtracts the results of the new query or drawing selection from the existing running selection.

Subtract B-A

Subtracts the existing running selection from the results of the new query or drawing selection.

Using

Lists available link templates that you can apply to the current selection set.

Use Query

Uses any of the available Query Editor tabs to construct a query that returns a selection set to the Link Select operation.

Select in Drawing

Closes the Link Select dialog box when you choose the Select button so that you can construct a selection set of graphical objects to return to the Link Select operation.

Execute/Select

Executes the current Link Select query or temporarily dismisses the Link Select dialog box so you can select graphical objects from the drawing. If the Use Query option is selected, the Execute button is displayed. If the Select in Drawing option is selected, the Select button is displayed. After choosing the Execute or Select button, you can apply more queries or select additional graphical objects to further refine your selection set.

Venn Diagram

Displays a diagram of the currently selected Do operation.

Reset

Clears the Link Select dialog box and discards all previous actions so that you can begin a new Link Select operation.

Cancel

Closes the dialog box and discards all actions.

Finish

Completes the Link Select operation and closes the dialog box. Returns either a selection set of graphical objects, a subset of Data View records, or both, depending on the parameters specified in the Link Select operation.

Status Bar

Displays the current status information based on the running Link Select operation. The current drawing and table are displayed, as well as the number of linked objects and records that currently meet the specified Link Select parameters.


Link Template Dialog Box (Quick Reference)

Link Select Dialog Box
DBCONNECT
Link Template Properties Dialog Box
Commands > D commands > DBCONNECT >
Link Template Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the key fields that are used by a link template.

Before the Link Template dialog box opens, the New Link Template dialog box is displayed, in which you can name the link template. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a database table and choose the New Link Template button.
Toolbar: Data View buttons [image] Choose New Link Template from the Link Template list, and then choose the Link button flyout.
Menu: dbConnect [image] Templates [image] New Link Template. Navigate to and select a database table from the Select a Database Object dialog box and choose Continue.
Shortcut menu: Right-click a database table in the dbConnect Manager and choose New Link Template.
Pointing device: Double-click a link template in the dbConnect Manager. This method opens the Link Template dialog box directly, without first displaying the New Link Template dialog box.

Template Name

Displays the name of the link template.

Table

Displays the current database table. The first line lists the name of the table, and the second line lists the full data source path to the table in the following syntax: environment.catalog.schema.table

Key Fields

Displays all fields that are available for the current database table, as well as the field type and, in the case of character fields, the field length. You specify the link template's key fields by selecting the check box to the left of the field name.


Link Template Properties Dialog Box (Quick Reference)

Link Template Dialog Box
DBCONNECT
New Label Template Dialog Box
Commands > D commands > DBCONNECT >
Link Template Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the full data source path to a link template's table. You can use this dialog box to update a link template with new data source information.

Before the Link Template Properties dialog box opens, the Select a Database Object dialog box is displayed, from which you can select a link template.

You can open this dialog box using the following method:

Menu: dbConnect [image] Templates [image] Link Template Properties

Template Name

Displays the name of the selected link template.

Data Source

Displays the name of the data source specified for the selected link template. You can select a new data source from this list to apply to the link template.

Catalog

Displays the name of the catalog specified for the selected link template. You can select a new catalog from this list to apply to the link template.

Schema

Displays the name of the schema specified for the selected link template. You can select a new schema from this list to apply to the link template.

Table

Displays the name of the database table specified for the selected link template. You can select a new table from this list to apply to the link template.

Keys

Displays the key fields specified for the selected link template.


New Label Template Dialog Box (Quick Reference)

Link Template Properties Dialog Box
DBCONNECT
New Link Template Dialog Box
Commands > D commands > DBCONNECT >
New Label Template Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new label template. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a database table and choose the New Label Template button.
Toolbar: Data View buttons [image] Choose New Label Template from the Label Template list, and then choose either the Create Freestanding Label or the Create Attached Label button flyout. If there is no link template defined for the selected database table in the current drawing, the program displays the New Link Template dialog box.
Menu: dbConnect [image] Templates [image] New Label Template. Select a link template from the Select a Database Object dialog box and choose Continue.
Shortcut menu: Right-click a database table in the dbConnect Manager and choose New Label Template.

After you enter a name for the label template and choose Continue, the Label Template dialog box opens, in which you specify the fields to display in your label and how to format them.

New Label Template Name

Specifies a name for the label template.

Start with Template

Lists available label templates in the current drawing, from which you can select one to use as a start point for your new label template.


New Link Template Dialog Box (Quick Reference)

New Label Template Dialog Box
DBCONNECT
New Query Dialog Box
Commands > D commands > DBCONNECT >
New Link Template Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new link template. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a database table and choose the New Link Template button.
Toolbar: Data View buttons [image] Choose New Link Template from the Link Template list, and then choose the Link button flyout.
Menu: dbConnect [image] Templates [image] New Link Template. Navigate to and then select a database table in the Select a Data Object dialog box and choose Continue.
Shortcut menu: Right-click a table in the dbConnect Manager and choose New Link Template.

After you enter a name for the link template and choose Continue, the Link Template dialog box opens, in which you specify the key fields that the link uses.

New Link Template Name

Specifies a name for the link template.

Start with Template

Lists all available link templates from the current drawing, from which you can select one to use as a starting point for the new link template.


New Query Dialog Box (Quick Reference)

New Link Template Dialog Box
DBCONNECT
Replace Dialog Box
Commands > D commands > DBCONNECT >
New Query Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new query and opens the Query Editor. You can open this dialog box using the following methods:

Toolbar: dbConnect Manager buttons [image] Select a link template, database table, or existing query and choose the New Query button.
Menu: dbConnect [image] Queries [image] New Query on an External Table or New Query on a Link Template. (A dialog box is displayed in which you can select a database object to query.)
Shortcut menu: Right-click a link template, database table, or existing query in the dbConnect Manager and choose New Query.

After you enter a name for the query and choose Continue, the Query Editor is displayed, in which you can construct a new query.

Query for Records in Table

Read-only field that indicates the table to query.

New Query Name

Specifies a name for the query.

Existing Query Names

Lists all available queries from the current drawing.


Replace Dialog Box (Quick Reference)

New Query Dialog Box
DBCONNECT
Select a Database Object Dialog Box
Commands > D commands > DBCONNECT >
Replace Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Searches for specified text or a numeric value in the currently loaded Data View table. You can specify a replacement value that overwrites the value that you're searching for. The search is limited to a single database table column. It is not possible to conduct a global search that scans all columns in the database table. You can open this dialog box using the following methods:

Menu: Data View [image] Replace. (This menu is available only if you have a database table open in the Data View window.)
Shortcut menu: Right-click a single cell or column header in the Data View window and choose Replace.

Find What

Specifies the value to search for.

Replace With

Specifies a replacement value for the value that you're searching for.

Match Case

Searches for the exact value, including case, of what you enter in Find What. If this option is cleared, the program searches for the value regardless of case.

Find Next

Finds the next occurrence of the value that you're searching for.

Replace

Replaces the next occurrence of the value that you're searching for with the value specified in Replace With.

Replace All

Replaces all occurrences of the value that you're searching for with the value specified in Replace With.


Select a Database Object Dialog Box (Quick Reference)

Replace Dialog Box
DBCONNECT
Select Data Object Dialog Box
Commands > D commands > DBCONNECT >
Select a Database Object Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a list of the database objects, such as link templates, label templates, or queries, that are associated with the current drawing. You can select a database object from this list to apply to the current operation. You can open this dialog box using the following methods:

Menu: dbConnect [image] Templates [image] New Label Template, Edit Link Template, Edit Label Template, Delete Link Template, or Delete Label Template; Queries [image] Execute Query, New Query on a Link Template, Edit Query, or Delete Query; Links [image] Delete Links; Labels [image] Reload Labels, Show Labels, Hide Labels, or Delete Labels; View Data [image] View Linked Table, Edit Linked Table
Database Object List

Lists the available database objects that are associated with the current drawing, from which you must select one to apply to the current operation.

OK/Continue

Either completes the current operation or opens a secondary dialog box in which you can continue the current operation.

If, for example, you are creating a new label template, the New Label Template dialog box is displayed.


Select Data Object Dialog Box (Quick Reference)

Select a Database Object Dialog Box
DBCONNECT
Sort Dialog Box
Commands > D commands > DBCONNECT >
Select Data Object Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Data Sources node of the dbConnect Manager, from which you can navigate to and select a database table that the current operation is applied to. You can open this dialog box using the following methods:

Menu: dbConnect [image] Data Sources [image] Connect; Templates [image] New Link Template; Queries [image] New Query on an External Table; View Data [image] View External Table or Edit External Table
Tree View Window

Lists the available data sources, from which you can select a database table to apply to the current operation.

OK/Continue

Either completes the current operation or opens a secondary dialog box or window, in which you can continue the current operation.

If, for example, you are creating a new link template, the New Link Template dialog box is displayed.


Sort Dialog Box (Quick Reference)

Select Data Object Dialog Box
DBCONNECT
Synchronize Dialog Box
Commands > D commands > DBCONNECT >
Sort Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies a sort order that is applied to the database table records displayed in the Data View window. You can select a combination of up to five columns to apply to the sort order. You can open this dialog box using the following method:

Shortcut menu: Right-click a column header in the Data View window and choose Sort.
Sort By

Specifies the primary column to apply to the sort operation. The data from this column is sorted first, and then the data from any additional Then By columns that are specified is sorted.

Ascending

Applies an ascending sort order to the selected column. The column data is ordered with the smallest value at the beginning of the Data View record set and the largest value at the end of the record set.

Descending

Applies a descending sort order to the selected column. The column data is ordered with the largest value at the beginning of the Data View record set and the smallest value at the end of the record set.

Then By

Specifies an additional column to apply to the sort operation.

Reset

Clears all columns that are specified for the current sort order so that you can specify a new sort order.


Synchronize Dialog Box (Quick Reference)

Sort Dialog Box
DBCONNECT
DBLIST
Commands > D commands > DBCONNECT >
Synchronize Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates links that the program is unable to resolve. Links can become invalid if you change the underlying structure of their source database table, or if you move the source table to a new location. In these cases, the structure specified by the link template used to create the links is no longer valid, and link templates and any associated links must be updated.

The Synchronize dialog box provides a list of detected errors. Certain errors (such as a resized column in the source database table) can be fixed directly from the Synchronize dialog box. Other errors (such as links that point to nonexistent records) must be fixed in the source database table.

You can open this dialog box using the following methods:

Menu: dbConnect [image] Synchronize
Shortcut menu: Right-click a link template in the dbConnect Manager and choose Synchronize.

Errors

Displays a list of errors detected. You can select an error to fix.

Description

Provides a brief description of the error selected in the Errors list.

Fix

Fixes the currently selected error.

Delete

Deletes the invalid link template and any associated links from the current drawing.

Close

Closes the dialog box.

Indicate Drawing Objects

Indicates all objects in the current drawing that are associated with the invalid link template.


DBLIST (Quick Reference)

Synchronize Dialog Box
DBLIST
DDEDIT
Commands > D commands >
DBLIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists database information for each object in the drawing.

Command entry: dblist

The text window displays information about each object in the current drawing. The program pauses when the window fills with information. Press ENTER to resume output, or press ESC to cancel.


DDEDIT (Quick Reference)

DBLIST
DDEDIT
Edit Text Dialog Box
Commands > D commands >
DDEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Edits single-line text, dimension text, attribute definitions, and feature control frames.

Toolbar: Text
Menu: Modify [image] Object [image] Text [image] EditAt the Command prompt, enter ddedit.
Pointing device: Double-click a text object.
Shortcut menu: Select a text object, right-click in the drawing area, and click Edit.
Command entry: ddedit

Select an annotation object or [Undo]:

Object Selection

Displays the appropriate editing method for the type of text you select:

  • When the DTEXTED system variable is set to 0 or 2, text created using TEXT or DTEXT displays the In-Place Text Editor without the Text Formatting toolbar and the ruler. Right-click to display options.
  • Text created using MTEXT displays the In-Place Text Editor.
  • Attribute definitions (not part of a block definition) display the Edit Attribute Definition dialog box.
  • Feature control frames display the Geometric Tolerance dialog box.

DDEDIT repeats the prompt until you press ENTER to end the command.

Undo

Returns the text or attribute definition to its previous value. You can use this option immediately after editing.


Edit Text Dialog Box (Quick Reference)

DDEDIT
DDEDIT
Edit Attribute Definition Dialog Box
Commands > D commands > DDEDIT >
Edit Text Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Toolbar: Text
Shortcut menu: Select a text object, right-click in the drawing area, and click Edit.
Command entry: ddedit

When the DTEXTED system variable is set to 1, modifies text created with TEXT or DTEXT. Enter the new text and click OK.

To add a field to the text, right-click the text where you want to insert the field and click Insert Field on the shortcut menu to display the Field dialog box.


Edit Attribute Definition Dialog Box (Quick Reference)

Edit Text Dialog Box
DDEDIT
DDPTYPE
Commands > D commands > DDEDIT >
Edit Attribute Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Toolbar: Text
Shortcut menu: Select a text object, right-click in the drawing area, and click Edit.
Command entry: ddedit

Modifies an attribute definition's tag, prompt, and default value.

Tag

Specifies the attribute tag, which identifies the attribute in the drawing. The tag can contain exclamation marks (!). The case change is not immediately displayed in the tag field.

Prompt

Specifies the attribute prompt that is displayed when you insert a block containing this attribute definition.

Default

Specifies the default attribute value.

To use a field as the value, right-click and click Insert Field on the shortcut menu to display the Field dialog box.


DDPTYPE (Quick Reference)

Edit Attribute Definition Dialog Box
DDPTYPE
Point Style Dialog Box
Commands > D commands >
DDPTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the display style and size of point objects.

Menu: Format [image] Point StyleNot available in menus in the current workspace.
Command entry: ddptype (or 'ddptype for transparent use)

The Point Style dialog box is displayed.


Point Style Dialog Box (Quick Reference)

DDPTYPE
DDPTYPE
DDVPOINT
Commands > D commands > DDPTYPE >
Point Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] Point StyleNot available in menus in the current workspace.
Command entry: ddptype (or 'ddptype for transparent use)

Shows the current point style and size. Change the point style by selecting an icon.

Point Display Images

Specifies the image used to display point objects. The point style is stored in the PDMODE system variable.

Point Size

Sets the point display size. The value you enter can be relative to the screen or in absolute units. The point display size is stored in the PDSIZE system variable. Subsequent point objects that you draw use the new value.

Set Size Relative to Screen

Sets the point display size as a percentage of the screen size. The point display does not change when you zoom in or out.

Set Size in Absolute Units

Sets the point display size as the actual units you specify under Point Size. Points are displayed larger or smaller when you zoom in or out.


DDVPOINT (Quick Reference)

Point Style Dialog Box
DDVPOINT
Viewpoint Presets Dialog Box
Commands > D commands >
DDVPOINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets the 3D viewing direction.

Menu: View [image] 3D Views [image] Viewpoint PresetsNot available in menus in the current workspace.
Command entry: ddvpoint

The Viewpoint Presets dialog box is displayed.


Viewpoint Presets Dialog Box (Quick Reference)

DDVPOINT
DDVPOINT
DELAY
Commands > D commands > DDVPOINT >
Viewpoint Presets Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: View [image] 3D Views [image] Viewpoint PresetsNot available in menus in the current workspace.
Command entry: ddvpoint

Defines 3D view settings.

Set Viewing Angles

Sets the direction of the view relative to either the world coordinate system (WCS) or a user coordinate system (UCS).

Absolute to WCS

Sets the view direction relative to the WCS.

Relative to UCS

Sets the view direction relative to the current UCS.

From

Specifies viewing angles.

X Axis

Specifies the angle from the X axis.

XY Plane

Specifies the angle from the XY plane.

You can also use the sample image to specify viewing angles. The black arm indicates the new angle. The gray arm indicates the current angle. Specify an angle by selecting the inner region of the circle or half-circle. Selecting the bounded outer regions rounds off the angle to the value displayed in that region. If you select the inner arc or an area inside it, the angle is not rounded off, and the result may be a fractional number.

Set to Plan View

Sets the viewing angles to display the plan view (XY plane) relative to the selected coordinate system.


DELAY (Quick Reference)

Viewpoint Presets Dialog Box
DELAY
DELCONSTRAINT
Commands > D commands >
DELAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides a timed pause within a script.

Command entry: delay (or 'delay for transparent use)

Enter delay time (in milliseconds): Enter a value from 0 through 32,767 milliseconds

Specifies the duration of a pause. Entering delay 1000 in your script delays the start of execution of the next command for about one second. The longest delay available is 32767, which is slightly less than 33 seconds.


DELCONSTRAINT (Quick Reference)

DELAY
DELCONSTRAINT
DETACHURL
Commands > D commands >
DELCONSTRAINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes all geometric and dimensional constraints from a selection set of objects.

Access Methods

Button

Ribbon: Parametric tab [image] Manage panel [image] Delete ConstraintsNot available on the ribbon in the current workspace.
Menu: Parametric [image] Delete ConstraintsNot available in menus in the current workspace
Toolbar: Parametric
Command entry: delconstraint

All constraints will be removed from selected objects...Select objects: Select the objects for which to delete all associated constraints

Removes all geometric and dimensional constraints from the selected objects.

The number of constraints removed are displayed on the command line.


DETACHURL (Quick Reference)

DELCONSTRAINT
DETACHURL
DGNADJUST
Commands > D commands >
DETACHURL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Removes hyperlinks in a drawing.

Command entry: detachurl

Select objects: Use an object selection method, and press ENTER to end selection

Hyperlinks are removed from the selected objects. If an area is selected, the polyline is deleted. You can use PURGE to remove the URLLAYER layer.


DGNADJUST (Quick Reference)

DETACHURL
DGNADJUST
DGNATTACH
Commands > D commands >
DGNADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjust the fade, contrast, and monochrome settings of a DGN underlay.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Adjust Not available on the ribbon in the current workspace
Command entry: dgnadjust

Summary

You can change the default values for Fade, Contrast, and Monochrome for a single or multiple DGN underlays. To confirm the settings on a selected DGN underlay, use the Properties palette.

NoteYou can also use the ADJUST command to change the fade, contrast, and monochrome settings for DGN underlays as well as DWF, DWFx and PDF underlays or the fade, contrast and brightness for images.

List of Prompts

The following prompts appear:

Select DGN underlay: Select one or more DGN underlays

Enter DGN underlay option [Fade/Contrast/Monochrome] <Fade>:

Enter fade value (0-100): Enter a value

Enter contrast value (0-100): Enter a value

Monochrome? [Yes/No]: Enter yes or no and then press ENTER

Fade

Controls the fade effect of the underlay. Values range from 0 through 100. The greater the value, the more transparent the underlay appears against the background. The lesser the value, the less transparent and closer to opaque the underlay appears. A value of 0 makes the underlay appear fully opaque.

Contrast

Controls the contrast, and indirectly, the fading effect of the underlay. Values range from 0 through 100. The greater the value, the more each pixel is forced to its primary or secondary color.

Monochrome

Controls the color saturation of all linework while maintaining the luminance. When turned on, the linework appears in varying shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest linework displaying in white, and the lightest linework displaying in black.


DGNATTACH (Quick Reference)

DGNADJUST
DGNATTACH
Attach DGN Underlay Dialog Box
Commands > D commands >
DGNATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a DGN file as an underlay into the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] AttachNot available on the ribbon in the current workspace
Menu: Insert [image] DGN UnderlayAt the Command prompt, enter dgnattach.
Toolbar: Insert
Command entry: dgnattach

Summary

When you attach a DGN file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

The Select Reference File dialog box (a standard file selection dialog box) is displayed. Once you select a DGN file, the Attach DGN Underlay dialog box is displayed. After the file is attached, you can adjust and clip the underlay through the DGN Underlay Ribbon Contextual tab.

NoteDGNATTACH is not limited to files with .dgn extensions. It supports all DGN files, even those that do not have a .dgn extension.

If you enter -dgnattach at the Command prompt, options are displayed.

NoteWhen a DGN file is attached as an underlay, its levels structure (layers) are combined into a single layer. The DGN underlay is placed on the current layer. To hide the DGN attachment, freeze the layer on which it was attached.


Attach DGN Underlay Dialog Box (Quick Reference)

DGNATTACH
DGNATTACH
DGN Underlay Ribbon Contextual tab
Commands > D commands > DGNATTACH >
Attach DGN Underlay Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Toolbar: Insert
Menu: Insert [image] DGN UnderlayAt the Command prompt, enter dgnattach.
Command entry: dgnattach

Summary

Names, locates, and defines the insertion point, scale, and rotation when attaching DGN underlays.

List of Options

The following options are available in this dialog box.

Name

Identifies the DGN file you have selected to attach.

Browse

Opens the Select Reference File dialog (a standard file selection dialog box).

Select a design model from the DGN file

Displays all of the design models that are found in the DGN file. If the DGN file only contains a single design model, that model is listed.

If the DGN file contains multiple design models, only a single model can be selected for attachment. The first model in the list is selected by default.

Conversion Units

Matches the DWF files’s drawing units to the master units and sub-units specified in the DGN file. For example, if the DGN file has master units set to meters, and sub-units set to millimeters, and you want the DWG to be set to millimeters, select sub-units in the Attach DGN Underlay dialog box.

Master Units

Matches the DWG drawing units to the master units set in the DGN file.

Sub Units

Matches the DWG drawing units to the sub- units set in the DGN file.

Path Type

Selects the full (absolute) path, the relative path to the DGN file, or No Path, the name of the DGN file (the DGN file must be located in the same folder as the current drawing file).

NoteThe Path Type group is disabled when you’re attaching a DGN file that is stored on the Vault client server. This information is automatically entered by the Vault.

Insertion Point

Specifies the insertion point for the selected DGN file. Specify On-Screen is the default. The default insertion point is 0,0,0.

Specify On-Screen

Directs input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter the insertion point in X, Y, and Z.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Scale

Specifies the scale factor of the selected DGN underlay.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Specify On-screen

Allows you to input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter a value for the scale factor. The default scale factor is 1.

Scale Factor Field

Enters a value for the scale factor. The default scale factor is 1.

Rotation

Specifies the rotation angle of the selected DGN underlay.

Specify on-screen

If Specify On-Screen is selected, you may wait until you exit the dialog box to rotate the object with your pointing device or enter a rotation angle value at the Command prompt.

Angle

If Specify On-Screen is cleared, enter the rotation angle value in the dialog box. The default rotation angle is 0.

Show Details

Displays the DGN file path.

Found In

Displays the path where the DGN file is located.

Saved Path

Displays the path that is saved with the drawing when the DGN file is attached. The path is dependent upon the Path Type setting.


DGN Underlay Ribbon Contextual tab (Quick Reference)

Attach DGN Underlay Dialog Box
DGNATTACH
-DGNATTACH
Commands > D commands > DGNATTACH >
DGN Underlay Ribbon Contextual tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Change DGN underlay display, clip, layer, and osnap options.

Summary

When you select a DGN underlay in a drawing, the DGN Underlay Contextual tab is displayed on the ribbon.

Adjust Panel

Contrast | Controls the contrast and the fading effect of the underlay. The greater the value, the more each pixel is forced to its primary secondary color.
Fade | Controls the appearance of the linework. The greater the value, the lighter the linework in the underlay appears.
Display in Monochrome | Displays the underlay in black and white.

Clipping Panel

Create Clipping Boundary | Deletes the old clipping boundary (if one exists) and creates a new one.
Remove Clipping | Deletes the clipping boundary.

Options Panel

Show Underlay | Hides or displays the underlay.
Enable Snap | Determines whether object snapping is active for geometry in the DGN underlay.
External References | Displays the External References Palette.

DGN Layers Panel

Edit Layers Controls the display of layers in a DGN Underlay.


-DGNATTACH (Quick Reference)

DGN Underlay Ribbon Contextual tab
DGNATTACH
DGNCLIP
Commands > D commands > DGNATTACH >
-DGNATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Attach a DGN underlay from the command line.

Access Methods

Command entry: - dgnattach

Summary

When you attach a DGN file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

NoteDGNATTACH is not limited to files with *.dgn extensions. It supports all DGN files, even those that do not have a .dgn extension.

List of Prompts

The following prompts display.

TipYou can drag a DGN file onto the drawing window to start the DGNATTACH command.
Path to DGN File to Attach

Enters the full path name to the DGN underlay file. The file name can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program.

Entering a tilde (~) displays the Select DGN File dialog box (a standard file selection dialog box).

To avoid errors when entering a file name, it is recommended that you specify both the DGN file and path as follows:

path name\filename.dgn

or

“path name\filename.dgn”

If you enter a valid DGN file name without a file extension, the program adds the extension and searches for the file.

Enter Name of Model

Enter a model name. For a list of models, enter ?.

Enter Model(s) to list <*>

Lists the design models available in the DGN file in a separate text window.

Conversion Units

Matches the DWF file’s drawing units to the master units and sub-units specified in the DGN file. For example, if the DGN file has master units set to meters, and sub-units set to millimeters, and you want the DWG to be set to millimeters, select sub-units in the Attach DGN Underlay dialog box.

  • Master Units - Matches the DWG drawing units to the master units set in the DGN file.
  • Sub Units - Matches the DWG drawing units to the sub- units set in the DGN file.
Insertion Point

Specifies the insertion point for the selected DGN file. Enter the X, Y, and Z coordinates at the command prompt, or click onscreen.

Scale Factor

Specifies the scale factor of the selected DGN underlay and the scale factor units. You can enter a scale factor at the command prompt or click onscreen with the mouse.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Rotation

Specifies the rotation angle of the selected DGN underlay by entering an angle value at the command prompt or by clicking onscreen.


DGNCLIP (Quick Reference)

-DGNATTACH
DGNCLIP
DGNEXPORT
Commands > D commands >
DGNCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Crops the display of a selected DGN underlay to a specified boundary.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Clip.Not available on the ribbon in the current workspace.
Shortcut menu: Select a DGN underlay to clip, right-click in the drawing area, and click DGN Clip.
Command entry: dgnclip

Summary

The clipping boundary determines the portion of a DGN underlay outside the boundary that is hidden. The visibility of the clipping boundary is controlled by the DGNFRAME system variable.

The boundary you specify must be in a plane parallel to the DGN underlay.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.

List of Prompts

The following prompts are displayed.

On

Turns on clipping and displays the DGN underlay clipped to the previously defined boundary.

Off

Turns off clipping and displays the entire DGN underlay.

If you reclip the DGN underlay while clipping is turned off, clipping is automatically turned back on. You are prompted to delete the old boundary even when clipping is turned off and the clipping boundary is not visible.

Delete

Removes a predefined clipping boundary and displays the entire DGN underlay.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

Specify clipping boundary or select invert option: [Select polyline/Polygonal/Rectangular/Invert clip] <Rectangular>:

Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

NoteYou can only create a new clipping boundary for a selected DGN underlay when the old boundary is deleted.


DGNEXPORT (Quick Reference)

DGNCLIP
DGNEXPORT
Export DGN Settings Dialog Box
Commands > D commands >
DGNEXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates one or more DGN files from the current drawing.

Access Methods

Command entry: Application menu [image] Export [image] DGN
Command entry: dgnexport

Summary

The Export DGN File dialog box (a standard file selection dialog box) is displayed. Once you specify a DGN file name, the Export DGN Settings dialog box is displayed. You can export a V8 or V7 file using DGNEXPORT.

If you enter -dgnexport at the Command prompt, options are displayed.

See the DGNEXPORT Conversion Table specific details about the scope of exporting DWG objects and other data to DGN files.

WarningSome programs that work with DGN files do not support extended characters that the Windows operating system considers valid for file names. Thus, it is recommended that you do not use accented or Asian characters in file names when using DGNEXPORT.


Export DGN Settings Dialog Box (Quick Reference)

DGNEXPORT
DGNEXPORT
DGNEXPORT Conversion Table
Commands > D commands > DGNEXPORT >
Export DGN Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: dgnexport

Summary

Controls how objects are processed when exporting them to a DGN file.

External DWG References

Controls how xrefs are processed.

Translate All DWG References to DGN Files

All referenced DWG files, including nested DWG references, are converted into DGN files. The resulting DGN files use the same file name as the DWG files, but use a .dgn file extension.

With the following set of options, you can choose whether or not to overwrite DGN reference files

  • Prompt to Overwrite
  • Overwrite without Prompting
  • Do Not Overwrite
Bind All DWG References into One DGN file

The parent DWG file and all referenced DWG files are combined into a single DGN file. The referenced DWG files are converted to cells as part of the primary DGN file.

Ignore DWG References

Referenced DWG files are not included in the resulting DGN file.

External DGN References

Controls whether DGN underlays in the DWG file are exported as DGN references of the resulting DGN file.

Export DGN Underlays as DGN References

When checked, any DGN underlays are exported as DGN references along with the base drawing. When cleared, DGN underlays are not exported.

NoteDo not export drawings that include V8 DGN underlays to a V7 DGN format file. The V8 DGN references cannot display in a V7 DGN file because the V8 DGN file format is not a valid design file for the resulting V7 DGN file.

Specify Seed File

A seed file for a DGN file is similar to a drawing template (DWT) file that contains default settings and attributes, such as working units. Selecting the appropriate DGN seed file (imperial, metric, or user-defined), and conversion units is critical to the translation from DWG to DGN. In addition, the seed file contains settings that are not present in a DWG file, and therefore inherited in the exported DGN.

These settings include working units and resolution as well as whether the file is 2D or 3D.

Conversion Units

Select the appropriate conversion units for the translation. The DGN seed file contains working units (imperial or metric) called master units and sub-units. One DWG unit is converted to either one master unit or one sub-unit.

Master Units

Specifies that one DWG drawing unit will convert to one master unit of the specified DGN seed file.

Sub Units

Specifies that one DWG drawing unit will convert to one sub-unit of the specified DGN seed file.

NoteThe master units and the sub-units of the selected DGN seed file are displayed next to the buttons for reference.
Filename drop-down list

Specify the name of the DGN seed file. Several sample seed files are provided upon installation.

Browse button

Displays the Select Seed File dialog box (a Standard File Selection Dialog Boxes), in which you can select the DGN seed file.

See the DGNEXPORT Conversion Tablespecific details about the scope of exporting DWG objects and other data to DGN files.

Sample DGN Seed Files

The following table lists the default DGN seed files and their settings. You may need to edit these settings or obtain the appropriate seed file to suit your conversion requirements.

DGN Seed File Name | Master Unit (label) | Sub Unit (label) | Resolution
V7-Imperial-Arch01-Seed2D.dgn | Feet (‘) | Inches (“) | 12”/1’ and 8000 POS
V7-Imperial-Arch01-Seed3D.dgn | Feet (‘) | Inches (“) | 12”/1’ and 8000 POS
V7-Imperial-Arch02-Seed2D.dgn | Feet (‘) | Inches (“) | 12”/1’ and 1000 POS
V7-Imperial-Arch02-Seed3D.dgn | Feet (‘) | Inches (“) | 12”/1’ and 1000 POS
V7-Imperial-Civil01-Seed2D.dgn | Feet (‘) | Tenths (tn) | 10tn/1’ and 100 POS
V7-Imperial-Civil01-Seed3D.dgn | Feet (‘) | Tenths (tn) | 10tn/1’ and 100 POS
V7-Imperial-Civil02-Seed2D.dgn | Feet (‘) | Tenths (tn) | 10tn/1’ and 1000 POS
V7-Imperial-Civil02-Seed3D.dgn | Feet (‘) | Tenths (tn) | 10tn/1’ and 1000 POS
V7-Metric-Seed2D.dgn | Meters (m) | Millimeters (mm) | 1000mm/1m and 1 POS
V7-Metric-Seed3D.dgn | Meters (m) | Millimeters (mm) | 1000mm/1m and 1 POS
V8-Imperial-Seed2D.dgn | Feet (‘) | Inches (“) | 304800 per foot
V8-Imperial-Seed3D.dgn | Feet (‘) | Inches (“) | 304800 per foot
V8-Metric-Seed2D.dgn | Meters (m) | Millimeters (mm) | 1000mm per millimeter
V8-Metric-Seed3D.dgn | Meters (m) | Millimeters (mm) | 1000mm per millimeter

Translate DWG Properties to DGN Properties

Selects and manages the mapping setup used on the current DGN export.

Select Mapping Setup

Displays the currently defined mapping setups.

Standard is the default mapping setup which extracts data from the drawing being exported and applies an automatic mapping to DGN layers, linetypes, lineweights, and colors, as shown in the mapping preview.

Setup Description

Displays the description of the selected mapping setup.

Mapping Setups

Opens the DGN Mapping Setups dialog box where new mapping setups can be created and existing mapping setups can be renamed, modified, or deleted (see DGNMAPPING).

Mapping Preview for Setup

Lists all properties of both the exported DWG file in the DWG column and the selected mapping setup in the DGN column.

NoteThe reference properties are not listed in the preview, but any properties that apply to those references that are shown in the mapping preview are applied to the references as well.


DGNEXPORT Conversion Table (Quick Reference)

Export DGN Settings Dialog Box
DGNEXPORT
-DGNEXPORT
Commands > D commands > DGNEXPORT >
DGNEXPORT Conversion Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The following table lists the DGN objects and features that are supported for export, and notes on the scope of the translation.

DWG to DGN Conversion Table
AutoCAD | MicroStation | Notes
Geometric Objects | Geometric Elements | The following DWG objects are translated into DGN elements: line, xline, ray, polyline, arc, circle, spline (NURBS), ellipse, elliptical arc, point, donut, mline, hatch (including gradient fills), and wipeout. Variable width polylines maintain only their starting width when translated into SmartLines.
Layers | Levels | Invalid DWG characters in layer names are converted to spaces.
Colors | Colors | Colors are matched as closely as possible. Colors set with the ACI (AutoCAD Color Index) are translated directly to the DGN color index. If TrueColor is used and a direct match of RGB values is available in the DGN color index, the colors are also mapped directly. If a TrueColor match is not available, an RGB value is added to the DGN color index.
Linetypes | Line Styles | Custom linetypes are unsupported and could produce unexpected results.
Blocks | Cells | Blocks are exported as shared cells. Dynamic blocks are also exported as cells and lose their dynamic behavior. Invisible, Constant, Verify, and Preset attributes are all converted into tags.
Single-line Text Objects, Multiline Text Objects, Text Styles | Text, Text Nodes, Text Styles | The visual integrity of multiline text is maintained. However, if exported multiline text objects are edited in MicroStation, the formatting is lost. TrueType and SHX fonts in AutoCAD are exported to MicroStation V7 as Engineering. This can result in many visual differences.
Tables | Tables | Table objects are exported as cell elements composed of lines and text.
Fields | Fields | In general, fields are translated as static text. The exceptions are fields that behave identically in both products. This includes the Date fields CreateDate, SaveDate, and PlotDate, and the Document property fields Author, Filename, and Filesize. NoteUse the MicroStation Key-in utility to update text containing fields (field update all).
Dimensions, Dimension Styles | Dimensions, Dimension Styles | The size, spacing, style, and shape of dimensions may vary slightly. Dimension associativity is maintained whenever possible, and the correct dimension values are always maintained.
Raster Images | Raster Images | These image file types are supported: .bmp, .cal, .tif, .png, .tga, .jpg, .gif, .rlc, .bil, and .pcx. All other image file types are discarded.
DWG References | DGN References | Depending on the export option specified, all referenced DWG files, including nested DWG references, are either converted into DGN files, combined into a single DGN file as cells, or discarded. NoteMicroStation V7 does not support nested references to references that are merged into the host file.
DWG Model | DGN Design Model | The model in a DWG file is converted into a DGN file.
DWG Layout | DGN Sheet Model | When exporting to V8, any initialized layouts are converted into sheet models in the DGN file. V7 only supports one model. For V7, several DGN files can be exported: one for the model and the other DGN files for any initialized layouts in the DWG file. The layout names get appended to the exported DGN file <filename> - Layout1.dgn.
AEC Objects |  | AEC objects are not supported. Use the EXPORTTOAUTOCAD command to convert AEC objects to base ACAD objects before exporting to DGN.


-DGNEXPORT (Quick Reference)

DGNEXPORT Conversion Table
DGNEXPORT
DGNIMPORT
Commands > D commands > DGNEXPORT >
-DGNEXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -dgnexport at the Command prompt, the following prompts are displayed.

Enter DGN file format [V7/V8] <V8>: Specify whether the file is DGN V7 or V8

Enter filename for DGN export <default path\filename>: Specify path and filename of DGN file

Specify conversion units [Master/Sub] <Master>: Specify m or s, or press ENTER

Specify mapping setup or [?] <Standard>: Specify mapping setup or ? to specify filter of mapping setup

Specify seed file or [?] <default path\filename>: Specify path and filename of seed file

TipCreate a script using -DGNEXPORT to batch process exporting drawings to DGN files.

File Format

Specifies the file format of the DGN file being exported.

Filename

The file name can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program.

To avoid errors when entering a file name, it is recommended that you specify both the DGN file and path as follows:

path\filename

or

“path\filename”

Specify the path and file name of DGN file.

Units

Specifies a drawing-units value for scaling the DGN file.

Mapping Setups

Specifies the mapping setup of the selected design model.

If ? is entered, another prompt is displayed:

Enter mapping setup(s) to list <*>: Specify a filter...mapping setup

After specifying a filter, a list of available export mapping setups that match the filter is displayed and will re-prompt.

Seed File

Specify a seed file that matches the existing behavior of other commands with filters.

If ? is entered, another prompt is displayed:

Enter seed file(s) to list <*>: Specify a filter of seed files

After specifying a filter, a list of available seed files that match the filter is displayed and will re-prompt.


DGNIMPORT (Quick Reference)

-DGNEXPORT
DGNIMPORT
Import DGN Settings Dialog Box
Commands > D commands >
DGNIMPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports the data from a DGN file into a new DWG file.

Access Methods

Command entry: dgnimport

Summary

The Import DGN File dialog box (a standard file selection dialog box) is displayed. Once you select a DGN file, the Import DGN Settings dialog box is displayed.

If you enter -dgnimport at the Command prompt, options are displayed.

See the DGNIMPORT Conversion Table for specific details about the scope of importing MicroStation objects and other data.

See the DGNIMPORT Unit Mapping Table for specific details about unit conversions when importing MicroStation objects.

NoteThe type of plot style drawing (Color-dependent or Named) is based on the value of PSTYLEPOLICY.


Import DGN Settings Dialog Box (Quick Reference)

DGNIMPORT
DGNIMPORT
DGNIMPORT Conversion Table
Commands > D commands > DGNIMPORT >
Import DGN Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: dgnimport

Summary

Specifies the import settings for a DGN file.

Select a Design Model from the DGN file

The DGN design model that you select is imported into the model space of your current DWG file.

V8 DGN files might contain multiple design and sheet models. A DGN design model is equivalent to model space, and a DGN sheet model is equivalent to paper space. Because a DWG file can have only one model space, you need to select the design model in the DGN file that you want to import.

If a design model is selected and is referenced into a sheet model, then the sheet model is also converted as one or more layouts in the DWG file. Only the sheet models that reference the primary design model are imported. These sheet models are translated to paper space layouts, and will include layout viewports that display each reference to the primary design model.

External DGN References

Controls how DGN references are handled in a DWG environment. Any DGN files are supported as references. These file types include, but not limited to, these extensions: .dgn, .dwg,.cel,.s,.h, .cgm,.rdl,.d files. However, DXF files are not supported and are ignored.

Translate References to DWG Xrefs

All referenced DGN design models, including nested references, are converted into individual DWG files and attached as xrefs in model space.

The nesting relationships of these references are maintained. DGN design model references that reference the primary DGN design model, also called circular references or self references, are handled by creating a separate DWG copy of the DGN design model and attaching it to the primary DWG as an xref. Design model references to sheet models, and sheet model references to other sheet models are not supported and are ignored. Unique names for the referenced DWG files are generated by appending the model name to the design file name separated with a dash (-). If necessary, the resulting DWG file names is truncated and one or more of the last characters might be replaced with numerals to make the file name unique.

With the following set of options, you can choose whether or not to overwrite external reference files:

  • Prompt to Overwrite
  • Overwrite without Prompting
  • Do Not Overwrite
NoteIf a host folder is read-only, any DWG xrefs will be created in the My Documents (Windows XP) or Documents (Windows Vista) folder.
Ignore All External References

Referenced DGN and DWG files that are external to the specified DGN file are not included in the resulting DWG file.

If the DGN file has self references or references to other design models contained within the DGN file, these references are included.

Attach as DGN Underlay

All DGN external references in the DGN file are imported as DGN underlays in the resulting DWG file. Referenced DWG files remain xrefs when imported.

NoteNew DWG files are created in this process. These new DWGs are not automatically deleted.

Conversion Units

Select the appropriate conversion units for the translation. The imported DGN file contains working units (imperial or metric) called master units and sub-units. The selected working units (master units or sub-units) are converted one-for-one into DWG units.

Master Units

Specifies that one master unit of the imported DGN file converts to one DWG drawing unit.

Sub Units

Specifies that one sub-unit of the imported DGN file converts to one DWG drawing unit.

NoteThe master units and the sub-units of the selected DGN file are displayed next to the buttons for reference.

Explode Text Node to Text Elements

Text node elements in a DGN file are multiple lines of text stored as one element, and are similar to MTEXT objects. Check this option to maintain text which follows a path.

When cleared, multiple lines of text are maintained as a single multiline text object.

When checked, multiple lines of text are separated into individual text objects. Select this option to maintain visual fidelity when you import a DGN file that includes text created along a curved path. The first character determines the location and rotation of the text object.

Translate DGN Properties to DWG Properties

Selects and manages the mapping setup used on the current DGN import.

Select Mapping Setup

Displays the currently defined mapping setups.

Standard is the default mapping setup which extracts data from the drawing being exported and applies an automatic mapping to DGN layers, linetypes, lineweights, and colors, as shown in the mapping preview.

Setup Description

Displays the description of the selected mapping setup.

Mapping Setups

Opens the DGN Mapping Setups dialog box where new mapping setups can be created and existing mapping setups can be renamed, modified, or deleted (see DGNMAPPING).

Mapping Preview for Setup

Lists all properties of both the imported DGN file in the DGN column and the selected mapping setup in the DWG column.

NoteExternal reference files properties are not listed in a mapping preview.

See the DGNIMPORT Conversion Table for specific details about the scope of importing MicroStation objects and other data.

See the DGNIMPORT Unit Mapping Table for specific details about unit conversions when importing MicroStation objects.


DGNIMPORT Conversion Table (Quick Reference)

Import DGN Settings Dialog Box
DGNIMPORT
DGNIMPORT Unit Mapping Table
Commands > D commands > DGNIMPORT >
DGNIMPORT Conversion Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The following table lists the DGN objects and features that are supported for import, and notes on the scope of the translation.

DGN to DWG Conversion Table
MicroStation AutoCAD

Notes

Geometric Elements | Geometric Objects | The following DGN elements are translated into DWG objects: line, SmartLine, LineString, multiline, shape, complex chain, complex shape, arc, ellipse, curve, B-spline curve, and pattern. Pattern elements are limited to simple pattern styles. Bitonal gradient properties are also supported.
Levels

Layers

DGN levels are mapped automatically into the equivalent DWG layers. Invalid DGN characters in level names are converted to spaces.

Colors | Colors | All colors are translated using RGB values either to the ACI (AutoCAD Color Index) or TrueColor index as appropriate.
Line Styles Linetypes

Only simple line styles using solid lines, dashes, and dots are supported. Unsupported custom line styles are converted into continuous linetypes.

Dynamically scaled line styles are converted into fixed-scale linetypes. The resulting linetypes use a scale near the middle of the scaling range of the dynamic line style.

NoteTo import standard V7 line styles correctly, you must “Fit View” and “Save Settings” in MicroStation first.
Cells

Blocks

Cells are converted into blocks. Tags that are associated with cells are converted into constant-mode block attributes.

Text Elements, Text Styles Single-line Text Objects, Multiline Text Objects, Text Styles Missing SHX text fonts are converted into the AutoCAD text font specified in the FONTALT system variable. The acad.fmp file can be used to map SHX text fonts to DGN text fonts.

TrueType fonts and SHX fonts in AutoCAD are exported to MicroStation V7 as Engineering. This can result in many visual differences.

Tables | Tables | Cells that represent tables in DGN are imported as blocks.
Dimensions, Dimension Styles | Dimensions, Dimension Styles | The size, spacing, style, and shape of dimensions may vary slightly. Dimension associativity is maintained whenever possible, and the correct dimension values are always maintained.
Fields Fields

In general, fields are translated as static text. The exceptions are fields that behave identically in both products. This includes the Date fields CreateDate, SaveDate, and PlotDate, and the Document property fields Author, Filename, and Filesize.

Fields are converted to text when “Explode Text Nodes to Text Elements” is checked in the Import DGN Settings dialog box.

Raster Images | Raster Images | These image file types: .bmp, .cal, .tif, .png, .tga, .jpg, .pcx, .gif, .rlc, .bil, and .pct are supported. All other image file types are not.
DGN References | DWG References | .dwg and .dgn file types are supported. Other non-DGN file types such as .cel, .h, .s, .d, .rdl, and .cgm are also supported.
DGN Design Model | DWG Model | The selected design model in a DGN file is converted into a DWG file.
DGN Sheet Model | DWG Layout | Only the sheet models that reference the primary design model are imported. DGN sheet models are translated as layouts in a DWG file.


DGNIMPORT Unit Mapping Table (Quick Reference)

DGNIMPORT Conversion Table
DGNIMPORT
-DGNIMPORT
Commands > D commands > DGNIMPORT >
DGNIMPORT Unit Mapping Table
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The following table lists the linear units used in the resulting DWG file as determined by the master units, sub-units, and unit precision of the DGN file being imported.

DGN to DWG Unit Mapping Table
DGN Master Units | DGN Sub Units | DGN Precision | DWG Units | Notes
Feet | Inches | Decimal | Engineering |
Feet | Inches | Fractional | Architectural |
Inches | Inches | Decimal | Engineering |
Inches | Inches | Fractional | Architectural |
Inches | Any Other Unit | Decimal | Engineering | Master Units selected in the Import DGN Settings dialog box.
Inches | Any Other Unit | Decimal | Decimal | Sub Units selected in the Import DGN Settings dialog box.
Inches | Any Other Unit | Fractional | Architectural | Master Units selected in the Import DGN Settings dialog box
Inches | Any Other Unit | Fractional | Fractional | Sub Units selected in the Import DGN Settings dialog box
Inches | Any Other Unit | Decimal | Decimal |
Any Other Unit | Any Other Unit | Fractional | Fractional |

For import of a V7 file, Master unit label will be read and will use the following table to set the Master units based on the unit translation table. The Resolution value will be used to set the Sub units.

NoteUnknown labels will be treated as “meters” and “decimeters.”
V7 DGN Unit Translation Table
DGN Label | Name | DGN Label | Name
km | kilometers | mi | miles
m | meters | yd | yard
dc | decimeters | ft | feet
cm | centimeters | in | inches
mm | millimeters | tn | 1/10 feet
um | microns | ti | 1/10 inches
 |  | ui | micro inches
 |  | ‘ | feet
 |  | “ | inches
 |  | ‘ | feet


-DGNIMPORT (Quick Reference)

DGNIMPORT Unit Mapping Table
DGNIMPORT
DGNLAYERS
Commands > D commands > DGNIMPORT >
-DGNIMPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -dgnimport at the Command prompt, the following prompts are displayed.

Enter filename for DGN Import: Specify path and filename of DGN file

Enter name of model or [?] <Default>: Enter the name of the design model in the DGN file, enter ? to list all design models, or press Enter

Specify conversion units [Master/Sub] <Master>: Specify m or s, or press Enter

Specify mapping setup or [?] <Standard>: Specify mapping setup or ? to specify filter command

TipCreate a script using -DGNIMPORT to batch process importing of DGN files.

Filename

The file name can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program.

To avoid errors when entering a file name, it is recommended that you specify both the DGN file and path as follows:

path\filename.dgn

or

“path\filename.dgn”

If you enter a valid DGN file name without a file extension, the program adds the extension and search for the file.

? - List of Design Models

Lists all design models contained in the DGN file.

Units

Specifies a drawing-units value for scaling the DGN file.

Mapping Setups

Specifies the mapping setup of the selected design model.

If ? is entered, another prompt is displayed:

Enter mapping setup(s) to list <*>: Specify a filter of mapping setup

After specifying a filter, a list of available import mapping setups that match the filter is displayed and will re-prompt.


DGNLAYERS (Quick Reference)

-DGNIMPORT
DGNLAYERS
DGNMAPPING
Commands > D commands >
DGNLAYERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of layers in a DGN underlay.

Access Methods

Shortcut menu: Select a DGN underlay, right-click in the drawing area, and choose DGN Layers.
Command entry: dgnlayers

Summary

After selecting the DGN underlay, the Underlay Layers dialog box is displayed.

NoteThe ULAYERS command allows you to manage the layers of all underlays in the current document: DWF, DWFx, PDF, and DGN.


DGNMAPPING (Quick Reference)

DGNLAYERS
DGNMAPPING
DGN Mapping Setups Dialog Box
Commands > D commands >
DGNMAPPING
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Allows users to create and edit user-defined DGN mapping setups.

Command entry: dgnmapping

The DGN Mapping Setups dialog box is displayed. It can also be accessed from the Import DGN Settings and Export DGN Settings dialog boxes.

The import/export process translates basic DGN/DWG data into the corresponding DWG/DGN data. The Standard (default) mapping translation is used to map DGN levels, linestyles, lineweights, and colors to equivalent DWG layers, linetypes, lineweights, and colors.

The DGNMAPPINGcommand allows you to create, modify, rename, or delete mapping translations based on your company’s CAD standards such as:

  • Change DGN level names to appropriate DWG layer names
  • Remap unsupported DGN linestyles to DWG linetypes
  • Remap lineweights and adjust color mapping

Therefore, you can streamline the import/export process while minimizing the need for more extensive editing.

The list of translation mapping setups is sorted by mapping type, based on where it was accessed from. The Standard mapping setup is always on the top of the list. This mapping setup is the default translation based on the file being imported or exported. It is not editable.


DGN Mapping Setups Dialog Box (Quick Reference)

DGNMAPPING
DGNMAPPING
New Mapping Setup Dialog Box
Commands > D commands > DGNMAPPING >
DGN Mapping Setups Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: dgnmapping

Creates new mapping setups, renames mapping setups, modifies mapping setups, and deletes mapping setups.

Current User

Displays the user’s login name.

Name

Lists all mapping setups. If the setup name is too long to be completely displayed, an ellipsis (...) is shown at the end.

Type

Specifies the mapping setup type: import or export.

Description

Displays the description of the selected mapping setup.

New

Displays the New Mapping Setup dialog box, in which you can define a new mapping setup.

Rename

Starts in-place editing of the currently selected mapping setup (direct editing in the list).

NoteThe Rename button is disabled when the Standard mapping setup is selected.

Modify

Displays the Modify DGN Mapping Setup dialog box, in which you can modify the currently selected mapping setup.

NoteThe Modify button is disabled when the Standard mapping setup is selected.

Delete

Deletes the currently selected mapping setup. After deletion, the mapping setup directly below the one deleted is selected. If there is none below, the one directly above it is selected.

NoteThe Delete button is disabled when the Standard mapping setup is selected.


New Mapping Setup Dialog Box (Quick Reference)

DGN Mapping Setups Dialog Box
DGNMAPPING
Modify DGN Mapping Setup Dialog Box
Commands > D commands > DGNMAPPING >
New Mapping Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: dgnmapping

Names the new mapping setup, sets the mapping setup on which to start the new one, and indicates the mapping types to which you want the new style to apply.

Current User

Displays the user’s login name.

New DGN Mapping Setup Name

Specifies the new mapping setup name.

Based On

Sets a mapping setup to use as a basis for the new one. For the new mapping setup, you change only the properties that differ from the properties you start with.

Mapping Type

Specifies what type of mapping setup to create.

Import

Specifies an import mapping type.

Export

Specifies an export mapping type.

Continue button

Opens the Modify DGN Mapping Setup dialog box. Depending on the mapping type selected (Import or Export), the appropriate import/export dialog box is displayed.


Modify DGN Mapping Setup Dialog Box (Quick Reference)

New Mapping Setup Dialog Box
DGNMAPPING
Select Color Dialog Box
Commands > D commands > DGNMAPPING >
Modify DGN Mapping Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: dgnmapping

Sets the properties for the selected mapping setup. When you choose Continue in the New Mapping Setup dialog box, the Modify DGN Mapping Setup dialog box is displayed. You define the properties for the new mapping setup in this dialog box. The dialog box initially displays the properties of the mapping setup that you selected.

The Modify DGN Mapping Setup dialog box includes the following tabs:

  • Layer
  • Linetype
  • Lineweight
  • Color

Layer

The corresponding cells are automatically filled with the default mapping. The properties are added depending on which of the following mapping setups you are currently working on. Whenever the target cell is blank (right-hand column), the default system mapping is used. You can only make changes to the right-hand column of the Layer tab. The left-hand column is not editable. Use the Add Properties buttons to add layers/levels to the current mapping setup.

New mapping setup: If you have accessed the Modify DGN Mapping Setup dialog box by creating a new mapping setup from the Import/Export DGN Settings dialog boxes, the rows are populated with all defined levels in the imported DGN file or all defined layers in the current drawing file.

Existing mapping setup: If you are editing an existing mapping setup (even if you are editing a setup other than Standard from the Import (or Export) DGN Settings dialog box), the properties listed in the mapping table are not derived from the imported DGN file or the exported drawing file.

Linetype

You can map linetypes and linestyles by editing the right-hand column of the Linetype tab. Select a cell in the right-hand column, and click the drop-down list to select a linetype or linestyle that the property in the left-hand column should be mapped to. Linetypes can be loaded for use in the mapping setup by selecting Other from the drop-down list. The left-hand column is not editable. Use the Add Properties buttons to add linetypes/linestyles to the current mapping setup.

Export mapping setup: If you have accessed the Modify DGN Mapping Setups dialog box by creating a new setup from the Export DGN Settings dialog box, the DWG column includes all defined linetypes in the current drawing file. Whenever the target cell is blank (right-hand column), we will use the default system mapping.

You can directly type DGN linestyle names in the cells in the right column. If unknown linestyle names are added to the right column of the mapping table, they are ignored and default to Continuous.

Import mapping setup: If you are in the Modify DGN Mapping Setup dialog box by creating a new setup from the Import DGN Settings dialog box, the DGN column includes all defined DGN linestyles in the imported DGN file, as well as the DGN seed file used when the DGN file was created.

When remapping linetypes in the DWG column, only linetypes from the acad.lin and acadiso.lin files are supported (depending on Units or Measurement type of file). Linetypes stored in custom LIN files are not supported.

Lineweight

A predefined set of lineweights is displayed which provides the best match between lineweights used in DGN and DWG files. You can copy and paste single or multiple lineweights using the right-click menu in the right-hand column. You can only make changes on the right-hand column of the Lineweight tab. The left-hand column is not editable.

Color

You can map color values between DGN to DWG files. By default the Color tab is blank and the default color mapping is used. Color translations between DGN color values is done to the closest AutoCAD color values and AutoCAD color values are mapped to the closest DGN color values. The Color tab is the only tab that allows editing in both columns. Values in the left-hand column must be unique. To remap colors, right-click either column and select Add Color from the right-click menu.

DGN column: Selecting Add Color… from the right-click menu allows you to add a valid DGN color value to the cell. Valid colors include 0-255, ByLevel and ByCell. The DWG column is automatically populated with the equivalent RGB value. You can modify a DGN color by double-clicking the cell and typing a different value.

DWG column: Selecting Add Color… from the right-click menu brings up the Select Color dialog box. You can add ACI colors, true colors or color from a Color Book. The DGN column is automatically populated with the DGN equivalent color value. You can modify a DWG color by clicking the cell and selecting an option from the drop-down list. The drop-down list displays the standard color list as well as a list of colors previously added to the DWG column and the Select Color option.

Add Properties from DGN File

Opens the Add Properties from DGN File dialog box (a standard file selection dialog box). The level and linestyle properties from the chosen DGN file are added to the DGN columns in the Modify DGN Mapping Setups dialog box table.

In Files of Type, the drop-down list includes MicroStation DGN (*.dgn) and All DGN Files (*.*) to recognize DGN files that have other extensions.

NoteOnly unique properties are added to the list in the Layer and Linetype tabs when adding properties from files.

Add Properties from Drawing File

Opens the Add Properties from Drawing File dialog box (a standard file selection dialog box). The layer and linetype properties from the chosen DWT/DWG/DWS files are added to the DWG columns in the Modify DGN Mapping Setups dialog box table.

In Files of Type, the drop-down list includes the following:

  • Drawing template (*.dwt)
  • Drawing (*.dwg)
  • Standards (*.dws)

Setup Description

Specifies a mapping setup description. You can also edit the description for an existing mapping setup.

NoteOnly unique properties are added to the list in the Layer and Linetype tabs when adding properties from files.


Select Color Dialog Box (Quick Reference)

Modify DGN Mapping Setup Dialog Box
DGNMAPPING
DIM and DIM1
Commands > D commands > DGNMAPPING >
Select Color Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: dgnmapping

The Select Color dialog box is displayed when you click Select Color from the color drop-down list. This dialog contains 3 tabs:

The Select Color dialog box includes the following tabs:

  • Index Color
  • True Color
  • Color Books


DIM and DIM1 (Quick Reference)

Select Color Dialog Box
DIM and DIM1
DIMALIGNED
Commands > D commands >
DIM and DIM1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Accesses Dimensioning mode.

Command entry: dim or dim1

Dim: Enter a Dimensioning mode command

The Dim prompt indicates that you're in Dimensioning mode, in which you can use a special set of dimensioning commands. (DIM and DIM1 are provided only for compatibility with previous releases.)

Use DIM to remain in Dimensioning mode after you have used a dimensioning command. Use DIM1 to execute a dimensioning command and immediately return to the Command prompt. To exit Dimensioning mode, enter e or exit, or press ESC.

Dimensioning Mode Commands

The following commands are available at the DIM prompt.

Dimensioning mode commands
Command | Description
EXIT | Exits Dimensioning mode and returns to the Command prompt. You can also press ESC to exit Dimensioning mode.
REDRAW | Redraws the current viewport.
STYLE | Changes the current text style.
UNDO or U | Erases the most recently created dimension objects and cancels any new dimension system variable setting. When you exit Dimensioning mode, UNDO reverses the effects of the entire dimensioning session.

The following table shows which AutoCAD commands are equivalent to the rest of the Dimensioning mode commands. For information about these Dimensioning mode commands, see the equivalent AutoCAD command.

Dimensioning mode command equivalents
Dimensioning mode command | Equivalent command
ALIGNED | DIMALIGNED
ANGULAR | DIMANGULAR
BASELINE | DIMBASELINE
CENTER | DIMCENTER
CONTINUE | DIMCONTINUE
DIAMETER | DIMDIAMETER
HOMETEXT | DIMEDIT Home
HORIZONTAL | DIMLINEAR Horizontal
LEADER | LEADER
JOG | DIMJOGGED
NEWTEXT | DIMEDIT New
OBLIQUE | DIMEDIT Oblique
ORDINATE | DIMORDINATE
OVERRIDE | DIMOVERRIDE
RADIUS | DIMRADIUS
RESTORE | -DIMSTYLE Restore
ROTATED | DIMLINEAR Rotated
SAVE | -DIMSTYLE Save
STATUS | -DIMSTYLE Status
TEDIT | DIMTEDIT
TROTATE | DIMEDIT Rotate
UPDATE | -DIMSTYLE Apply
VARIABLES | -DIMSTYLE Variables
VERTICAL | DIMLINEAR Vertical


DIMALIGNED (Quick Reference)

DIM and DIM1
DIMALIGNED
DIMANGULAR
Commands > D commands >
DIMALIGNED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an aligned linear dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] AlignedNot available on the ribbon in the current workspace.
Menu: Dimension [image] AlignedNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimaligned

Specify first extension line origin or <select object>: Specify a point for manual extension lines, or press ENTER for automatic extension lines

After you specify either manual or automatic extension lines, the following prompt is displayed:

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Creates a linear dimension that is aligned with the origin points of the extension lines.

Extension Line Origin

Specifies the first extension line origin (1). You are prompted to specify the second one.

Specify second extension line origin: Specify a point (2)

Object Selection

Automatically determines the origin points of the first and second extension lines after you select an object.

Select object to dimension:

For polylines and other explodable objects, only the individual line and arc segments are dimensioned. You cannot select objects in a nonuniformly scaled block reference.

If you select a line or an arc, its endpoints are used as the origins of the extension lines. The extension lines are offset from the endpoints by the distance specified in Offset from Origin on the Lines and Arrows tab of the New, Modify, and Override Dimension Style dialog boxes (see DIMSTYLE). This value is stored in the DIMEXO system variable.

If you select a circle, the endpoints of its diameter are used as the origins of the extension line. The point used to select the circle defines the origin of the first extension line.

Dimension Line Location

Specifies the placement of the dimension line and determines the direction to draw the extension lines. After you specify the location, the DIMALIGNED command ends.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. The generated measurement is represented with angle brackets (< >). To add a prefix or a suffix to the generated measurement, enter the prefix or suffix before or after the angle brackets. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the angle brackets, enter the new dimension text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>:

Enter the dimension text, or press ENTER to accept the generated measurement. To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 45 degrees, enter 45.

After you specify the angle, the Dimension Line Location prompt is redisplayed.


DIMANGULAR (Quick Reference)

DIMALIGNED
DIMANGULAR
DIMARC
Commands > D commands >
DIMANGULAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an angular dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] AngularNot available on the ribbon in the current workspace.
Menu: Dimension [image] AngularNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimangular

Select arc, circle, line, or <specify vertex>: Select an arc, circle, or line, or press ENTER to create the angular dimension by specifying three points

After you define the angle to dimension, the following prompt is displayed:

Specify dimension arc line location or [Mtext/Text/Angle/Quadrant]:

Measures the angle between selected objects or 3 points. Objects that can be selected include arcs, circles, and lines, among others.

Arc Selection

Uses points on the selected arc as the defining points for a three-point angular dimension. The center of the arc is the angle vertex. The arc endpoints become the origin points of the extension lines.

The dimension line is drawn as an arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line.

Circle Selection

Uses the selection point (1) as the origin of the first extension line. The center of the circle is the angle vertex.

Specify second angle endpoint: Specify a point (2)

The second angle endpoint is the origin of the second extension line and does not have to lie on the circle.

Line Selection

Defines the angle using two lines.

Select second line:

The program determines the angle by using each line as a vector for the angle and the intersection of the lines for the angle vertex. The dimension line spans the angle between the two lines. If the dimension line does not intersect the lines being dimensioned, extension lines are added as needed to extend one or both lines. The arc is always less than 180 degrees.

Three-Point Specification

Creates a dimension based on three points you specify.

Specify angle vertex: Specify a point (1)

Specify first angle endpoint: Specify a point (2)

Specify second angle endpoint: Specify a point (3)

The angle vertex can be the same as one of the angle endpoints. If you need extension lines, the endpoints are used as origin points.

The dimension line is drawn as an arc between the extension lines. The extension lines are drawn from the angle endpoints to the intersection of the dimension line.

Dimension Arc Line Location

Specifies the placement of the dimension line and determines the direction to draw the extension lines. After you specify the location, DIMANGULAR ends.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>:

Enter the dimension text, or press ENTER to accept the generated measurement. To include the generated measurement, use angle brackets (< >) to represent the generated measurement.

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 45 degrees, enter 45.

Quadrant

Specifies the quadrant that the dimension should be locked to. When quadrant behavior is on, the dimension line is extended past the extension line when the dimension text is positioned outside of the angular dimension.

Specify quadrant: Specify a quadrant


DIMARC (Quick Reference)

DIMANGULAR
DIMARC
DIMBASELINE
Commands > D commands >
DIMARC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an arc length dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] Arc LengthNot available on the ribbon in the current workspace.
Menu: Dimension [image] Arc LengthNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimarc

Select arc or polyline arc segment: Use an object selection method

Specify arc length dimension location or [Mtext/Text/Angle/Partial/Leader]: Specify a point or enter an option

Arc length dimensions measure the distance along an arc or polyline arc segment. The extension lines of an arc length dimension can be orthogonal or radial. An arc symbol is displayed either above or preceding the dimension text.

Arc Length Dimension Location

Specifies the placement of the dimension line and determines the direction of the extension lines.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>:

Enter the dimension text, or press ENTER to accept the generated measurement. To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 45 degrees, enter 45.

Partial

Reduces the length of the arc length dimension.

Specify first point for arc length dimension:

Specify a point on the arc where the arc length dimension should begin.

Specify second point for arc length dimension:

Specify a point on the arc where the arc length dimension should end.

Leader

Adds a leader object. This option is displayed only if the arc (or arc segment) is greater than 90 degrees. The leader is drawn radially, pointing towards the center of the arc being dimensioned.

Specify arc length dimension location or [Mtext/Text/Angle/Partial/No leader]:

Specify a point or enter an option. The leader is created automatically. The No Leader option cancels the Leader option before the leader is created. To remove a leader, delete the arc length dimension and recreate it without the leader option.


DIMBASELINE (Quick Reference)

DIMARC
DIMBASELINE
DIMBREAK
Commands > D commands >
DIMBASELINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a linear, angular, or ordinate dimension from the baseline of the previous or selected dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] BaselineNot available on the ribbon in the current workspace.
Menu: Dimension [image] BaselineNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimbaseline

The default spacing between baseline dimensions can be set from the Dimension Style Manager, Lines tab, Baseline Spacing (DIMDLI system variable).

If no dimension was created in the current session, you are prompted to select a linear, ordinate, or angular dimension to use as the base for the baseline dimension.

Select base dimension: Select a linear, ordinate, or angular dimension

Otherwise, the program skips this prompt and uses the dimension object that was last created in the current session. If the base dimension is linear or angular, the following prompt is displayed:

Specify a second extension line origin or [Undo/Select] <Select>: Specify a point, enter an option, or press ENTER to select a base dimension

If the base dimension is ordinate, the following prompt is displayed:

Specify feature location or [Undo/Select] <Select>:

To end the command, press ENTER twice, or press ESC. The current dimension style determines the appearance of the text.

Second Extension Line Origin

By default, the first extension line of the base dimension is used as the extension line origin for the baseline dimension. To override this default behavior, explicitly select the base dimension; the extension line origin becomes the extension line of the base dimension closest to the pick point of the selection. When you select a second point, the baseline dimension is drawn and the Specify a Second Extension Line Origin prompt is redisplayed. To end the command, press ESC. To select another linear, ordinate, or angular dimension to use as the basis for the baseline dimension, press ENTER.

Select base dimension: Select a linear, ordinate, or angular dimension

Select a base dimension, or press ESC to end the command.

Feature Location

Uses the endpoint of the base dimension as the endpoint for the baseline dimension; you are prompted for the next feature location. When you select a feature location, the baseline dimension is drawn and the Specify Feature Location prompt is redisplayed. To end the command, press ESC. To select another linear, ordinate, or angular dimension to use as the basis for the baseline dimension, press ENTER.

Select base dimension: Select a linear, ordinate, or angular dimension

Select a base dimension, or press ESC to end the command.

Undo

Undoes the last baseline dimension entered during this command session.

Select

Prompts you to select a linear, ordinate, or angular dimension to use as the base for the baseline dimension. After you select a base dimension, the Specify Second Extension Line Origin prompt or the Specify Feature Location prompt is redisplayed.


DIMBREAK (Quick Reference)

DIMBASELINE
DIMBREAK
DIMCENTER
Commands > D commands >
DIMBREAK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Breaks or restores dimension and extension lines where they cross other objects.

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] Break. Not available on the ribbon in the current workspace.
Toolbar: Dimension
Menu: Dimension [image] Dimension BreakAt the Command prompt, enter DIMBREAK.
Command entry: dimbreak

Summary

Dimension breaks can be added to linear, angular, and ordinate dimensions, among others.

List of Prompts

Select a dimension to add/remove break or [Multiple]: Select a dimension, or enter m and press ENTER

After you select a dimension, the following prompt is displayed:

Select object to break dimension or [Auto/Manual/Remove] <Auto>: Select an object that intersects the dimension or extension lines of the selected dimension, enter an option, or press ENTER

After you select an object to break the dimension with, the following prompt is displayed:

Select object to break dimension: Select an object that passes through the dimension or press ENTER to end the command

NoteDimension breaks can be added to dimensions for objects that do not intersect the dimension or extension lines using the by Manual option.

Multiple

Specifies multiple dimensions to add breaks to or remove breaks from.

Select dimensions: Use an object selection method and press ENTER

Select object to break dimensions or [Auto/Remove] <Auto>: Enter an option or press ENTER

Auto

Places dimension breaks automatically at all the intersection points of the objects that intersect the selected dimension. Any dimension break created using this option is updated automatically when the dimension or an intersecting object is modified.

When a new object is drawn over the top of a dimension that has any dimension breaks, no new dimension breaks are automatically applied at the intersecting points along the dimension object. To add the new dimension breaks, must be run the command again.

Remove

Removes all dimension breaks from the selected dimensions.

Manual

Places a dimension break manually. You specify two points on the dimension or extension lines for the location of the break. Any dimension break that is created using this option is not updated if the dimension or intersecting objects are modified. You can only place a single manual dimension break at a time with this option.

Specify first break point: Specify a point

Specify second break point: Specify a point


DIMCENTER (Quick Reference)

DIMBREAK
DIMCENTER
DIMCONSTRAINT
Commands > D commands >
DIMCENTER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates the center mark or the centerlines of circles and arcs.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] Center MarkNot available on the ribbon in the current workspace.
Menu: Dimension [image] Center MarkNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimcenter

Select arc or circle: Use an object selection method

The default sizes of the center mark components can be set from the Dimension Style Manager, Symbols and Arrows tab, Center Marks (DIMCEN system variable).

You can choose between center marks and centerlines and specify their size when you set up the dimension style. See DIMSTYLE. You can also change center mark settings using the DIMCEN system variable.


DIMCONSTRAINT (Quick Reference)

DIMCENTER
DIMCONSTRAINT
DIMCONTINUE
Commands > D commands >
DIMCONSTRAINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies dimensional constraints to selected objects or points on objects.

Access Methods

Button

Ribbon: Parametric tab [image] Dimensional panel [image] HorizontalNot available on the ribbon in the current workspace.
Menu: Parametric [image] Dimensional Constraints [image] HorizontalNot available in menus in the current workspace.
Toolbar: Dimensional Constraints
Command entry: dimconstraint

Applies a dimensional constraint to an object or between constraint points on objects.

The following prompt is displayed when you enter DIMCONSTRAINT:

Select a dimension or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form <Aligned>:Select an existing dimension or enter the value

NoteThe L option (last object drawn) is not allowed in the DIMCONSTRAINT command as the constraint behavior is dependent on where you pick the object.

Select either an existing associative dimension or dimensional constraint type.

  • If an associative dimension is selected, it is converted into a dimensional constraint. This action constrains the objects associated with the associative dimension.
  • If a constraint type option is selected, specify the points or object to dimensionally constrain.

The following table outlines the valid constraint points for an object.

Objects | Valid Constraint Points
Line | Endpoints, Midpoint
Arc | Center, Endpoints, Midpoint
Spline | Endpoints
Ellipse, Circle | Center
Polyline | Endpoints, midpoints of line and arc subobjects, center of arc subobjects
Block, Xref, Text, Mtext, Attribute, Table | Insertion point

After you specify the dimensional constraint type, you can either enter an expression value or accept the default (constraintname=value).

Linear

Creates a horizontal, vertical, or rotated constraint based on the locations of the extension line origins and the dimension line.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:linear

Additional Prompts

Object

Selects an object instead of a constraint point. Press Enter or click the drop-down list to select the object.

Valid Objects or Points

Characteristics

Line

Polyline subobjects

Arc

Two constraint points on objects

  • When a line or an arc is selected, the horizontal or vertical distance between the endpoints of the object is constrained.

Horizontal

Constrains the X distance between points on an object, or between two points on different objects.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:horizontal

Additional Prompts

Object

Selects an object instead of a constraint point. Press Enter or click the drop-down list to select the object.

Valid Objects or Points

Characteristics

Line

Polyline subobjects

Arc

Two constraint points on objects

  • When a line or an arc is selected, the horizontal distance between the endpoints of the object is constrained.

Vertical

Constrains the Y distance between points on an object, or between two points on different objects.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:vertical

Additional Prompts

Object

Selects an object instead of a constraint point. Press Enter or click the drop-down list to select the object.

Valid Objects or Points

Characteristics

Line

Polyline subobjects

Arc

Two constraint points on objects

  • When a line or an arc is selected, the vertical distance between the endpoints of the object is constrained.

Aligned

Constrains the distance between two points on an object or between two points on different objects.

When you apply the aligned constraint between two lines, the lines are made parallel, and the constraint controls the distance between the parallel lines.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:aligned

Additional Prompts

Object

Selects an object instead of a constraint point. Press Enter or click the drop-down list to select the object.

Point & Line

Selects a point and a line object. The aligned constraint controls the distance between a point and the closest point on a line.

2Lines

Selects two line objects. The lines are made parallel and the aligned constraint controls the distance between the two lines.

Valid Objects or Points

Characteristics

Line

Polyline subobjects

Arc

Two constraint points on objects

Line and constraint point

Two lines

  • When a line or an arc is selected, the distance between the endpoints of the object is constrained.
  • When a line and a constraint point are selected, the distance between the point and the closest point on the line is constrained.
  • When two lines are selected, the distance between the lines is constrained.

Angular

Constrains the angle between line or polyline segments, the angle swept out by an arc or a polyline arc segment, or the angle between three points on objects.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:angular

Additional Prompts

3Point

Selects three valid constraint points on the object.

Valid Objects or Points

Characteristics

Pair of lines

Pair of polyline subobjects

Three constraint points

Arc

  • When you select two lines, the angle between the lines is constrained. The initial value always defaults to a value less than 180 degrees.
  • When you specify three constraint points, the following applies:
    • First point — angle vertex
    • Second and third points — endpoints of the angle
  • When you select an arc, a three-point angular constraint is created. The angle vertex is at the center of the arc and the angle endpoints of the arc are at the endpoints of the arc.

When you enter or edit an angle value that is either negative or is greater than 360 degrees, the number entered is stored for the expression (for example, 390), but the value displayed is based on the formatting of the units (for example, 30 if decimal degrees).

When an expression with variables evaluates to greater than 360 or less than -360, the constraint value is displayed in the Parameters Manager palette based on the units of the drawing.

Radial

Constrains the radius of a circle or arc.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:radial

Valid Objects or Points

Characteristics

Circle

Arc

  • Constrains the radius of the circle or arc.

Diameter

Constrains the diameter of a circle or arc.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:diameter

Valid Objects or Points

Characteristics

Circle

Arc

  • Constrains the diameter of the circle or arc.

Form

Specifies whether the dimensional constraint created is dynamic or annotational.

Select a dimension to convert or [LInear/Horizontal/Vertical/Aligned/ANgular/Radial/Diameter/Form] <LInear>:form

Setting the value for this command sets the Constraint Form property of the object.


DIMCONTINUE (Quick Reference)

DIMCONSTRAINT
DIMCONTINUE
DIMDIAMETER
Commands > D commands >
DIMCONTINUE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a dimension that starts from an extension line of a previously created dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ContinueNot available on the ribbon in the current workspace.
Menu: Dimension [image] ContinueNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimcontinue

Automatically continues creating additional dimensions from the last linear, angular, or ordinate dimension created, or from a selected extension line. The dimension lines are lined up automatically.

If no dimension was created in the current session, you are prompted to select a linear, ordinate, or angular dimension to use as the base for the continued dimension.

Select continued dimension: Select a linear, ordinate, or angular dimension

Otherwise, the program skips this prompt and uses the dimension object that was last created in the current session. If the base dimension is linear or angular, the following prompt is displayed:

Specify a second extension line origin or [Undo/Select] <Select>: Specify a point, enter an option, or press ENTER to select a base dimension

If the base dimension is ordinate, the following prompt is displayed:

Specify feature location or [Undo/Select] <Select>:

To end the command, press ENTER twice, or press ESC. The current dimension style determines the appearance of the text.

Second Extension Line Origin

Uses the second extension line origin of the continued dimension for the first extension line origin of the next dimension. The current dimension style determines the appearance of the text.

After you select a continued dimension, the Specify a Second Extension Line Origin prompt is redisplayed. To end the command, press ESC. To select another linear, ordinate, or angular dimension to use as the basis for the continued dimension, press ENTER.

Select continued dimension: Select a linear, ordinate, or angular dimension

Select a base dimension, or press ESC to end the command.

Feature Location

Uses the endpoint of the base dimension as the endpoint for the continued dimension; you are prompted for the next feature location. When you select a feature location, the continued dimension is drawn and the Specify Feature Location prompt is redisplayed. To end the command, press ESC. To select another linear, ordinate, or angular dimension to use as the basis for the continued dimension, press ENTER.

Select continued dimension: Select a linear, ordinate, or angular dimension

Select a base dimension, or press ESC to end the command.

Undo

Undoes the last continued dimension entered during the command session.

Select

Prompts you to select a linear, ordinate, or angular dimension to use as the continued dimension. After you select a continued dimension, the Specify a Second Extension Line Origin prompt or the Specify Feature Location prompt is redisplayed. To end the command, press ESC.


DIMDIAMETER (Quick Reference)

DIMCONTINUE
DIMDIAMETER
DIMDISASSOCIATE
Commands > D commands >
DIMDIAMETER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a diameter dimension for a circle or an arc.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] DiameterNot available on the ribbon in the current workspace.
Menu: Dimension [image] DiameterNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimdiameter

Select arc or circle:

Measures the diameter of a selected circle or arc, and displays the dimension text with a diameter symbol in front of it. You can use grips to easily reposition the resulting diameter dimension.

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Dimension Line Location

Determines the angle of the dimension line and the location of the dimension text. If the dimension is placed off of an arc resulting in the dimension pointing outside the arc, AutoCAD automatically draws an arc extension line.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the dimension text.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>:

Enter the dimension text, or press ENTER to accept the generated measurement. To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 45 degrees, enter 45.

After you specify the angle, the Dimension Line Location prompt is redisplayed.


DIMDISASSOCIATE (Quick Reference)

DIMDIAMETER
DIMDISASSOCIATE
DIMEDIT
Commands > D commands >
DIMDISASSOCIATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes associativity from selected dimensions.

Command entry: dimdisassociate

Select dimensions to disassociate: Select one or more dimensions and then press ENTER

DIMDISASSOCIATE filters the selection set to include only associative dimensions that are not on locked layers, and that are not in a different space than the current space (for example, if model space is active, associative dimensions in paper space are excluded). DIMDISASSOCIATE then disassociates these dimensions and reports the number of dimensions that are filtered out and the number that are disassociated.


DIMEDIT (Quick Reference)

DIMDISASSOCIATE
DIMEDIT
DIMINSPECT
Commands > D commands >
DIMEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits dimension text and extension lines.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ObliqueNot available on the ribbon in the current workspace
Menu: Dimension [image] ObliqueNot available in menus in the current workspace
Toolbar: Dimension , Oblique
Command entry: dimedit

Enter type of dimension editing [Home/New/Rotate/Oblique] <Home>: Enter an option or press ENTER

Rotates, modifies, or restores dimension text. Changes the oblique angle of extension lines. The companion command that moves text and the dimension line is DIMTEDIT.

Home

Moves rotated dimension text back to its default position.

Select objects: Use an object selection method to select dimension objects

The selected dimension text is returned to its default position and rotation as specified in its dimension style.

New

Changes dimension text using the In-Place Text Editor.

The generated measurement is represented with angle brackets (< >). To add a prefix or a suffix to the generated measurement, enter the prefix or suffix before or after the angle brackets. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the angle brackets, enter the new dimension text, and then choose OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

Rotate

Rotates dimension text. This option is similar to the Angle option of DIMTEDIT.

Enter text angle:

Entering 0 places the text in its default orientation, which is determined by the vertical and horizontal text settings on the Text tab of the New, Modify, and Override Dimension Style dialog boxes. See DIMSTYLE. The DIMTIH and DIMTOH system variables control this orientation.

Select objects: Use an object selection method to select dimension objects

Oblique

Adjusts the oblique angle of the extension lines for linear dimensions.

Select objects: Use an object selection method to select dimension objects

Enter oblique angle (press ENTER for none): Enter an angle or press ENTER


DIMINSPECT (Quick Reference)

DIMEDIT
DIMINSPECT
Inspection Dimension Dialog Box
Commands > D commands >
DIMINSPECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds or removes inspection information for a selected dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] InspectNot available on the ribbon in the current workspace.
Menu: Dimension [image] InspectionNot available in menus in the current workspace
Toolbar: Dimension
Command entry: diminspect

Summary

Inspection dimensions specify how frequently manufactured parts should be checked to ensure that the dimension value and tolerances of the parts are within the specified range.

The Inspection Dimension Dialog Box is displayed and allows you to add or remove inspection dimensions from an existing dimension. Inspection dimensions allow you to effectively communicate how frequently manufactured parts should be checked to ensure that the dimension value and tolerances of the parts are within the specified range.

If you enter -diminspect at the Command prompt, options are displayed.


Inspection Dimension Dialog Box (Quick Reference)

DIMINSPECT
DIMINSPECT
-DIMINSPECT
Commands > D commands > DIMINSPECT >
Inspection Dimension Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] InspectNot available on the ribbon in the current workspace.
Menu: Dimension [image] InspectionNot available in menus in the current workspace
Toolbar: Dimension
Command entry: diminspect

Allows you to add or remove an inspection dimension from selected dimensions. Use the Shape and Inspection Label/Rate settings to the appearance of the frame of the inspection dimension and the inspection rate value.

Select Dimensions

Specifies the dimensions that an inspection dimension should be added to or removed from.

You can select dimensions before or after the Inspection Dimension dialog box is displayed. To select dimensions when the Inspection Dimension dialog box is displayed, click Select Dimensions. The dialog box temporarily closes. When you finish selecting dimensions, press ENTER. The Inspection Dimension dialog box is redisplayed.

Remove Inspection

Removes the inspection dimension from the selected dimension.

Shape

Controls the shape of the frame that is drawn around the label, dimension value, and inspection rate of the inspection dimension.

Round

Creates a frame with semi-circles on the two ends; the fields within the frame are separated by vertical lines.

Angular

Creates a frame with lines that form a 90-degree angle on the two ends; the fields within the frame are separated by vertical lines.

None

Specifies that no frame is drawn around the values; the fields are not separated by vertical lines.

Label/Inspection Rate

Specifies the label text and inspection rate for an inspection dimension.

Label

Turns the display of the label field on and off.

Label Value

Specifies the label text.

The label is displayed in the leftmost section of the inspection dimension when the Label check box is selected.

Inspection Rate

Turns the display of the rate field on and off.

Inspection Rate Value

Specifies how frequent a part should be inspected.

The value is expressed as a percentage, and the valid range is 0 to 100. The inspection rate is displayed in the rightmost section of the inspection dimension when the Inspection Rate check box is selected.


-DIMINSPECT (Quick Reference)

Inspection Dimension Dialog Box
DIMINSPECT
DIMJOGGED
Commands > D commands > DIMINSPECT >
-DIMINSPECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -diminspect at the Command prompt, the following prompts are displayed.

Add inspection data or [Remove] <Add>: Enter an option or press ENTER

Add

Adds an inspection dimension to the selected dimensions.

Select dimensions: Use an object selection method to select dimension objects and press ENTER when you finish

After you select dimension objects, the following prompt is displayed:

Enter shape option [Round/Angular/None] <Round>: Enter an option or press ENTER

Round

Creates a frame with semi-circles on the two ends; the fields within the frame are separated by vertical lines.

Angular

Creates a frame with lines that form a 90-degree angle on the two ends; the fields within the frame are separated by vertical lines.

None

Specifies that no frame is drawn around the values; the fields are not separated by vertical lines.

After you specify a frame shape, the following prompt is displayed:

Enter label data or <None>: Enter a value for the inspection label or press ENTER

None

No label is displayed with the inspection dimension.

After you specify a label, the following prompt is displayed:

Enter inspection rate <100%>: Enter a value for the inspection rate or press ENTER

Remove

Removes the inspection dimension from the selected dimensions.

Select dimensions: Use an object selection method and press ENTER when you finish

After you press ENTER, a status string of the number of inspection dimensions that were removed is displayed at the Command prompt.

n of inspection removed

n represents the number of inspections removed from the selected dimension objects.


DIMJOGGED (Quick Reference)

-DIMINSPECT
DIMJOGGED
DIMJOGLINE
Commands > D commands >
DIMJOGGED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates jogged dimensions for circles and arcs.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] JoggedNot available on the ribbon in the current workspace
Menu: Dimension [image] JoggedNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimjogged

Summary

DIMJOGGED measures the radius of the selected object and displays the dimension text with a radius symbol in front of it. The origin point of the dimension line can be specified at any convenient location.

NoteJogged radius dimensions are also called foreshortened radius dimensions.

Creates jogged radius dimensions when the center of an arc or circle is located off the layout and cannot be displayed in its true location. The origin point of the dimension can be specified at a more convenient location called the center location override.

List of Prompts

Select arc or circle: Select an arc, circle, or polyline arc segment

Specify center location override: Specify a point

Accepts a new center point for a jogged radius dimension that takes the place of the true center point of the arc or circle.

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Dimension Line Location

Determines the angle of the dimension line and the location of the dimension text. If the dimension is placed off of an arc resulting in the dimension pointing outside the arc, AutoCAD automatically draws an arc extension line.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>: Enter the dimension text, or press ENTER to accept the generated measurement

To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text: Enter an angle

For example, to rotate the text 45 degrees, enter 45.

Also determines the angle of the dimension line and the location of the dimension text.

Specify jog location: Specify a point

Locates the middle point of the jog. The transverse angle of the jog is determined by the Dimension Style Manager.


DIMJOGLINE (Quick Reference)

DIMJOGGED
DIMJOGLINE
DIMLINEAR
Commands > D commands >
DIMJOGLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds or removes a jog line on a linear or aligned dimension.

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Jog LineNot available on the ribbon in the current workspace
Menu: Dimension [image] Jogged LinearAt the Command prompt, enter dimjogline.
Toolbar: Dimension
Command entry: dimjogline

Summary

Jog lines in a dimension indicate a break in the objects being dimensioned. The dimension value represents the actual distance, rather than the measured distance in the drawing.

List of Prompts

Select dimension to add jogor [Remove]: Select a linear or aligned dimension

Add Jog

Specifies the linear or aligned dimension to which to add a jog. You are prompted for the location of the jog.

Specify jog location (or press ENTER): Specify a point for the location of the jog, or press ENTER to place the jog at the midpoint between the dimension text and the first extension line or the midpoint of the dimension line based on the location of the dimension text

Remove

Specifies the linear or aligned dimension from which to remove the jog.

Select jog to remove: Select a linear or aligned dimension


DIMLINEAR (Quick Reference)

DIMJOGLINE
DIMLINEAR
DIMORDINATE
Commands > D commands >
DIMLINEAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a linear dimension.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] LinearNot available on the ribbon in the current workspace.
Menu: Dimension [image] LinearNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimlinear

Creates a linear dimension with a horizontal, vertical, or rotated dimension line.

Specify first extension line origin or <select object>: Specify a point or press ENTER to select an object to dimension

After you specify the extension line origin points or the object to dimension, the following prompt is displayed:

Specify dimension line location or [Mtext/Text/Angle/Horizontal/Vertical/Rotated]: Specify a point or enter an option

First Extension Line Origin

Prompts for the origin point of the second extension line after you specify the origin point of the first.

Specify second extension line origin: Specify a point (2)

Dimension Line Location

Uses the point you specify to locate the dimension line and determines the direction to draw the extension lines. After you specify the location, the dimension is drawn.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>:

Enter the dimension text, or press ENTER to accept the generated measurement. To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 90 degrees, enter 90.

Horizontal

Creates horizontal linear dimensions.

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Dimension Line Location

Uses the point you specify to locate the dimension line. After you specify the location, the dimension is drawn.

Mtext, Text, Angle

These text editing and formatting options are identical in all dimension commands. See the option descriptions provided earlier in this command.

Vertical

Creates vertical linear dimensions.

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Dimension Line Location

Uses the point you specify to locate the dimension line. After you specify the location, the dimension is drawn.

Mtext, Text, Angle

These text editing and formatting options are identical in all dimension commands. See the option descriptions provided earlier in this command.

Rotated

Creates rotated linear dimensions.

Specify angle of dimension line <current>: Specify an angle or press ENTER

Object Selection

Automatically determines the origin points of the first and second extension lines after you select an object.

Select object to dimension:

For polylines and other explodable objects, only the individual line and arc segments are dimensioned. You cannot select objects in a non-uniformly scaled block reference.

If you select a line or an arc, the line or arc endpoints are used as the origins of the extension lines. The extension lines are offset from the endpoints by the distance you specify in Offset from Origin in the Lines and Arrows tab of the New, Modify, and Override Dimension Style dialog boxes. See DIMSTYLE. This value is stored in the DIMEXO system variable.

If you select a circle, the diameter endpoints are used as the origins of the extension line. When the point used to select the circle is close to the north or south quadrant point, a horizontal dimension is drawn. When the point used to select the circle is close to the east or west quadrant point, a vertical dimension is drawn.


DIMORDINATE (Quick Reference)

DIMLINEAR
DIMORDINATE
DIMOVERRIDE
Commands > D commands >
DIMORDINATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates ordinate dimensions.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] OrdinateNot available on the ribbon in the current workspace.
Menu: Dimension [image] OrdinateNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimordinate

Specify feature location: Specify a point or snap to an object

Specify leader endpoint or [Xdatum/Ydatum/Mtext/Text/Angle]: Specify a point or enter an option

Ordinate dimensions measure the horizontal or vertical distance from an origin point called the datum to a feature, such as a hole in a part. These dimensions prevent escalating errors by maintaining accurate offsets of the features from the datum.

Leader Endpoint Specification

Uses the difference between the feature location and the leader endpoint to determine whether it is an X or a Y ordinate dimension. If the difference in the Y ordinate is greater, the dimension measures the X ordinate. Otherwise, it measures the Y ordinate.

Xdatum

Measures the X ordinate and determines the orientation of the leader line and dimension text. The Leader Endpoint prompt is displayed, where you can specify the endpoint.

Ydatum

Measures the Y ordinate and determines the orientation of the leader line and dimension text. The Leader Endpoint prompts are displayed, where you can specify the endpoint.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete the text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements. After you choose OK, the Leader Endpoint prompt is redisplayed.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>: Enter the dimension text, or press ENTER to accept the generated measurement

To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes. After you press ENTER, the Leader Endpoint prompt is redisplayed.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text:

Enter an angle. For example, to rotate the text 45 degrees, enter 45.

After you specify the angle, the Leader Endpoint prompt is redisplayed.


DIMOVERRIDE (Quick Reference)

DIMORDINATE
DIMOVERRIDE
DIMRADIUS
Commands > D commands >
DIMOVERRIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls overrides of system variables used in selected dimensions.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] OverrideNot available on the ribbon in the current workspace.
Menu: Dimension [image] OverrideNot available in menus in the current workspace
Command entry: dimoverride

Overrides a specified dimensioning system variable for selected dimensions, or clears the overrides of selected dimension objects, returning them to the settings defined by their dimension style.

Enter dimension variable name to override or [Clear overrides]: Enter the name of a dimension variable, or enter c

Dimension Variable Name to Override

Overrides the value of the dimensioning system variable you specify.

Enter new value for dimension variable <current>: Enter a value or press ENTER

If you enter a new value, the Dimension Variable Name to Override prompt is redisplayed. If you press ENTER, you are prompted to select the dimensions.

Select objects: Use an object selection method to select the dimensions

The overrides to the selected dimensions are applied.

Clear Overrides

Clears any overrides on selected dimensions.

Select objects: Use an object selection method to select the dimensions

The overrides are cleared, and the dimension objects return to the settings defined by their dimension style.


DIMRADIUS (Quick Reference)

DIMOVERRIDE
DIMRADIUS
DIMREASSOCIATE
Commands > D commands >
DIMRADIUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a radius dimension for a circle or an arc.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] RadiusNot available on the ribbon in the current workspace.
Menu: Dimension [image] RadiusNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimradius

Select arc or circle:

Specify dimension line location or [Mtext/Text/Angle]: Specify a point or enter an option

Measures the radius of a selected circle or arc and displays the dimension text with a radius symbol in front of it. You can use grips to reposition the resulting radius dimension easily.

Dimension Line Location

Determines the angle of the dimension line and the location of the dimension text. If the dimension is placed off of an arc resulting in the dimension pointing outside the arc, AutoCAD automatically draws an arc extension line.

Mtext

Displays the In-Place Text Editor, which you can use to edit the dimension text. To add a prefix or a suffix, enter the prefix or suffix text before or after the generated measurement. Use control codes and Unicode character strings to enter special characters or symbols. See Control Codes and Special Characters.

To edit or replace the generated measurement, delete text, enter the new text, and then click OK. If alternate units are not turned on in the dimension style, you can display them by entering square brackets ([ ]). For more information about formatting dimension text, see Change Existing Objects in the User's Guide.

The current dimension style determines the appearance of the generated measurements.

Text

Customizes the dimension text at the Command prompt. The generated dimension measurement is displayed within angle brackets.

Enter dimension text <current>: Enter the dimension text, or press ENTER to accept the generated measurement

To include the generated measurement, use angle brackets (< >) to represent the generated measurement. If alternate units are not turned on in the dimension style, you can display alternate units by entering square brackets ([ ]).

Dimension text properties are set on the Text tab of the New, Modify, and Override Dimension Style dialog boxes.

Angle

Changes the angle of the dimension text.

Specify angle of dimension text: Enter an angle

For example, to rotate the text 45 degrees, enter 45.


DIMREASSOCIATE (Quick Reference)

DIMRADIUS
DIMREASSOCIATE
DIMREGEN
Commands > D commands >
DIMREASSOCIATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Associates or reassociates selected dimensions to objects or points on objects.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ReassociateNot available on the ribbon in the current workspace.
Menu: Dimension [image] Reassociate DimensionsNot available in menus in the current workspace
Command entry: dimreassociate

Each selected dimension is highlighted in turn, and prompts for association points appropriate for the selected dimension are displayed.

A marker is displayed for each association point prompt.

  • If the definition point of the current dimension is not associated to a geometric object, the marker appears as an X
  • if the definition point is associated, the marker appears as an X inside a box.

Select dimensions to reassociate: Select dimension objects

NoteThe marker disappears if you pan or zoom with a wheel mouse.

Press ESC to terminate the command without losing the changes that were already specified. Use UNDO to restore the previous state of the changed dimensions.

The prompts for the different types of dimensions are:

Linear

Specify first extension line origin or [Select object] <next>: Specify an object snap location, enter s and select a geometric object, or press ENTER to skip to the next prompt

Specify second extension line origin <next>: Specify an object snap location, or press ENTER to skip to the next dimension object, if any

Aligned

Specify first extension line origin or [Select object] <next>: Specify an object snap location, enter s and select a geometric object, or press ENTER to skip to the next prompt

Specify second extension line origin <next>: Specify an object snap location, or press ENTER to skip to the next dimension object, if any

Angular (Three Point)

Specify angle vertex or [Select arc or circle] <next>: Specify an object snap location, enter s and select an arc or a circle, or press ENTER to skip to the next prompt

Specify first angle endpoint <next>: Specify an object snap location or press ENTER to skip to the next prompt

Specify second angle endpoint <next>: Specify an object snap location or press ENTER to skip to the next dimension object, if any

Angular (Two Line)

Select first line <next>: Select a line, or press ENTER to skip to the next prompt

Select second line <next>: Select another line, or press ENTER to skip to the next dimension object, if any

Diameter

Select arc or circle <next>: Select an arc or a circle, or press ENTER to skip to the next dimension object, if any

Leader

Specify leader association point <next>: Specify an object snap location, or press ENTER to skip to the next dimension object, if any

Ordinate

Specify feature location <next>: Specify an object snap location, or press ENTER to skip to the next dimension object, if any

Radius

Select arc or circle <next>: Select an arc or a circle, or press ENTER to skip to the next dimension object, if any

NoteDIMREASSOCIATE does not change the setting of DIMLFAC in a dimension. Use DIMOVERRIDE to clear dimension linear factors in legacy drawings.


DIMREGEN (Quick Reference)

DIMREASSOCIATE
DIMREGEN
DIMSPACE
Commands > D commands >
DIMREGEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates the locations of all associative dimensions.

Command entry: dimregen

The locations of all associative dimensions in the current drawing are updated.

Associative dimensions need to be updated manually with DIMREGEN in the following cases:

  • After panning or zooming with a wheel mouse in a layout with model space active; update associative dimensions created in paper space.
  • After opening a drawing containing external references that are dimensioned in the current drawing; update associative dimensions if the associated external reference geometry has been modified.
NoteAfter opening a drawing that has been modified with a previous version, the association between dimensions and objects or points may need to be updated. You can use the DIMREASSOCIATE command to reassociate modified dimensions with the objects or points that they dimension.


DIMSPACE (Quick Reference)

DIMREGEN
DIMSPACE
DIMSTYLE
Commands > D commands >
DIMSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjusts the spacing between linear dimensions or angular dimensions.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] Adjust SpaceNot available on the ribbon in the current workspace.
Menu: Dimension [image] Adjust SpaceNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimspace

Select base dimension: Select a parallel linear or angular dimension

Select dimensions to space: Select a parallel linear or angular dimension to equally space from the base dimension and press ENTER

Enter value or [Auto] <Auto>: Specify a spacing distance or press ENTER

The spacing between parallel dimension lines is made equal. You can also make the dimension lines of a series of linear or angular dimensions line up by using a spacing value of 0.

Spacing is applied only to parallel linear dimensions or to angular dimensions that share a common vertex.

Enter Spacing Value

Applies a spacing value to the selected dimensions from the base dimension. For example, if you enter a value of 0.5000, all selected dimensions will be separated by a distance of 0.5000.

You can use a spacing value of 0 (zero) to align the dimension lines of selected linear and angular dimensions end to end.

Auto

Calculates the spacing distance automatically based on the text height specified in the dimension style of the selected base dimension. The resulting spacing value is twice the height of the dimension text.


DIMSTYLE (Quick Reference)

DIMSPACE
DIMSTYLE
Dimension Style Manager
Commands > D commands >
DIMSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates and modifies dimension styles.

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] [image] [image] Dimension Style
Menu: Format [image] Dimension StyleNot available in menus in the current workspace
Toolbar: Styles
Command entry: dimstyle

Summary

The Dimension Style Manager is displayed.

A dimension style is a named collection of dimension settings that control the appearance of dimensions. You create dimension styles to specify the format of dimensions quickly, and to ensure that dimensions conform to standards.

If you enter -dimstyle at the Command prompt, options are displayed.


Dimension Style Manager (Quick Reference)

DIMSTYLE
DIMSTYLE
Create New Dimension Style Dialog Box
Commands > D commands > DIMSTYLE >
Dimension Style Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] [image] [image] Dimension Style
Menu: Format [image] Dimension StyleNot available in menus in the current workspace
Toolbar: Styles
Command entry: dimstyle

Summary

Creates new styles, sets the current style, modifies styles, sets overrides on the current style, and compares styles.

List of Options

The following options are available in this dialog box.

Current Dimension Style

Displays the name of the dimension style that is current. The default dimension style is STANDARD. The current style is applied to dimensions you create.

Styles

Lists dimension styles in the drawing. The current style is highlighted. Right-click in the list to display a shortcut menu with options to set the current style, rename styles, and delete styles. You cannot delete a style that is current or in use in the current drawing. A [image] icon before the style name indicates that the style is annotative.

Unless you select Don't List Styles in Xrefs, dimension styles are displayed in externally referenced drawings using the syntax for externally referenced named objects. (See Overview of Referenced Drawings (Xrefs) in the User's Guide.) Although you cannot change, rename, or make current externally referenced dimension styles, you can create new styles based on them.

The item selected in List controls the dimension styles displayed. To make a style current, select it and click Set Current.

List

Controls the display of styles in the Styles list. Select All Styles if you want to see all dimension styles in a drawing. Select Styles in Use if you want to see only the dimension styles currently used by dimensions in the drawing.

Don’t List Styles in Xrefs

When selected, suppresses display of dimension styles in externally referenced drawings in the Styles list.

Preview

Shows a graphic representation of the style selected in the Styles list.

Description

Describes the style selected in the Styles list relative to the current style. If the description is longer than the space provided, you can click in the pane and use arrow keys to scroll down.

Set Current

Sets the style selected under Styles to current. The current style is applied to dimensions you create.

New

Displays the Create New Dimension Style dialog box, in which you can define a new dimension style.

Modify

Displays the Modify Dimension Styles dialog box, in which you can modify dimension styles. Dialog box options are identical to those in the New Dimension Style dialog box.

Override

Displays the Override Current Style dialog box, in which you can set temporary overrides to dimension styles. Dialog box options are identical to those in the New Dimension Style dialog box. Overrides are displayed as unsaved changes under the dimension style in the Styles list.

Compare

Displays the Compare Dimension Styles dialog box, in which you can compare two dimension styles or list all the properties of one dimension style.


Create New Dimension Style Dialog Box (Quick Reference)

Dimension Style Manager
DIMSTYLE
New, Modify, and Override Dimension Style Dialog Boxes
Commands > D commands > DIMSTYLE >
Create New Dimension Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] [image] [image] Dimension Style
Menu: Format [image] Dimension StyleNot available in menus in the current workspace
Toolbar: Styles
Command entry: dimstyle

Summary

Names the new dimension style, sets the style on which to start the new one, and indicates the dimension types to which you want the new style to apply.

List of Options

The following options are available in this dialog box.

New Style Name

Specifies the new dimension style name.

Start With

Sets a style to use as a basis for the new one. For the new style, you change only the properties that differ from the properties you start with.

Annotative

Specifies that the dimension style is annotative . Click the information icon to learn more about annotative objects.

Use For

Creates a dimension substyle that applies only to specific dimension types. For example, you could create a version of the STANDARD dimension style to be used only for diameter dimensions.

Continue

Displays the New Dimension Style dialog box, in which you define the new dimension style properties.


New, Modify, and Override Dimension Style Dialog Boxes (Quick Reference)

Create New Dimension Style Dialog Box
DIMSTYLE
Lines Tab
Commands > D commands > DIMSTYLE >
New, Modify, and Override Dimension Style Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] [image] [image] Dimension Style
Menu: Format [image] Dimension StyleNot available in menus in the current workspace
Toolbar: Styles
Command entry: dimstyle

Summary

Set properties for dimension styles. When you choose Continue in the Create New Dimension Style dialog box, the New Dimension Style dialog box is displayed. You define the properties for the new style in this dialog box. The dialog box initially displays the properties of the dimension style that you selected to start the new style in the Create New Dimension Style dialog box.

Choosing either Modify or Override in the Dimension Style Manager displays the Modify Dimension Style or the Override Dimension Style dialog box. The content of these dialog boxes is identical to the New Dimension Style dialog box, although you are modifying or overriding an existing dimension style rather than creating a new one.

The sample image on each tab displays the effects of each option.

List of Tabs

The New, Modify, and Override Dimension Style dialog boxes include the following tabs:

  • Lines
  • Symbols and Arrows
  • Text
  • Fit
  • Primary Units
  • Alternate Units
  • Tolerances


Lines Tab (Quick Reference)

New, Modify, and Override Dimension Style Dialog Boxes
New, Modify, and Override Dimension Style Dialog Boxes
Symbols and Arrows Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Lines Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets the format and properties for dimension lines, extension lines, arrowheads, and center marks.

List of Options

Sets the dimension line properties.

Dimension Lines

Color

Displays and sets the color for the dimension line. If you click Select Color (at the bottom of the Color list), the Select Color dialog box is displayed. You can also enter a color name or number. (DIMCLRD system variable)

You can select colors from the 255 AutoCAD Color Index (ACI) colors, true colors, and Color Book colors.

Linetype

Sets the linetype of the dimension line. (DIMLTYPE system variable)

Lineweight

Sets the lineweight of the dimension line. (DIMLWD system variable)

Extend Beyond Ticks

Specifies a distance to extend the dimension line past the extension line when you use oblique, architectural, tick, integral, and no marks for arrowheads. (DIMDLE system variable)

Baseline Spacing

Sets the spacing between the dimension lines of a baseline dimension. Enter a distance. For information about baseline dimensions, see DIMBASELINE. (DIMDLI system variable.)

Suppress

Suppresses display of dimension lines. Dim Line 1 suppresses the first dimension line; Dim Line 2 suppresses the second dimension line. (DIMSD1 and DIMSD2 system variables)

Extension Lines

Controls the appearance of the extension lines.

Color

Sets the color for the extension line. If you click Select Color (at the bottom of the Color list), the Select Color dialog box is displayed. You can also enter a color name or number. (DIMCLRE system variable.)

You can select colors from the 255 AutoCAD Color Index (ACI) colors, true colors, and Color Book colors.

Linetype Ext 1

Sets the linetype of the first extension line. (DIMLTEX1 system variable)

Linetype Ext 2

Sets the linetype of the second extension line. (DIMLTEX2 system variable)

Lineweight

Sets the lineweight of the extension line. (DIMLWE system variable)

Suppress

Suppresses the display of extension lines. Ext Line 1 suppresses the first extension line; Ext Line 2 suppresses the second extension line. (DIMSE1 and DIMSE2 system variables)

Extend Beyond Dim Lines

Specifies a distance to extend the extension lines above the dimension line. (DIMEXE system variable)

Offset From Origin

Sets the distance to offset the extension lines from the points on the drawing that define the dimension. (DIMEXO system variable)

Fixed Length Extension Lines

Enables fixed length extension lines. (DIMFXLON system variable)

Length

Sets the total length of the extension lines starting from the dimension line toward the dimension origin. (DIMFXL system variable)

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Symbols and Arrows Tab (Quick Reference)

Lines Tab
New, Modify, and Override Dimension Style Dialog Boxes
Text Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Symbols and Arrows Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets the format and placement for arrowheads, center marks, arc length symbols, and jogged radius dimensions.

List of Options

Arrowheads

Controls the appearance of the dimension arrowheads.

Note Annotative blocks cannot be used as custom arrowheads for dimensions or leaders.
First

Sets the arrowhead for the first dimension line. When you change the first arrowhead type, the second arrowhead automatically changes to match it. (DIMBLK1 system variable)

To specify a user-defined arrowhead block, select User Arrow. The Select Custom Arrow Block dialog box is displayed. Select the name of a user-defined arrowhead block. (The block must be in the drawing.)

Second

Sets the arrowhead for the second dimension line. (DIMBLK2 system variable)

To specify a user-defined arrowhead block, select User Arrow. The Select Custom Arrow Block dialog box is displayed. Select the name of a user-defined arrowhead block. (The block must be in the drawing.)

Leader

Sets the arrowhead for the leader line. (DIMLDRBLK system variable)

To specify a user-defined arrowhead block, select User Arrow. The Select Custom Arrow Block dialog box is displayed. Select the name of a user-defined arrowhead block. (The block must be in the drawing.)

Arrow Size

Displays and sets the size of arrowheads. (DIMASZ system variable)

Center Marks

Controls the appearance of center marks and centerlines for diameter and radial dimensions. The DIMCENTER, DIMDIAMETER, and DIMRADIUS commands use center marks and centerlines. For DIMDIAMETER and DIMRADIUS, the center mark is drawn only if you place the dimension line outside the circle or arc.

None

Creates no center mark or centerline. The value is stored as 0 in the DIMCEN system variable.

Mark

Creates a center mark. The size of the center mark is stored as a positive value in the DIMCEN system variable.

Line

Creates a centerline. The size of the centerline is stored as a negative value in the DIMCEN system variable.

Size

Displays and sets the size of the center mark or centerline. (DIMCEN system variable)

Dimension Break

Controls the gap width of dimension breaks.

Break Size

Displays and sets the size of the gap used for dimension breaks.

Arc Length Symbol

Controls the display of the arc symbol in an arc length dimension. (DIMARCSYM system variable)

Preceding Dimension Text

Places arc length symbols before the dimension text. (DIMARCSYM system variable)

Above Dimension Text

Places arc length symbols above the dimension text. (DIMARCSYM system variable)

None

Suppresses the display of arc length symbols. (DIMARCSYM system variable)

Radius Jog Dimensions

Controls the display of jogged (zigzag) radius dimensions.

Jogged radius dimensions are often created when the center point of a circle or arc is located off the page.

Jog Angle

Determines the angle of the transverse segment of the dimension line in a jogged radius dimension. (DIMJOGANG system variable)

Linear Jog Dimensions

Controls the display of the jog for linear dimensions.

Jog lines are often added to linear dimensions when the actual measurement is not accurately represent by the dimension. Typically the actual measurement is smaller than the desired value.

Linear Jog Size

Determines the height of the of the jog, which is determined by the distance between the two vertices of the angles that make up the jog.

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Text Tab (Quick Reference)

Symbols and Arrows Tab
New, Modify, and Override Dimension Style Dialog Boxes
Fit Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Text Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

List of Options

Sets the format, placement, and alignment of dimension text.

Text Appearance

Controls the dimension text format and size.

Text Style

Lists the available text styles.

Text Style Button

Displays the Text Style Dialog Box where you can create or modify text styles. (DIMTXSTY system variable)

Text Color

Sets the color for the dimension text. If you click Select Color (at the bottom of the Color list), the Select Color dialog box is displayed. You can also enter color name or number. (DIMCLRT system variable)

You can select colors from the 255 AutoCAD Color Index (ACI) colors, true colors, and Color Book colors.

Fill Color

Sets the color for the text background in dimensions. If you click Select Color (at the bottom of the Color list), the Select Color dialog box is displayed. You can also enter color name or number. (DIMTFILL and DIMTFILLCLR system variables)

You can select colors from the 255 AutoCAD Color Index (ACI) colors, true colors, and Color Book colors.

Text Height

Sets the height of the current dimension text style. Enter a value in the text box. If a fixed text height is set in the Text Style (that is, the text style height is greater than 0), that height overrides the text height set here. If you want to use the height set on the Text tab, make sure the text height in the Text Style is set to 0. (DIMTXT system variable)

Fraction Height Scale

Sets the scale of fractions relative to dimension text. This option is available only when Fractional is selected as the Unit Format on the Primary Units tab. The value entered here is multiplied by the text height to determine the height of dimension fractions relative to dimension text. (DIMTFAC system variable)

Draw Frame Around Text

When selected, draws a frame around dimension text. Selecting this option changes the value stored in the DIMGAP system variable to a negative value.

Text Placement

Controls the placement of dimension text.

Vertical

Controls the vertical placement of dimension text in relation to the dimension line. (DIMTAD system variable)

Vertical position options include the following:

  • Centered: Centers the dimension text between the two parts of the dimension line.
  • Above: Places the dimension text above the dimension line. The distance from the dimension line to the baseline of the lowest line of text is the current text gap. See the Offset from Dim Line option.
  • Outside: Places the dimension text on the side of the dimension line farthest away from the first defining point.
  • JIS: Places the dimension text to conform to a Japanese Industrial Standards (JIS) representation.
  • Below: Places the dimension text under the dimension line. The distance from the dimension line to the baseline of the lowest line of text is the current text gap. See the Offset from Dim Line option.

Horizontal

Controls the horizontal placement of dimension text along the dimension line, in relation to the extension lines. (DIMJUST system variable)

Horizontal position options include the following:

  • Centered: Centers the dimension text along the dimension line between the extension lines.
  • At Ext Line 1: Left-justifies the text with the first extension line along the dimension line. The distance between the extension line and the text is twice the arrowhead size plus the text gap value. See Arrowheads and Offset from Dim Line.
  • At Ext Line 2: Right-justifies the text with the second extension line along the dimension line. The distance between the extension line and the text is twice the arrowhead size plus the text gap value. See Arrowheads and Offset from Dim Line.

  • Over Ext Line 1: Positions the text over or along the first extension line.
  • Over Ext Line 2: Positions the text over or along the second extension line.

View Direction

Controls the dimension text viewing direction. (DIMTXTDIRECTION system variable)

View Direction includes the following options:

  • Left-to-Right: Places the text to enable reading from left to right.
  • Right-to-Left: Places the text to enable reading from right to left.
Offset from Dim Line

Sets the current text gap, which is the distance around the dimension text when the dimension line is broken to accommodate the dimension text.

This value is also used as the minimum length required for dimension line segments.

Text is positioned inside the extension lines only if the resulting segments are at least as long as the text gap. Text above or below the dimension line is placed inside only if the arrowheads, dimension text, and a margin leave enough room for the text gap. (DIMGAP system variable)

Text Alignment

Controls the orientation (horizontal or aligned) of dimension text whether it is inside or outside the extension lines. (DIMTIH and DIMTOH system variables)

Horizontal

Places text in a horizontal position.

Aligned with Dimension Line

Aligns text with the dimension line.

ISO Standard

Aligns text with the dimension line when text is inside the extension lines, but aligns it horizontally when text is outside the extension lines.

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Fit Tab (Quick Reference)

Text Tab
New, Modify, and Override Dimension Style Dialog Boxes
Primary Units Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Fit Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

List of Options

Controls the placement of dimension text, arrowheads, leader lines, and the dimension line.

Fit Options

Controls the placement of text and arrowheads based on the space available between the extension lines.

When space is available, text and arrowheads are placed between the extension lines. Otherwise, text and arrowheads are placed according to the Fit options. (DIMATFIT, DIMTIX, and DIMSOXD system variables)

Either Text or Arrows (Best Fit)

Moves either the text or the arrowheads outside the extension lines based on the best fit (DIMATFIT system variable).

  • When enough space is available for text and arrowheads, places both between the extension lines. Otherwise, either the text or the arrowheads are moved based on the best fit.
  • When enough space is available for text only, places text between the extension lines and places arrowheads outside the extension lines.
  • When enough space is available for arrowheads only, places them between the extension lines and places text outside the extension lines.
  • When space is available for neither text nor arrowheads, places them both outside the extension lines.
Arrows

Moves arrowheads outside the extension lines first, then text (DIMATFIT system variable).

  • When enough space is available for text and arrowheads, places both between the extension lines.
  • When space is available for arrowheads only, places them between the extension lines and places text outside them.
  • When not enough space is available for arrowheads, places both text and arrowheads outside the extension lines.
Text

Moves text outside the extension lines first, then arrowheads (DIMATFIT system variable).

  • When space is available for text and arrowheads, places both between the extension lines.
  • When space is available for text only, places the text between the extension lines and places arrowheads outside them.
  • When not enough space is available for text, places both text and arrowheads outside the extension lines.
Both Text and Arrows

When not enough space is available for text and arrowheads, moves both outside the extension lines (DIMATFIT system variable).

Always Keep Text Between Ext Lines

Always places text between extension lines. (DIMTIX system variable)

Suppress Arrows If They Don't Fit Inside Extension Lines

Suppresses arrowheads if not enough space is available inside the extension lines. (DIMSOXD system variable)

Text Placement

Sets the placement of dimension text when it is moved from the default position, that is, the position defined by the dimension style. (DIMTMOVE system variable)

Beside the Dimension Line

If selected, moves the dimension line whenever dimension text is moved. (DIMTMOVE system variable)

Over the Dimension Line, with Leader

If selected, dimension lines are not moved when text is moved. If text is moved away from the dimension line, a leader line is created connecting the text to the dimension line. The leader line is omitted when text is too close to the dimension line. (DIMTMOVE system variable)

Over the Dimension Line, Without Leader

If selected, dimension lines are not moved when text is moved. Text that is moved away from the dimension line is not connected to the dimension line with a leader. (DIMTMOVE system variable)

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.

Scale for Dimension Features

Sets the overall dimension scale value or the paper space scaling.

Annotative

Specifies that the dimension is annotative. Click the information icon to learn more about annotative objects.

Scale Dimensions To Layout

Determines a scale factor based on the scaling between the current model space viewport and paper space. (DIMSCALE system variable)

When you work in paper space, but not in a model space viewport, or when TILEMODE is set to 1, the default scale factor of 1.0 is used or the DIMSCALE system variable.

Use Overall Scale Of

Sets a scale for all dimension style settings that specify size, distance, or spacing, including text and arrowhead sizes. This scale does not change dimension measurement values. (DIMSCALE system variable)

Fine Tuning

Provides additional options for placing dimension text.

Place Text Manually

Ignores any horizontal justification settings and places the text at the position you specify at the Dimension Line Location prompt. (DIMUPT system variable)

Draw Dim Line Between Ext Lines

Draws dimension lines between the measured points even when the arrowheads are placed outside the measured points. (DIMTOFL system variable)


Primary Units Tab (Quick Reference)

Fit Tab
New, Modify, and Override Dimension Style Dialog Boxes
Alternate Units Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Primary Units Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

List of Options

Sets the format and precision of primary dimension units and sets prefixes and suffixes for dimension text.

Linear Dimensions

Sets the format and precision for linear dimensions.

Unit Format

Sets the current units format for all dimension types except Angular. (DIMLUNIT system variable)

The relative sizes of numbers in stacked fractions are based on the DIMTFAC system variable (in the same way that tolerance values use this system variable).

Precision

Displays and sets the number of decimal places in the dimension text. (DIMDEC system variable)

Fraction Format

Sets the format for fractions. (DIMFRAC system variable)

Decimal Separator

Sets the separator for decimal formats. (DIMDSEP system variable)

Round Off

Sets rounding rules for dimension measurements for all dimension types except Angular. If you enter a value of 0.25, all distances are rounded to the nearest 0.25 unit. If you enter a value of 1.0, all dimension distances are rounded to the nearest integer. The number of digits displayed after the decimal point depends on the Precision setting. (DIMRND system variable)

Prefix

Includes a prefix in the dimension text. You can enter text or use control codes to display special symbols. For example, entering the control code %%c displays the diameter symbol. When you enter a prefix, it overrides any default prefixes such as those used in diameter and radius dimensioning. (DIMPOST system variable)

If you specify tolerances, the prefix is added to the tolerances as well as to the main dimension.

For more information, see Control Codes and Special Characters.

Suffix

Includes a suffix in the dimension text. You can enter text or use control codes to display special symbols. For example, entering the text mm results in dimension text similar to that shown in the illustration. When you enter a suffix, it overrides any default suffixes. (DIMPOST system variable)

If you specify tolerances, the suffix is added to the tolerances as well as to the main dimension.

For more information, see Control Codes and Special Characters.

Measurement Scale

Defines linear scale options. Applies primarily to legacy drawings.

Scale Factor: Sets a scale factor for linear dimension measurements. It is recommended that you do not change this value from the default value of 1.00. For example, if you enter 2, the dimension for a 1-inch line is displayed as two inches. The value does not apply to angular dimensions and is not applied to rounding values or to plus or minus tolerance values. (DIMLFAC system variable)

Apply to Layout Dimensions Only: Applies the measurement scale factor only to dimensions created in layout viewports. Except when using nonassociative dimensions, this setting should remain unchecked. (DIMLFAC system variable)

Zero Suppression

Controls the suppression of leading and trailing zeros and of feet and inches that have a value of zero. (DIMZIN system variable)

Zero suppression settings also affect real-to-string conversions performed by the AutoLISP® rtos and angtos functions.

Leading: Suppresses leading zeros in all decimal dimensions. For example, 0.5000 becomes .5000. Select leading to enable display of dimension distances less than one unit in sub units.

Sub-units factor: Sets the number of sub units to a unit. It is used to calculate the dimension distance in a sub unit when the distance is less than one unit. For example, enter 100 if the suffix is m and the sub-unit suffix is to display in cm.

Sub-unit suffix: Includes a suffix to the dimension value sub unit. You can enter text or use control codes to display special symbols. For example, enter cm for .96m to display as 96cm.

Trailing: Suppresses trailing zeros in all decimal dimensions. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet: Suppresses the feet portion of a feet-and-inches dimension when the distance is less than one foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches: Suppresses the inches portion of a feet-and-inches dimension when the distance is an integral number of feet. For example, 1'-0" becomes 1'.

Angular Dimensions

Displays and sets the current angle format for angular dimensions.

Units Format

Sets the angular units format. (DIMAUNIT system variable)

Precision

Sets the number of decimal places for angular dimensions. DIMADEC system variable)

Zero Suppression

Controls the suppression of leading and trailing zeros. (DIMAZIN system variable)

Leading

Suppresses leading zeros in angular decimal dimensions. For example, 0.5000 becomes .5000.

You can also display dimension distances less than one unit in sub units.

Sub-units factor

Sets the number of sub units to a unit. It is used to calculate the dimension distance in a sub unit when the distance is less than one unit. For example, enter 100 if the suffix is m and the sub-unit suffix is to display in cm.

Sub-unit suffix

Includes a suffix to the dimension text sub unit. You can enter text or use control codes to display special symbols. For example, enter cm to for .96m to display as 96cm.

Trailing

Suppresses trailing zeros in angular decimal dimensions. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet

Suppresses the feet portion of a feet-and-inches dimension when the distance is less than 1 foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches

Suppresses the inches portion of a feet-and-inches dimension when the distance is an integral number of feet. For example, 1'-0" becomes 1'.

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Alternate Units Tab (Quick Reference)

Primary Units Tab
New, Modify, and Override Dimension Style Dialog Boxes
Tolerances Tab
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Alternate Units Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

List of Options

Specifies display of alternate units in dimension measurements and sets their format and precision.

Display Alternate Units

Adds alternate measurement units to dimension text. Sets the DIMALT system variable to 1.

Alternate Units

Displays and sets the current alternate units format for all dimension types except Angular.

Unit Format

Sets the unit format for alternate units. (DIMALTU system variable)

The relative sizes of numbers in stacked fractions are based on DIMTFAC (in the same way that tolerance values use this system variable).

Precision

Sets the number of decimal places for alternate units. (DIMALTD system variable)

Multiplier for Alternate Units

Specifies the multiplier used as the conversion factor between primary and alternate units. For example, to convert inches to millimeters, enter 25.4. The value has no effect on angular dimensions, and it is not applied to the rounding value or the plus or minus tolerance values. (DIMALTF system variable)

Round Distances To

Sets rounding rules for alternate units for all dimension types except Angular. If you enter a value of 0.25, all alternate measurements are rounded to the nearest 0.25 unit. If you enter a value of 1.0, all dimension measurements are rounded to the nearest integer. The number of digits displayed after the decimal point depends on the Precision setting. (DIMALTRND system variable)

Prefix

Includes a prefix in the alternate dimension text. You can enter text or use control codes to display special symbols. For example, entering the control code %%c displays the diameter symbol. (DIMAPOST system variable)

For more information, see Control Codes and Special Characters.

Suffix

Includes a suffix in the alternate dimension text. You can enter text or use control codes to display special symbols. For example, entering the text cm results in dimension text similar to that shown in the illustration. When you enter a suffix, it overrides any default suffixes. (DIMAPOST system variable)

For more information, see Control Codes and Special Characters.

Zero Suppression

Controls the suppression of leading and trailing zeros and of feet and inches that have a value of zero. (DIMALTZ system variable)

Leading

Suppresses leading zeros in all decimal dimensions. For example, 0.5000 becomes .5000.

Sub-units factor

Sets the number of sub units to a unit. It is used to calculate the dimension distance in a sub unit when the distance is less than one unit. For example, enter 100 if the suffix is m and the sub-unit suffix is to display in cm.

Sub-unit suffix

Includes a suffix to the dimension value sub unit. You can enter text or use control codes to display special symbols. For example, enter cm for .96m to display as 96cm.

Trailing

Suppresses trailing zeros in all decimal dimensions. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet

Suppresses the feet portion of a feet-and-inches dimension when the distance is less than 1 foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches

Suppresses the inches portion of a feet-and-inches dimension when the distance is an integral number of feet. For example, 1'-0" becomes 1'.

Placement

Controls the placement of alternate units in dimension text.

After Primary Value

Places alternate units after the primary units in dimension text.

Below Primary Value

Places alternate units below the primary units in dimension text.

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Tolerances Tab (Quick Reference)

Alternate Units Tab
New, Modify, and Override Dimension Style Dialog Boxes
Compare Dimension Styles Dialog Box
Commands > D commands > DIMSTYLE > New, Modify, and Override Dimension Style Dialog Boxes >
Tolerances Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

List of Options

Controls the display and format of dimension text tolerances.

Tolerance Format

Controls the tolerance format.

Method

Sets the method for calculating the tolerance. (DIMTOL system variable)

  • None: Does not add a tolerance. The DIMTOL system variable is set to 0.
  • Symmetrical: Adds a plus/minus expression of tolerance in which a single value of variation is applied to the dimension measurement. A plus-or-minus sign appears after the dimension. Enter the tolerance value in Upper Value. The DIMTOL system variable is set to 1. The DIMLIM system variable is set to 0.

  • Deviation: Adds a plus/minus tolerance expression. Different plus and minus values of variation are applied to the dimension measurement. A plus sign (+) precedes the tolerance value entered in Upper Value, and a minus sign (-) precedes the tolerance value entered in Lower Value. The DIMTOL system variable is set to 1. The DIMLIM system variable is set to 0.

  • Limits: Creates a limit dimension. A maximum and a minimum value are displayed, one over the other. The maximum value is the dimension value plus the value entered in Upper Value. The minimum value is the dimension value minus the value entered in Lower Value. The DIMTOL system variable is set to 0. The DIMLIM system variable is set to 1.

  • Basic: Creates a basic dimension, which displays a box around the full extents of the dimension. The distance between the text and the box is stored as a negative value in the DIMGAP system variable.

Precision

Sets the number of decimal places. (DIMTDEC system variable)

Upper Value

Sets the maximum or upper tolerance value. When you select Symmetrical in Method, this value is used for the tolerance. (DIMTP system variable)

Lower Value

Sets the minimum or lower tolerance value. (DIMTM system variable)

Scaling for Height

Sets the current height for the tolerance text. The ratio of the tolerance height to the main dimension text height is calculated and stored in the DIMTFAC system variable.

Vertical Position

Controls text justification for symmetrical and deviation tolerances.

  • Top: Aligns the tolerance text with the top of the main dimension text. When you select this option, the DIMTOLJ system variable is set to 2.

  • Middle: Aligns the tolerance text with the middle of the main dimension text. When you select this option, the DIMTOLJ system variable is set to 1.

  • Bottom: Aligns the tolerance text with the bottom of the main dimension text. When you select this option, the DIMTOLJ system variable is set to 0.

Tolerance Alignment

Controls the alignment of upper and lower tolerance values when stacked

Align Decimal Separators

Values are stacked by their decimal separators.

Align Operational Symbols

Values are stacked by their operational symbols.

Zero Suppression

Controls the suppression of leading and trailing zeros and of feet and inches that have a value of zero. (DIMTZIN system variable)

Zero suppression settings also affect real-to-string conversions performed by the AutoLISP®rtos and angtos functions.

Leading

Suppresses leading zeros in all decimal dimensions. For example, 0.5000 becomes .5000.

Trailing

Suppresses trailing zeros in all decimal dimensions. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet

Suppresses the feet portion of a feet-and-inches dimension when the distance is less than 1 foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches

Suppresses the inches portion of a feet-and-inches dimension when the distance is an integral number of feet. For example, 1'-0" becomes 1'.

Alternate Unit Tolerance

Formats alternate tolerance units.

Precision

Displays and sets the number of decimal places. (DIMALTTD system variable)

Zero Suppression

Controls the suppression of leading and trailing zeros and of feet and inches that have a value of zero. (DIMALTTZ system variable)

Leading

Suppresses leading zeros in all decimal dimensions. For example, 0.5000 becomes .5000.

Trailing

Suppresses trailing zeros in all decimal dimensions. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet

Suppresses the feet portion of a feet-and-inches dimension when the distance is less than 1 foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches

Suppresses the inches portion of a feet-and-inches dimension when the distance is an integral number of feet. For example, 1'-0" becomes 1'.

Preview

Displays sample dimension images that show the effects of changes you make to dimension style settings.


Compare Dimension Styles Dialog Box (Quick Reference)

Tolerances Tab
DIMSTYLE
-DIMSTYLE
Commands > D commands > DIMSTYLE >
Compare Dimension Styles Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Ribbon: Annotate tab [image] Dimensions panel [image] [image] [image] Dimension Style
Menu: Format [image] Dimension StyleNot available in menus in the current workspace
Toolbar: Styles
Command entry: dimstyle

Compares the properties of two dimension styles or displays all properties of one style. You can print the results of the comparison to the Clipboard, and then paste to other MicrosoftWindowsapplications.

Compare

Specifies the first dimension style for the comparison.

With

Specifies the second dimension style for the comparison. If you set the second style to <none> or to the same style as the first, all the properties of the dimension style are displayed.

Comparison results are displayed automatically under the following headings:

  • Description of the dimension style property
  • System variable that controls the property
  • System variable values of style properties that differ for each dimension style
Results

Displays the results of the dimension style comparison. If you compare two different styles, the properties that differ are displayed. If you set the second style to <none> or to the same style as the first, all the properties of the dimension style are displayed.

Print to Clipboard button

Copies the results of the comparison to the Clipboard. You can then paste the results to other Windows applications, such as word processors and spreadsheets.


-DIMSTYLE (Quick Reference)

Compare Dimension Styles Dialog Box
DIMSTYLE
DIMTEDIT
Commands > D commands > DIMSTYLE >
-DIMSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -dimstyle at the Command prompt, the following prompts are displayed.

Current dimension style: <current> Annotative: <current>

Enter a dimension style option

[ANnotative/Save/Restore/STatus/Variables/Apply/?] <Restore>: Enter an option or press ENTER

You can save or restore dimensioning system variables to a selected dimension style.

Annotative

Creates an annotative dimension style.

Create annotative dimension style [Yes/No] <Yes>: Enter y or n or press ENTER

Save

Saves the current settings of dimensioning system variables to a dimension style.

Enter name for new dimension style or [?]: Enter a name or enter ?

Name

Saves the current settings of dimensioning system variables to a new dimension style using the name you enter. The new dimension style becomes the current one.

If you enter the name of an existing dimension style, the following prompts are displayed:

That name is already in use, redefine it? <N>: Enter y or press ENTER

If you enter y, associative dimensions that use the redefined dimension style are regenerated.

To display the differences between the dimension style name you want to save and the current style, enter a tilde (~) followed by the style name at the Enter Name for New Dimension Style prompt. Only settings that differ are displayed, with the current setting in the first column, and the setting of the compared style in the second column. After the differences are displayed, the previous prompt returns.

?—List Dimension Styles

Lists the named dimension styles in the current drawing.

Enter dimension style(s) to list <*>: Enter a name, a partial name with wild-card characters, or press ENTER to list all dimension styles

After the named dimension styles are listed, the previous prompt returns.

Restore

Restores dimensioning system variable settings to those of a selected dimension style.

Enter dimension style name, [?] or <select dimension>: Enter a name, enter ?, or press ENTER to select a dimension

Name

Makes the dimension style you enter the current dimension style.

To display the differences between the dimension style name you want to restore and the current style, enter a tilde (~) followed by the style name at the Enter Dimension Style Name prompt. Only settings that differ are displayed, with the current setting in the first column, and the setting of the compared style in the second column. After the differences are displayed, the previous prompt returns.

?—List Dimension Styles

Lists the named dimension styles in the current drawing.

Enter dimension style(s) to list <*>: Enter a name list or press ENTER

After the dimension styles are listed, the previous prompt returns.

Select Dimension

Makes the dimension style of the selected object the current dimension style.

Select dimension:

Status

Displays the current values of all dimension system variables. After listing the variables, DIMSTYLE ends.

Variables

Lists the dimension system variable settings of a dimension style or selected dimensions without modifying the current settings.

Enter a dimension style name, [?] or <select dimension>: Enter a name, enter ?, or press ENTER to select dimensions

Name

Lists the settings of dimension system variables for the dimension style name you enter. After listing the variables, DIMSTYLE ends.

To display the differences between a particular dimension style and the current style, enter a tilde (~) followed by the style name at the Enter Dimension Style Name prompt. Only settings that differ are displayed, with the current setting in the first column, and the setting of the compared style in the second column. After the differences are displayed, the previous prompt returns.

?—List Dimension Styles

Lists the named dimension styles in the current drawing.

Enter dimension style(s) to list <*>: Enter a name list or press ENTER

After the dimension styles are listed, the previous prompt returns.

Select Dimension

Lists the dimension style and any dimension overrides for the dimension object you select.

Select dimension:

Apply

Applies the current dimensioning system variable settings to selected dimension objects, permanently overriding any existing dimension styles applied to these objects.

Select objects: Use an object selection method to select a dimension object

The dimension line spacing between existing baseline dimensions is not updated (see the DIMDLI system variable); dimension text variable settings do not update existing leader text.

?—List Dimension Styles

Lists the named dimension styles in the current drawing.

Enter dimension style(s) to list <*>: Enter a name, a partial name with wild-card characters, or press ENTER


DIMTEDIT (Quick Reference)

-DIMSTYLE
DIMTEDIT
DIST
Commands > D commands >
DIMTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Moves and rotates dimension text and relocates the dimension line.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] Text AngleNot available on the ribbon in the current workspace
Menu: Dimension [image] Align Text [image] AngleNot available in menus in the current workspace
Toolbar: Dimension
Command entry: dimtedit

Summary

The companion command that edits the dimension text and changes the extension line angle is DIMEDIT.

List of Prompts

Select dimension: Select a dimension object

You are prompted for the new location of the dimension text.

Specify new location for dimension text or [Left/Right/Center/Home/Angle]: Specify a point or enter an option

Location for Dimension Text

Updates the location of the dimension text dynamically as you drag it. To determine whether text appears above, below, or in the middle of the dimension line, use the Text tab in the New, Modify, and Override Dimension Style dialog box.

Left

Left-justifies the dimension text along the dimension line. This option works only with linear, radius, and diameter dimensions.

Right

Right-justifies the dimension text along the dimension line. This option works only with linear, radius, and diameter dimensions.

Center

Centers the dimension text on the dimension line.

Home

Moves the dimension text back to its default position.

Angle

Changes the angle of the dimension text.

Enter text angle:

The center point of the text does not change. If the text moves or the dimension is regenerated, the orientation set by the text angle is retained. Entering an angle of 0 degrees puts the text in its default orientation.


DIST (Quick Reference)

DIMTEDIT
DIST
DISTANTLIGHT
Commands > D commands >
DIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Measures the distance and angle between two points.

Command entry: dist (or 'dist for transparent use)

In general, the DIST command reports 3D distances in model space and 2D distances on a layout in paper space.

In model space, changes in X, Y, and Z component distances and angles are measured in 3D relative to the current UCS.

In paper space, distances are normally reported in 2D paper space units. However, when using object snaps on model space objects that are displayed in a single viewport, distances are reported as 2D model space distances projected onto a plane parallel to your screen.

Specify first point: Specify a point

Specify second point or <Multiple points>: Specify a second point

The distance is displayed in the current units format.

DIST assumes the current elevation for the first or second point if you omit the Z coordinate value.

NoteWhen using the DIST command for 3D distances, it is recommended that you switch to model space.

Multiple Points

If you specify multiple points, a running total of the distance based on the existing line segments and the current rubberband line is displayed in the tooltip. A dynamic dimension is also displayed. The distance is updated as you move the cursor.

Specify next point or [Arc/Length/Undo/Total] <Total>:Specify next point or enter an option


DISTANTLIGHT (Quick Reference)

DIST
DISTANTLIGHT
DIVIDE
Commands > D commands >
DISTANTLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a distant light.

Access Methods

Button

Ribbon: Render tab [image] Lights panel [image] DistantNot available on the ribbon in the current workspace.
Menu: View [image] Render [image] Light [image] New Distant LightNot available in menus in the current workspace
Toolbar: Lights
Command entry: distantlight

Specify light direction FROM <0,0,0> or [Vector]: Specify a point or enterv

Specify light direction TO <1,1,1> Specify a point

If you enter the Vector option, the following prompt is displayed:

Specify vector direction <0.0000,-0.0100,1.0000>: Enter a vector

After you specify the light direction and if the LIGHTINGUNITS system variable is set to 0, the following prompt is displayed:

Enter an option to change [Name/Intensity/Status/shadoW/Color/eXit] <eXit>:

If the LIGHTINGUNITS system variable is set to 1 or 2, the following prompt is displayed:

Enter an option to change [Name/Intensity factor/Status/Photometry/shadoW/filterColor/eXit] <eXit>:

NoteWhen the LIGHTINGUNITS system variable is set to 1 or 2, the Attenuation option has no affect on the creation of the light. It is only maintained for scripting compatibility.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity/Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00 - max float) <1.0000>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf] <On>:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*> :

Enter a text string using wild card characters to display a partial listing of color names, or an asterick (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFt mapped/soft sAmpled] <Sharp>:

Off

Turns off display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory that should be used to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness to use to calculate the shadow map.

Color/Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]<255,255,255>:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L) <0,0,100>:

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


DIVIDE (Quick Reference)

DISTANTLIGHT
DIVIDE
DONUT
Commands > D commands >
DIVIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates evenly spaced point objects or blocks along the length or perimeter of an object.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] DivideNot available on the ribbon in the current workspace
Menu: Draw [image] Point [image] DivideAt the Command prompt, enter divide.
Command entry: divide

Select object to divide: Use an object selection method

Enter number of segments or [Block]: Enter a value from 2 through 32,767, or enter b

Number of Segments

Places point objects at equal intervals along the selected objects.

Use DDPTYPE to set the style and size of all point objects in a drawing.

Block

Places blocks at equal intervals along the selected object. If the block has variable attributes, these attributes are not included.

Enter name of block to insert: Enter the name of a block currently defined in the drawing

Align block with object? [Yes/No] <Y>: Enter y or n or press ENTER

Yes

Specifies that the X axes of the inserted blocks be tangent to, or collinear with, the divided object at the dividing points.

No

Aligns the blocks according to their normal orientation.

Enter number of segments: Enter a value from 2 through 32,767

The illustration shows an arc divided into five equal parts using a block consisting of a vertically oriented ellipse.


DONUT (Quick Reference)

DIVIDE
DONUT
DRAGMODE
Commands > D commands >
DONUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a filled circle or a wide ring.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] DonutNot available on the ribbon in the current workspace.
Menu: Draw [image] DonutNot available in menus in the current workspace
Command entry: donut

A donut consists of two arc polylines that are joined end-to-end to create a circular shape. The width of the polylines is determined by the specified inside and outside diameters. To create solid-filled circles, specify an inside diameter of zero.

Specify inside diameter of donut <current>: Specify a distance or press ENTER

If you specify an inside diameter of 0, the donut is a filled circle.

Specify outside diameter of donut <current>: Specify a distance or press ENTER

Specify center of donut or <exit>: Specify a point (1) or press ENTER to end the command

The location of the donut is set based on the center point. After you specify the diameters, you are prompted for the locations at which to draw donuts. A donut is drawn at each point specified (2). How the interior of a donut is filled depends on the current setting of the FILL command.


DRAGMODE (Quick Reference)

DONUT
DRAGMODE
DRAWINGRECOVERY
Commands > D commands >
DRAGMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the way dragged objects are displayed.

Command entry: dragmode (or 'dragmode for transparent use)

Enter new value [ON/OFF/Auto] <current>: Enter an option or press ENTER

On

Permits dragging, but you must enter drag where appropriate in a drawing or editing command to initiate dragging.

Off

Ignores all dragging requests, including those embedded in menu items.

Auto

Turns on dragging for every command that supports it. Dragging is performed whenever it is possible. Entering drag each time is not necessary.


DRAWINGRECOVERY (Quick Reference)

DRAGMODE
DRAWINGRECOVERY
Drawing Recovery Manager
Commands > D commands >
DRAWINGRECOVERY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a list of drawing files that can be recovered after a program or system failure.

Ribbon: Tools tab [image] Drawing Utilities panel [image] Recovery Manager. Not available on the ribbon in the current workspace.
Menu: File [image] Drawing Utilities [image] Drawing RecoveryNot available in menus in the current workspace.
Command entry: drawingrecovery

Opens the Drawing Recovery Manager.


Drawing Recovery Manager (Quick Reference)

DRAWINGRECOVERY
DRAWINGRECOVERY
DRAWINGRECOVERYHIDE
Commands > D commands > DRAWINGRECOVERY >
Drawing Recovery Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Drawing Utilities [image] Drawing RecoveryNot available in menus in the current workspace.
Command entry: drawingrecovery

The Drawing Recovery Manager displays a list of all drawing files that were open at the time of a program or system failure. You can preview and open each drawing or backup file to choose which one should be saved as the primary DWG file.

Backup Files

Displays the drawings that may need to be recovered after a program or system failure. A top-level drawing node contains a set of files associated with each drawing. You can expand a top-level node to display the drawing files and backup files that are candidates for recovery. If available, up to four files are displayed including

  • The recovered drawing file saved at the time of a program failure (DWG, DWS)
  • The automatic save file, also called the “autosave” file (SV$)
  • The drawing backup file (BAK)
  • The original drawing file (DWG, DWS)

Once a drawing or backup file is opened and saved, the corresponding top-level drawing node is removed from the Backup Files area.

Details

Provides the following information about the currently selected node in the Backup Files area:

  • When a top-level drawing node is selected, information about each available drawing or backup file associated with the original drawing is displayed.
  • When an individual drawing or backup file is selected, additional information about that file is displayed.

Preview

Displays a thumbnail preview of the currently selected drawing or backup file.

Shortcut Menu Options

Right-click a drawing node, drawing or backup file, or a blank area in the Backup Files area to display a shortcut menu with relevant options.

Open All

Opens all the drawing and backup files associated with the selected, top-level drawing node.

Remove

Removes the selected, top-level drawing node.

Open

Opens the selected drawing or backup file for drawing recovery. You can select multiple files using SHIFT and CTRL.

Properties

Displays the File Properties dialog box from Windows Explorer for the selected drawing or backup file.

Expand All

Expands all top-level drawing nodes. Access this option by right-clicking a blank area in the Backup Files area.

Collapse All

Collapses all top-level drawing nodes. Access this option by right-clicking a blank area in the Backup Files area.


DRAWINGRECOVERYHIDE (Quick Reference)

Drawing Recovery Manager
DRAWINGRECOVERYHIDE
DRAWORDER
Commands > D commands >
DRAWINGRECOVERYHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Drawing Recovery Manager.

Command entry: drawingrecoveryhide

Closes the Drawing Recovery Manager.


DRAWORDER (Quick Reference)

DRAWINGRECOVERYHIDE
DRAWORDER
DSETTINGS
Commands > D commands >
DRAWORDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the draw order of images and other objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Bring to FrontNot available on the ribbon in the current workspace
Menu: Tools [image] Draw OrderNot available in menus in the current workspace.
Toolbar: Draw Order
Shortcut menu: Select an object, right-click, and then click Draw Order.
Command entry: draworder

Use the DRAWORDERCTL system variable to control the default display behavior of overlapping objects. The TEXTTOFRONT command brings all text and dimensions in a drawing in front of other objects.

Select objects: Use an object selection method

Enter object ordering option [Above objects/Under objects/Front/Back] <Back>: Enter an option or press ENTER

Above Objects

Moves the selected object above the specified reference objects.

Select reference objects: Use an object selection method

Under Objects

Moves the selected objects below the specified reference objects.

Select reference objects: Use an object selection method

Front

Moves the selected objects to the top of the order of objects in the drawing.

Back

Moves the selected objects to the bottom of the order of objects in the drawing.

When you change the draw order (display and plotting order) of multiple objects, the relative draw order of the selected objects is maintained.

By default, when you create new objects from existing ones (for example, FILLET or PEDIT), the new objects are assigned the draw order of the original object you selected first. By default, while you edit an object (for example, MOVE or STRETCH), the object is displayed on top of all objects in the drawing. When you are finished editing, your drawing is partially regenerated so that the object is displayed according to its correct draw order. This can result in some edit operations taking slightly longer. You can use DRAWORDERCTL to change the default draw order settings. TEXTTOFRONT changes the draw order of all text and dimensions in the drawing.


DSETTINGS (Quick Reference)

DRAWORDER
DSETTINGS
Drafting Settings Dialog Box
Commands > D commands >
DSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets grid and snap, polar and object snap tracking, object snap modes, Dynamic Input, and Quick Properties.

Menu: Tools [image] Drafting SettingsNot available in menus in the current workspace.
Shortcut menu: Right-click Snap, Grid, Polar, Osnap, Otrack, Dyn or Quick Properties on the status bar. Click Settings.
Command entry: dsettings (or 'dsettings for transparent use)

The Drafting Settings dialog box is displayed.


Drafting Settings Dialog Box (Quick Reference)

DSETTINGS
DSETTINGS
Pointer Input Settings Dialog Box
Commands > D commands > DSETTINGS >
Drafting Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Drafting SettingsNot available in menus in the current workspace.
Shortcut menu: Right-click Snap, Grid, Polar, Osnap, Otrack, Dyn or Quick Properties on the status bar and click Settings.
Command entry: dsettings (or 'dsettings for transparent use)

Specifies drafting settings organized for drawing aids in the following categories: Snap and Grid, Polar Tracking, Object Snap, Dynamic Input and Quick Properties.

Options

Displays the Drafting tab in the Options dialog box. You cannot access the Options dialog box from the Drafting Settings dialog box if you are running DSETTINGS transparently.

Snap and Grid Tab (Drafting Settings Dialog Box)

Specifies Snap and Grid settings.

Snap On

Turns Snap mode on or off. You can also turn Snap mode on or off by clicking Snap on the status bar, by pressing F9, or by using the SNAPMODE system variable.

Snap Spacing

Controls an invisible, rectangular grid of snap locations that restricts cursor movement to specified X and Y intervals.

Snap X Spacing

Specifies the snap spacing in the X direction. The value must be a positive real number. (SNAPUNIT system variable)

Snap Y Spacing

Specifies the snap spacing in the Y direction. The value must be a positive real number. (SNAPUNIT system variable)

Equal X and Y Spacing

Forces the X and Y spacing to the same values for snap spacing and for grid spacing. The snap spacing intervals can be different from the grid spacing intervals.

Polar Spacing

Controls the PolarSnap™ increment distance.

Polar Distance

Sets the snap increment distance when PolarSnap is selected under Snap Type & Style. If this value is 0, the PolarSnap distance assumes the value for Snap X Spacing. The Polar Distance setting is used in conjunction with polar tracking and/or object snap tracking. If neither tracking feature is enabled, the Polar Distance setting has no effect. (POLARDIST system variable)

Snap Type

Sets the snap style and snap type.

Grid Snap

Sets the snap type to Grid. When you specify points, the cursor snaps along vertical or horizontal grid points. (SNAPTYPE system variable)

Rectangular Snap: Sets the snap style to standard Rectangular snap mode. When the snap type is set to Grid snap and Snap mode is on, the cursor snaps to a rectangular snap grid. (SNAPSTYL system variable)

Isometric Snap: Sets the snap style to Isometric snap mode. When the snap type is set to Grid snap and Snap mode is on, the cursor snaps to an isometric snap grid. (SNAPSTYL system variable)

PolarSnap

Sets the snap type to Polar. When Snap mode is on and you specify points with polar tracking turned on, the cursor snaps along polar alignment angles set on the Polar Tracking tab relative to the starting polar tracking point. (SNAPTYPE system variable)

Grid On

Turns the grid on or off. You can also turn grid mode on or off by clicking Grid on the status bar, by pressing F7, or by using the GRIDMODE system variable.

Grid Spacing

Controls the display of a grid that helps you visualize distances.

NoteThe limits of the grid are controlled by the LIMITS command and the GRIDDISPLAY system variable.
Grid X Spacing

Specifies the grid spacing in the X direction. If this value is 0, the grid assumes the value set for Snap X Spacing. (GRIDUNIT system variable)

Grid Y Spacing

Specifies the grid spacing in the Y direction. If this value is 0, the grid assumes the value set for Snap Y Spacing. (GRIDUNIT system variable)

Major Line Every

Specifies the frequency of major grid lines compared to minor grid lines. Grid lines rather than grid dots are displayed when the VSCURRENT is set to any visual style except 2D Wireframe. (GRIDMAJOR system variable)

Grid Behavior

Controls the appearance of the grid lines that are displayed when VSCURRENT is set to any visual style except 2D Wireframe.

Adaptive Grid

Limits the density of the grid when zoomed out. (GRIDDISPLAY system variable)

Allow Subdivision Below Grid Spacing:

Generates additional, more closely spaced grid lines when zoomed in. The frequency of these grid lines is determined by the frequency of the major grid lines. (GRIDDISPLAY and GRIDMAJOR system variables)

Display Grid Beyond Limits

Displays the grid beyond the area specified by the LIMITS command. (GRIDDISPLAY system variable)

Follow Dynamic UCS

Changes the grid plane to follow the XY plane of the dynamic UCS. (GRIDDISPLAY system variable)

Polar Tracking Tab (Drafting Settings Dialog Box)

Controls the AutoTrack settings.

Polar Tracking On

Turns polar tracking on and off. You can also turn polar tracking on or off by pressing F10 or by using the AUTOSNAP system variable.

Polar Angle Settings

Sets the alignment angles for polar tracking. (POLARANG system variable)

Increment Angle

Sets the polar increment angle used to display polar tracking alignment paths. You can enter any angle, or select a common angle of 90, 45, 30, 22.5, 18, 15, 10, or 5 degrees from the list. (POLARANG system variable)

Additional Angles

Makes any additional angles in the list available for polar tracking. The Additional Angles check box is also controlled by the POLARMODE system variable, and the list of additional angles is also controlled by the POLARADDANG system variable.

NoteAdditional angles are absolute, not incremental.
List of Angles

If Additional Angles is selected, lists the additional angles that are available. To add new angles, click New. To remove existing angles, click Delete. (POLARADDANG system variable)

New

Adds up to 10 additional polar tracking alignment angles.

NoteBefore adding fractional angles, you must set the AUPREC system variable to the appropriate decimal precision to avoid undesired rounding. For example, if the value of AUPREC is 0 (the default value), all fractional angles you enter are rounded to the nearest whole number.
Delete

Deletes selected additional angles.

Object Snap Tracking Settings

Sets options for object snap tracking.

Track Orthogonally Only

Displays only orthogonal (horizontal/vertical) object snap tracking paths for acquired object snap points when object snap tracking is on. (POLARMODE system variable)

Track Using All Polar Angle Settings

Applies polar tracking settings to object snap tracking. When you use object snap tracking, the cursor tracks along polar alignment angles from acquired object snap points. (POLARMODE system variable)

NoteClicking Polar and Otrack on the status bar also turns polar tracking and object snap tracking on and off.

Polar Angle Measurement

Sets the basis by which polar tracking alignment angles are measured.

Absolute

Bases polar tracking angles on the current user coordinate system (UCS).

Relative to Last Segment

Bases polar tracking angles on the last segment drawn.

Object Snap Tab (Drafting Settings Dialog Box)

Controls running object snap settings. With running object snap settings, also called Osnap, you can specify a snap point at an exact location on an object. When more than one option is selected, the selected snap modes are applied to return a point closest to the center of the aperture box. Press TAB to cycle through the options.

Object Snap On

Turns running object snaps on and off. The object snaps selected under Object Snap Modes are active while object snap is on. (OSMODE system variable)

Object Snap Tracking On

Turns object snap tracking on and off. With object snap tracking, the cursor can track along alignment paths based on other object snap points when specifying points in a command. To use object snap tracking, you must turn on one or more object snaps. (AUTOSNAP system variable)

Object Snap Modes

Lists object snaps that you can turn on as running object snaps.

Endpoint

Snaps to the closest endpoint of an arc, elliptical arc, line, multiline, polyline segment, spline, region, or ray, or to the closest corner of a trace, solid, or 3D face.

Midpoint

Snaps to the midpoint of an arc, ellipse, elliptical arc, line, multiline, polyline segment, region, solid, spline, or xline.

Center

Snaps to the center of an arc, circle, ellipse, or elliptical arc.

Node

Snaps to a point object, dimension definition point, or dimension text origin.

Quadrant

Snaps to a quadrant point of an arc, circle, ellipse, or elliptical arc.

Intersection

Snaps to the intersection of an arc, circle, ellipse, elliptical arc, line, multiline, polyline, ray, region, spline, or xline. Extended Intersection is not available as a running object snap.

NoteYou might get varying results if you have both the Intersection and Apparent Intersection running object snaps turned on at the same time.

Intersection and Extended Intersection do not work with edges or corners of 3D solids.

Extension

Causes a temporary extension line or arc to be displayed when you pass the cursor over the endpoint of objects, so you can specify points on the extension.

NoteWhen working in perspective view, you cannot track along the extension line of an arc or elliptical arc.
Insertion

Snaps to the insertion point of an attribute, a block, a shape, or text.

Perpendicular

Snaps to a point perpendicular to an arc, circle, ellipse, elliptical arc, line, multiline, polyline, ray, region, solid, spline, or xline.

Deferred Perpendicular snap mode is automatically turned on when the object you are drawing requires that you complete more than one perpendicular snap. You can use a line, arc, circle, polyline, ray, xline, multiline, or 3D solid edge as an object from which to draw a perpendicular line. You can use Deferred Perpendicular to draw perpendicular lines between such objects. When the aperture box passes over a Deferred Perpendicular snap point, an AutoSnap tooltip and marker are displayed.

Tangent

Snaps to the tangent of an arc, circle, ellipse, elliptical arc, or spline. Deferred Tangent snap mode is automatically turned on when the object you are drawing requires that you complete more than one tangent snap. You can use Deferred Tangent to draw a line or xline that is tangent to arcs, polyline arcs, or circles. When the aperture box passes over a Deferred Tangent snap point, a marker and an AutoSnap tooltip are displayed.

NoteWhen you use the From option in conjunction with the Tangent snap mode to draw objects other than lines from arcs or circles, the first point drawn is tangent to the arc or circle in relation to the last point selected in the drawing area.
Nearest

Snaps to the nearest point on an arc, circle, ellipse, elliptical arc, line, multiline, point, polyline, ray, spline, or xline.

Apparent Intersection

Snaps to the visual intersection of two objects that are not in the same plane but may appear to intersect in the current view.

Extended Apparent Intersection is not available as a running object snap. Apparent and Extended Apparent Intersection do not work with edges or corners of 3D solids.

NoteYou might get varying results if you have both the Intersection and Apparent Intersection running object snaps turned on at the same time.
Parallel

Constrains a line segment, polyline segment, ray or xline to be parallel to another linear object. After you specify the first point of a linear object, specify the parallel object snap. Unlike other object snap modes, you move the cursor and hover over another linear object until the angle is acquired. Then, move the cursor back toward the object that you are creating. When the path of the object is parallel to the previous linear object, an alignment path is displayed, which you can use to create the parallel object.

NoteTurn off ORTHO mode before using the parallel object snap. Object snap tracking and polar snap are turned off automatically during a parallel object snap operation. You must specify the first point of a linear object before using the parallel object snap.
Select All

Turns on all object snap modes.

Clear All

Turns off all object snap modes.

Dynamic Input Tab (Drafting Settings Dialog Box)

Controls pointer input, dimension input, dynamic prompting, and the appearance of drafting tooltips.

Enable Pointer Input

Turns on pointer input. When pointer input and dimensional input are both turned on, dimensional input supersedes pointer input when it is available. (DYNMODE system variable)

Pointer Input

Displays the location of the crosshairs as coordinate values in a tooltip near the cursor. When a command prompts you for a point, you can enter coordinate values in the tooltip instead of in the Command window.

Preview Area

Shows an example of pointer input.

Settings

Displays the Pointer Input Settings dialog box.

Enable Dimension Input

Turns on dimensional input. Dimensional input is not available for some commands that prompt for a second point. (DYNMODE system variable)

Dimension Input

Displays a dimension with tooltips for distance value and angle value when a command prompts you for a second point or a distance. The values in the dimension tooltips change as you move the cursor. You can enter values in the tooltip instead of on the command line.

Preview Area

Shows an example of dimensional input.

Settings

Displays the Dimension Input Settings dialog box.

Dynamic Prompts

Displays prompts in a tooltip near the cursor when necessary in order to complete the command. You can enter values in the tooltip instead of on the command line.

Preview Area

Shows an example of dynamic prompts.

Show Command Prompting and Command Input near the Crosshairs

Displays prompts in Dynamic Input tooltips. (DYNPROMPT system variable)

Drafting Tooltip Appearance

Displays the Tooltip Appearance dialog box.

Quick Properties Tab (Drafting Settings Dialog Box)

Specifies the settings for displaying the Quick Properties palette.

Enable Quick Properties Palette

Depending on the object type, you can enable or disable Quick Properties palette. Quick Properties palette can also be turned on or off by clicking Quick Properties on the status bar or by using the QPMODE system variable.

Palette Display

Sets the display settings of the Quick Properties palette. See Quick Properties for more information.

All Objects

Sets the Quick Properties palette to display for any selection of objects.

Only Objects with Specified Properties

Sets the Quick Properties palette to display only for objects that are defined in the Customize User Interface (CUI) editor to display properties.

Palette Location

Sets the display position of the Quick Properties palette.

Cursor-Dependent

Sets the Palette Location mode to Cursor-dependent. In cursor-dependent mode, the Quick Properties palette displays in a location relative to where you selected the object. (QPLOCATION system variable)

Quadrant: Specifies the relative location to display the Quick Properties palette. You can select one of the four quadrants top-right, top-left, bottom-right, or bottom-left.

Distance in Pixels: Sets the distance in pixels when Cursor is selected under the Palette Location modes. You can specify values in the range of 0 to 400 (only integer values).

Static

Sets the location mode to Static. (QPLOCATION system variable)

Palette Behavior

Sets the behavior of Quick Properties palette.

Collapse Palette Automatically

Enables the Quick Properties palette to display only a specified number of properties in the idle state.

Minimum Number of Rows: Sets the minimum number of rows for the Quick Properties palette to display in the collapsed idle state. You can specify values in the range of 1 to 30 (only integer values).


Pointer Input Settings Dialog Box (Quick Reference)

Drafting Settings Dialog Box
DSETTINGS
Dimension Input Settings Dialog Box
Commands > D commands > DSETTINGS >
Pointer Input Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Drafting Settings Not available in menus in the current workspace.
Shortcut menu: Right-click Snap, Grid, Polar, Osnap, Otrack, or Dyn on the status bar and click Settings.
Command entry: dsettings (or 'dsettings for transparent use)

Format

Controls coordinate format in the tooltips that are displayed when pointer input is turned on.

Polar Format

Displays the tooltip for the second or next point in polar coordinate format. Enter a comma (,) to change to Cartesian format. (DYNPIFORMAT system variable)

Cartesian Format

Displays the tooltip for the second or next point in Cartesian coordinate format. Enter an angle symbol (<) to change to polar format. (DYNPIFORMAT system variable)

Relative Coordinates

Displays the tooltip for the second or next point in relative coordinate format. Enter a pound sign (#) to change to absolute format. (DYNPICOORDS system variable)

Absolute Coordinates

Displays the tooltip for the second or next point in absolute coordinate format. Enter an at sign (@) to change to relative format. Note that you cannot use the direct distance method when this option is selected. (DYNPICOORDS system variable)

Visibility

Controls when pointer input is displayed. (DYNPIVIS system variable)

As Soon As I Type Coordinate Data

When pointer input is turned on, displays tooltips only when you start to enter coordinate data. (DYNPIVIS system variable)

When a Command Asks for a Point

When pointer input is turned on, displays tooltips whenever a command prompts you for a point. (DYNPIVIS system variable)

Always—Even When Not in a Command

Always displays tooltips when pointer input is turned on. (DYNPIVIS system variable)


Dimension Input Settings Dialog Box (Quick Reference)

Pointer Input Settings Dialog Box
DSETTINGS
Tooltip Appearance Dialog Box
Commands > D commands > DSETTINGS >
Dimension Input Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Drafting SettingsNot available in menus in the current workspace.
Shortcut menu: Right-click Snap, Grid, Polar, Osnap, Otrack, or Dyn on the status bar and click Settings.
Command entry: dsettings (or 'dsettings for transparent use)

Visibility

Controls which tooltips are displayed during grip stretching when dimensional input is turned on. (DYNDIVIS system variable)

Show Only 1 Dimension Input Field at a Time

Displays only the length change dimensional input tooltip when you are using grip editing to stretch an object. (DYNDIVIS system variable)

Show 2 Dimension Input Fields at a Time

Displays the length change and resulting dimensional input tooltips when you are using grip editing to stretch an object. (DYNDIVIS system variable)

Show the Following Dimension Input Fields Simultaneously

When you are using grip editing to stretch an object, displays the dimensional input tooltips that are selected below. (DYNDIVIS and DYNDIGRIP system variables)

Resulting Dimension

Displays a length dimensional tooltip that is updated as you move the grip.

Length Change

Displays the change in length as you move the grip.

Absolute Angle

Displays an angle dimensional tooltip that is updated as you move the grip.

Angle Change

Displays the change in the angle as you move the grip.

Arc Radius

Displays the radius of an arc, which is updated as you move the grip.


Tooltip Appearance Dialog Box (Quick Reference)

Dimension Input Settings Dialog Box
DSETTINGS
DSVIEWER
Commands > D commands > DSETTINGS >
Tooltip Appearance Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Drafting SettingsNot available in menus in the current workspace.
Shortcut menu: Right-click Snap, Grid, Polar, Osnap, Otrack, or Dyn on the status bar and click Settings.
Command entry: dsettings (or 'dsettings for transparent use)

Controls the appearance of tooltips.

NoteUse the TOOLTIPMERGE system variable to combine drafting tooltips into a single tooltip.

For more information about tooltips, see Set Interface Options.

Previews

Displays an example of the current tooltip appearance settings.

Colors

Displays the Drawing Window Colors dialog box, where you can specify a color for drafting tooltips and their backgrounds in a specified context.

Size

Specifies a size for tooltips. The default size is 0. Use the slider to make tooltips larger or smaller.

Transparency

Controls the transparency of tooltips. The lower the setting, the less transparent the tooltip. A value of 0 sets the tooltip to opaque.

Apply To

Specifies whether the settings apply to all drafting tooltips or only to Dynamic Input tooltips. (DYNTOOLTIPS system variable)

Override OS Settings for All Drafting Tooltips

Applies the settings to all tooltips, overriding the settings in the operating system.

Use Settings Only for Dynamic Input Tooltips

Applies the settings only to the drafting tooltips used in Dynamic Input.


DSVIEWER (Quick Reference)

Tooltip Appearance Dialog Box
DSVIEWER
Aerial View Window
Commands > D commands >
DSVIEWER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the Aerial View window.

Menu: View [image] Aerial ViewNot available in menus in the current workspace.
Command entry: dsviewer

The Aerial View window is displayed.


Aerial View Window (Quick Reference)

DSVIEWER
DSVIEWER
DVIEW
Commands > D commands > DSVIEWER >
Aerial View Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: View [image] Aerial ViewNot available in menus in the current workspace.
Command entry: dsviewer

Displays the entire drawing; the current view is marked with a wide outline box.

View Menu (Aerial View Window)

Changes the magnification of the Aerial View by zooming in and out of the drawing or by displaying the entire drawing in the Aerial View window.

When the entire drawing is displayed in the Aerial View window, the Zoom Out menu option and button are unavailable. When the current view nearly fills the Aerial View window, the Zoom In menu option and button are unavailable. If both of these conditions exist at the same time, such as after using ZOOM Extents, both options are unavailable. All of the menu options are also available from a shortcut menu you can access by right-clicking in the Aerial View window.

Zoom In

Increases the magnification of the drawing in the Aerial View window by zooming in by a factor of 2, centered on the current view box.

Zoom Out

Decreases the magnification of the drawing in the Aerial View window by zooming out by a factor of 2, centered on the current view box.

Global

Displays the entire drawing and the current view in the Aerial View window.

Options Menu (Aerial View Window)

Provides toggles for automatic viewport display and dynamic updating of the drawing. All of the menu options are also available from a shortcut menu you can access by right-clicking in the Aerial View window.

Auto Viewport

Displays the model space view of the current viewport automatically when multiple viewports are displayed. When Auto Viewport is off, the Aerial View window is not updated to match the current viewport.

Dynamic Update

Updates the Aerial View window while you edit the drawing. When Dynamic Update is off, the Aerial View window is not updated until you click in the Aerial View window.

Realtime Zoom

Updates the drawing area in real time when you zoom using the Aerial View window.


DVIEW (Quick Reference)

Aerial View Window
DVIEW
DWFADJUST
Commands > D commands >
DVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Defines parallel projection or perspective views by using a camera and target.

Command entry: dview

Select objects or <use DVIEWBLOCK>.

Enter option

[CAmera/TArget/Distance/POints/PAn/Zoom/TWist/CLip/Hide/Off/Undo]: Specify a point with your pointing device, or enter an option

NoteTransparent ZOOM, DSVIEWER, PAN, and scroll bars are not available in DVIEW. When you define a perspective view, ZOOM, PAN, transparent ZOOM and PAN, DSVIEWER, and scroll bars are not available while that view is current.

Object Selection

Specifies objects to use in the preview image as you change views. Selecting too many objects slows image dragging and updating.

DVIEWBLOCK

If you press ENTER at the Select Objects prompt, DVIEWBLOCK displays a preview image. You can create your own DVIEWBLOCK block in a 1 unit by 1 unit by 1 unit area, with its origin at the lower-left corner. The following illustration shows an example of using the default DVIEWBLOCK to set the view (moving the graphics cursor adjusts the view).

Point Specification

Rolls the view under the camera. The point you select with your pointing device is a start point for the dragging operation. Your viewing direction changes about the target point as you move the pointing device.

Enter direction and magnitude angles: Enter angles between 0 degrees and 360 degrees, or specify a point with your pointing device

Enter both angles, separated by a comma. The angles must be positive. The direction angle indicates the front of the view, and the magnitude angle determines how far the view rolls.

Camera

Specifies a new camera position by rotating the camera about the target point. Two angles determine the amount of rotation.

Specify camera location, or enter angle in XY plane <from X axis>,

or [Toggle (angle current)] <current>: Specify an XYZ point, enter t, enter an angle, or press ENTER

Camera Location

Sets the camera's position based on the specified point.

Enter Angle from the XY Plane

Sets the camera's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 looks up from below. A camera angle of 0 degrees places the camera parallel to the XY plane of the user coordinate system (UCS).

When you toggle the angle input mode or specify the angle from the XY plane, you are returned to the previous prompt.

Toggle (Angle In)

Switches between two angle input modes. Entering an angle at the Command prompt locks the cursor movement so you see only the positions available for that angle. Toggle unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Enter Angle in XY Plane from X Axis

Sets the camera's position at an angle in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. A rotation angle of 0 degrees looks down the X axis of the UCS toward the origin.

The illustration shows the camera rotating to the left from its initial position, leaving its angle from the XY plane unchanged.

Toggle (Angle From)

Switches between two angle input modes. Entering an angle at the Command prompt locks the cursor movement so you see only the positions available for that angle. Toggle unlocks the cursor movement for the angle, and you can use the cursor to rotate the camera.

Target

Specifies a new position for the target by rotating it around the camera. The effect is like turning your head to see different parts of the drawing from one vantage point. Two angles determine the amount of rotation.

Specify camera location, or enter angle in XY plane <from X axis>,

or [Toggle (angle current)] <current>: Specify an XYZ point, enter t, enter an angle, or press ENTER

Enter Angle from the XY Plane

Sets the target's position at an angle above or below the XY plane. An angle of 90 degrees looks down from above, and an angle of -90 looks up from below. A target angle of 0 degrees means that the target is parallel to the XY plane of the UCS.

After you toggle the angle input mode or specify the angle from the XY plane, you are returned to the previous prompt.

Toggle (Angle In)

Switches between two angle input modes. Entering an angle at the Command prompt locks the cursor movement so you see only the positions available for that angle. Toggle unlocks the cursor movement for the angle, and you can use the cursor to rotate the target.

Enter Angle in XY Plane from X Axis

Sets the target's position at an angle in the XY plane relative to the X axis of the current UCS. This angle measures from -180 to 180 degrees. A rotation angle of 0 degrees means you look down the X axis of the UCS toward the origin.

The illustration shows the effect of moving the target point from left to right, leaving its angle from the XY plane unchanged.

Toggle (Angle From)

Switches between two angle input modes. Entering an angle at the Command prompt locks the cursor movement so you see only the positions available for that angle. Toggle unlocks the cursor movement for the angle, and you can use the cursor to rotate the target.

Distance

Moves the camera in or out along the line of sight relative to the target. This option turns on perspective viewing, which causes objects farther from the camera to appear smaller than those closer to the camera. A special perspective icon replaces the coordinate system icon. You are prompted for the new camera-to-target distance.

Specify new camera-target distance <current>: Enter a distance or press ENTER

A slider bar along the top of the drawing area is labeled from 0x to 16x, with 1x representing the current distance. Moving the slider bar to the right increases the distance between camera and target. Moving it to the left decreases that distance. To turn off perspective viewing, click the Off option from the main DVIEW prompt.

If the target and camera points are close together, or if you specify a long-focal-length lens, you might see very little of your drawing when you specify a new distance. If you see little or none of your drawing, try the maximum scale value (16x) or enter a large distance. To magnify the drawing without turning perspective viewing on, use the Zoom option of DVIEW.

The illustration shows the effect of moving the camera along the line of sight relative to the target, where the field of view remains constant.

Points

Locates the camera and target points using X,Y,Z coordinates. You can use XYZ point filters.

Specify target point <current>: Specify a point or press ENTER

To help you define a new line of sight, a rubber-band line is drawn from the current camera position to the crosshairs. You are prompted for a new camera location.

Specify camera point <current>: Specify a point, enter direction and magnitude angles, or press ENTER

A rubber-band line connects the target point to the crosshairs to help you place the camera relative to the target. The illustration shows the change in view as you swap the camera and target points. Lens and distance settings are the same in each case.

For information about entering direction and magnitude angles, see Point Specification.

Pan

Shifts the image without changing the level of magnification.

Specify displacement base point: Specify a point

Specify second point: Specify a point

Zoom

If perspective viewing is off, dynamically increases or decreases the apparent size of objects in the current viewport.

Specify zoom scale factor <current>: Specify a scale or press ENTER

A slider bar along the top of the drawing area is labeled from 0x to 16x, with 1x representing the current scale. Moving the slider bar to the right increases the scale. Moving it to the left decreases the scale.

If perspective viewing is on, Zoom adjusts the camera lens length, which changes the field of view and causes more or less of the drawing to be visible at a given camera and target distance. The default lens length is 50mm, simulating what you'd see with a 35mm camera and a 50mm lens. Increasing the lens length is similar to switching to a telephoto lens. Decreasing the lens length widens the field of view, as with a wide-angle lens.

Specify lens length <50.000mm>: Specify a value or press ENTER

A slider bar along the top of the drawing area is labeled from 0x to 16x, with 1x representing the current lens length. Moving the slider bar to the right increases the lens length. Moving it to the left decreases the lens length.

Twist

Twists or tilts the view around the line of sight. The twist angle is measured counterclockwise, with 0 degrees to the right.

Specify view twist angle <current>: Specify an angle or press ENTER

Clip

Clips the view, obscuring portions of the drawing that are behind or in front of the front clipping plane. The front and back clipping planes are invisible walls that you can position perpendicular to the line of sight between the camera and target.

Enter clipping option [Back/Front/Off] <Off>: Enter an option or press ENTER

Back

Obscures objects located behind the back clipping plane.

Specify distance from target or [ON/OFF] <current>: Specify a distance, enter an option, or press ENTER

Distance from Target

Positions the back clipping plane and turns on back clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. You can use the slider bar to drag the clipping plane.

On

Turns on back clipping at the current clipping distance.

Off

Turns off back clipping.

Front

Obscures objects located between the camera and the front clipping plane.

Specify distance from target or [set to Eye (camera)/ON/OFF] <current>: Specify a distance, enter e, or press ENTER

Distance from Target

Positions the front clipping plane and turns on front clipping. A positive distance places the clipping plane between the target and the camera. A negative distance places it beyond the target. You can use the slider bar to drag the clipping plane.

Eye

Positions the front clipping plane at the camera.

On

Turns on front clipping. This option is available only when perspective viewing is off.

Off

Turns off front clipping. This option is available only when perspective viewing is off.

Off

Turns off front and back clipping. If perspective viewing is on, front clipping remains on at the camera position.

Hide

Suppresses hidden lines on the selected objects to aid in visualization. Circles, solids, traces, regions, wide polyline segments, 3D faces, polygon meshes, and the extruded edges of objects with nonzero thickness are considered to be opaque surfaces that hide objects.This hidden line suppression is quicker than that performed by HIDE, but it can't be plotted.

Off

Turns off perspective viewing. The Distance option turns on perspective viewing.

Undo

Reverses the effects of the last DVIEW action. You can undo multiple DVIEW operations.


DWFADJUST (Quick Reference)

DVIEW
DWFADJUST
DWFATTACH
Commands > D commands >
DWFADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjust the fade, contrast, and monochrome settings of a DWF or DWFx underlay.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Adjust Not available on the ribbon in the current workspace
Command entry: dwfadjust

Summary

You can change the default values for Fade, Contrast, and Monochrome for a single or multiple DWF and DWFx underlays. To confirm the settings on a selected DWF or DWFx underlay, use the Properties palette.

NoteYou can also use the ADJUST command to change the fade, contrast, and monochrome settings for DWF underlays as well as DWF, DWFx and PDF underlays or the fade, contrast and brightness for images.

To adjust colors in the DWF or DWFx underlay, open the Properties palette for the DWF or DWFx underlay. For more information, see Adjust Underlay Contrast, Fade, Monochrome, and Colors for the Background.

List of Prompts

The following prompts display.

Fade

Controls the fade effect of the underlay. Values range from 0 through 100. The greater the value, the lighter the linework in the underlay appears. Works indirectly with the contrast effect; a higher contrast value blends the underlay into the background when fade is set to a higher value.

Contrast

Controls the contrast, and indirectly, the fading effect, of the underlay. Values range from 0 through 100. The greater the value, the more each pixel is forced to its primary or secondary color.

Monochrome

Controls the color saturation of all linework while maintaining the luminance. When turned on, the linework appears in varying shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest linework displaying in white, and the lightest linework displaying in black.


DWFATTACH (Quick Reference)

DWFADJUST
DWFATTACH
Attach DWF Underlay Dialog Box
Commands > D commands >
DWFATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a DWF or DWFx file as an underlay into the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] AttachNot available on the ribbon in the current workspace
Toolbar: Insert
Menu: Insert [image] DWF UnderlayAt the Command prompt, enter dwfattach.
Command entry: dwfattach

Summary

The Select DWF File dialog box (a standard file selection dialog box) is displayed. Once you select a DWF or DWFx file, the Attach DWF Underlay dialog box is displayed. After the file is attached, you can adjust and clip the underlay through the DWF Underlay Ribbon Contextual tab.

When you attach a DWF or DWFx file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

NoteIf you plan to access DWF or DWFx files from the Vault client server, the Vault file open dialog box supersedes the Select DWF File dialog box. Access to the Vault client server is only available to Autodesk Subscription customers.


Attach DWF Underlay Dialog Box (Quick Reference)

DWFATTACH
DWFATTACH
Substitute DWF Name Dialog Box
Commands > D commands > DWFATTACH >
Attach DWF Underlay Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Insert [image] DWF UnderlayAt the Command prompt, enter dwfattach.
Toolbar: Insert
Command entry: dwfattach

Summary

Names, locates, and defines the insertion point, scale, and rotation of attached DWF or DWFx underlays.

List of Options

The following options are available in this dialog box.

Name

Identifies the DWF or DWFx file you have selected to attach.

Browse

Opens the Select Reference File dialog (a standard file selection dialog box).

Select one of more sheets from the DWF file

Displays all of the sheets that are found in the DWF file. If the DWF file only contains a single sheet, that sheet is listed. You can select multiple sheets by holding the Shift key or the Ctrl key while selecting the sheets to attach. If you hover over the preview, the file name displays.

Path Type

Select the full (absolute) path, the relative path to the DWF file, or No Path, the name of the DWF file (the DWF file must be located in the same folder as the current drawing file).

NoteThe Path Type group is disabled when you’re attaching a DWF or DWFx file that is stored on the Vault client server. This information is automatically entered by the Vault.

Insertion Point

Specifies the insertion point for the selected DWF file. Specify On-Screen is the default. The default insertion point is 0,0,0.

Specify On-Screen

Directs input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter the insertion point in X, Y, and Z.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Scale

Specifies the scale factor of the selected DWF underlay.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Specify On-screen

Allows you to input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter a value for the scale factor. The default scale factor is 1.

Scale Factor Field

Enter a value for the scale factor. The default scale factor is 1.

Rotation

Specifies the rotation angle of the selected DWF underlay.

Specify on-screen

If Specify On-Screen is selected, you may wait until you exit the dialog box to rotate the object with your pointing device or enter a rotation angle value at the Command prompt.

Angle

If Specify On-Screen is cleared, enter the rotation angle value in the dialog box. The default rotation angle is 0.

Show Details

Displays the DWF file path.

Found In

Displays the path where the DWF file is located.

Saved Path

Displays the path that is saved with the drawing when the DWF file is attached. The path is dependent upon the Path Type setting.


Substitute DWF Name Dialog Box (Quick Reference)

Attach DWF Underlay Dialog Box
DWFATTACH
DWF Underlay Ribbon Contextual tab
Commands > D commands > DWFATTACH >
Substitute DWF Name Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Insert
Menu: Insert [image] DWF UnderlayAt the Command prompt, enter dwfattach.
Command entry: dwfattach

The names of DWF or DWFx references you attach must be unique. Attempts to attach two DWF or DWFx references that have the same name displays the Substitute DWF Name dialog box.

New DWF Name

Enter a unique name for the DWF or DWFx underlay you are attempting to attach.

Once a new name is supplied, you can continue with the attachment process.

NoteThis only changes the name of the DWF or DWFx reference when it is attached. It does not affect the name of the DWF or DWFx file.


DWF Underlay Ribbon Contextual tab (Quick Reference)

Substitute DWF Name Dialog Box
DWFATTACH
-DWFATTACH
Commands > D commands > DWFATTACH >
DWF Underlay Ribbon Contextual tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Change DWF underlay display, clip, layer, and osnap options.

Access Points

Ribbon: Insert tab [image] Reference panel [image] Attach
Command entry: dwfattach

Summary

When you select a DWF underlay in a drawing, the DWF Underlay Contextual tab is displayed on the ribbon.

Adjust Panel

Contrast | Controls the contrast and the fading effect of the underlay. The greater the value, the more each pixel is forced to its primary or secondary color.
Fade | Controls the appearance of linework. The greater the value, the lighter the linework in the underlay appears.
Display in Monochrome | Displays the underlay in black and white.

Clipping Panel

Create Clipping Boundary | Deletes the old clipping boundary (if one exists) and creates a new one.
Remove Clipping | Deletes the clipping boundary.

Options Panel

Show Underlay | Hides or displays the underlay.
Enable Snap | Determines whether object snapping is active for geometry in the DWF underlay.
External References | Displays the External References palette.

DWF Layers Panel

Edit Layers Controls the display of layers in a DWF Underlay.


-DWFATTACH (Quick Reference)

DWF Underlay Ribbon Contextual tab
DWFATTACH
DWFCLIP
Commands > D commands > DWFATTACH >
-DWFATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Attach a DWF underlay from the command line.

Access Methods

Command entry: -dwfattach

Summary

When you attach a DWF or DWFx file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

NoteIf you plan to access DWF or DWFx files from the Vault client server, the Vault file open dialog box supersedes the Select DWF File dialog box. Access to the Vault client server is only available to Autodesk Subscription customers.

List of Prompts

The following prompts display.

TipYou can drag a DWF file onto the drawing window to start the DWFATTACH command.
Path to DWF File to Attach

Enters the full path name to the DWF underlay file. The file name can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program.

Entering a tilde (~) displays the Select DWF File dialog box (a standard file selection dialog box).

To avoid errors when entering a file name, it is recommended that you specify both the DWF file and path as follows:

path name\filename.dgn

or

“path name\filename.dgn”

If you enter a valid DWF file name without a file extension, the program adds the extension and searches for the file.

Enter Name of Sheet

Enter a sheet name. For a list of sheets, enter ?.

Enter Sheet(s) to list <*>

Lists the sheets available in the DWF file in a separate text window.

Insertion Point

Specifies the insertion point for the selected DWF file. Enter the X, Y, and Z coordinates at the command prompt, or click onscreen.

Scale Factor

Specifies the scale factor of the selected DWF underlay and the scale factor units. You can enter a scale factor at the command prompt or click onscreen with the mouse.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Rotation

Specifies the rotation angle of the selected DWF underlay by entering an angle value at the command prompt or by clicking onscreen.


DWFCLIP (Quick Reference)

-DWFATTACH
DWFCLIP
DWFFORMAT
Commands > D commands >
DWFCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Crops the display of a selected DWF or DWFx underlay to a specified boundary.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Clip. Not available on the ribbon in the current workspace.
Shortcut menu: Select a DWF or DWFx underlay to clip, right-click in the drawing area, and click DWF Clip.
Command entry: dwfclip

Summary

The clipping boundary determines the portion of an image outside the boundary that is hidden. The visibility of the clipping boundary is controlled by the DWFFRAME system variable

The boundary you specify must be in a plane parallel to the DWF or DWFx underlay.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.

List of Prompts

The following prompts are displayed.

Off

Turns off clipping and displays the entire DWF or DWFx underlay and frame.

If you reclip the DWF or DWFx underlay while clipping is turned off, clipping is automatically turned back on. You are prompted to delete the old boundary even when clipping is turned off and the clipping boundary is not visible.

Delete

Removes a predefined clipping boundary and displays the full original underlay.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

Specify clipping boundary or select invert option: [Select polyline/Polygonal/Rectangular/Invert clip] <Rectangular>:

Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

NoteYou can only create a new clipping boundary for a selected DWF underlay when the old boundary is deleted.


DWFFORMAT (Quick Reference)

DWFCLIP
DWFFORMAT
DWFLAYERS
Commands > D commands >
DWFFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets the default format to DFW or DWFx for the PUBLISH, 3DDWF, EXPORT, EXPORTDWF, AND EXPORTDWFX commands.

Access Methods

Command entry: dwfformat

Summary

The default DWF Format is DWFx.

List of Prompts

Select default DWF format [Dwf/dwfX] <dwfx>: Enter the default DWF Format value


DWFLAYERS (Quick Reference)

DWFFORMAT
DWFLAYERS
DWGPROPS
Commands > D commands >
DWFLAYERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of layers in a DWF or DWFx underlay.

Access Methods

Shortcut menu: Select a DWF or DWFx underlay, right-click in the drawing area, and choose DWF Layers.
Command entry: dwflayers

Summary

After selecting the DWF underlay, the Underlay Layers dialog box is displayed.

The ULAYERS command allows you to manage the layers of all underlays in the current document: DWF, DWFx, PDF, and DGN.


DWGPROPS (Quick Reference)

DWFLAYERS
DWGPROPS
Drawing Properties Dialog Box
Commands > D commands >
DWGPROPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets and displays the file properties of the current drawing.

Access Methods

Ribbon: Tools tab [image] Drawing Utilities panel [image] Drawing Properties. Not available on the ribbon in the current workspace.
Menu: Application menu [image] Drawing Utilities [image] Drawing Properties
Menu: File [image] Drawing Properties
Command entry: dwgprops

Summary

The Drawing Properties dialog box is displayed.

General information, keywords, and custom properties can be created and stored with a drawing file. These file properties are accessible from Windows and can help identify drawing files.


Drawing Properties Dialog Box (Quick Reference)

DWGPROPS
DWGPROPS
General Tab (Drawing Properties Dialog Box)
Commands > D commands > DWGPROPS >
Drawing Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays read-only statistics or general information about your drawing, assigns summary properties, and assigns names and values to custom properties. These custom properties can help you identify your drawing.

Access Methods

Ribbon: Tools tab [image] Drawing Utilities panel [image] Drawing Properties. Not available on the ribbon in the current workspace.
Menu: Application menu [image] Drawing Utilities [image] Drawing Properties
Menu: File [image] Drawing Properties
Command entry: dwgprops

Summary

Document properties are displayed in the list of field names in the Field dialog box.

Drawing Properties tabs:

  • General
  • Summary
  • Statistics
  • Custom


General Tab (Drawing Properties Dialog Box) (Quick Reference)

Drawing Properties Dialog Box
Drawing Properties Dialog Box
Summary Tab (Drawing Properties Dialog Box)
Commands > D commands > DWGPROPS > Drawing Properties Dialog Box >
General Tab (Drawing Properties Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Displays read-only information about the drawing file. This data is derived from the operating system.

File Name

Shows the file icon and the file name.

File Type, Location, Size

Shows the file type, the file location, and the size of the file.

MS-DOS Name, Created, Modified, Accessed

Shows MS-DOS name, when the file was created, and the date and time it was last modified and last accessed.

Attributes

Shows system-level file attributes. These values can be modified in Windows Explorer.

Read-Only

Indicates that the file is read-only; it cannot be changed or deleted accidentally.

Archive

Indicates that this file should be archived. This setting is used to determine which files should be backed up.

Hidden

Indicates that the file is hidden; you cannot see or use it unless you know its name.

System

Indicates that the file is a system file. A drawing cannot have the System attribute set.


Summary Tab (Drawing Properties Dialog Box) (Quick Reference)

General Tab (Drawing Properties Dialog Box)
Drawing Properties Dialog Box
Statistics Tab (Drawing Properties Dialog Box)
Commands > D commands > DWGPROPS > Drawing Properties Dialog Box >
Summary Tab (Drawing Properties Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Displays properties such as author, title, and subject that are predefined. For example, you can add keywords to all your drawing files and then use DesignCenter™ to search for all drawing files with a particular keyword.

Title

Specifies the title you want to use when searching for this drawing. The title can be different from the drawing file name.

Subject

Specifies the subject of the drawing. You can use the subject name to group drawings that have the same subject.

Author

Specifies the author of the drawing. The author name can only be entered or changed by the user. To change the author, delete the existing name and enter a new one.

Keywords

Specifies the keywords you want to use to locate the drawing.

Comments

Provides a space to add comments to the drawing.

Hyperlink Base

Specifies the base address that is used for all relative links inserted within the drawing. You can specify an Internet location, for example, http://www.autodesk.com, or a path to a folder on a network drive.


Statistics Tab (Drawing Properties Dialog Box) (Quick Reference)

Summary Tab (Drawing Properties Dialog Box)
Drawing Properties Dialog Box
Custom Tab (Drawing Properties Dialog Box)
Commands > D commands > DWGPROPS > Drawing Properties Dialog Box >
Statistics Tab (Drawing Properties Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Displays data such as the dates the drawing was created and last modified. These file properties are automatically maintained for you and can help you search for drawings created or modified during a specific period.

NoteIf the drawing was last saved using an application other than Autodesk® software, a warning message is displayed. Display of the warning message is controlled by the DWGCHECK system variable.
Created

Displays the date and time the drawing was created. This value is stored in the TDCREATE system variable.

Modified

Displays the date and time the drawing was last modified. This value is stored in the TDUPDATE system variable.

Last Saved By

Displays the name of the last person who modified the file. The Last Saved By name is stored in the LOGINNAME system variable.

Revision Number

Displays the revision number. This value is not accessible. To track revisions, create a custom property on the Custom tab.

Total Editing Time

Displays the total amount of editing time in the drawing. This value is stored in the TDINDWG system variable.


Custom Tab (Drawing Properties Dialog Box) (Quick Reference)

Statistics Tab (Drawing Properties Dialog Box)
Drawing Properties Dialog Box
Add Custom Property Dialog Box
Commands > D commands > DWGPROPS > Drawing Properties Dialog Box >
Custom Tab (Drawing Properties Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Assigns custom properties to the drawing. For example, you could create a custom property called Project and assign the actual project name as the value. To assign the same custom properties to a group of drawings, create the custom properties in a drawing template file.

Custom properties are displayed in the list of field names in the Field dialog box. You also have access to the properties data using programming interfaces, such as AutoLISP®.

Custom Properties

Lists names and values of custom properties for the current drawing.

Add

Displays the Add Custom Property dialog box, where you can enter a name and a value for the new custom property. The name must be unique. The value can be left blank.

Delete

Deletes the custom property that is selected in the list.

NoteIf you delete a custom property that is used in a field, the field displays #### the next time it is updated.


Add Custom Property Dialog Box (Quick Reference)

Custom Tab (Drawing Properties Dialog Box)
DWGPROPS
DXBIN
Commands > D commands > DWGPROPS >
Add Custom Property Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Drawing Properties
Command entry: dwgprops

Adds a custom property to the drawing file.

Custom Property Name

Specifies a unique name for the custom property. The name can contain up to 255 characters. The following characters are not permitted: asterisk (*), equal sign (=), less-than and greater-than signs (< >), slash (/), backslash (\), quotation marks ("), reverse quote (`), pipe sign (|), colon (:), and semicolon (;).

Value

Specifies a value for the property. The value can be left blank.


DXBIN (Quick Reference)

Add Custom Property Dialog Box
DXBIN
EATTEDIT
Commands > D commands >
DXBIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports an AutoCAD DXB (drawing interchange binary) file.

Ribbon: Blocks & References tab [image] Import panel [image] DXB File. Not available on the ribbon in the current workspace.
Menu: Insert [image] Drawing Exchange BinaryAt the Command prompt, enter dxbin.
Command entry: dxbin

AutoCAD DXB files contain only 2D vectors in binary format with 16-bit integer precision. These vectors are imported as line objects, and they assume the current layer and object properties.

The Select DXB File dialog box (a standard file selection dialog box) is displayed. Enter the name of the file to import.


E commands

DXBIN
Commands
EATTEDIT
Commands >
E commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • EATTEDIT

    Edits attributes in a block reference.

  • EATTEXT
  • EDGE

    Changes the visibility of 3D face edges.

  • EDGESURF

    Creates a mesh between four contiguous edges or curves.

  • ELEV

    Sets elevation and extrusion thickness of new objects.

  • ELLIPSE

    Creates an ellipse or an elliptical arc.

  • ERASE

    Removes objects from a drawing.

  • ETRANSMIT

    Packages a set of files for Internet transmission.

  • EXPLODE

    Breaks a compound object into its component objects.

  • EXPORT

    Saves the objects in a drawing to a different file format.

  • EXPORTDWF

    Creates a DWF file and allows you to set individual page setup overrides on a sheet by sheet basis.

  • EXPORTDWFX

    Creates a DWFx file where you can set individual page setup overrides on a sheet-by-sheet basis.

  • EXPORTLAYOUT

    Creates a visual representation of the current layout in the model space of a new drawing.

  • EXPORTPDF

    Creates a PDF filewhere you can set individual page setup overrides on a sheet-by-sheet basis.

  • EXPORTSETTINGS

    Sets the export setting for a file.

  • EXPORTTOAUTOCAD

    Creates a new DWG file with all AEC objects exploded.

  • EXTEND

    Extends objects to meet the edges of other objects.

  • EXTERNALREFERENCES

    Opens the External References palette.

  • EXTERNALREFERENCESCLOSE

    Closes the External References palette.

  • EXTRUDE

    Extends the dimensions of a 2D object or 3D face into 3D space.


EATTEDIT (Quick Reference)

DXBIN
EATTEDIT
Enhanced Attribute Editor
Commands > E commands >
EATTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits attributes in a block reference.

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Edit Single AttributeNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Attribute [image] SingleNot available in menus in the current workspace
Toolbar: Modify II
Command entry: eattedit

Select a block:

You are prompted to select a block in the drawing area. After you select a block with attributes, the Enhanced Attribute Editor is displayed.

If the block you select does not contain attributes, or if you select something that is not a block, an error message is displayed, and you are prompted to select another block.

Edits the values, text options, and properties of each attribute in a block.


Enhanced Attribute Editor (Quick Reference)

EATTEDIT
EATTEDIT
EATTEXT
Commands > E commands > EATTEDIT >
Enhanced Attribute Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Block panel [image] Edit Single AttributeNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Attribute [image] SingleNot available in menus in the current workspace
Toolbar: Modify II
Command entry: eattedit

Lists the attributes in a selected block instance and displays the properties of each attribute. You can change the attribute properties and values.

Block

Name of the block whose attributes you are editing.

Tag

Tag identifying the attribute.

Select Block

Temporarily closes the dialog box while you select a block with your pointing device.

If you modify attributes of a block and then select a new block before you save the attribute changes you made, you are prompted to save the changes before selecting another block.

Apply

Updates the drawing with the attribute changes you have made, and leaves the Enhanced Attribute Editor open.

The Enhanced Attribute Editor contains the following tabs:

  • Attribute
  • Text Options
  • Properties

Attribute Tab (Enhanced Attribute Editor)

Displays the tag, prompt, and value assigned to each attribute. You can change only the attribute value.

List

Lists the attributes in the selected block instance and displays the tag, prompt, and value for each attribute.

Value

Assigns a new value to the selected attribute.

Multiple-line attributes include a button with an ellipsis. Click to open the In-Place Text Editor with the Text Formatting toolbar and the ruler. Depending on the setting of the ATTIPE system variable, the Text Formatting toolbar displayed is either the abbreviated version, or the full version

To use a field as the value, right-click and click Insert Field on the shortcut menu to display the Field dialog box.

Text Options Tab (Enhanced Attribute Editor)

Sets the properties that define the way an attribute's text is displayed in the drawing. Change the color of attribute text on the Properties tab.

Text Style

Specifies the text style for the attribute text. Default values for this text style are assigned to the text properties displayed in this dialog box.

Justification

Specifies how the attribute text is justified (left-, center-, or right-justified).

Height

Specifies the height of the attribute text.

Rotation

Specifies the rotation angle of the attribute text.

Annotative

Specifies that the attribute is annotative. Click the information icon to learn more about annotative objects.

Backwards

Specifies whether or not the attribute text is displayed backwards. Not available for multiple-line attributes.

Upside down

Specifies whether or not the attribute text is displayed upside down. Not available for multiple-line attributes.

Width Factor

Sets the character spacing for the attribute text. Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Oblique Angle

Specifies the angle that the attribute text is slanted away from its vertical axis. Not available for multiple-line attributes.

Boundary Width

Specifies the maximum length of the lines of text in a multiple-line attribute before wrapping to the next line. A value of 0.000 means that there is no restriction on the length of a line of text. Not available for single-line attributes.

Properties Tab (Enhanced Attribute Editor)

Defines the layer that the attribute is on and the lineweight, linetype, and color for the attribute text. If the drawing uses plot styles, you can assign a plot style to the attribute using the Properties tab.

Layer

Specifies the layer that the attribute is on.

Linetype

Specifies the linetype of the attribute.

Color

Specifies the color of the attribute.

Plot Style

Specifies the plot style of the attribute.

If the current drawing uses color-dependent plot styles, the Plot Style list is not available.

Lineweight

Specifies the lineweight of the attribute.

Changes you make to this option are not displayed if the LWDISPLAY system variable is off.


EATTEXT (Quick Reference)

Enhanced Attribute Editor
EATTEXT
-EATTEXT
Commands > E commands >
EATTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Modify II
Menu: Tools [image] Data ExtractionNot available in menus in the current workspace
Command entry: eattext

This command no longer displays the Attribute Extraction wizard and has been replaced by the Data Extraction wizard.

If you enter -eattext at the Command prompt, options are displayed.


-EATTEXT (Quick Reference)

EATTEXT
EATTEXT
EDGE
Commands > E commands > EATTEXT >
-EATTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extracts data as specified in an existing attribute extraction template (BLK) file created with the Attribute Extraction wizard in AutoCAD 2006 or data extraction (DXE) file created in AutoCAD 2007.

If you enter -eattext at the Command prompt, the following prompts are displayed.

Enter the template file path for the extraction: type: Specify the path and file name for the attribute extraction template (BLK) or data extraction (DXE) file that describes how to extract the information

Subsequent prompts depend on the information set up in the template file. If the template specifies extracting data to an external file, the following prompts are displayed:

Enter the output filetype [Csv/Txt/Xls/Mdb] <Csv>: Enter c for comma-separated (CSV), t for tab-separated (TXT), x for Microsoft Excel (XLS), or m for Microsoft Access (MDB)

Enter output filepath: Specify the names of the path and file where the data will be extracted

NoteThe maximum number of columns that can be exported to an XLS and MDB file is 255.

If the template specifies a table, the following prompt is displayed:

Specify insertion point:


EDGE (Quick Reference)

-EATTEXT
EDGE
EDGESURF
Commands > E commands >
EDGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Changes the visibility of 3D face edges.

Access Methods

Command entry: edge

Summary

This command only affects objects created using the 3DFACE command.

List of Prompts

The following prompts are displayed.

Specify edge of 3D face to toggle visibility or [Display]:

Edge of 3D face to toggle visibility

Controls the visibility of the edges you select.

The prompt is repeated until you press Enter.

If the edges of one or more 3D faces are collinear, the program alters the visibility of each collinear edge.

Display

Selects invisible edges of 3D faces so that you can redisplay them.

All

Selects the hidden edges of all 3D faces in the drawing and displays them.

If you want to make the edges of the 3D faces visible once again, use the Edge option. You must select each edge with your pointing device to display it. AutoSnap™ markers and Snaptips are automatically displayed, indicating the apparent snap locations on each invisible edge.

This prompt continues until you press Enter.

Select

Selects hidden edges of a partially visible 3D face and displays them.

If you want to make the edges of the 3D faces visible once again, use the Edge option. You must select each edge with your pointing device to display it. AutoSnap markers and Snaptips are automatically displayed, indicating the apparent snap locations on each invisible edge.

This prompt continues until you press Enter.


EDGESURF (Quick Reference)

EDGE
EDGESURF
Edit PGP
Commands > E commands >
EDGESURF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mesh between four contiguous edges or curves.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Primitives panel [image] Modeling, Meshes, Edge SurfaceNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Meshes [image] Edge MeshNot available in menus in the current workspace
Command entry: edgesurf

Summary

Select four adjoining edges that define the mesh. The edges can be lines, arcs, splines, or open polylines. The edges must touch at their endpoints to form a single, closed loop.

You can select the four edges in any order. The first edge (SURFTAB1) determines the M direction of the generated mesh, which extends from the endpoint closest to the selection point to the other end. The two edges that touch the first edge form the N edges (SURFTAB2) of the mesh.

The MESHTYPE system variable sets which type of mesh is created. Mesh objects are created by default. Set the variable to 0 to create legacy polyface or polygon mesh.

List of Prompts

The following prompts are displayed.

Object 1 for surface edge

Specifies the first edge to be used as a boundary.

Object 2 for surface edge

Specifies the second edge to be used as a boundary.

Object 3 for surface edge

Specifies the third edge to be used as a boundary.

Object 4 for surface edge

Specifies the final edge to be used as a boundary.


ELEV (Quick Reference)

Edit PGP
ELEV
ELLIPSE
Commands > E commands >
ELEV
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets elevation and extrusion thickness of new objects.

Command entry: elev (or 'elev for transparent use)

Specify new default elevation <current>: Specify a distance or press Enter

The current elevation is the default Z value for new objects when you specify only X and Y values for a 3D point.

The elevation setting is the same for all viewports regardless of their user coordinate systems (UCSs). New objects are created at the specified Z value relative to the current UCS in the viewport.

Specify new default thickness <current>: Specify a distance or press Enter

The thickness sets the distance to which a 2D object is extruded above or below its elevation. A positive value is extruded along the positive Z axis; a negative value is extruded along the negative Z axis.

ELEV controls only new objects; it does not affect existing objects. The elevation is reset to 0.0 whenever you change the coordinate system to the world coordinate system (WCS).


ELLIPSE (Quick Reference)

ELEV
ELLIPSE
ERASE
Commands > E commands >
ELLIPSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an ellipse or an elliptical arc.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] CenterNot available on the ribbon in the current workspace
Menu: Draw [image] Ellipse [image] CenterNot available in menus in the current workspace
Toolbar: Draw
Command entry: ellipse

Specify axis endpoint of ellipse or [Arc/Center/Isocircle]: Specify a point or enter an option

The first two points of the ellipse determine the location and length of the first axis. The third point determines the distance between the center of the ellipse and the end point of the second axis.

Axis Endpoint

Defines the first axis by its two endpoints. The angle of the first axis determines the angle of the ellipse. The first axis can define either the major or the minor axis of the ellipse.

Specify other endpoint of axis: Specify a point (2)

Specify distance to other axis or [Rotation]: Specify a distance by entering a value or locating a point (3), or enter r

Distance to Other Axis

Defines the second axis using the distance from the midpoint of the first axis to the endpoint of the second axis (3).

Rotation

Creates the ellipse by appearing to rotate a circle about the first axis.

Specify rotation around major axis: Specify a point (3), or enter an positive angle value less than 90

Move the crosshairs around the center of the ellipse and click. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circular ellipse.

Arc

Creates an elliptical arc.

The first two points of the elliptical arc determine the location and length of the first axis. The third point determines the distance between the center of the elliptical arc and the endpoint of the second axis. The fourth and fifth points are the start and end angles.

The angle of the first axis determines the angle of the elliptical arc. The first axis can define either the major or the minor axis depending on its size.

Specify axis endpoint of elliptical arc or [Center]: Specify a point or enter c

Axis Endpoint

Defines the start point of the first axis.

Specify other endpoint of axis:

Specify distance to other axis or [Rotation]: Specify a distance or enter r

The descriptions of the Distance to Other Axis and Rotation options match those of the corresponding options under Center.

Center

Creates the elliptical arc using a center point you specify.

Specify center of elliptical arc:

Specify endpoint of axis:

Specify distance to other axis or [Rotation]: Specify a distance or enter r

Creates an ellipse using a center point, the endpoint of the first axis, and the length of the second axis. You can specify the distances by clicking a location at the desired distance or by entering a value for the length.

Distance to Other Axis

Defines the second axis as the distance from the center of the elliptical arc, or midpoint of the first axis, to the point you specify.

Specify start angle or [Parameter]: Specify a point (1), enter a value, or enter p

The descriptions of the Start Angle and Parameter options match those of the corresponding options under Rotation.

Rotation

Defines the major to minor axis ratio of the ellipse by rotating a circle about the first axis. The higher the value from 0 through 89.4 degrees, the greater the ratio of minor to major axis. Values between 89.4 degrees and 90.6 degrees are invalid because the ellipse would otherwise appear as a straight line. Multiples of these angle values result in a mirrored effect every 90 degrees.

Entering 0, 180, or multiples of 180 creates an ellipse in the shape of a circle.

Specify rotation around major axis: Specify a rotation angle

Specify start angle or [Parameter]: Specify an angle or enter p

Start Angle

Defines the first endpoint of the elliptical arc. The Start Angle option toggles from Parameter mode to Angle mode. The mode controls how the ellipse is calculated.

Specify end angle or [Parameter/Included angle]: Specify a point (2), enter a value, or enter an option

Parameter

Requires the same input as Start Angle, but creates the elliptical arc using the following parametric vector equation:

p(u) = c + a * cos(u) + b * sin(u)

where c is the center of the ellipse and a and b are its major and minor axes, respectively.

Specify start parameter or [Angle]: Specify a point, enter a value, or enter a

Specify end parameter or [Angle/Included angle]: Specify a point, enter a value, or enter an option

  • End Parameter: Defines the end angle of the elliptical arc by using a parametric vector equation. The Start Parameter option toggles from Angle mode to Parameter mode. The mode controls how the ellipse is calculated.
  • Angle: Defines the end angle of the elliptical arc. The Angle option toggles from Parameter mode to Angle mode. The mode controls how the ellipse is calculated.
  • Included Angle: Defines an included angle beginning at the start angle.

Center

Creates the ellipse by a center point you specify.

Specify center of ellipse: Specify a point (1)

Specify endpoint of axis: Specify a point (2)

Specify distance to other axis or [Rotation]: Specify a distance by entering a value or locating a point (3), or enter r

Distance to Other Axis

Defines the second axis as the distance from the center of the ellipse, or midpoint of the first axis, to the point you specify.

Rotation

Creates the ellipse by appearing to rotate a circle about the first axis.

Specify rotation around major axis: Specify a point, or enter an angle value between 0 and 89.4

Specify start angle or [Parameter]: Specify an angle or enter p

Move the crosshairs around the center of the ellipse and click. If you enter a value, the higher the value, the greater the eccentricity of the ellipse. Entering 0 defines a circle.

Isocircle

Creates an isometric circle in the current isometric drawing plane.

NoteThe Isocircle option is available only when you set the Style option of SNAP to Isometric.

Specify center of isocircle:

Specify radius of isocircle or [Diameter]: Specify a distance or enter d

Radius

Creates a circle using a radius you specify.

Diameter

Creates a circle using a diameter you specify.

Specify diameter of isocircle: Specify a distance

The Isocircle option is available only when you set the Style option of SNAP to Isometric.


ERASE (Quick Reference)

ELLIPSE
ERASE
ETRANSMIT
Commands > E commands >
ERASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes objects from a drawing.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] EraseNot available on the ribbon in the current workspace
Menu: Modify [image] EraseNot available in menus in the current workspace
Toolbar: Modify
Shortcut menu: Select the objects to erase, right-click in the drawing area, and click Erase.
Command entry: erase

Select objects: Use an object selection method and press Enter when you finish selecting objects

The objects are removed from the drawing.

Instead of selecting objects to erase, you can enter an option, such as L to erase the last object drawn, p to erase the previous selection set, or ALL to erase all objects. You can also enter ? to get a list of all options.


ETRANSMIT (Quick Reference)

ERASE
ETRANSMIT
Create Transmittal Dialog Box
Commands > E commands >
ETRANSMIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Packages a set of files for Internet transmission.

Access Methods

Button

Menu: File [image] eTransmitNot available in menus in the current workspace
Command entry: etransmit

Summary

The Create Transmittal dialog box is displayed.

If you enter -etransmit at the Command prompt, options are displayed.

When you select a set of drawing files in a transmittal package, it automatically includes all related dependent files such as xrefs and font files.


Create Transmittal Dialog Box (Quick Reference)

ETRANSMIT
ETRANSMIT
Transmittal Setups Dialog Box
Commands > E commands > ETRANSMIT >
Create Transmittal Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Menu: File [image] eTransmitNot available in menus in the current workspace
Command entry: etransmit

Summary

Packages a set of files for Internet transmission.

All files to be included in the transmittal package are indicated by a check mark next to the file name. Right-click in the file display area to display a shortcut menu with several options.

Sheets Tab

Lists the sheets to be included in the transmittal package in a hierarchy based on sheet subsets. On this tab, you can create a transmittal package from a sheet set, sheet subset, or sheet. A sheet set must be open in the Sheet Set Manager, and eTransmit must be selected from the shortcut menu that is displayed when a sheet set, sheet subset, or sheet node is right-clicked.

NoteIf a sheet in the list is unavailable, the sheet is referenced (as an xref) by another sheet in the transmittal package, and the unavailable sheet is automatically included in the transmittal package.

Files Tree Tab

Lists the files to be included in the transmittal package in a hierarchical tree format. By default, all files associated with the current drawing (such as related xrefs, plot styles, and fonts) are listed. You can add files to the transmittal package or remove existing files. Related files that are referenced by URLs are not included in the transmittal package.

The drawings to be transmitted are listed under the following categories:

  • Sheet Drawings. Lists the drawing files associated with the sheet set.
  • Sheet Set Files. Lists the support files associated with the sheet set.
  • Current Drawing. Lists the files associated with the current drawing.
  • User Added Files. Lists the files that have been added manually with the Add File option.

Files Table Tab

Displays the files to be included in the transmittal package in a table format. By default, all files associated with the current drawing (such as related xrefs, plot styles, and fonts) are listed. You can add files to the transmittal package or remove existing files. Related files that are referenced by URLs are not included in the transmittal package.

Add File

Opens a standard file selection dialog box, in which you can select an additional file to include in the transmittal package. This button is available on both the Files Tree tab and the Files Table tab.

Enter Notes to Be Included with This Transmittal Package

Provides a space where you can enter notes related to a transmittal package. The notes are included in the transmittal report. You can specify a template of default notes to be included with all your transmittal packages by creating an ASCII text file called etransmit.txt. This file must be saved to a location specified by the Support File Search Path option on the Files tab in the Options dialog box.

Select a Transmittal Setup

Lists previously saved transmittal setups. The default transmittal setup is named STANDARD. Click to select a different transmittal setup. To create a new transmittal setup or to modify an existing one in the list, click Transmittal Setups. Right-click to display a shortcut menu with several options.

Transmittal Setups

Displays the Transmittal Setups dialog box, in which you can create, modify, and delete transmittal setups.

View Report

Displays report information that is included with the transmittal package. Includes any transmittal notes that you entered and distribution notes automatically generated that detail what steps must be taken for the transmittal package to work properly. For example, if SHX fonts are detected in one of the transmittal drawings, you are instructed where to copy these files so that they can be detected on the system where the transmittal package is being installed. If you have created a text file of default notes, the notes are also included in the report.

Save As

Opens a File Save dialog box, in which you can specify a location in which to save a report file. Note that a report file is automatically included with all transmittal packages that you generate; by choosing Save As, you can save an additional copy of a report file for archival purposes.


Transmittal Setups Dialog Box (Quick Reference)

Create Transmittal Dialog Box
ETRANSMIT
Import Transmittal Setups Dialog Box
Commands > E commands > ETRANSMIT >
Transmittal Setups Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] eTransmitDoes not exist in the menus.
Command entry: etransmit

Creates, modifies, and deletes transmittal setups.

Transmittal Setups

Lists transmittal setups.

New

Creates a new transmittal setup.

New Transmittal Setup Name

Enter the name of the new transmittal setup.

Based On

Select an existing transmittal setup from which the new one will be created.

Rename

Renames the currently highlighted transmittal setup.

Modify

Displays the Modify Transmittal Setup dialog box, in which you can specify options for the transmittal package.

Delete

Removes the currently highlighted transmittal setup.

Import

In a sheet set context, opens standard file selection dialog box, in which you can navigate to a sheet set data (DST) file. Then displays the Import Transmittal Setups dialog box, in which you can specify the transmittal setups that you want to import.


Import Transmittal Setups Dialog Box (Quick Reference)

Transmittal Setups Dialog Box
ETRANSMIT
Modify Transmittal Setup Dialog Box
Commands > E commands > ETRANSMIT >
Import Transmittal Setups Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] eTransmitDoes not exist in the menus.
Command entry: etransmit

Imports selected transmittal setups from a specified sheet set data file.

List of Transmittal Setups

Displays a list of transmittal setups. Check the ones that you want to import into the current sheet set.

Description

Displays the optional description that is stored with the selected transmittal setup.

Current Sheet Set Storage Location

Displays the storage location for the current sheet set.

Overwrite with Current Storage Location

When checked, replaces the imported sheet set storage locations with the storage location of the current sheet set.

Import Checked

Imports the transmittal setups on the list that display check marks.


Modify Transmittal Setup Dialog Box (Quick Reference)

Import Transmittal Setups Dialog Box
ETRANSMIT
Transmittal - Set Password Dialog Box
Commands > E commands > ETRANSMIT >
Modify Transmittal Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] eTransmitDoes not exist in the menus.
Command entry: etransmit

Transmittal Type and Location

Specifies the type and path to the transmittal package created.

Transmittal Package Type

Specifies the type of transmittal package created.

Transmittal Package Type | Description
Folder | Creates a transmittal package of uncompressed files in a new or existing folder.
Self-Extracting Executable | Creates a transmittal package of files as a compressed, self-extracting executable file. Double-clicking the resulting EXE file decompresses the transmittal package and restores the files to the folder location that you specify.
Zip | Creates a transmittal package of files as a compressed ZIP file. To restore the files to the folder location that you specify, you need a decompression utility such as the shareware application PKZIP or WinZip.
File Format

Specifies the file format to which all drawings included in a transmittal package will be converted. You can select a drawing file format from the dropdown list.

Maintain Visual Fidelity for Annotative Objects

Specifies whether or not drawings are saved with visual fidelity for annotative objects. Click the information icon to learn more about saving drawings with visual fidelity.

Annotative objects may have multiple scale representations. Annotative objects are decomposed and scale representations are saved to separate layers, which are named based on their original layer and appended with a number.

Transmittal File Folder

Specifies the location in which the transmittal package is created. Lists the last nine locations in which transmittal packages were created. To specify a new location, click Browse and navigate to the location you want.

If this field is left unchanged, the transmittal file is created in the folder containing the first specified drawing file. In a sheet set context, the transmittal file is created in the folder containing the sheet set data (DST) file.

Transmittal File Name

Specifies the method for naming the transmittal package. Displays the default file name for the transmittal package. This option is not available if the transmittal package type is set to Folder.

Transmittal File Type Property | Description
Prompt for a File Name | Displays a standard file selection dialog box where you can enter the name of the transmittal package.
Overwrite if Necessary | Uses a logical default file name. If the file name already exists, the existing file is automatically overwritten.
Increment File Name if Necessary | Uses a logical default file name. If the file name already exists, a number is added to the end. This number is incremented each time a new transmittal package is saved.

Path Options

Provides options for organizing the files and folders that are included in the transmittal package.

Use Organized Folder Structure

Duplicates the folder structure for the files being transmitted. The root folder is the top-level folder within a hierarchical folder tree.

The following considerations apply:

  • Relative paths remain unchanged. Relative paths outside the source root folder retain up to one level of the folder path above them, and are placed in the root folder.
  • Full (absolute) paths within the root folder tree are converted to relative paths. Full paths outside the source root folder retain up to one level of the folder path above them, and are placed in the root folder.
  • Full paths outside the root folder tree are converted to No Path and are moved to the root folder or to a folder within the root folder tree.
  • A Fonts folder is created, if necessary.
  • A PlotCfgs folder is created, if necessary.
  • A SheetSets folder is created to hold all support files for sheet sets, if necessary. The sheet set data (DST) file, however, is placed in the root folder.

This option is not available if you're saving a transmittal package to an Internet location.

Source Root Folder

Defines the source root folder for relative paths of drawing-dependent files, such as xrefs.

The source root folder also contains the sheet set data (DST) file when a sheet set is transmitted.

Place All Files in One Folder

All files are installed to a single, specified target folder when the transmittal package is installed.

Keep Files and Folders As Is

Preserves the folder structure of all files in the transmittal package, facilitating ease of installation on another system. This option is not available if you're saving a transmittal package to an Internet location.

Actions

Provides options for organizing the actions that can be associated with the transmittal package.

Send E-mail with Transmittal

Launches the default system email application when the transmittal package is created so that you can send an email that includes the transmittal package as an attachment.

Set Default Plotter to 'None'

Changes the printer/plotter setting in the transmittal package to None. Your local printer/plotter settings are usually not relevant to the recipient.

Bind External References

Binds all AutoCAD drawing file (DWG) external references to the files to which they were attached.

Bind

Binds the selected DWG external reference to the current drawing.

Insert

Binds the DWG external reference to the current drawing in a way similar to detaching and inserting the reference drawing.

Prompt for Password

Opens the Transmittal - Set Password dialog box, where you can specify a password for your transmittal package.

Purge Drawings

Does a complete purge of all the drawings in the transmittal package.

NoteAs the purge is done in silent mode, you will not receive any notifications when purged items in the drawings have been removed.

Include Options

Provides a means for including additional options with the transmittal package.

Include Fonts

Includes any associated font files (TTF and SHX) with the transmittal package.

NoteBecause TrueType fonts are proprietary, you should make sure that the recipient of the transmittal package also owns the TrueType fonts. If you are not sure whether the recipient owns the TrueType fonts, clear this option. If any required TrueType fonts are not available to the recipient, the font specified by the FONTALT system variable is substituted.
Include Textures from Materials

Includes textures from materials that are attached to objects or faces.

Include Files from Data Links

Adds external files referenced by a data link to the transmittal package.

Include Photometric Web Files

Includes photometric web files that are associated with web lights in the drawing.

Include Unloaded File References

Includes all unloaded external references, images, and underlays. The unloaded file references are listed in the Files Tree and Files Table and report under their appropriate category.

Transmittal Setup Description

Enter a description for the transmittal setup. This description is displayed in the Create Transmittal dialog box below the list of transmittal file setups. You can select any transmittal setup in the list to display its description.


Transmittal - Set Password Dialog Box (Quick Reference)

Modify Transmittal Setup Dialog Box
ETRANSMIT
-ETRANSMIT
Commands > E commands > ETRANSMIT >
Transmittal - Set Password Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] eTransmitDoes not exist in the menus.
Command entry: etransmit

Password for Compressed Transmittal

Provides a space for an optional password for the transmittal package. When others attempt to open the transmittal package, they must provide this password to access the files. Password protection cannot be applied to folder transmittal packages.

Password Confirmation

Provides a space to confirm the password that you entered in the Password field. If the two passwords do not match, you are prompted to reenter them.


-ETRANSMIT (Quick Reference)

Transmittal - Set Password Dialog Box
ETRANSMIT
EXPLODE
Commands > E commands > ETRANSMIT >
-ETRANSMIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -etransmit at the Command prompt, the following prompts are displayed.

Enter an option [Create transmittal package/Report only/CUrrent setup/CHoose setup/Sheet set> <Report only>: Enter an option

Report Only

Creates a report (TXT) file without creating a transmittal package. This report file is based on the current transmittal setup.

Current Setup

Displays the name of the current transmittal setup.

Choose Setup

Specifies the transmittal setup to use for the transmittal package.

Choose Transmittal Setup or [?] <current>: Enter a predefined transmittal setup name, enter ? to display a list of transmittal setups, or press Enter

Sheet Set

Specifies a sheet set and transmittal setup to use for the transmittal package. This option is available only when a sheet set is open.

Sheet Set name or [?] <current>: Enter a predefined sheet set name, enter ? to display a list of sheet sets, or press Enter

Choose Transmittal Setup or [?] <current>: Enter a predefined transmittal setup name, enter ? to display a list of transmittal setups, or press Enter


EXPLODE (Quick Reference)

-ETRANSMIT
EXPLODE
EXPORT
Commands > E commands >
EXPLODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Breaks a compound object into its component objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] ExplodeNot available on the ribbon in the current workspace
Menu: Modify [image] ExplodeNot available in menus in the current workspace
Toolbar: Modify
Command entry: explode

Summary

Explodes a compound object when you want to modify its components separately. Objects that can be exploded include blocks, polylines, and regions, among others.

The color, linetype, and lineweight of any exploded object might change. Other results differ depending on the type of compound object you're exploding. See the following list of objects that can be exploded and the results for each.

To explode objects and change their properties at the same time, use XPLODE.

NoteIf you're using a script or an ObjectARX® function, you can explode only one object at a time.
2D and Lightweight Polyline

Discards any associated width or tangent information. For wide polylines, the resulting lines and arcs are placed along the center of the polyline.

3D Polyline

Explodes into line segments. Any linetype assigned to the 3D polyline is applied to each resulting line segment.

3D Solid

Explodes planar faces into regions. Nonplanar faces explode into surfaces.

Annotative Objects

Explodes the current scale representation into its constituent parts which are no longer annotative. Other scale representations are removed.

Arc

If within a nonuniformly scaled block, explodes into elliptical arcs.

Block

Removes one grouping level at a time. If a block contains a polyline or a nested block, exploding the block exposes the polyline or nested block object, which must then be exploded to expose its individual objects.

Blocks with equal X, Y, and Z scales explode into their component objects. Blocks with unequal X, Y, and Z scales (nonuniformly scaled blocks) might explode into unexpected objects.

When nonuniformly scaled blocks contain objects that cannot be exploded, they are collected into an anonymous block (named with a “*E” prefix) and referenced with the nonuniform scaling. If all the objects in such a block cannot be exploded, the selected block reference will not be exploded. Body, 3D Solid, and Region entities in a nonuniformly scaled block cannot be exploded.

Exploding a block that contains attributes deletes the attribute values and redisplays the attribute definitions.

Blocks inserted with MINSERT and external references (xrefs) and their dependent blocks cannot be exploded.

Body

Explodes into a single-surface body (nonplanar surfaces), regions, or curves.

Circle

If within a nonuniformly scaled block, explodes into ellipses.

Leaders

Explodes into lines, splines, solids (arrow heads), block inserts (arrow heads, annotation blocks), multiline text, or tolerance objects, depending on the leader.

Mesh Objects

Explodes each face into a separate 3D face object. Color and materials assignments are retained.

Multiline Text

Explodes into text objects.

Multiline

Explodes into lines and arcs.

Polyface Mesh

Explodes one-vertex meshes into a point object. Two-vertex meshes explode into a line. Three-vertex meshes explode into 3D faces.

Region

Explodes into lines, arcs, or splines.

List of Prompts

The following prompt is displayed.

Select objects

Specifies which objects to explode. Select the objects and press Enter.


EXPORT (Quick Reference)

EXPLODE
EXPORT
-EXPORT
Commands > E commands >
EXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Saves the objects in a drawing to a different file format.

Access Methods

Button

Menu: File [image] ExportNot available in menus in the current workspace
Command entry: export

Summary

The Export Data dialog box (a standard file selection dialog box) is displayed.

If you do not see the file format that you need in the Files of Type drop-down list, also check the PLOT command for several other file types, including PDF.

NoteThe Export Data dialog box records the last used file format selection and stores it for use during the current drawing session and between drawing sessions.

The following output types are available:

  • 3D DWF (*.dwf) 3D DWFx (*.dwfx): Autodesk Design Web Format (see 3DDWF)
  • Metafile (*.wmf): Microsoft Windows® Metafile (see WMFOUT)
  • ACIS (*.sat): ACIS solid object file (see ACISOUT)
  • Lithography (*.stl): Solid object stereolithography file (see STLOUT)
  • Encapsulated PS (*.eps): Encapsulated PostScript file
  • DXX Extract (*.dxx): Attribute extract DXF™ file (see ATTEXT)
  • Bitmap (*.bmp): Device-independent bitmap file (see BMPOUT)
  • Block (*.dwg): Drawing file (see WBLOCK)
  • V7 DGN (*.dgn): MicroStation DGN file (see DGNEXPORT)
  • V8 DGN (*.dgn): MicroStation DGN file (see DGNEXPORT)


-EXPORT (Quick Reference)

EXPORT
EXPORT
EXPORTDWF
Commands > E commands > EXPORT >
-EXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a DWF, DWFx, or PDF file from the command line.

Access Methods

Command entry: -exportdwf

Summary

The command prompt version of EXPORTDWF, EXPORTDWFX, and EXPORTPDF provides an interface for publishing drawing sheets that can be controlled by a script.

List of Prompts

The following options are available:

File Format

Select DWF, DWFx, or PDF as the output file type.

Plot Area

Specify the area of the drawing to export:

Display

Exports the view in the current viewport in Model space.

Extents

Exports the portion of the current space of the drawing that contains objects in Model space. All geometry in the current space is exported.

Window

Exports any portion of the drawing you specify in Model space. Click the Window button to use the mouse to specify opposite corners of the area to be exported, or enter coordinate values.

Current Layout/All Layouts

If you are exporting from paper space, specify to export the current layout or all layouts.

Detailed Plot Configuration?

Specifies detailed page settings for the Model tab or layout tab you are plotting.

NoteIf you enter No, the Save As dialog appears if FILEDIA is set to 1. If FILEDIA is set to 0, you are prompted to enter a file name at the command prompt.
Paper Size

Enter the paper size or enter ? to view a list of paper sizes defined for the default plotter driver.

Paper Units

Specify Inches or Millimeters as the paper size unit.

NoteThis prompt does not display if you are exporting a raster image, such as a BMP or TIFF file, because the size of the plot defaults to pixels.
Drawing Orientation

Specify if the output displays in portrait or landscape.

Plot Scale

Specify how to scale the drawing in the DWF, DWFx, or PDF file.

  • Plotted Inches=Drawing Units: Calculates the plot scale based on the inches or millimeters to drawing units that you specify. You can also enter a real number as a fraction (for example, you can enter 1=2 or.5).
  • Fit: Automatically calculates the scale to fit the area on the paper size specified earlier.
Plot with Plot Styles?

Specify whether to export using the plot styles applied to objects and defined in the plot style table.

  • Yes: If you enter Yes (plot with plot styles), enter the plot style table name, press Enter for none or enter ? to list to view plot style tables.
  • No: If you select No, enter . at the next prompt to select none.
Plot Style Table Name

All style definitions with different property characteristics are stored in the current plot style table and can be attached to the geometry.

Plot with Lineweights

Specifies whether or not to use the lineweight (measured in pixels) specified in the PC3 driver.


EXPORTDWF (Quick Reference)

-EXPORT
EXPORTDWF
Save as DWF Dialog Box
Commands > E commands >
EXPORTDWF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a DWF file and allows you to set individual page setup overrides on a sheet by sheet basis.

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export drop-down [image] DWF
Menu: Export [image] DWF Not available in menus in the current workspace
Command entry: exportdwf

Summary

When you create DWF files with the EXPORTDWF command, you can quickly override the device driver’s page setup options, add a plot stamp, and change file options. You can change these settings in the Save as DWF dialog box.

To include layer information, change file location, add password-protection, and other file options, use the Export to DWF/PDF Options palette.


Save as DWF Dialog Box (Quick Reference)

EXPORTDWF
EXPORTDWF
Export to DWF/PDF Options Palette
Commands > E commands > EXPORTDWF >
Save as DWF Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export [image] DWF
Menu: Export [image] DWF Not available in menus in the current workspace
Command entry: exportdwf

Summary

When you export your drawing to a DWF file, the Save As DWF dialog box appears. This dialog box allows you to specify the file name and location, but also allows you to change export, page setup, and plot stamp settings.

List of Options

The following options are available in this dialog box.

Options

Opens the Export to DWF/PDF Options palette where you can change DWF file settings such as file location, password-protection, and layer information.

Output Controls

Open in Viewer When Done

Opens the DWF file in the default viewer after export.

Include Plot Stamp

Adds user-defined information such as drawing name, date and time, or plot scale in the DWF file. To edit the plot stamp, click the Plot Stamp button to open the Plot Stamp dialog box.

Export

Selects which part of the drawing to export. If you are in paper space, you can select the current layout or all layouts. If you are in model space, you can select the objects currently displayed, the drawing extents, or a selected area.

Window Selection button

Selects a window area to export from model space.

Page Setup

Exports the DWF file using the settings in the Page Setup Manager or choose to override these settings.

Page Setup Override

Overrides the page settings. Click the Page Setup Override button to display the Page Setup Override dialog box.

Options

Opens the Export to DWF/PDF Options palette where you can change DWF file settings such as file location, password-protection, and layer information.


Export to DWF/PDF Options Palette (Quick Reference)

Save as DWF Dialog Box
EXPORTDWF
Page Setup Override Dialog Box
Commands > E commands > EXPORTDWF >
Export to DWF/PDF Options Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export [image] DWF
Command entry: exportdwf

Summary

Specifies the general export options for the DWF, DWFx, or PDF file, such as file location, password protection, and whether or not to include layer information.

List of Options

The following options are available in this dialog box.

General DWF/PDF options

Changes general settings for DWF, DWFx, and PDF files.

Location

Specifies where the DWF, DWFx, or PDF files are saved when you export drawings.

Type

Specifies whether to export single sheets or multiple sheets from the drawing.

Override Precision

Selects a precision preset that offers the best file resolution for your field or creates a new precision preset by selecting Manage Precision Presets. This dpi setting overrides the dpi settings in the DWF, DWFx, or PDF driver.

Naming

Names multi-sheet files, prompts for name during export, or specifies the name before export.

Layer Information

Includes layer information in the DWF, DWFx, or PDF file.

Merge control

Specifies whether overlapping lines merge (the colors of the lines blend together into a third color) or overwrite (the last plotted line obscures the line beneath it).

DWF Data Options

Changes settings that are only available for DWF and DWFx files.

Password protection

Provides password protection for the DWF, DWFx, or PDF file. You decide whether or not to prompt for the new password during export or to specify the password in this dialog box.

Password

Enters the password for the DWF, DWFx, or PDF file.

Block Information

Specifies block property and attribute information in the DWF, DWFx, or PDF file

Block Template File

Provides options for creating a new block template (DXE) file, editing an existing block template file, or using the settings of a previously created block template file.


Page Setup Override Dialog Box (Quick Reference)

Export to DWF/PDF Options Palette
EXPORTDWF
Precision Presets Manager
Commands > E commands > EXPORTDWF >
Page Setup Override Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF [image] Page Setup.

Summary

You can override the regular page settings applied to the layout through the Page Setup dialog box. The override settings remain until you exit the application. So, you do not have to reset the overrides every time you export to a DWF, DWFx, or PDF file.

List of Options

The following options are available:

Paper Size

Select the paper size from the drop-down list of paper sizes defined for the default plotter driver.

Plot Style Table (Pen Assignments)

Plot Style Name

Select a plot style table from the drop-down list to apply to all layouts.

Plot Style Table Editor

Click to open the Plot Style Table Editor.

Drawing Orientation

Specify if the output displays in portrait or landscape.

Plot Scale

Fit to Paper

Select to automatically scale the selection to fit the area on the paper size specified earlier.

Scale

Specify a scaling ratio for the drawing. This ratio varies depending on whether you select inches or millimeters as the measurement units.

Scale Lineweights

Scales lineweights in proportion to the plot scale. Lineweights normally specify the linewidth of plotted objects and are plotted with the linewidth size regardless of the plot scale.


Precision Presets Manager (Quick Reference)

Page Setup Override Dialog Box
EXPORTDWF
New Precision Preset Dialog Box
Commands > E commands > EXPORTDWF >
Precision Presets Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export to DWF/PDF Options.

In the Export to DWF/PDF Options window, under General DWF/PDF Options, select Override Precision. Then, from Override Precision drop-down, click Manage Precision Presets.

The Precision Presets Manager is displayed.

Summary

With the Precision Presets Manage you can override the PC3 file’s dpi setting and automatically adjusts the dpi on a sheet-by-sheet basis during export and publish. The override calculation uses both the desired precision and the sheet scale to optimize the DWF, DWFx, and PDF file resolution. There are predefined settings for Manufacturing, Architecture, and Civil Engineering, or you can create your own.

List of Options

The following options are available in this dialog box.

Current Preset

Lists the preset currently in use.

Name

The name of the selected preset.

Description

You can add a description to track presets.

Scale Dependent Properties

Unit

Sets the format for units of measure: Imperial or Metric.

Desired Precision

Sets the number of decimal places or fractional size displayed for linear measurments.

Non-Scale Dependent Properties

Gradient Resolution

Sets the resolution for gradients in the DWF, DWFx, or PDF file. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.

Color and Grayscale Resolutions

Sets the resolution for color and grayscale raster images in the DWF, DWFx, or PDF file. The default is 200 dpi. This setting cannot exceed the current vector resolution setting.

Black and White Resolution

Sets the resolution for black and white raster images in the DWF, DWFx, and PDF file. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.


New Precision Preset Dialog Box (Quick Reference)

Precision Presets Manager
Precision Presets Manager
Import Precision Preset
Commands > E commands > EXPORTDWF > Precision Presets Manager >
New Precision Preset Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

From the Export to DWF/PDF Options Palette, select Manage Precision Presets in Override Precision and click New.

Summary

Allows you to name and describe a custom precision preset.

List of Options

This dialog box contains the following options.

Name

Assign a name for the custom precision preset.

Description

(Optional) Enter a description fo what this preset applies to.


Import Precision Preset (Quick Reference)

New Precision Preset Dialog Box
Precision Presets Manager
Export to DWF/PDF Ribbon Panel
Commands > E commands > EXPORTDWF > Precision Presets Manager >
Import Precision Preset
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Summary

You can import precision presets from an existing sheet set (DSD file). The Select List of Sheets dialog opens (a standard file selection dialog box).

To open the Import Precision Preset dialog, click Import in the Precision Presets Manager.


Export to DWF/PDF Ribbon Panel (Quick Reference)

Import Precision Preset
EXPORTDWF
EXPORTDWFX
Commands > E commands > EXPORTDWF >
Export to DWF/PDF Ribbon Panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a DWFx file where you can set individual page setup overrides on a sheet-by-sheet basis.

Access Methods

Ribbon: Output tab [image] Export to DWF/PDF panel

Summary

With the Export DWF/PDF panel, you can quickly create DWF, DWFx, and PDF files and override page setup options without changing the default PC3 driver or resetting page setup options.

List of Options

The following options are available.

Export

Selects which part of the drawing to export to the DWF, DWFx, or PDF file.

Display

Exports objects in the current display. This option is available only in model space.

Extents

Exports the objects in the drawing extents. This option is available only in model space.

Window

Exports the objects in the window. This option is available only in model space.

Window Selection Button

Selects a window area to export from model space.

Current Layout

Exports only the current layout. This option is available only in paper space.

All Layouts

Exports all layouts. This option is available only in paper space.

Page Setup

Exports the objects to a DWF, DWFx, or PDF file using the drawings page setup options or overrides the current options.

Page Setup Override Button

Overrides the page settings by displaying the Page Setup Override dialog box.

Preview

Displays the objects in a Preview window before you export.

Options

Opens the Export to DWF/PDF Options palette where you can change DWF, DWFx, and PDF file settings such as file location, password-protection, and layer information.


EXPORTDWFX (Quick Reference)

Export to DWF/PDF Ribbon Panel
EXPORTDWFX
Save as DWFx Dialog Box
Commands > E commands >
EXPORTDWFX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a DWFx file where you can set individual page setup overrides on a sheet-by-sheet basis.

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export [image] DWFx
Command entry: exportdwfx

Summary

When you create DWFx files with the EXPORTDWFX command, you can quickly override the device driver’s page setup options, add a plot stamp, and change file options. You can change these settings in the Save as DWFx dialog box.

To include layer information, change file location, add password-protection, and other file options, use the Export to DWF/PDF Options palette.


Save as DWFx Dialog Box (Quick Reference)

EXPORTDWFX
EXPORTDWFX
EXPORTLAYOUT
Commands > E commands > EXPORTDWFX >
Save as DWFx Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export [image] DWFx
Menu: Export [image] DWFx Not available in menus in the current workspace
Command entry: exportdwfx

Summary

When you export your drawing to a DWFx file, the Save As DWFx dialog box appears. This dialog box allows you to specify the file name and location, but also allows you to change export, page setup, and plot stamp settings.

List of Options

The following options are available in this dialog box.

Options

Opens the Export to DWF/PDF Options palette where you can change DWFx file settings such as file location, password-protection, and layer information.

Output Controls

Open in Viewer when Done

The DWFx file will open in the default viewer after the export completes when this option is selected.

Include Plot Stamp

Select to include user-defined information such as drawing name, date and time, or plot scale in the DWFx file. To edit the plot stamp, click the Plot Stamp button to open the Plot Stamp dialog box.

Export

Selects which part of the drawing to export. If you are in paper space, you can select the current layout or all layouts. If you are in model space, you can select the objects currently displayed, the drawing extents, or a selected area.

Window Selection button

Select a window area to export from model space.

Page Setup

Export the DWFx file using the settings in the Page Setup Manager or choose to override these settings.

Page Setup Override

Allows you to override the page settings by displaying the Page Setup Override dialog box.


EXPORTLAYOUT (Quick Reference)

Save as DWFx Dialog Box
EXPORTLAYOUT
Export Layout to Model Space Drawing Dialog Box
Commands > E commands >
EXPORTLAYOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a visual representation of the current layout in the model space of a new drawing.

Access Methods

Ribbon: Output tab [image] Send panel [image] Export Layout to Model. Not available on the ribbon in the current workspace
Command entry: exportlayout

Summary

Exported objects are duplicated visually in the new drawing and, as a result, they might be trimmed, scaled, copied, or exploded.

The Export Layout to Model Space Drawing dialog box is displayed.

Select the location and file name for the new exported drawing. All drawings are exported as Drawing (*.dwg).

NoteThe EXPORTLAYOUT command is only available in a layout. The command is not available from the Model tab, while in the block editor, during reference editing, or while using a maximized viewport.


Export Layout to Model Space Drawing Dialog Box (Quick Reference)

EXPORTLAYOUT
EXPORTLAYOUT
EXPORTPDF
Commands > E commands > EXPORTLAYOUT >
Export Layout to Model Space Drawing Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves all visible objects from the current layout to the model space of a new drawing. Also exports objects that are outside the boundaries of the “paper” in the layout.

Access Methods

Ribbon: Output tab [image] Send panel [image] Export Layout to Model. Not available on the ribbon in the current workspace
Command entry: exportlayout

Summary

The Export Layout to Model Space Drawing dialog box is displayed. You can specify a file name and location. The default location is the location of the current drawing. The default file name is the concatenation of the name of the current drawing and the current layout name.

The Export Layout to Model Space Drawing dialog box is a standard file selection dialog box. However, on the Tools drop-down list, Options is not displayed.


EXPORTPDF (Quick Reference)

Export Layout to Model Space Drawing Dialog Box
EXPORTPDF
Save as PDF Dialog Box
Commands > E commands >
EXPORTPDF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a PDF filewhere you can set individual page setup overrides on a sheet-by-sheet basis.

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export drop-down [image] PDF.
Command entry: exportpdf

Summary

When you create PDF files with the EXPORTPDF command, you can quickly override the device driver’s page setup options, add a plot stamp, and change file options. You can change these settings in the Save as PDF dialog box.

To include layer information, change file location, add password-protection, and other file options, use the Export to DWF/PDF Options palette.


Save as PDF Dialog Box (Quick Reference)

EXPORTPDF
EXPORTPDF
EXPORTSETTINGS
Commands > E commands > EXPORTPDF >
Save as PDF Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] Export [image] PDF
Menu: Export [image] PDF Not available in menus in the current workspace
Command entry: exportpdf

Summary

When you export your drawing to a PDF file, the Save As PDF dialog box is displayed. This dialog box allows you to specify the file name and location, but also allows you to change export, page setup, and plot stamp settings.

List of Options

The following options are available in this dialog box.

Options

Opens the Export to DWF/PDF Options palette where you can change PDF file settings such as file location, password-protection, and layer information.

Output Controls

Open in Viewer when Done

The PDF file will open in the default viewer after the export completes when this option is selected.

Include Plot Stamp

Select to include user-defined information such as drawing name, date and time, or plot scale in the PDF file. To edit the plot stamp, click the Plot Stamp button to open the Plot Stamp dialog box.

Export

Selects which part of the drawing to export. If you are in paper space, you can select the current layout or all layouts. If you are in model space, you can select the objects currently displayed, the drawing extents, or a selected area.

Window Selection button

Select a window area to export from model space by selecting the area with the mouse or entering the X, Y coordinates.

Page Setup

Export the PDF file using the settings in the Page Setup Manager or choose to override these settings.

Page Setup Override

Allows you to override the page settings by displaying the Page Setup Override dialog box.


EXPORTSETTINGS (Quick Reference)

Save as PDF Dialog Box
EXPORTSETTINGS
EXPORTTOAUTOCAD
Commands > E commands >
EXPORTSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the export setting for a file.

Access Methods

Button

Ribbon: Output tab [image] Export to DWF/PDF panel [image] PreviewNot available on the ribbon in the current workspace
Command entry: exportsettings

Summary

List of Prompts

The following prompts appear

Preview

Opens the area you want to export in a preview window.

Options

Opens the Export to DWF/PDF Options palette.

Page Setup

Opens the Page Setup Override dialog box.

Window Select

Allows you to select a rectangular area to export by selecting with the mouse or entering the X and Y coordinates.

Export Window

Export the entire window area. You can change export options such as file location and export options in the Save As dialog. The default file format (DWF, DWFx, or PDF) set in EXPORTEPLOTFORMAT, determines which dialog box appears: the Save as DWF dialog, the Save as DWFx dialog box, or the Save as PDF dialog box.


EXPORTTOAUTOCAD (Quick Reference)

EXPORTSETTINGS
EXPORTTOAUTOCAD
EXTEND
Commands > E commands >
EXPORTTOAUTOCAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a new DWG file with all AEC objects exploded.

Command entry: -exporttoautocad or aectoacad

Export options [Format/Bind/bind Type/Maintain/Prefix/Suffix/?] <Enter for filename>: Enter an option or press Enter to specify a file name

You can create a new version of a drawing file with all proxy AEC objects exploded into basic AutoCAD objects. The new version of the drawing loses the intelligence of the custom AEC objects, but the resulting basic objects can be displayed and accessed in earlier versions of AutoCAD when object enablers are not available for those versions.

NoteAny subsequent changes you make to this new drawing file do not affect the original drawing file.

Enter for Filename

Creates a new drawing file with the specified name.

NoteYou can use the Prefix option to create a unique file name for this drawing and to prevent overwriting the existing drawing file.

Export drawing name <current>: Enter a file name

Format

Determines the drawing file format for the resulting drawing file.

Enter file format [r14/2000/2004/2007] <2007>: Specify the drawing file format

Bind

Determines how xrefs are treated when creating the new drawing.

Bind xrefs [Yes/No] <Yes>: Enter y or n

Yes

Binds all xrefs to the drawing. Layers and other xref-dependent named objects are merged into the new drawing.

No

Maintains the xrefs as links to other drawings.

Bind Type

Determines how xref-dependent objects are treated when the Bind option is turned on.

Bind type [Bind/Insert] <Insert>: Enter an option

Bind

Maintains the names of layers and other xref-dependent objects when binding xrefs.

Insert

Merges the names of xref-dependent objects into the new drawing without including the original file name.

Maintain

Determines how blocks within custom AEC objects are treated.

Maintain resolved properties [Yes/No] <Yes>: Enter y or n

Yes

Explodes all block instances within custom AEC objects into basic AutoCAD objects. The resulting basic objects revert to their original properties rather than the properties of the block definitions.

No

Does not explode any block instances within custom AEC objects. The properties of the block instances are determined in the usual way, depending on how the objects in the blocks were created and the property settings of the layers on which the blocks are inserted.

Prefix

Specifies the prefix to be added to the current drawing file name.

Filename prefix <>: Enter the characters to be added to the beginning of the current file name

Suffix

Specifies the suffix to be added to the current drawing file name.

Filename suffix <>: Enter the characters to be added to the end of the file name

? List Settings

Lists the current settings for the command.

File format: current setting

Bind xrefs: current setting

Bind type: current setting

Filename prefix: current setting

Filename suffix: current setting


EXTEND (Quick Reference)

EXPORTTOAUTOCAD
EXTEND
EXTERNALREFERENCES
Commands > E commands >
EXTEND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extends objects to meet the edges of other objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] ExtendNot available on the ribbon in the current workspace
Menu: Modify [image] ExtendNot available in menus in the current workspace
Toolbar: Modify
Command entry: extend

Summary

To extend objects, first select the boundaries. Then press Enter and select the objects that you want to extend. To use all objects as boundaries, press Enter at the first Select Objects prompt.

Current settings: Projection = current, Edge = current

Select boundary edges...

Select objects or <select all>: Select one or more objects and press Enter, or press Enter to select all displayed objects

Select object to extend or shift-select to trim or [Fence/Crossing/Project/Edge/Undo]: Select objects to extend, or hold down SHIFT and select an object to trim, or enter an option

Boundary Object Selection

Uses the selected objects to define the boundary edges to which you want to extend an object.

Object to Extend

Specifies the objects to extend. Press Enter to end the command.

Shift-Select to Trim

Trims the selected objects to the nearest boundary rather than extending them. This is an easy method to switch between trimming and extending.

Fence

Selects all objects that cross the selection fence. The selection fence is a series of temporary line segments that you specify with two or more fence points. The selection fence does not form a closed loop.

Specify first fence point: Specify the starting point of the selection fence

Specify next fence point or [Undo]: Specify the next point of the selection fence or enter u

Specify next fence point or [Undo]: Specify the next point of the selection fence enter u, or press Enter

Crossing

Selects objects within and crossing a rectangular area defined by two points.

Specify first corner: Specify a point

Specify opposite corner: Specify a point at a diagonal from the first point

NoteSome crossing selections of objects to be extended are ambiguous. EXTEND resolves the selection by following along the rectangular crossing window in a clockwise direction from the first point to the first object encountered.

Project

Specifies the projection method used when extending objects.

Enter a projection option [None/Ucs/View] <current>: Enter an option or press Enter

None

Specifies no projection. Only objects that intersect with the boundary edge in 3D space are extended.

UCS

Specifies projection onto the XY plane of the current user coordinate system (UCS). Objects that do not intersect with the boundary objects in 3D space are extended.

View

Specifies projection along the current view direction.

Edge

Extends the object to another object's implied edge, or only to an object that actually intersects it in 3D space.

Enter an implied edge extension mode [Extend/No extend] <current>: Enter an option or press Enter

Extend

Extends the boundary object along its natural path to intersect another object or its implied edge in 3D space.

No Extend

Specifies that the object is to extend only to a boundary object that actually intersects it in 3D space.

Undo

Reverses the most recent changes made by EXTEND.


EXTERNALREFERENCES (Quick Reference)

EXTEND
EXTERNALREFERENCES
External References Palette
Commands > E commands >
EXTERNALREFERENCES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens the External References palette.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] [image] [image] External References
Menu: Insert [image] External ReferencesNot available in menus in the current workspace
Toolbar: Reference
Command entry: externalreferences

Summary

The EXTERNALREFERENCES command opens the External References palette if the palette is inactive. If the External References palette is active but hidden, executing EXTERNALREFERENCES will open the palette. If you click anywhere outside of the External References palette, the palette returns to its auto-hidden state.

NoteThe FILEDIA system variable is ignored when attaching files from the External References palette.


External References Palette (Quick Reference)

EXTERNALREFERENCES
EXTERNALREFERENCES
External References Palette Buttons
Commands > E commands > EXTERNALREFERENCES >
External References Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] [image] [image] External References
Menu: Insert [image] External ReferencesNot available in menus in the current workspace
Toolbar: Reference
Command entry: externalreferences

Summary

The External References palette organizes, displays, and manages referenced files, such as DWG files (xrefs), DWF, DWFx, PDF, or DGN underlays, and raster images.

Only DWG, DWF, DWFx, PDF, and raster image files can be opened directly from the External References palette.

NoteWhen using the External References palette, it is recommended that you turn on the Auto-hide feature or anchor the palette. The palette will then hide automatically when you move the cursor away from the palette.

The External References palette contains several buttons, and is split into two panes. The upper pane, called the File References Pane, can display file references in a list or in a tree structure. Shortcut menus and function keys provide options for working with the files. The lower pane, called the Details / Preview Pane, can display properties for the selected file references or it can display a thumbnail preview of the selected file reference.


External References Palette Buttons (Quick Reference)

External References Palette
External References Palette
File References List View / Tree View Pane
Commands > E commands > EXTERNALREFERENCES > External References Palette >
External References Palette Buttons
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Use the buttons at the top of the External References palette to choose the types of files to attach to the drawing and to refresh the status of file references that you already have attached.

Attach (file type) Button

The Attach button displays a list of file types that you can attach. The following options are displayed:

  • Attach DWG. Starts the XATTACH command.
  • Attach Image. Starts the IMAGEATTACH command.
  • Attach DWF. Starts the DWFATTACH command.
  • Attach DGN. Starts the DGNATTACH command
  • Attach PDF. Starts the PDFATTACH command
  • Attach from Vault. Provides access to content stored in the Vault client.
NoteAttach from Vault is only shown when the Vault client is installed. You must be an Autodesk Subscription customer to have access to the Vault client.

Refresh/Reload All References Button

The following options are available:

Refresh

Synchronizes the status data of referenced drawing files with the data in memory. Refresh interacts primarily with Autodesk Vault.

Reload All References

Updates all file references to ensure that the most current version is used. Updating also occurs when you first open a drawing that contains file references.


File References List View / Tree View Pane (Quick Reference)

External References Palette Buttons
External References Palette
File References Pane Shortcut Menus and Function Keys
Commands > E commands > EXTERNALREFERENCES > External References Palette >
File References List View / Tree View Pane
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The upper File References pane displays a list of all file references in the current drawing. You can display these file references in a list or in a tree structure.

List View

When the File References pane is set to list view, the file references pane displays a list of all the external references that you have associated with the drawing. In list view, you can select multiple file references. The listed information includes the reference name, status, file size, file type, creation date and saved path.

Reference Name

The reference name column always displays the current drawing as the first entry, followed by additional attached files that are listed in the order they were attached.

Status

The status of the referenced file:

  • Loaded - The referenced file is currently attached to the drawing.
  • Unloaded - The referenced file is marked to be unloaded from the drawing.
  • Not Found - The referenced file is no longer exists in the valid search paths.
  • Unresolved - The referenced file cannot be read.
  • Orphaned - The referenced file is attached to another file that has an Unresolved status.
  • Unreferenced - The referenced file is removed by either the delete or erase tool instead of detach.
Size

The size of the attached file reference.

Type

The file type of the referenced file. Drawing (Xref) files display as attachments or overlays, raster images show their file format; and DWF, DWFx, DGN, and PDF underlays are listed as their respective file types.

Date

The date when the referenced file was created or last saved.

Saved Path

Displays the path that is saved with the drawing when the referenced file is attached.

Tree View

When the File References pane is set to tree view, the File References pane displays a tree structure of all external references along with their levels of nesting within the drawing.

The top level of the tree view always shows the current drawing. Referenced files appear at the next level. Referenced files that contain their own nested file references can be opened to show deeper levels. When making selections in tree view, only one file reference can be selected at a time.


File References Pane Shortcut Menus and Function Keys (Quick Reference)

File References List View / Tree View Pane
External References Palette
Details / Preview Pane
Commands > E commands > EXTERNALREFERENCES > External References Palette >
File References Pane Shortcut Menus and Function Keys
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

When working in the File References pane, there are several shortcut menus that can be displayed when you right-click on file references or empty areas of the pane. The following tables show the shortcut menu items that you are presented under certain conditions.

No Reference Selected

When no file references are selected, right-clicking to open the shortcut menu presents the following functions:

Menu Item | Description
Reload All References | Reloads all referenced files. (Unavailable if no file references are attached)
Select All | Selects all file references, excluding the current drawing. This item is not displayed in tree view.
Attach DWG | Starts the XATTACH command.
Attach Image | Starts the IMAGEATTACH command.
Attach DWF | Starts the DWFATTACH command.
Attach DGN | Starts the DGNATTACH command.
Attach PDF | Starts the PDFATTACH command.
Tooltip Style | Modifys the tooltip that appears when you hover over an item in the list view of the palette.
Preview/Details Pane | Turns the display of the Preview/Details pane off and on.
Close | Closes the External References palette.

When you select a file reference, right-clicking to open the shortcut menu presents the following functions:

Menu Item | Description | Reference Status
Open | Opens the selected reference file in the original application in which it was created (specified by the operating system). | Available only for file references with a Loaded status - Unavailable when Unloaded, Not Found or Unresolved.
Attach | Allows you to change settings such as scale, insertion point, and path type. You can also attach a different page from the attached PDF file, a different sheet from an attached DWF file, or a different model name from an attached DGN file. | Always available - status has no affect on this function.
Unload | Unloads the selected file references. | Always available - status has no affect on this function.
Reload | Reloads the selected file references. | Always available - status has no affect on this function.
Detach | Detaches the selected file references. | Always available - status has no affect on this function.
Bind | Displays the Bind Xrefs dialog box. Only available for referenced DWG files. This is not available for images and underlays. | Available only for file references with a Loaded status - Unavailable when Unloaded, Not Found or Unresolved.

Function Key Access

Some tasks in the File References pane can be accessed with function keys.

  • F2 - Accesses the Rename function when a single file reference is selected.
  • F3 - List View toggle.
  • F4 - Tree View toggle.


Details / Preview Pane (Quick Reference)

File References Pane Shortcut Menus and Function Keys
External References Palette
EXTERNALREFERENCESCLOSE
Commands > E commands > EXTERNALREFERENCES > External References Palette >
Details / Preview Pane
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The lower data pane of the External References palette can be set to display file reference properties or a preview image of the selected file reference.

Details Pane

When displaying the Details mode, properties for the selected file reference are reported. Each file reference has a core set of properties and some file references, like referenced images, display properties specific to the file type. The core set of details include the reference name, status, file size, file type, creation date, saved path, found at path and file version, if the Vault client is installed. Some of the properties can be edited.

Reference Name

Displays the file reference name. This property can be edited only if single file references are selected. The reference name shows *Varies* if multiple file references are selected. This property is editable for all the file references.

Status

Shows whether the file reference is loaded, unloaded or not found. This property cannot be edited.

Size

Shows the file size of the selected file reference. The size is not displayed for file references that are unloaded or not found. This property cannot be edited.

Type

Indicates whether the file reference is an attachment or overlay, the type of image file, a DWF/DWFx underlay, DGN underlay, or PDF underlay. This property cannot be edited.

However, if the file reference is a DWG xref, the Attach or Overlay property can be toggled.

Date

Displays the last date the file reference was modified. This date is not displayed if the file reference is unloaded or not found. This property cannot be edited.

Saved Path

Shows the saved path of the selected file reference (this is not necessarily where the file reference is found). This property cannot be edited.

Found At

Displays the full path of the currently selected file reference. This is where the referenced file is actually found and is not necessarily the same as the saved path. Clicking the […] button displays the Select Image File dialog box where you can select a different path or file name. You can also type directly into the path field. These changes are stored to the Saved Path property if the new path is valid.

File Version

File Version property defined by the Vault client. This property is only displayed when you are logged into the Vault.

Specific Image Properties

If you select a referenced image, additional properties are displayed. None of the added image properties can be edited.

Color System

Displays the color system.

Color Depth

The amount of information that is stored in each pixel of a raster image. Higher color depth values produce smoother degrees of shading.

Pixel Width

The width of the raster image measured in pixels.

Pixel Height

The height of the raster image measured in pixels.

Resolution

The width and height resolution in dots per inch (dpi).

Default Size (in AutoCAD units)

The width and height of the raster image measured in AutoCAD units.

Preview Pane

The Preview mode displays a preview for the file reference selected in the File References pane.

The preview image is displayed only when a single file reference is selected from the File References pane. There are no other controls for this data pane. When no reference file is selected, the preview pane displays a solid grey field. If there is no preview available, the text “Preview not available” is displayed in the center of the pane.

Messaging Field

Below the Details / Preview pane is a messaging field that supplies information about certain selected file references. When you select one or more nested references, information is displayed regarding the file references. Messages also appear if you decide the change the name of a file reference.


EXTERNALREFERENCESCLOSE (Quick Reference)

Details / Preview Pane
EXTERNALREFERENCESCLOSE
EXTRUDE
Commands > E commands >
EXTERNALREFERENCESCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes the External References palette.

Command entry: externalreferencesclose

The EXTERNALREFERENCESCLOSE command closes the External References palette. If the External References palette is currently displayed, either in an auto-hidden state or open state, it is closed.


EXTRUDE (Quick Reference)

EXTERNALREFERENCESCLOSE
EXTRUDE
FIELD
Commands > E commands >
EXTRUDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Extends the dimensions of a 2D object or 3D face into 3D space.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] ExtrudeNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] ExtrudeNot available in menus in the current workspace
Toolbar: Modeling
Command entry: extrude

Summary

In most cases, if you extrude a closed object, the result is a new 3D solid. If you extrude an open object, the result is a surface.

When you select a mesh face, the resulting extrusion distorts the face, but the extruded face continues to be part of the original object. When you select the face of a 3D solid to extrude, a new 3D solid object is created.

If a selected polyline has width, the width is ignored and the polyline is extruded from the center of the polyline path. If a selected object has thickness, the thickness is ignored.

The DELOBJ system variable controls whether the object(s) and path (if selected) are automatically deleted when the solid or surface is created or whether you are prompted to delete the object(s) and path.

You can extrude the following objects and subobjects:

Objects That Can Be Extruded or Used as Paths

Object type | Can be extruded? | Can be extrusion path? | Comments
3D faces | X |  |
Arcs | X | X |
Blocks |  |  |
Circles | X | X |
Ellipses | X | X |
Elliptical arcs | X | X |
Helixes |  | X |
Lines | X | X |
Mesh faces | X |  |
Polylines: 2D | X | X | Cannot be extruded: polylines with crossing segments. Ignored: Thickness Ignored: Width (extends extrusion from centerline)
Polylines: 3D |  | X |
Regions | X |  |
Solids: 2D | X |  |
Solids: edges |  | X |
Solids: planar faces | X |  |
Splines: 2D | X | X |
Splines: 3D |  | X |
Surfaces: edges |  | X |
Surfaces: planar | X |  |
Traces | X |  |

List of Prompts

The following prompts are displayed

Objects to Extrude

Specifies the objects to extrude.

NoteYou can select faces on solids and meshes by pressing and holding Ctrl, and then selecting the subobjects.
  • Height of extrusion
  • Direction
  • Path
  • Taper angle
Height of extrusion

Extrudes objects along the positive Z axis of the object's coordinate system if you enter a positive value. If you enter a negative value, the objects are extruded along the negative Z axis. Objects do not have to be parallel to the same plane. If all the objects are on a common plane, the objects are extruded in the direction of the normal of the plane.

By default, planar objects are extruded in the direction of the object’s normal.

Direction

Specifies the length and direction of the extrusion with two points you specify. (The direction cannot be parallel to the plane of the sweep curve created by the extrusion.)

  • Start point of direction. Specifies the first point in the direction vector.
  • End point of direction. Specifies the second point in the direction vector.
Path

Specifies the extrusion path based on an object that you select. The path is moved to the centroid of the profile. Then the profile of the selected object is extruded along the chosen path to create solids or surfaces.

NotePress Ctrl+click to select faces and edges on 3D objects.

The path should not lie on the same plane as the object, nor should the path have areas of high curvature.

The extrusion starts from the plane of the object and maintains its orientation relative to the path.

If the path contains segments that are not tangent, the program extrudes the object along each segment and then miters the joint along the plane bisecting the angle formed by the segments. If the path is closed, the object should lie on the miter plane. This allows the start and end sections of the solid to match up. If the object is not on the miter plane, the object is rotated until it is on the miter plane.

Objects with multiple loops are extruded so that all the loops appear on the same plane at the end section of the extruded solid.

Taper angle

Sets an angle of taper for an extrusion.

Positive angles taper in from the base object. Negative angles taper out. The default angle, 0, extrudes a 2D object perpendicular to its 2D plane. All selected objects and loops are tapered to the same value.

Specifying a large taper angle or a long extrusion height can cause the object or portions of the object to taper to a point before reaching the extrusion height.

Individual loops of a region are always extruded to the same height.

When an arc is part of a tapered extrusion, the angle of the arc remains constant, and the radius of the arc changes.

  • Angle of taper. Sets an angle between -90 and +90 degrees.
  • Specify two points. Sets the taper angle based on two points you specify in the drawing area. The taper angle applied to the extrusion is the distance between the two specified points.


F commands

EXTRUDE
Commands
FIELD
Commands >
F commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • FIELD

    Creates a multiline text object with a field that can be updated automatically as the field value changes

  • FILL

    Controls the filling of objects such as hatches, 2D solids, and wide polylines.

  • FILLET

    Rounds and fillets the edges of objects.

  • FILTER

    Creates a list of requirements that an object must meet to be included in a selection set.

  • FIND

    Finds the text that you specify, and can optionally replace it with other text.

  • FLATSHOT

    Creates a 2D representation of all 3D objects based on the current view.

  • FOG

    Obsolete

  • FREESPOT

    Creates a free spotlight, which is similar to a spotlight but without a specified target

  • FREEWEB

    Creates a free weblight which is similar to a weblight but without a specified target


FIELD (Quick Reference)

EXTRUDE
FIELD
Field Dialog Box
Commands > F commands >
FIELD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a multiline text object with a field that can be updated automatically as the field value changes

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] FieldNot available on the ribbon in the current workspace
Menu: Insert [image] FieldNot available in menus in the current workspace
Shortcut menu: Right-click while any text command is active, and click Insert Field.
Command entry: field

Summary

Fields can be inserted in any kind of text except tolerances. The FIELDEVAL system variable and the UPDATEFIELD command determine how fields are updated.

The Field dialog box is displayed.


Field Dialog Box (Quick Reference)

FIELD
FIELD
FILL
Commands > F commands > FIELD >
Field Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] FieldNot available on the ribbon in the current workspace
Menu: Insert [image] FieldNot available in menus in the current workspace
Shortcut menu: Right-click while any text command is active, and click Insert Field.
Command entry: field

Summary

Inserts a field in the drawing.

The options available in the Field dialog box change with the field category and field name.

Field Category

Sets the types of fields to be listed under Field Names (for example, Date & Time, Document, and Objects). Other includes DieselExpression, LispVariable, and SystemVariable.

Field Names

Lists the fields that are available in a category. Select a field name to display the options available for that field.

Field Value

Displays the current value of the field, or displays an empty string (----) if the field value is invalid.

The label for this item changes with the field name. For example, when Filename is selected in the Field Names list, the label is Filename and the value is the name of the current drawing file. The label is Property for object fields. Exception: when a date field is selected, the selected date format is displayed; for example, M/d/yyyy.

Format List

Lists options for display of the value of the field. For example, date fields can display the name of the day or not, and text strings can be uppercase, lowercase, first capital, or title case. The value displayed in the Fields dialog box reflects the format that you select.

Field Expression

Displays the expression that underlies the field. The field expression cannot be edited, but you can learn how fields are constructed by reading this area.

Options for Sheet Set and Sheet View Fields

The following additional options are available when sheet-set-related fields are selected:

Sheet Set

Specifies the name of the sheet set.

Sheet Navigation Tree

Displays a tree view of sheets or sheet views from the Sheet Set Manager, from which you can select an item for the field.

Property

Displays the properties available as fields for the item selected in the tree.

Associate Hyperlink

Adds a hyperlink to the field when it is created. You can use Ctrl+click to jump to the sheet or view. This option is not available for the ViewportScale field.

NoteIf you recreate the field, because the sheet is already in a sheet set, you should use a sheet set property field, not a placeholder field.

Sheet set fields (fields that were selected from the sheet set category) behave differently than other types of fields. By default, other types of fields update automatically when you save the drawing or when you use REGEN. In contrast, sheet set fields store the last values that were used, and they display these stored values if the information referenced by the sheet set field is not accessible. To update the value in a sheet set field, use UPDATEFIELD command.

NoteIf the information referenced by sheet set field is not accessible, the value for the field will be displayed as “####.”

Options for BlockPlaceholder Fields

BlockPlaceholder fields are only available for insertion in the Attribute Definition dialog box when the Block Editor is open.

The following additional options are available when the BlockPlaceholder field is selected:

Block Name

Displays the name of the current block definition.

Temporary Value

Displays the value for the placeholder field in the selected format.

Block Reference Properties

Displays a list of block reference properties for the current block definition.

Options for SheetSetPlaceholder Fields

The following additional options are available when the SheetSetPlaceholder field is selected:

Placeholder Type

Displays a list of available placeholder fields.

Temporary Value

Displays the value for the placeholder field in the selected format.

For example, with SheetSet Placeholder selected in the Field Names list, SheetTitle selected in the Placeholder Type list, and Uppercase selected in the Format list, Temporary Value displays SHEETTITLE. When the drawing is placed in a sheet set, this field displays the title of the sheet.

Options for Fields in the Objects Field Category

The following additional options are available when object fields are selected:

Named Object Type/Object Type

When NamedObject is selected in Field Names, lists the types of named objects in the drawing. When Object is selected, displays the type of object selected. Use the Select Object button to temporarily close the dialog box and select an object in the drawing.

Property/Name

When NamedObject is selected in Field Names, lists the names of all the objects in the drawing of the selected type. When Object is selected in Field Names, lists the properties of the selected object that are available as fields. When a block with attributes is selected, the attribute names are displayed in the list of properties.

Formula

When Formula is selected in Field Names, provides a place for creating a formula to insert in text or in a table cell.

Average/Sum/Count

When Formula is selected in Field Names, closes the Field dialog box temporarily while you specify table cells. The result is appended to the formula.

Cell

When Formula is selected in Field Names, closes the Field dialog box temporarily while you specify a table cell. The cell address is appended to the formula.

Precision

Specifies precision for fields based on the selected format. Select Current Precision to use the current setting of the LUPREC system variable.

Additional Format

Displays the Additional Format dialog box.

Evaluate

Updates the value in Preview when you have manually changed the text in Formula.

Display Value for Block Reference

Specifies that the object property fields in a block reference evaluate the properties of nested objects relative to the block reference's size and orientation within the drawing, not within the block definition.


FILL (Quick Reference)

Field Dialog Box
FILL
FILLET
Commands > F commands >
FILL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the filling of objects such as hatches, 2D solids, and wide polylines.

Command entry: fill (or 'fill for transparent use)

Enter mode [ON/OFF] <current>: Enter on or off, or press Enter

On

Turns on Fill mode. For the filling of a 3D object to be visible, its extrusion direction must be parallel to the current viewing direction, and hidden lines must not be suppressed.

Off

Turns off Fill mode. Only the outlines of objects are displayed and plotted. Changing Fill mode affects existing objects after the drawing is regenerated. The display of lineweights is not affected by the Fill mode setting.


FILLET (Quick Reference)

FILL
FILLET
FILTER
Commands > F commands >
FILLET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rounds and fillets the edges of objects.

Access Methods

Ribbon: Home tab [image] Modify panel [image] Fillet.Not available on the ribbon in the current workspace.
Toolbar: Modify
Menu: Modify [image] FilletNot available in menus in the current workspace
Command entry: fillet

Summary

In the example, an arc is created that is tangent to both of the selected lines. The lines are trimmed to the ends of the arc. To create a sharp corner instead, enter a radius of zero.

You can fillet arcs, circles, elipses, elliptical arcs, lines, polylines, rays, splines, and xlines.

You can also fillet 3D solids and surfaces. If you select a mesh object for filleting, you can choose to convert the mesh to a solid or surface and continue the operation.

List of Prompts

Current settings: Mode = current, Radius = current

Select first object or [Undo/Polyline/Radius/Trim/Multiple]: Use an object selection method or enter an option

First Object

Selects the first of two objects required to define a 2D fillet or selects the edge of a 3D solid to round or fillet the edge.

Select second object or shift-select to apply corner: Use an object selection method or hold down Shift and select an object to create a sharp corner

If you select lines, arcs, or polylines, their lengths adjust to accommodate the fillet arc. You can hold down Shift while selecting the objects to override the current fillet radius with a value of 0.

If the selected objects are straight line segments of a 2D polyline, they can be adjacent or separated by one other segment. If they are separated by another polyline segment, FILLET deletes the segment that separates them and replaces it with the fillet.

More than one fillet can exist between arcs and circles. Select the objects close to where you want the endpoints of the fillet.

FILLET does not trim circles; the fillet arc meets the circle smoothly.

If you select a 3D solid, you can select multiple edges, but you must select the edges individually.

Enter fillet radius <current>: Specify a distance or press Enter

Select an edge or [Chain/Radius]: Select edge(s), enter c, or enter r

Edge

Selects a single edge. You can continue to select single edges until you press Enter.

If you select three or more edges that converge at a vertex to form the corner of a box, FILLET computes a vertex blend that is part of a sphere if the three incident fillets have the same radii.

Chain

Changes from selection of single edges to selection of sequential tangent edges, called a chain selection.

Select edge chain or <Edge/Radius>: Select an edge chain, enter e, or enter r

Edge Chain

Selects a tangential sequence of edges when you select a single edge. For example, if you select an edge on the top of a 3D solid box, FILLET also selects the other tangential edges on the top.

Edge

Switches to a single-edge selection mode.

Radius

Defines the radius of the rounded edge.

Radius

Defines the radius of the rounded edge.

Enter fillet radius <current>: Specify a distance or press Enter

The previous prompt is displayed:

Select an edge or [Chain/Radius]: Select one or more edges, or enter c or r

Undo

Reverses the previous action in the command.

Polyline

Inserts fillet arcs at each vertex of a 2D polyline where two line segments meet.

Select 2D polyline:

If one arc segment separates two line segments that converge as they approach the arc segment, FILLET removes the arc segment and replaces it with a fillet arc.

Radius

Defines the radius of the fillet arc.

Specify fillet radius <current>: Specify a distance or press Enter

The value you enter becomes the current radius for subsequent FILLET commands. Changing this value does not affect existing fillet arcs.

Trim

Controls whether FILLET trims the selected edges to the fillet arc endpoints.

Enter Trim mode option [Trim/No trim] <current>: Enter an option or press Enter

Trim

Trims the selected edges to the fillet arc endpoints.

No Trim

Does not trim the selected edges.

Multiple

Rounds the edges of more than one set of objects. FILLET displays the main prompt and the Select Second Object prompt repeatedly until you press Enter to end the command.


FILTER (Quick Reference)

FILLET
FILTER
Object Selection Filters Dialog Box
Commands > F commands >
FILTER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a list of requirements that an object must meet to be included in a selection set.

Command entry: filter (or 'filter for transparent use)

The Object Selection Filters dialog box is displayed.


Object Selection Filters Dialog Box (Quick Reference)

FILTER
FILTER
FIND
Commands > F commands > FILTER >
Object Selection Filters Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: filter (or 'filter for transparent use)

Selects, edits, and names filters for object selection.

Filter Property List

Displays a list of the filter properties that compose the current filter. The current filter is the filter that you select in Current in the Named Filters area.

Select Filter

Adds filter properties to the current filter.

Object Types and Logical Operators

Lists object types that you can filter and logical operators (AND, OR, XOR, and NOT) for grouping the filter expressions.

If you use logical operators, make sure that you pair and balance them correctly in the filter list. The number of operands you can enclose depends on the operation.

Logical operators

Starting operator

Encloses

Ending operator

Begin AND

One or more operands

End AND

Begin OR

One or more operands

End OR

Begin XOR

Two operands

End XOR

Begin NOT

One operand

End NOT

For example, the following filter selects all circles except the ones with a radius greater than or equal to 1.0:

Object =Circle

**Begin NOT

Circle Radius >= 1.00

**End NOT

X, Y, Z Parameters

Define additional filter parameters depending on the object. For example, if you select Line Start, you can enter the X, Y, and Z coordinate values that you want to filter.

In the filter parameters, you can use relative operators such as < (less than) or > (greater than). For example, the following filter selects all circles with center points greater than or equal to 1,1,0 and radii greater than or equal to 1:

Object = Circle

Circle Center X >= 1.0000 Y >= 1.0000 Z >= 0.0000

Circle Radius >= 1.0000

Select

Displays a dialog box listing all items of the specified type in the drawing. Select the items to filter. For example, if you select the object type Color, Select displays a list of colors to choose for the filter.

Add to List

Adds the current Select Filter property to the filter list. Filter properties that you add to the unnamed filter remain available during the current work session unless you manually delete them.

Substitute

Replaces the filter property selected in the filter property list with the one displayed in Select Filter.

Add Selected Object

Adds one selected object in the drawing to the filter list.

Edit Item

Moves the selected filter property into the Select Filter area for editing. To edit a filter property, select it and choose Edit Item. Edit the filter property and choose Substitute. The edited filter replaces the selected filter property.

Delete

Deletes a selected filter property from the current filter.

Clear List

Deletes all the listed properties from the current filter.

Named Filters

Displays, saves, and deletes filters.

Current

Displays saved filters. Select a filter list to make it current. The named filter and its list of properties are loaded from the default file, filter.nfl.

Save As

Saves a filter and its list of properties. The filter is saved in the filter.nfl file. Names can contain up to 18 characters.

Delete Current Filter List

Deletes a filter and all its properties from the default filter file.

Apply

Exits the dialog box and displays the Select Objects prompt, where you create a selection set. The current filter is used on the objects you select.


FIND (Quick Reference)

Object Selection Filters Dialog Box
FIND
Find and Replace Dialog Box - FIND
Commands > F commands >
FIND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Finds the text that you specify, and can optionally replace it with other text.

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Find Text
Toolbar: Text Formatting
Menu: Edit [image] FindAt the Command prompt, enter find.
Command entry: find

Summary

The Find and Replace dialog box is displayed.


Find and Replace Dialog Box - FIND (Quick Reference)

FIND
FIND
FLATSHOT
Commands > F commands > FIND >
Find and Replace Dialog Box - FIND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Find Text
Toolbar: Text
Menu: Edit [image] FindAt the Command prompt, enter find.
Shortcut menu: End any active commands, right-click in the drawing area, and choose Find.
Command entry: find

Summary

Specifies the text you want to find, replace, or select and controls the scope and results of the search.

List of Options

The following options are available in this dialog box.

Find What

Specifies the text string you want to find. Enter a text string, including any wild-card characters, or choose one of the six most recently used strings from the list.

For more information on wild-card searches, see Find and Replace Text in the User’s Guide.

Replace With

Specifies the text string you want to use to replace the found text. Enter a string, or choose one of the most recently used strings from the list.

Find Where

Specifies whether to search the entire drawing, the current layout, or the currently-selected object. If an object is already selected, then Selected Objects is the default value. If no object is selected, then Entire Drawing is the default value. You can use the Select Objects button to temporarily close the dialog box and create or modify the selection set.

Select Objects Button

Closes the dialog box temporarily so that you can select objects in your drawing. Press Enter to return to the dialog box. When you select objects, Find Where displays Selected Objects by default.

List Results

Lists results in a table displaying the location (model or paper space), object type, and text. The resulting table can be sorted by column.

Expand Find Options Button

Displays options to define the type of objects and words that you want to find.

Replace

Replaces found text with the text that you enter in Replace With.

Replace All

Finds all instances of the text that you enter in Find What and replaces it with the text in Replace With. The Find Where setting controls whether to find and replace text in the entire drawing or text in the currently selected object or objects.

Zoom to Highlighted Result

Zooms to the selected object in the list. This is unavailable when there are no results or when multiple results are highlighted. You can also zoom to a result when you double-click the selected object.

Create Selection Set (Highlighted)

Creates a selection set from the objects that contain the text highlighted on the list of results. The selected objects must all be located either in model space or in a single layout.

Create Selection Set (All)

Creates a selection set from all the objects that contain the text on the list of results. The objects must all be located either in model space or in a single layout.

Find/Find Next

Finds the text that you enter in Find What. If you have not entered text in Find What, this option is not available. Found text is zoomed to or displayed in the List Results table. Once you find the first instance of the text, the Find option becomes Find Next, which you can use to find the next instance.

Search Options

Defines the type of objects and words to be found.

Match Case

Includes the case of the text in Find What as part of the search criteria.

Find Whole Words Only

Finds only whole words that match the text in Find What. For example, if you select Find Whole Words Only and search for “Front Door,” FIND does not locate the text string “Front Doormat.”

Use Wildcards

Allows the use of wild-card characters in searches.

For more information on wild-card searches, see Find and Replace Text in the User’s Guide.

Search XRefs

Includes text in externally referenced files in search results.

Search Blocks

Includes text in blocks in search results.

Ignore Hidden Items

Ignores hidden items in search results. Hidden items include text on layers that are frozen or turned off, text in block attributes created in invisible mode, and text in visibility states within dynamic blocks.

Match Diacritics (Latin-based languages)

Matches diacritical marks, or accents, in search results.

Match Half/Full Width Forms (East Asian Languages)

Matches half- and full-width characters in search results.

Text Types

Specifies the type of text objects you want to include in the search. By default, all options are selected.

Block Attribute Value

Includes block attribute text values in search results.

Dimension/Leader Text

Includes dimension and leader object text in search results.

Text

Includes text objects such as Text and MText in search results.

Table Text

Includes text found in AutoCAD table cells in search results.

Hyperlink Description

Includes text found in hyperlink descriptions in search results.

Hyperlink

Includes hyperlink URLs in search results.


FLATSHOT (Quick Reference)

Find and Replace Dialog Box - FIND
FLATSHOT
Flatshot Dialog Box
Commands > F commands >
FLATSHOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 2D representation of all 3D objects based on the current view.

Access Methods

Button

Ribbon: Home tab [image] Section panel [image] FlatshotNot available on the ribbon in the current workspace.
Command entry: flatshot

Summary

The Flatshot dialog box is displayed.

The edges of all 3D solids, surfaces, and meshes are projected line-of-sight onto a plane parallel to the viewing plane. The 2D representations of these edges are inserted as a block on the XY plane of the UCS. This block can be exploded for additional changes.


Flatshot Dialog Box (Quick Reference)

FLATSHOT
FLATSHOT
FOG
Commands > F commands > FLATSHOT >
Flatshot Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 2D representation of all 3D objects based on the current view.

Access Methods

Ribbon: Home tab [image] Solid Editing panel [image] FlatshotNot available on the ribbon in the current workspace.
Command entry: flatshot

Summary

List of Options

The following options are displayed.

Destination

Controls where the flattened representation is created.

Insert As New Block

Specifies to insert the flattened representation as a block in the current drawing.

Replace Existing Block

Replaces an existing block in the drawing with the newly created block.

Select Block

Closes the dialog box temporarily while you select the block you are replacing in the drawing. When you finish selecting the block, press Enter to redisplay the Flatshot dialog box.

Block Selected / No Block Selected

Indicates whether a block has been selected.

Export to a File

Saves the block to an external file.

Foreground Lines

Contains controls for setting the color and linetype of lines that are not obscured in the flattened view.

Color

Sets the color of lines that are not obscured in the flattened view.

Linetype

Sets the linetype of lines that are not obscured in the flattened view.

Obscured Lines

Controls whether lines that are obscured in the drawing are displayed in the flattened view, and sets the color and linetype of these obscured lines.

Show

Controls whether obscured lines are shown in the flattened representation. When selected, the 2D flattened representation displays lines hidden by other objects.

Color

Sets the color of lines that lie behind geometry in the flattened view.

Linetype

Sets the linetype of lines that lie behind geometry in the flattened view.

Include Tangential Lines

Creates silhouette edges for curved surfaces.

Create

Creates the flattened view.


FOG (Quick Reference)

Flatshot Dialog Box
FOG
FREESPOT
Commands > F commands >
FOG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

Command entry: fog

The Render Environment dialog box is displayed. (RENDERENVIRONMENT command)


FREESPOT (Quick Reference)

FOG
FREESPOT
FREEWEB
Commands > F commands >
FREESPOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a free spotlight, which is similar to a spotlight but without a specified target

Command entry: freespot

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

If the LIGHTINGUNITS system variable is set to 0, the following prompt is displayed:

Enter an option to change [Name/Intensity/Status/Hotspot/Falloff/shadoW/Attenuation/Color/eXit] <eXit>:

If the LIGHTINGUNITS system variable is set to 1 or 2, the following prompt is displayed:

Enter an option to change [Name/Intensity factor/Photometry/Status/Hotspot/Falloff/shadoW/filterColor/eXit] <eXit>:

NoteWhen the LIGHTINGUNITS system variable is set to 1 or 2, the Attenuation option has no affect on the creation of the light. It is only maintained for scripting compatibility.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity/Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00 - max float) <1.0000>:

Hotspot

Specifies the angle that defines the brightest cone of light, which is known to lighting designers as the beam angle. This value can range from 0 to 160 degrees or the equivalent values based on AUNITS and AUNITS.

Enter hotspot angle (0.00-160.00) <45.0000>:

Falloff

Specifies the angle that defines the full cone of light, which is also known as the field angle. This value can range from 0 to 160 degrees. The default is 50 degrees or the equivalent values based on AUNITS and AUNITS. The falloff angle must be greater than or equal to the hotspot angle.

Enter falloff angle (0.00-160.00) <50>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf] <On>:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*>:

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFtmapped/softsAmpled] <Sharp>:

Off

Turns off display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory that should be used to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness that should be used to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit]<eXit> :

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Disk/Rect] <Disk>:

Specify the sample size by entering a.

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No]<No>:

Attenuation

Enter an option to change [attenuation Type/Use limits/attenuation start Limit/attenuation End limit/eXit]<eXit>:

Attenuation Type

Controls how light diminishes over distance. The farther away an object is from a spotlight, the darker the object appears. Attenuation is also known as decay.

Enter attenuation type [None/Inverse linear/inverse Squared] <Inverse linear>:

  • None. Sets no attenuation. Objects far from the spotlight are as bright as objects close to the light.
  • Inverse Linear. Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the spotlight; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
  • Inverse Squared. Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the spotlight; at a distance of 4 units, light is one sixteenth as strong.
Use Limits

Specifies whether to use limits or not.

Limits [oN/oFf] <Off>:

Attenuation Start Limit

Specifies the point where light starts as an offset from the center of the light. The default is 0.

Specify start limit offset <1.0000>:

Attenuation End Limit

Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point. Setting an end limit increases performance where the effect of lighting is so minimal that the calculations are wasted processing time.

Specify end limit offset <10.0000>:

Color/Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]<255,255,255>:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L):

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


FREEWEB (Quick Reference)

FREESPOT
FREEWEB
GEOGRAPHICLOCATION
Commands > F commands >
FREEWEB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a free weblight which is similar to a weblight but without a specified target

Command entry: freeweb

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

Enter an option to change [Name/Intensity factor/Status/Photometry/weB/shadoW/filterColor/eXit] <eXit>:

NoteThe LIGHTINGUNITS system variable must be set to a value other than 0 to create and use freeweb lights.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00 - max float) <1.0000>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf]:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*> :

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command option.

Web

Specifies the intensity for a light at points on a spherical grid.

Enter a Web option to change [File/X/Y/Z/Exit] <Exit>:

File

Enter Web file <>:

Specifies which web file to use to define the properties of the web. Web files have the file extension .ies.

X

Enter Web X rotation <0.0000>:

Specifies the X rotation for the web.

Y

Enter Web Y rotation <0.0000>:

Specifies the Y rotation for the web.

Z

Enter Web Z rotation <0.0000>:

Specifies the Z rotation for the web.

Exit

Exits the command option.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFtmapped/softsAmpled] <Sharp>:

Off

Turns off display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory to use to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness that should be used to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit]<eXit> :

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Linear, Disk, Rect, Sphere, Cyl] <Sphere>:

Specify the sample size by entering a.

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No]<No>:

Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L) <0,0,100>:

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


G commands

FREEWEB
Commands
GEOGRAPHICLOCATION
Commands >
G commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • GEOGRAPHICLOCATION

    Specifies the geographic location information for a drawing file.

  • GEOMCONSTRAINT

    Applies or persists geometric relationships between objects or points on objects.

  • GOTOURL

    Opens the file or web page associated with the hyperlink attached to an object.

  • GRADIENT

    Fills an enclosed area or selected objects with a gradient fill.

  • GRAPHSCR

    Switches from the text window to the drawing area.

  • GRID

    Displays a grid pattern in the current viewport.

  • GROUP

    Creates and manages saved sets of objects called groups.


GEOGRAPHICLOCATION (Quick Reference)

FREEWEB
GEOGRAPHICLOCATION
Define Geographic Location Dialog Box
Commands > G commands >
GEOGRAPHICLOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the geographic location information for a drawing file.

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Summary

This command displays either of the following dialog boxes:

Define Geographic Location Dialog Box | Appears only if a geographic location does not exist, and the drawing does not contain a foreign coordinate system.
Location Already Exists Dialog Box | Appears if a geographic location exists, and the drawing does not contain a foreign coordinate system.
Coordinate System Already Defined Dialog Box | Appears if an alternate coordinate system is found.


Define Geographic Location Dialog Box (Quick Reference)

GEOGRAPHICLOCATION
GEOGRAPHICLOCATION
Location Already Exists Dialog Box
Commands > G commands > GEOGRAPHICLOCATION >
Define Geographic Location Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Defines a geographic location.

Import a .kml or a .kmz file | Displays the Import a .kml or .kmz file dialog box.
Import the current location from Google Earth | Retrieves location information from a specific location in Google Earth. NoteGoogle Earth should be installed and open with the location selected.
Enter the location values | Displays the Geographic Location Dialog Box, where you can enter the location information manually.
See Also
    • Geographic Location Dialog Box


Location Already Exists Dialog Box (Quick Reference)

Define Geographic Location Dialog Box
GEOGRAPHICLOCATION
Coordinate System Already Defined Dialog Box
Commands > G commands > GEOGRAPHICLOCATION >
Location Already Exists Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Enables you to edit, redefine, or remove an existing location.

Edit current geographic location | Displays the Geographic Location Dialog Box, where you can edit the existing location information.
Redefine geographic location | Displays the Define Geographic Location Dialog Box, where you can redefine the geographic location.
Remove geographic location | Displays a confirmation dialog box before removing the geographic location.


Coordinate System Already Defined Dialog Box (Quick Reference)

Location Already Exists Dialog Box
GEOGRAPHICLOCATION
Geographic Location Dialog Box
Commands > G commands > GEOGRAPHICLOCATION >
Coordinate System Already Defined Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Provides an option to convert the alternate coordinate system to the LL84 coordinate system used by AutoCAD.

Link Label | Description
Leave existing coordinate system | Does not convert the alternate coordinate system to the LL84 coordinate system.
Convert to AutoCAD’s coordinate system | Converts the alternate coordinate system to AutoCAD’s LL84 coordinate system.


Geographic Location Dialog Box (Quick Reference)

Coordinate System Already Defined Dialog Box
GEOGRAPHICLOCATION
Location Picker Dialog Box
Commands > G commands > GEOGRAPHICLOCATION >
Geographic Location Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Sets the latitude, longitude, and north direction of a geographic location in a drawing.

Latitude and Longitude

Displays or sets latitude, longitude, and direction in decimal values.

Decimal Lat / Long | Sets the format of the latitude and longitude representation in the drawing.
Use Map | Displays the Location Picker Dialog Box. Specifies a location by using the pointing device. The latitude and longitude values are updated when you select a location. If you enter latitude and longitude values, then the map displays the updated location.
Latitude | Sets the latitude of the current location. You can enter a value or select a location on the map. The valid range is -90 and +90 as a floating point number. (LATITUDE system variable).
North/South | Controls whether a positive value is north of the equator or a positive value is south of the equator.
Longitude | Displays the longitude of the current location. You can enter a value or select a location on the map. The valid range is -180 to +180 as a floating point number. (LONGITUDE system variable).
East/West | Controls whether a positive value is west of the Prime Meridian or a positive value is east of the Prime Meridian.
Time Zone | Specifies the time zone. Time zones are estimated by reference to the location. You can set the time zone directly. TIMEZONE (system variable).

Coordinates and Elevation

Sets the values for the World Coordinate System (WCS), X,Y,Z, and the elevation.

X | Sets the X component of the world coordinate system for the geographic location.
Y | Sets the Y component of the world coordinate system for the geographic location.
Z | Sets the Z component of the world coordinate system for the geographic location.
Pick Point | Specifies the X, Y, and Z values of the Geographic Location marker based on the World Coordinate System (WCS).
Elevation | Sets the relative height along the specified up-direction defined for a geographic location.

North Direction

By default, north is the positive Y direction in the World Coordinate System (WCS).

Angle | Specifies the angle from 0 for the north direction Valid values are 0-360.
Pick Point | Specifies the north angle based on the direction vector specified. A rubber band line appears denoting the north direction.
Interactive North Direction Preview | Specifies the north angle. The range is 0-359.9.

Up Direction

By default, the up direction is the positive Z-axis (0,0,+1). The Up direction and the north direction are always constrained such that they are perpendicular to each other.

Up Direction | Sets the up direction.
Pick Point | Specifies the up direction (from the current WCS coordinate) based on the direction vector specified. Enabled only if the up direction is set to Custom.


Location Picker Dialog Box (Quick Reference)

Geographic Location Dialog Box
GEOGRAPHICLOCATION
GEOMCONSTRAINT
Commands > G commands > GEOGRAPHICLOCATION >
Location Picker Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Sun & Location panel [image] Set LocationNot available on the ribbon in the current workspace
Menu: Tools [image] Geographic LocationNot available in menus in the current workspace
Toolbar: Lights
Command entry: geographiclocation

Sets the latitude and longitude of the selected location.

Map | Specifies a location on the map.
Region | Specifies a region of the world.
Nearest City | Specifies a city in the selected region.
Time Zone | Specifies the time zone. Time zones are estimated by reference to the location. You can set the time zone directly. TIMEZONE (system variable).
Nearest Big City | Uses the latitude and longitude values for the nearest big city that you select.
See Also
    • Geographic Location Dialog Box


GEOMCONSTRAINT (Quick Reference)

Location Picker Dialog Box
GEOMCONSTRAINT
GOTOURL
Commands > G commands >
GEOMCONSTRAINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies or persists geometric relationships between objects or points on objects.

Access Methods

Button

Ribbon: Parametric tab [image] Geometric panel [image] CoincidentNot available on the ribbon in the current workspace
Menu: Parametric [image] Geometric Constraints [image] CoincidentNot available in menus in the current workspace
Toolbar: Parametric, Geometric Constraints
Command entry: geomconstraint

When you apply a geometric constraint to a pair of objects, the order in which the objects are selected and the point on which each object is selected can affect how the objects are positioned relative to each other.

The following table outlines the valid constraint points for an object.

Objects | Valid Constraint Points
Line | Endpoints, Midpoint
Arc | Center, Endpoints, Midpoint
Spline | Endpoints
Ellipse, Circle | Center
Polyline | Endpoints, midpoints of line and arc subobjects, center of arc subobjects
Block, Xref, Text, Mtext, Attribute, Table | Insertion point

You can apply any of the following constraint types.

Enter constraint type

[Horizontal/Vertical/Perpendicular/PArallel/Tangent/SMooth/ Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: Select a constraint type or enter a value

NoteThe L option (last object drawn) is not allowed in the GEOMCONSTRAINT command as the constraint behavior is dependent on where you pick the object.

Horizontal

Causes lines or pairs of points to lie parallel to the X axis of the current coordinate system. The default selection type is object.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: horizontal

Additional Prompts

2Points

Selects two constraint points instead of an object.

You can select different constraint points on the same object or different objects.

Valid Objects or Points

Line

Polyline subobjects

Two valid constraint points

Vertical

Causes lines or pairs of points to lie parallel to the Y axis of the current coordinate system.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>:vertical

Additional Prompts

2Points

Selects two constraint points instead of an object.

You can select different constraint points on the same object or two separate objects.

Valid Objects or Points

Line

Polyline subobjects

Two valid constraint points

Perpendicular

Causes selected lines to lie 90 degrees to one another. Perpendicular constraints are applied between two objects.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/      Tangent/SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/ Fix]<Coincident>: perpendicular

Lines do not have to intersect to be perpendicular.

Valid Objects or Points

Line

Polyline subobjects

Parallel

Causes selected lines to lie parallel to each another. Parallel constraints are applied between two objects.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: parallel

Valid Objects or Points

Line

Polyline subobjects

Tangent

Constrains two curves to maintain a point of tangency to each other or their extensions. Tangent constraints are applied between two objects.

A circle can be tangent to a line even if the circle does not touch the line.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: tangent

A curve can be tangent to another even if they do not physically share a point.

Valid Objects or Points

Line

Polyline subobjects

Circle, arc, polyarc, or ellipse

Combination of circles, arcs, or ellipses

Smooth

Constrains a spline to be contiguous and maintain G2 continuity with another spline, line, arc, or polyline.

NoteEndpoints of the curves to which you apply the smooth constraints are made coincident.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: smooth

The splines are updated to be contiguous with one another.

Valid Objects or Points

Spline, lines

Polyline subobjects

Arc, polyarc

Coincident

Constrains two points together or a point to a curve (or an extension of a curve). A constraint point on an object can be made coincident with an object or a constraint point on another object.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: coincident

Additional Prompts

Object

Selects an object instead of a constraint point. This option is available at the first prompt when specifying the first point. It is only displayed at the second prompt if a point is specified at the first prompt.

Multiple

Picks successive points to coincide with the first object. The Multiple option is displayed when you use the Object option to select the first object.

AutoConstrain

Selects multiple objects. Coincident constraints are applied to selected objects with unconstrained points that are coincident to each other.

The number of constraints applied is displayed at the Command prompt.

When a coincident constraint is applied between a point and an arc or line, the point can lie on the line or arc or the extension of the line or arc.

Valid Objects or Points

Line

Polyline subobjects

Circle, arc, polyarc, ellipse, spline

Two valid constraint points

Concentric

Constrains two arcs, circles, or ellipses to the same center point. The result is the same as that of a coincident constraint applied to the center points of the curves.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: concentric

Valid Objects or Points

Circle, arc, polyarc, or ellipse

Collinear

Causes two or more line segments to lie along the same line.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: collinear

Additional Prompts

Multiple

Picks successive points or objects to be made collinear with the first object.

Valid Objects or Points

Line

Polyline subobjects

Symmetric

Causes selected objects to become symmetrically constrained about a selected line.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: symmetric

Additional Prompts

2 Points

Selects two points and a symmetry line. The selected points will be made symmetrical to the axis (symmetry line).

NoteYou must have an axis around which you will constrain the objects or points to be symmetrical. This is referred to as the symmetry line.

For lines, the line’s angle is made symmetric (and not the endpoints). For arcs and circles, the center and radius are made symmetric (not the endpoints of the arc).

Valid Objects or Points

Line

Polyline subobjects

Circle, arc, polyarc, ellipse

Equal

Resizes selected arcs and circles to the same radius, or selected lines to the same length.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: equal

Additional Prompts

Multiple

Picks successive objects to be made equal with the first object.

Valid Objects or Points

Line

Polyline subobjects

Arc, polyarc, circle

Fix

Locks points and curves in position.

Enter constraint type[Horizontal/Vertical/Perpendicular/PArallel/Tangent/  SMooth/Coincident/CONcentric/COLlinear/Symmetric/Equal/Fix]<Coincident>: fix

Additional Prompts

Object

Enables you to select an object instead of a constraint point. Press Enter or click the drop-down menu to select object.

When you apply the Fix constraint to a point on an object, you lock the node in place. You can move the object.

When you apply the Fix constraint to an object, the object is locked and cannot be moved.

Valid Objects or Points

Line

Polyline subobjects

Arc, polyarc, circle, ellipse, spline


GOTOURL (Quick Reference)

GEOMCONSTRAINT
GOTOURL
GRADIENT
Commands > G commands >
GOTOURL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the file or web page associated with the hyperlink attached to an object.

Command entry: gotourl

Select an object that has an attached hyperlink. The file or web page (URL) that is associated with the hyperlink opens.


GRADIENT (Quick Reference)

GOTOURL
GRADIENT
GRAPHSCR
Commands > G commands >
GRADIENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fills an enclosed area or selected objects with a gradient fill.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] GradientNot available on the ribbon in the current workspace
Menu: Draw [image] GradientNot available in menus in the current workspace
Toolbar: Draw
Command entry: gradient

Summary

Opens the Hatch and Gradient dialog box to the Gradient tab.

A gradient fill creates a transition between shades of one color or betwen two colors.


GRAPHSCR (Quick Reference)

GRADIENT
GRAPHSCR
GRID
Commands > G commands >
GRAPHSCR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Switches from the text window to the drawing area.

Command entry: graphscr (or 'graphscr for transparent use)

GRAPHSCR closes the text window. You can also press F2 to open or close the text window. This command is ignored on dual-screen systems.


GRID (Quick Reference)

GRAPHSCR
GRID
GROUP
Commands > G commands >
GRID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a grid pattern in the current viewport.

Toolbar: Status bar [image] Grid
Command entry: grid (or 'grid for transparent use)

Specify grid spacing(X) or [ON/OFF/Snap/Major/  Adaptive/Limits/Follow/Aspect] <current>: Specify a value or enter an option

Grid Spacing (X)

Sets the grid to the specified value. Entering x after the value sets the grid spacing to the specified value multiplied by the snap interval.

On

Turns on the grid using the current spacing.

Off

Turns off the grid.

Snap

Sets the grid spacing to the snap interval specified by the SNAP command.

Major

Specifies the frequency of major grid lines compared to minor grid lines. Grid lines rather than grid dots are displayed in any visual style except 2D Wireframe. (GRIDMAJOR system variable)

Adaptive

Controls the density of grid lines when zoomed in or out.

Turn adaptive behavior on [Yes/No] <Yes>: Enter YorN

Limits the density of grid lines or dots when zoomed out. This setting is also controlled by the GRIDDISPLAY system variable.

Allow subdivision below grid spacing [Yes/No] <Yes>

If turned on, generates additional, more closely spaced grid lines or dots when zoomed in. The frequency of these grid lines is determined by the frequency of the major grid lines.

Limits

Displays the grid beyond the area specified by the LIMITS command.

Follow

Changes the grid plane to follow the XY plane of the dynamic UCS. This setting is also controlled by the GRIDDISPLAY system variable.

Aspect

Changes the grid spacing in the X and Y directions.

Specify the horizontal spacing(X) <current>: Enter a value or press ENTER

Specify the vertical spacing(Y) <current>: Enter a value or press ENTER

Entering x following either value defines it as a multiple of the snap interval rather than the drawing units.

The Aspect option is not available when the current snap style is Isometric.


GROUP (Quick Reference)

GRID
GROUP
Object Grouping Dialog Box
Commands > G commands >
GROUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates and manages saved sets of objects called groups.

Command entry: group

The Object Grouping dialog box is displayed.

If you enter -group at the Command prompt, options are displayed.


Object Grouping Dialog Box (Quick Reference)

GROUP
GROUP
Order Group Dialog Box
Commands > G commands > GROUP >
Object Grouping Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: group

Displays, identifies, names, and changes object groups.

Group Name

Displays the names of existing groups.

Selectable

Specifies whether a group is selectable. When a group is selectable, selecting one object in the group selects the whole group. Objects on locked or frozen layers are not selected. When the PICKSTYLE system variable is set to 0, no groups are selectable.

Group Identification

Displays the name and description (if any) of the group selected in the Group Name list.

Group Name

Specifies the group name. Group names can be up to 31 characters long and can include letters, numbers, and the special characters dollar sign ($), hyphen (-), and underscore (_) but not spaces. The name is converted to uppercase characters.

Description

Displays the description of the selected group, if there is one.

Find Name

Lists the groups to which an object belongs.

Pick a member of a group: Select one object

The Group Member List dialog box is displayed, showing the groups to which the object belongs.

Highlight

Shows the members of the selected group in the drawing area.

Include Unnamed

Specifies whether unnamed groups are listed. When this option is cleared, only named groups are displayed.

Create Group

Specifies properties of new groups.

New

Creates a new group from the selected objects, using the name and description under Group Name and Description.

The group name is displayed in the Group Name list.

Selectable

Specifies that a new group is selectable.

Unnamed

Indicates that a new group is unnamed. A default name, *An, is assigned to unnamed groups. The n represents a number that increases with each new group.

Change Group

Modifies existing groups.

Remove

Removes objects from the selected group. To use this option, clear the Selectable option.

Remove objects: Use an object selection method

The selected objects are removed from the group. The Object Grouping dialog box is displayed.

If you remove all the group's objects, the group remains defined. You can remove the group definition from the drawing by using the Explode option.

NoteWhen you remove objects from a group and then later add them back during the same drawing session, they are returned to their previous position in the numerical order of the group.
Add

Adds objects to the selected group.

Select objects: Use an object selection method

The selected objects are added to the group. The Object Grouping dialog box is displayed.

NoteGroup names are displayed in alphabetical order.
Rename

Renames the selected group to the name entered in Group Name under Group Identification.

Re-Order

Displays the Order Group dialog box, in which you can change the numerical order of objects within the selected group. Objects are numbered in the order in which you select them for inclusion in the group. Reordering is useful when creating tool paths. For example, you can change the cut order for the horizontal and vertical lines of a tool path pattern.

You can either change the numerical position of individual group members or ranges of group members or reverse the order of all members. The first object in a group is number 0, not number 1.

Description

Updates the selected group's description to the name that you enter in Description. You can use up to 64 characters for a description name.

Explode

Deletes the definition of the selected group. The group's objects remain in the drawing.

Selectable

Specifies whether the group is selectable.


Order Group Dialog Box (Quick Reference)

Object Grouping Dialog Box
GROUP
-GROUP
Commands > G commands > GROUP >
Order Group Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: group

Reorders objects in groups.

Group Name

Displays the names of all groups.

Description

Displays the description of the selected group.

Remove from Position (0-n)

Specifies the current position of the object to reorder.

Enter New Position Number for the Object (0-n)

Specifies the position to which the object moves.

Number of Objects (1-n)

Specifies the object number or range of numbers to reorder.

Re-Order

Changes the numerical order of objects as specified.

Highlight

Displays the members of the selected group in the drawing area, one by one, in the current group order.

Reverse Order

Reverses the order of all group members.


-GROUP (Quick Reference)

Order Group Dialog Box
GROUP
HATCH
Commands > G commands > GROUP >
-GROUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -group at the Command prompt, the following prompts are displayed.

Enter a group option

[?/Order/Add/Remove/Explode/REName/Selectable/Create] <Create>: Enter an option or press ENTER

?—List Groups

Lists names and descriptions of groups defined in the drawing.

Enter group name(s) to list <*>: Enter a name list or press ENTER to list all groups

Order

Changes the numerical order of objects within a group. Reordering is useful when creating tool paths. For example, you can change the cut order for the horizontal and vertical lines of a tool path pattern.

Enter a group name or [?]: Enter a name list or enter ? to list all groups

Enter position number of the object to reorder (0-n) or [Reverse order]: Enter a position number or enter r

Position Number

Specifies the position number of the object to reorder. To reorder a range of objects, specify the first object's position number.

Replace at position <0-n>: Enter the position number to which you want the object to move

Number of objects to re-order <0-n>: Enter the number of objects to reorder

Reverse Order

Reverses the order of all members in a group.

Add

Adds objects to a group.

Enter a group name or [?]: Enter a name or enter ? to list all groups

Select objects to add to group...

Select objects:

Remove

Removes objects from a group.

Enter a group name or [?]: Enter a name or enter ? to list all groups

Select objects to remove from group...

Remove objects:

If you remove all the group's objects, the group remains defined. You can remove the group definition from the drawing by using the Explode option.

Explode

Deletes a group definition by exploding the group into its component objects.

Enter a group name or [?]: Enter a name or enter ? to list all groups

Ungroup

Removes the group name and the association of objects in the group.

Rename

Assigns a new name to an existing group.

Enter a group name to rename or [?]: Enter an existing group name or enter ? to list all groups

Enter a new name for group or [?]: Enter a new name or enter ? to list all groups

Selectable

Specifies whether a group is selectable. When a group is selectable, selecting one object in the group selects the whole group. Objects on locked or frozen layers are not selected.

Enter a group name or [?]: Enter a name or enter ? to list all groups

This group is current, do you want to change it [Yes/No]? <Y>: Enter y or n, or press ENTER

Create

Creates a group.

Enter a group name or [?]: Enter a name or enter ?

Group names can be up to 31 characters long and can include letters, numbers, and special characters dollar sign ($), hyphen (-), and underscore (_) but not spaces. The name is converted to uppercase characters.

Enter a group description: Enter up to 64 text characters or press ENTER

Select objects:


H commands

-GROUP
Commands
HATCH
Commands >
H commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • HATCH

    Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill.

  • HATCHEDIT

    Modifies an existing hatch or fill.

  • HELIX

    Creates a 2D spiral or 3D spring.

  • HELP

    Opens the Help window.

  • HIDE

    Regenerates a 3D wireframe model with hidden lines suppressed.

  • HIDEPALETTES

    Hides currently displayed palettes (including the command line).

  • HLSETTINGS

    Controls the display properties of models.

  • HYPERLINK

    Attaches a hyperlink to an object or modifies an existing hyperlink.

  • HYPERLINKOPTIONS

    Controls the display of the hyperlink cursor, tooltips, and shortcut menu.


HATCH (Quick Reference)

-GROUP
HATCH
Hatch and Gradient Dialog Box
Commands > H commands >
HATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Fills an enclosed area or selected objects with a hatch pattern, solid fill, or gradient fill.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] HatchNot available on the ribbon in the current workspace
Menu: Draw [image] HatchNot available in menus in the current workspace
Toolbar: Draw
Command entry: hatch

Summary

The Hatch and Gradient dialog box is displayed.

If you enter -hatch at the Command prompt, options are displayed.

NoteBy default, the program will not create a hatch pattern that consists of over 10,000 hatch segments. The limit is set by the MaxHatch setting in the registry. To reset the limit to 50,000, for example, enter (setenv "MaxHatch" "50000") at the Command prompt. The limit can be reset to any value between 100 and 10,000,000.

You can choose from several methods to specify the boundaries of a hatch.

  • Specify a point in an area that is enclosed by objects.
  • Select objects that enclose an area.
  • Drag a hatch pattern into an enclosed area from a tool palette or DesignCenter.


Hatch and Gradient Dialog Box (Quick Reference)

HATCH
HATCH
Hatch Tab (Hatch and Gradient Dialog Box)
Commands > H commands > HATCH >
Hatch and Gradient Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] HatchNot available on the ribbon in the current workspace
Menu: Draw [image] HatchNot available in menus in the current workspace
Toolbar: Draw
Command entry: hatch

Defines the boundaries, pattern type, pattern properties, and other parameters for hatch and gradient fill objects.

The Hatch and Gradient dialog box includes the following:

  • Hatch tab
  • Gradient tab
  • More Options section
  • Add: Pick Points
  • Add: Select Objects
  • Recreate Boundary
  • Remove Boundaries
  • View Selections
  • Select Boundary Objects
  • Options
  • Inherit Properties
  • Preview

Add: Pick Points

Determines a boundary from existing objects that form an enclosed area around the specified point. The dialog box closes temporarily, and you are prompted to pick a point.

Pick internal point or [Select objects/remove Boundaries]: Click within the area to be hatched or filled, specify an option, enter u or undo to undo the last selection, or press ENTER to return to the dialog box

While picking internal points, you can right-click in the drawing area at any time to display a shortcut menu that contains several options.

If you turn on Island Detection, objects that enclose areas within the outermost boundary are detected as islands. How HATCH detects objects using this option depends on which island detection method you select in the More Options area of the dialog box.

NoteDisplays red circles on unconnected endpoints when a boundary cannot be determined.

Add: Select Objects

Determines a boundary from selected objects that form an enclosed area. The dialog box closes temporarily, and you are prompted to select objects.

Select objects or [picK internal point/remove Boundaries]:Select objects that define the area to be hatched or filled, specify an option, enter u or undo to undo the last selection, or press ENTER to return to the dialog box

When you use the Select Objects option, HATCH does not detect interior objects automatically. You must select the objects within the selected boundary to hatch or fill those objects according to the current island detection style.

Each time you click Select Objects, HATCH clears the previous selection set.

While selecting objects, you can right-click at any time in the drawing area to display a shortcut menu. You can undo the last selection or all selections, change the selection method, change the island detection style, or preview the hatch or gradient fill.

Remove Boundaries

Removes from the boundary definition any of the objects that were added previously.

When you click Remove Boundaries, the dialog box closes temporarily, and displays a Command prompt.

Select Objects or [Add boundaries]: Select objects to be removed from the boundary definition, specify an option, or press ENTER to return to the dialog box

Select Objects

Removes temporary boundary objects for hatching or filling as you select them.

Add Boundaries

Adds temporary boundary objects for hatching or filling as you select them.

Recreate Boundary

Creates a polyline or region around the selected hatch or fill, and optionally associates the hatch object with it.

When you click Recreate Boundary, the dialog box closes temporarily, and displays a Command prompt.

Enter type of boundary object [Region/Polyline] <current>: Enter r to create a region or p to create a polyline

Reassociate hatch with new boundary? [Yes/No] <current>: Enter y or n

View Selections

Temporarily closes the Hatch and Gradient dialog box and displays the currently defined boundaries with the current hatch or fill settings.

This option is unavailable when no boundary has been defined.

Select Boundary Objects

Displays boundary grip controls for selected hatch and closes the Hatch and Gradient dialog box.

This option is unavailable when no boundary has been defined for an existing hatch.

NoteThis option is only available in the Hatch Edit dialog box and replaces the View Selections option.

When you manually select or use the Select Boundary Objects option to select a non-associative hatch, the boundary of the hatch displays grips.

When you manually select an associative hatch, it displays only a single grip point of the hatch. To display the boundary grip controls of the objects associated to the hatch, use the Select Boundary Objects option. You can only edit an associative hatch by grip editing the objects it is associated with.

Options

Controls several commonly used hatch or fill options.

Annotative

Specifies that the hatch is annotative. Click the information icon to learn more about annotative objects.

Associative

Controls whether the hatch or fill is associative or nonassociative. A hatch or fill that is associative is updated when you modify its boundaries. (HPASSOC system variable)

Create Separate Hatches

Controls whether a single hatch object or multiple hatch objects are created when several separate closed boundaries are specified. (HPSEPARATE system variable)

Draw Order

Assigns the draw order to a hatch or fill. You can place a hatch or fill behind all other objects, in front of all other objects, behind the hatch boundary, or in front of the hatch boundary. (HPDRAWORDER system variable)

Inherit Properties

Hatches or fills specified boundaries using the hatch or fill properties of a selected hatch object. HPINHERIT controls whether the hatch origin of the resulting hatch is determined by HPORIGIN or by the source object. After selecting the hatch object whose properties you want the hatch to inherit, you can right-click in the drawing area and use the options on the shortcut menu to switch between the Select Objects and Pick Internal Point options to create boundaries.

When you click Inherit Properties, the dialog box closes temporarily, and displays a Command prompt.

Select hatch object: Click within a hatched or filled area to select the hatch whose properties are to be used for the new hatch object

Preview

Dismisses the dialog box and displays the currently defined boundaries with the current hatch or fill settings. Click in the drawing or press ESC to return to the dialog box. Right-click or press ENTER to accept the hatch or fill. This option is not available when you have not yet specified points or selected objects to define your boundaries.

More Options

Expands the dialog box to display more options.


Hatch Tab (Hatch and Gradient Dialog Box) (Quick Reference)

Hatch and Gradient Dialog Box
Hatch and Gradient Dialog Box
Gradient Tab (Hatch and Gradient Dialog Box)
Commands > H commands > HATCH > Hatch and Gradient Dialog Box >
Hatch Tab (Hatch and Gradient Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the appearance of the hatch pattern to be applied.

Type and Pattern

Specifies the type of hatch and the pattern.

Type

Sets the pattern type. User-defined patterns are based on the current linetype in your drawing. A custom pattern is a pattern that is defined in any custom PAT files that you have added to the search path. You can control the angle and scale of any pattern.

Predefined patterns are stored in the acad.pat or acadiso.pat files supplied with the product.

Pattern

Lists the available predefined patterns. The six most recently used predefined patterns appear at the top of the list. HATCH stores the selected pattern in the HPNAME system variable. The Pattern option is available only if you set Type to Predefined.

[...] Button

Displays the Hatch Pattern Palette dialog box, in which you can view preview images for all predefined patterns at once to help you make a selection.

Swatch

Displays a preview of the selected pattern. You can click the swatch to display the Hatch Pattern Palette dialog box. When the SOLID pattern is selected, you can click the right arrow to display a list of colors or the Select Color dialog box.

Custom Pattern

Lists the available custom patterns. The six most recently used custom patterns appear at the top of the list. The name of the selected pattern is stored in the HPNAME system variable. The Custom Pattern option is available only if you set Type to Custom.

[...] Button

Displays the Hatch Pattern Palette dialog box, in which you can view preview images for all custom patterns at once to help you make a selection.

Angle and Scale

Specifies an angle and a scale for the selected hatch pattern.

Angle

Specifies an angle for the hatch pattern relative to the X axis of the current UCS. HATCH stores the angle in the HPANG system variable.

Scale

Expands or contracts a predefined or custom pattern. HATCH stores the scale in the HPSCALE system variable. This option is available only if you set Type to Predefined or Custom.

Double

For user-defined patterns, draws a second set of lines positioned at 90 degrees to the original lines, creating a crosshatch. This option is available only if you set Type to User Defined on the Hatch tab. (HPDOUBLEsystem variable)

Relative to Paper Space

Scales the hatch pattern relative to paper space units. Using this option, you can easily display hatch patterns at a scale that is appropriate for your layout. This option is available only from a layout.

Spacing

Specifies the spacing of lines in a user-defined pattern. HATCH stores the spacing in the HPSPACE system variable. This option is available only if you set Type to User Defined.

ISO Pen Width

Scales an ISO predefined pattern based on the selected pen width. This option is available only if you set Type to Predefined and set Pattern to one of the available ISO patterns.

Hatch Origin

Controls the starting location of hatch pattern generation. Some hatches, such as brick patterns, need to be aligned with a point on the hatch boundary. By default, all hatch origins correspond to the current UCS origin.

Use Current Origin

Uses the setting stored in the HPORIGINMODE system variable. The origin is set to 0,0 by default.

Specified Origin

Specifies a new hatch origin. Click this option to make the following options available.

Click to Set New Origin

Specifies the new hatch origin point directly.

Default to Boundary Extents

Calculates a new origin based on the rectangular extents of the boundary for the hatch object. Choices include each of the four corners of the extents and its center. (HPORIGINMODE system variable)

Store as Default Origin

Stores the value of the new hatch origin in the HPORIGIN system variable.

Origin Preview

Shows the current location of the origin.


Gradient Tab (Hatch and Gradient Dialog Box) (Quick Reference)

Hatch Tab (Hatch and Gradient Dialog Box)
Hatch and Gradient Dialog Box
More Options (Hatch and Gradient Dialog Box)
Commands > H commands > HATCH > Hatch and Gradient Dialog Box >
Gradient Tab (Hatch and Gradient Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the appearance of the gradient fill to be applied.

Color

One Color

Specifies a fill that uses a smooth transition between darker shades and lighter tints of one color. When One Color is selected, HATCH displays a color swatch with Browse button and a Shade and Tint slider.

Two Color

Specifies a fill that uses a smooth transition between two colors. When Two Color is selected, HATCH displays a color swatch with a Browse button for color 1 and for color 2.

Color Swatch

Specifies the color for the gradient fill. Click the Browse button [...] to display the Select Color dialog box, where you can select an AutoCAD Color Index (ACI) color, true color, or color book color. The default color displayed is the current color in the drawing.

Shade and Tint Slider

Specifies the tint (the selected color mixed with white) or shade (the selected color mixed with black) of a color to be used for a gradient fill of one color.

Gradient Patterns

Displays nine fixed patterns for gradient fills. These patterns include linear sweep, spherical, and parabolic.

Orientation

Specifies the angle of the gradient and whether it is symmetrical.

Centered

Specifies a gradient configuration that is symmetrical. If this option is not selected, the gradient fill is shifted up and to the left, creating the illusion of a light source to the left of the object.

Angle

Specifies the angle of the gradient fill. The specified angle is relative to the current UCS. This option is independent of the angle specified for hatch patterns.


More Options (Hatch and Gradient Dialog Box) (Quick Reference)

Gradient Tab (Hatch and Gradient Dialog Box)
Hatch and Gradient Dialog Box
Hatch Pattern Palette Dialog Box
Commands > H commands > HATCH > Hatch and Gradient Dialog Box >
More Options (Hatch and Gradient Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the operation of islands and boundaries.

Islands

Specifies the method used to hatch or fill objects within the outermost boundary. If no internal boundaries exist, specifying an island detection style has no effect. Because you can define a precise set of boundaries, it is often best to use the Normal style.

Island Detection

Controls whether internal closed boundaries, called islands, are detected.

Normal

Hatches or fills inward from the outer boundary. If HATCH encounters an internal island, it turns off hatching or filling until it encounters another island within the island. You can also set the Normal style by adding ,N to the pattern name in the HPNAME system variable.

Outer

Hatches or fills inward from the outer boundary. HATCH turns hatching or filling off if it encounters an internal island. This option hatches or fills only the outermost level of the structure and leaves the internal structure blank. You can also set the Outer style by adding ,O to the pattern name in the HPNAME system variable.

Ignore

Ignores all internal objects and hatches or fills through them. You can also set the Ignore style by adding ,I to the pattern name in the HPNAME system variable.

The Normal, Outer, and Ignore options are also available from a shortcut menu by right-clicking in the drawing area while you specify points or select objects to define your boundaries.

Boundary Retention

Specifies whether to retain boundaries as objects, and determines the object type applied to those objects.

Retain Boundaries

Creates boundary objects from the temporary hatch boundaries and adds them to the drawing.

Object Type

Controls the type of the new boundary object. The resulting boundary object can be a region or a polyline object. This option is available only if Retain Boundaries is checked.

For more information about regions, see Create and Combine Areas (Regions) in the User's Guide.

Boundary Set

Defines the set of objects analyzed when defining a boundary from a specified point. The selected boundary set has no effect when you use Select Objects to define a boundary.

By default, when you use the Add: Pick Point option to define a boundary, HATCH analyzes all objects in the current viewport extents. By redefining the boundary set, you can disregard certain objects when defining boundaries without having to hide or remove those objects. For large drawings, redefining the boundary set can also produce the boundary faster because HATCH examines fewer objects.

Current Viewport

Defines the boundary set from everything in the current viewport extents. Selecting this option discards any current boundary set.

Existing Set

Defines the boundary set from the objects that you selected with New. If you have not created a boundary set with New, the Existing Set option is not available.

New

Prompts you to select the objects that define the boundary set.

Gap Tolerance

Sets the maximum size of gaps that can be ignored when objects are used as a hatch boundary. The default value, 0, specifies that the objects must enclose the area with no gaps.

Enter a value, in drawing units, from 0 to 5000 to set the maximum size of gaps that can be ignored when the objects serve as a hatch boundary. Any gaps equal to or smaller than the value you specify are ignored, and the boundary is treated as closed. (HPGAPTOL system variable)

Inherit Options

When you create a hatch with Inherit Properties, these settings control the location of the hatch origin.

Use Current Origin

Uses the current hatch origin setting

Use Source Hatch Origin

Uses the hatch origin of the source hatch


Hatch Pattern Palette Dialog Box (Quick Reference)

More Options (Hatch and Gradient Dialog Box)
HATCH
-HATCH
Commands > H commands > HATCH >
Hatch Pattern Palette Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] HatchNot available on the ribbon in the current workspace
Menu: Draw [image] HatchNot available in menus in the current workspace
Toolbar: Draw
Command entry: hatch

Displays preview images for all predefined and custom patterns. The dialog box organizes patterns on four tabs with images arranged alphabetically on each tab. Click an image to select a pattern and click OK.

ANSI

Displays all ANSI patterns shipped with the product.

ISO

Displays all ISO patterns shipped with the product.

Other Predefined

Displays all patterns other than ANSI and ISO shipped with the product.

Custom

Displays a list of custom PAT files that you have added to the search path, which is set in the Options dialog box, Files tab.

Preview

Displays a preview image of the selected custom pattern.


-HATCH (Quick Reference)

Hatch Pattern Palette Dialog Box
HATCH
HATCHEDIT
Commands > H commands > HATCH >
-HATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -hatch at the Command prompt, the following prompts are displayed.

Specify internal point or [Properties/Select objects/draW boundary/remove Boundaries/Advanced/DRaw order/Origin/ANnotative]: Specify a point or enter an option

Internal Point

Determines a boundary from existing objects that form an enclosed area around the specified point. If you turn on Island Detection, objects that enclose areas within the outermost boundary are detected as islands. How HATCH detects objects using this option depends on which island detection method is specified.

NoteDisplays red circles on unconnected endpoints when a boundary cannot be determined.

Properties

Specifies new hatch pattern properties to apply.

Enter a pattern name or [?/Solid/User defined] <current>: Enter a predefined or custom pattern name, enter s, enter u, enter ?, or press ENTER

Pattern Name—Predefined or Custom

Specifies a predefined pattern in the acad.pat or acadiso.pat file or a custom pattern in its own PAT file.

Enter the pattern name followed by an optional hatch style code. Precede the pattern name with an asterisk (*) to fill the area with individual lines instead of a hatch object.

Specify a scale for the pattern <current>: Specify a scale or press ENTER

Specify an angle for the pattern <current>: Specify an angle or press ENTER

?—List Pattern Names

Lists and describes the hatch patterns defined in the acad.pat file.

Pattern(s) to list <*>: Enter a name list or press ENTER

Solid

Specifies a solid fill and redisplays the first HATCH Command prompt, where you can define a boundary.

User Defined

Specifies a user-defined pattern. Enter u, followed by an optional hatch style code. Precede the u with an asterisk (*) to fill the area with individual lines instead of a hatch block.

Specify angle for crosshatch lines <current>: Specify an angle for the pattern or press ENTER

Specify spacing between the lines <current>: Specify the distance between pattern lines or press ENTER

Double hatch area? [Yes/No] <current>: Enter y to specify a second set of lines to be drawn at 90 degrees to the original lines, or press ENTER

Select Objects

Determines a boundary from selected objects that form an enclosed area. Adds objects to the boundary definition.

Select objects: Use an object selection method

Draw Boundary

Uses specified points to define the boundary of a hatch or fill.

Retain polyline boundary? [Yes/No] <current>: Enteryto retain the polyline hatch boundary object or n to discard it after the area is hatched

Specify start point: Specify the start point of the polyline boundary

Specify next point or [Arc/Close/Length/Undo]: Specify a point, enter an option, or press ENTER

These options are also available in the PLINE command. When you complete the polyline boundary, press ENTER. You can then create additional polyline boundaries, or press ENTER to twice to apply the hatch.

Specify start point for new boundary or <apply hatch>: Specify a point or press ENTER twice to apply the hatch

Remove Boundaries

Removes from the boundary definition any of the objects that were added previously.

Select Objects or [Add boundaries]: Select objects to be removed from the boundary definition, enter an option, or press ENTER to return to the previous prompt

Select Objects

Removes objects from the boundary definition.

Add Boundaries

Adds objects to the boundary definition.

Advanced

Sets the method used to create the hatch boundary.

Enter an option [Boundary set/Retain boundary/Island detection/Style/Associativity/Gap tolerance/separate Hatches]: Enter an option or press ENTER to return to the previous prompt

Boundary Set

Defines the set of objects to be analyzed when defining a boundary from a specified internal point.

Specify candidate set for boundary [New/Everything] <current>: Enter an option or press ENTER

New

Creates a boundary set from a selection set you define.

Select objects: Use an object selection method

Everything

Creates a boundary set from everything visible in the current viewport. Selecting this option discards any current boundary set and uses everything visible in the drawing or in the current viewport.

Retain Boundary

Specifies whether to add the temporary boundary objects to the drawing after hatching is completed.

Retain derived boundaries? [Yes/No] <current>: Enter y or n, or press ENTER

Island Detection

Specifies whether to use objects within the outermost boundary as boundary objects.

Do you want island detection? [Yes/No] <current>: Enter y or n, or press ENTER

Specifying no island detection prompts for the ray casting method.

Enter type of ray casting [Nearest/+X/-X/+Y/-Y/Angle] <current>: Enter an option or press ENTER

Nearest

Runs a line from the point you specify to the nearest object and then traces the boundary in a counterclockwise direction.

+X

Runs a line in the positive X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

-X

Runs a line in the negative X direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

+Y

Runs a line in the positive Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

-Y

Runs a line in the negative Y direction from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

Angle

Runs a line at the specified angle from the point you specify to the first object encountered and then traces the boundary in a counterclockwise direction.

Specify ray casting angle: Specify an angle

Style

Specifies the method used to hatch objects within the outermost hatch boundary. If you have selected no internal objects, a hatching style has no effect. Because you can define a precise set of boundaries, it's often best to use the Normal style.

Enter hatching style [Ignore/Outer/Normal] <current>: Enter an option or press ENTER

Ignore

IIgnores all internal objects and hatches or fills through them. You can also set the Ignore style by adding ,I to the pattern name in the HPNAME system variable.

Outer

Hatches or fills inward from the outer boundary. HATCH turns hatching or filling off if it encounters an internal island. This option hatches or fills only the outermost level of the structure and leaves the internal structure blank. You can also set the Outer style by adding ,O to the pattern name in the HPNAME system variable.

Normal

Hatches or fills inward from the outer boundary. If HATCH encounters an internal island, it turns off hatching or filling until it encounters another island within the island. You can also set the Normal style by adding ,N to the pattern name in the HPNAME system variable.

Associativity

Specifies that the new hatch pattern is updated when its boundaries are modified.

A new hatch pattern's associativity is set by the HPASSOCsystem variable. Changing the associativity setting here also changes the setting in the HPASSOC system variable.

Do you want associativity? [Yes/No] <current>: Enter y or n, or press ENTER

Gap Tolerance

Sets the maximum size of gaps that can be ignored when objects are used as a hatch boundary. The default value, 0, specifies that the objects must enclose the area with no gaps.

Specify a boundary gap tolerance value <0>: Enter a value, in drawing units, from 0 to 5000

Any gaps equal to or smaller than the value you specify in the gap tolerance are ignored, and the boundary is treated as closed.

Separate Hatches

Controls whether the command creates a single hatch object or multiple hatch objects when several separate closed boundaries are specified.

Create separate hatches? [Yes/No] <current>: Enter y or n, or press ENTER

Draw Order

Assigns the draw order to a hatch or fill. You can place a hatch or fill behind all other objects, in front of all other objects, behind the hatch boundary, or in front of the hatch boundary. (HPDRAWORDER system variable)

Enter draw order [do Not assign/send to Back/bring to Front/send beHind boundary/bring in front of bounDary] <send beHind boundary>: Enter an option, or press ENTER to accept the default and return to the previous prompt

Origin

Controls the starting location of hatch pattern generation. Some hatches, such as brick patterns, need to be aligned with a point on the hatch boundary. By default, all hatch origins correspond to the current UCS origin.

[Use current origin/Set new origin/Default to boundary extents] <current>: Enter an option, or press ENTER to accept the default and return to the previous prompt

Use current origin

Sets the value of the HPORIGINMODE system variable. The last 5 options listed below correspond to the values 1-5.

[Use current origin/Set new origin/bottom Left/bottom Right/top rIght/top lEft/Center] <current>: Enter an option, or press ENTER to accept the default and return to the previous prompt

Set new origin

Specifies the new hatch origin point directly.

Default to boundary extents

Calculates a new origin based on the rectangular extents of the hatch. Choices include each of the four corners of the extents and its center. You can also store the value of the new hatch origin in the HPORIGIN system variable.

Annotative

Specifies that the hatch is annotative.

Create annotative hatch [Yes/No] <current>: Enter y or n, or press ENTER


HATCHEDIT (Quick Reference)

-HATCH
HATCHEDIT
Hatch Edit Dialog Box
Commands > H commands >
HATCHEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modifies an existing hatch or fill.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Edit HatchNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] HatchNot available in menus in the current workspace
Toolbar: Modify II
Shortcut menu: Select a hatch object to edit, and right-click in the drawing area. Click Hatch Edit.
Command entry: hatchedit

Select hatch object: Use an object selection method

The Hatch Edit dialog box is displayed.

If you enter -hatchedit at the Command prompt, options are displayed.

You can modify hatch-specific properties, such as pattern, scale, and angle for an existing hatch.


Hatch Edit Dialog Box (Quick Reference)

HATCHEDIT
HATCHEDIT
-HATCHEDIT
Commands > H commands > HATCHEDIT >
Hatch Edit Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Edit HatchNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] HatchNot available in menus in the current workspace
Toolbar: Modify II
Shortcut menu: Select a hatch object to edit, right-click in the drawing area, and choose Hatch Edit.
Command entry: hatchedit

Modifies the characteristics of an existing hatch or fill. The Hatch Edit dialog box displays the current properties of the selected hatch or fill object. You can modify only the properties in the Hatch Edit dialog box that are available.

Hatch Tab

Modifies the hatch pattern properties.

For information about these options, see the Hatch tab in the Hatch and Gradient dialog box.

Gradient Tab

Modifies the gradient fill properties. For information about these options, see the Gradient tab in the Hatch and Gradient dialog box.

More Options

Modifies the Inherit Options setting that is associated with Inherit Properties. All other options are not available.

For more information, see Inherit Properties in the Hatch and Gradient dialog box.

Boundaries

Modifies the boundaries of a hatch or fill.

For more information, see the Hatch and Gradient dialog box.

Options

Makes hatch annotative, removes hatch associativity, separates a single hatch object that has several separate boundaries into individual hatch objects, and changes hatch draw order.

For more information, see the Hatch and Gradient dialog box.

Inherit Properties

Assigns the hatch or fill properties from another hatch object.

For more information, see the Hatch and Gradient dialog box.

Preview

Temporarily dismisses the dialog box and displays the selected object with the specified properties.


-HATCHEDIT (Quick Reference)

Hatch Edit Dialog Box
HATCHEDIT
HELIX
Commands > H commands > HATCHEDIT >
-HATCHEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -hatchedit at the Command prompt, the following prompts are displayed.

Select hatch object:

Enter hatch option [DIssassociate/Style/Properties/DRaw order/ADd boundaries/Remove boundaries/recreate Boundary/Associate/separate Hatches/ANnotative] <Properties>: Enter an option or press ENTER

Disassociate

Removes the associative quality from an associative hatch.

Style

Changes the hatch style type. The following prompt is displayed:

Enter hatching style [Ignore/Outer/Normal] <current>:

Ignore

Ignores all internal objects and hatches or fills through them. You can also set the Ignore style by adding ,I to the pattern name in the HPNAME system variable.

Outer

Hatches or fills inward from the outer boundary. HATCH turns hatching or filling off if it encounters an internal island. This option hatches or fills only the outermost level of the structure and leaves the internal structure blank. You can also set the Outer style by adding ,O to the pattern name in the HPNAME system variable.

Normal

Hatches or fills inward from the outer boundary. If HATCH encounters an internal island, it turns off hatching or filling until it encounters another island within the island. You can also set the Normal style by adding ,N to the pattern name in the HPNAME system variable.

Properties

Specifies new hatch properties for the selected hatch. For an explanation of setting pattern properties at the Command prompt, see HATCH.

Draw Order

Sets the draw order of the hatch. The following prompt is displayed:

Enter draw order [do Not change/send to Back/bring to Front/send beHind boundary/bring in front of bounDary] <do Not change>: Enter an option

Send to Back

Sends the hatch in back of all other objects

Bring to Front

Brings the hatch in front of all other objects

Send Behind Boundary

Sends the hatch behind the hatch boundary

Bring in Front of Boundary

Brings the hatch in front of the hatch boundary

Add Boundaries

Modifies the boundaries of a hatch or fill by adding boundaries.

For more information, see Add: Pick Points or Add: Select Objects.

Remove Boundaries

Modifies the boundaries of a hatch or fill by removing boundaries.

For more information, see Remove Boundaries.

Recreate Boundary

Creates a polyline or region around the selected hatch or fill, and optionally associates the hatch object with it.

For more information, see Recreate Boundary.

Associate

Specifies that the selected hatch pattern be associated with the specified boundary objects.

Specify internal point or [Select Objects]: Click within a bounded area, enter an option, or press ENTER to return to the previous prompt

Specify Internal Point

Determines a boundary from existing objects that form an enclosed area around the specified point. Associates the selected hatch with that boundary.

Select Objects

Determines a boundary from selected objects that form an enclosed area. Associates the selected hatch with that boundary.

Separate Hatches

Separates a single hatch object that has several separate boundaries into individual hatch objects.

Origin

Controls the starting location of hatch pattern generation. Some hatches, such as brick patterns, need to be aligned with a point on the hatch boundary. By default, all hatch origins correspond to the current UCS origin.

[Use current origin/Set new origin/Default to boundary extents] <current>: Enter an option, or press ENTER to accept the default and return to the previous prompt

Use current origin

Sets the value of the HPORIGINMODE system variable. The last 5 options listed below correspond to the values 1-5.

[Use current origin/Set new origin/bottom Left/bottom Right/top rIght/top lEft/Center] <current>: Enter an option, or press ENTER to accept the default and return to the previous prompt

Set new origin

Specifies the new hatch origin point directly.

Default to boundary extents

Calculates a new origin based on the rectangular extents of the hatch. Choices include each of the four corners of the extents and its center. Also can store the value of the new hatch origin in the HPORIGIN system variable.

Annotative

Specifies that the hatch is annotative.

Create annotative hatch [Yes/No] <current>: Enter y or n, or press ENTER


HELIX (Quick Reference)

-HATCHEDIT
HELIX
HELP
Commands > H commands >
HELIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 2D spiral or 3D spring.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] HelixNot available on the ribbon in the current workspace
Menu: Draw [image] HelixNot available in menus in the current workspace
Toolbar: Modeling
Command entry: helix

Number of turns = 3 (default)

Twist = CCW (default)

Specify center point of base: Specify a point

Specify base radius or [Diameter] <1.0000>: Specify a base radius, enter d to specify the diameter, or press ENTER to specify the default base radius value

Specify top radius or [Diameter] <1.0000>: Specify a top radius, enter d to specify the diameter, or press ENTER to specify the default top radius value

Specify helix height or [Axis endpoint/Turns/turn Height/tWist] <1.0000>: Specify a helix height, or enter an option

Use a helix as a sweep path for the SWEEP command to create springs, threads, and circular stairways.

Initially, the default base radius is set to 1. During a drawing session, the default value for the base radius is always the previously entered base radius value for any solid primitive or helix.

The default value for the top radius is always the value of the base radius.

The base radius and top radius cannot both be set to 0.

Diameter (Base)

Specifies the diameter of the base of the helix.

Specify diameter <2.0000>: Specify a diameter or press ENTER to specify the default value

Initially, the default base diameter is set to 2. During a drawing session, the default value for the base diameter is always the previously entered base diameter value.

Diameter (Top)

Specifies the diameter of the top of the helix.

Specify diameter <2.0000>: Specify a diameter or press ENTER to specify the default value

The default value for the top diameter is always the value of the base diameter.

Axis Endpoint

Specifies the endpoint location for the helix axis. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the helix.

Specify axis endpoint: Specify a point

Turns

Specifies the number of turns (revolutions) for the helix. The number of turns for a helix cannot exceed 500.

Initially, the default value for the number of turns is three. During a drawing session, the default value for the number of turns is always the previously entered number of turns value.

Enter number of turns: Enter a number

Turn Height

Specifies the height of one complete turn within the helix.

The number of turns in the helix will automatically update accordingly when a turn height value is specified. If the number of turns for the helix has been specified, you cannot enter a value for the turn height.

Specify distance between turns <default>: Enter a number to specify the height for each turn in the helix

Twist

Specifies whether the helix is drawn in the clockwise (CW) or the counterclockwise (CCW) direction. The default value for the helix twist is CCW.

Enter twist direction of helix [CW/CCW] <CCW>: Specify a twist direction for the helix


HELP (Quick Reference)

HELIX
HELP
HIDE
Commands > H commands >
HELP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens the Help window.

Toolbar: Standard
Menu: Help [image] HelpAt the Command prompt, enter help.
Command entry: help or ? or press F1 (or 'help for transparent use)

To display Help for a menu, open the menu, and then press F1.

Pressing F1 or entering 'help while a command is active displays Help for that command. Choosing the Help button in a dialog box displays Help for that dialog box.


HIDE (Quick Reference)

HELP
HIDE
HIDEPALETTES
Commands > H commands >
HIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Regenerates a 3D wireframe model with hidden lines suppressed.

Toolbar: Render
Menu: View [image] HideAt the Command prompt, enter hide.
Command entry: hide

When you use VPOINT, DVIEW, or VIEW to create a 3D view of your 2D drawing, a wireframe is displayed in the current viewport. All lines are present, including those hidden by other objects. HIDE eliminates the hidden lines from the screen.

In a 3D drawing, HIDE starts VSCURRENT and sets the visual style to 3D Hidden in the current viewport. You can view all the settings for 3D Hidden in the Visual Styles Manager.

HIDE considers the following to be opaque surfaces that hide objects: circles, solids, traces, text, regions, wide polyline segments, 3D faces, polygon meshes, and the extruded edges of objects with nonzero thickness.

If they are extruded, circles, solids, traces, and wide polyline segments are treated as solid objects with top and bottom faces. You cannot use HIDE on objects whose layers have been frozen; however, you can use HIDE on objects whose layers have been turned off.

In order to hide text created with DTEXT, MTEXT, or TEXT, the HIDETEXT system variable must be set to 1 or the text must be assigned a thickness value.

When using the HIDE command, if the INTERSECTIONDISPLAY system variable is on, face-to-face intersections of 3D surfaces are displayed as polylines.

The 3D Hidden visual style does not honor the setting of INTERSECTIONDISPLAY.

If the DISPSILH system variable is on, HIDE displays 3D solid objects with silhouette edges only. It won't show the internal edges produced by objects that have facets.

If the HIDETEXT system variable is off, HIDE ignores text objects when producing the hidden view. Text objects are always displayed regardless of whether they are obscured by other objects, and objects obscured by text objects are unaffected.


HIDEPALETTES (Quick Reference)

HIDE
HIDEPALETTES
HLSETTINGS
Commands > H commands >
HIDEPALETTES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hides currently displayed palettes (including the command line).

Command entry: hidepalettes

Hides all currently displayed palettes such as the Command Line, DesignCenter, and Properties. You can also use CTRL + SHIFT + H to hide the palettes.


HLSETTINGS (Quick Reference)

HIDEPALETTES
HLSETTINGS
HYPERLINK
Commands > H commands >
HLSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls the display properties of models.

Command entry: hlsettings

The Visual Styles Manager is displayed.


HYPERLINK (Quick Reference)

HLSETTINGS
HYPERLINK
Insert Hyperlink Dialog Box
Commands > H commands >
HYPERLINK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Attaches a hyperlink to an object or modifies an existing hyperlink.

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] HyperlinkNot available on the ribbon in the current workspace
Menu: Insert [image] HyperlinkNot available in menus in the current workspace
Shortcut menu: To edit a hyperlink, select an object that contains a hyperlink, right-click in the drawing area, and choose Hyperlink [image] Edit Hyperlink.
Command entry: hyperlink

Hyperlinks in a drawing provide jumps to associated files. For example, a hyperlink can launch a word processing program and open a specified file, another hyperlink can launch a web browser and display a specified web page.

Select objects: Use an object selection method

One of the following dialog boxes is displayed:

  • Insert Hyperlink dialog box (for graphical objects that do not already contain hyperlinks)
  • Edit Hyperlink dialog box (for graphical objects that already contain hyperlinks)

After you insert a hyperlink, the hyperlink icon is displayed when you move the cursor over the attached object. To open the hyperlink, right-click the selected object and choose Hyperlink. The PICKFIRST system variable must be set to 1 to open files associated with hyperlinks.

If you enter -hyperlink at the Command prompt, options are displayed, including an option to define an area to associate with a hyperlink.


Insert Hyperlink Dialog Box (Quick Reference)

HYPERLINK
HYPERLINK
Edit Hyperlink Dialog Box
Commands > H commands > HYPERLINK >
Insert Hyperlink Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] HyperlinkNot available on the ribbon in the current workspace
Menu: Insert [image] HyperlinkNot available in menus in the current workspace
Shortcut menu: To edit a hyperlink, select an object that contains a hyperlink, right-click in the drawing area, and choose Hyperlink [image] Edit Hyperlink.
Command entry: hyperlink

Attaches hyperlinks to graphical objects.

Text to Display

Specifies a description for the hyperlink. This is useful when the file name or URL is not helpful in identifying the contents of the linked file.

The Insert Hyperlink dialog box includes the following tabs under Link To: Existing File or Web Page, View of This Drawing, E-mail Address

Existing File or Web Page Tab (Insert Hyperlink Dialog Box)

Creates a hyperlink to an existing file or web page.

Type the File or Web Page Name

Specifies the file or web page to associate with the hyperlink. The file can be stored locally, on a network drive, or on an Internet or intranet location.

Recent Files

Displays a list of recently linked files, from which you can select one to link to.

Browsed Pages

Displays a list of recently browsed web pages, from which you can select one to link to.

Inserted Links

Displays a list of recently inserted hyperlinks, from which you can select one to link to.

File

Opens the Browse the Web - Select Hyperlink dialog box (a standard file selection dialog box), in which you can navigate to the file that you want to associate with the hyperlink.

Web Page

Opens the browser, in which you can navigate to a web page that you want to associate with the hyperlink.

Target

Opens the Select Place in Document dialog box, in which you can select a named location in a drawing to link to.

Path

Displays the path to the file associated with the hyperlink. If Use Relative Path for Hyperlink is selected, only the file name is listed. If Use Relative Path for Hyperlink is cleared, the full path and the file name are listed.

Use Relative Path for Hyperlink

Sets a relative path for hyperlinks. If you select this option, the full path to the linked file is not stored with the hyperlink. The relative path is set to the value specified by the HYPERLINKBASE system variable or, if no value is specified for HYPERLINKBASE, to the current drawing path. If this option is cleared, the full path to the associated file is stored with the hyperlink.

Convert DWG Hyperlinks to DWF

Specifies that the DWG hyperlink will convert to a DWF file hyperlink when you publish or plot the drawing to a DWF file.

View of This Drawing Tab (Insert Hyperlink Dialog Box)

Specifies a named view in the current drawing to link to.

Select a View of This

Displays an expandable tree view of the named views within the current drawing, from which you can select one to link to.

E-mail Address Tab (Insert Hyperlink Dialog Box)

Specifies an email address to link to. When the hyperlink is executed, a new email is created using the default system email program.

E-mail Address

Specifies an email address.

Subject

Specifies a subject for the email.

Recently Used E-mail Addresses

Lists recently used email addresses, from which you can select one to use for the hyperlink.


Edit Hyperlink Dialog Box (Quick Reference)

Insert Hyperlink Dialog Box
HYPERLINK
Select Place in Document Dialog Box
Commands > H commands > HYPERLINK >
Edit Hyperlink Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] HyperlinkNot available on the ribbon in the current workspace
Menu: Insert [image] HyperlinkNot available in menus in the current workspace
Shortcut menu: To edit a hyperlink, select an object that contains a hyperlink, right-click in the drawing area, and choose Hyperlink [image] Edit Hyperlink.
Command entry: hyperlink

Edits hyperlinks. The Edit Hyperlink dialog box is a modified version of the Insert Hyperlink dialog box, with one additional option.

Remove Link

Deletes the hyperlink from the selected objects.


Select Place in Document Dialog Box (Quick Reference)

Edit Hyperlink Dialog Box
HYPERLINK
-HYPERLINK
Commands > H commands > HYPERLINK >
Select Place in Document Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] HyperlinkNot available on the ribbon in the current workspace
Menu: Insert [image] HyperlinkNot available in menus in the current workspace
Shortcut menu: To edit a hyperlink, select an object that contains a hyperlink, right-click in the drawing area, and choose Hyperlink [image] Edit Hyperlink.
Command entry: hyperlink

Navigates to a view or layout within a drawing. The named location that you select is the initial view that is restored when the hyperlink is executed.

Select an Existing Place in the Document

Provides an expandable tree view of the named locations within the linked drawing, from which you can select a named location to link to.


-HYPERLINK (Quick Reference)

Select Place in Document Dialog Box
HYPERLINK
HYPERLINKOPTIONS
Commands > H commands > HYPERLINK >
-HYPERLINK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

The Command prompt version of HYPERLINK inserts hyperlinks to areas or to selected objects and also removes hyperlinks.

If you enter -hyperlink at the Command prompt, the following prompts are displayed.

Enter an option [Remove/Insert] <Insert>: Enter an option or pressENTER

Remove

Removes the hyperlink from the selected objects. If a selection set does not exist, you are prompted to create one.

Select objects: Select graphical objects in the drawing

If the selection set contains more than one hyperlink, the hyperlinks that were found are listed at the Command prompt.

Enter number, hyperlink, or * for all: Enter the number or name of the hyperlink, or enter*to remove all hyperlinks in the selection set

The number of removed hyperlinks is displayed at the Command prompt.

Insert

Attaches a hyperlink to an object or an area.

Enter hyperlink insert option [Area/Object] <Object>: Select a method for attaching a hyperlink

Area

Defines a bounding rectangle and places it on a layer called URLLAYER. If this layer doesn't exist in the current drawing, it is created.

NoteTo turn off the display of hyperlink bounding rectangles in the drawing area or in your drawing plots, you must freeze the URLLAYER layer. See Use Layers to Manage Complexity in the User's Guide.

First corner: Specify the start point of the rectangle

Other corner: Specify the end point of the rectangle

Enter the path to the file you want associated with the hyperlink.

Enter hyperlink <current drawing>: Enter the full path to a local file or the complete URL to an Internet file, or press ENTER to create a hyperlink to a named view in the current drawing

Enter a named location for the hyperlink, such as a view in a drawing or a bookmark in a word processing file.

Enter named location <none>: Enter the named location, or press ENTER to create the hyperlink without one

Enter description <none>: Enter a description, or press ENTER to create the hyperlink without one

Object

Specifies graphical objects to attach the hyperlink to.

Select objects: Select graphical objects in the drawing

Enter the path to the file you want associated with the hyperlink.

Enter hyperlink <current drawing>: Enter the full path to a local file or the complete URL to an Internet file, or press ENTER to create a hyperlink to a named view in the current drawing

Enter a named location for the hyperlink, such as a view in a drawing or a bookmark in a word processing file.

Enter named location <none>: Enter the named location, or press ENTER to create the hyperlink without one

Enter description <none>: Enter a descriptive name for the hyperlink, or press ENTER to create the hyperlink without one


HYPERLINKOPTIONS (Quick Reference)

-HYPERLINK
HYPERLINKOPTIONS
ID
Commands > H commands >
HYPERLINKOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of the hyperlink cursor, tooltips, and shortcut menu.

Command entry: hyperlinkoptions

Display hyperlink cursor, tooltip, and shortcut menu? [Yes/No] <Yes>:


I commands

HYPERLINKOPTIONS
Commands
ID
Commands >
I commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ID

    Displays the UCS coordinate values of a specified location.

  • IMAGE

    Displays the External References palette.

  • IMAGEADJUST

    Controls the image display of the brightness, contrast, and fade values of images.

  • IMAGEATTACH

    Inserts a reference to an image file.

  • IMAGECLIP

    Crops the display of a selected image to a specified boundary.

  • IMAGEQUALITY

    Controls the display quality of images.

  • IMPORT

    Imports files of different formats into the current drawing.

  • IMPRESSION

    Gives a CAD drawing a hand-drawn look by exporting it for rendering in Autodesk Impression.

  • IMPRINT

    Imprints 2D geometry on a 3D solid or surface, creating additional edges on planar faces.

  • INSERT

    Inserts a block or drawing into the current drawing.

  • INSERTOBJ

    Inserts a linked or embedded object.

  • INTERFERE

    Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

  • INTERSECT

    Creates a 3D solid, surface, or 2D region from overlapping solids, surfaces, or regions.

  • ISOPLANE

    Specifies the current isometric plane.


ID (Quick Reference)

HYPERLINKOPTIONS
ID
IMAGE
Commands > I commands >
ID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the UCS coordinate values of a specified location.

Button

Menu: Tools [image] Inquiry [image] ID PointAt the Command prompt, enter id.
Toolbar: Inquiry
Command entry: id (or 'id for transparent use)

ID lists the X, Y, and Z values of the specified point and stores the coordinate of the specified point as the last point. You can reference the last point by entering @ at the next prompt that requests a point.

Point: Use the pointing device to specify a point

The UCS coordinate values of the location are displayed at the Command prompt.

If you snap to an object in 3D space, the Z coordinate value is the same as that of the selected feature of the object.


IMAGE (Quick Reference)

ID
IMAGE
-IMAGE
Commands > I commands >
IMAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the External References palette.

Toolbar: Reference
Menu: Insert [image] External ReferencesAt the Command prompt, enter externalreferences.
Shortcut menu: Select an image, right-click in the drawing area, and choose Image [image] External References.
Command entry: image

The External References palette is displayed.

If you enter -image at the Command prompt, options are displayed.


-IMAGE (Quick Reference)

IMAGE
IMAGE
IMAGEADJUST
Commands > I commands > IMAGE >
-IMAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -image at the Command prompt, the following prompts are displayed.

Enter image option [?/Detach/Path/Reload/Unload/Attach] <Attach>: Enter an option or press Enter

?—List Images

Lists the images by name in alphabetical order, the number of times each is attached to the drawing, and the path where the image is stored. Images are listed in alphabetical order, regardless of the setting of the MAXSORT system variable.

Images to list <*>: Enter * to list all images, or enter an image name

Detach

Detaches the named image from the drawing, marks it for deletion, and erases all occurrences of the image.

Enter list of images to detach: Enter an image name, or enter *to detach all images

Path

Updates the path name (including file name) associated with a particular image. This option is useful if you change the location of an image file, rename the file, or replace an old image file with a new file; for instance, you can update image01.pcx and save it as image02.pcx.

Enter list of images for path modification: Enter an image name, or enter * to list all images

If you enter an asterisk (*), the following prompt is displayed:

Old path: Lists the current path name for each image

Enter New path: Enter the new path name for the specified image

Reload

Reloads the selected images, making that information available for display and plotting.

Enter list of images to reload: Enter an image name, or enter * to reload all images

Reloading...

Reload image <image name>: <hard-coded path name>

<image name> loaded and relinked.

Unload

Removes image data from working memory so that the images are not displayed, thus improving performance. All information associated with the image remains stored with the drawing. The image frame of each attached image remains visible.

Enter list of images to unload: Enter a loaded image name, or enter * to unload all images

Attach

Attaches a new image or a copy of an attached image to the current drawing. The Select Image File dialog box (a standard file selection dialog box) is displayed.

The file name without the extension is assigned as the image name. Image names can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program. If the file name is not a valid name for a nongraphical object, the Substitute Image Name dialog box is displayed. A valid image name is generated from the file name and an underscore and number are appended to the name. The number changes as necessary to avoid duplicate image names.

Image file name_1 created from file file name.bmp

If a definition with the same name and path exists in the drawing, the following prompts are displayed and the image is inserted as a copy:

Image file name has already been loaded.

Use IMAGE Reload to update its definition.

Specify insertion point <0,0>: Specify an insertion point

Base image size: Width: current width, Height: current height, current unit

Specify scale factor: Enter a value or press Enter

Specify rotation angle <0>: Enter a value or press Enter

If the FILEDIA system variable is set to 0, the following prompt is displayed instead of the dialog box:

Enter image file name to attach <last>: Enter an image name

The last image name attached to the drawing during the current session is the default. To avoid errors when entering an image name, it is recommended that you specify both the image name and the file name as follows:

imagename=path name\long file name.bmp

or

imagename="path name\long file name.bmp"

If you enter a valid image name without a file extension, the program searches for the file in this order: first, an existing image definition in the drawing, and second, an image file in the folders in order of the search path. The program searches for all the image files with the specified name, regardless of extension, and uses the first name found. If no image name or image file is found, the message “Image Not Found” is displayed and the prompt is repeated.

To specify a long file name that does not conform to this program's naming rules, enter the name as follows:

"imagename=filename"

You can use a dialog box to search for image files but still enter the imagename=filename convention at the Command prompt. Enter a tilde (~) at the Enter Image File Name to Attach prompt. If you press ESC after the dialog box opens, the Enter Image Name prompt is displayed.


IMAGEADJUST (Quick Reference)

-IMAGE
IMAGEADJUST
Image Adjust Dialog Box
Commands > I commands >
IMAGEADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the image display of the brightness, contrast, and fade values of images.

Access Methods

Menu: Modify [image] Object [image] Image [image] AdjustNot available in menus in the current workspace
Toolbar: Reference
Shortcut menu: Select an image to adjust, right-click in the drawing area, and choose Image [image] Adjust.
Command entry: imageadjust

Summary

You can change the default values for Brightness, Contrast, and Fade for attached images. To confirm the settings of a selected image, open the Properties palette.

NoteYou can also use the ADJUST command to change an image’s brightness, contrast, and fade settings.

The Image Adjust dialog box is displayed when you enter the IMAGEADJUST command.

If you enter -imageadjust at the Command prompt, options are displayed.


Image Adjust Dialog Box (Quick Reference)

IMAGEADJUST
IMAGEADJUST
-IMAGEADJUST
Commands > I commands > IMAGEADJUST >
Image Adjust Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Reference
Menu: Modify [image] Object [image] Image [image] AdjustAt the Command prompt, enter imageadjust.
Shortcut menu: Select an image to adjust, right-click in the drawing area, and choose Image [image] Adjust.
Command entry: imageadjust

Controls how the image is displayed by adjusting the brightness, contrast, and fade settings of the selected image. Adjusting these values changes the display of the image but does not change the image file itself.

Brightness

Controls the brightness, and indirectly the contrast, of the image. Values range from 0 through 100. The greater the value, the brighter the image and the more pixels that become white when you increase contrast. Moving the slider to the left decreases the value; moving the slider to the right increases the value.

Contrast

Controls the contrast, and indirectlyd the fading effect of the image. Values range from 0 through 100. The greater the value, the more each pixel is forced to its primary or secondary color. Moving the slider to the left decreases the value; moving the slider to the right increases the value.

Fade

Controls the fading effect of the image. Values range from 0 through 100. The greater the value, the more the image blends with the current background color. A value of 100 blends the image completely into the background. Changing the screen background color causes the image to fade to the new color. In plotting, the background color for fade is white. Moving the slider to the left decreases the value; moving the slider to the right increases the value.

Image Preview

Displays a preview of the selected image. The preview image updates dynamically to reflect changes to the brightness, contrast, and fade settings.

Reset

Resets values for brightness, contrast, and fade to default settings (50, 50, and 0, respectively).


-IMAGEADJUST (Quick Reference)

Image Adjust Dialog Box
IMAGEADJUST
IMAGEATTACH
Commands > I commands > IMAGEADJUST >
-IMAGEADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: -imageadjust

Summary

With the Command prompt version of IMAGEADJUST, you can select more than one image to adjust.

List of Prompts

If you select a single image, the default values for Brightness, Contrast, and Fade are the current property settings of the image. If you select multiple images, the default values for Brightness, Contrast, and Fade are 50, 50, and 0, respectively.

Contrast

Controls the contrast, and indirectly, the fading effect of the image. Values range from 0 through 100. The greater the value, the more each pixel is forced to its primary or secondary color.

Brightness

Controls the brightness, and indirectly the contrast, of the image. Values range from 0 through 100. The greater the value, the brighter the image and the more pixels that become white when you increase contrast.

Fade

Controls the fading effect of the image. Values range from 0 through 100. The greater the value, the more the image blends with the current background color. A value of 100 blends the image completely into the background. Changing the screen background color causes the image to fade to the new color. In plotting, the background color for fade is white.


IMAGEATTACH (Quick Reference)

-IMAGEADJUST
IMAGEATTACH
Attach Image Dialog Box
Commands > I commands >
IMAGEATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a reference to an image file.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Attach Does not exist on the ribbon.
Toolbar: Reference
Menu: Insert [image] Raster Image ReferenceDoes not exist in the menus.
Command entry: imageattach

Summary

When you attach an image file, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

The Select Reference File dialog box (a standard file selection dialog box) is displayed. Once you select an image file, the Attach Image Dialog Box is displayed. After the file is attached, you can adjust and clip the underlay through the Image Ribbon Contextual tab.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.
NoteWhen Texture Compression is turned on, the amount of video memory required to open a drawing that contains attached images is decreased. Texture compression can reduce the amount of video memory necessary to display the drawing, but it can increase the time it takes to load the images the first time that they are accessed; it can reduce the quality of the images when they are displayed in the viewport or plotted. To determine whether Texture Compression is turned on, enter 3dconfig, and click Manual Tune. Look at the Hardware Effects List in the Manual Performance Tuning dialog box.


Attach Image Dialog Box (Quick Reference)

IMAGEATTACH
IMAGEATTACH
Image Ribbon Contextual tab
Commands > I commands > IMAGEATTACH >
Attach Image Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Insert [image] Raster Image ReferenceDoes not exist in the menus.
Toolbar: Reference
Command entry: imageattach

Summary

Locates, inserts, names, and defines the parameters and details of attached images.

List of Options

The following options are available in this dialog box.

Name

Identifies the image you have selected to attach.

Browse

Opens the Select Reference File dialog (a standard file selection dialog box).

Preview

Displays the image that you have selected to attach.

Path Type

Select the full (absolute) path, the relative path to the image file, or No Path, the name of the image file (the image file must be located in the same folder as the current drawing file).

Insertion Point

Specifies the insertion point for the selected image file. Specify On-Screen is the default. The default insertion point is 0,0,0.

Specify On-Screen

Directs input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter the insertion point in X, Y, and Z.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Scale

Specifies the scale factor of the selected image.

If INSUNITS is set to “unitless” or if the image does not contain resolution information, the scale factor becomes the image width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the image has resolution information, the scale factor is applied after the true width of the image in AutoCAD units is determined.

Specify On-screen

Allows you to input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter a value for the scale factor. The default scale factor is 1.

Scale Factor Field

Enter a value for the scale factor. The default scale factor is 1.

Rotation

Specifies the rotation angle of the selected image.

Specify on-screen

If Specify On-Screen is selected, you may wait until you exit the dialog box to rotate the object with your pointing device or enter a rotation angle value at the Command prompt.

Angle

If Specify On-Screen is cleared, enter the rotation angle value in the dialog box. The default rotation angle is 0.

Show Details

Displays the image and DWG file paths.

Found In

Displays the path where the image file is located.

Saved Path

Displays the path that is saved with the drawing when the image file is attached. The path is dependent upon the Path Type setting.


Image Ribbon Contextual tab (Quick Reference)

Attach Image Dialog Box
IMAGEATTACH
IMAGECLIP
Commands > I commands > IMAGEATTACH >
Image Ribbon Contextual tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Points

Ribbon: Insert tab [image] Reference panel [image] Attach
Menu: Insert [image] Raster Image
Command entry: imageattach

Summary

When you select a raster image that is attached to a drawing, the Image Contextual tab appears on the ribbon.

Adjust Panel

Brightness | Controls the brightness and the contrast of the image. The greater the value, the brighter the image.
Contrast | Controls the contrast and the fading effect of the image. The greater the value, the more the image fades.
Fade | Controls the fading of an image. The greater the value, the more the image blends with the current background color.

Clipping Panel

Create Clipping Boundary | Deletes the old clipping boundary (if one exists) and creates a new one.
Remove Clipping | Deletes the clipping boundary.

Options Panel

Show Image | Hides or displays the image.
Transparency | Turns transparency on so that objects beneath the image are visible.
External References | Displays the External References Palette.


IMAGECLIP (Quick Reference)

Image Ribbon Contextual tab
IMAGECLIP
IMAGEQUALITY
Commands > I commands >
IMAGECLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Crops the display of a selected image to a specified boundary.

Access Methods

Button

Ribbon: Image contextual tab [image] Clipping panel [image] Create Clipping Boundary.
Toolbar: Reference
Menu: Modify [image] Clip [image] ImageAt the Command prompt, enter imageclip.
Shortcut menu: Select an image to clip, right-click in the drawing area, and click Image [image] Clip.
Command entry: imageclip

Summary

The clipping boundary determines the portion of a raster image that is hidden, either outside or inside the boundary. The visibility of the clipping boundary is controlled by the IMAGEFRAME system variable.

The boundary you specify must be in a plane parallel to the image object. When you select an image, the ribbon Image contextual tab displays and contains options for creating and deleting clipping boundaries.

TipUse the CLIP command to clip any type of referenced file: images, external references, viewports, and DWF, DWFx, PDF, and DGN underlays.

List of Prompts

The following prompts are displayed.

On

Turns on clipping and displays the image clipped to the previously defined boundary.

Off

Turns off clipping and displays the entire image and frame.

If you reclip the image while clipping is turned off, clipping is automatically turned back on. You are prompted to delete the old boundary even when clipping is turned off and the clipping boundary is not visible.

Delete

Removes a predefined clipping boundary and redisplays the full original image.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

NoteYou can only create a new clipping boundary for a selected IMAGE underlay after the old boundary is deleted.
Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.


IMAGEQUALITY (Quick Reference)

IMAGECLIP
IMAGEQUALITY
IMPORT
Commands > I commands >
IMAGEQUALITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display quality of images.

Access Methods

Toolbar: Reference
Menu: Modify [image] Object [image] Image [image] QualityAt the Command prompt, enter imagequality.
Command entry: imagequality

Summary

The quality setting affects display performance; high-quality images take longer to display. Changing the setting updates the display immediately without causing a regeneration of the drawing.

NoteImages are always plotted using a high-quality setting.
High

Produces a high-quality display of the image.

Draft

Produces a lower-quality display of the image.


IMPORT (Quick Reference)

IMAGEQUALITY
IMPORT
IMPRESSION
Commands > I commands >
IMPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Imports files of different formats into the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Import panel [image] ImportNot available on the ribbon in the current workspace
Toolbar: Insert
Command entry: import

You can import data files, other than DWG files, that were created with other applications into the current drawing. The import process translates data into the corresponding DWG file data.

The Import File dialog box (a standard file selection dialog box) is displayed.

In Files of Type, select the file format to import. In File Name, select the file name to import. The file is imported into the drawing. The following formats are available for import:

  • Metafile (*.wmf): Microsoft Windows® Metafile (see WMFIN)
  • ACIS (*.sat): ACIS solid object file (see ACISIN)
  • 3D Studio (*.3ds): 3D Studio file (see 3DSIN)
  • MicroStation DGN (*.dgn): MicroStation DGN file (see DGNIMPORT)
  • All DGN files (*.*): DGN files with user-specified file extensions such as .sed for seed files (see DGNIMPORT)

For the WMF file type, selecting Options on the Tools menu in this dialog box displays the WMF In Options dialog box. You can display this dialog box directly by using WMFOPTS.

If FILEDIA = 0, the following prompt is displayed:

Enter import file name: Enter path and file name


IMPRESSION (Quick Reference)

IMPORT
IMPRESSION
Export to Impression Dialog Box
Commands > I commands >
IMPRESSION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Gives a CAD drawing a hand-drawn look by exporting it for rendering in Autodesk Impression.

Access Methods

Button

Ribbon: Output tab [image] Export to Impression panel [image] Export
Menu: File [image] Export to Impression
Toolbar: Standard
Command entry: impression

Summary

The Export to Impression dialog box is displayed.

NoteAutodesk Impression is only available through subscription to specific Autodesk products. For more information, see the Autodesk Impression website.

If Autodesk Impression is not installed on your system and in the Export to Impression dialog box you click OK, the “Autodesk Impression Not Installed” dialog box is displayed. You can use the “Autodesk Impression Not Installed” dialog box to do the following:

  • If you are subscription customer and want to download Autodesk Impression, go to the Autodesk Susbscription website.
  • If you are not a subscription customer and want to learn more about subscription, go to the Services & Support > Subscription website.
  • Cancel and return to your drawing.


Export to Impression Dialog Box (Quick Reference)

IMPRESSION
IMPRESSION
IMPRINT
Commands > I commands > IMPRESSION >
Export to Impression Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Export to Impression panel [image] Export
Menu: File [image] Export to ImpressionNot available in menus in the current workspace
Toolbar: Standard
Command entry: impression

Specifies the settings for converting your CAD drawing to an illustration with a hand-drawn look.

Export Options

Sets the views and plot styles to export for rendering in Autodesk Impression.

What to Export

Specifies the portion of the drawing to export.

Options include:

  • Display. Exports the current view.
  • Extents. Exports all geometry in the current view, including geometry that is not currently displayed in the drawing area.
  • Window. Exports the portion of the drawing area that you specify. To set the window, click the Window button. Then click two points or enter coordinate values. The window setting is retained until you change it.

  • Layouts. Exports all viewports and geometry displayed in the selected layout.
Plot Style Table Assignments (Pen Assignments)

Assigns a plot style table to export into Autodesk Impression.

You can select one of the following options:

  • CTB or STB file. Retains the color, lineweight, and linetype settings used in the plot style tables.
  • None. Retains the lineweight and linetype of each exported layer or uses the Stroke Type setting.

Stroke Type

Applies the stroke you select to all geometry exported to Impression.

If you choose both a stroke and a plot style, the Impression illustration reflects the following combination:

  • The lineweight and linetype of the plot style.
  • The stroke color and type (such as pencil or marker) that you specify under Stroke Type.

If any other settings overlap, the plot style setting has priority.

Preview

Displays the geometry to export for Impression rendering.


IMPRINT (Quick Reference)

Export to Impression Dialog Box
IMPRINT
INSERT
Commands > I commands >
IMPRINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imprints 2D geometry on a 3D solid or surface, creating additional edges on planar faces.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] ImprintDoes not exist on the ribbon
Menu: Modify [image] Solid Editing [image] Imprint EdgesAt the Command prompt, enter imprint
Command entry: imprint

Summary

2D geometry located on a face or the intersection of a 3D solid with a face can be combined with that face to create additional edges. These edges can provide a visual effect, and can be pressed and pulled to create indentations and extrusions.

The object to be imprinted must intersect one or more faces on the selected solid in order for imprinting to be successful. Imprinting is limited to the following objects: arcs, circles, lines, 2D and 3D polylines, ellipses, splines, regions, bodies, and 3D solids.

List of Prompts

The following prompts are displayed.

Select a 3D solid or surface

Specifies a 3D solid or surface object to be imprinted.

Select an object to imprint

Specifies an object that intersects the 3D object you selected.

Delete the source object

Specifies whether to remove the object whose shape served as the imprint outline. Enter y (Yes) to remove it. Enter n (No) to retain it.


INSERT (Quick Reference)

IMPRINT
INSERT
Insert Dialog Box
Commands > I commands >
INSERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a block or drawing into the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Block panel [image] InsertNot available on the ribbon in the current workspace
Menu: Insert [image] BlockNot available in menus in the current workspace
Toolbar: Insert
Command entry: insert

Summary

The Insert dialog box is displayed.

If you enter -insert at the Command prompt, options are displayed.

A good practice is to insert a block from a block library. A block library can be a drawing file that stores related block definitions or it can be a folder that contains related drawing files, each of which can be inserted as a block. With either method, blocks are standardized and accessible to multiple users. You can insert your own blocks or use the blocks provided in the DesignCenter or tool palettes.


Insert Dialog Box (Quick Reference)

INSERT
INSERT
-INSERT
Commands > I commands > INSERT >
Insert Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Block panel [image] InsertNot available on the ribbon in the current workspace
Menu: Insert [image] BlockNot available in menus in the current workspace
Toolbar: Insert
Command entry: insert

Specifies the name and position of the block or drawing to insert.

The last block you insert during the current editing session becomes the default block for subsequent uses of INSERT. The position of the inserted block depends on the orientation of the UCS.

Name

Specifies the name of a block to insert, or the name of a file to insert as a block.

Browse

Opens the Select Drawing File dialog box (a standard file selection dialog box) where you can select a block or drawing file to insert.

Path

Specifies the path to the block.

Locate Using Geographic Data

Inserts drawing using geographic data as the reference.

Specifies if the current and attached drawing contain geographic data. This option is available only if both drawings have geographic data.

Preview

Displays a preview of the specified block to insert. A lightning bolt icon in the lower-right corner of the preview indicates that the block is dynamic. A [image] icon indicates that the block is annotative.

Insertion Point

Specifies the insertion point for the block.

Specify On-Screen

Specifies the insertion point of the block using the pointing device.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Scale

Specifies the scale for the inserted block. Specifying negative values for the X, Y, and Z scale factors inserts a mirror image of a block.

Specify On-Screen

Specifies the scale of the block using the pointing device.

X

Sets the X scale factor.

Y

Sets the Y scale factor.

Z

Sets the Z scale factor.

Uniform Scale

Specifies a single scale value for X, Y, and Z coordinates. A value specified for X is also reflected in the Y and Z values.

Rotation

Specifies the rotation angle for the inserted block in the current UCS.

Specify On-Screen

Specifies the rotation of the block using the pointing device.

Angle

Sets a rotation angle for the inserted block.

Block Unit

Displays information about the block units.

Unit

Specifies the INSUNITS value for the inserted block.

Factor

Displays the unit scale factor, which is calculated based on the INSUNITS value of the block and the drawing units.

Explode

Explodes the block and inserts the individual parts of the block. When Explode is selected, you can specify a uniform scale factor only.

Component objects of a block drawn on layer 0 remain on that layer. Objects having color BYBLOCK are white. Objects with linetype BYBLOCK have the CONTINUOUS linetype.


-INSERT (Quick Reference)

Insert Dialog Box
INSERT
INSERTOBJ
Commands > I commands > INSERT >
-INSERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -insert at the Command prompt, the following prompts are displayed.

Enter block name or [?] <last>: Enter a name, enter ?, enter ~, or press Enter

Units: <INSUNITS specified for inserted block> Conversion: <conversion scale>

Specify insertion point or [Basepoint/Scale/X/Y/Z/Rotate/Geographic]: Specify a point or enter an option

Block Name

If you have inserted a block in the current drawing during the current editing session, the name of the last block inserted appears as the current block in the prompt.

Grouped objects in an inserted drawing are inserted as unnamed groups. You can list unnamed groups by selecting Unnamed Groups in the Object Grouping dialog box.

Entering a tilde (~) displays the Select Drawing File dialog box (a standard file selection dialog box).

You can control block insertion behavior in response to the Enter Block Name prompt by following the listed examples.

  • Inserting Exploded Blocks: Preceding the name of the block with an asterisk (*) explodes the block and inserts the individual parts of it. The block definition is not added to the drawing.
  • Updating a Block Path: If you enter a block name without a path name, INSERT searches the current drawing data for an existing block definition by that name. If no such block definition exists in the current drawing, INSERT searches the library path. If a file is found, the file name is used for the block name upon insertion of the block definition. The same block definition is used for subsequent insertions of that block. You can replace an existing block definition with an external file by entering the following at the Enter Block Name prompt:

    block name=file name

  • Updating a Block Definition: If you make changes to a block file that is inserted in your drawing and you want to change the existing block definition without creating a new block insertion, enter the following at the Specify Insertion Point prompt (following the Enter Block Name prompt):

    block name=

    If you enter = after the block name, the following prompt is displayed:

    Block "current" already exists. Redefine it? [Yes/No] <No>: Enter y, enter n, or press Enter

    If you choose to redefine the block, the existing block definition is replaced with the new block definition. The drawing is regenerated, and the new definition is applied to all existing insertions of the block definition. Press ESC when prompted for the insertion point if you do not want to insert a new block into the drawing.

?—List Block Names

Lists the blocks currently defined in the drawing.

Insertion Point

Specifies a location for the block or drawing.

Specify scale factor or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

Scale Factor

Sets the scale factor.

Specify rotation angle <0>:

All X and Y dimensions of the block or drawing are multiplied by the X and Y scale factors. The block or drawing is rotated by the specified angle, using the insertion point as the center of rotation.

Corner

Defines the X and Y scale factors at the same time, using the insertion point and another point as the corners of a box. The X and Y dimensions of the box become the X and Y scale factors. The insertion point is the first corner.

Specify opposite corner: Specify a point

Specify rotation angle <0>:

XYZ

Sets X, Y, and Z scale factors.

Specify X scale factor or [Corner] <1>: Specify a nonzero value, enter c, or press Enter

  • X Scale Factor: Defines X, Y, and Z scale factors for the block or drawing.

    Specify Y scale factor or <use X scale factor>: Enter a scale factor or press Enter

    Enter Z scale factor <use X scale factor>: Enter a scale factor or press Enter

    Specify rotation angle <0>: Specify an angle or press Enter

  • Corner: Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box, and then defines the Z scale.

    Specify opposite corner: Specify a point

    Enter Z scale factor <use X scale factor>: Enter a scale factor or press Enter

    Specify rotation angle <0>: Specify an angle or press Enter

Basepoint

Temporarily drops the block in the drawing where it is currently positioned and allows you to specify a new base point for the block reference as it is dragged into position. This does not affect the actual base point defined for the block reference.

Specify base point: Specify a base point for the block reference

Scale

Sets the scale factor for the X, Y, and Z axes. The scale for the Z axis is the absolute value of the specified scale factor.

Specify scale factor for XYZ axes: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

X

Sets the X scale factor.

Specify X scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

Y

Sets the Y scale factor.

Specify Y scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

Z

Sets the Z scale factor.

Specify Z scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

Rotate

Sets the angle of insertion for the block.

Specify rotation angle <0>:

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options under Rotation match the descriptions of the corresponding options under Insertion Point.

Geographic

Sets the geographic location of the attached file as reference.

This option is displayed only when both drawings have geographic data. If either file does not have geographic data, this option is unavailable.


INSERTOBJ (Quick Reference)

-INSERT
INSERTOBJ
Insert Object Dialog Box
Commands > I commands >
INSERTOBJ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Inserts a linked or embedded object.

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] OLE ObjectNot available on the ribbon in the current workspace
Menu: Insert [image] OLE ObjectNot available in menus in the current workspace
Toolbar: Insert
Command entry: insertobj

Summary

  • Linked information from another document can be updated when it changes in the source document.
  • Embedded information from another document is not updated when it changes in the source document.

The Insert Object dialog box is displayed.


Insert Object Dialog Box (Quick Reference)

INSERTOBJ
INSERTOBJ
INTERFERE
Commands > I commands > INSERTOBJ >
Insert Object Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] OLE ObjectNot available on the ribbon in the current workspace
Menu: Insert [image] OLE ObjectNot available in menus in the current workspace
Toolbar: Insert
Command entry: insertobj

Inserts a linked or embedded object. Options vary, depending on whether you select Create New or Create from File.

Create New

Opens the application that's highlighted in the Object Type list so that you can create a new object to insert.

Object Type

Lists available applications that support linking and embedding. To create an object to embed, double-click an application to open it.

On the application's File menu, the Save option is replaced with a new Update option. Choosing Update inserts the object into the drawing or updates it.

Display as Icon

Displays the source application's icon in the drawing. Double-clicking the icon displays the embedded information.

Create from File

Specifies a file to link or embed.

File

Specifies the path and name of the file to be embedded or linked.

Browse

Displays the Browse dialog box (a standard file selection dialog box), in which you select a file to link or embed.

Link

Creates a link to the selected file rather than embedding it.

Display as Icon

Displays the source application's icon in the drawing. Double-clicking the icon displays the linked or embedded information.


INTERFERE (Quick Reference)

Insert Object Dialog Box
INTERFERE
Interference Settings Dialog Box
Commands > I commands >
INTERFERE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a temporary 3D solid from the interferences between two sets of selected 3D solids.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] InterfereNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] Interference CheckingNot available in menus in the current workspace
Command entry: interfere

Summary

Interferences are highlighted with a temporary 3D solid that represents the intersecting volume. You can also choose to retain the overlapping volumes.

If you define a single selection set, INTERFERE checks all the solids in the set against one another. If you define two selection sets, INTERFERE checks the solids in the first selection set against those in the second selection set. If you include the same 3D solid in both selection sets, INTERFERE considers the 3D solid part of the first selection set and ignores it in the second selection set.

Pressing Enter starts the interference testing of pairs of 3D solids and displays the Interference Checking dialog box.

If you enter -interfere at the Command prompt, options are displayed.

List of Prompts

The following prompts are displayed.

First set of objects

Specifies a set of objects to be checked. If you do not select a second set of objects, all objects in this selection set are checked against each other.

  • Second set of objects
  • Nested selection
  • Settings
Second set of objects

Specifies an additional set of objects to be compared against the first set of objects. If you select the same object twice, the object is handled as part of the first selection set.

  • Second set of objects
  • Nested selection
  • Check first set. Initiates interference checking for only the first selection set and displays the Interference Checking dialog box.
  • Check. Initiates interference checking for both sets of objects and displays the Interference Checking dialog box.
Nested selection

Provides access to individual solid objects that are nested in blocks and xrefs.

  • Select nested objects. Specifies which nested objects to include in the selection set.
  • Exit. Restores normal object selection (not nested).
Settings

Displays the Interference Settings dialog box.


Interference Settings Dialog Box (Quick Reference)

INTERFERE
INTERFERE
Interference Checking Dialog Box
Commands > I commands > INTERFERE >
Interference Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of interference objects

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] InterfereNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] Interference CheckingNot available in menus in the current workspace
Command entry: interfere

List of Options

The following options are displayed.

Interference Objects

Specifies the visual style and color for interference objects.

Visual Style

Specifies the visual style for interference objects (INTERFEREOBJVS).

Color

Specifies the color for interference objects (INTERFERECOLOR).

Highlight Interfering Pair

Highlights the interfering pair of solids.

Highlight Interference

Highlights the interference objects created from the interfering pair.

Viewport

Specifies the viewport display while checking for interferences.

Visual Style

Specifies the visual style for the viewport while checking for interferences (INTERFEREVPVS).


Interference Checking Dialog Box (Quick Reference)

Interference Settings Dialog Box
INTERFERE
-INTERFERE
Commands > I commands > INTERFERE >
Interference Checking Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Cycles through, zooms, and deletes or retains interference objects

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] InterfereNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] Interference CheckingNot available in menus in the current workspace
Command entry: interfere

List of Options

Interfering Objects

Displays the number of interferences found between each set during the INTERFERE command.

First Set

Displays the number of objects selected in the first set.

Second Set

Displays the number of objects selected in the second set.

Interfering Pairs Found

Displays the number of interferences found among the selected objects.

Highlight

Highlights interference objects while using Previous and Next to cycle through the objects.

Previous

Highlights the previous interference object.

Next

Highlights the next interference object.

Zoom to Pair

Zooms to interference objects while using Previous and Next.

Zoom

Closes the dialog box and starts the ZOOM command.

Pan

Closes the dialog box and starts the PAN command.

3D Orbit

Closes the dialog box and starts the 3DORBIT command.

Delete Interference Objects Created on Close

Deletes the interference objects when the dialog box is closed.

Close

Closes the dialog box and deletes the interference objects if that option is selected.


-INTERFERE (Quick Reference)

Interference Checking Dialog Box
INTERFERE
INTERSECT
Commands > I commands > INTERFERE >
-INTERFERE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -interfere at the Command prompt, the following prompts are displayed.

List of Prompts

Check for interferences between 2 sets of objects or within 1 set of objects...

Select first set of objects or [Nested selection]: Use an object selection method or enter an option

Select second set of objects or [Nested selection/checK current] <checK>: Use an object selection method, enter n, or press Enter to check for interferences

INTERFERE highlights all interfering 3D solids and displays the number of objects selected and the number of interfering pairs.

If you define a single selection set, INTERFERE checks all the solids in the set against one another. If you define two selection sets, INTERFERE checks the solids in the first selection set against those in the second selection set. If you include the same 3D solids in both selection sets, INTERFERE considers the 3D solid part of the first selection set and ignores it in the second selection set.

Create interference objects? [Yes/No] <N>: Enter y or n, or press Enter to select the default option

Entering y creates and highlights new 3D solids on the current layer that are the intersections of the interfering pairs of 3D solids.

If there are more than two interfering 3D solids, it may not be clear which pairs are interfering if all the interfering 3D objects are highlighted at once.

Zoom to pairs of interfering objects? [Yes/No] <N>: Enter y or n, or press Enter to select the default option

If there is more than one interfering pair, the following prompt is displayed:

Enter an option [Next pair/eXit] <Next>: Enter x or n, or press Enter

Entering n or pressing Enter cycles through the interfering pairs of 3D solids. Entering x ends the command.

Nested Selection

Allows you to select individual solid objects that are nested in blocks and xrefs.

Select nested objects or [eXit] <X>: Select nested objects or press Enter to return to normal object selection


INTERSECT (Quick Reference)

-INTERFERE
INTERSECT
ISOPLANE
Commands > I commands >
INTERSECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid, surface, or 2D region from overlapping solids, surfaces, or regions.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] IntersectNot available on the ribbon in the current workspace
Menu: Modify [image] Solid Editing [image] IntersectAt the Command prompt, enter intersect.
Toolbar: Modeling
Command entry: intersect

Summary

With INTERSECT, you can create a 3D solid from the common volume of two or more existing 3D solids, surfaces, or regions. If you select a mesh, you can convert it to a solid or surface before completing the operation.

You can extrude 2D profiles and then intersect them to create a complex model efficiently.

The selection set can contain regions, solids, and surfaces that lie in any number of arbitrary planes. INTERSECT divides the selection set into subsets and tests for intersections within each subset. The first subset contains all the solids and surfaces in the selection set. The second subset contains the first selected region and all subsequent coplanar regions. The third subset contains the next region that is not coplanar with the first region and all subsequent coplanar regions, and so on until all regions belong to a subset.

List of Prompts

The following prompt is displayed.

Select objects

Specifies the objects to be included in the interference operation.


ISOPLANE (Quick Reference)

INTERSECT
ISOPLANE
JOIN
Commands > I commands >
ISOPLANE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the current isometric plane.

Command entry: isoplane (or 'isoplane for transparent use)

Enter isometric plane setting [Left/Top/Right] <Top>: Enter an option or press Enter

The isometric plane affects the cursor movement keys only when Snap mode is on and the snap style is Isometric. If the snap style is Isometric, Ortho mode uses the appropriate axis pair even if Snap mode is off. The current isometric plane also determines the orientation of isometric circles drawn by ELLIPSE. You can cycle through the isometric planes by pressing Ctrl+E or F5.

Left

Selects the left-hand plane, defined by the 90-degree and 150-degree axis pair.

Top

Selects the top face of the cube, called the top plane, defined by the 30-degree and 150-degree axis pair.

Right

Selects the right-hand plane, defined by the 90-degree and 30-degree axis pair.


J commands

ISOPLANE
Commands
JOIN
Commands >
J commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • JOIN

    Joins similar objects to form a single, unbroken object.

  • JPGOUT

    Saves selected objects to a file in JPEG file format.

  • JUSTIFYTEXT

    Changes the justification point of selected text objects without changing their locations.


JOIN (Quick Reference)

ISOPLANE
JOIN
JPGOUT
Commands > J commands >
JOIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Joins similar objects to form a single, unbroken object.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] JoinNot available on the ribbon in the current workspace
Menu: Modify [image] JoinNot available in menus in the current workspace
Toolbar: Modify
Command entry: join

Objects to be joined must be located in the same plane. Each type of object has additional restrictions.

Select source object: Select a line, polyline, arc, elliptical arc, spline, or helix

Depending on the source object selected, one of the following prompts is displayed:

Line

Select lines to join to source: Select one or more lines and press ENTER

The line objects must be collinear (lying on the same infinite line), but can have gaps between them.

Polyline

Select objects to join to source: Select one or more objects and press ENTER

The objects can be lines, polylines, or arcs. The objects cannot have gaps between them, and must lie on the same plane parallel to the UCS XY plane.

Arc

Select arcs to join to source or [cLose]: Select one or more arcs and press ENTER, or enter L

The arc objects must lie on the same imaginary circle, but can have gaps between them. The Close option converts the source arc into a circle.

NoteWhen joining two or more arcs, the arcs are joined counterclockwise beginning from the source object.

Elliptical Arc

Select elliptical arcs to join to source or [cLose]: Select one or more elliptical arcs and press ENTER, or enter L

The elliptical arcs must lie on the same ellipse, but can have gaps between them. The Close option closes the source ellipstical arc into a complete ellipse.

NoteWhen joining two or more elliptical arcs, the elliptical arcs are joined counterclockwise beginning from the source object.

Spline

Select splines or helixes to join to source: Select one or more splines or helixes and press ENTER

The spline and helix objects must be contiguous (lying end-to-end). The resulting object is a single spline.

Helix

Select splines or helixes to join to source: Select one or more splines or helixes and press ENTER

The helix objects must be contiguous (lying end-to-end). The resulting object is a single spline.


JPGOUT (Quick Reference)

JOIN
JPGOUT
JUSTIFYTEXT
Commands > J commands >
JPGOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves selected objects to a file in JPEG file format.

Command entry: jpgout

The Create Raster File dialog box (a standard file selection dialog box) is displayed. Enter the file name in the dialog box.

Select objects or <all objects and viewports>: Press ENTER to select all objects and viewports or use an object selection method and press ENTER

A JPEG file is created that contains the objects you select. Shade Plot options are preserved in the file when you use this command. Light glyphs that are displayed in the drawing appear in the new file, even if the Plot Glyph property of the lights is set to No.

NoteWhen the FILEDIA system variable is set to 0 (Off), command prompts are displayed.


JUSTIFYTEXT (Quick Reference)

JPGOUT
JUSTIFYTEXT
LAYCUR
Commands > J commands >
JUSTIFYTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Changes the justification point of selected text objects without changing their locations.

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] JustifyNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Text [image] JustifyNot available in menus in the current workspace
Toolbar: Text
Command entry: justifytext

Select objects: Use an object selection method and press ENTER when you finish

You can choose single line text objects, multiline text objects, leader text objects, and attribute objects.

Enter a justification option [Left/Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]<Existing>: Specify a location to serve as the new justification point

The justification point options shown above are described in the TEXT command. The justification point options for single line text are similar to those for multiline text except that the Align, Fit, and Left text options are equivalent to the bottom left (BL) multiline text attachment point.


L commands

JUSTIFYTEXT
Commands
LAYCUR
Commands >
L commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • LAYCUR

    Changes the layer property of selected objects to the current layer.

  • LAYDEL

    Deletes all objects on a layer and purges the layer.

  • LAYER

    Manages layers and layer properties.

  • LAYERCLOSE

    Closes the Layer Properties Manager.

  • LAYERP

    Undoes the last change or set of changes made to layer settings.

  • LAYERPALETTE

    Opens the modeless Layer Properties Manager.

  • LAYERPMODE

    Turns the tracking of changes made to layer settings on and off.

  • LAYERSTATE

    Saves, restores, and manages named layer states.

  • LAYFRZ

    Freezes the layer of selected objects.

  • LAYISO

    Hides or locks all layers except those of the selected objects.

  • LAYLCK

    Locks the layer of a selected object.

  • LAYMCH

    Changes the layer of a selected object to match the destination layer.

  • LAYMCUR

    Sets the current layer to that of a selected object.

  • LAYMRG

    Merges selected layers into a target layer, removing the previous layers from the drawing.

  • LAYOFF

    Turns off the layer of a selected object.

  • LAYON

    Turns on all layers in the drawing.

  • LAYOUT

    Creates and modifies drawing layout tabs.

  • LAYOUTWIZARD

    Creates a new layout tab and specifies page and plot settings.

  • LAYTHW

    Thaws all layers in the drawing.

  • LAYTRANS

    Translates the layers in the current drawing to specified layer standards.

  • LAYULK

    Unlocks the layer of a selected object.

  • LAYUNISO

    Restores all layers that were hidden or locked with the LAYISO command.

  • LAYVPI

    Freezes selected layers in all layout viewports except the current viewport.

  • LAYWALK

    Displays objects on selected layers and hides objects on all other layers.

  • LEADER

    Creates a line that connects annotation to a feature.

  • LENGTHEN

    Changes the length of objects and the included angle of arcs.

  • LIGHT

    Creates a light.

  • LIGHTLIST

    Turns on and off the Lights in Model palette that lists all lights in the model.

  • LIGHTLISTCLOSE

    Closes the Lights in Model window.

  • LIMITS

    Sets and controls the limits of the grid display in the current Model or layout tab.

  • LINE

    Creates straight line segments.

  • LINETYPE

    Loads, sets, and modifies linetypes.

  • LIST

    Displays property data for selected objects.

  • LIVESECTION

    Turns on live sectioning for a selected section object.

  • LOAD

    Makes shapes available for use by the SHAPE command.

  • LOFT

    Creates a 3D solid or surface in the space between several cross sections.

  • LOGFILEOFF

    Closes the text window log file opened by LOGFILEON.

  • LOGFILEON

    Writes the text window contents to a file.

  • LTSCALE
  • LWEIGHT

    Sets the current lineweight, lineweight display options, and lineweight units.


LAYCUR (Quick Reference)

JUSTIFYTEXT
LAYCUR
LAYDEL
Commands > L commands >
LAYCUR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the layer property of selected objects to the current layer.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Change to Current LayerNot available on the ribbon in the current workspace
Menu: Format [image] Layer Tools [image] Change to Current LayerNot available in menus in the current workspace
Toolbar: Layers II
Command entry: laycur

Select objects to be changed to the current layer: Use an object selection method and press ENTER when you are finished

N object(s) changed to layer X (the current layer).

If you find objects that were created on the wrong layer, you can quickly change them to be on the current layer.


LAYDEL (Quick Reference)

LAYCUR
LAYDEL
Delete Layers Dialog Box
Commands > L commands >
LAYDEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Deletes all objects on a layer and purges the layer.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] DeleteNot available on the ribbon in the current workspace
Menu: Format [image] Layer Tools [image] Layer DeleteNot available in menus in the current workspace
Command entry: laydel

Select object on layer to delete or [Name]: Select an object or enter n to display the Delete Layers dialog box

If you enter -laydel at the Command prompt, options are displayed.

Select Object on Layer to Delete

Select an object on the layer you want to delete.

Select object on layer to delete or [Name/Undo]: Select an object on a second layer or enter u

Name

Displays the Delete Layers dialog box.

This command also changes block definitions that use the layer to be deleted. Objects on that layer are also deleted from all block definitions and the affected blocks are redefined.


Delete Layers Dialog Box (Quick Reference)

LAYDEL
LAYDEL
-LAYDEL
Commands > L commands > LAYDEL >
Delete Layers Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] DeleteNot available on the ribbon in the current workspace
Menu: Format [image] Layer Tools [image] Layer DeleteNot available in menus in the current workspace
Command entry: laydel

Displays layers available for deletion.

Layers to Delete

Displays a list of layers that you can delete. Press SHIFT or CTRL to select more than one layer. Layers that cannot be deleted include the current layer, layer 0, locked layers, and xref-dependent layers.


-LAYDEL (Quick Reference)

Delete Layers Dialog Box
LAYDEL
LAYER
Commands > L commands > LAYDEL >
-LAYDEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -laydel at the Command prompt, the following prompts are displayed.

Select object on layer to delete or [Name]: Select an object or enter n.

Select object on layer to delete or [Name/Undo]: Select an object, enter n, or enter u

Select Object on Layer to Delete

Select an object on the layer you want to delete.

Select object on layer to delete or [Undo]: Select an object to delete or enter u

Name

Select a layer to delete.

Enter layer name or [?]: Enter a layer name or enter ?

Enter layer name(s) to list <*>: * Enter a layer name or press ENTER to list all layers.


LAYER (Quick Reference)

-LAYDEL
LAYER
Layer Properties Manager
Commands > L commands >
LAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manages layers and layer properties.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Summary

The Layer Properties Manager is displayed.

If you enter -layer at the Command prompt, options are displayed.

Use layers to control the visibility of objects and to assign properties such as color and linetype. Objects on a layer normally assume the properties of that layer. However, you can override any layer property of an object. For example, if an object’s color property is set to BYLAYER, the object displays the color of that layer. If the object’s color is set to Red, the object displays as red, regardless of the color assigned to that layer.

See Also

    • CLASSICLAYER

    • LAYERPALETTE


Layer Properties Manager (Quick Reference)

LAYER
LAYER
Layer Filter Properties Dialog Box
Commands > L commands > LAYER >
Layer Properties Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Displays a list of the layers in the drawing and their properties.

You can add, delete, and rename layers, change their properties, set property overrides for layout viewports, or add layer descriptions and apply changes in realtime. You do not need to click Ok or Apply to view property changes. Layer filters control which layers are displayed in the list and can also be used to make changes to more than one layer at a time.

When switching space (model space to layout space or layout to viewport), the Layer Properties Manager is updated and displays the current state of the layer properties and filter selection in the current space.

New Property Filter

Displays the Layer Filter Properties dialog box, where you can create a layer filter based on one or more properties of the layers.

New Group Filter

Creates a layer filter that contains layers that you select and add to the filter.

Layer States Manager

Displays the Layer States Manager, in which you can save the current property settings for layers in a named layer state and then restore those settings later.

New Layer

Creates a new layer. The list displays a layer named LAYER1. The name is selected so that you can enter a new layer name immediately. The new layer inherits the properties of the currently selected layer in the layer list (color, on or off state, and so on).

The new layer is created below the last currently selected layer.

New Layer Frozen VP In All Viewports

Creates a new layer and freezes it in all existing layout viewports. This button is accessible from the Model tab or layout tabs.

Delete Layer

Deletes selected layers. You can delete only unreferenced layers. Referenced layers include layers 0 and DEFPOINTS, layers containing objects (including objects in block definitions), the current layer, and xref-dependent layers.

Layers in a partially opened drawing are also considered referenced and cannot be deleted.

NoteBe careful about deleting layers if you are working on a drawing in a shared project or one based on a set of layering standards.
Set Current

Sets the selected layer as the current layer. Objects that you create are drawn on the current layer. (CLAYER system variable)

Current Layer

Displays the name of the current layer.

Search for Layer

Filters the layer list by name quickly as you enter characters. This filter is not saved when you close the Layer Properties Manager.

Status Line

Shows the name of the current filter, the number of layers displayed in the list view, and the number of layers in the drawing.

Invert Filter

Displays all layers that do not meet the criteria in the selected layer property filter.

Indicate Layers in Use

Displays icons in the list view to indicate whether layers are in use. In a drawing with many layers, clear this option to improve performance. (SHOWLAYERUSAGE system variable)

Refresh

Refreshes the layer usage information by scanning all the entities in the drawing.

Settings

Displays the Layer Settings dialog box, in which you can set new layer notification settings, if layer filter changes are applied to the Layer toolbar, and change the background color for layer property overrides.

Apply

Applies changes that have been made to layers and filters but does not close the dialog box.

The Layer Properties Manager has the following two panes:

  • Tree view
  • List view

Tree View

Displays a hierarchical list of layers and filters in the drawing. The top node, All, displays all layers in the drawing. Filters are displayed in alphabetical order. The All Used Layers filter is read-only.

Expand a node to see nested filters. Double-click a property filter to open the Layer Filter Properties dialog box and view the definition of the filter.

The Hide/Show Layer Filters button controls the display of the Layer Filters pane of the Layer Properties Manager. When the Layer Filter pane is collapsed, the Layer Filter button is displayed adjacent to Layer Filter status text. The Layer Filter button gives you access to the filters when the full Layer Filter pane is closed.

If there are xrefs attached to the drawing, an xref node displays the names of all the xrefs in the drawing and the layers in each xref. Layer filters defined in xref files are not displayed.

If there are layers that contain property overrides, a Viewport Overrides node is automatically created and displays those layers and the properties that contain overrides. The Viewport Overrides filter displays only when the Layer Properties Manager is accessed from a layout tab.

If there are new layers that have been added to the drawing since the layer list was last evaluated (depending on how the LAYERNOTIFY system variable is set), an Unreconciled New Layers filter is automatically created and displays new layers that need to be reconciled.

Tree View Shortcut Menu

Provides commands for items selected in the tree view.

Visibility

Changes the visibility state of all the layers in the selected filter (or All or All Used Layers, if selected).

  • On: Objects on the layer are displayed, plotted, and regenerated and hide other objects when you use HIDE.
  • Off: Objects on the layer are not displayed and not plotted but do hide other objects when you use HIDE. The drawing is not regenerated when you turn the layer on.
  • Thawed: Objects on the layer are displayed and plotted, and hide other objects when you use HIDE.
  • Frozen: Objects on the layer are not displayed and not plotted but do hide other objects when you use HIDE. The drawing is regenerated when you thaw the layer.
Lock

Controls whether the objects on the layers in the selected filter can be modified.

  • Lock: None of the objects on the layer can be modified. You can still apply object snaps to objects on a locked layer and perform other operations that do not modify those objects.
  • Unlock: Objects on the layer can be modified.
Viewport

In the current layout viewport, controls the VP Freeze setting of the layers in the selected layer filter. This option is not available for model space viewports.

  • Freeze: Sets VP Freeze for layers in the filter. In the current viewport, objects on the layer are not displayed and not plotted but do hide other objects when you use HIDE. The drawing is regenerated when you thaw the layer.
  • Thaw: Clears VP Freeze for layers in the filter. In the current viewport, objects on the layer are displayed and plotted and hide other objects when you use HIDE. This option does not thaw layers that are set to Off or Frozen in the drawing.
Isolate Group

Turns off all layers not in the selected filter. The layers that are visible are the layers in the filter.

  • All Viewports: In all viewports in a layout, sets VP Freeze for all layers that are not in the selected filter. In model space, turns off all layers that are not in the selected filter.
  • Active Viewport Only: In the current layout viewport, sets VP Freeze for all layers that are not in the selected filter. In model space, turns off all layers that are not in the selected filter.
New Properties Filter

Displays the Layer Filter Properties dialog box, where you can create a new layer filter based on layer names and settings; for example, on or off, color, or linetype.

New Group Filter

Creates a new layer group filter named GROUP FILTER1 and adds it to the tree view. Enter a new name. Select the All filter or any other layer filter in the tree view to display layers in the list view, and then drag layers from the list view into the new layer group filter in the tree view.

You can use standard selection methods. Hold down CTRL to select more than one layer name. Hold down SHIFT and select the first and last layer names in a sequence to select all layers in the sequence.

Convert to Group Filter

Converts the selected layer property filter to a layer group filter. Changing the properties of the layers in a layer group filter has no effect on the filter.

Rename

Renames the selected filter. Enter a new name.

Delete

Deletes the selected layer filter. You cannot delete the All, All Used Layers, or Xref filters. This option deletes the layer filter but not the layers in the filter.

Properties

Displays the Layer Filter Properties dialog box, where you can modify the definition of the selected layer property filter. This option is available only when a layer property filter is selected.

Select Layers

Temporarily closes the Layer Filter Properties dialog box so that you can select objects in the drawing. This option is available only when a layer group filter is selected.

  • Add: Adds the layers of the selected objects to the layer group filter that is selected in the tree view.
  • Replace: Replaces the layers of the selected layer group filter with the layers of the objects that are selected in the drawing.

List View

Displays layers and layer filters and their properties and descriptions.

If a layer filter is selected in the tree view, the list view displays only the layers in that layer filter. The All filter in the tree view displays all layers and layer filters in the drawing. When a layer property filter is selected and there are no layers that fit its definition, the list view is empty. To modify a property of a selected layer or of all layers in a selected filter, click the icon for that property. When a mixed icon or “Varies” is displayed for a layer filter, the property is not the same for all layers in the filter.

Status

Indicates the type of item: layer filter, layer in use, empty layer, or current layer.

Name

Displays the name of the layer or filter. Press F2 to enter a new name.

On

Turns the selected layers on and off. When a layer is on, it is visible and available for plotting. When a layer is off, it is invisible and not plotted, even if Plot is on.

Freeze

Freezes the selected layers in all viewports, including the Model tab. You can freeze layers to speed up ZOOM, PAN, and many other operations; improve object selection performance; and reduce regeneration time for complex drawings.

Objects on frozen layers are not displayed, plotted, hidden, rendered, or regenerated.

Freeze the layers you want to be invisible for long periods. If you plan to switch visibility settings frequently, use the On/Off setting to avoid regenerating the drawing. You can freeze a layer in all viewports, in the current layout viewport, or in new layout viewports as they are created.

Lock

Locks and unlocks the selected layers. Objects on a locked layer cannot be modified.

Color

Changes the color associated with the selected layers. Clicking the color name displays the Select Color dialog box.

Linetype

Changes the linetype associated with the selected layers. Clicking the linetype name displays the Select Linetype dialog box.

Lineweight

Changes the lineweight associated with the selected layers. Clicking the lineweight name displays the Lineweight dialog box.

Plot Style

Changes the plot style associated with the selected layers. If you are working with color-dependent plot styles (the PSTYLEPOLICY system variable is set to 1), you cannot change the plot style associated with a layer. Clicking the plot style displays the Select Plot Style dialog box.

Plot

Controls whether the selected layers are plotted. If you turn off plotting for a layer, the objects on that layer are still displayed. Layers that are off or frozen are not plotted, regardless of the Plot setting.

VP Freeze (available only from a layout tab)

Freezes selected layers in the current layout viewport. You can freeze or thaw layers in the current viewport without affecting layer visibility in other viewports.

VP Freeze is an override to the Thaw setting in the drawing. That is, you can freeze a layer in the current viewport if it's thawed in the drawing, but you can't thaw a layer in the current viewport if it's frozen or off in the drawing. A layer is not visible when it is set to Off or Frozen in the drawing.

New VP Freeze

Freezes selected layers in new layout viewports. For example, freezing the DIMENSIONS layer in all new viewports restricts the display of dimensions on that layer in any newly created layout viewports but does not affect the DIMENSIONS layer in existing viewports. If you later create a viewport that requires dimensions, you can override the default setting by changing the current viewport setting.

VP Color (available only from a layout tab)

Sets an override for the color associated with the selected layer for the active layout viewport.

VP Linetype (available only from a layout tab)

Sets an override for the linetype associated with the selected layer for the active layout viewport.

VP Lineweight (available only from a layout tab)

Sets an override for the lineweight associated with the selected layer for the active layout viewport.

VP Plot Style (available only from a layout tab)

Sets an override for the plot style associated with the selected layer for the active layout viewport. Override settings are not visible in the viewport or plotted when the visual style in the drawing is set to Conceptual or Realistic. If you are working with color-dependent plot styles (the PSTYLEPOLICY system variable is set to 1), you cannot set a plot style override.

Description

(Optional) Describes the layer or the layer filter.

List View Shortcut Menu

Provides options for modifying the list and modifying selected layers and layer filters.

Column Label Shortcut Menu

Column Names

Lists all columns by name. Columns that are checked indicate they are displayed. Hidden column names are not checked. VP Freeze, VP Color, VP Linetype, VP Lineweight, and VP Plot Style are available only when a layout viewport is active.

Customize

Displays the Customize Layer Columns dialog box, where you can specify which columns are hidden or displayed.

Maximize All Columns

Maximizes all columns to the width of the column headers and the data content. This option is available on the shortcut menu that is displayed when you right-click a column heading.

Maximize Column

Changes the width of the column to maximize display of the column content. This option is available on the shortcut menu that is displayed when you right-click a column heading.

Optimize all columns

Changes the width of all columns to maximize display of the column content. This option is available on the shortcut menu that is displayed when you right-click a column heading.

Optimize column

Changes the width of a column to maximize display of the column content. This option is available on the shortcut menu that is displayed when you right-click a column heading.

Freeze column (or Unfreeze column)

Freezes (or unfreezes) the column and any columns to the left. This option is available on the shortcut menu when you right-click a column heading.

Restore All Columns to Defaults

Restores all columns to their default display and width settings. This option is available on the shortcut menu when you right-click a column heading.

Layer Shortcut Menu

Show Filter Tree

Displays the tree view. Clear this option to hide the tree view.

Show Filters in Layer List

Displays filters at the top of the list view. The filters are listed in alphabetical order. Clear the check mark to display only layers in the list view.

Set Current

Sets the selected layer as the current layer. (CLAYER system variable)

New Layer

Creates a new layer. The list displays a layer named LAYER1. You can edit this layer name immediately. The new layer inherits the properties of the currently selected layer in the layer list (color, on or off state, and so on).

Rename Layer

Renames the layer.

Delete Layer

Deletes selected layers from the drawing file definition. You can delete only unreferenced layers. Referenced layers include layers 0 and DEFPOINTS, layers containing objects (including objects in block definitions), the current layer, and xref-dependent layers.

NoteBe careful about deleting layers if you are working on a drawing in a shared project or one based on a set of layering standards.
Change Description

Adds a description or changes the text in the description for the selected layer or filter. The description for a filter is added to the filter and to all layers in the filter.

Remove from Group Filter

Removes the selected layers from the group layer filter that is selected in the tree view.

Reconcile Layer

Removes new layers from the Unreconciled New Layers filter. Available only when one or more unreconciled layers is selected.

Remove Viewport Overrides For

Removes a single override property or all property overrides on selected layers (or all layers) for the current viewport or all viewports. Different options display in a flyout menu depending on where the cursor is located when the shortcut menu is accessed. To remove a single property override, right-click the property override. This option is only available on the layout tab.

New Layer Frozen in All Viewports

Creates a new layer and freezes it in all existing layout viewports and new viewports.

VP Freeze Layer in All Viewports

Freezes the selected layer in all existing layout viewports and new viewports.

VP Thaw Layer in All Viewports

Thaws the selected layer in all existing layout viewports and new viewports.

Select All

Selects everything displayed in the list view.

Clear All

Removes selection from all items in the list view except the most recently selected layer or filter.

Select All but Current

Selects everything displayed in the list view except the current layer.

Invert Selection

Selects everything displayed in the list view except the items that are currently selected.

Invert Layer Filter

Displays all layers that do not meet the criteria in the selected layer property filter.

Layer Filters

Displays a list of layer filters, including All and All Used Layers. Click a filter to apply it to the list view.

Save Layer States

Displays the dialog box, in which you save the layer state and layer property settings of all layers in a drawing.

Restore Layer State

Displays the Layer States Manager, in which you can select a named layer state to restore settings of all layers in the drawing. Restores only those layer state and property settings that were selected when the named layer state was saved.

See Also

    • CLASSICLAYER


Layer Filter Properties Dialog Box (Quick Reference)

Layer Properties Manager
LAYER
Layer Filter Examples
Commands > L commands > LAYER >
Layer Filter Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Filters layers based on criteria you select. When a layer filter is selected in the tree view of the Layer Properties Manager, layers that match the filter criteria are displayed in the list view.

Filter Name

Provides a space to enter a name for the layer properties filter.

Show Example

Displays the examples of layer property filter definitions in Layer Filter Examples.

Filter Definition

Displays the properties of layers. You can use one or more properties to define the filter. For example, you can define a filter that displays all layers that are either red or blue and in use. To include more than one color, linetype, or lineweight, duplicate the filter on the next line and select a different setting.

Status

Click the In Use icon or the Not In Use icon.

Name

Use wild-card characters to filter layer names. For example, enter *mech* to include all layers with the letters mech in the name.

All the wild-card characters are listed in the table in Filter and Sort the List of Layers in the User's Guide.

On

Click the On or the Off icon.

Freeze

Click the Freeze or the Thaw icon.

Lock

Click the Lock or the Unlock icon.

Color

Click the [...] button to display the Select Color dialog box.

Linetype

Click the [...] button to display the Select Linetype dialog box.

Lineweight

Click the [...] button to display the Lineweight dialog box.

Plot Style

Click the [...] button to display the Select Plot Style dialog box.

Plot

Click the Plot icon or the Do Not Plot icon.

VP Freeze

Click the Freeze icon or the Thaw icon.

New VP Freeze

Click the Freeze icon or the Thaw icon.

VP Color

Click the [...] button to display the Select Color dialog box.

VP Linetype

Click the [...] button to display the Select Linetype dialog box.

VP Lineweight

Click the [...] button to display the Lineweight dialog box.

VP Plot Style

Click the [...] button to display the Select Plot Style dialog box.

Filter Preview

Displays the results of the filter as you define it. The filter preview shows which layers will be displayed in the layer list in the Layer Properties Manager when you select this filter.


Layer Filter Examples (Quick Reference)

Layer Filter Properties Dialog Box
Layer Filter Properties Dialog Box
Select Linetype Dialog Box
Commands > L commands > LAYER > Layer Filter Properties Dialog Box >
Layer Filter Examples
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Each example shows a layer filter definition that is set up in the Layer Filter Properties dialog box.

Example 1

The filter named “[ANNO]” displays layers that meet all of the following criteria:

  • Are in use
  • Have a name that contains the letters anno
  • Are on

Example 2

The filter named “RYW” displays layers that meet all of the following criteria:

  • Are on
  • Are frozen
  • Are red or yellow or white


Select Linetype Dialog Box (Quick Reference)

Layer Filter Examples
LAYER
Lineweight Dialog Box
Commands > L commands > LAYER >
Select Linetype Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Displays linetypes available in the current drawing.

Loaded Linetypes

Displays the list of linetypes loaded in the current drawing.

Load

Displays the Load or Reload Linetypes dialog box, in which you can load selected linetypes into the drawing and add them to the list of linetypes.


Lineweight Dialog Box (Quick Reference)

Select Linetype Dialog Box
LAYER
Layer Settings Dialog Box
Commands > L commands > LAYER >
Lineweight Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Displays the lineweight values available. You can customize your lineweights to plot at other values by using the Plot Style Table Editor. See Control Plotted Lineweight and Linetype in the User's Guide.

Lineweights

Displays the available lineweights to be applied. Available lineweights consist of fixed values that are most commonly used in drawings. Select a lineweight to apply it.

Original

Displays the previous lineweight. The default lineweight assigned when a layer is created is DEFAULT (which plots to a default value of 0.01 inches or 0.25 mm). (LWDEFAULT system variable)

New

Displays the new lineweight assigned to the layer.


Layer Settings Dialog Box (Quick Reference)

Lineweight Dialog Box
LAYER
Customize Layer Columns Dialog Box
Commands > L commands > LAYER >
Layer Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Click on the Layer Properties Manager.

Controls when notification occurs for new layers and if layer filters are applied to the Layers toolbar; also controls the background color of viewport overrides in the Layer Properties Manager.

New Layer Notification

Controls the evaluation and notification of new layers based on the LAYEREVAL settings in the DWG file.

NoteThere should be no filter (Unreconciled Layer filter) displayed when LAYEREVALCTL = 0. If one is currently displayed, it will be turned off. You can set the unreconciled new layers filter active and select the layers in that filter. With the unreconciled layer selected, you can right-click and click Reconcile Layer.
Evaluate New Layers Added to Drawing

Checks for new layers that have been added to the drawing. (LAYEREVAL = 0)

Evaluate New Xref Layers Only

Checks for new layers that have been added to attached xrefs. (LAYEREVAL = 1)

Evaluate All New Layers

Checks for new layers that have been added to the drawing, including new layers added to attached xrefs. (LAYEREVAL = 2)

Notify when New Layers Are Present

Turns on new layer notification. (LAYERNOTIFY = 0)

Open

Displays new layer notification when new layers are present when you use the OPEN command. (LAYERNOTIFY = 2)

Attach/Reload Xrefs

Displays new layer notification when new layers are present when you are attaching or reloading xrefs. (LAYERNOTIFY = 4)

Restore Layer State

Displays new layer notification when you are restoring layer states. (LAYERNOTIFY = 8)

Save

Displays new layer notification when new layers are present when you use the SAVE command. (LAYERNOTIFY = 16)

Insert

Displays new layer notification when new layers are present when you use the INSERT command. (LAYERNOTIFY = 32)

Display Alert for Plot When New Layers are Present

Displays new layer notification when new layers are present when you use the PLOT command. (LAYERNOTIFY = 1)

Isolate Layer Settings

Setting for layers not isolated:

Lock and Fade

Selects Lock and Fade as isolation method.

Off

Sets non-selected layers to Off.

In paper space viewport use:

Off

Sets non-selected layers to Off (in paper space).

VP Freeze

Sets non-selected layers to Viewport Freeze (in paperspace).

Dialog Settings

Apply Layer Filter to Layer Toolbar

Controls the display of layers in the list of layers on the Layers toolbar and Layers panel on the ribbon by applying the current layer filter.

Indicate Layers in Use

Displays icons in the list view to indicate whether layers are in use. In a drawing with many layers, clear this option to improve performance.

Viewport Override Background Color

Displays a list of colors and the Select Color dialog box where you can select a background color for viewport overrides.


Customize Layer Columns Dialog Box (Quick Reference)

Layer Settings Dialog Box
LAYER
-LAYER
Commands > L commands > LAYER >
Customize Layer Columns Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer Properties Manager
Menu: Format [image] LayerNot available in menus in the current workspace
Command entry: layer (or 'layer for transparent use)

Controls the display and order of columns in the Layer Properties Manager.

Check the Column to Display

Lists all columns that display depending on whether the Layer Properties Manager was accessed from Model space or a layout tab. Checked columns are displayed in the Layer Properties Manager.

Move Up

Moves the checked layer to the left in the Layer Properties Manager.

Move Down

Moves the checked layer to the right in the Layer Properties Manager.

Select All

Checks all columns in the list.

Clear All

Unchecks all columns in the list.


-LAYER (Quick Reference)

Customize Layer Columns Dialog Box
LAYER
LAYERCLOSE
Commands > L commands > LAYER >
-LAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -layer at the Command prompt, the following prompts are displayed.

Current layer: <"current">

Enter an option [?/Make/Set/New/Rename/ON/OFF/Color/Ltype/LWeight/MATerial/Plot/PStyle/Freeze/Thaw/LOck/Unlock/stAte/Description/rEconcile]:

NoteThe Pstyle option is available only when you are using named plot styles.

?—List Layers

Displays a list of the currently defined layers, showing their names, states, color numbers, linetypes, lineweights, and whether they are externally dependent layers.

Enter layer name(s) to list <*>: Enter a name list, or press ENTER to list all layers

Make

Creates a layer and makes it current. New objects are drawn on the current layer.

Enter name for new layer (becomes the current layer) <current>: Enter a name or press ENTER

If no layer exists for the name you enter, a new layer with that name is created. The new layer is on and assumes the following properties by default: color number 7, the CONTINUOUS linetype, and a lineweight of DEFAULT.

If the layer exists but is turned off, it is turned on.

Set

Specifies a new current layer but does not create the layer if it does not already exist. If the layer exists but is turned off, it is turned on and made current. A frozen layer cannot be made current.

Enter a layer name to make current or <select object>: Enter a name or press ENTER and select an object

New

Creates layers. You can create two or more layers by entering names separated by commas.

Enter name list for new layer(s):

Rename

Renames an existing layer.

Enter old layer name: Enter old layer name and press ENTER

Enter new layer name: Enter new name and press ENTER

On

Makes selected layers visible and available for plotting.

Enter name list of layer(s) to turn On:

Off

Makes selected layers invisible and excludes them from plotting.

Enter name list of layer(s) to turn Off or <select objects>: Enter a name list or press ENTER and select objects

Color

Changes the color associated with a layer.

Enter color name or number (1-255)[Truecolor/COlorbook]: Enter a color name or a number from 1 through 255, enter t, or enter co

True Color

Specifies a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE®

If you enter a color book name, the following prompt is displayed:

Enter color name: Enter the name of a color included in the selected color book, such as PANTONE® 573

Enter name list of layer(s) for color current <current>: Enter a name or a list of names separated by commas, or press ENTER

The color is assigned to the layer or layers, and the layers are turned on. To assign a color but turn off the layer, precede the color with a minus sign (-).

Ltype

Changes the linetype associated with a layer.

Enter a loaded linetype name or [?] <CONTINUOUS>: Enter a currently loaded linetype name, enter ?, or press ENTER

If you enter a linetype or press ENTER, the following prompt is displayed:

Enter name list of layer(s) for linetype "current" <current>: Enter a wild-card pattern, a name, or a list of names separated by commas, or press ENTER

If you enter ? at the Enter a Loaded Linetype Name prompt, the following prompt is displayed:

Enter linetype name(s) to list <*>: Enter a wild-card pattern, or press ENTER to list all names in the drawing

Lweight

Changes the lineweight associated with a layer.

Enter lineweight (0.0mm-2.11mm):

If you enter a valid lineweight, the current lineweight is set to the new value. If you enter a lineweight that is not valid, the current lineweight is set to the nearest fixed lineweight value. If you would like to plot an object with a custom width not found in the list of fixed lineweight values, you can use the Plot Style Table Editor to customize plotted lineweights.

Enter name list of layers(s) for lineweight current <current>: Enter a name list or press ENTER

The lineweight is assigned to the layer or layers.

Material

Attaches a material to a layer. The material must be available in the drawing before it can be assigned to a layer.

Enter material name or [?] <GLOBAL>: Enter the name of a material currently available in the drawing, enter ?, or press ENTER

If you enter ?, the following prompt is displayed:

Enter material name(s) to list <*>: Press ENTER to list all materials in the drawing

Objects created on the layer are assigned the material.

Plot

Controls whether visible layers are plotted. If a layer is set to plot but is currently frozen or turned off, the layer is not plotted.

Enter a plotting preference [Plot/No plot] <Plot>: Enter an option or press ENTER

Enter layer name(s) for this plot preference <current>: Enter a name list or press ENTER

The plot setting is assigned to the layer or layers.

Pstyle

Sets the plot style assigned to a layer. This option is not available if you are using color-dependent plot styles in the current drawing (the PSTYLEPOLICY system variable is set to 1). See Use Plot Styles to Control Plotted Objects in the User's Guide.

Enter plot style or [?] <Normal>: Enter a name, enter ? to list existing plot styles, or press ENTER

If you select a plot style other than NORMAL, the following prompt is displayed:

Enter name list of layer(s) for plot style current <current>: Enter the names of the layers to use this plot style, or press ENTER to apply the style to the current layer only

Freeze

Freezes layers, making them invisible and excluding them from regeneration and plotting.

Enter name list of layer(s) to freeze or <select objects>: Enter a name list or press ENTER and select objects

Thaw

Thaws frozen layers, making them visible and available for regeneration and plotting.

Enter a name list of layer(s) to thaw:

Lock

Locks layers, preventing editing of objects on those layers.

Enter a name list of layer(s) to lock or <select objects>: Enter a name list or press ENTER and select objects

Unlock

Unlocks selected locked layers, permitting editing of objects on those layers.

Enter a name list of layer(s) to unlock or <select objects>: Enter a name list or press ENTER and select objects

State

Saves and restores the state and property settings of the layers in a drawing.

Enter an option [?/Save/Restore/Edit/Name/Delete/Import/EXport]:

?—List Named Layer States

Lists the named layer state (LAS) files in the support path for the drawing.

Save

Saves the state and properties settings of the layers in a drawing under a specified layer state name. When saving a layer state, you specify which layer settings are affected when the layer state is later restored.

Enter new layer state name: Enter a name and press ENTER

Enter states to change

[On/Frozen/Lock/Plot/Newvpfreeze/Color/lineType/lineWeight/plotStyle]: Enter the settings that you want to save and then press ENTER

Restore

Restores the state and property settings of all layers to previously saved settings. Restores only those layer state and property settings that were selected when the layer state was saved.

Enter name of layer state to restore or [?]: Enter the layer state name or enter ? to see a list of saved layer state names

Edit

Changes the saved layer settings for a specified layer state. When the layer state is restored, the specified settings are used.

Enter name of layer state to edit or [?]: Enter the layer state name or enter ? to see a list of saved layer state names

Enter states to change

[On/Frozen/Lock/Plot/Newvpfreeze/Color/lineType/lineWeight/plotStyle]: Enter the settings that you want to change and then press ENTER

Name

Changes the name of a saved layer state.

Enter name of layer state to rename or [?]: Enter the layer state name or enter ? to see a list of saved layer state names

Enter new layer state name:

Delete

Removes a saved layer state.

Enter name of layer state to delete or [?]: Enter the layer state name or enter ? to see a list of saved layer state names

Import

Loads a previously exported layer state (LAS) file, or layers states from a file (DWG, DWS, DWT) into the current drawing. Additional layers may be created as a result of importing a layer state file.

Enter file name to import <current>:

Export

Saves a selected named layer state to a layer state (LAS) file.

Enter name of layer state to export or [?]: Enter the layer state name or enter ? to see a list of saved layer state names

Export state to file name:

Description

Sets the description property value of the existing layer.

Enter layer description: Enter description of the current layer and press ENTER

Enter name list of layer(s) to apply description: Enter name list of layers where the description will be applied and press ENTER

A warning prompt is displayed when you enter a description to a layer with an existing description.

Replace existing description(s)? [Yes/No]: Enter Y (to overwrite description) or N (to cancel)

Reconcile

Sets the unreconciled property of an unreconciled layer.

Enter name list of layer(s) to turn reconcile or [?]: Enter a single layer name or a list and press ENTER

? - Name List of Layers

Displays a list of all unreconciled layers.


LAYERCLOSE (Quick Reference)

-LAYER
LAYERCLOSE
LAYERP
Commands > L commands >
LAYERCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes the Layer Properties Manager.

Command entry: layerclose

Closes the Layer Properties Manager if it is open.


LAYERP (Quick Reference)

LAYERCLOSE
LAYERP
LAYERPALETTE
Commands > L commands >
LAYERP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Undoes the last change or set of changes made to layer settings.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] PreviousNot available on the ribbon in the current workspace
Menu: Format [image] Layer tools [image] PreviousNot available in menus in the current workspace
Toolbar: Layers
Command entry: layerp

Summary

Undoes changes you have made to layer settings such as color or linetype. If settings are restored, a message is displayed: “Restored previous layer states.”

When you use Layer Previous, it undoes the most recent change using either the Layer control or the Layer Properties Manager. Every change you make to layer settings is tracked and can be undone by Layer Previous.

LAYERP (Layer Previous) does not undo the following changes:

  • Renamed layers: If you rename a layer and change its properties, Layer Previous restores the original properties but not the original name.
  • Deleted layers: If you delete or purge a layer, using Layer Previous does not restore it.
  • Added layers: If you add a new layer to a drawing, using Layer Previous does not remove it.


LAYERPALETTE (Quick Reference)

LAYERP
LAYERPALETTE
LAYERPMODE
Commands > L commands >
LAYERPALETTE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the modeless Layer Properties Manager.

Command entry: layerpalette

The modeless Layer Properties Manager palette is displayed.


LAYERPMODE (Quick Reference)

LAYERPALETTE
LAYERPMODE
LAYERSTATE
Commands > L commands >
LAYERPMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Turns the tracking of changes made to layer settings on and off.

Command entry: layerpmode

Enter LAYERP mode [ON/OFF] <ON>: Enter on or off, or press ENTER

When Layer Previous mode is on, changes made to layers are tracked. When Layer Previous mode is off, changes made to layers are no longer tracked.


LAYERSTATE (Quick Reference)

LAYERPMODE
LAYERSTATE
Layer States Manager
Commands > L commands >
LAYERSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Saves, restores, and manages named layer states.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Summary

The Layer States Manager is displayed.

Saves the layer settings in a drawing as a named layer state. Named layer states can then be restored, edited, imported, and exported for use in other drawings.


Layer States Manager (Quick Reference)

LAYERSTATE
LAYERSTATE
New Layer State to Save Dialog Box
Commands > L commands > LAYERSTATE >
Layer States Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Displays a list of saved layer states in the drawing. You can create, rename, edit, and delete layer states.

Layer States

Lists the named layer states that have been saved in the drawing, the space in which they were saved (model space, layout, or xref), whether the layer list is the same as in the drawing, and an optional description.

Don’t List Layer States in Xrefs

Controls whether layer states in xrefs are displayed.

New

Displays the New Layer State to Save dialog box, where you can provide a name and a description for the new named layer state.

Save

Saves the selected named layer state.

Edit

Displays the Edit Layer State dialog box, where you can modify a selected named layer state.

Rename

Allows in-place editing of the layer state name.

Delete

Removes the selected named layer state.

Import

Displays a standard file selection dialog box, where you can load a previously exported layer state (LAS) file into the current drawing. Layer states in files (DWG, DWS, or DWT) can be imported. Additional layers may be created as a result of importing a layer state file. When a DWG, DWS, or DWT file is selected, the Select Layer States dialog box is displayed where you can select layer states to import.

Export

Displays a standard file selection dialog box, where you can save the selected named layer state to a layer state (LAS) file.

Restore

Restores state and property settings of all layers in a drawing to their previously saved settings. Restores only those layer state and property settings that you specify with the check boxes.

Close

Closes the Layer States Manager and saves changes.

Restore Options

Turn Off Layers Not Found in Layer State

When a layer state is restored, turns off new layers for which settings were not saved so that the drawing looks the same way it did when the named layer state was saved.

Apply Properties as Viewport Overrides

Applies layer property overrides to the current viewport. This option is available when the Layer States Manager is accessed when a layout viewport is active.

More Options

Controls the display of additional options in the Layer States Manager dialog box.

  • Layer Properties to Restore

Layer Properties to Restore

Specifies the layer state settings and layer properties that are to be restored when the selected named layer state is restored. When you save a layer state on the Model tab, the Visibility in Current VP check box is not available.

Select All

Selects all the settings.

Clear All

Removes selection from all the settings.


New Layer State to Save Dialog Box (Quick Reference)

Layer States Manager
LAYERSTATE
Edit Layer State Dialog Box
Commands > L commands > LAYERSTATE >
New Layer State to Save Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Specifies a name and a description for the layer state defined in the Layer States Manager.

New Layer State Name

Specifies a name for the new layer state to be saved.

Description

(Optional) Provides a description of the layer state that is displayed in the Layer States Manager.


Edit Layer State Dialog Box (Quick Reference)

New Layer State to Save Dialog Box
LAYERSTATE
Select Layers to Add to Layer State Dialog Box
Commands > L commands > LAYERSTATE >
Edit Layer State Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Modifies the selected layer state. Displays all the layers and their properties that are saved in the selected layer state except for viewport override properties.

Layer List

Displays a list of layers in the selected layer state and their properties.

Delete

Removes the selected layers from the layer state.

Add

Displays the Select Layers to Add to Layer States dialog box, in which you can add layers from the current drawing that are not defined in the layer state.

Delete

Removes the selected layers from the layer state.


Select Layers to Add to Layer State Dialog Box (Quick Reference)

Edit Layer State Dialog Box
LAYERSTATE
Select Layer States Dialog Box
Commands > L commands > LAYERSTATE >
Select Layers to Add to Layer State Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Displays layers by name and includes descriptions that are not defined in the selected named layer state.

Multiple layers can be selected. Clicking OK displays the selected layers in the Edit Layer State dialog box.

Layer List

Displays layers by name and description.


Select Layer States Dialog Box (Quick Reference)

Select Layers to Add to Layer State Dialog Box
LAYERSTATE
LAYFRZ
Commands > L commands > LAYERSTATE >
Select Layer States Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Layer State drop-down [image] Manage Layer States.
Menu: Format [image] Layer States ManagerNot available in menus in the current workspace.
Toolbar: Layers
Command entry: layerstate

Displays a list of layer states to be imported from a drawing file into the current drawing.

Check Layer States to Import

Displays a list of layer states, the space (model tab or layout tab) in which the layer state was saved, and a description.

The layer state names in the selected file (DWG, DWS, DWT) are compared to the layer state names in the current drawing. Duplicate layer state names are not checked by default. When a duplicate layer state name is checked, a prompt displays if you want to overwrite the existing layer state.

NoteIf the layer state to be imported contains linetypes or plot styles that do not exist in the current drawing, they are imported from the DWG, DWS or DWT file.


LAYFRZ (Quick Reference)

Select Layer States Dialog Box
LAYFRZ
LAYISO
Commands > L commands >
LAYFRZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Freezes the layer of selected objects.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] FreezeNot available on the ribbon in the current workspace
Menu: Format [image] Layer Tools [image] Layer FreezeNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: layfrz

Current settings: Viewports=Vpfreeze, Block nesting level=Block (Default settings value)

Select an object on a layer to be frozen or [Settings/Undo]: Select an object or enter s or u

Layer <layer name> has been frozen.

Select an Object on a Layer to be Frozen

Specifies the layer to be frozen.

Layer “<layer name>” has been frozen.

Settings

Displays settings for viewports and block definitions. The setting you choose persists from session to session.

Enter setting type for [Viewports/Block selection]:

Viewports

Displays settings for viewports.

In paper space viewport use [Freeze/Vpfreeze] <Vpfreeze>: Enter f to freeze objects in all viewports or v to freeze an object in the current viewport only

Block Selection

Displays settings for block definitions.

Enter Block Selection nesting level [Block/Entity/None] <Block>: Enter b, e, or n to set the default

Block

If a selected object is nested in a block, freezes the layer of that block. If a selected object is nested in an xref, freezes the layer of the object.

Entity

Freezes the layers of selected objects even if they are nested in an xref or a block.

None

If a block or an xref is selected, freezes the layer containing that block or xref.

Undo

Cancels the previous layer selection.

Objects on frozen layers are invisible. In large drawings, freezing unneeded layers speeds up operations involving display and regeneration. In a layout, you can freeze layers in individual layout viewports.


LAYISO (Quick Reference)

LAYFRZ
LAYISO
LAYLCK
Commands > L commands >
LAYISO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Hides or locks all layers except those of the selected objects.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] IsolateNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer IsolateNot available in menus in the current workspace
Toolbar: Layers II
Command entry: layiso

Current setting: <current settings>

Select objects on the layer(s) to be isolated or [Settings]: Select objects or enter s

All layers except the layers of the selected objects are either turned off, frozen in the current layout viewport, or locked, depending on the current setting. The layers that remain visible and unlocked are called isolated.

Select Objects on the Layer(s) to be Isolated

After selecting one or more objects, all layers except the layers of the selected objects are either turned off, frozen in the current layout viewport, or locked, depending on the current setting. The layers that remain visible and unlocked are termed isolated.

NoteLocked layers are faded by default. You can specify the percent of the fading from the Lock option in this command. You can later change the value with the LAYLOCKFADECTL system variable.

If you make changes to layers within a session and you want to restore the layers to the state they were in immediately before you entered the LAYISO command, use the LAYUNISO command.

Settings

Controls whether layers are turned off, frozen in the current layout viewports, or locked.

Enter setting for layers not isolated [Off/Lock and fade] <Lock>: Enter an option

Off

Turns off or freezes all layers except the layers of the selected objects.

In paper space viewport use [Vpfreeze/Off] <Vpfreeze>: Enter an option

Vpfreeze

In a layout, freezes all but the selected layers in the current layout viewport only. Other layout viewports in the drawing are unchanged.

If not in a layout, all other layers are turned off instead.

Off

Turns off all but the selected layers in all viewports.

Lock

Locks all layers except the layers of the selected objects, and sets the fading for locked layers.

Enter fade value (0-90) <50>: Enter a number for the percent dimming

Select objects on the layer(s) to be isolated or [Settings]: Select objects or enter s


LAYLCK (Quick Reference)

LAYISO
LAYLCK
LAYMCH
Commands > L commands >
LAYLCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Locks the layer of a selected object.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] LockNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer LockNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: laylck

Summary

Select an object on the layer to be locked:

Using this command, you can prevent objects on a layer from being accidentally modified. You can also fade the objects on a locked layer using the LAYLOCKFADECTL system variable.


LAYMCH (Quick Reference)

LAYLCK
LAYMCH
Change to Layer Dialog Box
Commands > L commands >
LAYMCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the layer of a selected object to match the destination layer.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] MatchNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer MatchNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: laymch

Select objects to be changed: Select an object to change its layer

Select object on destination layer or [Name]: Select an object or enter n to open the Change to Layer dialog box

If you enter -laymch at the Command prompt, options are displayed.

Select Object on Destination Layer

Select an object on the destination layer.

Name

Displays the Change to Layer dialog box.

If you create an object on the wrong layer, you can change its layer to the one you want using LAYMCH.


Change to Layer Dialog Box (Quick Reference)

LAYMCH
LAYMCH
-LAYMCH
Commands > L commands > LAYMCH >
Change to Layer Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] MatchNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer MatchNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: laymch

Displays a list of layers to choose as the destination layer. You can also create a new destination layer.

Current Layer

Displays the currently selected layer. Create a new layer name by entering a name.

Destination Layer list

Displays a list of layers in the drawing.


-LAYMCH (Quick Reference)

Change to Layer Dialog Box
LAYMCH
LAYMCUR
Commands > L commands > LAYMCH >
-LAYMCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -laymch at the Command prompt, the following prompts are displayed.

Select objects to be changed:

Select objects: Select an object to change its layer

After you select the object(s) to change, the following prompt is displayed:

Select object on destination layer or [Name]: Select an object or enter n to enter a layer name

Select Object on Destination Layer

Select an object on the destination layer. Select an object whose layer you want to match

N object(s) changed to layer <layer name>

Name

Enter layer name: Enter the name of a layer you want the selected objects to match

N object(s) changed to layer <layer name>


LAYMCUR (Quick Reference)

-LAYMCH
LAYMCUR
LAYMRG
Commands > L commands >
LAYMCUR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the current layer to that of a selected object.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Make Object’s Layer CurrentNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Make Object’s Layer CurrentNot available in menus in the current workspace
Toolbar: Layers
Command entry: laymcur

Select object whose layer will become current: Select an object to make its layer current

You can change the current layer by selecting an object on that layer. This is a convenient alternative to specifying the layer name in the Layer Properties Manager.


LAYMRG (Quick Reference)

LAYMCUR
LAYMRG
Merge Layers Dialog Box
Commands > L commands >
LAYMRG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Merges selected layers into a target layer, removing the previous layers from the drawing.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] MergeNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer MergeNot available in menus in the current workspace.
Command entry: laymrg

Select object on layer to merge or [Name]: Select an object or enter n to select a layer in the Merge Layers dialog box

After you selected the layer(s) to merge, the following prompt is displayed:

Select object on target layer or [Name]: Select an object or enter n to select a layer in the Merge to Layer dialog box

The layer you selected to merge into the target layer is deleted.

If you enter -laymrg at the Command prompt, options are displayed.

Select Object on Layer to Merge

Select an object on the layer you want to merge.

Selected layers: <layer name>

Select object on layer to merge or [Name/Undo]: Select an object, enter n to display the Merge Layers dialog box, or enter u

Name

Displays the Merge Layers dialog box.

Select Object on Target Layer

Select an object on the destination layer.

Select object on the target layer or [Name]: Select an object, or enter n to display the Merge to Layer dialog box

Name

Displays the Merge to Layer dialog box.

You can reduce the number of layers in a drawing by merging them. Objects on merged layers are moved to the target layer, and the original layers are purged from the drawing.


Merge Layers Dialog Box (Quick Reference)

LAYMRG
LAYMRG
Merge to Layer Dialog Box
Commands > L commands > LAYMRG >
Merge Layers Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] MergeNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer MergeNot available in menus in the current workspace.
Command entry: laymrg
Merge Layer list

Displays a list of layers to merge.


Merge to Layer Dialog Box (Quick Reference)

Merge Layers Dialog Box
LAYMRG
-LAYMRG
Commands > L commands > LAYMRG >
Merge to Layer Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] MergeNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer MergeNot available in menus in the current workspace.
Command entry: laymrg

Displays a list of layers onto which the selected layers or objects can be merged.

Target Layer

Displays the first layer in an alphabetical list of the layers in the current drawing.

Target Layer list

Displays an alphabetical list of the layers onto which you can merge the selected layers or objects.


-LAYMRG (Quick Reference)

Merge to Layer Dialog Box
LAYMRG
LAYOFF
Commands > L commands > LAYMRG >
-LAYMRG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -laymrg at the Command prompt, the following prompts are displayed.

Select object on layer to merge or [Name]: Select an object or enter n to select a layer from a list of layers

After you selected the layer(s) to merge, the following prompt is displayed:

Select object on target layer or [Name]: Select an object or enter n to select a target layer from a list of layers

The layer you selected to merge into the target layer is deleted.

Select Object on Layer to Merge

Select an object on the destination layer.

Selected layers: <layer name>

Select object on layer to merge or [Name]: Select an object or enter n

Name

Displays a list of layers, where you can select layers to merge.

Select a layer to merge.

Enter layer name or [?]: Enter a layer name or enter ?

Enter layer name(s) to list <*>: * Enter a layer name or press ENTER to list all layers.

Select Object on Target Layer

Select an object on the target layer.

Selected layers: <layer name>

Select object on layer to merge or [Name]: Select an object, enter n to display a list of layers on

Name

Displays a list of layers onto which you can merge the selected object or layer.

Enter layer name or [?]: Enter a layer name or enter ?

Enter layer name(s) to list <*>: * Enter a layer name or press ENTER to list all layers.


LAYOFF (Quick Reference)

-LAYMRG
LAYOFF
LAYON
Commands > L commands >
LAYOFF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Turns off the layer of a selected object.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] OffNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer OffNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: layoff

Current settings: Viewports= , Block nesting level=

Select an object on the layer to be turned off or [Settings/Undo]: Select an object, enter s, or enter u

Select an Object on the Layer to be Turned Off

Selects one or more objects whose layers you want to turn off.

Settings

Displays the Viewports and Block Definition setting types. The setting you choose persists from session to session.

Enter setting type for [Viewports/Block selection]:

Viewports

Displays the Viewports setting types.

Returns the following prompt:

In paper space viewport use [Vpfreeze/Off] <Vpfreeze>: Enter v to freeze the selected layer in the current viewport, or enter o to turn off selected layers in all viewports

Vpfreeze

In paper space, freezes the layer selected in the current viewport.

Off

In paper space, turns off selected layers in all viewports.

Block Selection

Displays the Block Selection setting types, where you can freeze layers of selected objects.

Enter Block Selection nesting level [Block/Entity/None] <Block>: Enter b, e, or n to set the default option

  • Block: Turns off the layers of selected objects. If a selected object is nested in a block, the layer containing that block is turned off. If a selected object is nested in an xref, the layer of the object is turned off.
  • Entity: Turns off layers of selected objects even if they are nested in an xref or a block.
  • None: Turns off the layers of selected objects. If a block or an xref is selected, the layer containing that block or xref is turned off.

Undo

Cancels the previous layer selection.

Turning off the layer of a selected object makes that object invisible. This command is useful if you need an unobstructed view when working in a drawing or if you don’t want to plot details such as reference lines.


LAYON (Quick Reference)

LAYOFF
LAYON
LAYOUT
Commands > L commands >
LAYON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Turns on all layers in the drawing.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] OnNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Turn All Layers OnNot available in menus in the current workspace.
Command entry: layon

All layers in the drawing are turned on.

All layers that were previously turned off are turned back on. Objects created on those layers become visible, unless the layers are also frozen.


LAYOUT (Quick Reference)

LAYON
LAYOUT
LAYOUTWIZARD
Commands > L commands >
LAYOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates and modifies drawing layout tabs.

Access Methods

Menu: Insert [image] Layout [image] Layout from TemplateNot available in menus in the current workspace
Toolbar: Layouts
Command entry: layout

Enter layout option [Copy/Delete/New/Template/Rename/SAveas/Set/?] <set>:

NoteMany of these options are available by right-clicking a layout tab name.
Copy

Copies a layout. If you do not provide a name, the new layout assumes the name of the copied layout with an incremental number in parentheses. The new tab is inserted before the copied layout tab.

Enter name of layout to copy <current>:

Enter layout name for copy <default>:

Delete

Deletes a layout. The most current layout is the default.

Enter name of layout to delete <current>:

The Model tab cannot be deleted. To remove all the geometry from the Model tab, you must select all geometry and use the ERASE command.

New

Creates a new layout tab. Up to 255 layouts can be created in a single drawing.

Enter name of new layout <Layout#>:

Layout names must be unique. Layout names can be up to 255 characters long and are not case sensitive. Only the first 31 characters are displayed on the tab.

Template

Creates a new layout tab based on an existing layout in a template (DWT), drawing (DWG), or drawing interchange (DXF) file. If the FILEDIA system variable is set to 1, a standard file selection dialog box is displayed for selecting a DWT, DWG, or DXF file. After you select a file, the Insert Layouts dialog box is displayed, which lists the layouts saved in the selected file. After you select a layout, the layout and all objects from the specified template or drawing file are inserted into the current drawing.

Rename

Renames a layout. The last current layout is used as the default for the layout to rename.

Enter layout to rename <current>:

Enter new layout name <current>:

Layout names must be unique. Layout names can be up to 255 characters long and are not case sensitive. Only the first 31 characters are displayed on the tab.

Saveas

Saves a layout as a drawing template(DWT) file without saving any unreferenced symbol table and block definition information. You can then use the template to create new layouts in your drawings without having to eliminate unnecessary information. See Reuse Layouts and Layout Settings in the User's Guide.

Enter layout to save to template <current>:

The last current layout is used as the default for the layout to save as a template. If the FILEDIA system variable is set to 1, a standard file selection dialog box is displayed in which you can specify the template file in which to save the layout. The default layout template directory is specified in the Options dialog box.

Set

Makes a layout current.

Enter layout to make current <last>:

?—List Layouts

Lists all the layouts defined in the drawing.


LAYOUTWIZARD (Quick Reference)

LAYOUT
LAYOUTWIZARD
Layout Wizard
Commands > L commands >
LAYOUTWIZARD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new layout tab and specifies page and plot settings.

Menu: Insert [image] Layout [image] Create Layout WizardNot available in menus in the current workspace
Command entry: layoutwizard

The Layout wizard is displayed.


Layout Wizard (Quick Reference)

LAYOUTWIZARD
LAYOUTWIZARD
LAYTHW
Commands > L commands > LAYOUTWIZARD >
Layout Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: layoutwizard

The Layout wizard contains a series of pages that step you through the process of creating a new layout. You can choose to create a new layout from scratch or use an existing layout template on which to base your new layout.

Depending on which plotting device is currently configured, you can select a paper size from those available. You can select a predefined title block to apply to your new layout. The Preview area displays a preview image of the title block you select.

When you've finished using the wizard to specify your layout settings, you can modify any of the settings using the PAGESETUP command from within the new layout.


LAYTHW (Quick Reference)

Layout Wizard
LAYTHW
LAYTRANS
Commands > L commands >
LAYTHW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Thaws all layers in the drawing.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] ThawNot available on the ribbon in the current workspace.
Menu: Format [image] Layer tools [image] Thaw All LayersNot available in menus in the current workspace
Command entry: laythw

All layers in the drawing are thawed.

All layers that were previously frozen are unfrozen. Objects created on those layers become visible, unless the layers are also turned off or have been frozen in individual layout viewports. Layers that are frozen in individual layout viewports must be thawed layer by layer.

NoteLAYTHW does not thaw layers in a viewport. Use the VPLAYER command to thaw layers in a viewport.


LAYTRANS (Quick Reference)

LAYTHW
LAYTRANS
Layer Translator
Commands > L commands >
LAYTRANS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Translates the layers in the current drawing to specified layer standards.

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] Layer TranslatorNot available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] Layer TranslatorNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: laytrans

Summary

Maps the layers in the current drawing to different layer names and layer properties in a specified drawing or standards file, and then converts them using those mappings.

The Layer Translator is displayed.


Layer Translator (Quick Reference)

LAYTRANS
LAYTRANS
Settings Dialog Box
Commands > L commands > LAYTRANS >
Layer Translator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] Layer TranslatorNot available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] Layer TranslatorNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: laytrans

In the Layer Translator, you specify the layers in the current drawing that you want to translate, and the layers to translate them to.

Translate From

Specifies the layers to be translated in the current drawing. You can specify layers by selecting layers in the Translate From list or by supplying a selection filter.

The color of the icon preceding the layer name indicates whether or not the layer is referenced in the drawing. A dark icon indicates that the layer is referenced; a white icon indicates the layer is unreferenced. Unreferenced layers can be deleted from the drawing by right-clicking in the Translate From list and choosing Purge Layers.

Selection Filter

Specifies layers to be selected in the Translate From list, using a naming pattern that can include wild-cards. For a list of valid wild-cards, see the table in Filter and Sort the List of Layers in the User's Guide. The layers identified by the selection filter are selected in addition to any layers previously selected.

Select

Selects the layers specified in Selection Filter.

Map

Maps the layers selected in Translate From to the layer selected in Translate To.

Map Same

Maps all layers that have the same name in both lists.

Translate To

Lists the layers you can translate the current drawing's layers to.

Load

Loads layers in the Translate To list using a drawing, drawing template, or standards file that you specify. If the specified file contains saved layer mappings, those mappings are applied to the layers in the Translate From list and are displayed in Layer Translation Mappings.

You can load layers from more than one file. If you load a file that contains layers of the same name as layers already loaded, the original layers are retained and the duplicate layers are ignored. Similarly, if you load a file containing mappings that duplicate mappings already loaded, the original mappings are retained and the duplicates are ignored.

New

Defines a new layer to be shown in the Translate To list for translation. If you select a Translate To layer before choosing New, the selected layer's properties are used as defaults for the new layer. You cannot create a new layer with the same name as an existing layer.

Layer Translation Mappings

Lists each layer to be translated and the properties to which the layer will be converted. You can select layers in this list and edit their properties using Edit.

Edit

Opens the Edit Layer dialog box, where you can edit the selected translation mapping. You can change the layer's linetype, color, and lineweight. If all drawings involved in translation use plot styles, you can also change the plot style for the mapping.

Remove

Removes the selected translation mapping from the Layer Translation Mappings list.

Save

Saves the current layer translation mappings to a file for later use.

Layer mappings are saved in the DWG or DWS file format. You can replace an existing file or create a new file. The Layer Translator creates the referenced layers in the file and stores the layer mappings in each layer. All linetypes used by those layers are also copied into the file.

Settings

Opens the Settings dialog box, where you can customize the process of layer translation.

Translate

Starts layer translation of the layers you have mapped.

If you have not saved the current layer translation mappings, you are prompted to save the mappings before translation begins.


Settings Dialog Box (Quick Reference)

Layer Translator
LAYTRANS
Edit/New Layer Dialog Box
Commands > L commands > LAYTRANS >
Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] Layer TranslatorNot available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] Layer TranslatorNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: laytrans

Controls the process of layer translation.

Force Object Color to BYLAYER

Specifies whether or not every object translated takes on the color assigned to its layer. If this option is selected, every object takes on the color of its layer. If this option is cleared, every object retains its original color.

Force Object Linetype to BYLAYER

Specifies whether or not every object translated takes on the linetype assigned to its layer. If this option is selected, every object takes on the linetype of its layer. If this option is cleared, every object retains its original linetype.

Translate Objects in Blocks

Specifies whether or not objects nested within blocks are translated. If this option is selected, nested objects in blocks are translated. If this option is cleared, nested objects in blocks are not translated.

Write Transaction Log

Specifies whether or not a log file detailing the results of translation is created. If this option is selected, a log file is created in the same folder as the translated drawing. The log file is assigned the same name as the translated drawing, with a .log file name extension. If the Write Transaction Log option is cleared, no log file is created.

Show Layer Contents When Selected

Specifies which layers to display in the drawing area. If this option is selected, only the layers selected in the Layer Translator dialog box are displayed in the drawing area. If this option is cleared, all layers in the drawing are displayed.


Edit/New Layer Dialog Box (Quick Reference)

Settings Dialog Box
LAYTRANS
LAYULK
Commands > L commands > LAYTRANS >
Edit/New Layer Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] Layer TranslatorNot available on the ribbon in the current workspace.
Menu: Tools [image] CAD Standards [image] Layer TranslatorNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: laytrans

Sets or modifies layer properties.

Name

Specifies the layer name.

Linetype

Specifies the layer linetype.

Color

Specifies the layer color.

Lineweight

Specifies the layer lineweight.

Plot Style

Specifies the layer plot style. You can modify the plot style only if all drawings referenced by the Layer Translator use named plot styles.


LAYULK (Quick Reference)

Edit/New Layer Dialog Box
LAYULK
LAYUNISO
Commands > L commands >
LAYULK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Unlocks the layer of a selected object.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] UnlockNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer UnlockNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: layulk

When you move the cursor over objects on locked layers, the locked icon is displayed.

Select an object on the layer to be unlocked:

You can select an object on a locked layer and unlock that layer without specifying the name of the layer. Objects on unlocked layers can be selected and modified.


LAYUNISO (Quick Reference)

LAYULK
LAYUNISO
LAYVPI
Commands > L commands >
LAYUNISO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores all layers that were hidden or locked with the LAYISO command.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] UnisolateNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer UnisolateNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: layuniso

Summary

Reverses the effects of the previous LAYISO command. Any additional changes made to layer settings after you use the LAYISO command will be retained.

LAYUNISO restores layers to the state they were in just before you entered the LAYISO command. Changes to layer settings after LAYISO is used are retained when you enter the LAYUNISO command. If LAYISO was not used, LAYUNISO does not restore any layers.

NoteYou can also restore layers to their previous layer state by using the Layer Previous button on the Layers toolbar (or by entering LAYERP at the Command prompt), as long as you have not made any changes to layer settings.


LAYVPI (Quick Reference)

LAYUNISO
LAYVPI
LAYWALK
Commands > L commands >
LAYVPI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Freezes selected layers in all layout viewports except the current viewport.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] Isolate to Current ViewportNot available on the ribbon in the current workspace.
Menu: Format [image] Layer tools [image] Isolate Layer to Current ViewportNot available in menus in the current workspace
Command entry: layvpi

Isolates the layer of a selected object in the current viewport by freezing the layer in all but the current viewport. You can choose to isolate all layouts or only the current layout.

NoteLAYVPI works only when TILEMODE is set to 0 and when two or more paper space viewports are defined.

Current settings: Layouts= , Block nesting level=

Select objects on the layer to be isolated in viewport or [Settings/Undo]: Select objects or enter an option

Select Objects on the Layer to be Isolated in Viewport

Selects an object whose layer you want to isolate in a viewport.

Settings

Displays the Viewports and Block Definition setting types. The setting you choose persists from session to session.

Enter setting type for [Viewports/Block selection]:

Layouts

Displays layout options for isolating layers.

Isolate layers in all viewports except current for [All layouts/Current layout] Enter All Layouts or Current Layout

  • All Layouts: In all layouts, isolates layers of selected objects in all but the current viewport
  • Current Layout: In the current layout, isolates layers of selected objects in all but the current viewport. This option persists from session to session.
Block Selection

Displays the Block Selection setting types, where you can freeze layers of selected objects.

Enter Block Selection nesting level [Block/Entity/None] <Block>: Enter b, e, or n to set the default option

  • Block: Isolates the layers of selected objects. If a selected object is nested in a block, the layer containing that block is isolated. If a selected object is nested in an xref, the layer of the object is isolated.
  • Entity: Isolates layers of selected objects even if they are nested in an xref or a block.
  • None: Isolates the layers of selected objects. If a block or an xref is selected, the layer containing that block or xref is isolated.

Undo

Cancels the previous layer selection.

This command automates the process of using VP Freeze in the Layer Properties Manager. You select an object on each layer to be frozen in other layout viewports.


LAYWALK (Quick Reference)

LAYVPI
LAYWALK
LayerWalk Dialog Box
Commands > L commands >
LAYWALK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays objects on selected layers and hides objects on all other layers.

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] WalkNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer WalkNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: laywalk

Summary

The LayerWalk dialog box is displayed.

Displays a dialog box with a list of all layers in the drawing. For drawings with a large number of layers, you can filter the list of layers that are displayed in the dialog box.Use this command to review the objects on each layer and to purge unreferenced layers.

By default, the effect is temporary and layers are restored when you close the dialog box.


LayerWalk Dialog Box (Quick Reference)

LAYWALK
LAYWALK
LEADER
Commands > L commands > LAYWALK >
LayerWalk Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Layers panel [image] WalkNot available on the ribbon in the current workspace.
Menu: Format [image] Layer Tools [image] Layer WalkNot available in menus in the current workspace.
Toolbar: Layers II
Command entry: laywalk

Dynamically displays objects on layers that you select in the Layer list. The number of layers in the drawing are displayed in the dialog box title. You can change the current layer state when you exit, save layer states, and purge layers that are not referenced.

You can use the LayerWalk dialog box in a paper space viewport to select layers to turn on and thaw in the layer table and the current viewport. Any layer that is not selected in the Layer list is frozen in the current viewport. You can change the display of one viewport without altering the display of another viewport.

Filter

Turns an active filter on and off. When this check box is selected, the list displays only those layers that match the active filter. When this check box is cleared, the full list of layers is displayed. (This option is available only when there is an active filter.) To turn on an active filter, in the filter list, either enter a wildcard and press ENTER, or select a saved filter.

Layer List

If a filter is active, displays a list of layers defined in that filter. If no filter is active, displays a list of layers in the drawing. Double-click a layer to set it to Always Show (an asterisk to the left of the layer is displayed). Right-click in the layer list to display more options.

In the layer list, you can

  • Click a layer name to display the contents of a layer.
  • Double-click a layer name to turn the Always Show option on or off.
  • Press CTRL and click layers to select multiple layers.
  • Press SHIFT and click to select layers in a sequence.
  • Press either CTRL or SHIFT and double-click in the layer list to turn the Always Show option on or off.
  • Click and drag in the layer list to select multiple layers.

    For more options in the layer list, right-click to access the Layer List shortcut menu.

Layer List Shortcut Menu Options

Displays a list of options for the layers selected in the Layer list.

Hold Selection

Turns on the Always Show option for selected layers. An asterisk (*) is displayed to the left of each layer held.

Release Selection

Turns off the Always Show option for selected layers.

Release All

Turns off the Always Show option for all layers.

Select All

Selects and displays all layers.

Clear All

Clears all layers.

Invert Selection

Clears current layers and selects and displays all other layers.

Select Unreferenced

Selects all unreferenced layers. Use with the Purge button to remove unused layers.

Save Layer State

Saves the current selection of layers as a layer state that can be used by the Layer States Manager.

Inspect

Displays the number of layers in the drawing, the number of layers selected, and the number of objects on the selected layers.

Copy as Filter

Displays the name of the selected layer in the Filter text box. Can be used to create wildcards.

Save Current Filter

Saves the current filter so that it is available in the Filter list for reuse.

Delete Current Filter

Removes the current filter from the filter list.

Select Objects

Selects objects and their layers.

Filter List

Filters the layer list. Enter a wildcard and press ENTER to display and highlight only those layers whose names match the wildcard. Right-click to save and delete filters. The filter list displays saved filters only.

For more information about wild-card characters, see the Wild-Card Characters section of Filter and Sort the List of Layers.

Purge

When selected layers are not referenced, purges them from the drawing. For a list of layers that can be purged, right-click anywhere in the Layer list and click Select Unreferenced. In the Layer list, the unreferenced layers are highlighted. You can purge those layers.

Restore on Exit

Returns layers to their previous state when you exit the dialog box. If the check box is cleared, any changes you made are saved.


LEADER (Quick Reference)

LayerWalk Dialog Box
LEADER
LENGTHEN
Commands > L commands >
LEADER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a line that connects annotation to a feature.

Command entry: leader

Specify leader start point:

Specify next point:

It is recommended that you use the workflow available through the MLEADER command to create leader objects. For more information about multileader objects, see Create and Modify Leaders.

A leader line segment is drawn and prompts for points and options are displayed.

Specify next point or [Annotation/Format/Undo] <Annotation>: Specify a point, enter an option, or press ENTER

Point Specification

Draws a leader line segment to the point specified and continues to prompt you for points and options.

Specify next point or [Annotation/Format/Undo] <Annotation>: Specify a point, enter an option, or press ENTER

Annotation

Inserts an annotation at the end of the leader line. The annotation can be single or multiple lines of text, a feature control frame containing geometric tolerances, or a block.

Enter first line of annotation text or <options>: Enter text or press ENTER

If you enter text at the Annotation prompt, the text is inserted at the end of the leader line. You are prompted for additional lines of text until you end the command by pressing ENTER twice.

If you press ENTER at the Annotation prompt without entering text first, the following prompt is displayed:

Enter an annotation option [Tolerance/Copy/Block/None/Mtext] <Mtext>: Enter an option or press ENTER

Tolerance

Creates a feature control frame containing geometric tolerances using the Geometric Tolerance dialog boxes (see TOLERANCE).

You can create datum indicators and basic dimension notation in these dialog boxes. After you specify the geometric tolerance, LEADER ends.

Copy

Copies text, a multiline text object, a feature control frame with geometric tolerances, or a block and connects the copy to the end of the leader line. The copy is associated with the leader line, meaning that if the copied object moves, the end of the leader line moves with it. The display of the hook line depends on the object copied.

Select an object to copy:

The object is inserted and LEADER ends. The value of the current text gap (see DIMSTYLE or the DIMGAP system variable) determines where the text and multiline text objects are inserted. Blocks or feature control frames with geometric tolerances are attached to the end of the leader line.

Block

Inserts a block at the end of the leader line. The prompts are the same as for INSERT. The block reference is inserted at an offset from the end of the leader line and is associated to the leader line, meaning that if the block moves, the end of the leader line moves with it. No hook line is displayed.

Enter block name or [?]: Enter a block name or enter ? to list all blocks in the drawing

None

Ends the command without adding any annotation to the leader line.

Mtext

Creates text using the In-Place Text Editor when you specify an insertion point and a second point for the text boundary.

Enter the characters for the text. Enclose format strings for prefixes and suffixes in angle brackets (< >). Enclose format strings for alternate units in square brackets ([ ]). For more information about adding a prefix or suffix, see Control the Display of Dimension Units in the User's Guide.

The units settings and the current text style determine how the text is displayed. The multiline text is vertically centered and horizontally aligned according to the X axis direction of the last two vertices of the leader line. The text is offset from the hook line by the distance specified under Offset from Dim Line on the Text tab of the New, Modify, or Override Dimension Style dialog box. If the offset specified is negative, the multiline text is enclosed in a box as a basic dimension.

After you specify the text, LEADER ends.

Format

Controls the way the leader is drawn and whether it has an arrowhead.

Enter leader format option [Spline/STraight/Arrow/None] <Exit>: Enter an option or press ENTERto return to the previous prompt

After each option, the Specify Next Point prompt is redisplayed.

Spline

Draws the leader line as a spline. The vertices of the leader line are the control points, each of equal unit weight.

Straight

Draws the leader line as a set of straight line segments.

Arrow

Draws an arrowhead at the start point of the leader line.

None

Draws a leader line with no arrowhead at the start point.

Exit

Exits the Format options.

Undo

Undoes the last vertex point on the leader line. The previous prompt is displayed.


LENGTHEN (Quick Reference)

LEADER
LENGTHEN
LIGHT
Commands > L commands >
LENGTHEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the length of objects and the included angle of arcs.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] LengthenNot available on the ribbon in the current workspace.
Menu: Modify [image] LengthenNot available in menus in the current workspace
Command entry: lengthen

You can specify changes as a percentage, an increment, or as a final length or angle. LENGTHEN is an alternative to using TRIM or EXTEND.

Select an object or [DElta/Percent/Total/DYnamic]: Select one object or enter an option

Object Selection

Displays the length and, where applicable, the included angle of the object.

LENGTHEN does not affect closed objects. The extrusion direction of the selected object need not be parallel to the Z axis of the current user coordinate system (UCS).

Current length: <current>, included angle: <current>

Select an object or [DElta/Percent/Total/DYnamic]: Select one object, enter an option, or press ENTER to end the command

Delta

Changes the length of an object by a specified increment, measured from the endpoint that is closest to the selection point. Delta also changes the angle of an arc by a specified increment, measured from the endpoint that is closest to the selection point. A positive value extends the object; a negative value trims it.

Enter delta length or [Angle] <current>: Specify a distance, enter a, or press ENTER

Delta Length

Changes the length of the object by the specified increment.

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.

Angle

Changes the included angle of the selected arc by the specified angle.

Enter delta angle <current>: Specify an angle or press ENTER

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.

Percent

Sets the length of an object by a specified percentage of its total length.

Enter percentage length <current>: Enter a positive nonzero value or press ENTER

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.

Total

Sets the length of a selected object by specifying the total absolute length from the fixed endpoint. Total also sets the included angle of a selected arc by a specified total angle.

Specify total length or [Angle] <current>: Specify a distance, enter a positive nonzero value, enter a, or press ENTER

Total Length

Lengthens the object to the specified value from the endpoint that is closest to the selection point.

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.

Angle

Sets the included angle of the selected arc.

Specify total angle <current>: Specify an angle or pressENTER

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.

Dynamic

Turns on Dynamic Dragging mode. You change the length of a selected object by dragging one of its endpoints. The other end remains fixed.

Select an object to change or [Undo]: Select one object or enter u

The prompt repeats until you press ENTER to end the command.


LIGHT (Quick Reference)

LENGTHEN
LIGHT
LIGHTLIST
Commands > L commands >
LIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a light.

Command entry: light

Enter light type [Point/Spot/Web/Targetpoint/Freespot/FreeweB/Distant] <Point>:

Depending on the type of light you specify, the prompts that are displayed are identical to the prompts in the POINTLIGHT, SPOTLIGHT, WEBLIGHT, TARGETPOINT, FREESPOT,FREEWEB or DISTANTLIGHT command.


LIGHTLIST (Quick Reference)

LIGHT
LIGHTLIST
Lights in Model Palette
Commands > L commands >
LIGHTLIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Turns on and off the Lights in Model palette that lists all lights in the model.

Access Methods

Button

Ribbon: 3D Modeling Workspace Render tab [image] Lights panel [image] [image] [image] Lights in Model
Menu: View [image] Render [image] Light [image] Light ListNot available in menus in the current workspace.
Toolbar: Render
Command entry: lightlist

Summary

Opens the Lights in Model palette, which lists the lights in the drawing.

With one or more lights selected, right-click and use the shortcut menu to delete or change the properties of the selected lights.


Lights in Model Palette (Quick Reference)

LIGHTLIST
LIGHTLIST
LIGHTLISTCLOSE
Commands > L commands > LIGHTLIST >
Lights in Model Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists the lights in the drawing.

Access Methods

Button

Ribbon: 3D Modeling Workspace Render tab [image] Lights panel [image] [image] [image] Lights in Model
Menu: View [image] Render [image] Light [image] Light ListNot available in menus in the current workspace.
Toolbar: Render
Command entry: lightlist

Summary

An icon in the Type column indicates the type of light: point light, spotlight, or distant light, and whether it is on or off. Select a light in the list to select it in the drawing. To sort the list, click the Type or Name column head.

List of Options

The following options are available in this dialog box.

Delete Light or Delete Lights

With one or more lights selected, right-click and click Delete Light or Delete Lights to remove the light from the drawing. You can also press DELETE.

Properties

With one or more lights selected, right-click and click Properties to display the Properties palette, where you can change the properties of lights and turn them on and off. When a property is selected, the panel at the bottom displays a description of the property. You can also double-click to display the Properties palette.


LIGHTLISTCLOSE (Quick Reference)

Lights in Model Palette
LIGHTLISTCLOSE
LIMITS
Commands > L commands >
LIGHTLISTCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Lights in Model window.

Command entry: lightlistclose

The Lights in Model window closes.


LIMITS (Quick Reference)

LIGHTLISTCLOSE
LIMITS
LINE
Commands > L commands >
LIMITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets and controls the limits of the grid display in the current Model or layout tab.

Menu: Format [image] Drawing LimitsAt the Command prompt, enter limits.
Command entry: limits (or 'limits for transparent use)

Specify lower left corner or [ON/OFF] <current>: Specify a point, enter on or off, or press ENTER

Lower-Left Corner

Specifies the lower-left corner for the grid limits.

Specify upper right corner <current>: Specify a point or press ENTER

On

Turns on limits checking. When limits checking is on, you cannot enter points outside the grid limits. Because limits checking tests only points that you enter, portions of objects such as circles can extend outside the grid limits.

Off

Turns off limits checking but maintains the current values for the next time you turn on limits checking.


LINE (Quick Reference)

LIMITS
LINE
LINETYPE
Commands > L commands >
LINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates straight line segments.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] LineNot available on the ribbon in the current workspace
Menu: Draw [image] LineNot available in menus in the current workspace
Toolbar: Draw
Command entry: line

Specify first point: Specify a point or press ENTER to continue from the last drawn line or arc

Specify next point or [Close/Undo]:

Continue

Continues a line from the endpoint of the most recently drawn line.

If the most recently drawn object is an arc, its endpoint defines the starting point of the line, and the line is drawn tangent to the arc.

Close

Ends the last line segment at the beginning of the first line segment, which forms a closed loop of line segments. You can use Close after you have drawn a series of two or more segments.

Undo

Erases the most recent segment of a line sequence.

Entering u more than once backtracks through line segments in the order you created them.

With LINE, you can create a series of contiguous line segments. Each segment is a line object that can be edited separately.


LINETYPE (Quick Reference)

LINE
LINETYPE
Linetype Manager
Commands > L commands >
LINETYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads, sets, and modifies linetypes.

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Linetype
Menu: Format [image] LinetypeNot available in menus in the current workspace
Command entry: linetype (or 'linetype for transparent use)

Summary

The Linetype Manager is displayed.

If you enter -linetype at the Command prompt, options are displayed.


Linetype Manager (Quick Reference)

LINETYPE
LINETYPE
Load or Reload Linetypes Dialog Box
Commands > L commands > LINETYPE >
Linetype Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Linetype
Menu: Format [image] LinetypeNot available in menus in the current workspace
Command entry: linetype (or 'linetype for transparent use)

Loads linetypes and sets the current linetype.

Linetype Filters

Determines which linetypes to display in the linetype list. You can filter linetypes based on whether they are xref-dependent, or whether they are referenced by objects.

Invert Filter

Displays linetypes based on the opposites of the criteria you select. Linetypes that fit the inverse filter criteria are displayed in the linetype list.

Load

Displays the Load or Reload Linetypes dialog box, in which you can load into the drawing selected linetypes from the acad.lin file and add them to the linetype list.

Current

Sets the selected linetype to be the current linetype. Setting the current linetype to BYLAYER means that an object assumes the linetype that is assigned to a particular layer. Setting the linetype to BYBLOCK means that an object assumes the CONTINUOUS linetype until it is grouped into a block. Whenever the block is inserted, all objects inherit the block's linetype. The CELTYPE system variable stores the linetype name.

Delete

Deletes selected linetypes from the drawing. You can delete only unused linetypes. The BYLAYER, BYBLOCK, and CONTINUOUS linetypes cannot be deleted.

NoteBe careful about deleting linetypes if you are working on a drawing in a shared project or one based on a set of layering standards. The deleted linetype definition remains stored in the acad.lin or acadiso.lin file and can be reloaded.

Show Details or Hide Details

Controls whether the Details section of the Linetype Manager is displayed.

Current Linetype

Displays the current linetype name.

List of Linetypes

Displays the loaded linetypes according to the option specified in Linetype Filters. To quickly select all or clear all linetypes, right-click in the linetype list to display the shortcut menu.

Linetype

Displays names of loaded linetypes. To rename a linetype, select it and then click it again and enter a new name. BYLAYER, BYBLOCK, CONTINUOUS, and xref-dependent linetypes cannot be renamed. The linetype name can include up to 255 characters. Linetype names can contain letters, digits, blank spaces, and the special characters dollar sign ($), hyphen (-), and underscore (_). Linetype names cannot include the special characters comma (,), colon (:), equal sign (=), question mark (?), asterisk (*), less-than and greater-than symbols (> <), forward and back slashes (/ \), vertical bar (|), quote ("), or back quote (`).

Appearance

Displays a sample of selected linetypes.

Description

Displays descriptions of the linetypes, which can be edited in the Details area.

Details

Provides alternative access to properties and additional settings.

Name

Displays the selected linetype name, which can be edited. The linetype name can include up to 255 characters. Linetype names can contain letters, digits, blank spaces, and the special characters dollar sign ($), hyphen (-), and underscore (_). Linetype names cannot include the special characters comma (,), colon (:), equal sign (=), question mark (?), asterisk (*), less-than and greater-than symbols (> <), forward and back slashes (/ \), vertical bar (|), quote ("), or back quote (`).

Description

Displays the description of the selected linetype, which can be edited.

Use Paper Space Units for Scaling

Scales linetypes in paper space and model space identically. Useful when working with multiple viewports. (PSLTSCALE system variable)

Global Scale Factor

Displays the global scale factor for all linetypes. (LTSCALE system variable)

Current Object Scale

Sets linetype scale for newly created objects. The resulting scale is the global scale factor multiplied by the object's scale factor. (CELTSCALE system variable)

ISO Pen Width

Sets the linetype scale to one of a list of standard ISO values. The resulting scale is the global scale factor multiplied by the object's scale factor.


Load or Reload Linetypes Dialog Box (Quick Reference)

Linetype Manager
LINETYPE
-LINETYPE
Commands > L commands > LINETYPE >
Load or Reload Linetypes Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Linetype
Menu: Format [image] LinetypeNot available in menus in the current workspace
Command entry: linetype (or 'linetype for transparent use)

Loads a linetype whose definition exists in a linetype library (LIN) file. The acad.lin file contains the standard linetypes.

File Button

Displays the Select Linetype File dialog box, in which you can select a different linetype (LIN) file.

File Name

Displays the name of the current LIN file. You can enter the name of another LIN file or click the File button to select a file from the Select Linetype File dialog box.

Available Linetypes

Displays the linetypes available to load. To select or clear all of the linetypes on the list, right-click and choose Select All or Clear All.


-LINETYPE (Quick Reference)

Load or Reload Linetypes Dialog Box
LINETYPE
LIST
Commands > L commands > LINETYPE >
-LINETYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -linetype at the Command prompt, the following prompts are displayed.

Enter an option [?/Create/Load/Set]:

?—List Linetypes

Displays the Select Linetype File dialog box (a standard file selection dialog box). After you select an LIN file, the linetypes available in the file are listed.

Create

Creates a new linetype and stores it in an LIN file.

Enter name of linetype to create:

The Create or Append Linetype File dialog box (a standard file selection dialog box) is displayed. Specify the file to which you want the linetype added.

Descriptive text: Enter optional descriptive text

Enter a linetype description up to 47 characters long. The description can be a comment or a series of underscores, dots, dashes, and spaces to show a simple representation of the linetype pattern.

Enter linetype pattern (on next line):

A,

Enter a pattern definition as a series of numbers separated by commas. Enter positive values to specify lengths of dashes, and enter negative values to specify lengths of spaces. Use a zero to represent a dot.

The “A” in the pattern definition prompt specifies the pattern alignment used at the ends of individual lines, circles, and arcs. Only A-type alignment is supported. With A-type alignment, lines and arcs are guaranteed to start and end with a dash. The A is automatically included in the definition. If you use a text editor to create a linetype, you must enter a at the beginning of the definition.

After creating a linetype, you must load it to make it accessible.

You cannot create complex linetypes with LINETYPE. For more information, see Custom Linetypes in the Customization Guide.

Load

Loads a linetype whose definition exists in a file. The acad.lin file contains the standard linetypes.

Enter linetype(s) to load: Enter a name or a list of names separated by commas

The Select Linetype File dialog box (a Standard File Selection Dialog Boxesstandard file selection dialog box) is displayed. Enter or select the file in which the linetype you want to load is stored.

Set

Sets the current linetype for objects that will be drawn subsequently. You can control the linetype of objects individually or by layer.

Specifies linetype name or [?] <current>: Enter a linetype name, ? to list all loaded linetype names, bylayer, or byblock, or press ENTER

The linetype you enter becomes the current linetype. All new objects are drawn with this linetype, regardless of the current layer. If the linetype you request is not loaded, the program searches for its definition in the acad.lin file. If the linetype is neither loaded nor in acad.lin, the program displays a message and returns you to the Command prompt.

Enter ? to list all loaded linetype names. If you enter bylayer, new objects inherit the linetype associated with the layer on which the object is drawn. If you enter byblock, new objects are drawn using the CONTINUOUS linetype until they are grouped into a block. Whenever you insert that block, the objects inherit the linetype of the block.


LIST (Quick Reference)

-LINETYPE
LIST
LIVESECTION
Commands > L commands >
LIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays property data for selected objects.

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] ListNot available on the ribbon in the current workspace.
Menu: Tools [image] Inquiry [image] ListNot available in menus in the current workspace
Toolbar: Inquiry
Command entry: list

Summary

You can use LIST to display and then copy the properties of selected objects to a text file.

The text window displays the object type, object layer, and the X,Y,Z position relative to the current user coordinate system (UCS) and whether the object is in model space or paper space.

LIST also reports the following information:

  • Color, linetype, and lineweight information, if these properties are not set to BYLAYER.
  • The thickness of an object, if it is nonzero.
  • Elevation (Z coordinate information).
  • Extrusion direction (UCS coordinates), if the extrusion direction differs from the Z axis (0,0,1) of the current UCS.
  • Additional information related to the specific object type. For example, for dimensional constraint objects, LIST displays the constraint type (annotation or dynamic), reference type (yes or no), name, expression, and value.

List of Prompts

The following prompt is displayed.

Select objects

Select one or more objects to display information about that object.


LIVESECTION (Quick Reference)

LIST
LIVESECTION
LOAD
Commands > L commands >
LIVESECTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Turns on live sectioning for a selected section object.

Access Methods

Button

Ribbon: Home tab [image] Section panel [image] Live SectionNot available on the ribbon in the current workspace.
Shortcut menu: Activate Live Sectioning
Command entry: livesection

Summary

When turned on, the cross sections of 3D objects interesected by the section object are displayed. Live sectioning only works with objects that were created with SECTIONPLANE.

List of Prompts

The following prompt is displayed.

Select section object

Turns on live sectioning for the section object you select.


LOAD (Quick Reference)

LIVESECTION
LOAD
LOFT
Commands > L commands >
LOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Makes shapes available for use by the SHAPE command.

Command entry: load

The Select Shape File dialog box (a standard file selection dialog box) is displayed. Enter the shape file name, or select a file name from the list.

You must load a shape (SHP) file the first time you need it; it is loaded automatically thereafter. The shape file must be available each time you edit the drawing.


LOFT (Quick Reference)

LOAD
LOFT
Loft Settings Dialog Box
Commands > L commands >
LOFT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid or surface in the space between several cross sections.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] LoftNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] LoftNot available in menus in the current workspace
Toolbar: Modeling
Command entry: loft

The cross sections can be either open or closed 2D objects such as circles, arcs, or splines.

With the LOFT command, you can create a new solid or surface by specifying a series of cross sections. The cross sections define the profile (shape) of the resulting solid or surface. Cross sections (generally, curves or lines) can be open (for example, an arc) or closed (for example, a circle). LOFT draws a solid or surface in the space between the cross sections. You must specify at least two cross sections when you use the LOFT command.

You can use the following objects when creating a lofted solid or surface:

Objects That Can Be Used as Cross Sections | Objects That Can Be Used as a Loft Path | Objects That Can Be Used as Guides
Line | Line | Line
Arc | Arc | Arc
Elliptical arc | Elliptical arc | Elliptical arc
2D polyline | Spline | 2D spline
2D spline | Helix | 3D spline
Circle | Circle | 2D polyline Note2D polylines can be used as guides if they contain only 1 segment.
Ellipse | Ellipse | 3D polyline
Helix |  |
Points (first and last cross section only) | 2D polyline |
Region | 3D polyline |
Planar face of solid |  |
Planar surface |  |
Planar 3D face |  |
2D solid |  |
Trace |  |

With the Path option, you can select a single path curve to define the shape of the solid or surface. With the Guides option, you can select multiple curves to define the contours of the solid or surface.

The DELOBJ system variable controls whether the cross sections, guides, and path are automatically deleted when the solid or surface is created or whether you are prompted to delete these objects.

You can select the cross sections before you start the command.

Select cross sections in lofting order: Select open or closed curves in the order that the surface or solid will pass through

Enter an option [Guides/Path/Cross sections only] <Cross sections only>: Press ENTER to use the selected cross sections, displaying the Loft Settings dialog box, or enter an option

Guides

Specifies guide curves that control the shape of the lofted solid or surface. Guide curves are lines or curves that further define the form of the solid or surface by adding additional wireframe information to the object. You can use guide curves to control how points are matched up on corresponding cross sections to prevent undesired results, such as wrinkles in the resulting solid or surface.

Each guide curve must meet the following criteria to work correctly:

  • Intersects each cross section
  • Starts on the first cross section
  • Ends on the last cross section

You can select any number of guide curves for the lofted surface or solid.

Select guide curves: Select the guide curves for the lofted solid or surface, and then press ENTER

Path

Specifies a single path for the lofted solid or surface.

The path curve must intersect all planes of the cross sections.

Select path: Specify a single path for the lofted solid or surface

Cross Sections Only

Displays the Loft Settings dialog box.


Loft Settings Dialog Box (Quick Reference)

LOFT
LOFT
LOGFILEOFF
Commands > L commands > LOFT >
Loft Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] LoftNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] LoftNot available in menus in the current workspace
Toolbar: Modeling
Command entry: loft

Controls the contour of a lofted surface at its cross sections. Also allows you to close the surface or solid.

Ruled

Specifies that the solid or surface is ruled (straight) between the cross sections and has sharp edges at the cross sections. (LOFTNORMALS system variable)

Smooth Fit

Specifies that a smooth solid or surface is drawn between the cross sections and has sharp edges at the start and end cross sections. (LOFTNORMALS system variable)

Normal to

Controls the surface normal of the solid or surface where it passes through the cross sections. (LOFTNORMALS system variable)

Start Cross Section

Specifies that the surface normal is normal to the start cross section.

End Cross Section

Specifies that the surface normal is normal to the end cross section.

Start and End Cross Sections

Specifies that the surface normal is normal to both the start and end cross sections.

All Cross Sections

Specifies that the surface normal is normal to all cross sections.

Draft Angles

Controls the draft angle and magnitude of the first and last cross sections of the lofted solid or surface. The draft angle is the beginning direction of the surface. 0 is defined as outward from the plane of the curve. (LOFTNORMALS system variable)

The following illustration shows the affect of using a different draft angle for the first and last cross sections of a lofted solid. The first cross section is assigned a draft angle of 45 degrees, while the last cross section is assigned a draft angle of 135 degrees.

Start Angle

Specifies the draft angle for the start cross section. (LOFTANG1 system variable)

Start Magnitude

Controls the relative distance of the surface from the start cross section in the direction of the draft angle before the surface starts to bend toward the next cross section. (LOFTMAG1 system variable)

End Angle

Specifies the draft angle for the end cross section. (LOFTANG2 system variable)

End Magnitude

Controls the relative distance of the surface from the end cross section in the direction of the draft angle before the surface starts to bend toward the previous cross section. (LOFTMAG2 system variable)

Close Surface or Solid

Closes and opens a surface or solid. When using this option, the cross sections should form a torus-shaped pattern so that the lofted surface or solid can form a closed tube. (LOFTPARAM system variable)

Preview Changes

Applies the current settings to the lofted solid or surface and displays a preview in the drawing area.


LOGFILEOFF (Quick Reference)

Loft Settings Dialog Box
LOGFILEOFF
LOGFILEON
Commands > L commands >
LOGFILEOFF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the text window log file opened by LOGFILEON.

Command entry: logfileoff

The program stops recording the text window contents and closes the log file. You can also control the log file with the OPTIONS command. Use the Maintain a Log File option on the Open and Save tab in the Options dialog box to turn the log file off and on. Use the Files tab to change the location of the log file.

Each drawing saves a log file (with the extension .log) that may need periodic deletion as the number of log files continues to grow.


LOGFILEON (Quick Reference)

LOGFILEOFF
LOGFILEON
LSEDIT
Commands > L commands >
LOGFILEON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Writes the text window contents to a file.

Command entry: logfileon

The contents of the text window are recorded in the log file until you exit the program or use the LOGFILEOFF command.

You can also control the log file with the OPTIONS command. Use the Maintain a Log File option on the Open and Save tab in the Options dialog box to turn the log file off and on. Use the Files tab to change the location of the log file.

Each drawing saves a log file (with the extension .log) that may need periodic deletion as the number of log files continues to grow.


LTSCALE (Quick Reference)

LSNEW
LTSCALE
LWEIGHT
Commands > L commands >
LTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: ltscale (or 'ltscale for transparent use)

Enter new linetype scale factor <current>: Enter a positive real value or press ENTER

Use LTSCALE to change the scale factor of linetypes for all objects in a drawing. Changing the linetype scale factor causes the drawing to be regenerated.


LWEIGHT (Quick Reference)

LTSCALE
LWEIGHT
Lineweight Settings Dialog Box
Commands > L commands >
LWEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the current lineweight, lineweight display options, and lineweight units.

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Lineweight
Menu: Format [image] LineweightAt the Command prompt, enter lweight.
Shortcut menu: Right-click LWT on the status bar and choose Settings.
Command entry: lweight (or 'lweight for transparent use)

Summary

The Lineweight Settings dialog box is displayed.

If you enter -lweight at the Command prompt, options are displayed.


Lineweight Settings Dialog Box (Quick Reference)

LWEIGHT
LWEIGHT
-LWEIGHT
Commands > L commands > LWEIGHT >
Lineweight Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Lineweight
Menu: Format [image] LineweightAt the Command prompt, enter lweight.
Shortcut menu: Right-click LWT on the status bar and choose Settings.
Command entry: lweight (or 'lweight for transparent use)

Sets the current lineweight, sets the lineweight units, controls the display and display scale of lineweights, and sets the DEFAULT lineweight value for layers. For a table of valid lineweights, see Overview of Lineweights in the User's Guide.

Lineweights

Displays the available lineweight values. Lineweight values consist of standard settings including BYLAYER, BYBLOCK, and DEFAULT. The DEFAULT value is set by the LWDEFAULT system variable, which has an initial value of 0.01 inches or 0.25 mm. All new layers use the default setting. The lineweight value of 0 plots at the thinnest lineweight available on the specified plotting device and is displayed at one pixel wide in model space.

Current Lineweight

Displays the current lineweight. To set the current lineweight, select a lineweight from the lineweight list and choose OK.

Units for Listing

Specifies whether lineweights are displayed in millimeters or inches. You can also set Units for Listing by using the LWUNITS system variable.

Millimeters (mm)

Specifies lineweight values in millimeters.

Inches (in.)

Specifies lineweight values in inches.

Display Lineweight

Controls whether lineweights are displayed in the current drawing. If this option is selected, lineweights are displayed in model space and paper space. You can also set Display Lineweight by using the LWDISPLAY system variable. Regeneration time increases with lineweights that are represented by more than one pixel. Clear Display Lineweight if performance slows down when working with lineweights turned on in a drawing. This option does not affect how objects are plotted.

Default

Controls the DEFAULT lineweight for layers. The initial DEFAULT lineweight is 0.01 inches or 0.25 mm. (LWDEFAULT system variable)

Adjust Display Scale

Controls the display scale of lineweights on the Model tab. On the Model tab, lineweights are displayed in pixels. Lineweights are displayed using a pixel width in proportion to the real-world unit value at which they plot. If you are using a high-resolution monitor, you can adjust the lineweight display scale to better display different lineweight widths. The Lineweight list reflects the current display scale.

Objects with lineweights that are displayed with a width of more than one pixel may increase regeneration time. If you want to optimize performance when working in the Model tab, set the lineweight display scale to the minimum value or turn off lineweight display altogether.


-LWEIGHT (Quick Reference)

Lineweight Settings Dialog Box
LWEIGHT
MARKUP
Commands > L commands > LWEIGHT >
-LWEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -lweight at the Command prompt, the following prompts are displayed.

Current lineweight: current

Enter default lineweight for new objects or [?]: Enter a valid lineweight or enter ?

The current lineweight value is displayed; if the value is not BYLAYER, BYBLOCK or DEFAULT, the value is displayed in millimeters or inches.

Default Lineweight

Sets the current default lineweight. Lineweight values consist of fixed settings, including BYLAYER, BYBLOCK, and DEFAULT. Values are calculated in either inches or millimeters; millimeters are the default. If you enter a valid lineweight value, the current default lineweight is set to the new value. If you enter any other value, the default is set to the nearest valid value.

To plot an object with a lineweight that is not found in the list of fixed lineweight values, you can use the Plot Style Table Editor to customize plotted lineweights. See Control Plotted Lineweight and Linetype in the User's Guide. The DEFAULT value is set by the LWDEFAULT system variable and has an initial value of 0.01 inches or 0.25 mm. The lineweight value of 0 plots at the thinnest lineweight available on the specified plotting device and is displayed at a value of one pixel in model space.

?—List Lineweights

Displays a list of valid lineweight values in the current lineweight units.

NoteIf you save a drawing using the AutoCAD Release 14, or earlier, format, the drawing preview displays lineweights even though the drawing saved in the earlier format does not display lineweights.


M commands

-LWEIGHT
Commands
MARKUP
Commands >
M commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • MARKUP

    Opens the Markup Set Manager.

  • MARKUPCLOSE

    Closes the Markup Set Manager.

  • MASSPROP

    Calculates the mass properties of regions or 3D solids.

  • MATCHCELL

    Applies the properties of a selected table cell to other table cells.

  • MATCHPROP

    Applies the properties of a selected object to other objects.

  • MATERIALATTACH

    Associates materials with layers.

  • MATERIALMAP

    Displays a material mapping gizmo to adjust the mapping on a face or an object.

  • MATERIALS

    Shows or hides the Materials window.

  • MATERIALSCLOSE

    Closes the Materials window.

  • MEASURE

    Creates point objects or blocks at measured intervals along the length or perimeter of an object.

  • MEASUREGEOM

    Measures the distance, radius, angle, area, and volume of selected objects or sequence of points.

  • MENU

    Loads a customization file.

  • MENULOAD

    Obsolete

  • MENUUNLOAD

    Obsolete

  • MESH

    Creates a 3D mesh primitive object such as a box, cone, cylinder, pyramid, sphere, wedge, or torus.

  • MESHCREASE

    Sharpens the edges of selected mesh subobjects.

  • MESHOPTIONS

    Displays the Mesh Tessellation Options dialog box, which controls default settings for converting existing objects to mesh objects.

  • MESHPRIMITIVEOPTIONS

    Displays the Mesh Primitive Options dialog box, which sets the tessellation defaults for primitive mesh objects.

  • MESHREFINE

    Multiplies the number of faces in selected mesh objects or faces.

  • MESHSMOOTH

    Converts 3D objects such as polygon meshes, surfaces, and solids to mesh objects.

  • MESHSMOOTHLESS

    Decreases the level of smoothness for mesh objects by one level.

  • MESHSMOOTHMORE

    Increases the level of smoothness for mesh objects by one level.

  • MESHSPLIT

    Splits a mesh face into two faces.

  • MESHUNCREASE

    Removes the crease from selected mesh faces, edges, or vertices.

  • MINSERT

    Inserts multiple instances of a block in a rectangular array.

  • MIRROR

    Creates a mirrored copy of selected objects.

  • MIRROR3D

    Creates a mirrored copy of selected objects across a mirroring plane.

  • MLEADER

    Creates a multileader object.

  • MLEADERALIGN

    Aligns and spaces selected multileader objects.

  • MLEADERCOLLECT

    Organizes selected multileaders that contain blocks into rows or columns, and displays the result with a single leader.

  • MLEADEREDIT

    Adds leader lines to, or removes leader lines from, a multileader object.

  • MLEADERSTYLE

    Creates and modifies multileader styles.

  • MLEDIT

    Edits multiline intersections, breaks, and vertices.

  • MLINE

    Creates multiple parallel lines.

  • MLSTYLE

    Creates, modifies, and manages multiline styles.

  • MODEL

    Switches from a layout tab to the Model tab.

  • MOVE

    Moves objects a specified distance in a specified direction.

  • MREDO

    Reverses the effects of several previous UNDO or U commands.

  • MSLIDE

    Creates a slide file of the current model viewport or the current layout.

  • MSPACE

    Switches from paper space to a model space viewport.

  • MTEDIT

    Edits multiline text.

  • MTEXT

    Creates a multiline text object.

  • MULTIPLE

    Repeats the next command until canceled.

  • MVIEW

    Creates and controls layout viewports.

  • MVSETUP

    Sets up the specifications of a drawing.


MARKUP (Quick Reference)

-LWEIGHT
MARKUP
Markup Set Manager
Commands > M commands >
MARKUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the Markup Set Manager.

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Markup Set Manager
Toolbar: Standard
Menu: Tools [image] Palettes [image] Markup Set ManagerAt the Command prompt, enter markup.
Command entry: markup

Summary

When submitting designs for review, you can publish a drawing as a DWF or DWFx file. The reviewer can open the file in Autodesk Design Review, mark it up, and then send the file back to you.

Opens the Markup Set Manager.


Markup Set Manager (Quick Reference)

MARKUP
MARKUP
MARKUPCLOSE
Commands > M commands > MARKUP >
Markup Set Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Markup Set Manager
Toolbar: Standard
Menu: Tools [image] Palettes [image] Markup Set ManagerAt the Command prompt, enter markup.
Command entry: markup

Displays information about loaded markup sets and their status. You can show or hide markups and their originating drawing files in your drawing area. You can change the status of individual markups and add notes and comments to them.

Markup Set List Control

The Markup Set List control displays the name of the markup set, or, if no markup sets are open, the Open option. The Markup Set List control provides the following options.

Names of Open Markup Sets

Lists all open markup sets, if any. A check is displayed next to the current markup set. The current markup set is the open markup set that is displayed in the Markup Set Manager window.

Recent

Displays a list of recently opened markup sets.

Open

Displays the Open Markup DWF dialog box (a standard file selection dialog box), in which you can select a DWF or DWFx file that contains markups. When you click Open, the markups in the selected DWF or DWFx file are loaded into the Markup Set Manager.

NoteWhen opening a digitally signed DWFx file, a message box is displayed that warns you about saving a new version of the file will invalidate the attached digital signature.

Republish Markup DWF

Provides options for republishing the marked-up DWF or DWFx file. If any sheets were added to the DWF or DWFx file in Autodesk® Design Review, those sheets will not be included in the republished DWF or DWFx file.

Republish All Sheets

Republishes all sheets in the marked-up DWF or DWFx file. Opens the Select DWF File dialog box (a standard file selection dialog box), in which you can select the previously published DWF or DWFx to overwrite it, or you can enter a new name for the DWF or DWFx file. When you click Select, the previously published DWF file is overwritten or a new DWF or DWFx file is created that contains any changes you made to the drawing file geometry and the status of the markups.

Republish Markup Sheets

Republishes only those sheets in the marked-up DWF or DWFx file that have associated markups. Opens the Select DWF File dialog box (a standard file selection dialog box), in which you can select the previously published DWF or DWFx to overwrite it, or you can enter a new name for the DWF or DWFx file. When you click Select, the previously published DWF or DWFx file is overwritten or a new DWF or DWFx file is created that contains any changes you made to the drawing file geometry and the status of the markups.

View Redline Geometry

Displays or hides redline markup geometry in the drawing area. When this button is displayed as selected, redline markup geometry is displayed in the drawing area.

View DWG Geometry

Displays or hides the originating drawing file in the drawing area. When this button is displayed as selected, the drawing file is displayed in the drawing area.

View DWF Geometry

Displays or hides the DWF or DWFx file geometry in the drawing area. When this button is displayed as selected, the DWF or DWFx file geometry is displayed in the drawing area.

Markups

Displays loaded markup sets. The top-level node in the tree view represents the currently loaded markup set. A drawing sheet node is displayed for each drawing sheet that has associated markups. Any sheets that were added to the DWF or DWFx file in Autodesk Design Review are listed in italics. Each markup is displayed as an individual node under its corresponding drawing sheet. The icon associated with each markup represents the status of the markup. You can double-click any of the markups in the tree view to view the associated drawing sheet in the drawing area. When you double-click either a sheet that was added in Autodesk Design Review or a markup for that sheet, that sheet in the DWF or DWFx file will open in the DWF file viewer.

Markup Set Node

Indicates the currently loaded markup set.

Drawing Sheet Node

Indicates a drawing sheet that has one or more associated markups. Only drawing sheets that have corresponding markups are displayed in the tree view of the Markups area. You can double-click a drawing sheet node to open the originating drawing file for that drawing sheet.

<None>

Indicates an individual markup that does not yet have an assigned status. This is the default status for new markups.

Question

Indicates an individual markup that has an assigned status of Question. When you open and view a markup, you can change the status to Question if you need additional information about the markup.

For Review

Indicates an individual markup that has an assigned status of For Review. When you implement a markup, you can change the status to For Review to indicate that the markup creator should review the changes to the drawing sheet and the status of the markup.

Done

Indicates an individual markup that has an assigned status of Done. When a markup has been implemented and reviewed, you can change the status to Done.

Markup Shortcut Menu Options (Markup Set Node)

Right-clicking a markup set node in the Markups area displays the following shortcut menu options.

Open Markup DWF

Opens the Open Markup DWF dialog box (a standard file selection dialog box), in which you can select a DWF or DWFx file that contains markups. When you click Open, the markups in the selected DWF or DWFx file are loaded into the Markup Set Manager.

NoteWhen opening a digitally signed DWFx file, a message box is displayed that warns you about saving a new version of the file will invalidate the attached digital signature.
Close Markup DWF

Closes the selected marked-up DWF or DWFx and removes it from the Markup Set Manager.

Save Markup History Changes

Saves changes to the status of markups and added comments to the marked-up DWF or DWFx file.

NoteSaving a DWFx file that contains a digital signature will invalidate the attached digital signature.

Markup Shortcut Menu Options (Drawing Sheet Node)

Right-clicking a drawing sheet node in the Markups area displays the following shortcut menu options.

Open Sheet

Opens the originating drawing file for that drawing sheet and makes that layout the active layout in the drawing area.

Republish All Sheets

Opens the Specify DWF File dialog box. Use this dialog box to overwrite the previously published DWF or DWFx files, or create a DWF or DWFx file.

Republish Markup Sheets

Opens the Specify DWF File dialog box. Use this dialog box to overwrite the previously published DWF or DWFx files, or create a DWF or DWFx file.

The DWF or DWFx file created contains changes you make to the drawing file geometry and the status of the markups.

Markup Shortcut Menu Options (Markup Node)

Right-clicking an individual markup node in the Markups area displays the following shortcut menu options.

Open Markup

Opens the originating drawing file for the drawing sheet associated with the selected markup and makes that layout the active layout in the drawing area. The associated markup DWF or DWFx file is also opened as a read-only reference in the drawing area.

Markup Status

Displays a shortcut menu that provides a list of status options. A check mark precedes the currently assigned status for the selected markup.

  • <None>: Indicates that the markup does not yet have an assigned status. This is the default status for new markups.
  • Question: After you open and view a markup, you can change its status to Question if you need additional information about the markup.
  • For Review: After you have implemented a markup, you can change the status to For Review to indicate that the markup creator should review the changes to the drawing sheet and the status of the markup.
  • Done: After a markup has been implemented and reviewed, you can change its status to Done.
Restore Initial Markup View

If you panned or zoomed the selected markup, or rotated the view in model space, restores the original view of the selected markup.

Republish All Sheets

Opens the Specify DWF File dialog box. Use this dialog box to overwrite the previously published DWF or DWFx files, or create a DWF or DWFx file.

Republish Markup Sheets

Opens the Specify DWF File dialog box. Use this dialog box to overwrite the previously published DWF or DWFx files, or create a DWF or DWFx file.

The DWF or DWFx file created contains changes you make to the drawing file geometry and the status of the markups.

Show All Sheets/Hide Non-Markup Sheets

Displays all sheets in the marked-up DWF or DWFx file in the tree view of the Markup Set Manager, or hides the sheets that do not have associated markups.

Markup Details

Provides information about the currently selected node (markup set, drawing sheet, or individual markup) in the Markups area.

When an individual markup is selected in the Markups area, Markup Details displays the status of the markup. You can change the status.

The Markup History area (in the lower portion of the Markup Details area) provides a noneditable history log of the selected markup in reverse chronological order. In the Notes area, just below the Markup History area, you can add notes and comments that are automatically saved with the markup.

Preview

Changes the Markup Details area to the Markup Preview area and displays a thumbnail image of the selected drawing sheet or markup. You can click the Details button to change the area back to the Markup Details area.

Details

Changes the Markup Preview area to the Markup Details area, which provides information about the selected node in the Markups area. You can click the Preview button to change the area back to the Markup Preview area.

Markup Preview

Displays a thumbnail preview of the currently selected drawing sheet or markup.

Details

Changes the Markup Preview area to the Markup Details area, which provides information about the selected node in the Markups area. You can click the Preview button to change the area back to the Markup Preview area.

Preview

Changes the Markup Details area to the Markup Preview area and displays a thumbnail image of the selected drawing sheet or markup. You can click the Details button to change the area back to the Markup Details area.

Markup Set Manager Settings

The following shortcut menu options are available when you right-click the title bar.

Move

Displays a four-headed arrow cursor that you can use to move the dialog box. The dialog box does not dock.

Size

Displays a four-headed arrow cursor that you can use to drag an edge or a corner to make the smaller or larger.

Close

Closes the Markup Set Manager.

Allow Docking

Toggles the ability to dock or anchor Markup Set Manager. If this option is selected, a window can be docked when you drag it over a docking area at the side of a drawing. A docked window adheres to the side of the application window and causes the drawing area to be resized. Selecting this option also makes Anchor Right and Anchor Left available.

Anchor Right/ Anchor Left

Attaches the Markup Set Manager to an anchor tab base at the right or left side of the drawing area. The palette rolls open and closed as the cursor moves across it. When an anchored palette is open, its content overlaps the drawing area. An anchored palette cannot be set to stay open.

Auto-hide

Causes a floating palette to roll open and closed as the cursor moves across it. When this option is cleared, the palette stays open.

Transparency

Displays the Transparency dialog box.


MARKUPCLOSE (Quick Reference)

Markup Set Manager
MARKUPCLOSE
MASSPROP
Commands > M commands >
MARKUPCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Markup Set Manager.

Toolbar: Standard
Menu: Tools [image] Palettes [image] Markup Set ManagerAt the Command prompt, enter markupclose.
Command entry: markupclose

The Markup Set Manager window closes.


MASSPROP (Quick Reference)

MARKUPCLOSE
MASSPROP
MATCHCELL
Commands > M commands >
MASSPROP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Calculates the mass properties of regions or 3D solids.

Ribbon: Tools tab [image] Inquiry panel [image] Mass Properties. Not available on the ribbon in the current workspace
Toolbar: Inquiry
Menu: Tools [image] Inquiry [image] Region/Mass PropertiesAt the Command prompt, enter massprop.
Command entry: massprop

Select objects: Use an object selection method

If you select multiple regions, only those that are coplanar with the first selected region are accepted.

MASSPROP displays the mass properties in the text window, and then asks if you want to write the mass properties to a text file.

Write analysis to a file? <N>: Enter y or n, or press Enter

If you enter y, MASSPROP prompts you to enter a file name. The default extension for the file is .mpr, but it is a text file that can be opened with any text editor.

The properties that MASSPROP displays depend on whether the selected objects are regions, and whether the selected regions are coplanar with the XY plane of the current user coordinate system (UCS), or solids. For a list of the parameters that control the MASSPROP units, see Calculations Based on the Current UCS.

Regions

The following table shows the mass properties that are displayed for all regions.

Mass properties for all regions
Mass property | Description
Area | The surface area of solids or the enclosed area of regions.
Perimeter | The total length of the inside and outside loops of a region. The perimeter of a solid is not calculated.
Bounding box | The two coordinates that define the bounding box. For regions that are coplanar with the XY plane of the current user coordinate system, the bounding box is defined by the diagonally opposite corners of a rectangle that encloses the region. For regions that are not coplanar with the XY plane of the current UCS, the bounding box is defined by the diagonally opposite corners of a 3D box that encloses the region.
Centroid | A 2D or 3D coordinate that is the center of area for regions. For regions that are coplanar with the XY plane of the current UCS, this coordinate is a 2D point. For regions that are not coplanar with the XY plane of the current UCS, this coordinate is a 3D point.

If the regions are coplanar with the XY plane of the current UCS, the additional properties shown in the following table are displayed.

Additional mass properties for coplanar regions
Mass property | Description
Moments of inertia | A value used when computing the distributed loads, such as fluid pressure on a plate, or when calculating the forces inside a bending or twisting beam. The formula for determining area moments of inertia is area_moments_of_inertia = area_of_interest * radius2 The area moments of inertia has units of distance to the fourth power.
Products of inertia | Property used to determine the forces causing the motion of an object. It is always calculated with respect to two orthogonal planes. The formula for product of inertia for the YZ plane and XZ plane is product_of_inertiaYZ,XZ = mass * distcentroid_to_YZ * distcentroid_to_XZ This XY value is expressed in mass units times the length squared.
Radii of gyration | Another way of indicating the moments of inertia of a solid. The formula for the radii of gyration is gyration_radii = (moments_of_ inertia/body_mass)1/2 Radii of gyration are expressed in distance units.
Principal moments and X,Y,Z directions about centroid | Calculations that are derived from the products of inertia and that have the same unit values. The moment of inertia is highest through a certain axis at the centroid of an object. The moment of inertia is lowest through the second axis that is normal to the first axis and that also passes through the centroid. A third value included in the results is somewhere between the high and low values.

Solids

The following table shows the mass properties that are displayed for solids.

Mass properties for solids
Mass property | Description
Mass | The measure of inertia of a body. Because a density of one is used, mass and volume have the same value.
Volume | The amount of 3D space that a solid encloses.
Bounding box | The diagonally opposite corners of a 3D box that encloses the solid.
Centroid | A 3D point that is the center of mass for solids. A solid of uniform density is assumed.
Moments of inertia | The mass moments of inertia, which is used when computing the force required to rotate an object about a given axis, such as a wheel rotating about an axle. The formula for mass moments of inertia is mass_moments_of_inertia = object_mass * radiusaxis2 Mass moments of inertia unit is mass (grams or slugs) times the distance squared.
Products of inertia | Property used to determine the forces causing the motion of an object. It is always calculated with respect to two orthogonal planes. The formula for product of inertia for the YZ plane and XZ plane is product_of_inertiaYZ,XZ = mass * distcentroid_to_YZ * distcentroid_to_XZ This XY value is expressed in mass units times the length squared.
Radii of gyration | Another way of indicating the moments of inertia of a solid. The formula for the radii of gyration is gyration_radii = (moments_of_inertia/body_mass)1/2 Radii of gyration are expressed in distance units.
Principal moments and X,Y,Z directions about centroid | Calculations that are derived from the products of inertia and that have the same unit values. The moment of inertia is highest through a certain axis at the centroid of an object. The moment of inertia is lowest through the second axis that is normal to the first axis and that also passes through the centroid. A third value included in the results is somewhere between the high and low values.

Calculations Based on the Current UCS

The following table shows the parameters that control the units in which mass properties are calculated.

Parameters that control MASSPROP units
Parameter | Used to calculate
DENSITY | Mass of solids
LENGTH | Volume of solids
LENGTH*LENGTH | Area of regions and surface area of solids
LENGTH*LENGTH*LENGTH | Bounding box, radii of gyration, centroid, and perimeter
DENSITY*LENGTH*LENGTH | Moments of inertia, products of inertia, and principal moments


MATCHCELL (Quick Reference)

MASSPROP
MATCHCELL
MATCHPROP
Commands > M commands >
MATCHCELL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies the properties of a selected table cell to other table cells.

Shortcut menu: With a table selected and a cell selected, right-click and click Match Cell.
Command entry: matchcell

Select source cell: Click inside a cell in a table whose properties you want to copy

Select destination cell: Click inside table cells to copy properties from the source cell, and right-click or press Enter or ESC to exit

All the properties of the source cell are copied to the destination cells except for the cell type: text or block.


MATCHPROP (Quick Reference)

MATCHCELL
MATCHPROP
Property Settings Dialog Box
Commands > M commands >
MATCHPROP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Applies the properties of a selected object to other objects.

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Match PropertiesNot available on the ribbon in the current workspace
Menu: Modify [image] Match PropertiesNot available in menus in the current workspace
Toolbar: Standard
Command entry: matchprop or painter (or 'matchprop for transparent use)

Select source object: Select the object whose properties you want to copy

Current active settings: Currently selected matchprop settings

Select destination object(s) or [Settings]: Enter s or select one or more objects to copy properties to

Destination Object(s)

Specifies the objects to which you want to copy the properties of the source object. You can continue selecting destination objects, or press Enter to apply the properties and end the command.

Settings

Displays the Property Settings dialog box, in which you can control which object properties to copy to the destination objects. By default, in the Property Settings dialog box all object properties are selected for copying.

The types of properties that can be applied include color, layer, linetype, linetype scale, lineweight, plot style, and other specified properties.


Property Settings Dialog Box (Quick Reference)

MATCHPROP
MATCHPROP
MATERIALATTACH
Commands > M commands > MATCHPROP >
Property Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Properties panel [image] Match PropertiesNot available on the ribbon in the current workspace
Menu: Modify [image] Match PropertiesNot available in menus in the current workspace
Toolbar: Standard
Command entry: matchprop or painter (or 'matchprop for transparent use)

Specifies which basic properties and special properties to copy from the source object to the destination objects.

Color

Changes the color of the destination object to that of the source object. Available for all objects.

Layer

Changes the layer of the destination object to that of the source object. Available for all objects.

Linetype

Changes the linetype of the destination object to that of the source object. Available for all objects except attributes, hatches, multiline text, points, and viewports.

Linetype Scale

Changes the linetype scale factor of the destination object to that of the source object. Available for all objects except attributes, hatches, multiline text, points, and viewports.

Lineweight

Changes the lineweight of the destination object to that of the source object. Available for all objects.

Thickness

Changes the thickness of the destination object to that of the source object. Available only for arcs, attributes, circles, lines, points, 2D polylines, regions, text, and traces.

Plot Style

Changes the plot style of the destination object to that of the source object. If you are working in color-dependent plot style mode (PSTYLEPOLICY is set to 1), this option is unavailable. Available for all objects, except those with the Jitter edge modifier applied.

Dimension

In addition to basic object properties, changes the dimension style and annotative properties of the destination object to that of the source object. Available only for dimension, leader, and tolerance objects.

Polyline

In addition to basic object properties, changes the width and linetype generation properties of the destination polyline to those of the source polyline. The fit/smooth property and the elevation of the source polyline are not transferred to the destination polyline. If the source polyline has variable width, the width property is not transferred to the destination polyline.

Material

In addition to basic object properties, changes the material applied to the object. If the source object does not have a material assigned and the destination object does, the material is removed from the destination object.

Text

In addition to basic object properties, changes the text style and annotative properties of the destination object to that of the source object. Available only for single-line and multiline text objects.

Viewport

In addition to basic object properties, changes the following properties of the destination paper space viewport to match those of the source viewport: on/off, display locking, standard or custom scale, shade plot, snap, grid, and UCS icon visibility and location.

The settings for clipping and for UCS per viewport and the freeze/thaw state of the layers are not transferred to the destination object.

Shadow Display

In addition to basic object properties, changes the shadow display. The object can cast shadows, receive shadows, or both, or it can ignore shadows.

Hatch

In addition to basic object properties, changes the hatch properties (including its annotative properties) of the destination object to that of the source object. To match the hatch origin, use Inherit Properties in HATCH or HATCHEDIT. Available only for hatch objects.

Table

In addition to basic object properties, changes the table style of the destination object to that of the source object. Available only for table objects.

Multileader

In addition to basic object properties, changes the multileader style and annotative properties of the destination object to that of the source object. Available only for multileader objects.


MATERIALATTACH (Quick Reference)

Property Settings Dialog Box
MATERIALATTACH
Material Attachment Options Dialog Box
Commands > M commands >
MATERIALATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Associates materials with layers.

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Attach By LayerNot available on the ribbon in the current workspace
Command entry: materialattach

Summary

The Material Attachment Options dialog box is displayed.


Material Attachment Options Dialog Box (Quick Reference)

MATERIALATTACH
MATERIALATTACH
MATERIALMAP
Commands > M commands > MATERIALATTACH >
Material Attachment Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Attach By LayerNot available on the ribbon in the current workspace
Command entry: materialattach

Associates materials with layers.

All objects on the layer that have their Material property set to BYLAYER have the specified material applied.

Materials List

Lists all the materials in the drawing, both in use and not in use. Drag a material onto a layer in the Layers List to apply the material to that layer.

Layers List

Lists all layers in the drawing and in any external references applied to the drawing. When a material is applied to the layer, that material is displayed next to the layer. Use the Detach button to remove the material from the layer.

NoteIf you change the association of a material to a layer in an xref, the change is not saved back to the xref drawing.


MATERIALMAP (Quick Reference)

Material Attachment Options Dialog Box
MATERIALMAP
MATERIALS
Commands > M commands >
MATERIALMAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a material mapping gizmo to adjust the mapping on a face or an object.

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Planar MappingNot available on the ribbon in the current workspace
Toolbar: Mapping, Render
Command entry: materialmap

List of Prompts

Select an option [Box/Planar/Spherical/Cylindrical/copY mapping to/Reset mapping] <current>:

Box

Select faces or objects:

The selection set must include at least one of the following object types: 3D solid, 3D surface, face, or 2D object with thickness.

Accept the mapping or [Move/Rotate/Fit to object/reseT/sWitch mapping mode]:

Move

Displays the Move grip tool to move the map.

Rotate

Displays the Rotate grip tool to rotate the map.

Fit to Object

Scales the Mapping Gizmo to the object's size

Reset

Resets the UV coordinates to the default for the map.

Switch Mapping Mode

Re-displays the main command prompt of options.[Box/Planar/Spherical/Cylindrical/copY mapping to/Reset mapping] <current>:

Planar

Accept the mapping or [Move/Rotate/Fit to object/reseT/sWitch mapping mode]:

Move

Displays the Move grip tool to move the map.

Rotate

Displays the Rotate grip tool to rotate the map.

Fit to Object

Scales the Mapping Gizmo to the object's size

Reset

Resets the UV coordinates to the default for the map.

Switch Mapping Mode

Re-displays the main command prompt. [Box/Planar/Spherical/Cylindrical/copY mapping to/Reset mapping] <current>:

Cylindrical

Accept the mapping or [Move/Rotate/Fit to object/reseT/sWitch mapping mode]:

Move

Displays the Move grip tool to move the map.

Rotate

Displays the Rotate grip tool to rotate the map.

Fit to Object

Scales the Mapping Gizmo to the object's size

Reset

Resets the UV coordinates to the default for the map.

Switch Mapping Mode

Re-displays the main command prompt. [Box/Planar/Spherical/Cylindrical/copY mapping to/Reset mapping] <current>:

Spherical

Accept the mapping or [Move/Rotate/Fit to object/reseT/sWitch mapping mode]:

Move

Displays the Move grip tool to move the map.

Rotate

Displays the Rotate grip tool to rotate the map.

Fit to Object

Scales the Mapping Gizmo to the object's size

Reset

Resets the UV coordinates to the default for the map.

Switch Mapping Mode

Re-displays the main command prompt. [Box/Planar/Spherical/Cylindrical/copY mapping to/Reset mapping] <current>:

Copy Mapping To

Select the objects to copy the mapping to:

Applies mapping from the original object or face to the selected objects.

This easily duplicates a texture map along with any adjustments to other objects.

Reset Mapping

Resets the UV coordinates to the default for the map.

Use this option to reverse the effects of all previous adjustments made with the mapping gizmo to the position and orientation of the map.


MATERIALS (Quick Reference)

MATERIALMAP
MATERIALS
Materials Window
Commands > M commands >
MATERIALS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Shows or hides the Materials window.

Ribbon: Render tab [image] Materials panel [image] [image] [image] Materials
Toolbar: Render
Menu: View [image] Render [image] MaterialsAt the Command prompt, enter materials.
Command entry: materials

The Materials window is displayed.

The Materials window provides different panels of controls and settings to create, modify, and apply materials.

NoteWhen Texture Compression is turned on, the amount of video memory required to open a drawing that contains materials with images is decreased. By using the effect it can reduce the amount of video memory necessary to display the drawing, but the downside to this effect is it may increase the time it takes to load the images the first time that they are accessed and there is a reduction in the quality of the images when they are displayed in the viewport or plotted. To identify if Texture Compression is enabled, enter 3dconfig, and click Manual Tune. Look at the Hardware Effects List in the Manual Performance Tuning dialog box.


Materials Window (Quick Reference)

MATERIALS
MATERIALS
Available Materials in Drawing
Commands > M commands > MATERIALS >
Materials Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides different panels of controls and settings to create, modify, and apply materials

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Applies and modifies materials. The Materials window consists of different panel sections including Available Materials in Drawing Panel,Material Editor, Maps, Advanced Lighting Override, Material Scaling & Tiling, and Material Offset & Preview.


Available Materials in Drawing (Quick Reference)

Materials Window
Materials Window
Nested Map Navigation
Commands > M commands > MATERIALS > Materials Window >
Available Materials in Drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Displays swatches of the materials that are available in the drawing. The default material is named Global. Click a swatch to select a material. The settings for that material are displayed in the Material Editor panel, and the swatch is outlined in yellow to indicate selection. One button above the swatches and two groups of buttons below it provide the following options. In addition, there are options available only on the shortcut menu.

Toggle Display Mode

Switches the display of swatches from one swatch to rows of swatches. This button is located above the swatches in the upper-right corner.

Swatch Geometry

Controls the type of geometry displayed for the selected swatch: box, cylinder, or sphere. The geometry changes in other swatches as you select them.

Checkered Underlay Off/On

Displays a multicolored checkered underlay to help you visualize the degree of opacity of a material.

Preview Swatch Lighting Model

Changes the lighting model from a single light source to a backlight lighting model. The selection from the fly out list changes the selected material swatch.

Create New Material

Displays the Create New Material dialog box. After you enter a name, a new swatch is created to the right of the current swatch and the new swatch is selected.

Purge from Drawing

Removes the selected material from the drawing. The Global material and any material that is in use cannot be deleted.

Indicate Materials in Use

Updates the display of the in-use icon. Materials currently in use in the drawing display a drawing icon in the lower-right corner of the swatch.

Apply Material to Objects

Applies the currently selected material to selected objects and faces.

Remove Materials from Selected Objects

Detaches materials from the selected objects and faces.

Select Objects with Material (Shortcut Menu Only)

Selects all objects in the drawing to which the selected material is applied. Faces with materials applied explicitly are not selected.

Edit Name and Description (Shortcut Menu Only)

Opens the Edit Name and Description dialog box.

Export to Active Tool Palette (Shortcut Menu Only)

Creates a material tool for the selected material on the currently active tool palette. If the Tool Palettes window is closed, it opens.

Copy (Shortcut Menu Only)

Copies the selected material to the Clipboard. You can paste the material in the Tool Palettes window, or paste it back into the Available Materials panel as a copy.

Paste (Shortcut Menu Only)

Pastes from the Clipboard either a swatch from the Available Materials panel, or a material tool from the Tool Palettes window.

Size (Shortcut Menu Only)

Controls the size of the swatches when they are displayed in rows.


Nested Map Navigation (Quick Reference)

Available Materials in Drawing
Materials Window
Material Editor
Commands > M commands > MATERIALS > Materials Window >
Nested Map Navigation
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Displays the nesting map navigation of the selected material swatch. Nested maps within a parent map or material can be selected. The Nested Map Navigation provides lists and buttons to control the current level of the nested maps.

Home to Material Settings

Returns the display of nested map property settings back to the current basic material settings.

Map name string

Displays in bold only the current map channel level and texture map or procedural map that is being edited. If you are at the top of the map channel hierarchy, the material name is displayed. If you are at the nested levels, the string in the display depend on where you are at the current nested level. The display string will start with the Material name: current map channel - procedural Map | Sub-procedural map. For example: Material 1: Diffuse Map - Checker | Color 1 - Speckle | Color 2 | Noise.

Custom drop-down tree control arrow

Displays levels of nested maps by selecting the drop-down arrow. By selecting a nested map the controls for that nested map will be displayed.

Up One Level to Parent Map

Returns to the controls of the parent of the current sub-procedural map.


Material Editor (Quick Reference)

Nested Map Navigation
Materials Window
Maps
Commands > M commands > MATERIALS > Materials Window >
Material Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Edits the material selected in the Available Materials in Drawing panel. The name of the selected material is displayed following “Material Editor.” The configuration of the Material Editor changes depending on the type of material and template that is selected.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Type

Specifies the type of material. Realistic and Realistic Metal are for materials based on physical qualities. Advanced and Advanced Metal are for materials with more options, including properties that you can use to create special effects; for example, simulated reflections.

Template (Realistic and Realistic Metal Types)

Lists the templates available for the material type selected.

Color (Realistic and Realistic Metal Types)

Displays the Select Color dialog box, where you specify the diffuse color of the material.

By Object (Realistic and Realistic Metal Types)

Sets the color of the material based on the color of the object it is applied to.

Ambient (Advanced and Advanced Metal Types)

Displays the Select Color dialog box, where you specify the color that appears on those faces lighted by ambient light alone.

By Object (Advanced and Advanced Metal Types)

Sets the color of the material based on the color of the object it is applied to.

First Lock Icon (Advanced and Advanced Metal Types)

When locked, the lock icon between Ambient and Diffuse sets the ambient color of the material to the diffuse color.

Diffuse (Advanced and Advanced Metal Types)

Displays the Select Color dialog box, where you specify the diffuse color of the material. Diffuse color is the main color of the object.

By Object (Advanced and Advanced Metal Types)

Sets the color of the material based on the color of the object it is applied to.

Second Lock Icon (Advanced Type Only)

When locked, the lock icon between Diffuse and Specular sets the specular color of the material to the diffuse color.

Specular (Advanced Type Only)

Displays the Select Color dialog box, where you specify the color of a highlight on a shiny material. The size of the highlight depends on the material's shininess.

By Object (Advanced Type Only)

Sets the color of the material based on the color of the object it is attached to.

Shininess

Sets the shininess of the material. The highlight on the face of a very shiny solid is smaller and brighter. A face that is less shiny reflects the light in more directions, creating a large, softer highlight.

Opacity (Realistic and Advanced Types)

Sets the opacity of the material. A completely opaque solid object does not allow the passage of light through its surface. An object with no opacity is transparent.

Reflection (Advanced and Advanced Metal Types)

Sets the reflectivity of the material. When set to 100, the material is fully reflective and the surrounding environment is reflected in the surface of any object to which the material is applied.

Refraction Index (Realistic and Advanced Types)

Sets the refraction index of the material. Controls how light is refracted through an object with a partially transparent material attached. For example, at 1.0, the refraction index of air, the object behind the transparent object is not distorted. At 1.5, the object is distorted greatly, as if it were seen through a glass marble.

Translucency (Realistic and Advanced Types)

Sets the translucency of the material. A translucent object transmits light, but light is also scattered within the object. The translucency value is a percentage: at 0.0, the material is not translucent; at 100.0, the material is as translucent as possible.

Self-illumination

When set to a value more than 0, makes the object appear to give off light, independent of the lights in the drawing. When self-illumination is selected luminance is unavailable.

Luminance (Realistic Type only)

Luminance is the value of light reflected off a surface. It is a measure of how bright or dark the surface is perceived. When selecting luminance the self-illumination is unavailable. Luminance is specified in real lighting units.

Two Sided Material (Realistic type only)

When selected positive and negative face normals are rendered. When clear, only positive face normals are rendered. This setting is disabled if Force Two-Sided is set to “ON” in the Manage Render Presets dialog box. ( Create Custom Render Presets.)


Maps (Quick Reference)

Material Editor
Materials Window
Diffuse Map Channel
Commands > M commands > MATERIALS > Materials Window >
Maps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Assigns a pattern or texture to a material’s diffuse color. The colors of the map replace the material’s diffuse color in the Material Editor. For the Realistic and Realistic Metal material types, the Maps section of the Material window is divided into three mapping channel sections: Diffuse Map, Opacity Map, and Bump Map. For the Advanced and Advanced Metal material types, the Maps section is divided into four mapping channel sections: Diffuse Map, Reflection Map, Opacity Map, and Bump Map. Within each map channel a map type of Texture Map or Procedural Maps can be selected.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.


Diffuse Map Channel (Quick Reference)

Maps
Maps
Reflection Map Channel
Commands > M commands > MATERIALS > Materials Window > Maps >
Diffuse Map Channel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Diffuse mapping provides a pattern of colors for the material.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Diffuse Map

Makes the Diffuse map active on a material and available to be rendered.

Diffuse Map Slider

Controls the blending of the image or procedural map with the assigned control properties for the material. Range = 0-100; Default = 100. When Texture Map is the map type, then no slider is displayed.

Map Type

Specifies the type of map. You can use Texture Map to select an image file (for example, a tile pattern) or choose the Checker, Gradient Ramp, Marble, Noise, Speckle, Tiles, Waves, or Wood map types.

Select Image

Displays the Select Image File dialog box, a standard file selection dialog box. After a file is selected, displays the name of the file is displayed.

The following formats can be used as texture maps:

  • TGA (.tga)
  • BMP (.bmp, .rle, .dib)
  • PNG (.png)
  • JFIF (.jpg, .jpeg)
  • TIFF (.tif)
  • GIF (.gif)
  • PCX (.pcx)
Click for “Map Type” Settings

This button appears once a Texture Map image is selected or procedural map type is selected. Displays the controls for the Map Property Settings The map control settings vary depending on the procedural map type selection.

Delete Map Information from Material

Removes the selected map information from the material.

Map Synchronize Toggle

When enabled (the button will appear as connected) the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled (the button will appear as separated) the setting and value changes of the map channel are only relevant to the current map channel.

Preview Map Channel Procedural Results

Displays the Diffuse Map Preview dialog box.


Reflection Map Channel (Quick Reference)

Diffuse Map Channel
Maps
Opacity Map Channel
Commands > M commands > MATERIALS > Materials Window > Maps >
Reflection Map Channel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls how reflective the material is. Reflection maps (also known as environment maps) simulate a scene reflected on the surface of a shiny object.

Reflection Map

Makes the Reflection map active on the material and available to be rendered.

Reflection Map Slider

Controls the reflection of the map with the assigned control properties for the material. The higher the value, the more reflective the material. Range = 0-100; Default = 0. When Texture Map is the map type selected then no slider is displayed.

Map Type

Specifies the type of map. You can use Texture Map to select an image file (for example, a tile pattern) or choose the Checker, Gradient Ramp, Marble, Noise, Speckle, Tiles, Waves or Wood map types.

Select Image

Displays the Select Image File dialog box, a standard file selection dialog box. After a file is selected, the name of the file is displayed.

The following formats can be used as texture maps:

  • TGA (.tga)
  • BMP (.bmp, .rle, .dib)
  • PNG (.png)
  • JFIF (.jpg, .jpeg)
  • TIFF (.tif)
  • GIF (.gif)
  • PCX (.pcx)
Click for “Map Type” Settings

This button appears once a Texture Map image is selected or procedural map type is selected. Displays the controls for the Map Property Settings. The map control settings vary depending on the procedural map type selection.

Delete Map Information from Material

Removes the selected map information from the material.

Map Synchronize Toggle

When enabled the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled the setting and value changes of the map channel are only relevant to the current map channel.

Preview Map Channel Procedural Results

Displays the Reflection Map Preview dialog box.


Opacity Map Channel (Quick Reference)

Reflection Map Channel
Maps
Bump Map Channel
Commands > M commands > MATERIALS > Materials Window > Maps >
Opacity Map Channel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Defines which areas of the material should be transparent and which areas should not. Areas where the opacity map is applied appear transparent; other areas appear opaque. Areas of the material that are transparent still have a specular highlight (as though they were glass). If the texture is black and white the opacity will be transparent and opaque respectively.

Opacity Map

Makes the Opacity map active on the material and available to be rendered.

Opacity Map Slider

Controls solid appearance of the image or map. The lower the setting the more transparent the material is. The higher the setting the more solid the material is. Range = 0-100; Default = 100. When Texture Map is the map type, then no slider is displayed.

Map Type

Specifies the type of map. You can use Texture Map to select an image file (for example, a tile pattern) or choose the Checker, Gradient Ramp, Marble, Noise, Speckle, Tiles, Waves or Wood map types.

Select Image

Displays the Select Image File dialog box, a standard file selection dialog box. After a file is selected, the name of the file is displayed.

The following formats can be used as texture maps:

  • TGA (.tga)
  • BMP (.bmp, .rle, .dib)
  • PNG (.png)
  • JFIF (.jpg, .jpeg)
  • TIFF (.tif)
  • GIF (.gif)
  • PCX (.pcx)
Click for “Map Type” Settings

This button appears once a Texture Map image is selected or procedural map type is selected. Displays the controls for the Map Property Settings The map control settings vary depending on the procedural map type selection.

Delete Map Information from Material

Removes the selected map information from the material.

Map Synchronize Toggle

When enabled the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled the setting and value changes of the map channel are only relevant to the current map channel.

Preview Map Channel Procedural Results

Displays the Opacity Map Preview dialog box.


Bump Map Channel (Quick Reference)

Opacity Map Channel
Maps
Map Property Settings
Commands > M commands > MATERIALS > Materials Window > Maps >
Bump Map Channel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Bump mapping makes an object appear to have a bumpy or irregular surface.You can select an image file or Procedural Maps to use for bump mapping. Use bump maps when you want to take the smoothness off a surface, or to create an embossed look.

Bump Map

Makes the Bump map active on the material and available to be rendered.

Bump Slider

Controls the bumpiness of the texture. Range = -1000 to 1000; Default = 1000.0. When Texture Map is the map type selected, then no slider is displayed.

Map Type

Specifies the type of map. You can use Texture Map to select an image file (for example, a tile pattern) or choose the Checker, Gradient Ramp, Marble, Noise, Speckle, Tiles, Waves or Wood map types.

Select Image

Displays the Select Image File dialog box, a standard file selection dialog box. After a file is selected, the name of the file is displayed.

The following formats can be used as texture maps:

  • TGA (.tga)
  • BMP (.bmp, .rle, .dib)
  • PNG (.png)
  • JFIF (.jpg, .jpeg)
  • TIFF (.tif)
  • GIF (.gif)
  • PCX (.pcx)
Click for “Map Type” Settings

This button appears once a Texture Map image is selected or procedural map type is selected. Displays the controls for the Map Property Settings The map control settings vary depending on the procedural map type selection.

Delete Map Information from Material

Removes the selected map information from the material.

Map Synchronize Toggle

When enabled the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled the setting and value changes of the map channel are only relevant or to the current map channel.

Preview Map Channel Procedural Results

Displays the Bump Map Preview dialog box.


Map Property Settings (Quick Reference)

Bump Map Channel
Materials Window
Texture Map Property Settings
Commands > M commands > MATERIALS > Materials Window >
Map Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

For each map type there are different property settings. See each map type for specific settings:

  • Texture Map
  • Checker
  • Gradient Ramp
  • Marble
  • Noise
  • Speckle
  • Tiles
  • Waves
  • Wood


Texture Map Property Settings (Quick Reference)

Map Property Settings
Map Property Settings
Checker Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Texture Map Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for Texture Map.

Click for Texture Map Settings

Displays a window with property settings to adjust the appearance of the texture. This button appears once an image is selected for the Texture Map.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Texture Map Slider

Controls the blending of the texture map with the assigned control properties for the material.

Scaling & Tiling

Provides settings to adjust the scaling and tiling for the map.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Checker Property Settings (Quick Reference)

Texture Map Property Settings
Map Property Settings
Gradient Ramp Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Checker Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Checker procedural map.

Click for Checker Settings

Displays a window with property settings to adjust the appearance of the Checker procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Color 1

Provides the option of selecting a color or a sub-procedural map for one of the checkers.

  • Map Type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears.
  • Color. Click the color box to display the Select Color dialog box.
Swaps the Map Types

Swaps the Map Types between Color 1 and Color 2.

Color 2

Provides the option of selecting a color or a sub-procedural map for one of the checkers.

  • Map Type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears.
  • Color. Click the color box to display the Select Color dialog box.
Soften

Adjusts the value in the amount of softness or blurring between the edge of the two colors or map types. Higher values blur more. A value of 0.0 indicates sharp edges. Range = 0 to 5.00; Default = 0.

Scaling & Tiling

Provides settings to adjust the scaling and tiling for the map.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Gradient Ramp Property Settings (Quick Reference)

Checker Property Settings
Map Property Settings
Marble Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Gradient Ramp Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Gradient Ramp procedural map.

Click for Gradient Ramp Settings

Displays a window with property settings to adjust the appearance of the Gradient Ramp procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Gradient Type

Specifies the type of shade from one color to another. The following Gradient types are available. These affect the entire gradient.

  • 4 Corner. An asymmetrical linear transition of colors.
  • Box. A box.
  • Diagonal. A linear diagonal transition of colors.
  • Lighting. Based on the light intensity value. No light=far left; brightest light=far right.
  • Linear. A smooth, linear transition of colors.
  • Mapped. Lets you assign a map to use as the gradient.
  • Normal. Based on the angle between the vector from the camera to the object and the surface normal vector at the sample point. The leftmost node of the gradient is 0 degrees; the rightmost node is 90 degrees.
  • Pong. A diagonal sweep that repeats in the middle.
  • Radial. A radial transition of colors.
  • Spiral. A smooth, circular transition of colors.
  • Sweep. A linear sweep transition of colors.
  • Tartan. A plaid.
Interpolation

Specifies the type of calculation for the intermediate values. The following Interpolation types are available. These affect the entire gradient.

NoteGradients are ordered from left to right. The "next" node is to the right of the current node; the "previous" node is to the left.
  • Custom. Sets an individual interpolation type for each node. Under Current Node select the interpolation type.
  • Ease In. Weighted more toward the next node than the current node.
  • Ease In Out. Weighted more toward the current node than the next node.
  • Ease Out. Weighted more toward the previous node than the next node.
  • Linear. Constant from one node to the next. (Default.)
  • Solid. No interpolation. Transitions are a sharp line.
Gradient Bar

Presents an editable representation of the gradient being created. The effect of the gradient moves from left (start point) to right (end point).

Noise

Creates random perturbation of a surface based on the interaction of two colors or materials.

  • Noise Type. Displays the different methods to create the perturbations: Regular, Fractal or Turbulence.
  • Amount. When nonzero, a random noise effect is applied to the gradient, based on the interaction of the gradient ramp colors (and maps, if present). The higher this value, the greater the effect. Range=0 to 1.
  • Size. Sets the scale of the noise function. Smaller values give smaller chunks of noise.
  • Phase. Controls the speed of the animation of the noise function. A 3D noise function is used for the noise; the first two parameters are U and V and the third is phase.
  • Levels. Sets the number of fractal iterations or turbulence (as a continuous function).
Noise Threshold

When the noise value is above the Low threshold and below the High threshold, the dynamic range is stretched to fill 0 to 1. This causes a smaller discontinuity at the threshold transition and produces less potential aliasing..

  • High. Sets the high threshold.
  • Low. Sets the low threshold.
  • Smooth Sets the high threshold.
Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Marble Property Settings (Quick Reference)

Gradient Ramp Property Settings
Map Property Settings
Noise Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Marble Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Marble procedural map.

Click for Marble Settings

Displays a window with property settings to adjust the appearance of the Marble procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Stone color

Specifies the color of the stone. Displays the Select Color dialog box.

Swaps the Colors

Swaps the colors between the Stone and Vein color.

Vein color

Specifies the vein color of the marble. Displays the Select Color dialog box.

Vein spacing

Sets the space between veins. Range = 0-100; Default = 1.00.

Vein width

Sets the width of the veins. Range = 0-100; Default = 1.00.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Noise Property Settings (Quick Reference)

Marble Property Settings
Map Property Settings
Speckle Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Noise Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Noise procedural map.

Click for Noise Settings

Displays a window with property settings to adjust the appearance of the Noise procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Noise Type

Creates random perturbation of a surface based on the interaction of two colors.

Regular. Generates plain noise. Basically the same as fractal noise with levels setting at 1. When the noise type is set to Regular, the Levels spinner is inactive (because Regular is not a fractal function).

Fractal. Generates noise using a fractal algorithm. The Levels option sets the number of iterations for fractal noise.

Turbulence. Generates fractal noise with an absolute value function applied to it to make fault lines. Note that the noise amount must be greater than 0 to see any effects of turbulence.

Size. Sets the scale of the noise function. Smaller values give smaller chunks of noise.

Color 1

Provides the option of selecting a color or a sub-procedural map for one of the checkers.

  • Map Type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears.
  • Color. Click the color box to display the Select Color dialog box.
Swaps the Map Types

Swaps the map types between Color 1 and Color 2.

Color 2

Provides the option of selecting a color or a sub-procedural map for one of the checkers.

  • Map Type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears
  • Color. Click the color box to display the Select Color dialog box.
Noise threshold

Specifies a noise threshold. the settings are:

  • Low. Sets the low threshold. Range = 0 to 1; Default = 0.
  • High. Sets the high threshold. Range = 0 to 1; Default = 1.
  • Level. Determines how much fractal energy is used for the Fractal and Turbulence noise functions. You can set the exact amount of turbulence you want and also animate the number of fractal levels. Default = 3.
  • Phase. Controls the appearance of the noise. Use this option to vary the appearances of different objects that use the noise map.
Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Speckle Property Settings (Quick Reference)

Noise Property Settings
Map Property Settings
Tiles Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Speckle Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Speckle procedural map.

Click for Speckle Settings

Displays a window with property settings to adjust the appearance of the Speckle procedural Map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Color 1

Specifies a color for the speckle. Displays the Select Color dialog box.

Swaps the Colors

Swaps the colors between Color 1 and Color 2.

Color 2

Specifies a second color for the speckle. Displays the Select Color dialog box.

Size

Adjusts the size of the speckles.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Tiles Property Settings (Quick Reference)

Speckle Property Settings
Map Property Settings
Waves Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Tiles Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Tiles procedural map.

Click for Tiles Settings

Displays a window with property settings to adjust the appearance of the Tiles procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Pattern type

Determines either a preset or custom tile pattern. Preset patterns typically disable most or all of the stacking layout and row/column edit controls.

  • Custom Tile.
  • Running Bond.
  • Common Flemish Bond.
  • English Bond.
  • 1/2 Running Bond.
  • Stack Bond.
  • Fine Running Bond.
  • Fine Stack Bond.
Random seed

Randomly applies patterns of color variation to the tiles. Does not require any other setting to generate completely different patterns.

Tiles Setup

Provides the following options for mapping with Tiles:

  • Map type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears.
  • Select Image. If Texture Map is selected as the map type, specifies the image to use.
  • Color. Click the color box to display the Select Color dialog box.
  • Go to ‘map type” Settings. If Texture Map or a sub-procedural map is selected, displays the property settings.
  • Horizontal count. Controls the number of tiles in a row. Default = 4.
  • Vertical count. Controls the number of tiles in a column. Default = 4.
  • Color variance. Controls the color variation of the tiles. Default = 0.05.
  • Fade variance. Controls the fading variation of the tiles.
Swaps the Map Types

Swaps the map types between the Tiles and the Grout.

Grout setup

Controls the appearance of the grout.

  • Map type. Specifies Texture Map, sub-procedural map type, or color. If Texture Map is selected, select an image. If Texture Map or a sub-procedural map is selected, select the Click for “map type” Settings button. If Solid color is selected then a color selection box appears.
  • Select Image. If Texture Map is selected as the map type, specifies the image to use.
  • Color. Click the color box to display the Select Color dialog box.
  • Go to ‘map type” Settings. If Texture Map or a sub-procedural map is selected, displays the property settings.
  • Horizontal gap. Controls the horizontal size of the grout between the tiles. This value is locked by default to the vertical gap, so that both values change as you edit one or the other. Range = 0 to 100; Default = 0.50.
  • Vertical gap. Controls the vertical size of the grout between the tiles. This value is locked by default to the horizontal gap, so that both values changes as you edit one or the other. Range = 0 to 100; Default = 0.50.
  • Lock. Locks and unlocks the horizontal and vertical grout gaps.
  • Rough. Controls the roughness of the edges of the mortar. Range = 0 to 200; Default = 0.
Stacking Layout

Specifies the controls when Custom Tiles is selected.

  • Line shift. Shifts every second row of tiles a distance of one unit. Range = 0 to 100; Default = 0.50.
  • Random shift. Randomly shifts all rows of tiles a distance of one unit. Range = 0 to 100; Default = 0.
Row Modify

For Custom Tiles, creates a custom pattern for rows based upon the values of Per Row and Change settings. Default = Off.

  • Selection box. Turns the settings for Grout Row Modify on and off.
  • Per row. Specifies which rows to change. When Per Row equals 0, no rows change. When Per Row equals 1, every row changes. When Per Row is a value greater than 1, the change appears every N rows: a value of 2 changes every second row, a value of three changes every third row, and so on. Range = 0 to 5. Default = 1.
  • Change. Changes the width of tiles in the affected rows. A value of 1.0 is the default tile width. Values greater than 1.0 increase the width of tiles, and values less than 1.0 decrease it. Range = 0.0 to 5.0. A value of 0 is a special case: when the change value is 0.0, no tiles appear in that row and the underlying material shows through. Default = 1.
Column Modify

For Custom Tiles, creates a custom pattern for columns based upon the values of Per Column and Change settings. Default = Off.

  • Selection box. Turns the settings for Grout Column Modify on and off.
  • Per column. Specifies which columns to change. When Per Column equals 0, no columns change. When Per Column equals 1, every column changes. When Per Column is a value greater than 1, the change appears every N columns: a value of 2 changes every second column, a value of three changes every third column, and so on. Range = 0 to 50. Default = 1.
  • Change. Changes the height of tiles in the affected rows. A value of 1.0 is the default tile width. Values greater than 1.0 increase the height of tiles, and values less than 1.0 decrease it. Range = 0.0 to 5.0. A value of 0 is a special case: when the change value is 0.0, no tiles appear in that column and the underlying material shows through. Default = 1.
Offset & Preview

Provides settings to adjust the scaling and tiling for the map.

Scaling & Tiling

Provides settings to adjust the material offset and preview for the map.


Waves Property Settings (Quick Reference)

Tiles Property Settings
Map Property Settings
Wood Property Settings
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Waves Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Waves. procedural map.

Click for Waves Settings

Displays a window with property settings to adjust the appearance of the Waves procedural Map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Color 1

Specifies a color for Waves. The Select Color dialog box is displayed.

Swaps the Colors

Swaps the colors between Color 1 and Color 2.

Color 2

Specifies a second color for Waves. The Select Color dialog box is displayed.

Distribution

Specifies the distribution of the waves. 3D distributes the wave centers on the surface on an imaginary sphere, affecting all sides of a 3D object. 2D distributes the wave in circles centered on the XY plane, which is more appropriate for flat water surfaces such as oceans and lakes.

Number of waves

Specifies how many wave sets are used in the pattern. Wave sets are groups of radially symmetrical waves that originate from randomly computed points along the surface of an imaginary sphere inside the object (a circle, in the case of 2D wave distribution). For calm water, set this to a low number. Use a high number for choppy water. Range = 1 to 50; Default = 3.

Wave radius

Specifies the radius of the imaginary sphere (3D distribution) or circle (2D distribution) whose surface is the origin of each wave set. A large radius produces large circular wave patterns, while a small radius produces dense, smaller waves. Default = 1000.

Len Min

Defines the minimum interval for each wave center. If values are close together, the waves appear more regular; if they are farther apart, the waves are less regular. Default = 50.

Len Max

Defines the maximum interval for each wave center. If values are close together, the waves appear more regular; if they are farther apart, the waves are less regular. Default = 50.

Amplitude

Specifies the amplitudes of the waves. The 3D setting distributes the wave centers on the surface on an imaginary sphere, affecting all sides of a 3D object. The 2D setting distributes the wave in circles centered on the XY plane, which is more appropriate for flat water surfaces such as oceans and lakes. Range = 0 to 10000; default = 1.

Phase

Shifts the wave pattern. Range = 0 to 1000; Default = 0.

Random seed

Provides a seed number to generate the water pattern. The pattern changes with each seed. Range = 0 to 65535; default = 30159.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Wood Property Settings (Quick Reference)

Waves Property Settings
Map Property Settings
Advanced Lighting Override
Commands > M commands > MATERIALS > Materials Window > Map Property Settings >
Wood Property Settings
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: materials

Controls the property settings for the Wood procedural map.

Click for Wood Settings

Displays a window with property settings to adjust the appearance of the Wood procedural map. The Nested Map Navigation displays the current nested map level.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Color 1

Specifies a color for the wood. The Select Color dialog box is displayed.

Swaps the Colors

Swaps the colors between Color 1 and Color 2.

Color 2

Specifies a second color the wood. The Select Color dialog box is displayed.

Radial noise

Sets the relative randomness of the radial noise pattern on a plane perpendicular to the grain on the wood. Range = 0 to 100; Default 1.00.

Axial noise

Sets the relative randomness of the axial noise pattern on a plane parallel with the grain on the wood. Range = 0 to 100; Default 1.00.

Grain thickness

Sets the relative thickness of the color bands that make up the grain on the wood. Range = 0 to 100; Default 0.50.

Offset & Preview

Provides settings to adjust the material offset and preview for the map.


Advanced Lighting Override (Quick Reference)

Wood Property Settings
Materials Window
Material Scaling & Tiling
Commands > M commands > MATERIALS > Materials Window >
Advanced Lighting Override
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Sets parameters to affect the rendering of a material when it is lit by indirect illumination from global illumination and/or final gather. The advanced lighting override provides controls to change the properties of the material to affect the rendered scene. This control is only available on Realistic & Realistic Metal material types.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Color Bleed Scale Slider

Increases or decreases the saturation of reflected color. Range = 0.0 to 1000; Default = 100.

Indirect Bump Scale Slider

Scales the effect of the base material’s Bump map in areas lit by indirect light. When this value is zero, no bump mapping is done for indirect light. Increasing the scale increases the bump effect under indirect lighting. This value does not affect the Bump amount in areas where the base material is lit directly. Range 0 to 1000; Default = 100.

Reflectance Scale Slider

Increases or decreases the amount of energy the material reflects. Reflectance is the percentage of diffuse light energy that is reflected from a material. Range = 0 to 1000; Default = 100.

Transmittance Scale Slider

Increases or decreases the amount of energy the material transmits.Transmittance is the amount of light energy transmitted through a material. A completely opaque material has 0% transmittance. Range = 0 to 1000; Default = 100.


Material Scaling & Tiling (Quick Reference)

Advanced Lighting Override
Materials Window
Material Scaling & Tiling for Sub-procedural Maps
Commands > M commands > MATERIALS > Materials Window >
Material Scaling & Tiling
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Specifies scaling and tiling of maps on materials.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Scale units

Specifies the units to use in scaling.

  • None. Specifies a fixed scale.
  • Fit to Gizmo. Fits the image to the face or object.
  • Units. Specifies the type of units to scale in real-world units (Millimeters, Centimeters, Meters, Kilometers, Inches, Feet, Survey Feet, Miles, or Yards).
U Tile

Adjusts the tiling of the image along the U axis. Selecting None, Tile, and Mirror specifies the type of tiling for the material in the U axis. The preview is updated as you change the value.

  • None. Controls the map to not be tiled within the material; just one tile will appear across the object it is applied to.
  • Tile. Controls the map to be tiled within the material. This affects real-world scale.
  • Mirror. Controls the map to be tiled, but each tile will be a mirror of the adjacent one.

UVW coordinates are similar to XYZ coordinates, but they refer to the image and move with it when it moves or rotates.

U Tile Spinner

Adjusts, for U Tile selections of Tile and Mirror, the value in the tiling amount on the U axis for the image. Range = 1 to 500. When the values are adjusted through the spinner, the U Tile trackbar is updated to reflect the amount and is displayed in the interactive preview in the Material Offset & Preview section.

V Tile

Adjusts the tiling of the image along the V axis. Selecting None, Tile, and Mirror specifies the type of tiling for the material in the V axis. The preview is updated as you change the value.

  • None. Controls the map to not be tiled within the material; just one tile will appear across the object it is applied to.
  • Tile. Controls the map to be tiled within the material. This affects real-world scale.
  • Mirror. Controls the map to be tiled, but each tile will be a mirror of the adjacent one.

UVW coordinates are similar to XYZ coordinates, but they refer to the image and move with it when it moves or rotates.

V Tile Spinner

Adjusts, for V Tile selections of Tile and Mirror, the value of the tiling amount on the V axis for the image. Range = 1 to 500. When the values are adjusted through the spinner, the V Tile trackbar is updated to reflect the amount and is displayed in the interactive preview in the Material Offset & Preview section.

Lock Aspect Ratio

Locks the shape of the map. The original U Tile and V Tile values are based on the aspect ratio of the map. The greater of the two is assigned a value of 1, and the other is assigned a value that maintains the ratio. When the length or width value is changed, the other value changes as needed to maintain the shape.


Material Scaling & Tiling for Sub-procedural Maps (Quick Reference)

Material Scaling & Tiling
Materials Window
Material Offset & Preview
Commands > M commands > MATERIALS > Materials Window >
Material Scaling & Tiling for Sub-procedural Maps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Specifies scaling and tiling for sub-procedural maps on materials. This functionality is only available on Texture map and 2D sub-procedural maps (Checker, Gradient Ramp and Tiles). This control is not available on 3D sub-procedural maps (Noise, Speckle, Marble, Wood and Wave).

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Map Synchronize

When enabled the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled the setting and value changes of the map channel are only relevant or to the current map channel. This control is available within the sub-procedural material Scaling & Tiling control. It is not available in the main material window.

Scale units

Specifies the units to use in scaling.:

  • None. Specifies a fixed scale.
  • Fit to Gizmo. Fits the image to the face or object.
U Tile

Adjusts the tiling of the image along the U axis. Selecting None, Tile, and Mirror specifies the type of tiling for the material in the U axis. The preview is updated as you change the value.

  • None. Controls the map to not be tiled within the material; just one tile will appear across the object it is applied to.
  • Tile. Controls the map to be tiled within the material. This affects real-world scale.
  • Mirror. Controls the map to be tiled, but each tile will be a mirror of the adjacent one.

UVW coordinates are similar to XYZ coordinates, but they refer to the image and move with it when it moves or rotates.

U Tile Spinner

Adjusts, for U Tile selections of Tile and Mirror, the value in the tiling amount on the U axis. Range = 1 to 500. When the values are adjusted through the spinner, the U Tile trackbar is updated to reflect the amount and is displayed in the interactive preview in the Material Offset & Preview section.

V Tile

Adjusts the tiling of the image along the V axis. Selecting None, Tile, and Mirror specifies the type of tiling for the material in the V axis. The preview is updated as you change the value.

  • None. Controls the map to not be tiled within the material; just one tile will appear across the object it is applied to.
  • Tile. Controls the map to be tiled within the material. This affects real-world scale.
  • Mirror. Controls the map to be tiled, but each tile will be a mirror of the adjacent one.

UVW coordinates are similar to XYZ coordinates, but they refer to the image and move with it when it moves or rotates.

V Tile Spinner

Adjusts, for V Tile selections of Tile and Mirror, the value of the tiling amount on the V axis. Range = 1 to 500. When the values are adjusted through the spinner, the V Tile trackbar is updated to reflect the amount and is displayed in the interactive preview in the Material Offset & Preview section.

Lock Aspect Ratio

Locks the shape of the map. The original U Tile and V Tile values are based on the aspect ratio of the map. The greater of the two is assigned a value of 1, and the other is assigned a value that maintains the ratio. When the length or width value is changed, the other value changes as needed to maintain the shape.


Material Offset & Preview (Quick Reference)

Material Scaling & Tiling for Sub-procedural Maps
Materials Window
Material Offset & Preview for Sub-procedural Maps
Commands > M commands > MATERIALS > Materials Window >
Material Offset & Preview
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Specifies the offset and preview properties of maps on materials.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Auto-regen

Specifies that any changes in a material are reflected in the interactive swatch (preview) right away. When cleared, any changes made to the map channel are not reflected in the interactive swatch.

Update

Updates the interactive swatch preview.

Preview size

Zooms in or out of the preview.

Preview

Displays a preview of the map on the face or object that updates as you change settings. Click and drag inside the square to adjust the U and V offsets.

When Scale is selected, the square represents a 1-unit by 1-unit tile. If Units is set to None, the unit is whatever the units are in the drawing. When Fit to Gizmo is selected, the square represents the tile to be stretched to fit the face of the object.

U Tile Slider

Adjusts the tiling of the map along the U axis. The preview is updated as you change the value. The slider is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The slider is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood)..

V Tile Slider

Adjusts the tiling of the map along the V axis. The preview is updated as you change the value. The slider is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The slider is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood).

Lock

Locks the shape of the map. When the length or width value is changed, the other value changes as needed to maintain the shape. The lock is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The lock is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood).

U offset

Moves the starting point of the map along the U axis. You can set this value interactively by moving the square inside the preview.

V offset

Moves the starting point of the map along the V axis. You can set this value interactively by moving the square inside the preview.

Rotation

Rotates the map around the W axis of the UVW coordinate system. Rotation is not available for spherical and cylindrical mapping. Use MATERIALMAP to display the mapping gizmo that can rotate box, planar, spherical and cylindrical maps.


Material Offset & Preview for Sub-procedural Maps (Quick Reference)

Material Offset & Preview
Materials Window
Materials Tool Palette
Commands > M commands > MATERIALS > Materials Window >
Material Offset & Preview for Sub-procedural Maps
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Specifies the Offset & Preview properties of maps on materials.

Collapse/Expand Display Panel

Collapses (up arrows) and expands (down arrows) the display panel.

Map Synchronize Toggle Button

When enabled the settings and value changes of the map channel are pushed and synchronized to all map channels. When disabled the setting and value changes of the map channel are only relevant or to the current map channel.

Auto-regen

Specifies that any changes in a material are reflected in the interactive swatch (preview) right away. When cleared, any changes made to the map channel are not reflected the interactive swatch.

Update

Updates the interactive swatch preview.

Preview size

Zooms in or out of the preview.

Preview

Displays a preview of the map on the face or object that updates as you change settings. Click and drag inside the square to adjust the U and V offsets.

If Scale units is set to None in Scaling & Tiling, the unit is whatever the units are in the drawing. The preview square represents a 1-unit by 1-unit tile. When Fit to Gizmo is selected, the preview square represents the tile to be stretched to fit the face of the object.

U Tile Slider

Adjusts the tiling of the map along the U axis. The preview is updated as you change the value The slider is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The slider is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood).

V Tile Slider

Adjusts the tiling of the map along the V axis. The preview is updated as you change the value. The slider is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The slider is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood).

Lock

Locks the shape of the map. When the length or width value is changed, the other value changes as needed to maintain the shape. The lock is only available on Texture Map and 2D procedurals (Checker, Gradient Ramp and Tiles). The Lock is not available on 3D procedurals (Noise, Speckle, Marble, Waves or Wood).

U offset

Moves the starting point of the map along the U axis. You can set this value interactively by moving the square inside the preview.

V offset

Moves the starting point of the map along the V axis. You can set this value interactively by moving the square inside the preview.

Rotation

Rotates the map around the W axis of the UVW coordinate system. Rotation is not available for spherical and cylindrical mapping. Use MATERIALMAP to display the mapping gizmo that can rotate box, planar, spherical and cylindrical maps.


Materials Tool Palette (Quick Reference)

Material Offset & Preview for Sub-procedural Maps
MATERIALS
Material Tool Property Editor
Commands > M commands > MATERIALS >
Materials Tool Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Displays swatches of the materials that are available in the drawing. The default material is named Global. Click a swatch to select a material. The settings for that material are displayed in the Material Editor panel, and the swatch is outlined in yellow to indicate selection. One button above the swatches and two groups of buttons below it provide the following options. In addition, there are options available only on the shortcut menu.

Toggle Display Mode

Switches the display of swatches from one swatch to rows of swatches. This button is located above the swatches in the upper right corner.

Swatch Geometry

Controls the type of geometry displayed for the selected swatch: box, cylinder, or sphere. The geometry changes in other swatches as you select them.

Checkered Underlay Off/On

Displays a multicolored checkered underlay to help you visualize the degree of opacity of a material.

Preview Swatch Lighting Model

Changes the lighting model from a single light source to a backlight lighting model. The selection from the flyout changes the selected material swatch.

Create New Material

Displays the Create New Material dialog box. After you enter a name, a new swatch is created to the right of the current swatch and the new swatch is selected.

Purge from Drawing

Removes the selected material from the drawing. The Global material and any material that is in use cannot be deleted.

Indicate Materials in Use

Updates the display of the in-use icon. Materials currently in use in the drawing display a drawing icon in the lower-right corner of the swatch.

Apply Material to Objects

Applies the currently selected material to objects and faces.

Remove Materials from Selected Objects

Detaches materials from the selected objects and faces.

Select Objects with Material (Shortcut Menu Only)

Selects all objects in the drawing to which the selected material is applied. Faces with materials applied explicitly are not selected.

Edit Name and Description (Shortcut Menu Only)

Opens the Edit Name and Description dialog box.

Export to Active Tool Palette (Shortcut Menu Only)

Creates a material tool for the selected material on the currently active tool palette. If the Tool Palettes window is closed, it opens.

Copy (Shortcut Menu Only)

Copies the selected material to the Clipboard. You can paste the material in the Tool Palettes window, or paste it back into the Available Materials panel as a copy.

Paste (Shortcut Menu Only)

Pastes from the Clipboard either a swatch from the Available Materials panel, or a material tool from the Tool Palettes window.

Size (Shortcut Menu Only)

Controls the size of the swatches when they are displayed in rows.


Material Tool Property Editor (Quick Reference)

Materials Tool Palette
MATERIALS
Create New Material and Edit Name and Description Dialog Boxes
Commands > M commands > MATERIALS >
Material Tool Property Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Controls the properties of the selected material tool. The properties displayed here are described in the Material Editor section of the Materials window. A few properties, such as swatch geometry and checkered underlay, are not available in the Material Tool Property Editor.

When you edit a material tool, only the tool itself is affected. If the material is being used in the drawing and you want to apply the changes, use the material tool to reapply the changed material to the objects.

To make the changed material available in the drawing, apply it to objects in the drawing or copy it to the Materials window.

Unlike the Properties palette, the Material Tool Property Editor must be closed before you can continue working in the drawing.


Create New Material and Edit Name and Description Dialog Boxes (Quick Reference)

Material Tool Property Editor
MATERIALS
Map Preview Dialog Boxes
Commands > M commands > MATERIALS >
Create New Material and Edit Name and Description Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Names materials and provides space for a description.

Name

Names the material.

Description

Provides an optional description for the material.


Map Preview Dialog Boxes (Quick Reference)

Create New Material and Edit Name and Description Dialog Boxes
MATERIALS
MATERIALSCLOSE
Commands > M commands > MATERIALS >
Map Preview Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Materials panel [image] Materials
Toolbar: Render
Menu: View [image] Render [image] Materials At the Command prompt, enter materials.
Command entry: materials

Provides a larger more detailed view of the selected map channel. The preview window can remain open while making changes to the map property settings. The settings can be previewed as they are made at the current map level or any other level. The preview is a 2D representation of the texture.

Auto-regen

Specifies that the preview swatch is updated automatically when changes are made to the material settings.

Update

Specifies that changes to the preview can be done manually. If Auto-regen is clear, and when changes are made to the map property settings, the Update button becomes active.


MATERIALSCLOSE (Quick Reference)

Map Preview Dialog Boxes
MATERIALSCLOSE
MEASURE
Commands > M commands >
MATERIALSCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Materials window.

Command entry: materialsclose

The Materials window closes.


MEASURE (Quick Reference)

MATERIALSCLOSE
MEASURE
MEASUREGEOM
Commands > M commands >
MEASURE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates point objects or blocks at measured intervals along the length or perimeter of an object.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] MeasureNot available on the ribbon in the current workspace
Menu: Draw [image] Point [image] MeasureNot available in menus in the current workspace
Command entry: measure

Select object to measure:

Specify length of segment or [Block]: Specify a distance or enter b

The resulting points or blocks are always located on the selected object and their orientation is parallel to the XY plane of the UCS.

Use DDPTYPE to set the style and size of all point objects in a drawing.

The points or blocks are placed in the Previous selection set, so you can select them all by entering p at the next Select Objects prompt. You can use the Node object snap to draw an object by snapping to the point objects. You can then remove the points by entering erase previous.

Length of Segment

Places point objects at the specified interval along the selected object, starting at the endpoint closest to the point you used to select the object.

Measurement of closed polylines starts at their initial vertex (the first one drawn).

Measurement of circles starts at the angle from the center set as the current snap rotation angle. If the snap rotation angle is 0, then the measurement of the circle starts to the right of center, on its circumference.

The illustration shows how MEASURE marks 0.5-unit distances along a polyline, with the PDMODE system variable set to 35.

Block

Places blocks at a specified interval along the selected object.

Enter name of block to insert: Enter the name of a block currently defined in the drawing

Align block with object? [Yes/No] <Y>: Enter y or n or press Enter

If you enter y, the block is rotated about its insertion point so that its horizontal lines are aligned with, and drawn tangent to, the object being measured. If you enter n, the block is always inserted with a 0 rotation angle.

Specify length of segment:

After you specify the segment length, the block is inserted at the specified interval. If the block has variable attributes, these attributes are not included.


MEASUREGEOM (Quick Reference)

MEASURE
MEASUREGEOM
MENU
Commands > M commands >
MEASUREGEOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Measures the distance, radius, angle, area, and volume of selected objects or sequence of points.

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] DistanceNot available on the ribbon in the current workspace
Menu: Tools [image] Inquiry [image] DistanceNot available in menus in the current workspace
Toolbar: Inquiry
Command entry: measuregeom

Summary

With the MEASUREGEOM command, you can obtain geometric information on selected objects and sequences of points without having to use mutliple commands. The MEASUREGEOM command performs many of the same calculations as the following commands:

  • AREA
  • DIST
  • MASSPROP

Enter an option [Distance/Radius/Angle/Area/Volume] <Distance>: Specify Distance, Radius, Angle, Area, or Volume

Information displays at the Command prompt and in the tooltip in the current units format.

MEASUREGEOM options

Distance

Measures the distance between specified points. The following display at the Command prompt and in the tooltip:

  • The current UCS X axis
  • Distance in X direction (Delta X)
  • Distance in Y direction (Delta Y)

Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Distance

Specify first point: Specify a point

Specify second point or [Multiple Points]: Specify a second point or enter m for multiple points

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Distance>: Exit

Multiple Points

If you use this option, a running total of distance based on existing line segments and the current rubberband line is calculated. The total updates as you move the cursor and displays in the tooltip.

Specify next point or [Arc/Length/Undo/Total] <Total>: Select a point or enter an option.

If you enter Arc, Length, or Undo Options for Selecting Polylines display.

Specify next point or [Arc/Close/Length/Undo/Total] <Total>: Select a point or enter an option.

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Distance>: Exit

Radius

Measures the radius and diameter of a specified arc or circle. The radius and diameter of the specified arc or circle dispay at the Command prompt and in the tooltip. The radius of the specified object also displays as a dynamic dimension.

Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Radius

Select arc or circle: Select an object

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Radius>: Exit

Angle

Measures the angle of a specified arc, circle, line, or vertex.

Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Angle

Specify Arc, Circle, Line or <Vertex>: Select an object or enter s to specify a vertex

The angle of the specified object or vertex displays at the Command prompt and in the tooltip.

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Angle>: Exit

Arc

Measures the angle of an arc. The angle of the the specified arc displays as a dynamic dimension.

Circle

Measures a specified angle within a circle. The angle updates as you move the cursor. The specified angle displays at the Command prompt and in the tooltip. The specified angle also displays as a dynamic dimension.

Specify second angle endpoint: Specify second angle endpoint

Line

Measures the angle between two lines. The angle displays at the Command prompt and in the tooltip. The angle also displays as a dynamic dimension.

Select second line:

Vertex

Measures the angle of a vertex. The angle displays at the Command prompt and in the tooltip. The angle also displays as a dynamic dimension.

Select angle vertex:

Specify first angle endpoint:

Specify second angle endpoint:

Area

Measures the area and perimeter of an object or defined area. The area and perimeter of the specified object or defined area displays at the Command prompt and in the tooltip.

NoteMEASUREGEOM cannot calculate the area of a self-intersecting object.

Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Area

Specify first corner point or [Object/Add area/Subtract area/eXit] <Object>: Select an option

Specify Corner Points

Calculates the area and perimeter defined by specified points.

Specify next corner point or [Arc/Length/Undo]: Select a corner point

If you enter Arc, Length, or Undo, Options for Selecting Polylines display.

Specify next corner point or [Arc/Length/Undo]: Select a corner point

Specify next corner point or [Arc/Length/Undo/Total] <Total>:

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Area>: Exit

Add Area

Turns on Add mode and keeps a running total of area as you define areas. You can use the Add Area option to calculate the

  • Individual areas of defined areas and objects
  • Individual perimeters of defined areas and objects
  • Total area of all defined areas and objects
  • Total perimeter of all defined areas and objects

Specify first corner point or [Object/Subtract area/eXit]: Specify a point

(ADD mode) Specify next point or [Arc/Length/Undo]:

If you enter Arc, Length, or Undo Options for Selecting Polylines display.

(ADD mode) Specify next point or [Arc/Length/Undo]:

(ADD mode) Specify next point or [Arc/Length/Undo/Total] <Total>:

Specify first corner point or [Object/Subtract area/eXit]:

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Area>: Exit

Subtract Area

Subtracts a specified area from the total area. The total area and perimeter displays at the Command prompt and in the tooltip.

Specify first corner point or [Object/Add area/eXit]: Specify a point

(SUBTRACT mode) Specify next point or [Arc/Length/Undo]:

If you enter Arc, Length, or Undo Options for Selecting Polylines display.

(SUBTRACT mode) Specify next point or [Arc/Length/Undo]:

(SUBTRACT mode) Specify next point or [Arc/Length/Undo/Total] <Total>:

Specify first corner point or [Object/Add area/eXit]:

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Area>: Exit

Volume

Measures the volume of an object or a defined area.

Enter an option [Distance/Radius/Angle/ARea/Volume] <Distance>: Volume

Specify first corner point or [Object/Add volume/Subtract volume/eXit] <Object>: Specify a point or enter an option

Object

Measures the volume of an object or defined area.

You can select a 3D solids or 2D objects. If you select a 2D object you must specify a height for that object.

If you define an object by specifying points, you must specify at least three points to define a polygon. All must lie on a plane parallel to the XY plane of the UCS. If you do not close the polygon, an area will be calculated as if a line existed between the first and last points entered.

Specify first corner point or [Object/Add volume/Subtract volume/eXit] <Object>: Object

Select objects:

If you selected a 2D object, in order to calculate a volume, you must specify a height for that object.

Specify height: Specify height

The volume of the specified object displays at the Command prompt and in the tooltip.

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Volume>: Exit

Add Volume

Turns on Add mode and keeps a running total of volume as you define areas.

Specify first corner point or [Object/Subtract volume/eXit]: Specify a point

(ADD mode) Specify next point or [Arc/Length/Undo]:

If you enter Arc, Length, or Undo Options for Selecting Polylines display.

(ADD mode) Specify next point or [Arc/Length/Undo]:

(ADD mode) Specify next point or [Arc/Length/Undo/Total] <Total>:

Specify height: Specify height

The total volume displays at the Command prompt and in the tooltip

Specify first corner point or [Object/Subtract volume/eXit]:

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Area>: Exit

Subtract Volume

Turns on Subtract mode and subtracts a specified volume from the total volume.

Specify first corner point or [Object/Add volume/eXit]: Specify a point

(SUBTRACT mode) Specify next point or [Arc/Length/Undo]:

If you enter Arc, Length, or Undo Options for Selecting Polylines display.

(SUBTRACT mode) Specify next point or [Arc/Length/Undo]:

(SUBTRACT mode) Specify next point or [Arc/Length/Undo/Total] <Total>:

Specify height: Specify height

The total volume displays at the Command prompt and in the tooltip

Specify first corner point or [Object/Add volume/eXit]:

Enter an option [Distance/Radius/Angle/ARea/Volume/eXit] <Area>: Exit

Options for Selecting Polylines

You can select polylines when using the Distance, Area, and Volume options. The following prompts display:

Arc

Adds arc segments to the polyline.

Specify endpoint of arc or

[Angle/CEnter/CLose/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]: Specify a point (2) or enter an option

Endpoint of Arc

Draws an arc segment. The arc segment is tangent to the previous segment of the polyline. The previous prompt is repeated.

Angle

Specifies the included angle of the arc segment from the start point.

Specify included angle:

Entering a positive number creates counterclockwise arc segments. Entering a negative number creates clockwise arc segments.

Specify endpoint of arc or [Center/Radius]: Specify a point or enter an option

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Center

Specifies the center of the arc segment.

Specify center point of arc:

Radius

Specifies the radius of the arc segment.

Specify radius of arc: Specify a distance

Specify direction of chord for arc <current>: Specify a point or press ENTER

Center

Specifies the center of the arc segment.

Specify center point of arc: Specify a point (2)

Specify endpoint of arc or [Angle/Length]: Specify a point (3) or enter an option

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Angle

Specifies the included angle of the arc segment from the start point.

Specify included angle:

Length

Specifies the chord length of the arc segment. If the previous segment is an arc, the new arc segment is drawn tangent to the previous arc segment.

Specify length of chord:

Close

Draws an arc segment from the last point specified to the starting point, creating a closed polyline. At least two points must be specified to use this option.

Direction

Specifies a starting direction for the arc segment.

Specify the tangent direction from the start point of arc: Specify a point (2)

Specify endpoint of arc: Specify a point (3)

Halfwidth

Specifies the width from the center of a wide polyline segment to one of its edges.

Specify starting half-width <current>: Enter a value or press ENTER

Specify ending half-width <starting width>: Enter a value or press ENTER

The starting half-width becomes the default ending half-width. The ending half-width becomes the uniform half-width for all subsequent segments until you change the half-width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments or very acute angles or when a dot-dash linetype is used.

Line

Exits the Arc option and returns to the initial PLINE command prompts.

Radius

Specifies the radius of the arc segment.

Specify radius of arc: Specify a distance

Specify endpoint of arc or [Angle]: Specify a point or enter a

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Angle

Specifies the included angle for the arc segment.

Specify included angle:

Specify direction of chord for arc <current>: Specify an angle or press ENTER

Second Pt

Specifies the second point and endpoint of a three-point arc.

Specify second point on arc: Specify a point (2)

Specify end point of arc: Specify a point (3)

Undo

Removes the most recent arc segment added to the polyline.

Width

Specifies the width of the next arc segment.

Specify starting width <current>: Enter a value or press ENTER

Specify ending width <starting width>: Enter a value or press ENTER

The starting width becomes the default ending width. The ending width becomes the uniform width for all subsequent segments until you change the width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments, very acute angles, or when a dot-dash linetype is used.

Length

Draws a line segment of a specified length at the same angle as the previous segment. If the previous segment is an arc, the new line segment is drawn tangent to that arc segment.

Specify length of line: Specify a distance

Undo

Removes the most recent arc segment added to the polyline.

Close

Draws an arc segment from the last point specified to the starting point, creating a closed polyline. At least two points must be specified to use this option.


MENU (Quick Reference)

MEASUREGEOM
MENU
MENULOAD
Commands > M commands >
MENU
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads a customization file.

Command entry: menu

The Select Customization File dialog box (a standard file selection dialog box) is displayed. Enter or select a customization file name. When you press Enter or choose Open, the named file is loaded.

A customization file is an XML-based file containing the menus, toolbars, workspaces, and other interface elements that you can customize.

You can create a customized menu file and use MENU or CUI to load the file.

NoteThe Legacy Menu File (MNS) , Legacy Menu Template (MNU), and Customization (CUI) files used in past releases have been replaced with just one file type, the XML-based CUIx file.


MENULOAD (Quick Reference)

MENU
MENULOAD
MENUUNLOAD
Commands > M commands >
MENULOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Obsolete

Command entry: menuload

The Load/Unload Customizations dialog box is displayed. (CUILOAD command)

NoteThe Legacy Menu File (MNS) , Legacy Menu Template (MNU), and Customization (CUI) files used in past releases have been replaced with just one file type, the XML-based CUIx file.


MENUUNLOAD (Quick Reference)

MENULOAD
MENUUNLOAD
MESH
Commands > M commands >
MENUUNLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Obsolete

Command entry: menuunload

The Load/Unload Customizations dialog box is displayed. (CUIUNLOAD command)

NoteThe Legacy Menu File (MNS) , Legacy Menu Template (MNU), and Customization (CUI) files used in past releases have been replaced with just one file type, the XML-based CUIx file.


MESH (Quick Reference)

MENUUNLOAD
MESH
Mesh Object Ribbon Contextual Panels
Commands > M commands >
MESH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a 3D mesh primitive object such as a box, cone, cylinder, pyramid, sphere, wedge, or torus.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Primitives panel [image] BoxNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Meshes [image] PrimitivesNot available in menus in the current workspace
Toolbar: Mesh Primitives, Smooth Mesh
Command entry: mesh

Summary

The basic mesh forms, known as mesh primitives, are the equivalent of the primitive forms for 3D solids.

You can reshape mesh objects by smoothing, creasing, refining, and splitting faces. You can also drag edges, faces, and vertices to mold the overall form.

NoteBy default, new mesh primitives are created with no smoothness. To change the default smoothness, enter mesh at the Command prompt. Specify the Settings option before you specify the type of mesh primitive you want to create.

List of Prompts

The following prompts are displayed.

Select primitive [Box/Cone/CYlinder/Pyramid/Sphere/Wedge/Torus/SEttings]

Box

Creates a 3D mesh box.

Specify the length of the sides.

First corner / Corner

Sets the first corner of the mesh box.

  • Other corner. Sets the opposite corner of the mesh box.
  • Cube
  • Length
Center

Sets the center of the mesh box.

  • Corner. Sets the opposite corner of the mesh box.
  • Cube
  • Length
Cube

Sets all edges of the box to be of equal length.

  • Length
Length

Sets the length of the mesh box along the X axis.

  • Width (not available for cubes)
Width

Sets the width of the mesh box along the Y axis.

  • Height
  • 2Point (height)
Height

Sets the height of the mesh box along the Z axis.

2Point (height)

Sets the height based on the distance between two points:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.

Cone

Creates a 3D mesh with a circular or elliptical base that tapers symmetrically to a point or to a planar face.

Specify the diameter and height.

Center point of base

Sets the center point of the base of the mesh cone.

  • Base radius
  • Diameter
3P (three points)

Sets the location, size, and plane of the mesh cone by specifying three points:

  • First point. Sets the first point on the circumference of the mesh cone base.
  • Second point. Sets a second point on the circumference of the mesh cone base.
  • Third point. Sets the size and planar rotation of the mesh cone base.
    • Height
    • 2Point (height)
    • Axis endpoint
    • Top radius
2P (diameter)

Defines the base diameter of the mesh cone based on two points:

  • First endpoint of diameter. Sets the first location on the circumference of the mesh cone base.
  • Second endpoint of diameter. Determines the general location and size of the mesh cone base by setting the endpoint of the diameter.
    • Height
    • 2Point (height)
    • Axis endpoint
    • Top radius
Ttr (tangent, tangent, radius)

Defines the base of the mesh cone with a specified radius that is tangent to two objects:

  • Point on object for first tangent. Sets a point on an object to serve as the first tangent point.
  • Point on object for second tangent. Sets a point on an object to serve as the second tangent point.
  • Radius of circle. Sets the radius of the mesh cone base.
    • Height
    • 2Point (height)
    • Axis endpoint
    • Top radius

    If the specified criteria can produce multiple results, the closest tangent points are used.

Elliptical

Specifies an elliptical base for the mesh cone.

  • Endpoint of first axis. Sets the start point for the first axis of the mesh cone base and then specifies the other axis endpoints:
    • Other endpoint of first axis. Sets the first axis endpoint.
    • Endpoint of second axis. Sets the second axis endpoint
  • Center. Specifies the method for creating an elliptical mesh cone base that starts with the center point of the base:
    • Center point. Sets the center of the mesh cone base.
    • Distance to first axis. Sets the radius of the first axis.
    • Endpoint of second axis. Sets the endpoint of the second axis.
Base radius

Sets the radius of the mesh cone base.

  • Height
  • 2Point (height)
  • Axis endpoint
  • Top radius
Diameter

Sets the diameter for the base of the cone.

  • Height
  • 2Point (height)
  • Axis endpoint
  • Top radius
Height

Sets the height of the mesh cone along an axis that is perpendicular to the plane of the base.

2Point (height)

Defines the height of the mesh cone by specifying the distance between two points:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.
Axis endpoint

Sets the location of the top point of the cone or the center of the top face of a cone frustum. The orientation of the axis endpoint can be anywhere in 3D space.

Top radius

Specifies the top radius of the cone, creating a cone frustum.

  • Height
  • 2Point (height)
  • Axis endpoint

Cylinder

Creates a 3D mesh cylinder.

Specify the size of the base and height.

Center point of base

Sets the center point of the mesh cylinder base.

  • Base Radius
  • Diameter
3P (three points)

Sets the location, size, and plane of the mesh cylinder by specifying three points:

  • First point. Sets the first point on the circumference of the mesh cylinder base.
  • Second point. Sets a second point on the circumference of the mesh cylinder base.
  • Third point. Sets the size and planar rotation of the mesh cylinder base.
    • Height
    • 2Point (height)
    • Axis endpoint
2P (diameter)

Sets the diameter of the mesh cylinder base by specifying two points:

  • First endpoint of diameter. Sets the first point on the diameter of the mesh cylinder base.
  • Second endpoint of diameter. Sets the second point on the diameter of the mesh cylinder base.
    • Height
    • 2Point (height)
    • Axis endpoint
2Point (height)

Defines the height of the mesh cylinder by specifying the distance between two points:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.
Ttr (tangent, tangent, radius)

Defines the base of the mesh cylinder with a specified radius that is tangent to two objects. If the specified criteria can produce multiple results, the closest tangent points are used.

  • Point on object for first tangent. Sets a point on an object to serve as the first tangent point.
  • Point on object for second tangent. Sets a point on an object to serve as the second tangent point.
  • Radius of circle. Sets the radius of the mesh cylinder base.
    • Height
    • 2Point (height)
    • Axis endpoint
Base Radius

Sets the radius of the mesh cylinder base.

  • Height
  • 2Point (height)
  • Axis endpoint
Diameter

Sets the diameter for the base of the cylinder.

  • Height
  • 2Point (height)
  • Axis endpoint
Height

Sets the height of the mesh cylinder along an axis that is perpendicular to the plane of the base.

Axis endpoint

Sets the location of the top face of the cylinder. The orientation of the axis endpoint can be anywhere in 3D space.

Elliptical

Specifies an elliptical base for the mesh cylinder.

  • Endpoint of first axis. Sets the start point for the first axis of the mesh cone base.
    • Other endpoint of first axis. Sets the first axis endpoint.
    • Endpoint of second axis. Sets the second axis endpoint.
  • Center. Specifies the method for creating an elliptical mesh cone base that starts with the center point of the base.
    • Center point. Sets the center of the mesh cone base.
    • Distance to first axis. Sets the radius of the first axis.
    • Endpoint of second axis. Sets the endpoint of the second axis.

Pyramid

Creates a 3D mesh pyramid.

Specify the diameter and height.

Center point of base

Sets the center point of the mesh pyramid base.

  • Base radius
  • Inscribed
Edge

Sets the length of the one edge of the mesh pyramid base, as indicated by two points that you specify:

  • First endpoint of edge. Sets the first location of the edge of the mesh pyramid.
  • Second endpoint of edge. Sets the second location of the edge of the mesh pyramid.
    • Height
    • 2Point (height)
    • Axis endpoint
    • Top radius
Sides

Sets the number of sides for the mesh pyramid. Enter a positive value from 3-32.

  • Center point of base
  • Edge
  • Sides. Resets the number of sides for the mesh pyramid.
Base radius

Sets the radius of the mesh pyramid base.

  • Height
  • 2Point (height)
  • Axis endpoint
  • Top radius
Inscribed

Specifies that the base of the mesh pyramid is inscribed, or drawn within, the base radius.

  • Base radius
  • Circumscribed
Height

Sets the height of the mesh pyramid along an axis that is perpendicular to the plane of the base.

2Point (height)

Defines the height of the mesh cylinder by specifying the distance between two points:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.
Axis endpoint

Sets the location of the top point of the pyramid or the center of the top face of a pyramid frustum. The orientation of the axis endpoint can be anywhere in 3D space.

Top radius

Specifies the top radius of the mesh pyramid, creating a pyramid frustum.

  • Height
  • 2Point (height)
  • Axis endpoint
Circumscribed

Specifies that the base of the pyramid is circumscribed, or is drawn around, the base radius.

  • Base radius
  • Inscribed

Sphere

Creates a 3D mesh sphere.

Specify the size of the sphere (diameter or radius).

Center point

Sets the center point of the sphere.

  • Radius. Creates a mesh sphere based on a specified radius.
  • Diameter. Creates a mesh sphere based on a specified diameter.
3P (three points)

Sets the location, size, and plane of the mesh sphere by specifying three points:

  • First point. Sets the first point on the circumference of the mesh sphere.
  • Second point. Sets a second point on the circumference of the mesh sphere.
  • Third point. Sets the size and planar rotation of the mesh sphere.
2P (diameter)

Sets the diameter of the mesh sphere by specifying two points:

  • First endpoint of diameter. Sets the first point on the diameter of the mesh sphere.
  • Second endpoint of diameter. Sets the opposite point on the diameter of the mesh sphere.
Ttr (tangent, tangent, radius)

Defines a mesh sphere with a specified radius that is tangent to two objects:

  • Point on object for first tangent. Sets a point on an object to serve as the first tangent point.
  • Point on object for second tangent. Sets a point on an object to serve as the second tangent point.
  • Radius of circle. Sets the radius of the mesh sphere.

If the specified criteria can produce multiple results, the closest tangent points are used.

Wedge

Creates a 3D mesh wedge.

Specify the length and width of the base and the height.

First corner

Sets the first corner of the mesh wedge base.

  • Other corner. Sets the opposite corner of the mesh wedge base, located on the X,Y plane.
    • Height
    • 2Point (height)
  • Cube
  • Length
Center

Sets the center point of the mesh wedge base.

  • Corner. Sets one corner of the mesh wedge base.
    • Height
    • 2Point (height)
  • Cube
  • Length
Cube

Sets all edges of the mesh wedge base to be of equal length.

  • Length
Length

Sets the length of the mesh wedge base along the X axis.

  • Width (not available for Cube)
Width

Sets the width of the mesh box along the Y axis.

  • Height
  • 2Point (height)
Height

Sets the height of the mesh wedge. Enter a positive value to draw the height along the positive Z axis of the current UCS. Enter a negative value to draw the height along the negative Z axis.

2Point (height)

Defines the height of the mesh wedge by specifying the distance between two points:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.

Torus

Creates a 3D mesh primitive torus.

Specify two values: the size of the tube and the distance from the center of the torus to the center of the tube.

Center point

Sets the center point of the mesh torus.

  • Radius (torus)
  • Diameter (torus)
3P (three points)

Sets the location, size, and rotation of the mesh torus by specifying three points. The path of the tube passes through the specified points:

  • First point. Sets the first point on the path of the tube.
  • Second point. Sets the second point on the path of the tube.
  • Third point. Sets the third point on the path of the tube.
    • Tube radius
    • 2Point (tube radius)
    • Diameter (tube)
2P (torus diameter)

Sets the diameter of the mesh torus by specifying two points. The diameter is calculated from the center point of the torus to the center point of the tube.

  • First endpoint of diameter. Sets the first point used to specify the torus diameter distance.
  • Second endpoint of diameter. Sets the second point used to specify the torus diameter distance.
    • Tube radius
    • 2Point (tube radius)
    • Diameter (tube)
Ttr (tangent, tangent, radius)

Defines a mesh torus radius that is tangent to two objects. The specified tangent points are projected into the current UCS:

  • Point on object for first tangent. Sets a point on an object to serve as the first tangent point.
  • Point on object for second tangent. Sets a point on an object to serve as the second tangent point.
  • Radius of circle. Sets the radius of the mesh torus.

If the specified criteria can produce multiple results, the closest tangent points are used.

Radius (torus)

Sets the radius of the mesh torus, measured from the center point of the torus to the center point of the tube.

  • Tube radius
  • 2Point (tube radius)
  • Diameter (tube)
Diameter (torus)

Sets the diameter of the mesh torus, measured from the center point of the torus to the center point of the tube.

  • Tube radius
  • 2Point (tube radius)
  • Diameter (tube)
Tube radius

Sets the radius of the profile that is swept around the mesh torus path.

2Point (tube radius)

Sets the radius of the profile of the tube based on the distance between two points that you specify:

  • First point. Sets the first point of a two-point distance.
  • Second point. Sets the second point of a two-point distance.
Tube diameter

Sets the diameter of the profile of the mesh torus tube.

Settings

Modifies the smoothness and tessellation values for the new mesh object.

Level of smoothness

Sets the initial degree of smoothness, or roundness, to be applied to the mesh. Enter 0 to eliminate smoothness. Enter a positive integer up to 4 for increased degrees of smoothness. The value is retained for the current drawing session.

This smoothness value is limited by the value of SMOOTHMESHMAXLEV.

Tessellation

Opens the Mesh Primitive Options dialog box, where you can update tessellation values (the number of faces) for each dimension of a mesh primitive option.


Mesh Object Ribbon Contextual Panels (Quick Reference)

MESH
MESH
Mesh Subobject Ribbon Contextual Panels
Commands > M commands > MESH >
Mesh Object Ribbon Contextual Panels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides ribbon access to commonly used tools when a mesh object is selected.

Access Methods

Pointing device: Select a mesh object.

Smooth Panel

Smooth More | Increases the level smoothness for mesh objects by one level (MESHSMOOTHMORE).
Smooth Less | Decreases the level of smoothness for mesh objects by one level (MESHSMOOTHLESS).
Refine Mesh | Multiplies the number of faces in selected mesh objects or subobjects (MESHREFINE).

Convert Mesh Panel

Convert to Solid | Increases the level smoothness for mesh objects by one level (CONVTOSOLID).
Convert to Surface | Decreases the level of smoothness for mesh objects by one level (CONVTOSURFACE).
Smooth, Optimized | Creates a smooth model. Coplanar faces are optimized, or merged (SMOOTHMESHCONVERT = 0).
Smooth, Not Optimized | Creates a smooth model. Original mesh faces are retained in the converted object (SMOOTHMESHCONVERT = 1).
Faceted, Optimized | Creates a model with flattened faces. Coplanar faces are optimized, or merged (SMOOTHMESHCONVERT = 2).
Faceted. not Optimized | Creates model with flattened faces. Original mesh faces are retained in the converted object (SMOOTHMESHCONVERT = 3).


Mesh Subobject Ribbon Contextual Panels (Quick Reference)

Mesh Object Ribbon Contextual Panels
MESH
MESHCREASE
Commands > M commands > MESH >
Mesh Subobject Ribbon Contextual Panels
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides ribbon access to commonly used tools when a mesh subobject is selected.

Access Methods

Pointing device: Select a mesh face, edge, or vertex.

Crease Panel

Add Crease | Sharpens the edges of selected mesh subobjects (MESHCREASE).
Remove Crease | Removes the crease from selected mesh faces, edges, or vertices (MESHUNCREASE).

Edit Face Panel

Split Face | Splits a mesh face into two faces (MESHSPLIT).
Extrude Face | Extrudes the face of a mesh object to add more definition to the mesh (EXTRUDE).
Refine Mesh | Multiplies the number of faces in selected mesh objects or subobjects (MESHREFINE).


MESHCREASE (Quick Reference)

Mesh Subobject Ribbon Contextual Panels
MESHCREASE
MESHOPTIONS
Commands > M commands >
MESHCREASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sharpens the edges of selected mesh subobjects.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Mesh panel [image] Add CreaseNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] CreaseNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshcrease

Summary

You can sharpen, or crease, the edges of mesh objects. Creasing deforms mesh faces and edges that are adjacent to the selected subobject. Creases added to mesh that has no smoothness are not apparent until the mesh is smoothed.

You can also apply creases to mesh subobjects by changing the crease type and crease level in the Properties palette.

List of Prompts

The following prompts are displayed.

Select mesh subobjects to crease

Specifies the mesh subobjects to crease. Click mesh faces, edges, and vertices to crease their associated edges. Press Shift+click to remove a subobject from the selection set.

  • Crease value
  • Always
Crease value

Sets highest smoothing level at which the crease is retained. If the smoothing level exceeds this value, the crease is also smoothed.

Enter a value of 0 to remove an existing crease.

Always

Specifies that the crease is always retained, even if the object or subobject is smoothed or refined. A crease value of -1 is the same as Always.


MESHOPTIONS (Quick Reference)

MESHCREASE
MESHOPTIONS
Mesh Tessellation Options Dialog Box
Commands > M commands >
MESHOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Mesh Tessellation Options dialog box, which controls default settings for converting existing objects to mesh objects.

Access Methods

Ribbon: Home tab [image] Mesh panel [image] [image] Mesh Tessellation Options
Command entry: meshoptions

Summary

The Mesh Tessellation Options dialog box is displayed.


Mesh Tessellation Options Dialog Box (Quick Reference)

MESHOPTIONS
MESHOPTIONS
MESHPRIMITIVEOPTIONS
Commands > M commands > MESHOPTIONS >
Mesh Tessellation Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls default settings for converting objects to mesh objects

Access Methods

Ribbon: Home tab [image] Mesh panel [image] [image] Mesh Tessellation Options
Command entry: meshoptions

Summary

The defaults that you set in the Mesh Tessellation Options dialog box control the appearance of objects that you convert to 3D mesh objects. For a complete list of objects that can be converted to mesh, see the MESHSMOOTH command.

This dialog box is also available from the Options dialog box.

List of Options

The following options are available in this dialog box.

Select Objects to Tessellate

Temporarily closes the dialog box so that you can select an object to convert to a mesh object. You can select 3D solids, 3D surfaces, 3D faces, polygon or polyface meshes, regions, and closed polylines.

Mesh Type and Tolerance

Specifies the default properties of objects that are converted to 3D mesh objects. Settings that increase the number of mesh faces can slow program performance.

Mesh Type

Specifies the type of mesh to be used in the conversion. (FACETERMESHTYPE system variable)

  • Smooth Mesh Optimized. Sets the shape of the mesh faces to adapt to the shape of the mesh object.
  • Mostly Quads. Sets the shape of the mesh faces to be mostly quadrilateral.
  • Triangles. Sets the shape of the mesh faces to be mostly triangular.
Mesh Distance from Original Faces

Sets the maximum deviation of the mesh faces from the surface or shape of the original object. Smaller values result in less deviation, but create more faces and might affect program performance. (FACETERDEVSURFACE system variable)

Maximum Angle Between New Faces

Sets the maximum angle of the surface normal of two adjacent faces. (FACETERDEVNORMAL system variable)

Increasing this value increases the density of the mesh in areas of high curvature, and decreases the density in flatter areas. If the value of Mesh Distance from Original Faces (FACETERDEVSURFACE) is high, you can increase the maximum angle value. This setting is useful if you want to refine the appearance of small details such as holes or fillets.

Maximum Aspect Ratio for New Faces

Sets the maximum aspect ratio (height/width) of new mesh faces. (FACETERGRIDRATIO system variable)

Use this value to prevent long, slivered faces. You can specify the following values:

  • 0 (zero). Ignores the aspect ratio limitation.
  • 1. Specifies that the height and width must be the same.
  • Greater than 1. Sets the maximum ratio by which the height can exceed the width.
  • Greater than 0 but less than 1. Sets the maximum ratio by which the width can exceed the height.

This option does not affect faces that are planar before conversion.

Maximum Edge Length for New Faces

Sets the maximum length of any edge that is created during a conversion to a mesh object. (FACETERMAXEDGELENGTH system variable)

With the default value 0 (zero), the size of the model determines the size of the mesh faces. Setting larger values results in fewer faces and less accurate adherence to the original shape, but improves program performance. You can improve conversions that result in long, slivered faces by decreasing this value.

Meshing Primitive Solids

Specifies which settings to use when you convert 3D solid primitive objects to mesh objects.

Use Optimized Representation for 3D Primitive Solids

Specifies which settings to use when you convert primitive solid objects to mesh objects. (FACETERPRIMITIVEMODE system variable)

Select the check box to use the mesh settings specified in the Mesh Primitive Options dialog box. Clear the check box to use the settings specified in the Mesh Tessellation Options dialog box.

Mesh Primitives

Opens the Mesh Primitive Options dialog box.

This button is available only when Use Optimized Representation for 3D Primitive Solids is selected.

Smooth Mesh After Tessellation

Specifies what level of smoothness is applied to objects after they are converted to mesh.

When the Mesh Type option is set to Mostly Quads or Triangle, the converted mesh objects have no smoothness. The following settings are not available for those conversions.

Apply Smoothness After Tessellation

Sets whether the new mesh objects are smoothed after they are converted.

Select the check box to apply smoothing.

Smoothness Level After Tessellation

Sets the level of smoothness for new mesh objects. (FACETERSMOOTHLEV system variable)

Enter 0 to eliminate smoothness. Enter a positive integer for increased degrees of smoothness.

This option is available only when Apply Smoothness After Tessellation is selected.

Preview

Displays the effect of the current settings in the drawing area. Press Enter to accept the changes.

To display the dialog box again, press Esc.


MESHPRIMITIVEOPTIONS (Quick Reference)

Mesh Tessellation Options Dialog Box
MESHPRIMITIVEOPTIONS
Mesh Primitive Options Dialog Box
Commands > M commands >
MESHPRIMITIVEOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Mesh Primitive Options dialog box, which sets the tessellation defaults for primitive mesh objects.

Access Methods

Ribbon: Mesh Modeling tab [image] Primitives panel [image] [image] Mesh Primitive Options
Command entry: meshprimitiveoptions

Summary

The Mesh Primitive Options dialog box is displayed.


Mesh Primitive Options Dialog Box (Quick Reference)

MESHPRIMITIVEOPTIONS
MESHPRIMITIVEOPTIONS
MESHREFINE
Commands > M commands > MESHPRIMITIVEOPTIONS >
Mesh Primitive Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the tessellation defaults for primitive mesh objects.

Access Methods

Ribbon: Mesh Modeling tab [image] Primitives panel [image] [image] Mesh Primitive Options
Command entry: meshprimitiveoptions

Summary

The defaults you set in the Mesh Primitive Options dialog box control the appearance of new mesh primitive objects. Mesh primitives include boxes, cones, pyramids, cylinders, spheres, wedges, and tori.

This dialog box is also available from the Options and Mesh Tessellation Options dialog boxes.

List of Options

The following options are displayed.

Mesh

Specifies the initial mesh density for each type of mesh primitive by specifying the number of divisions per side.

Mesh Primitive

Specifies a mesh primitive to modify. Select a primitive type (such as Box or Cone) to display its settings under Tessellation Divisions.

Tessellation Divisions

For each selected mesh primitive type, sets the default number of divisions for each side.

Enter a new value to reset the number of divisions for new mesh primitives.

  • Box

    Length. Sets the number of divisions for the length of a mesh box along the X axis. (DIVMESHBOXLENGTH system variable)

    Width. Sets the number of divisions for the width of a mesh box along the Y axis. (DIVMESHBOXWIDTH system variable)

    Height. Sets the number of divisions for the height of a mesh box along the Z axis. (DIVMESHBOXHEIGHT system variable)

  • Cone

    Axis. Sets the number of divisions around the perimeter of the mesh cone base. (DIVMESHCONEAXIS system variable)

    Height. Sets the number of divisions between the base and the point or top of the mesh cone. (DIVMESHCONEHEIGHT system variable)

    Base. Sets the number of divisions between the perimeter and the center point of the mesh cone base. (DIVMESHCONEBASE system variable)

  • Cylinder

    Axis. Sets the number of divisions around the perimeter of the mesh cylinder base. (DIVMESHCYLAXIS system variable)

    Height. Sets the number of divisions between the base and the top of the mesh cylinder. (DIVMESHCYLHEIGHT system variable)

    Base. Sets the number of divisions between the perimeter and the center point of the mesh cylinder base. (DIVMESHCYLBASE system variable)

  • Pyramid

    Length. Sets the number of divisions for the sides of the mesh pyramid base. (DIVMESHPYRLENGTH system variable)

    Height. Sets the number of divisions between the base and the top of the mesh pyramid. (DIVMESHPYRHEIGHT system variable)

    Base. Sets the number of divisions between the perimeter and the center point of the mesh pyramid base. (DIVMESHPYRBASE system variable)

  • Sphere

    Axis. Sets the number of radial divisions around the axis endpoint of the mesh sphere. (DIVMESHSPHEREAXIS system variable)

    Height. Sets the number of divisions between the two axis endpoints of the mesh sphere. (DIVMESHSPHEREHEIGHT)

  • Wedge

    Length. Sets the number of divisions for the length of a mesh wedge along the X axis. (DIVMESHWEDGELENGTH system variable)

    Width. Sets the number of divisions for the width of the mesh wedge along the Y axis. (DIVMESHWEDGEWIDTH system variable)

    Height. Sets the number of divisions for the height of the mesh wedge along the Z axis. (DIVMESHWEDGEHEIGHT system variable)

    Slope. Sets the number of divisions in the slope that extends from the apex of the wedge to the edge of the base. (DIVMESHWEDGESLOPE system variable)

    Base. Sets the number of divisions between the midpoint of the perimeter of the triangular side of the mesh wedge. (DIVMESHWEDGEBASE system variable)

  • Torus

    Radius. Sets the number of divisions around the circumference of the profile that forms the tube of the torus. (DIVMESHTORUSSECTION system variable)

    Sweep Path. Sets the number of divisions around the circumference of the path that is swept by the profile. (DIVMESHTORUSPATH system variable)

Preview

Displays different views of the changes you make.

Zoom Extents button

Sets the preview display so that the image fits entirely within the Preview window.

Pan button

Moves the image horizontally and vertically within the Preview window. You can also pan by holding down the scroll wheel of your mouse as you move the mouse.

Zoom button

Changes the magnification of the Preview image. When the button is selected, hold the left mouse button and drag upwards to zoom in or downwards to zoom out.

You can also roll the mouse scroll wheel to zoom in or out at any time.

Orbit button

Rotates the preview image within the Preview window as you drag the image with the mouse.

Preview window

Displays a wireframe example of the Tessellation Divisions settings.

You can change the visual style of the preview by using the shortcut menu to select such options as 3D Hidden, 3D Wireframe, and Conceptual.

Preview’s Smoothness Level

Changes the preview image to reflect a specific level of smoothness you specify.

Changing this value does not affect the default level of smoothness for new primitive meshes.

Preview Shortcut Menu

Displays the following options on a shortcut menu when you right-click the preview image:

  • Zoom Extents. Sets the preview display so that the image fits entirely within the Preview window.
  • Pan. Moves the image horizontally and vertically within the Preview window.
  • Zoom. Changes the magnification of the Preview image.
  • Visual Styles. Sets the preview display in the dialog box to be 3D Hidden, 3D Wireframe, Conceptual, or Realistic.

Preview Update

Sets how often the preview image is updated.

Auto-update

Sets whether the preview image is automatically updated as you modify the options.

If you clear this check box, you can update the preview by using the Update button.

Update

Updates the preview image to show any changes you have made. This button is not available when Auto-update is selected.


MESHREFINE (Quick Reference)

Mesh Primitive Options Dialog Box
MESHREFINE
MESHSMOOTH
Commands > M commands >
MESHREFINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Multiplies the number of faces in selected mesh objects or faces.

Access Methods

Button

Ribbon: Home tab [image] Mesh panel [image] Refine MeshNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] Refine MeshNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshrefine

Summary

Refining a mesh object increases the number of editable faces, providing additional control over fine modeling details. To preserve program memory, you can refine specific faces instead of the entire object.

Refining an object resets the smoothing level that was assigned to the object to 0 (zero). This level of smoothness becomes the new baseline for the object. That is, the smoothness level can no longer be decreased beyond that level. Refining a subobject does not reset the smoothing level.

List of Prompts

The following prompt is displayed.

Mesh object or face subobjects to refine

Specifies 3D mesh objects or mesh faces to be refined. Press Ctrl+click to isolate a specific face.


MESHSMOOTH (Quick Reference)

MESHREFINE
MESHSMOOTH
MESHSMOOTHLESS
Commands > M commands >
MESHSMOOTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts 3D objects such as polygon meshes, surfaces, and solids to mesh objects.

Access Methods

Button

Ribbon: Home tab [image] Mesh panel [image] Smooth ObjectsNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Meshes [image] Smooth MeshNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshsmooth

Summary

Take advantage of the detailed modeling capabilities of 3D mesh by converting objects such as 3D solids and surfaces to mesh.

Use this method to convert 3D faces (3DFACE) and legacy polygonal and polyface meshes (from AutoCAD 2009 and earlier). You can also convert 2D objects such as regions and closed polylines.

The default mesh settings are defined in the Mesh Tessellation Options dialog box. The level of smoothness upon conversion depends on the mesh type setting in this dialog box. If the mesh type is not set to be optimized, the converted object is not smoothed.

To convert mesh objects to 3D surfaces or solids, use CONVTOSOLID or CONVTOSURFACE commands.

Objects That Can Be Converted to Mesh

Object type
3D solids
3D surfaces
3D faces
Polyface and polygon meshes (legacy)
Regions
Closed polylines

List of Prompts

The following prompt is displayed.

Select objects to convert

In the drawing area, specifies an object to convert to a mesh object.


MESHSMOOTHLESS (Quick Reference)

MESHSMOOTH
MESHSMOOTHLESS
MESHSMOOTHMORE
Commands > M commands >
MESHSMOOTHLESS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Decreases the level of smoothness for mesh objects by one level.

Access Methods

Button

Ribbon: Home tab [image] Mesh panel [image] Smooth LessNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] Smooth LessNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshsmoothless

Summary

Decrease the smoothness of selected mesh objects by one level. You can only decrease the smoothness of objects whose level of smoothness is 1 or higher. You cannot decrease the smoothness level of objects that have been refined.

You can decrease the smoothness of multiple objects. If the selected objects have different levels of smoothness, their respective levels are decreased by one. If the selection set contains ineligible objects, those objects can be filtered out.

List of Prompts

The following prompt is displayed.

Select mesh objects to increase the smoothness level

Specifies mesh objects to be smoothed by one level.


MESHSMOOTHMORE (Quick Reference)

MESHSMOOTHLESS
MESHSMOOTHMORE
MESHSPLIT
Commands > M commands >
MESHSMOOTHMORE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Increases the level of smoothness for mesh objects by one level.

Access Methods

Button

Ribbon: Home tab [image] Mesh panel [image] Smooth MoreNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] Smooth MoreNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshsmoothmore

Summary

Smoothing increases the number of facets in the mesh, resulting in a rounder object.

Facets are the underlying components of each mesh face. You can increase the smoothness level up to the value of SMOOTHMESHMAXLEV as long as the number of faces does not exceed the value in the SMOOTHMESHMAXFACE system variable. If you select multiple objects with differing levels of smoothness, their respective levels are increased by one.

You can only smooth mesh objects. However, you have the option of converting some types of objects to mesh during the smoothing operation. You can also filter out ineligible objects that you do not want to convert. For a list of objects that can be converted, see MESHSMOOTH.

List of Prompts

The following prompt is displayed.

Select mesh objects to increase the smoothness level

Specifies mesh objects to be smoothed by one level.


MESHSPLIT (Quick Reference)

MESHSMOOTHMORE
MESHSPLIT
MESHUNCREASE
Commands > M commands >
MESHSPLIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Splits a mesh face into two faces.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Mesh Edit panel [image] Split Mesh FaceNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] Split FaceNot available in menus in the current workspace
Command entry: meshsplit

Summary

Split a face to add more definition to an area without having to refine it. Because you specify the start and endpoint of the split, this method provides greater control over the location of the split.

List of Prompts

The following prompts are displayed:

Select a face to split

In the drawing area, specifies which mesh face to split.

  • First split point. Sets the location on an edge of the mesh face.
  • Second split point. Sets a second location on an edge of the mesh face to define the path of the split.


MESHUNCREASE (Quick Reference)

MESHSPLIT
MESHUNCREASE
MINSERT
Commands > M commands >
MESHUNCREASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes the crease from selected mesh faces, edges, or vertices.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Mesh panel [image] Remove CreaseNot available on the ribbon in the current workspace
Menu: Modify [image] Mesh Editing [image] UncreaseNot available in menus in the current workspace
Toolbar: Smooth Mesh
Command entry: meshuncrease

Summary

Restore smoothness to an edge that has been creased.

You can also remove a selected crease in the Crease area of Properties palette by changing the Type value to None.

List of Prompts

The following prompt is displayed:

Select crease to remove

Specifies which creased edges to smooth. You do not need to press Ctrl to select a creased subobject.


MINSERT (Quick Reference)

MESHUNCREASE
MINSERT
MIRROR
Commands > M commands >
MINSERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts multiple instances of a block in a rectangular array.

Command entry: minsert

Enter block name or [?]: Enter a name, enter ? to list the currently defined blocks in the drawing, or enter ~ to display the Select Drawing File dialog box

NoteYou cannot precede the name of a block with an asterisk to explode the block's objects during insertion, as you can with INSERT.

Specify insertion point or [Scale/X/Y/Z/Rotate/PScale/PX/PY/PZ/PRotate]: Specify a point or enter an option

Options at the insertion point preset the scale and rotation of a block before you specify its position. Presetting is useful for dragging a block using a scale factor and a rotation other than 1 or 0. If you enter one of the options, respond to the prompts by specifying a distance for the scale options or an angle for rotation.

Blocks inserted using MINSERT cannot be exploded.

You cannot use MINSERT with annotative blocks.

Insertion Point

Specifies a location for the blocks.

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

X Scale Factor

Sets X and Y scale factors.

Enter Y scale factor <use X scale factor>: Enter a value or press Enter to use the same scale factor

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Corner

Sets the scale factor by using the block insertion point and the opposite corner.

Specify opposite corner: Specify a point

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

XYZ

Sets X, Y, and Z scale factors.

Specify X scale factor or [Corner] <1>: Enter a value or press Enter to use the same scale factor

If you enter c, you specify a corner point. The specified point and the block insertion point determine the X and Y scale factors.

Specify Y scale factor or <use X scale factor>: Enter a value or press Enter to use the same scale factor

Enter Z scale factor <use X scale factor>: Enter a value or press Enter to use the same scale factor

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Scale

Sets the scale factor for the X, Y, and Z axes. The scale for the Z axis is the absolute value of the specified scale factor.

Specify scale factor for XYZ axes: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one row, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

X

Sets the X scale factor.

Specify X scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Y

Sets the Y scale factor.

Specify Y scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Z

Sets the Z scale factor.

Specify Z scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the individual block inserts and also sets the angle of the entire array.

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value, or specify two points to define a box whose width and height represent the distance between rows and between columns

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Rotate

Sets the angle of insertion for both the individual blocks and the entire array.

Specify rotation angle <0>:

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option or press Enter

X Scale Factor

Sets the X scale factor.

Enter Y scale factor <use X scale factor>: Enter a value or press Enter to use the same scale factor

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value or specify a distance

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

Corner

Sets the scale factor by the specified point and the block insertion point.

Specify opposite corner: Specify a point

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value or specify a distance

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

XYZ

Specify X scale factor or [Corner] <1>: Specify a nonzero value, enter c, or press Enter

You can determine the X and Y scale factors by entering a scale factor value or by specifying a corner point. If you specify a corner point, the specified point and the block insertion point determine the X and Y scale factors for the block.

Enter Z scale factor <use X scale factor>: Enter a value or press Enter to use the same scale factor

Enter number of rows (---) <1>: Enter a positive value

Enter number of columns (| | |) <1>: Enter a positive value

If you specify more than one row, the following prompt is displayed:

Enter distance between rows or specify unit cell (---): Enter a value or specify a distance

If you specify more than one column and no unit cell, the following prompt is displayed:

Specify distance between columns ( | | | ): Enter a value or specify a distance

PScale

Sets the scale factor for the X, Y, and Z axes to control the display of the block as it is dragged into position.

Specify preview scale factor for XYZ axes: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options match those of the corresponding options under Rotate.

PX

Sets the scale factor for the X axis to control the display of the block as it is dragged into position.

Specify preview X scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options match those of the corresponding options under Rotate.

PY

Sets the scale factor for the Y axis to control the display of the block as it is dragged into position.

Specify preview Y scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options match those of the corresponding options under Rotate.

PZ

Sets the scale factor for the Z axis to control the display of the block as it is dragged into position.

Specify preview Z scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options match those of the corresponding options under Rotate.

PRotate

Sets the rotation angle of the block as it is dragged into position.

Specify preview rotation angle:

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press Enter

The descriptions of the X Scale Factor, Corner, and XYZ options match those of the corresponding options under Rotate.


MIRROR (Quick Reference)

MINSERT
MIRROR
MIRROR3D
Commands > M commands >
MIRROR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mirrored copy of selected objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] MirrorNot available on the ribbon in the current workspace
Menu: Modify [image] MirrorNot available in menus in the current workspace
Toolbar: Modify
Command entry: mirror

Select objects: Use an object selection method and press Enter to finish

Specify first point of mirror line: Specify a point

Specify second point of mirror line: Specify a point

The two specified points become the endpoints of a line about which the selected objects are mirrored. For mirroring in 3D, this line defines a mirroring plane perpendicular to the XY plane of the user coordinate system (UCS) containing the mirror line.

Erase source objects? [Yes/No] <N>: Enter y or n, or press Enter

Yes

Places the mirrored image into the drawing and erases the original objects.

No

Places the mirrored image into the drawing and retains the original objects.

You can create objects that represent half of a drawing, select them, and mirror them across a specified line to create the other half.

NoteBy default, when you mirror a text object, the direction of the text is not changed. Set the MIRRTEXT system variable to 1 if you do want the text to be reversed.


MIRROR3D (Quick Reference)

MIRROR
MIRROR3D
MLEADER
Commands > M commands >
MIRROR3D
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mirrored copy of selected objects across a mirroring plane.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] 3D MirrorNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] 3D MirrorNot available in menus in the current workspace
Command entry: mirror3d

For example:

It is recommended that you use the gizmos available through the 3DMOVE, 3DROTATE, and 3DSCALE commands to manipulate 3D objects. For more information about using gizmos, see Use Gizmos to Modify Objects.

Select objects: Use an object selection method and press Enter to finish

Specify first point of mirror plane (3 points) or [Object/Last/Zaxis/View/XY/YZ/ZX/3points] <3points>: Enter an option, specify a point, or press Enter

Object

Uses the plane of a selected planar object as the mirroring plane.

Select a circle, arc, or 2D-polyline segment:

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object is placed into the drawing and the original objects are retained.

Last

Mirrors the selected objects about the last defined mirroring plane.

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object are placed into the drawing and the original objects are retained.

Z Axis

Defines the mirroring plane by a point on the plane and a point normal to the plane.

Specify point on mirror plane: Specify a point (1)

Specify point on Z-axis (normal) of mirror plane: Specify a point (2)

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object are placed into the drawing and the original objects are retained.

View

Aligns the mirroring plane with the viewing plane of the current viewport through a point.

Specify point on view plane <0,0,0>: Specify a point or press Enter

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object are placed into the drawing and the original objects are retained.

XY/YZ/ZX

Aligns the mirroring plane with one of the standard planes (XY, YZ, or ZX) through a specified point.

Specify point on (XY, YZ, ZX) plane <0,0,0>: Specify a point (1) or press Enter

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object are placed into the drawing and the original objects are retained.

3 Points

Defines the mirroring plane by three points. If you select this option by specifying a point, the First Point on Mirror Plane prompt is not displayed.

Specify first point on mirror plane: Enter a point (1)

Specify second point on mirror plane: Enter a point (2)

Specify third point on mirror plane: Enter a point (3)

Delete source objects? [Yes/No] <N>: Enter y or n, or press Enter

If you enter y, the reflected object is placed into the drawing and the original objects are deleted. If you enter n or press Enter, the reflected object are placed into the drawing and the original objects are retained.


MLEADER (Quick Reference)

MIRROR3D
MLEADER
MLEADERALIGN
Commands > M commands >
MLEADER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a multileader object.

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] MultileaderNot available on the ribbon in the current workspace
Menu: Dimension [image] MultileaderNot available in menus in the current workspace
Toolbar: Multileader
Command entry: mleader

Summary

A multileader object typically consists of an arrowhead, a horizontal landing, a leader line or curve, and either a multiline text object or a block.

Multileaders can be created arrowhead first, leader landing first, or content first. If a multileader style has been used, then the multileader can be created from that specified style.

List of Prompts

Specify leader arrowhead location or [leader Landing first/Content first/Options]

Arrowhead First

Specifies a location for the arrowhead of the multileader object.

Point Selection

Sets placement of the leader landing for the new multileader object.

Specify leader landing location:

If you exit the command at this point, then no text is associated with the multileader object.

Leader Landing First

Specifies a location for the landing line of the multileader object.

If the multileader object you previously drew was landing first, then subsequent multileaders are created landing first until otherwise specified.

Point Selection

Sets placement of the arrowhead for the new multileader object.

Specify leader arrowhead location:

If you exit the command at this point, then no text is associated with the multileader line.

Content First

Specifies a location for the text or block associated with the multileader object.

If the multileader object you previously drew was content first, then subsequent multileader objects are created content first until otherwise specified.

Point Selection

Sets placement for the text box for the text label associated with the multileader object. When you finish entering your text, click OK or click outside the text box.

You can also choose to place the multileader object with the leader first as outlined above.

If you choose End at this point, then no landing line is associated with the mleader object.

Options

Specifies options for placing the multileader object.

Enter an option [Leader type/leader lAnding/Content type/Maxpoints/First angle/Second angle/eXit options]:

Leader Type

Specifies the type of leader line to use

Enter an option [Type/Landing]:

Type

Specifies a straight, spline, or no leader line.

Select a leader type [Straight/sPline/None]:

Landing

Changes the distance of the horizontal landing line

Use landing [Yes/No]:

If you choose No at this point, then no landing line is associated with the multileader object.

Content Type

Specifies the type of content that will be used

Enter a content type [Block/None]:

Block

Specifies a block within your drawing to associate with the new multileader.

Enter block name:

None

Specifies no content type.

Maxpoints

Specifies a maximum number of points for the new leader line.

Enter the maximum points for leader line or <none.:

First Angle

Constrains the angle of the first point in the new leader line.

Enter first angle constraint or <none>:

Second Angle

Constrains the second angle in the new leader line.

Enter second angle constraint or <none>:

Exit Options

Returns you to the first MLEADER command prompt.


MLEADERALIGN (Quick Reference)

MLEADER
MLEADERALIGN
MLEADERCOLLECT
Commands > M commands >
MLEADERALIGN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Aligns and spaces selected multileader objects.

Access Methods

Button

Ribbon: Annotate tab [image] Multileaders panel [image] AlignNot available on the ribbon in the current workspace
Toolbar: Multileader
Command entry: mleaderalign

Select multileaders:

After multileaders have been selected, specify the multileader to which all others are aligned.

Select multileader to align to or [Options]:

Options

Specifies options for aligning and spacing the selected multileaders.

Enter an option [Distribute/make leader segments Parallel/specify Spacing/Use current spacing]:

Distribute

Spaces content evenly between two selected points.

Make Leader Segments Parallel

Places content so that each of the last leader segments in the selected multileaders are parallel.

Specify Spacing

Specifies spacing between the extents of the content of selected multileaders.

Use Current Spacing

Uses the current spacing between multileader content.


MLEADERCOLLECT (Quick Reference)

MLEADERALIGN
MLEADERCOLLECT
MLEADEREDIT
Commands > M commands >
MLEADERCOLLECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Organizes selected multileaders that contain blocks into rows or columns, and displays the result with a single leader.

Access Methods

Button

Ribbon: Annotate tab [image] Multileaders panel [image] CollectNot available on the ribbon in the current workspace
Toolbar: Multileader
Command entry: mleadercollect

Select multileaders:

After you select multileaders, you can specify their placement.

For example:

Specify collected multileader location or [Vertical/Horizontal/Wrap]:

Specify Location

Specifies the point for placing the multileader collection in the upper-left corner of the collection.

Vertical

Places the multileader collection in one or more columns.

Horizontal

Places the multileader collection in one or more rows.

Wrap

Specifies a width for a wrapped multileader collection.

Specify wrap width or [Number]:

Number specifies a maximum number of blocks per row in the multileader collection.


MLEADEREDIT (Quick Reference)

MLEADERCOLLECT
MLEADEREDIT
MLEADERSTYLE
Commands > M commands >
MLEADEREDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds leader lines to, or removes leader lines from, a multileader object.

Access Methods

Ribbon: Annotate tab [image] Multileaders panel [image] Add LeaderNot available on the ribbon in the current workspace
Toolbar: Multileader
Command entry: mleaderedit

Select a multileader:

After you select a multileader, you can add or remove leader lines.

Specify leader arrowhead location or [Remove leaders]:

Add Leader

Adds a leader line to a selected multileader object. The new leader line is added to the left or right of the selected multileader, depending on the location of the cursor.

If there are more than 2 leader points in the specified multileader style, you are prompted to specify another point.

Select next point of new leader segment or [Remove leader]:

Specify next point:

Specify leader arrowhead location:

Remove Leader

Removes a leader line from a selected multileader object.

Specify leaders to remove:

For example:


MLEADERSTYLE (Quick Reference)

MLEADEREDIT
MLEADERSTYLE
Multileader Style Manager
Commands > M commands >
MLEADERSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates and modifies multileader styles.

Access Methods

Ribbon: Annotate tab [image] Leaders panel [image] [image] [image] Multileader Style
Toolbar: Multileader
Toolbar: Styles
Menu: Format [image] Multileader StyleAt the Command prompt, enter mleaderstyle.
Command entry: mleaderstyle

Summary

The Multileader Style Manager is displayed.


Multileader Style Manager (Quick Reference)

MLEADERSTYLE
MLEADERSTYLE
Modify Multileader Style Dialog Box
Commands > M commands > MLEADERSTYLE >
Multileader Style Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates and modifies styles that you can use to create multileader objects

Access Methods

Ribbon: Annotate tab [image] Leaders panel [image] [image] [image] Multileader Style
Toolbar: Multileader
Toolbar: Styles
Menu: Format [image] Multileader StyleAt the Command prompt, enter mleaderstyle.
Command entry: mleaderstyle

Sets the current multileader style and creates, modifies, and deletes multileader styles.

The appearance of multileaders is controlled by multileader styles. These styles specify formatting for landing lines, leader lines, arrowheads, and content.

Current Multileader Style

Displays the name of the multileader style that is applied to multileaders you create. The default multileader style is STANDARD.

Styles

Displays a list of multileader styles. The current style is highlighted.

List

Controls the contents of the Styles list. Click All Styles to display all multileader styles available in the drawing. Click Styles In Use to display only the multileader styles that are referenced by multileaders in the current drawing.

Preview

Displays a preview image of the style that is selected in the Styles list.

Set Current

Sets the multileader style selected in the Styles list as the current style. All new multileaders are created using this multileader style.

New

Displays the Create New Multileader Style dialog box, in which you can define new multileader styles.

Modify

Displays the Modify Multileader Style dialog box, in which you can modify multileader styles.

Delete

Deletes the multileader style selected in the Styles list. A style that is being used in the drawing cannot be deleted.


Modify Multileader Style Dialog Box (Quick Reference)

Multileader Style Manager
MLEADERSTYLE
Create New Multileader Style Dialog Box
Commands > M commands > MLEADERSTYLE >
Modify Multileader Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modifies an existing multileader style.

Access Methods

Ribbon: Annotate tab [image] Leaders panel [image] [image] [image] Multileader Style
Toolbar: Multileader
Toolbar: Styles
Menu: Format [image] Multileader StyleAt the Command prompt, enter mleaderstyle.
Command entry: mleaderstyle

Summary

Controls the general appearance of the multileader.

Leader Format Tab

General

Type

Determines the type of leader line. You can choose a straight leader, a spline, or no leader line.

Color

Determines the color of the leader line.

Linetype

Determines the linetype of the leader line.

Lineweight

Determines the lineweight of the leader line.

Arrowhead

Controls the appearance of the multileader arrowheads.

Symbol

Sets the arrowhead symbol for the multileader.

Size

Displays and sets the size of arrowheads.

Leader Break

Controls the settings used when adding a dimension break to a multileader.

Break Size

Displays and sets the break size used for the DIMBREAK command when the multileader is selected.

Leader Structure Tab

Constraints

Controls the constraints of the multileader.

Maximum Leader Points

Specifies a maximum number of points for the leader line.

First Segment Angle

Specifies the angle of the first point in the leader line.

Second Segment Angle

Specifies the angle of the second point in the multileader landing line.

Landing Settings

Controls the landing settings of the multileader.

Automatically Include Landing

Attaches a horizontal landing line to the multileader content.

Set Landing Distance

Determines the fixed distance for the multileader landing line.

Scale

Controls the scaling of the multileader.

Annotative

Specifies that the multileader is annotative. Click the information icon to learn more about annotative objects.

When the multileader is not annotative, the following options are available.

Scale Multileaders to Layout

Determines a scaling factor for the multileader based on the scaling in the model space and paper space viewports.

Specify Scale

Specifies the scale for the multileader.

Content Tab

Multileader Type

Determines whether the multileader contains text or a block.

When the multileader contains MTEXT, the following options are available.

Text Options

Controls the appearance of the text for the multileader.

Default Text

Sets default text for the multileader content. The [...] button launches the MTEXT In Place Editor.

Text Style

Lists the available text styles.

Text Style Button

Displays the Text Style Dialog Box where you can create or modify text styles.

Text Angle

Specifies the rotation angle of the multileader text.

Text Color

Specifies the color of the multileader text.

Text Height

Specifies the height of the multileader text.

Always Left Justify

Specifies that the multileader text is always left justified.

Frame Text Check Box

Frames the multileader text content with a text box.

Leader Connection

Controls the leader connection settings of the multileader.

Horizontal Attachment

Inserts the leader to the left or right of the text content. A horizontal attachment includes a landing line between the text and the leader.

Left Attachment

Controls the attachment of the landing line to the multileader text when the text is to the right of the leader.

Right Attachment

Controls the attachment of the landing line to the multileader text when the text is to the left of the leader.

Landing Gap

Specifies the distance between the landing line and the multileader text.

Vertical Attachment

Inserts the leader at the top or bottom of the text content. A vertical attachment does not include a landing line between the text and the leader.

Top Attachment

Attaches the leader to the top center of the text content. Click the drop-down to insert an overline between the leader attachment and the text content.

Bottom Attachment

Attaches the leader to the bottom of the text content. Click the drop-down to insert an underline between the leader attachment and the text content.

When the multileader contains a block, the following options are available.

Block Options

Controls the properties of block content in a multileader object.

Source block

Specifies the block used for multileader content.

Attachment

Specifies the way the block is attached to the multileader object. You can attach the block by specifying the insertion point of the block or the center point of the block.

Color

Specifies the color of the multileader block content. ByBlock is selected by default. The Block color control in the MLEADERSTYLE Content tab only takes effect if the object color included in the block is set to ByBlock.

Scale

Specifies the scale of the block upon insertion. For example, if the block is a 1 inch square and the scale specified is 0.5000, then the block is inserted as a 1/2 inch square.

Preview

Displays a preview image of the style being modified.

Learn About Multiline Styles

Click the link or information icon to learn more about multileaders and multileader styles.


Create New Multileader Style Dialog Box (Quick Reference)

Modify Multileader Style Dialog Box
MLEADERSTYLE
MLEDIT
Commands > M commands > MLEADERSTYLE >
Create New Multileader Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Leaders panel [image] [image] [image] Multileader Style
Toolbar: Multileader
Toolbar: Styles
Menu: Format [image] Multileader StyleAt the Command prompt, enter mleaderstyle.
Command entry: mleaderstyle

Specifies a name for the new multileader style and specifies the existing multileader style on which the new multileader style will be based.

New Style Name

Names the new multileader style.

Start With

Specifies an existing multileader style whose settings are the default for the new multileader style.

Annotative

Specifies that the multileader object is annotative. Click the information icon to learn more about annotative objects.

Continue

Displays the Multileader Style Manager, in which you define the new multileader style.


MLEDIT (Quick Reference)

Create New Multileader Style Dialog Box
MLEDIT
Multiline Edit Tools Dialog Box
Commands > M commands >
MLEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits multiline intersections, breaks, and vertices.

Menu: Modify [image] Object [image] MultilineAt the Command prompt, enter mledit.
Command entry: mledit

The Multiline Edit Tools dialog box is displayed.

If you enter -mledit at the Command prompt, options are displayed.


Multiline Edit Tools Dialog Box (Quick Reference)

MLEDIT
MLEDIT
-MLEDIT
Commands > M commands > MLEDIT >
Multiline Edit Tools Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Modify [image] Object [image] MultilineAt the Command prompt, enter mledit.
Command entry: mledit

Modifies multiline objects. The dialog box displays tools with sample images in four columns. The first column controls multilines that cross, the second controls multilines that form a tee, the third controls corner joints and vertices, and the fourth controls breaks in multilines.

Closed Cross

Creates a closed-cross intersection between two multilines.

Select first mline: Select the foreground multiline

Select second mline: Select the intersecting multiline

The closed-cross intersection is completed and the following prompt is displayed:

Select first mline or [Undo]: Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the closed-cross intersection. The Select First Mline prompt is displayed.

Open Cross

Creates an open-cross intersection between two multilines. Breaks are inserted in all elements of the first multiline and only the outside elements of the second multiline.

Select first mline: Select a multiline

Select second mline: Select the intersecting multiline

The open-cross intersection is completed, and the following prompt is displayed:

Select first mline or [Undo]: Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the open-cross intersection. The Select First Mline prompt is displayed.

Merged Cross

Creates a merged-cross intersection between two multilines. The order in which you select the multilines is not important.

Select first mline: Select a multiline

Select second mline: Select the intersecting multiline

The merged-cross intersection is completed, and the following prompt is displayed:

Select first mline or [Undo]: Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the merged-cross intersection. The Select First Mline prompt is displayed.

Closed Tee

Creates a closed-tee intersection between two multilines. The first multiline is trimmed or extended to its intersection with the second multiline.

Select first mline: Select the multiline to trim

Select second mline: Select the intersecting multiline

The closed-tee intersection is completed, and the following prompt is displayed:

Select first mline (or Undo): Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the closed-tee intersection. The Select First Mline prompt is displayed.

Open Tee

Creates an open-tee intersection between two multilines. The first multiline is trimmed or extended to its intersection with the second multiline.

Select first mline: Select the multiline to trim or extend

Select second mline: Select the intersecting multiline

The open-tee intersection is completed, and the following prompt is displayed:

Select first mline (or Undo): Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the open-tee intersection. The Select First Mline prompt is displayed.

Merged Tee

Creates a merged-tee intersection between two multilines.The multiline is trimmed or extended to its intersection with the other multiline.

Select first mline: Select the multiline to trim or extend

Select second mline: Select the intersecting multiline

The merged-tee intersection is completed, and the following prompt is displayed:

Select first mline (or Undo): Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the merged-tee intersection. The Select First Mline prompt is displayed.

Corner Joint

Creates a corner joint between multilines. The multilines are trimmed or extended to their intersection.

Select first mline: Select the multiline to trim or extend

Select second mline: Select the second half of the corner

The corner joint is completed, and the following prompt is displayed:

Select first mline (or Undo): Select another multiline or enter u

First Mline

Edits another multiline. The Select Second Mline prompt is displayed.

Undo

Undoes the corner joint. The Select First Mline prompt is displayed.

Add Vertex

Adds a vertex to a multiline.

Select mline: Select a multiline

A vertex is added at the selected point, and the following prompt is displayed:

Select mline or [Undo]: Select another multiline or enter u

Mline

Edits another multiline. The Select Mline prompt is displayed again.

Undo

Removes the added vertex. The Select Mline prompt is displayed.

Delete Vertex

Deletes a vertex from a multiline.

Select mline: Select a multiline

The vertex nearest to the selected point is deleted, and the following prompt is displayed:

Select mline or [Undo]: Select another multiline or enter u

Mline

Edits another multiline. The Select Mline prompt is displayed again.

Undo

Restores the deleted vertex. The Select Mline prompt is displayed.

Cut Single

Creates a visual break in a selected element of a multiline.

Select mline: Select a multiline

The selection point on the multiline is used as the first cut point, and the following prompt is displayed:

Select second point: Specify the second cut point on the multiline

The element is cut, and the following prompt is displayed:

Select mline or [Undo]: Select another multiline or enter u

Mline

Edits another multiline. The Select Mline prompt is displayed again.

Undo

Undoes the cut. The Select Mline prompt is displayed.

Cut All

Creates a visual break through the entire multiline.

Select mline: Select a multiline

The selection point on the multiline is used as the first cut point, and the following prompt is displayed:

Select second point: Specify the second cut point on the multiline

All elements of the multiline are cut, and the following prompt is displayed:

Select mline or [Undo]: Select another multiline or enter u

Mline

Edits another multiline. The Select Mline prompt is displayed again.

Undo

Undoes the cut. The Select Mline prompt is displayed.

Weld All

Rejoins multiline segments that have been cut.

Select mline: Select a multiline

The selection point on the multiline is used as the start of the weld, and the following prompt is displayed:

Select second point: Specify the end of the weld on the multiline

The multiline is welded, and the following prompt is displayed:

Select mline or [Undo]: Select another multiline or enter u

Mline

Edits another multiline. The Select Mline prompt is displayed again.

Undo

Undoes the weld. The Select Mline prompt is displayed again.


-MLEDIT (Quick Reference)

Multiline Edit Tools Dialog Box
MLEDIT
MLINE
Commands > M commands > MLEDIT >
-MLEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -mledit at the Command prompt, the prompts are displayed in the Command window.

For more information about these command prompt options, see the Multiline Edit Tools dialog box.

CC

Creates a closed-cross intersection between two multilines.

OC

Creates an open-cross intersection between two multilines. Breaks are inserted in all elements of the first multiline and only the outside elements of the second multiline.

MC

Creates a merged-cross intersection between two multilines. The order in which you select the multilines is not important.

CT

Creates a closed-tee intersection between two multilines. The first multiline is trimmed or extended to its intersection with the second multiline.

OT

Creates an open-tee intersection between two multilines. The first multiline is trimmed or extended to its intersection with the second multiline.

MT

Creates a merged-tee intersection between two multilines.The multiline is trimmed or extended to its intersection with the other multiline.

CJ

Creates a corner joint between multilines. The multilines are trimmed or extended to their intersection.

AV

Adds a vertex to a multiline.

DV

Deletes a vertex from a multiline.

CS

Creates a visual break in a selected element of a multiline.

CA

Creates a visual break through the entire multiline.

WA

Rejoins multiline segments that have been cut.


MLINE (Quick Reference)

-MLEDIT
MLINE
MLSTYLE
Commands > M commands >
MLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates multiple parallel lines.

Menu: Draw [image] MultilineAt the Command prompt, enter mline.
Command entry: mline

Current settings: Justification = current, Scale = current, Style = current

Specify start point or [Justification/Scale/STyle]: Specify a point or enter an option

Start Point

Specifies the next vertex of the multiline.

Specify next point:

Specify next point or [Undo]: Specify a point or enter u

If you create a multiline with two or more segments, the prompt includes the Close option.

Specify next point or [Close/Undo]: Specify a point or enter an option

Next Point

Draws a multiline segment to the specified point using the current multiline style and continues to prompt for points.

Undo

Undoes the last vertex point on the multiline. The previous prompt is displayed.

Close

Closes the multiline by joining the last segments with the first segments.

Justification

Determines how the multiline is drawn between the points you specify.

Enter justification type [Top/Zero/Bottom] <current>: Enter an option or press Enter

Top

Draws the multiline below the cursor, so that the line with the most positive offset is at the specified points.

Zero

Draws the multiline with its origin centered at the cursor, so that the MLSTYLE Element Properties offset of 0.0 is at the specified points.

Bottom

Draws the multiline above the cursor, so that the line with the most negative offset is at the specified points.

Scale

Controls the overall width of the multiline. This scale does not affect linetype scale.

Enter mline scale <current>: Enter a scale or press Enter

The scale factor is based on the width established in the multiline style definition. A scale factor of 2 produces a multiline twice as wide as the style definition. A negative scale factor flips the order of the offset line—the smallest on top when the multiline is drawn from left to right. A negative scale value also alters the scale by the absolute value. A scale factor of 0 collapses the multiline into a single line. For information about the multiline style definition, see MLSTYLE.

Style

Specifies a style to use for the multiline. See Draw Multiline Objects in the User's Guide, and see MLSTYLE.

Enter mline style name or [?]: Enter a name or enter ?

Style Name

Specifies the name of a style that has already been loaded or that's defined in a multiline library (MLN) file you've created.

?—List Styles

Lists the loaded multiline styles.


MLSTYLE (Quick Reference)

MLINE
MLSTYLE
Multiline Style Dialog Box
Commands > M commands >
MLSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, modifies, and manages multiline styles.

Menu: Format [image] Multiline StyleAt the Command prompt, enter mlstyle.
Command entry: mlstyle

Displays the Multiline Style dialog box.


Multiline Style Dialog Box (Quick Reference)

MLSTYLE
MLSTYLE
Create New Multiline Style Dialog Box
Commands > M commands > MLSTYLE >
Multiline Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] Multiline StyleAt the Command prompt, enter mlstyle.
Command entry: mlstyle

Creates, modifies, saves, and loads multiline styles. The multiline style controls the number of elements and the properties of each element. MLSTYLE also controls the background color and the end caps of each multiline.

Current Multiline Style

Displays the name of the current multiline style to be used for subsequently created multilines.

Styles

Displays a list of multiline styles that are loaded in the drawing.

The list of multiline styles can include externally referenced multiline styles that is, multiline styles that exist in an externally referenced drawing (xref). Externally referenced multiline style names use the same syntax as other externally dependent nongraphical objects. See Overview of Referenced Drawings (Xrefs) in the User's Guide.

Description

Displays the description of the selected multiline style.

Preview Of

Displays the name and an image of the selected multiline style.

Set Current

Sets the current multiline style for subsequently created multilines. Select a name from the Styles list and choose Set Current.

NoteYou cannot make a multiline style from an xref the current style.
New

Displays the Create New Multiline Style dialog box, in which you can create a new multiline style.

Modify

Displays the Modify Multiline Style dialog box, in which you can modify a selected multiline style.

NoteYou cannot edit the element and multiline properties of any multiline style that is being used in the drawing. To edit an existing multiline style, you must do so before you draw any multilines that use the style.
Rename

Renames the currently selected multiline style. You cannot rename the STANDARD multiline style.

Delete

Removes the currently selected multiline style from the Styles list. It does not delete the style from the MLN file.

You cannot delete the STANDARD multiline style, the current multiline style, or a multiline style that is in use.

Load

Displays the Load Multiline Styles dialog box, in which you can load multiline styles from a specified MLN file.

Save

Saves or copies a multiline style to a multiline library (MLN) file. If you specify an MLN file that already exists, the new style definition is added to the file and existing definitions are not erased. The default file name is acad.mln.


Create New Multiline Style Dialog Box (Quick Reference)

Multiline Style Dialog Box
MLSTYLE
New, Modify Multiline Style Dialog Boxes
Commands > M commands > MLSTYLE >
Create New Multiline Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] Multiline StyleAt the Command prompt, enter mlstyle.
Command entry: mlstyle

Names the new multiline style and specifies the multiline style from which to start the new one.

New Style Name

Names a new multiline style. The element and multiline properties are unavailable until you enter a new name and click Continue.

Start With

Determines the multiline style from which to start the new one. To save time, choose a multiline style that is similar to the one that you want to create.

Continue

Displays the New Multiline Style dialog box.


New, Modify Multiline Style Dialog Boxes (Quick Reference)

Create New Multiline Style Dialog Box
MLSTYLE
Load Multiline Styles Dialog Box
Commands > M commands > MLSTYLE >
New, Modify Multiline Style Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] Multiline Style
Command entry: mlstyle

Sets the properties and elements for a new multiline style, or changes them for an existing multiline style.

Description

Adds a description to a multiline style. You can enter up to 255 characters, including spaces.

Caps

Controls the start and end caps of the multiline.

Line

Displays a line segment across each end of the multiline.

Outer Arc

Displays an arc between the outermost elements of the multiline.

Inner Arcs

Displays an arc between pairs of inner elements. If there's an odd number of elements, the center line is unconnected. For example, if there are six elements, inner arcs connect elements 2 and 5 and elements 3 and 4. If there are seven elements, inner arcs connect elements 2 and 6 and elements 3 and 5. Element 4 is left unconnected.

Angle

Specifies the angle of the end caps.

Fill

Controls the background fill of the multiline.

Fill Color

Sets the background fill color of the multiline. When you choose Select Color, the Select Color dialog box is displayed.

Display Joints

Controls the display of the joints at the vertices of each multiline segment. A joint is also known as a miter.

Elements

Sets element properties, such as the offset, color, and linetype, of new and existing multiline elements.

Offset Color Ltype

Displays all the elements in the current multiline style. Each element in the style is defined by its offset from the middle of the multiline, its color, and its linetype. Elements are always displayed in descending order of their offsets.

Add

Adds a new element to the multiline style. Not available until color or linetype has been selected for a multiline style other than STANDARD.

Delete

Deletes an element from the multiline style.

Offset

Specifies the offset for each element in the multiline style.

Color

Displays and sets the color for elements in the multiline style. When you choose Select Color, the Select Color dialog box is displayed.

Linetype

Displays and sets the linetype for elements in the multiline style. When you choose Linetype, the Select Linetype Properties dialog box is displayed, which lists loaded linetypes. To load a new linetype, click Load. The Load or Reload Linetypes dialog box is displayed.


Load Multiline Styles Dialog Box (Quick Reference)

New, Modify Multiline Style Dialog Boxes
MLSTYLE
MODEL
Commands > M commands > MLSTYLE >
Load Multiline Styles Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] Multiline StyleAt the Command prompt, enter mlstyle.
Command entry: mlstyle

Loads a multiline style from an MLN file. The default file name is acad.mln. If acad.mln does not exist, or if it exists but cannot be found, click File to specify another file or file location.

File

Displays a standard file selection dialog box in which you can locate and select another multiline library file.

List

Lists the multiline styles available in the current multiline library file. To load another multiline style, select a style from the list and click OK.


MODEL (Quick Reference)

Load Multiline Styles Dialog Box
MODEL
MOVE
Commands > M commands >
MODEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Switches from a layout tab to the Model tab.

Command entry: model

On the Model tab, you can create drawings in model space. The Model tab automatically sets the TILEMODE system variable to 1, and you can create model viewports to display various views of your drawing. Once you've completed your drawing, you can choose a layout tab to begin designing a layout environment from which to plot.

For possible performance gains when you switch between layout tabs or between the Model tab and a layout tab, use the LAYOUTREGENCTL system variable to control how the display list is updated.


MOVE (Quick Reference)

MODEL
MOVE
MREDO
Commands > M commands >
MOVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Moves objects a specified distance in a specified direction.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] MoveNot available on the ribbon in the current workspace
Menu: Modify [image] MoveNot available in menus in the current workspace
Toolbar: Modify
Shortcut menu: Select the objects to move, and right-click in the drawing area. Click Move.
Command entry: move

Select objects: Use an object selection method and press Enter when you finish

Specify base point or [Displacement]<Displacement>: Specify a base point or enter d

Specify second point or <use first point as displacement>: Specify a point or press Enter

The two points you specify define a vector that indicates how far the selected objects are to be moved and in what direction.

If you press Enter at the Specify Second Point prompt, the first point is interpreted as a relative X,Y,Z displacement. For example, if you specify 2,3 for the base point and press Enter at the next prompt, the objects move 2 units in the X direction and 3 units in the Y direction from their current position.

Use coordinates, grid snaps, object snaps, and other tools to move objects with precision.

Displacement

Specify displacement <last value>: Enter coordinates to represent a vector

The coordinate values that you enter specify a relative distance and direction.


MREDO (Quick Reference)

MOVE
MREDO
MSLIDE
Commands > M commands >
MREDO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverses the effects of several previous UNDO or U commands.

Toolbar: Standard
Command entry: mredo

Enter Number of Actions number of actions or [All/Last]: Specify an option, enter a positive number, or press Enter

Number of Actions

Reverses the specified number of actions.

All

Reverses all previous actions.

Last

Reverses only the last action.


MSLIDE (Quick Reference)

MREDO
MSLIDE
MSPACE
Commands > M commands >
MSLIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a slide file of the current model viewport or the current layout.

Command entry: mslide

The Create Slide File dialog box (a standard file selection dialog box) is displayed. Enter a file name or select a slide (SLD) file from the list. A slide file is a raster image of a viewport.

In model space, MSLIDE makes a slide file of the current viewport only. In paper space, MSLIDE makes a slide file of the paper space display, including all viewports and their contents.

Off-screen portions of the drawing, or layers that are off or frozen, are not included in the slide.

Use the VSLIDE command to view slides, or the SLIDELIB utility to create a slide library.

When you view slides of images shaded with the SHADE command in a larger window or at a higher resolution than was used for creating the slide, black lines may appear interspersed among the lines of the shaded image. To avoid this situation, use a full screen that is set at the highest resolution when creating slides.


MSPACE (Quick Reference)

MSLIDE
MSPACE
MTEDIT
Commands > M commands >
MSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Switches from paper space to a model space viewport.

Command entry: mspace

Commands operate in either model space or paper space. You use model space (the Model tab) to do drafting and design work and to create two-dimensional drawings or three-dimensional models. You use paper space (a layout tab) to create a finished layout of a drawing for plotting.

When you are in a layout, you can enter mspace at the Command prompt to make the last viewport in the layout current, and then work in model space in that viewport within the layout. You can switch to model space by double-clicking a viewport, and you can switch to paper space by double-clicking an area of paper space.


MTEDIT (Quick Reference)

MSPACE
MTEDIT
MTEXT
Commands > M commands >
MTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits multiline text.

Ribbon: Annotate tab [image] Text panel [image] Edit. Not available on the ribbon in the current workspace
Command entry: mtedit

Displays either the multiline text tab on the ribbon or the In-Place Text Editor to modify the formatting or content of the selected mtext object.

Select an MTEXT object:

The In-Place Text Editoris displayed.


MTEXT (Quick Reference)

MTEDIT
MTEXT
MTEXT Ribbon Contextual Tab
Commands > M commands >
MTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a multiline text object.

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Pointing device: Double-click a multiline text object.
Command entry: mtext

Current text style: <current> Text height: <current> Annotative: <current>

Specify first corner:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width/Columns]:

You can create several paragraphs of text as a single multiline text (mtext) object. With the built-in editor, you can format the text appearance, columns, and boundaries.

After you specify the point for the opposite corner when the ribbon is active, the MTEXT ribbon contextual tab displays. If the ribbon is not active, the in-place text editor is displayed.

If you specify one of the other options, or if you enter -mtext at the Command prompt, MTEXT bypasses the In-Place Text editor and displays additional command prompts.


MTEXT Ribbon Contextual Tab (Quick Reference)

MTEXT
MTEXT
In-Place Text Editor
Commands > M commands > MTEXT >
MTEXT Ribbon Contextual Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Creates or modifies multiline text objects.

Style Panel

Style

Applies a text style to the multiline text object. The Standard text style is active by default

Annotative | Turns Annotative on or off for the current mtext object.
Text Height | Sets the character height in drawing units for new text or changes the height of selected text. If the current text style has no fixed height, the text height is the value stored in the TEXTSIZE system variable. A multiline text object can contain characters of various heights.

Formatting Panel

Bold | Turns bold formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.
Italic | Turns italic formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.
Underline | Turns underlining on and off for new or selected text.
Overline | Turns overline on and off for new or selected text.
Font | Specifies a font for new text or changes the font of selected text. TrueType fonts are listed by font family name. AutoCAD compiled shape (SHX) fonts are listed by the name of the file in which the fonts are stored. Custom fonts and third-party fonts are displayed in the editor with Autodesk-supplied proxy fonts.
Color | Specifies a color for new text or changes the color of selected text.
Oblique Angle | Determines the forward or backward slant of the text. The angle represents the offset from 90 degrees. Entering a value between -85 and 85 makes the text oblique. A positive obliquing angle slants text to the right. A negative obliquing angle slants text to the left.
Tracking | Decreases or increases the space between the selected characters. The 1.0 setting is normal spacing. Set to more than 1.0 to increase spacing, and set to less than 1.0 to decrease spacing.
Width Factor | Widens or narrows the selected characters. The 1.0 setting represents the normal width of the letter in this font. You can increase the width (for example, use a width factor of 2 to double the width) or decrease the width (for example, use a width factor of 0.5 for half the width).

Paragraph Panel

MText Justification

Displays the MText Justification menu with nine alignment options available. Top Left is the default.

Paragraph

Displays the Paragraph dialog box. See the Paragraph dialog box for a list of the options.

Line Spacing

Displays suggested line spacing options or the Paragraph dialog box. Line spacing is set in the current or selected paragraph.

NoteLine spacing is the distance between the bottom of the upper line and the top of the lower line of text in a multiple line paragraph.

The predefined options are:

  • 1.0x, 1.5x, 2.0x, or 2.5x: Sets the line spacing at .5x increments in multiline text.
  • More: Displays the Paragraph dialog box, which provides additional options.
  • Clear Paragraph Spacing: Removes line spacing settings from the selected or current paragraph. The paragraph defaults to the mtext space setting.

Additional options in the Paragraph dialog box:

  • Exact: Defines the space with an arbitrary unit value the user specifies. Changing text height will not affect line spacing.
  • Multiple: Instead of assigning a value to line spacing, you specify spacing according to text height. When text height is not consistent in one line, the line space will be determined by the largest text height value in that line.
  • At least: Takes both the user specified arbitrary value and the text height to determine spacing. If text height is smaller than the arbitrary value the line space is determined by the user specified value. If the text height is larger, the line spacing is equal to the text height value.
NoteNot all of the new options for paragraph and paragraph line spacing are supported in AutoCAD 2007 and previous releases. See MTEXT Paragraph and Paragraph Line Spacing in Previous Releases in the User’s Guide.
Numbering

Displays the bullet and numbering menu.

Displays options for creating lists. (Not available for table cells.) The list is indented to align with the first selected paragraph.

  • Off: When selected, removes letters, numbers, and bullets from selected text that has list formatting applied. Indentation is not changed.
  • Lettered: Applies list formatting that uses letters with periods for the items in the list. If the list has more items than the alphabet has letters, the sequence continues by using double letters.
  • Numbered: Applies list formatting that uses numbers with periods for the items in the list.
  • Bulleted: Applies list formatting that uses bullets for the items in the list.
  • Restart: Starts a new letter or number sequence in list formatting. If the selected items are in the middle of a list, unselected items below them also become part of the new list.
  • Continue: Adds the selected paragraphs to the last list above and continues the sequence. If list items rather than paragraphs are selected, unselected items below the selected items continue the sequence.
  • Allow Auto-list: Applies list formatting as you type. The following characters can be used as punctuation after letters and numbers and cannot be used as bullets: period (.), comma (,), close parenthesis ()), close angle bracket (>), close square bracket (]), and close curly bracket (}).
  • Use Tab Delimiter Only: Limits the Allow Auto-list and Allow Bullets and Lists options. List formatting is applied to text only when the space after the letter, number, or bullet character was created by TAB, not SPACEBAR. This option is selected by default.
  • Allow Bullets and Lists: When this option is selected, list formatting is applied to all plain text in the multiline text object that looks like a list. Text that meets the following criteria is considered to be a list. The line begins with (1) one or more letters or numbers or a symbol, followed by (2) punctuation after a letter or number, (3) a space created by pressing TAB, and (4) some text before the line is ended by Enter or Shift+Enter.

When you clear the check mark, any list formatting in the multiline text object is removed and the items are converted to plain text. Allow Auto-list is turned off, and all the Bullets and Lists options are unavailable except Allow Bullets and Lists.

Left, Center, Right, Justified and Distributed

Sets the justification and alignment for the left, center, or right text boundaries of the current or selected paragraph. Spaces entered at the end of a line are included and affect the justification of a line.

Insert Panel

Symbol

Inserts a symbol or a nonbreaking space at the cursor position. You can also insert symbols manually. See Symbols and Special Characters.

Commonly used symbols are listed on the submenu, along with their control code or Unicode string. Click Other to display the Character Map dialog box, which contains the entire character set for each font available on your system. Select a character and click Select to place it in the Characters to Copy box. When you have selected all the characters that you want to use, click Copy to close the dialog box. In the editor, right-click and click Paste.

Symbols are not supported in vertical text.

Insert Field

Displays the Field dialog box, where you can select a field to insert in the text. When the dialog box closes, the current value of the field is displayed in the text.

Columns

Displays the column flyout menu, which provides three column options: No Columns, Static Columns, and Dynamic columns. See Columns menu.

Options Panel

Find and Replace

Displays the Find and Replace dialog box.

Spell Check

Determines whether As-You-Type spell checking is on or off. This option is on by default.

Undo

Undoes actions in the MTEXT ribbon contextual tab, including changes to either text content or text formatting. You can also use Ctrl+Z.

Redo

Redoes actions in the MTEXT ribbon contextual tab, including changes to either text content or text formatting. You can also use Ctrl+Y.

Ruler

Displays a ruler at the top of the editor. Drag the arrows at the end of the ruler to change the width of the mtext object. Also displays height and column grips when column mode is active.

You can also select tabs from the ruler. Clicking the Tab Selection button changes tab styles from left, center, right, and decimal. Once you make your selection, you adjust the corresponding tab in the ruler or in the Paragraph dialog box.

Options

Displays a list of additional text options. See Additional Text Options.

Close Panel

Close

Ends the MTEXT command and closes the MTEXT ribbon contextual tab.


In-Place Text Editor (Quick Reference)

MTEXT Ribbon Contextual Tab
MTEXT
Paragraph Dialog Box
Commands > M commands > MTEXT >
In-Place Text Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Creates or modifies single or multiline text objects. You can import or paste text from other files to use in multiline text, set tabs, adjust paragraph and line spacing and alignment, and create and modify columns.

The In-Place Text Editor includes a Text Formatting Toolbar, a Paragraph Dialog Box, a Columns Menu, and an Editor Settings. When a table cell is selected for editing, the In-Place Text Editor displays column letters and row numbers.

Text Formatting Toolbar

Controls the text style for a multiline text object and character and paragraph formatting for selected text.

NoteText that you paste from other word processing applications such as Microsoft Word will retain most of its formatting. With the options in Paste Special, you can strip out paragraph formatting such as paragraph-based alignment or character formatting from the pasted text.
Style

Applies a text style to the multiline text object. The current style is saved in the TEXTSTYLE system variable.

Character formatting for font, height, and bold or italic attributes is overridden if you apply a new style to an existing multiline text object. Stacking, underlining, and color attributes are retained in characters to which a new style is applied.

Styles that have backward or upside-down effects are not applied. If a style defined with a vertical effect is applied to an SHX font, the text is displayed horizontally in the In-Place Text Editor.

Font

Specifies a font for new text or changes the font of selected text. TrueType fonts are listed by font family name. AutoCAD compiled shape (SHX) fonts are listed by the name of the file in which the fonts are stored. Custom fonts and third-party fonts are displayed in the editor with Autodesk-supplied proxy fonts.

A sample drawing (TrueType.dwg) showing each font is provided in the sample directory.

Annotative

Turns Annotative on or off for the current mtext object.

Text Height

Sets the character height in drawing units for new text or changes the height of selected text. If the current text style has no fixed height, the text height is the value stored in the TEXTSIZE system variable. A multiline text object can contain characters of various heights.

Bold

Turns bold formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.

Italic

Turns italic formatting on and off for new or selected text. This option is available only for characters using TrueType fonts.

Underline

Turns underlining on and off for new or selected text.

Overline

Turns overline on and off for new or selected text.

Undo

Undoes actions in the In-Place Text Editor, including changes to either text content or text formatting. You can also use Ctrl+Z.

Redo

Redoes actions in the In-Place Text Editor, including changes to either text content or text formatting. You can also use Ctrl+Y.

Stack

Creates stacked text, for example, fractions, if the selected text contains stack characters. Also, unstacks text if stacked text is selected. When the stack characters, carat (^), forward slash (/), and pound sign (#), are used, the text to the left of the stack character is stacked on top of the text to the right.

By default, text that contains a carat converts to left-justified tolerance values. Text that contains the forward slash converts to center-justified fractional numbers; the slash is converted to a horizontal bar the length of the longer text string. Text that contains the pound sign converts to a fraction separated by a diagonal bar the height of the two text strings. The characters above the diagonal fraction bar are bottom-right aligned; the characters beneath the diagonal bar are top-left aligned.

Text Color

Specifies a color for new text or changes the color of selected text.

You can assign text the color associated with the layer it is on (BYLAYER) or the color of the block it is contained in (BYBLOCK). You can also select one of the colors in the color list or click Other to open the Select Color dialog box.

Ruler

Displays a ruler at the top of the editor. Drag the arrows at the end of the ruler to change the width of the mtext object. Also displays height and column grips when column mode is active.

You can also select tabs from the ruler. Clicking the Tab Selection button changes tab styles from left, center, right, and decimal. Once you make your selection, you adjust the corresponding tab in the ruler or in the Paragraph dialog box.

OK

Closes the editor and saves any changes that you made.

Options

Displays a list of additional text options. See Additional Text Options.

Columns

Displays the column flyout menu, which provides three column options: No Columns, Static Columns, and Dynamic columns. See Columns menu.

MText Justification

Displays the MText Justification menu with nine alignment options available. Top Left is the default.

Paragraph

Displays the Paragraph dialog box. See the Paragraph dialog box for a list of the options.

Left, Center, Right, Justified and Distributed

Sets the justification and alignment for the left, center, or right text boundaries of the current or selected paragraph. Spaces entered at the end of a line are included and affect the justification of a line.

Line Spacing

Displays suggested line spacing options or the Paragraph dialog box. Line spacing is set in the current or selected paragraph.

NoteLine spacing is the distance between the bottom of the upper line and the top of the lower line of text in a multiple line paragraph.

The predefined options are:

  • 1.0x, 1.5x, 2.0x, or 2.5x: Sets the line spacing at .5x increments in multiline text.
  • More: Displays the Paragraph dialog box, which provides additional options.
  • Clear Paragraph Spacing: Removes line spacing settings from the selected or current paragraph. The paragraph defaults to the mtext space setting.

Additional options in the Paragraph dialog box:

  • Exact: Defines the space with an arbitrary unit value the user specifies. Changing text height will not affect line spacing.
  • Multiple: Instead of assigning a value to line spacing, you specify spacing according to text height. When text height is not consistent in one line, the line space will be determined by the largest text height value in that line.
  • At least: Takes both the user specified arbitrary value and the text height to determine spacing. If text height is smaller than the arbitrary value the line space is determined by the user specified value. If the text height is larger, the line spacing is equal to the text height value.
NoteNot all of the new options for paragraph and paragraph line spacing are supported in releases before AutoCAD 2008. See MTEXT Paragraph and Paragraph Line Spacing in Previous Releases.
Numbering

Displays the bullet and numbering menu.

Displays options for creating lists. (Not available for table cells.) The list is indented to align with the first selected paragraph.

  • Off: When selected, removes letters, numbers, and bullets from selected text that has list formatting applied. Indentation is not changed.
  • Lettered: Applies list formatting that uses letters with periods for the items in the list. If the list has more items than the alphabet has letters, the sequence continues by using double letters.
  • Numbered: Applies list formatting that uses numbers with periods for the items in the list.
  • Bulleted: Applies list formatting that uses bullets for the items in the list.
  • Restart: Starts a new letter or number sequence in list formatting. If the selected items are in the middle of a list, unselected items below them also become part of the new list.
  • Continue: Adds the selected paragraphs to the last list above and continues the sequence. If list items rather than paragraphs are selected, unselected items below the selected items continue the sequence.
  • Allow Auto-list: Applies list formatting as you type. The following characters can be used as punctuation after letters and numbers and cannot be used as bullets: period (.), comma (,), close parenthesis ()), close angle bracket (>), close square bracket (]), and close curly bracket (}).
  • Use Tab Delimiter Only: Limits the Allow Auto-list and Allow Bullets and Lists options. List formatting is applied to text only when the space after the letter, number, or bullet character was created by TAB, not SPACEBAR. This option is selected by default.
  • Allow Bullets and Lists: When this option is selected, list formatting is applied to all plain text in the multiline text object that looks like a list. Text that meets the following criteria is considered to be a list. The line begins with (1) one or more letters or numbers or a symbol, followed by (2) punctuation after a letter or number, (3) a space created by pressing TAB, and (4) some text before the line is ended by Enter or Shift+Enter.

    When you clear the check mark, any list formatting in the multiline text object is removed and the items are converted to plain text. Allow Auto-list is turned off, and all the Bullets and Lists options are unavailable except Allow Bullets and Lists.

Insert Field

Displays the Field dialog box, where you can select a field to insert in the text. When the dialog box closes, the current value of the field is displayed in the text.

Uppercase

Changes the selected text to uppercase.

Lowercase

Changes the selected text to lowercase.

Symbol

Inserts a symbol or a nonbreaking space at the cursor position. You can also insert symbols manually. See Symbols and Special Characters.

Commonly used symbols are listed on the submenu, along with their control code or Unicode string. Click Other to display the Character Map dialog box, which contains the entire character set for each font available on your system. Select a character and click Select to place it in the Characters to Copy box. When you have selected all the characters that you want to use, click Copy to close the dialog box. In the editor, right-click and click Paste.

Symbols are not supported in vertical text.

Oblique Angle

Determines the forward or backward slant of the text. The angle represents the offset from 90 degrees. Entering a value between -85 and 85 makes the text oblique. A positive obliquing angle slants text to the right. A negative obliquing angle slants text to the left.

Tracking

Decreases or increases the space between the selected characters. The 1.0 setting is normal spacing. Set to more than 1.0 to increase spacing, and set to less than 1.0 to decrease spacing.

Width Factor

Widens or narrows the selected characters. The 1.0 setting represents the normal width of the letter in this font. You can increase the width (for example, use a width factor of 2 to double the width) or decrease the width (for example, use a width factor of 0.5 for half the width).

Additional Text Options

Insert Field

Displays the Field dialog box.

Symbol

Displays a list of available symbols. You can also select a Non-breaking space and open the Character Map for additional symbols.

Import Text

Displays the Select File dialog box (a standard file selection dialog box). Select any file that is in ASCII or RTF format. Imported text retains its original character formatting and style properties, but you can edit and format the imported text in the editor. After you select a text file to import, you can replace either selected text or all text, or append the inserted text to text selected within the text boundary. The file size for imported text is limited to 32 KB.

The editor automatically sets the text color to BYLAYER. When black characters are inserted and the background color is black, the editor automatically changes to white or the current color.

NoteA Microsoft Excel spreadsheet imported into a drawing is truncated at 72 rows unless the spreadsheet was created in Microsoft Office 2002 with Service Pack 2 installed. The same limitation applies when the drawing that contains the OLE object is opened on a system with an earlier version of Microsoft Office installed; the spreadsheet is truncated.
Paragraph Alignment

Sets alignment for the multiline text object. You can choose to align your text to the left, center, or right. Left is the default setting. You can justify your text, or align the first and last characters of your text with the margins of your mtext box, or center each line of text within the margins of your mtext box. Spaces entered at the end of a line are included as part of the text and affect the justification of the line.

Paragraph

Displays options for paragraph formatting. See the Paragraph dialog box.

Bullets and Lists

Displays the options for numbering lists.

Columns

Displays options for columns. See the Columns menu.

Find and Replace

Displays the Find and Replace dialog box.

Change Case

Changes the case of selected text. Options are Uppercase and Lowercase.

AutoCAPS

Converts all new and imported text to uppercase. AutoCAPS does not affect existing text. To change the case of existing text, select the text and right-click. Click Change Case.

Character Set

Displays a menu of code pages. Select a code page to apply it to the selected text.

Combine Paragraphs

Combines selected paragraphs into a single paragraph and replaces each paragraph return with a space.

Remove Formatting

Removes character formatting for selected characters, paragraph formatting for a selected paragraph, or all formatting from a selected paragraph.

Background Mask

Displays the Background Mask dialog box. (Not available for table cells.)

Editor Settings

Displays a list of options for the Text Formatting toolbar. See Editor Settings for more information.

Learn About MText

Displays the New Features Workshop, which contains an overview of the MText feature.

Editor Settings

Provides options for changing the behavior of the Text Formatting toolbar and provides additional editing options. Options are specific to the Editor Settings menu and are not available elsewhere on the Text Formatting toolbar.

NoteSome options may not be available depending on what you are editing.
Always Display As WYSIWYG (What You See Is What You Get)

Controls display of the In-Place Text Editor and the text within it. When unchecked, text that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it. This option is unchecked by default.

When this option is checked, the MTEXTFIXED system variable will be set to 0. Otherwise, MTEXTFIXED will be set to 2.

Show Toolbar

Controls display of the Text Formatting toolbar. To restore display of the toolbar, right-click in the editor and click Option [image] Show Toolbar.

Show Options

Expands the Text Formatting toolbar to show more options.

Show Rulers

Controls the display of the ruler.

Opaque Background

When selected, makes the background of the editor opaque. By default, the editor is transparent. (Not available for table cells.)

Check Spelling

Determines whether As-You-Type spell checking is on or off. This option is on by default.

Check Spelling Settings

Displays the Check Spelling Settings dialog box, where you can specify text options that will be checked for spelling errors within your drawing.

Dictionaries

Displays the Dictionaries dialog box, where you can change the dictionary that is checked against any found misspelled words.

Text Highlight Color

Displays the AutoCAD generic Select Color dialog box. Specifies the highlight color when text is selected.


Paragraph Dialog Box (Quick Reference)

In-Place Text Editor
MTEXT
Columns Menu
Commands > M commands > MTEXT >
Paragraph Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Sets indentation for paragraphs and the first lines of paragraphs. Specifies tab stops, indents, controls paragraph alignment, paragraph spacing, and paragraph line spacing.

Tab

Displays tab setting options, including adding and removing tabs. Options include setting left, center, right, and decimal tabs. You can also set tabs from the Tab selection button on the In-Place Editor’s ruler.

Decimal style

Sets the decimal style based on current user locale. Options include setting the decimal style as period, comma, and space. This setting is preserved with the drawing even if the locale setting is changed.

Left Indent

Sets the indent value for the first line or hanging indent to the selected or current paragraphs.

Right Indent

Applies the indent to the entire selected or current paragraph.

Paragraph Alignment

Sets the alignment properties for the current or selected paragraphs.

Paragraph Spacing

Specifies the spacing before or after the current or selected paragraphs. The distance between two paragraphs is determined by the total of the after paragraph spacing value of the upper paragraph and the before paragraph spacing value of the lower paragraph.

Paragraph Line Spacing

Sets the spacing between individual lines in the current or selected paragraphs.

NoteNot all of the new options for paragraph and paragraph line spacing are supported in AutoCAD 2007 and previous releases. See MTEXT Paragraph and Paragraph Line Spacing in Previous Releases in the User’s Guide.
Toolbar: Draw


Columns Menu (Quick Reference)

Paragraph Dialog Box
MTEXT
Column Settings Dialog Box
Commands > M commands > MTEXT >
Columns Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Allows you to format an mtext object into multiple columns. You can specify column and gutter width, height, and number of columns. You can edit column width and height with grip-editing.

To create multiple columns you always start with a single column. Depending on the column mode you choose, you have two different methods for creating and manipulating columns – static mode or dynamic mode.

The following options are available from the Columns menu:

No Columns

Specifies no columns for the current mtext object.

Dynamic Columns

Sets dynamic columns mode to the current mtext object. Dynamic columns are text driven. Adjusting columns affects text flow and text flow causes columns to be added or removed. Auto height or Manual height options are available.

Static Columns

Sets static columns mode to the current mtext object. You can specify the total width and height of the mtext object, and the number of columns. All the columns share the same height and are aligned at both sides.

Insert Column Break Alt+Enter

Inserts a manual column break. This is disabled when you select No Columns.

Column Settings

Displays Column Settings dialog box.


Column Settings Dialog Box (Quick Reference)

Columns Menu
MTEXT
Background Mask Dialog Box
Commands > M commands > MTEXT >
Column Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Displays options for setting up columns such as the type, number of columns, height, and width, and gutter size.

Column Type

Displays choices for the type of columns you want to create.

Column Number

Sets the number of columns. This is only active when you select Static Columns.

Height

Displays mtext height when Auto Height with Dynamic or Static Columns is selected.

Width

Displays and specifies control column and gutter width values. The gutter value is five times the default mtext text height.

Also displays the total width value of the mtext object. When Dynamic Columns is selected, this is read-only.

Toolbar: Draw


Background Mask Dialog Box (Quick Reference)

Column Settings Dialog Box
MTEXT
Find and Replace Dialog Box - MTEXT
Commands > M commands > MTEXT >
Background Mask Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Controls using an opaque background behind multiline text.

Use Background Mask

Puts an opaque background behind the text.

NoteWhen you apply a background mask to mtext multiple columns only the column areas will be masked. The space between the columns commonly referred to as gutters will be unmasked.

Border Offset Factor

Specifies the margin around the text for the opaque background. The value is based on the text height. A factor of 1.0 exactly fits the multiline text object. A factor of 1.5 extends the background by 0.5 times the text height.

Fill Color

Specifies the color for the background.

Use Background Drawing Color

Provides a background that is the same color as the background of the drawing.

Color

Specifies a color for the opaque background. You can select one of the colors in the list or click Select Color to open the Select Color dialog box.


Find and Replace Dialog Box - MTEXT (Quick Reference)

Background Mask Dialog Box
MTEXT
Stack Properties Dialog Box
Commands > M commands > MTEXT >
Find and Replace Dialog Box - MTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline Text
Command entry: mtext

Searches for specified text strings and replaces them with new text.

Select the Find and Replace icon in the text editor or from the MTEXT short cut menu.

Find What

Provides a space for you to type the text you want to find.

Replace With

Provides a space for you to type the text you want to replace the text you typed in Find What.

Find Next

Finds the next instance of the text specified in Find What.

Replace

Finds the next instance of the text specified in Find What and replaces it with the text in Replace With.

Replace All

Finds all instances of the text specified in Find What and replaces it with the text in Replace With.

Match Whole Word Only

Finds only whole words specified in Find What.

Text that is part of another word is ignored. When this option is cleared, a match is found for text strings, whether they are single words or parts of other words.

Match Case

Finds only text with uppercase and lowercase characters as specified in Find What.

The case of all characters in the text string must match the case of the text in Find What. When this option is cleared, a match is found for specified text strings regardless of case.


Stack Properties Dialog Box (Quick Reference)

Find and Replace Dialog Box - MTEXT
MTEXT
AutoStack Properties Dialog Box
Commands > M commands > MTEXT >
Stack Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext

Edits the text, stack type, alignment, and size of stacked text. To open the Stack Properties dialog box, select the stacked text, right-click, and click Properties on the shortcut menu.

You can edit the upper and lower text separately. The Appearance options control the stack style, position, and text size of the stacked text.

Text

Changes the upper and lower numbers of a stacked fraction.

Upper

Edits the number in the upper part or first half of a stacked fraction.

Lower

Edits the number in the lower part or second half of a stacked fraction.

Appearance

Edits the style, position, or text size of a stacked fraction.

Style

Specifies a style format for stacked text: horizontal fraction, diagonal fraction, tolerance, and decimal.

Fraction (Horizontal)

Stacks the selected text with the first number on top of the second number separated by a horizontal line.

Fraction (Diagonal)

Stacks the selected text with the first number on top of the second number separated by a diagonal line.

NoteReleases of AutoCAD earlier than AutoCAD 2000 do not support diagonal fractions. If a multiline text object contains diagonal fractions, the fractions are converted to horizontal fractions when you save the drawing to pre-AutoCAD 2000 releases. Diagonal fractions are restored when the drawing is re-opened in AutoCAD 2000 or a later release. If a single multiline text object contains both horizontal and diagonal fractions, all fractions are converted to diagonal fractions when the drawing is reopened in AutoCAD 2000 or a later release.
Tolerance

Stacks the selected text with the first number on top of the second number. There is no line between the numbers.

Decimal

A variation of the Tolerance style that aligns the decimal point of both the upper and lower numbers of selected text.

Position

Specifies how fractions are aligned. Center alignment is the default. All stacked text in an object uses the same alignment.

Top

Aligns the top of the fraction with the top of the text line.

Center

Centers the fraction vertically at the center of the text line.

Bottom

Aligns the bottom of the fraction with the text baseline.

Text Size

Controls the size of the stacked text as a percentage of the size of the current text style (from 25 to 125 percent). Default text size is 70 percent.

Defaults

Saves the new settings as defaults or restores the previous default values to the current stacked text.

AutoStack Button

Displays the AutoStack Properties dialog box. AutoStack only stacks numeric characters immediately before and after the carat, slash, and pound characters. To stack nonnumeric characters, or text that includes spaces, select the text and choose the Stack button.


AutoStack Properties Dialog Box (Quick Reference)

Stack Properties Dialog Box
MTEXT
-MTEXT
Commands > M commands > MTEXT >
AutoStack Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Multiline TextNot available on the ribbon in the current workspace
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.
Toolbar: Draw
Command entry: mtext
Menu: Draw [image] Text [image] Multiline TextAt the Command prompt, enter mtext.

Sets the defaults for automatically stacking characters.

Enable AutoStacking

Automatically stacks numeric characters entered before and after the carat, slash, or pound character. For example, if you type 1#3 followed by a nonnumeric character or space, the text is automatically stacked as a diagonal fraction.

Remove Leading Blank

Removes blanks between a whole number and a fraction. This option is available only when AutoStacking is turned on.

Convert It to a Diagonal Fraction

Converts the slash character to a diagonal fraction when AutoStack is on.

Convert It to a Horizontal Fraction

Converts the slash character to a horizontal fraction when AutoStack is on.

NoteWhether AutoStack is on or off, the pound character is always converted to a diagonal fraction, and the carat character is always converted to a tolerance format.
Don't Show This Dialog Again; Always Use These Settings

Suppresses display of the AutoStack Properties dialog box. The current property settings are used for all stacked text. When this option is cleared, the AutoStack Properties dialog box is automatically displayed if you type two numbers separated by a slash, carat, or pound sign followed by a space or nonnumeric character.

NoteTo display the AutoStack Properties dialog box when you have suppressed automatic display, select stacked text, right-click, and click Properties on the shortcut menu. In the Stack Properties dialog box, click AutoStack.


-MTEXT (Quick Reference)

AutoStack Properties Dialog Box
MTEXT
Symbols and Special Characters
Commands > M commands > MTEXT >
-MTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -mtext at the Command prompt, MTEXT bypasses the In-Place Text Editor and displays additional prompts.

Current text style: <current> Text height: <current> Annotative: <current>

Specify first corner:

Specify opposite corner or [Height/Justify/Line spacing/Rotation/Style/Width/Columns]:

Opposite Corner

As you drag the pointing device to specify the opposite corner, a rectangle is displayed to show the location and size of the multiline text object. Arrows within the rectangle indicate the direction of the paragraph's text flow.

Height

Specifies the text height to use for multiline text characters.

Specify height <current>: Specify a point (1), enter a value, or press Enter

The Specify Height prompt is displayed only if the current text style is not annotative.

Specify paper text height <current>: Specify a height, or press Enter

The Specify Paper Text Height prompt is displayed only if the current text style is annotative.

The default height, if nonzero, is the height of the current style; otherwise, it is the height stored in the TEXTSIZE system variable. Character height is calculated in drawing units. Changing the height updates the value stored in TEXTSIZE.

Justify

Determines both text justification and text flow, for new or selected text, in relation to the text boundary. The current justification (Top Left, by default) is applied to new text. The text is justified within the specified rectangle based on the justification setting and one of nine justification points on the rectangle. The justification point is based on the first point used to specify the rectangle. Text is center-, left-, or right-justified with respect to the left and right text boundaries. Spaces entered at the end of a line are included as part of the text and affect the justification of the line. Text flow controls whether text is aligned from the middle, the top, or the bottom of the paragraph with respect to the top and bottom text boundaries.

Enter justification [TL/TC/TR/ML/MC/MR/BL/BC/BR] <TL>:

Justify Options
Option | Meaning
TL | Top Left
TC | Top Center
TR | Top Right
ML | Middle Left
MC | Middle Center
MR | Middle Right
BL | Bottom Left
BC | Bottom Center
BR | Bottom Right

The following illustrations show each justification option.

Line Spacing

Specifies line spacing for the multiline text object. Line spacing is the vertical distance between the bottom (or baseline) of one line of text and the bottom of the next line of text.

NoteExact spacing is recommended when you use MTEXT to create a table. Use a smaller text height than the specified line spacing to ensure that text does not overlap.

Enter line spacing type [At least/Exactly] <current>:

At Least

Adjusts lines of text automatically based on the height of the largest character in the line. When At Least is selected, lines of text with taller characters have added space between lines.

Enter line spacing factor or distance <current>:

  • Spacing Factor: Sets the line spacing to a multiple of single-line spacing.

    Single spacing is 1.66 times the height of the text characters. You enter the spacing increment as a number followed by x to indicate a multiple of single spacing. For example, specify single spacing by entering 1x, or specify double spacing by entering 2x.

  • Distance: Sets the line spacing to an absolute value measured in drawing units. Valid values must be between 0.0833 (0.25x) and 1.3333 (4x).
Exactly

Forces the line spacing to be the same for all lines of text in the multiline text object. Spacing is based on the text height of the object or text style.

Enter line spacing factor or distance <current>:

  • Spacing Factor: Sets the line spacing to a multiple of single-line spacing.

    Single spacing is 1.66 times the height of the text characters. You can enter a spacing factor as a number followed by x to indicate a multiple of single spacing. For example, specify single spacing by entering 1x, or specify double spacing by entering 2x.

  • Distance: Sets the line spacing to an absolute value measured in drawing units. Valid values must be between 0.0833 (0.25x) and 1.3333 (4x).

Rotation

Specifies the rotation angle of the text boundary.

Specify rotation angle <current>: Specify a point or enter a value

If you use the pointing device to specify a point, the rotation angle is determined by the angle between the X axis and the line defined by the most recently entered point (default 0,0,0) and the specified point.

The previous prompt is redisplayed until you specify the opposite corner of the text boundary.

Style

Specifies the text style to use for multiline text.

Enter style name or [?] <current>:

Style Name

Specifies a text style name. Text styles can be defined and saved using the STYLE command.

?—List Styles

Lists text style names and characteristics.

The previous prompt is redisplayed until you specify the opposite corner of the text boundary.

Width

Specifies the width of the text boundary.

Specify width: Specify a point or enter a value

If you use the pointing device to specify a point, the width is calculated as the distance between the start point and the specified point. Words within each line of the multiline text object wrap to fit the width of the text boundary. If you specify a width of 0, word wrap is turned off and the width of the multiline text object is as wide as the longest line of text. You can end a line of text at a specific point by typing the text and pressing Enter. To end the command, press Enter at the MTEXT prompt.

Columns

Specifies the column options for an mtext object.

Enter column type: Specify a column option

Static

Specifies the total column width, the number of columns, the gutter width (the space between the columns), and the height of columns.

Dynamic

Specifies column width, gutter width and column height. Dynamic columns are text driven. Adjusting columns affect text flow and text flow causes columns to be added or removed.

No columns

Sets no column mode to current mtext object.

The default column setting is stored in the MTEXTCOLUMN system variable.


Symbols and Special Characters (Quick Reference)

-MTEXT
MTEXT
MULTIPLE
Commands > M commands > MTEXT >
Symbols and Special Characters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

You can enter the following special characters and symbols by entering a control code or a Unicode string. Or in the In-Place Text Editor, click Symbol on the expanded toolbar.

NoteSymbols are not supported in vertical text.
Unicode strings and control codes
Control Codes | Unicode Strings | Result
%%d | \U+00B0 | Degree symbol (°)
%%p | \U+00B1 | Tolerance symbol (±)
%%c | \U+2205 | Diameter symbol ( [image] )

To insert the following text symbols, click Symbol on the expanded Text Formatting toolbar or enter the appropriate Unicode string:

Text symbols and Unicode strings
Name | Symbol | Unicode String
Almost equal |  | \U+2248
Angle |  | \U+2220
Boundary line |  | \U+E100
Centerline |  | \U+2104
Delta |  | \U+0394
Electrical phase |  | \U+0278
Flow line |  | \U+E101
Identity |  | \U+2261
Initial length |  | \U+E200
Monument line |  | \U+E102
Not equal |  | \U+2260
Ohm |  | \U+2126
Omega |  | \U+03A9
Plate/property line |  | \U+214A
Subscript 2 |  | \U+2082
Squared |  | \U+00B2
Cubed |  | \U+00B3

These text symbols are available in the following True Type (TTF) and SHX fonts:

  • Simplex*
  • Romans*
  • gdt*
  • amgdt*
  • Isocp
  • Isocp2
  • Isocp3
  • Isoct
  • Isoct2
  • Isoct3
  • Isocpeur (TTF only)*
  • Isocpeur italic (TTF only)
  • Isocteur (TTF only)
  • Isocteur italic (TTF only)

* These fonts also include the Initial Length symbol used for arc length dimensions.


MULTIPLE (Quick Reference)

Symbols and Special Characters
MULTIPLE
MVIEW
Commands > M commands >
MULTIPLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Repeats the next command until canceled.

Command entry: multiple

Enter command name to repeat:

The command that you enter is repeated until you press ESC. Because MULTIPLE repeats only the command name, any parameters must be specified each time.

MULTIPLE does not repeat commands that display dialog boxes.

NoteYou cannot use MULTIPLE as an argument to the AutoLISP® command function.


MVIEW (Quick Reference)

MULTIPLE
MVIEW
MVSETUP
Commands > M commands >
MVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates and controls layout viewports.

Menu: View [image] Viewports [image] 1 Viewport, 2 Viewports, 3 Viewports, 4 ViewportsNot available in menus in the current workspace
Command entry: mview

Specify corner of viewport or [ON/OFF/Fit/Shadeplot/Lock/Object/Polygonal/Restore/LAyer/2/3/4] <Fit>: Enter an option or specify a point

In a layout, you can create as many viewports as you want, but only up to 64 viewports can be active at one time (see MAXACTVP). Objects in model space are visible only in active viewports. Viewports that are not active are blank. Use the On and Off options to control whether viewports are active.

Corner of Viewport

Specifies the first corner of a rectangular viewport.

Specify opposite corner:

On

Makes a selected viewport active. An active viewport displays objects in model space. The MAXACTVP system variable controls the maximum number of viewports that can be active at one time. If your drawing contains more viewports than the number specified in MAXACTVP, you must turn one off to make another one active.

Select objects: Select one or more viewports

Off

Makes a selected viewport inactive. Objects in model space are not displayed in an inactive viewport.

Select objects: Select one or more viewports

Fit

Creates one viewport that fills the layout to the edges of the printable area. When the paper background and printable area are turned off, the viewport fills the display.

Shadeplot

Specifies how viewports in layouts are plotted.

Shade plot? [As displayed/Wireframe/Hidden/Visual styles/Rendered] <As displayed>: Enter a shade plot option

As Displayed

Specifies that a viewport is plotted the same way it is displayed.

Wireframe

Specifies that a viewport is plotted wireframe regardless of the current display.

Hidden

Specifies that a viewport is plotted with hidden lines removed regardless of the current display.

All Visual Styles

Specifies that a viewport is plotted using the specified visual style. All visual styles in the drawing are listed as options whether in use or not.

All Render Presets

Specifies that a viewport is plotted using the specified render preset. All render presets are listed as options.

Select objects: Select one or more viewports

Lock

Prevents the zoom scale factor in the selected viewport from being changed when working in model space.

Viewport View Locking [ON/OFF]: Enter on or off

Select objects: Select one or more viewports

Object

Specifies a closed polyline, ellipse, spline, region, or circle to convert into a viewport. The polyline you specify must be closed and contain at least three vertices. It can be self-intersecting, and it can contain an arc as well as line segments.

Select object to clip viewport: Select an object

Polygonal

Creates an irregularly shaped viewport using specified points. The prompts are similar to those displayed when you specify a polygonal clip boundary for external references (xrefs), but you can specify arcs when you create a polygonal viewport boundary.

Specify start point: Specify a point

Specify next point or [Arc/Close/Length/Undo]: Specify a point or enter an option

Arc

Adds arc segments to the polygonal viewport.

[Angle/CEnter/CLose/Direction/Line/Radius/Second pt/Undo/Endpoint of arc] <Endpoint>: Enter an option or press Enter

For a description of the options for creating arc segments, see the Arc option in PLINE.

Close

Closes the boundary. If you press Enter after specifying at least three points, the boundary is closed automatically.

Length

Draws a line segment of a specified length at the same angle as the previous segment. If the previous segment is an arc, the new line segment is drawn tangent to that arc segment.

Undo

Removes the most recent line or arc segment added to the polygonal viewport.

Restore

Restores viewport configurations saved with the VPORTS command.

Enter viewport configuration name or [?] <*ACTIVE>: Enter ?, enter a name, or press Enter

Specify first corner or [Fit] <Fit>: Specify a point or press Enter

First Corner

Positions and sizes new viewports using the window selection method; the viewports are fit into the selected area.

Fit

Sizes the viewports to fill the drawing area.

Layer

Resets layer property overrides for the selected viewport to their global layer properties.

Reset viewport layer property overrides back to global properties [Y/N]?: Enter Y to remove all layer property overrides

Select viewports: Select a single or multiple viewports and press Enter

2

Divides the specified area horizontally or vertically into two viewports of equal size.

Enter viewport arrangement [Horizontal/Vertical] <Vertical>: Enter h or press Enter

Specify first corner or [Fit] <Fit>: Specify a point or press Enter

First Corner

Positions and sizes new viewports using the window selection method; the viewports are fit into the selected area.

Fit

Sizes the viewports to fill the drawing area.

3

Divides the specified area into three viewports.

Enter viewport arrangement

[Horizontal/Vertical/Above/Below/Left/<Right>: Enter an option or press Enter

The Horizontal and Vertical options split the specified area into thirds. The other options split the area into three viewports: one large viewport and two smaller ones. The Above, Below, Left, and Right options specify where the larger viewport is placed.

Specify first corner or [Fit] <Fit>: Specify a point or press Enter

First Corner

Positions and sizes new viewports using the window selection method; the viewports are fit into the selected area.

Fit

Sizes the viewports to fill the drawing area.

4

Divides the specified area horizontally and vertically into four viewports of equal size.

Specify first corner or [Fit] <Fit>: Specify a point or press Enter

First Corner

Positions and sizes new viewports using the window selection method; he viewports are fit into the selected area.

Fit

Sizes the viewports to fill the drawing area.


MVSETUP (Quick Reference)

MVIEW
MVSETUP
MVSETUP on the Model Tab
Commands > M commands >
MVSETUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets up the specifications of a drawing.

Command entry: mvsetup

When you enter mvsetup, the prompts displayed depend on whether you are on the Model tab (model space) or on a layout tab (paper space).

On the Model tab, you set the units type, drawing scale factor, and paper size at the Command prompt using MVSETUP. Using the settings you provide, a rectangular border is drawn at the grid limits.

On a layout tab, you can insert one of several predefined title blocks into the drawing and create a set of layout viewports within the title block. You can specify a global scale as the ratio between the scale of the title block in the layout and the drawing on the Model tab. The Model tab is most useful for plotting multiple views of a drawing within a single border.

To easily specify all layout page settings and prepare your drawing for plotting, you can also use the Page Setup dialog box, which is automatically displayed when you select a layout in a new drawing session.


MVSETUP on the Model Tab (Quick Reference)

MVSETUP
MVSETUP
MVSETUP on a Layout Tab
Commands > M commands > MVSETUP >
MVSETUP on the Model Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the TILEMODE system variable is on (the default), the following prompt is displayed:

Enable paper space? [No/Yes] <Y>: Enter n or press Enter

Pressing Enter turns off TILEMODE and proceeds as described in the following section, MVSETUP on a Layout Tab

Entering n displays the following prompt:

Enter units type [Scientific/Decimal/Engineering/Architectural/Metric]: Enter an option

A list of available units and prompts for the scale factor and paper size are displayed.

Enter the scale factor: Enter a value

Enter the paper width: Enter a value

Enter the paper height: Enter a value

A bounding box is drawn and the command ends.


MVSETUP on a Layout Tab (Quick Reference)

MVSETUP on the Model Tab
MVSETUP
NAVSMOTION
Commands > M commands > MVSETUP >
MVSETUP on a Layout Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the TILEMODE system variable is off, or when you enter y or press Enter at the Enable Paper Space prompt, the following prompt is displayed:

Enter an option [Align/Create/Scale viewports/Options/Title block/Undo]: Enter an option or press Enter to end the command

Align

Pans the view in a viewport so that it aligns with a base point in another viewport. The current viewport is the viewport that the other point moves to.

Enter an option [Angled/Horizontal/Vertical alignment/Rotate view/Undo]: Enter an option

Angled

Pans the view in a viewport in a specified direction.

Specify base point: Specify a point

Specify point in viewport to be panned: Specify a point in the viewport to be panned

The next two prompts specify the distance and angle from the base point to the second point.

Specify the distance and angle to the new alignment point in the current viewport where you specified the base point.

Specify distance from base point: Specify a distance

Specify angle from base point: Specify an angle

Horizontal

Pans the view in one viewport until it aligns horizontally with a base point in another viewport. This option should be used only if the two viewports are oriented horizontally. Otherwise, the view might be panned outside the limits of the viewport.

Specify base point: Specify a point

Specify point in viewport to be panned: Specify a point in the viewport to be panned

Vertical Alignment

Pans the view in one viewport until it aligns vertically with a base point in another viewport. This option should be used only if the two viewports are oriented vertically. Otherwise, the view might be panned outside the limits of the viewport.

Specify base point: Specify a point

Specify point in viewport to be panned: Specify a point in the viewport to be panned

Rotate View

Rotates the view in a viewport about a base point.

Specify base point in the viewport with the view to be rotated: Specify a point

Specify angle from base point: Specify an angle

Undo

Reverses operations performed in the current MVSETUP session.

Create

Creates viewports.

Enter an option [Delete objects/Create viewports/Undo] <Create>: Enter an option or press Enter

Delete Objects

Deletes existing viewports.

Select the objects to delete...

Select objects: Select the viewports to delete and pressEnter

Create Viewports

Displays options for creating viewports.

Available layout options:

0: None

1: Single

2: Std. Engineering

3: Array of Viewports

Enter layout number to load or [Redisplay]: Enter an option number (0-3), or enter r to redisplay the list of viewport layout options

Layout Number to Load

Controls creation of viewports.

Entering 0 or pressing Enter creates no viewports.

Entering 1 creates a single viewport whose size is determined by the following prompts.

Specify first corner of bounding area for viewport(s): Specify a point for the first corner

Opposite corner: Specify a point for the opposite corner

Entering 2 creates four viewports by dividing a specified area into quadrants. You are prompted for the area to be divided and the distance between the viewports.

Specify first corner of bounding area for viewport(s): Specify a point for the first corner

Opposite corner: Specify a point for the opposite corner

Specify distance between viewports in X direction <0.0>: Specify a distance or press Enter

Specify distance between viewports in Y direction <0.0>: Specify a distance or press Enter

The viewing angle for each quadrant is set as shown in the table.

Standard engineering viewports

Quadrant

View

Upper-left

Top (XY plane of UCS)

Upper-right

SE isometric view

Lower-left

Front (XZ plane of UCS)

Lower-right

Right side (YZ plane of UCS)

Entering 3 defines a matrix of viewports along the X and Y axes. Specifying points at the next two prompts defines the rectangular area of the drawing that contains the viewport configuration. If you have inserted a title block, the Specify First Corner prompt also includes an option for selecting a default area.

Specify first corner of bounding area for viewport(s): Specify a point for the first corner

Opposite corner: Specify a point for the opposite corner

Enter number of viewports in X direction <1>: Enter the number of viewports to place along the X axis

Enter number of viewports in Y direction <1>: Enter the number of viewports to place along the Y axis

If you enter more than one viewport in each direction, the following prompts are displayed:

Specify distance between viewports in X direction <0.0>: Specify a distance

Specify distance between viewports in Y direction <0.0>: Specify a distance

The array of viewports is inserted into the defined area.

Redisplay

Redisplays the list of viewport layout options.

Undo

Reverses operations performed in the current MVSETUP session.

Scale Viewports

Adjusts the zoom scale factor of the objects displayed in the viewports. The zoom scale factor is a ratio between the scale of the border in paper space and the scale of the drawing objects displayed in the viewports.

Select the viewports to scale...

Select objects:Select the viewports to scale

If you select only one viewport, the next prompt is skipped.

Set zoom scale factors for viewports. Interactively/<Uniform>: Enter i or press Enter

Enter the number of paper space units <1.0>: Enter a value or press Enter

Enter the number of model space units <1.0>: Enter a value or press Enter

Interactively

Selects one viewport at a time and displays the following prompts for each:

Enter the number of paper space units <1.0>: Enter a value or press Enter

Enter the number of model space units <1.0>: Enter a value or press Enter

For example, for an engineering drawing at a scale of 1:4, or quarter scale, enter 1 for paper space units and 4 for model space units.

Uniform

Sets the same scale factor for all viewports.

Number of paper space units. <1.0>: Enter a value or press Enter

Number of model space units. <1.0>: Enter a value or pressEnter

Options

Sets the MVSETUP preferences before you change your drawing.

Enter an option [Layer/LImits/Units/Xref] <exit>: Enter an option or press Enter to return to the previous prompt

Layer

Specifies a layer on which to insert the title block.

Enter layer name for title block or [. (for current layer)]: Enter an existing or a new layer name, enter a period (.) for the current layer, or press Enter

Limits

Specifies whether to reset the grid limits to the drawing extents after a title block has been inserted.

Set drawing limits? [Yes/No] <N>: Enter y or press Enter

Units

Specifies whether the sizes and point locations are translated to inch or millimeter paper units.

Enter paper space units type [Feet/Inches/MEters/Millimeters] <current>: Enter an option or press Enter

Xref

Specifies whether the title block is inserted or externally referenced.

Enter title block placement method [Xref attach/Insert] <current>: Enter x, enter i, or press Enter

Title Block

Prepares paper space, orients the drawing by setting the origin, and creates a drawing border and a title block.

Enter title block option [Delete objects/Origin/Undo/Insert] <Insert>: Enter an option or press Enter

Delete Objects

Deletes objects from paper space.

Select the objects to delete . . .

Select objects: Use an object selection method

Origin

Relocates the origin point for this sheet.

Specify new origin point for this sheet: Specify a point

Undo

Reverses operations performed in the current MVSETUP session.

Insert

Displays title block options.

Available title blocks:...

0: None

1: ISO A4 Size(mm)

2: ISO A3 Size(mm)

3: ISO A2 Size(mm)

4: ISO A1 Size(mm)

5: ISO A0 Size(mm)

6: ANSI-V Size(in)

7: ANSI-A Size(in)

8: ANSI-B Size(in)

9: ANSI-C Size(in)

10: ANSI-D Size(in)

11: ANSI-E Size(in)

12: Arch/Engineering (24 x 36in)

13: Generic D size Sheet (24 x 36in)

Enter number of title block to load or [Add/Delete/Redisplay]: Enter an option number (0 through 13) or enter an option

Title Block to Load

Inserts a border and a title block. Entering 0 or pressing Enter inserts no border. Entering 1 through 13 creates a standard border of the appropriate size. The list includes ANSI and DIN/ISO standard sheets.

Add

Adds title block options to the list. Selecting this option prompts you to enter the title block description to be displayed in the list and the name of a drawing to insert.

Enter title block description: Enter a description

Enter drawing name to insert (without extension): Enter a file name

Define default usable area? [Yes/No] <Y>: Enter n or press Enter

Pressing Enter displays the following prompts:

Specify lower-left corner: Specify a point

Specify upper-right corner: Specify a point

A line similar to the following example is added after the last entry in the mvsetup.dfs default file:

A/E (24 x 18in),arch-b.dwg,(1.12 0.99 0.00),(18.63 17.02 0.00),in

The last field of the line specifies whether the title block has been created in inches or in millimeters. The units field allows title blocks created in either unit system to be changed by setting the unit type using the Options option.

You can also add title blocks that have variable attributes.

Delete

Removes entries from the list.

Enter number of entry to delete from list: Enter the number of the entry to delete

Redisplay

Redisplays the list of title block options.

Undo

Reverses operations performed in the current MVSETUP session.


N commands

MVSETUP on a Layout Tab
Commands
NAVSMOTION
Commands >
N commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • NAVSMOTION

    Displays the ShowMotion interface.

  • NAVSMOTIONCLOSE

    Closes the ShowMotion interface.

  • NAVSWHEEL

    Displays a wheel that contains a collection of view navigation tools.

  • NAVVCUBE

    Controls the visibility and display properties of the ViewCube tool.

  • NETLOAD

    Loads a .NET application.

  • NEW

    Creates a new drawing.

  • NEWSHEETSET

    Creates a new sheet set data file that manages drawing layouts, file paths, and project data.

  • NEWSHOT

    Creates a named view with motion that is played back when viewed with ShowMotion.

  • NEWVIEW

    Creates a named view with no motion.


NAVSMOTION (Quick Reference)

MVSETUP on a Layout Tab
NAVSMOTION
NAVSMOTIONCLOSE
Commands > N commands >
NAVSMOTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays the ShowMotion interface.

Menu: View [image] ShowMotionNot available in menus in the current workspace
Toolbar: Status bar [image] ShowMotion
Command entry: navsmotion

Displays the ShowMotion interface where you can navigate a drawing by selecting a named view.


NAVSMOTIONCLOSE (Quick Reference)

NAVSMOTION
NAVSMOTIONCLOSE
NAVSWHEEL
Commands > N commands >
NAVSMOTIONCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the ShowMotion interface.

Menu: View [image] ShowMotionNot available in menus in the current workspace
Toolbar: Status bar [image] ShowMotion
Command entry: navsmotionclose

Closes the ShowMotion interface where you can navigate a drawing by selecting a named view.


NAVSWHEEL (Quick Reference)

NAVSMOTIONCLOSE
NAVSWHEEL
SteeringWheels Settings Dialog Box
Commands > N commands >
NAVSWHEEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a wheel that contains a collection of view navigation tools.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] 2D WheelNot available on the ribbon in the current workspace
Menu: View [image] SteeringWheels Not available in menus in the current workspace
Shortcut menu: SteeringWheels
Toolbar: Status bar [image] SteeringWheels
Command entry: navswheel

Summary

Each wedge on a wheel represents a single navigation tool to change the current view in different ways.

Right-click to display the Wheel menu, which provides choices of different wheels and controls the behavior of some of the tools.

The NAVSWHEEL command displays the wheel as defined by the NAVSWHEELMODE system variable. Right-click over a wheel and click SteeringWheels Settings to access the SteeringWheels Settings dialog box where you control the display of the SteeringWheels.


SteeringWheels Settings Dialog Box (Quick Reference)

NAVSWHEEL
NAVSWHEEL
NAVVCUBE
Commands > N commands > NAVSWHEEL >
SteeringWheels Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] 2D WheelNot available on the ribbon in the current workspace
Menu: View [image] SteeringWheels Not available in menus in the current workspace
Shortcut menu: SteeringWheels
Toolbar: Status bar [image] SteeringWheels
Command entry: navswheel

Controls the display of the SteeringWheels.

Big Wheels

Preview Thumbnail

Displays a real-time preview of the big wheels based on the current settings.

Wheel Size

Sets the display size of the big wheels. (NAVSWHEELSIZEBIG system variable)

Wheel Opacity

Determines the opacity level of the big wheels. (NAVSWHEELOPACITYBIG system variable)

Mini Wheels

Preview Thumbnail

Displays a real-time preview of the mini wheels based on the current settings.

Wheel Size

Sets the display size of the mini wheels. (NAVSWHEELSIZEMINI system variable)

Wheel Opacity

Determines the opacity level of the mini wheels. (NAVSWHEELOPACITYMINI system variable)

Display

Show Tool Messages

Controls the display of messages for the active tool.

Show Tooltips

Controls the display of tooltips for the wedges and buttons on a wheel.

Show the Pinned Wheel at Startup

Specifies if the wheel is initially pinned when first activated or follows the cursor. If pinned, the First Contact balloon is displayed when the wheel is first activated.

Walk Tool

Constrain Walk Angle to Ground Plane

Controls if you can adjust the current view along the Z direction or not when using the Walk tool.

Walk Speed

Sets the movement speed for the Walk tool.

Zoom Tool

Enable Single Click Incremental Zoom

Controls if single clicking over the Zoom tool on the Full Navigation wheel causes the magnification of the current view to increase by 25 percent.

Invert Vertical Axis for Look Tool

Determines the direction you drag the mouse in to move the source and target points of the current view up or down when using the Look tool.

Maintain Up Direction for Orbit Tool

Specifies whether the viewpoint of the model can be turned upside-down or not when using the Orbit tool.

Use Selection Sensitivity for Orbit Tool

Specifies if the objects selected before a wheel is displayed are used to define the pivot point for the Orbit tool.

Rewind Thumbnail

Controls when thumbnails are generated for view changes that are made without using a wheel. The generated thumbnails are used for the Rewind tool. (CAPTURETHUMBNAILS system variable)

Never

Specifies that no preview thumbnails are generated when a view change occurs outside the SteeringWheels.

On Demand When the Bracket is Moved Over an Empty Frame

Generates preview thumbnails on demand for the Rewind tool when the bracket is positioned over an empty frame.

Automatically When a View Change Occurs

Automatically generates preview thumbnails after each view change occurs.

Restore Defaults

Applies the default settings for SteeringWheels.


NAVVCUBE (Quick Reference)

SteeringWheels Settings Dialog Box
NAVVCUBE
ViewCube Settings Dialog Box
Commands > N commands >
NAVVCUBE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the visibility and display properties of the ViewCube tool.

Access Methods

Button

Ribbon: View tab [image] Views panel [image] View Cube
Menu: View [image] Display [image] ViewCube [image] OnNot available in menus in the current workspace
Command entry: navvcube

The ViewCube tool provides feedback about the orientation of the model in the current viewport.

Enter an option [ON/OFF/Settings] <ON>: Enter an option and press ENTER

On

Displays the ViewCube.

Off

Turns off the display of the ViewCube.

Settings

Displays the ViewCube Settings dialog box, in which you can control the appearance, visibility, and location of the ViewCube.


ViewCube Settings Dialog Box (Quick Reference)

NAVVCUBE
NAVVCUBE
NETLOAD
Commands > N commands > NAVVCUBE >
ViewCube Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: View tab [image] Views panel [image] View Cube
Menu: View [image] Display [image] ViewCube [image] OnNot available in menus in the current workspace
Command entry: navvcube

Controls the visibility and display properties of the ViewCube tool.

Display

On-screen Position

Specifies which corner of a viewport the ViewCube tool should be displayed in. (NAVVCUBELOCATION system variable)

ViewCube Size

Controls the display size of the ViewCube tool. (NAVVCUBESIZE system variable)

Select Automatic to have the size of the ViewCube tool adjust based on the current size of the active viewport, zoom factor of the active layout, or drawing window.

Inactive Opacity

Determines the opacity level of the ViewCube tool when it is inactive. (NAVVCUBEOPACITY system variable)

Preview Thumbnail

Displays a real-time preview of the ViewCube based on the current settings.

Show UCS Menu

Controls the display of the UCS drop-down menu below the ViewCube tool.

When Dragging on the ViewCube

Snap to Closest View

Specifies if the current view is adjusted to the closest preset view when changing the view by dragging the ViewCube tool.

When Clicking on the ViewCube

Zoom to Extents After View Change

Specifies if the model is forced to fit the current viewport after a view change.

Use View Transitions When Switching Views

Controls the use of smooth view transitions when switching between views.

Orient ViewCube to Current UCS

Orients the ViewCube tool based on the current UCS or WCS of the model. (NAVVCUBEORIENT system variable)

Keep Scene Upright

Specifies whether the viewpoint of the model can be turned upside-down or not.

Show Compass Below the ViewCube

Controls whether the compass is displayed below the ViewCube tool. The North direction indicated on the compass is the value defined by the NORTHDIRECTION system variable.

Restore Defaults

Applies the default settings for the ViewCube tool.


NETLOAD (Quick Reference)

ViewCube Settings Dialog Box
NETLOAD
NEW
Commands > N commands >
NETLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads a .NET application.

Command entry: netload

The Choose .NET Assembly dialog box, a standard file selection dialog box, is displayed.

When FILEDIA is set to 0 (zero), NETLOAD displays the following command prompt:

Assembly file name: Enter a file name and press ENTER.


NEW (Quick Reference)

NETLOAD
NEW
Create New Drawing Dialog Box
Commands > N commands >
NEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a new drawing.

Menu: File [image] NewNot available in menus in the current workspace
Command entry: new

The behavior of the NEW command is determined by the STARTUP system variable.

  • 1: NEW displays the Create New Drawing dialog box.
  • 0: NEW displays the Select Template dialog box (a standard file selection dialog box).

If the FILEDIA system variable is set to 0 instead of 1, a Command prompt is displayed. If you set FILEDIA to 0, this prompt is displayed regardless of the Startup setting.


Create New Drawing Dialog Box (Quick Reference)

NEW
NEW
Quick Setup Wizard
Commands > N commands > NEW >
Create New Drawing Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: File [image] NewNot available in menus in the current workspace
Command entry: new

Defines the settings for a new drawing. Start from Scratch creates a new drawing using either imperial or metric default settings. Use a Template creates a new drawing using the settings defined in a drawing template you select. Use a Wizard creates a new drawing using the settings you specify in either the Quick or Advanced wizard. (The first option, Open a Drawing, is not available from the NEW command. To open an existing drawing, use OPEN.)

Start from Scratch

Starts an empty drawing using default imperial or metric settings (MEASUREINIT system variable). You can change the measurement system for a given drawing by using the MEASUREMENT system variable. The Drawing1.dwg that opens when you start the program is a drawing that is started from scratch.

Imperial

Starts a new drawing based on the imperial measurement system. The default drawing boundary (the grid limits) is 12 by 9 inches.

Metric

Starts a new drawing based on the metric measurement system. The default drawing boundary (the grid limits) is 429 by 297 millimeters.

Tip

Displays a description of the selected measurement setting.

Use a Template

Starts a drawing based on a drawing template file. Template drawings store all the settings for a drawing and may also include predefined layers, dimension styles, and views. Template drawings are distinguished from other drawing files by the .dwt file extension. They are normally kept in the template directory.

Several template drawings are included with this program. You can make additional template drawings by changing the extensions of drawing file names to .dwt. See Use a Template File to Start a Drawing in the User's Guide.

Select a Template

Lists all DWT files that currently exist in the drawing template file location, which is specified in the Options dialog box. Select a file to use as a starting point for your new drawing.

Preview

Displays a preview image of the selected file.

Browse

Displays the Select a Template File dialog box (a standard file selection dialog box), where you can access template files that are not available in the Select a Template list.

Template Description

Displays a description of the selected template. If you create your own template, you can use the Template Options dialog box to specify the text that you want to display here. See the SAVEAS command.

Use a Wizard

Sets up a drawing using a step-by-step guide. You can choose from two wizards: Quick Setup and Advanced Setup.

Quick Setup

Displays the Quick Setup wizard, in which you can specify the units and area for your new drawing. The Quick Setup wizard also changes settings, such as text height and snap spacing, to an appropriate scale.

Advanced Setup

Displays the Advanced Setup wizard, in which you can specify the units, angle, angle measure, angle direction, and area for your new drawing. The Advanced Setup wizard also changes settings, such as text height and snap spacing, to an appropriate scale.

Wizard Description

Displays a description of the selected wizard.


Quick Setup Wizard (Quick Reference)

Create New Drawing Dialog Box
NEW
Advanced Setup Wizard
Commands > N commands > NEW >
Quick Setup Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Toolbar: Standard
Menu: File [image] NewNot available in menus in the current workspace
Command entry: new

Defines the units and area of your drawing.

The Quick Setup wizard has two pages: Units and Area. As you work in this wizard, choose Back and Next to switch between pages; choose Finish on the last page to close the wizard and create the new drawing with the settings you specified.

Units

Indicates the format in which you enter and in which the program displays coordinates and measurements. Several formats are available. Two of them, Engineering and Architectural, have a specific base unit (inches) assigned to them. You can select from other measurement styles that can represent any convenient unit of measurement.

NoteYou control the precision (the number of decimal places displayed in all measurements) by using the Advanced Setup wizard or the UNITS command. The default precision used by Quick Setup is four (0.0000).
Decimal

Displays measurements in decimal notation.

Engineering

Displays measurements in feet and decimal inches.

Architectural

Displays measurements in feet, inches, and fractional inches.

Fractional

Displays measurements in mixed-number (integer and fractional) notation.

Scientific

Displays measurements in scientific notation (numbers expressed in the form of the product of a decimal number between 0 and 10 and a power of 10).

Area

Indicates the width and length in full-scale units of what you plan to draw. This setting limits the area of the drawing covered by grid dots when the grid is turned on. When limits checking is turned on with the LIMITS command, this setting also restricts the coordinates you can enter to within the rectangular area. You can change the drawing area and turn limits checking on and off with the LIMITS command.


Advanced Setup Wizard (Quick Reference)

Quick Setup Wizard
NEW
NEW Command Prompt
Commands > N commands > NEW >
Advanced Setup Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Toolbar: Standard
Menu: File [image] NewNot available in menus in the current workspace
Command entry: new

Defines the units, angle, angle measure, angle direction, and area of your new drawing.

The Advanced Setup wizard contains five pages: Units, Angle, Angle Measure, Angle Direction, and Area. As you work in this wizard, choose Back and Next to navigate between pages; choose Finish on the last page to close the wizard and create the new drawing with the settings you specified.

You can later change units, angle, angle measure, and angle direction using the UNITS command, and you can change area using the LIMITS command.

Units

Indicates the unit format and precision. The unit format is the format in which you enter and in which the program displays coordinates and measurements. The Units page of the Quick Setup wizard includes the same formats. See Units for more information.

The unit precision specifies the number of decimal places or the fractional size for displaying linear measurements.

Angle

Indicates the format in which you enter angles and in which the program displays angles.

Decimal Degrees

Displays partial degrees as decimals.

Deg/Min/Sec

Displays partial degrees as minutes and seconds.

Grads

Displays angles as grads.

Radians

Displays angles as radians.

Surveyor

Displays angles in surveyor's units.

Angle Measure

Indicates the direction of the 0 angle for the entry of angles. When you enter an angle value, the angle is measured either counter-clockwise or clockwise from the compass direction that you select on this page. You control the counterclockwise/clockwise direction on the Angle Direction page.

East

Specifies the compass direction east as the 0 angle.

North

Specifies the compass direction north as the 0 angle.

West

Specifies the compass direction west as the 0 angle.

South

Specifies the compass direction south as the 0 angle.

Other

Specifies a direction other than east, north, west, or south. Enter a specific compass angle to treat as the 0 angle.

Angle Direction

Indicates the direction from the 0 angle in which you enter and in which the program displays positive angle values: counterclockwise or clockwise.

Area

Indicates the width and length in full-scale units of what you plan to draw. This setting limits the area of the drawing covered by grid dots when the grid is turned on. When limits checking is turned on with the LIMITS command, this setting also restricts the coordinates you can enter to within the rectangular area. You can change the drawing area and turn limits checking on and off with the LIMITS command.


NEW Command Prompt (Quick Reference)

Advanced Setup Wizard
NEW
NEWSHEETSET
Commands > N commands > NEW >
NEW Command Prompt
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you turned off the display of the Create New Drawing dialog box, or if FILEDIA is set to 0, NEW displays the following prompt:

Enter template file name or [. (for none)] <current>: Enter a name, enter a period (.), or press ENTER

Enter a tilde (~) at the prompt to display the Select Template dialog box (a standard file selection dialog box).


NEWSHEETSET (Quick Reference)

NEW Command Prompt
NEWSHEETSET
NEWSHOT
Commands > N commands >
NEWSHEETSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a new sheet set data file that manages drawing layouts, file paths, and project data.

Access Methods

Menu: Application menu [image] New [image] Sheet Set
Command entry: newsheetset

Summary

The Create Sheet Set wizard contains a series of pages that step you through the process of creating a new sheet set. You can choose to create a new sheet set from existing drawings, or use an existing sheet set as a template on which to base your new sheet set.


NEWSHOT (Quick Reference)

NEWSHEETSET
NEWSHOT
NEWVIEW
Commands > N commands >
NEWSHOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a named view with motion that is played back when viewed with ShowMotion.

Menu: View [image] Named ViewsNot available in menus in the current workspace
Command entry: newshot

Displays the New view / Shot Properties dialog box with the Shot Properties tab active.


NEWVIEW (Quick Reference)

NEWSHOT
NEWVIEW
OBJECTSCALE
Commands > N commands >
NEWVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a named view with no motion.

Menu: View [image] Named ViewsNot available in menus in the current workspace
Command entry: newview

Displays the New view / Shot Properties dialog box with the View Properties tab active.


O commands

NEWVIEW
Commands
OBJECTSCALE
Commands >
O commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • OBJECTSCALE

    Adds or deletes supported scales for annotative objects.

  • OFFSET

    Creates concentric circles, parallel lines, and parallel curves.

  • OLELINKS

    Updates, changes, and cancels existing OLE links.

  • OLESCALE

    Controls the size, scale, and other properties of a selected OLE object

  • OOPS

    Restores erased objects.

  • OPEN

    Opens an existing drawing file.

  • OPENDWFMARKUP

    Opens a DWF or DWFx file that contains markups.

  • OPENSHEETSET

    Opens a selected sheet set.

  • OPTIONS

    Customizes the program settings.

  • ORTHO

    Constrains cursor movement to the horizontal or vertical direction.

  • OSNAP

    Sets running object snap modes.


OBJECTSCALE (Quick Reference)

NEWVIEW
OBJECTSCALE
Annotative Object Scale Dialog Box
Commands > O commands >
OBJECTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds or deletes supported scales for annotative objects.

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Add/Delete ScalesNot available on the ribbon in the current workspace
Menu: Modify [image] Annotative Object Scale [image] Add/Delete ScalesNot available in menus in the current workspace
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add/Delete Scales.
Command entry: objectscale (or 'objectscale for transparent use)

Summary

An annotative object can support several annotation scales for views at different scales. You can add or delete scales from the list of scales assigned to the selected annotative objects.

If you enter objectscale, you are prompted to select annotative objects.

Select annotative objects: Use an ‘b selection method

The Annotative Object Scale Dialog Box is displayed.

If you enter -objectscale at the Command prompt, options are displayed.


Annotative Object Scale Dialog Box (Quick Reference)

OBJECTSCALE
OBJECTSCALE
Add Scales to Object Dialog Box
Commands > O commands > OBJECTSCALE >
Annotative Object Scale Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Add/Delete ScalesNot available on the ribbon in the current workspace
Menu: Modify [image] Annotative Object Scale [image] Add/Delete ScalesNot available in menus in the current workspace
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add/Delete Scales.
Command entry: objectscale (or 'objectscale for transparent use)

Adds or deletes supported scales for the selected annotative object.

Object Scale List

Displays the list of scales supported by the selected object.

Scale in Units (Unlabeled)

Displays the scale (in units) of the named scale selected in the Object Scale List.

List all scales for selected objects

Specifies that all scales supported by the selected objects are displayed in the Object Scale List.

List scales common to all selected objects only

Specifies that only the supported scales that are common to all selected objects are displayed in the Object Scale List.

Add

Displays the Add Scales to Object Dialog Box.

Delete

Removes the selected scale from the scale list.

NoteThe current scale or scales referenced by objects or views cannot be deleted.


Add Scales to Object Dialog Box (Quick Reference)

Annotative Object Scale Dialog Box
OBJECTSCALE
-OBJECTSCALE
Commands > O commands > OBJECTSCALE >
Add Scales to Object Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Add/Delete ScalesNot available on the ribbon in the current workspace
Menu: Modify [image] Annotative Object Scale [image] Add/Delete ScalesNot available in menus in the current workspace
Shortcut menu: With an annotative object selected, right-click in the drawing area. Click Annotative Object Scale [image] Add/Delete Scales.
Command entry: objectscale (or 'objectscale for transparent use)

Adds a new scale to the selected annotative object.

Scale List

Displays the list of scales that can be added to the selected annotative object. Multiple scales can be selected by holding down the Shift or Ctrl key while selecting the scales.

Use the SCALELISTEDIT command to add custom scales to this list.


-OBJECTSCALE (Quick Reference)

Add Scales to Object Dialog Box
OBJECTSCALE
OFFSET
Commands > O commands > OBJECTSCALE >
-OBJECTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -objectscale at the Command prompt, the following prompts are displayed.

Select annotative objects: Use an object selection method

Enter an option [Add/Delete] <Add>: Enter a or d or press Enter

Add

Adds an annotation scale to the selected annotative objects.

When created, an annotative object supports one annotation scale: the current annotation scale. However, an annotative object can be updated to support additional annotation scales for views at different scales.

Enter named scale to add or [?] <current annotation scale >: Enter a descriptive or numeric name such as 1"=4' or 1:48.

?

Displays the list of scales in the scale list.

Delete

Removes a specified current annotation scale from the selected objects.

If an annotative object supports a single scale, that scale cannot be deleted from the object.

Enter named scale to delete or [?] <current annotation scale>: Enter the name of a scale that you want to delete

?

Displays the union of all scales of the selected objects.


OFFSET (Quick Reference)

-OBJECTSCALE
OFFSET
OLELINKS
Commands > O commands >
OFFSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates concentric circles, parallel lines, and parallel curves.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] OffsetNot available on the ribbon in the current workspace
Menu: Modify [image] OffsetNot available in menus in the current workspace
Toolbar: Modify
Command entry: offset

Current settings: Erase source = current Layer = current OFFSETGAPTYPE = current

Specify offset distance or [Through/Erase/Layer] <current>: Specify a distance, enter an option, or press Enter

You can offset an object at a specified distance or through a point. After you offset objects, you can trim and extend them as an efficient method to create drawings containing many parallel lines and curves.

The OFFSET command repeats for convenience. To exit the command, press Enter.

Offset Distance

Creates an object at a specified distance from an existing object.

Select object to offset or [Exit/Undo] <exit>: Select one object, enter an option, or press Enter to end the command

Specify point on side to offset or [Exit/Multiple/Undo] <exit or next object>: Specify a point (1) on the side of the object you want to offset or enter an option

Exit

Exits the OFFSET command.

Multiple

Enters the Multiple offset mode, which repeats the offset operation using the current offset distance.

Undo

Reverses the previous offset.

Through

Creates an object passing through a specified point.

Select object to offset or <exit>: Select one object or press Enter to end the command

NoteFor best results when you offset a polyline with corners, specify the through point near the midpoint of a line segment, not near a corner.

Specify through point or [Exit/Multiple/Undo] <exit or next object>: Specify a point (1) through which you want the offset object to pass or enter a distance

Exit

Exits the OFFSET command.

Multiple

Enters the Multiple offset mode, which repeats the offset operation and accepts additional through points.

Undo

Reverses the previous offset.

Erase

Erases the source object after it is offset.

Erase source object after offsetting? [Yes/No] <current>: Enter y or n

Layer

Determines whether offset objects are created on the current layer or on the layer of the source object.

Enter layer option for offset objects [Current/Source] <current>: Enter an option


OLELINKS (Quick Reference)

OFFSET
OLELINKS
Links Dialog Box
Commands > O commands >
OLELINKS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Updates, changes, and cancels existing OLE links.

Menu: Edit [image] OLE LinksAt the Command prompt, enter olelinks.
Command entry: olelinks

The Links dialog box is displayed. If there is no existing OLE link in the drawing, OLE Links is not available on the Edit menu and the Links dialog box is not displayed. To specify a different source application for an embedded object, right-click the embedded object and click Convert on the shortcut menu to display the Convert dialog box.


Links Dialog Box (Quick Reference)

OLELINKS
OLELINKS
Convert Dialog Box
Commands > O commands > OLELINKS >
Links Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Edit [image] OLE LinksAt the Command prompt, enter olelinks.
Command entry: olelinks

Lists and modifies linked files and objects.

Links

Lists information about linked objects. The information listed depends on the type of link. To change information for a linked object, select the object.

Source

Displays the path name of the source file and the type of object.

Type

Displays the format type.

Update: Automatic

Updates the link automatically whenever the source changes.

Update: Manual

Prompts you to update a link when you open the document.

Update Now

Updates the selected links.

Open Source

Opens the source file and highlights the portion linked to the AutoCAD drawing.

Change Source

Displays the Change Source dialog box (a standard file dialog box), in which you can specify a different source file. If the source is a selection within a file (instead of the entire file), Item Name displays a string representing the selection.

Break Link

Severs the link between the object and the original file. The object in your drawing is changed to WMF (Windows metafile format), which is not affected by future changes to the original file.


Convert Dialog Box (Quick Reference)

Links Dialog Box
OLELINKS
Change Icon Dialog Box
Commands > O commands > OLELINKS >
Convert Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click an embedded object and click OLE [image] Convert.

Specifies a different source application for an embedded object.

Current Type

Displays the type of object you are converting or activating.

Object Type

Displays a list of available object types. If you select AutoCAD Entities, text is converted to a multiline text (mtext) object, a spreadsheet is converted to a table object, and a bitmap file is converted to an image object.

Convert To

Converts the embedded object to the type specified under Object Type.

Activate As

Opens the embedded object as the type selected under Object Type but returns the object to its current type after editing.

Display as Icon

Displays the source application's icon in the drawing. Double-clicking the icon displays the linked or embedded information.

Change Icon

Displays the Change Icon dialog box. This option is available only if you select Display as Icon.

Result

Describes the result of the selected options.


Change Icon Dialog Box (Quick Reference)

Convert Dialog Box
OLELINKS
OLESCALE
Commands > O commands > OLELINKS >
Change Icon Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Edit [image] OLE LinksAt the Command prompt, enter olelinks.
Command entry: olelinks

Changes the icon that represents an embedded or linked object in a drawing.

Icon

Specifies an icon to represent an embedded or linked object.

Current

Specifies the currently selected icon.

Default

Specifies the default icon for the source application.

From File

Specifies an icon from a file (valid types include EXE, DLL, and ICO).

Label

Specifies a caption for the icon. The file type is displayed unless you specify otherwise.

Browse

Displays the Browse dialog box (a standard file selection dialog box), in which you can select an icon from a file.


OLESCALE (Quick Reference)

Change Icon Dialog Box
OLESCALE
OLE Text Size Dialog Box
Commands > O commands >
OLESCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the size, scale, and other properties of a selected OLE object

Shortcut menu: With an OLE object selected, right-click and click Text Size.
Command entry: olescale

The OLE Text Size dialog box is displayed.

NoteYou must select an OLE object before entering the OLESCALE command.


OLE Text Size Dialog Box (Quick Reference)

OLESCALE
OLESCALE
OOPS
Commands > O commands > OLESCALE >
OLE Text Size Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: With an OLE object selected, right-click and click Text Size.
Command entry: olescale

Maps the point size of one of the fonts in an OLE object to a text height in the drawing. The OLE object is scaled automatically to accommodate the size of the text.

OLE Font

Displays a list of the fonts used in the OLE object.

OLE Point Size

Displays a list of the point sizes available for the selected font.

Text Height

Sets a text height for the font at the selected point size.

Reset

Restores the OLE object to its size when it was inserted in the drawing.


OOPS (Quick Reference)

OLE Text Size Dialog Box
OOPS
OPEN
Commands > O commands >
OOPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores erased objects.

Command entry: oops

OOPS restores objects erased by the last ERASE command.

You can also use OOPS after BLOCK or WBLOCK because these commands can erase the selected objects after creating a block. However, you cannot use OOPS to restore parameters, actions, or grips in the Block Editor.

You cannot use OOPS to restore objects on a layer that has been removed with the PURGE command.


OPEN (Quick Reference)

OOPS
OPEN
Standard File Selection Dialog Boxes
Commands > O commands >
OPEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens an existing drawing file.

Toolbar: Standard
Menu: Application menu [image] Open [image] Drawing
Command entry: open

The Select File dialog box (a standard file selection dialog box) is displayed.

You can open and load a portion of a drawing, including geometry on a specific view or layer. In the Select File dialog box, click the arrow next to Open and choose Partial Open or Partial Open Read-Only to display the Partial Open dialog box.

When FILEDIA is set to 0 (zero), OPEN displays a Command prompt.

NoteIf the drawing you open contains macros, the AutoCAD Macro Virus Protection dialog box is displayed.


Standard File Selection Dialog Boxes (Quick Reference)

OPEN
OPEN
Buzzsaw Location Shortcuts Dialog Box
Commands > O commands > OPEN >
Standard File Selection Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Several commands display standard file selection dialog boxes, in which you can navigate through local and network drives and through FTP sites and Web folders to select files. While each dialog box may vary slightly, following is a list of the possible options.

Places List

Provides quick access to predefined locations. You can reorder the icons in the Places list by dragging them to a new position. To add a new icon to Places, drag a folder from the list. Right-click in Places to display a shortcut menu with options for adding, removing, and modifying icons or restoring default icons that have been removed. Changes to Places affect all standard file selection dialog boxes.

History

Displays shortcuts to the files most recently accessed from the dialog box. It is recommended that you periodically remove unwanted shortcuts from the History list. Select History, then select the unwanted shortcuts in the Files list and click Delete. To sort the shortcuts by date, click Views [image] Details, and then click the Modified column in the Files list.

Personal/My Documents

Displays the contents of the Personal or My Documents folder for the current user profile. The name of this location (“Personal” or “My Documents”) depends on your operating system version.

Favorites

Displays the contents of the Favorites folder for the current user profile. This folder consists of shortcuts to files or folders that you added to Favorites using the Tools [image] Add to Favorites option in the dialog box.

FTP

Displays the FTP sites that are available for browsing in the standard file selection dialog box. To add FTP locations to this list, or to modify an existing FTP location, click Tools [image] Add/Modify FTP Locations in the dialog box.

Desktop

Displays the contents of your desktop.

Buzzsaw

Provides access to Buzzsaw projects. Buzzsaw is a secure Internet-based collaboration and project management service that connects project teams in different locations. To use Buzzsaw, you must already have a project hosting account on Buzzsaw or be given access to a subscriber's Buzzsaw site. If you do not yet have a project hosting account on Buzzsaw, clicking Buzzsaw displays the Select Template dialog box where you can add a Buzzsaw location shortcut. Double-clicking Add a Buzzsaw Location Shortcut opens the Log In To Buzzsaw dialog box where you can register for a free 30-day trial subscription to the service. Also, the first time you access Buzzsaw, your default web browser opens with the project hosting page displayed. If you already have a project hosting account, clicking Buzzsaw shows all of your project sites in the Site list.

Look In/Save In

Displays the current folder or drive. Click the arrow to view the hierarchy of the folder path and to navigate up the path tree or to other drives, network connections, FTP locations, or web folders (either Web Folders or My Network Places, depending on the version of your operating system). You can create web folders in Windows Explorer. Consult your system administrator or Windows Explorer Help for more information about web folders. To control whether the last used paths in each particular standard file selection dialog box are stored across sessions, use the REMEMBERFOLDERS system variable.

Back

Returns to the previous file location.

Up One Level

Navigates one level up in the current path tree.

Search the Web

Displays the Browse the Web dialog box, from which you can access and store files on the Internet.

Delete

Deletes the selected file or folder.

Create New Folder

Creates a new folder in the current path using a name that you specify.

Views

Controls the appearance of the Files list or Folders list and, for a Files list, specifies whether to show a preview image when a file is selected.

List

Displays a multi-column list.

Details

Displays a single-column list with file details.

Thumbnail

Displays each file in a thumbnail view.

Preview

Displays a bitmap of the selected file. The Preview area is blank if you do not select a file. To save a bitmap with a drawing file, use the Save a Thumbnail Preview Image option on the Open and Save tab in the Options dialog box.

Tools

Provides tools to help with file selection and other actions available in file selection dialog boxes.

Find

Displays the Find dialog box, in which you can search for files using name, location, and date-modified filters.

Locate

Uses the AutoCAD search path to locate the file specified in File Name. You set the search path on the Files tab in the Options dialog box.

Add/Modify FTP Locations

Displays the Add/Modify FTP Locations dialog box, in which you can specify the FTP sites to make available for browsing. To browse these sites, select FTP from the Places list.

Add Current Folder to Places

Adds an icon for the selected folder to the Places list, providing quick access to that folder from all standard file selection dialog boxes. To remove the icon, right-click the icon and choose Remove.

Add to Favorites

Creates a shortcut to the current Look In location, or to the selected file or folder. The shortcut is placed in the Favorites folder for the current user profile, which you can access by choosing Favorites in the Places list.

Look in Favorites

Sets the Look In path to your system’s Favorites folder.

Options

Provides additional options for certain standard file selection dialog boxes.

Security Options

Provides options for a digital signature and password that are invoked when you save a file.

Files List

Displays the files and folders in the current path and of the selected file type. Use the Views menu in the dialog box to switch between List view and Details view.

Preview

Displays a bitmap of the selected file when you choose Views [image] Preview in the dialog box. The Preview area is blank if you do not select a file. To save a bitmap with a drawing file, use the Save a Thumbnail Preview Image option on the Open and Save tab in the Options dialog box.

File Name

Displays the name of the file you select in the Files list. If you select multiple files, File Name displays each selected file within quotation marks. If you enter a file name in the File Name box, any selection is cleared. You must use quotation marks when entering multiple file names. You can use wild-card characters to filter files displayed in the Files list.

TipAs you enter a file name, the list box displays a list of folders and files that match the text that you entered.

Files of Type

Filters the list of files by file type. When you are saving files, Files of Type specifies the format in which the file is saved.

Select Initial View

Displays the specified model space view when you open the drawing if the drawing contains more than one named view.

Update Sheet and View Thumbnails Now

Reflects the current setting of the UPDATETHUMBNAIL system variable. This option temporarily overrides that setting. Clear the check box to save the file without updating thumbnails. Check the box to update all thumbnails. This option does not change the current setting of UPDATETHUMBNAIL.

Open/Save

Depending on the purpose of the specific file selection dialog box, opens or saves the selected file or enters the path of the selected folder in the previous dialog box. Certain file selection dialog boxes may include additional options, accessed by clicking the arrow next to the Open button.

Open Read-Only

Opens a file in read-only mode. You cannot save changes to the file using the original file name.

Partial Open

Displays the Partial Open dialog box. You can open and load a portion of a drawing, including geometry on a specific view or layer. The PARTIALOPEN command can be used only for drawings in AutoCAD 2004 or later format.

Partial Open Read-Only

Opens the specified drawing portions in read-only mode.


Buzzsaw Location Shortcuts Dialog Box (Quick Reference)

Standard File Selection Dialog Boxes
OPEN
Log In to Buzzsaw Dialog Box
Commands > O commands > OPEN >
Buzzsaw Location Shortcuts Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Creates, renames, modifies, and deletes Buzzsaw location shortcuts.

Buzzsaw Location Shortcuts

Lists the location of existing Buzzsaw shortcuts.

New

Opens the Log In to Buzzsaw Site dialog box.

Rename

Renames the shortcuts you select.

Modify

Opens the Log In to Buzzsaw Site dialog box, where you can change settings for the selected shortcut.

Delete

Removes the selected shortcut.

Close

Closes the selected shortcut location.


Log In to Buzzsaw Dialog Box (Quick Reference)

Buzzsaw Location Shortcuts Dialog Box
OPEN
Create a Buzzsaw Location Shortcut Dialog Box
Commands > O commands > OPEN >
Log In to Buzzsaw Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Logs in to the Buzzsaw site in order to browse to a specific location

Buzzsaw Site

Specifies the location of the most recently used Buzzsaw site. Enter any existing address or site name.

Buzzsaw User Name

Specifies the user name you use for the Buzzsaw site you want to access.

Password

Specifies your password for the Buzzsaw site.

Save Login Name and Password

Saves your user and login name so that you don't need to retype it the next time you access the site.

Click here to register for a free trial

Registers you for a free trial of the Buzzsaw site.


Create a Buzzsaw Location Shortcut Dialog Box (Quick Reference)

Log In to Buzzsaw Dialog Box
OPEN
Edit a Buzzsaw Location Shortcut Dialog Box
Commands > O commands > OPEN >
Create a Buzzsaw Location Shortcut Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Sets a shortcut to a Buzzsaw location.

Provides access to a new Autodesk Buzzsaw location that you specify. You can open drawings or save drawings at this location. If a sheet set is open, the Autodesk Buzzsaw location is associated with your current sheet set. The only Buzzsaw locations displayed are those associated with the current sheet set.

Buzzsaw Site

Displays the name of the current Buzzsaw site.

Select a Buzzsaw Site Project or Folder

Lists the most recently opened projects and folders in the site.

Browse

Displays the Select a Buzzsaw Project or Folder dialog box, which you can use to find and select a project or folder.

Enter a Name for this Buzzsaw Location Shortcut

Specifies the name of the shortcut.


Edit a Buzzsaw Location Shortcut Dialog Box (Quick Reference)

Create a Buzzsaw Location Shortcut Dialog Box
OPEN
Select a Buzzsaw Location Dialog Box
Commands > O commands > OPEN >
Edit a Buzzsaw Location Shortcut Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Modifies a shortcut to a Buzzsaw location.

Provides edit access to an Autodesk Buzzsaw location that you specify. If a sheet set is open, the Autodesk Buzzsaw location is associated with your current sheet set. The only Buzzsaw locations displayed are those associated with the current sheet set.

Buzzsaw Site

Displays the name of the current Buzzsaw site.

Select a Buzzsaw Site Project or Folder

Lists the most recently opened projects and folders in the site.

Browse

Displays the Select a Buzzsaw Project or Folder dialog box, which you can use to find and select a project or folder.

Enter a Name for this Buzzsaw Location Shortcut

Specifies the name of the shortcut.


Select a Buzzsaw Location Dialog Box (Quick Reference)

Edit a Buzzsaw Location Shortcut Dialog Box
OPEN
Find Dialog Box
Commands > O commands > OPEN >
Select a Buzzsaw Location Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Specifies a Buzzsaw project or folder to save with a Buzzsaw location shortcut.

List of Buzzsaw Projects and Folders

Specifies Buzzsaw projects or folders that can be linked to the shortcut.


Find Dialog Box (Quick Reference)

Select a Buzzsaw Location Dialog Box
OPEN
Add/Modify FTP Locations Dialog Box
Commands > O commands > OPEN >
Find Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Searches for files using name, location, and date modified filters. To access the Find dialog box, in a standard file selection dialog box, click Tools menu [image] Find.

The Find dialog box includes the following tabs: Name & Location, Date Modified

Additional options: Find Now, Stop, New Search, OK, Search Results

Name & Location Tab

Filters the file search based on file type, file name, and location.

Named

Specifies the full or partial file names to include in the search. When entering multiple file names, enclose each name in quotation marks. Use the following wild-card characters to broaden your search:

  • * (Asterisk): Matches any string and can be used anywhere in the search string.
  • ? (Question mark): Matches any single character; for example, ?BC matches ABC, 3BC, and so on.

The type of files to include in the search is determined by Type, so you don't need to enter a file extension in Named. For example, to find house102.dwg, enter house* and set Type to Drawing (*.dwg).

Type

Specifies the type of files to include in the search. Available file types are limited to those supported by the specific standard file selection dialog box.

Look In

Specifies the location to search. Enter a location, choose a location from the list, or choose Browse to navigate to a location. When entering multiple locations, enclose each location in quotation marks.

Browse

Displays the Browse for Folder dialog box, in which you can navigate to a location for the search.

Include Subfolders

Searches all subfolders within the Look In location.

Date Modified Tab

Filters the file search based on the file's creation or modified date.

All Files

Searches without a date filter.

Find All Files Created or Modified

Restricts the search to files created or modified within a specified time.

  • Between: Searches for files created or modified between two dates. Enter the dates or click the arrows to choose dates from a calendar. To navigate the calendar, use the left and right arrows, or click the month and year.
  • During the Previous N Months: Searches for files created or modified within a specified number of months.
  • During the Previous N Days: Searches for files created or modified within a specified number of days.

Find Now

Searches for files using the criteria specified in both tabs.

Stop

Ends the search.

New Search

Clears the search results and resets the default values for all search options.

OK

When one or more files are selected in the search results, closes the Find dialog box and enters the selected file names in the standard file selection dialog box.

Search Results

Lists all files found by the search. To change the sort order of the files, click a column heading. To pass a file to the standard file selection dialog box, select a file and choose OK. When used with a standard file selection dialog box that allows multiple file selection, you can pass multiple files from the Search Results.


Add/Modify FTP Locations Dialog Box (Quick Reference)

Find Dialog Box
OPEN
Partial Open Dialog Box
Commands > O commands > OPEN >
Add/Modify FTP Locations Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Defines the FTP sites that you can browse within standard file selection dialog boxes. To browse the sites that you add, select FTP from the Places list in the standard file selection dialog box.

To access the Add/Modify FTP Locations dialog box, in a standard file selection dialog box, choose Tools [image] Add/Modify FTP Locations.

Name of FTP Site

Specifies the site name for the FTP location (for example, ftp.autodesk.com).

Log On As

Specifies whether to log on to the FTP site anonymously or with a specific user name.

Anonymous

Logs you on to the FTP site as an anonymous user. If the FTP site does not allow anonymous logons, select User and enter a valid user name.

User

Logs you on to the FTP site using the specified user name.

Password

Specifies the password to use to log on to the FTP site.

Add

Adds a new FTP site to the list of FTP locations available from the standard file selection dialog box.

Modify

Modifies the selected FTP site to use the specified site name, logon name, and password.

Remove

Removes the selected FTP site from the list of FTP locations available from the standard file selection dialog box.

FTP Sites

Lists the FTP sites that are available from the Places list in all standard file selection dialog boxes.

URL

Displays the URL for the selected FTP site.


Partial Open Dialog Box (Quick Reference)

Add/Modify FTP Locations Dialog Box
OPEN
OPEN Command Prompt
Commands > O commands > OPEN >
Partial Open Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Standard
Menu: File [image] OpenAt the Command prompt, enter open.
Command entry: open

Displays the drawing views and layers available for specifying what geometry to load into the selected drawing. When working with large drawing files, you can select the minimal amount of geometry you need to load when opening a drawing.

When a drawing is partially open, all named objects, as well as the specified geometry, are loaded into the file. Named objects include blocks, dimension styles, layers, layouts, linetypes, text styles, UCSs, views, and viewport configurations.

View Geometry to Load

Displays the selected view and available views in the drawing. Only model space views are available for loading. You can load paper space geometry by loading the layer that the paper space geometry is drawn on.

View Name

Displays the currently selected view. Geometry that is common to both the selected view and the layers is loaded into the drawing.

View List

Displays all the model space views available in the selected drawing file. When a view is selected, the program loads only the geometry in the selected view. The default view is Extents. Geometry that is common to both the selected view and the layers is loaded into the drawing. You can load geometry from only one view.

You can use the PARTIALOAD command to load additional geometry into a partially open drawing.

NoteWhen a drawing is partially open, named objects are still loaded into the file along with the specified geometry from the selected view. All views are still available in the partially open drawing, but only geometry from the view specified to load is displayed in the drawing.

Layer Geometry to Load

Displays all the layers available in the selected drawing file. The geometry on selected layers is loaded into the drawing, including both model space and paper space geometry. The default loads no layer geometry into the drawing, but you can load geometry from one or more layers. If you specify to load no layer geometry into the drawing, no geometry from the selected view is loaded either because no layer geometry in that view or in the entire drawing is loaded. Xref-dependent layers are displayed in the Layer Geometry to Load list only if the selected drawing was last saved with the VISRETAIN system variable set to 1. Any layers created in the xref since the xref was loaded into the selected drawing are not displayed in the Layer Geometry to Load list.

You can use the PARTIALOAD command to load additional geometry into a partially open drawing.

NoteWhen a drawing is partially open, named objects are still loaded into the file along with the specified geometry from the selected layers. All layers are still available in the partially open drawing, but only geometry from the layers specified to load appears in the drawing.
Layer Name

Displays the layer names in the selected drawing.

Load Geometry

Loads geometry from the layer when the drawing is opened.

Load All

Loads geometry from all layers when the drawing is opened. You can right-click and use the shortcut menu to load geometry from all layers into the drawing.

Clear All

Loads no geometry from any layer when the drawing is opened. No geometry at all is loaded, including geometry specified to load from a view. You can right-click and use the shortcut menu to load no geometry into the drawing.

Index Status

Displays whether the selected drawing file contains a spatial or layer index. INDEXCTL controls whether layer and spatial indexes are saved with the drawing file.

Use Spatial Index

Controls whether a spatial index is used when partially opening a drawing. A spatial index can be used to locate what portion of the drawing is read; this minimizes the time required to open the drawing. If a drawing does not contain a spatial index, this option is unavailable.

Spatial Index

Displays whether the selected drawing file contains an index that organizes objects based on their location in space.

Layer Index

Displays whether the selected drawing file contains a list of the objects that are on each layer. A layer index can be used to locate what portion of the drawing is read; this minimizes the time required to open the drawing.

Unload All Xrefs on Open

Unloads all external references when opening the drawing. Selecting this option enhances the opening process. If you partially open a drawing that contains a bound xref, only the portion of the xref that is loaded (defined by the selected view) is bound to the partially open drawing.

Open

Opens the drawing file, loading only combined geometry from the selected view and layers.


OPEN Command Prompt (Quick Reference)

Partial Open Dialog Box
OPEN
OPENDWFMARKUP
Commands > O commands > OPEN >
OPEN Command Prompt
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When FILEDIA is set to 0 (zero), OPEN displays the following Command prompt.

Enter name of drawing to open:

Enter ~ (tilde) at the prompt to ignore FILEDIA and display the Select File dialog box, a standard file selection dialog box.


OPENDWFMARKUP (Quick Reference)

OPEN Command Prompt
OPENDWFMARKUP
OPENSHEETSET
Commands > O commands >
OPENDWFMARKUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens a DWF or DWFx file that contains markups.

Menu: File [image] Load Markup SetAt the Command prompt, enter opendwfmarkup.
Command entry: opendwfmarkup

Displays the Open Markup DWF dialog box (a standard file selection dialog box), in which you can select a DWF or DWFx file that contains markups to load into the Markup Set Manager.

When you select a DWF or DWFx file and click Open, the Markup Set Manager is displayed. The markup set from the selected DWF or DWFx file is loaded into the Markup Set Manager.

NoteWhen opening a digitally signed DWFx file, a message box is displayed that warns you about saving a new version of the file will invalidate the attached digital signature.


OPENSHEETSET (Quick Reference)

OPENDWFMARKUP
OPENSHEETSET
OPTIONS
Commands > O commands >
OPENSHEETSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens a selected sheet set.

Menu: File [image] Open Sheet SetAt the Command prompt, enter opensheetset.

Button

Command entry: opensheetset

The Open Sheet Set dialog box (a standard file selection dialog box) is displayed.

In this dialog box, you can select a sheet set data (DST) file to load sheet set information into the Sheet Set Manager.


OPTIONS (Quick Reference)

OPENSHEETSET
OPTIONS
Options Dialog Box
Commands > O commands >
OPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customizes the program settings.

Access Methods

Menu: Application menu [image] Options
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Summary

The Options dialog box is displayed.


Options Dialog Box (Quick Reference)

OPTIONS
OPTIONS
Files Tab (Options Dialog Box)
Commands > O commands > OPTIONS >
Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customizes the program settings.

Access Methods

Menu: Application menu [image] Options
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

You can also open the menu browser and click Options on the dark-gray strip at the bottom of the menu browser.

List of Options

The following options are displayed.

Current Profile

Displays the name of the current profile above the tabs. To set the current profile, create a new profile, or edit an existing profile, use the Profiles tab. (CPROFILE system variable)

Drawing Icon

Signifies that an option is saved with the drawing. An option saved with the drawing affects only the current drawing. An option saved in the registry (and not displayed with a drawing file icon) affects all drawings in a work session. Options that are saved in the registry are saved in the current profile.

Current Drawing

Displays the name of the current drawing above the tabs. (DWGNAME system variable)

List of Tabs

The Options dialog box includes the following tabs:

  • Files
  • Display
  • Open and Save
  • Plot and Publish
  • System
  • User Preferences
  • Drafting
  • 3D Modeling
  • Selection
  • Profiles


Files Tab (Options Dialog Box) (Quick Reference)

Options Dialog Box
Options Dialog Box
Display Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Files Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists the folders in which the program searches for support, driver, menu, and other files. Also lists optional, user-defined settings such as which dictionary to use for checking spelling.

Browse

Displays the Browse for Folder or Select a File dialog box (a standard file selection dialog box), in which you can specify a new location for the folder or file selected in the list.

Support File Search Path

Specifies the folders in which the program should look for text fonts, customization files, plug-ins, drawings to insert, linetypes, and hatch patterns that are not in the current folder.

Working Support File Search Path

Displays the active directories that the program searches for support files specific to your system. The list is read-only and displays valid paths from the Support Files Search Path that exist within the current directory structure and network mappings.

Device Driver File Search Path

Specifies the search path for device drivers for the video display, pointing devices, printers, and plotters.

WarningDo NOT remove DRV path and always add paths as secondary paths.

Project Files Search Path

Specifies a project name for the drawing. The project name corresponds to a search path for external reference (xref) files associated with the project. You can create any number of project names with associated folders, but each drawing can have only one project name. (PROJECTNAME system variable)

Customization Files

Specifies the names and locations of various types of files.

Main Customization File

Specifies the default location of the main customization file (acad.cuix).

Enterprise Customization File

Specifies the location of an enterprise customization file.

Custom Icon Location

Specifies the location for custom icons used in customization files.

Help and Miscellaneous File Names

Specifies the names and locations of various types of files.

Help File

Specifies the location of the Help file.

Default Internet Location

Specifies the default Internet location used by both the BROWSER command and the Browse the Web button on the Web toolbar.

Configuration File

Specifies the location of the configuration file used to store hardware device driver information. This value is read-only and can be changed only by using the /c command line switch. See Customize Startup in the User's Guide.

Text Editor, Dictionary, and Font File Names

Specifies a number of optional settings.

Text Editor Application

Specifies the text editor application to use for editing multiline text objects. (MTEXTED system variable)

Main Dictionary

Specifies the dictionary to use for checking spelling. (DCTMAIN system variable)

Custom Dictionary File

Specifies a custom dictionary to use (if you have one). (DCTCUST system variable)

Alternate Font File

Specifies the location of the font file to use if the original font cannot be located and an alternate font is not specified in the font mapping file. If you click Browse, the Alternate Font dialog box is displayed, from which you can choose an available font. (FONTALT system variable)

Font Mapping File

Specifies the location of the file that defines how to convert fonts that cannot be found. (FONTMAP system variable)

Print File, Spooler, and Prolog Section Names

Specifies settings related to plotting.

Plot File Name for Legacy Plotting Scripts

Specifies a default name for the temporary plot files used with plotting scripts created with AutoCAD Release 14 or earlier. The default name is the drawing name plus the .plt file extension. The default name used with AutoCAD 2000 and later drawings is the drawing name-layout name plus the .plt file name extension. Some plotting device drivers, however, use a different plot file extension. This option affects only the default plot file name used for plotting scripts created with earlier versions of AutoCAD.

Print Spool Executable

Specifies the application to use for print spooling. You can enter the executable file name as well as any command line arguments you want to use. For example, you can enter myspool.bat %s to spool plot files to myspool.bat and have a unique plot file name automatically generated. See Use AutoSpool in the Driver and Peripheral Guide.

PostScript Prolog Section Name

Present for legacy reasons only. Autodesk has dropped active support of PostScript and the PSIN, PSOUT, and PSPROLOG commands.

Printer Support File Path

Specifies search path settings for printer support files.

Print Spooler File Location

Specifies the path for print spool files.

Printer Configuration Search Path

Specifies the path for printer configuration files (PC3 files).

Printer Description File Search Path

Specifies the path for files with a .pmp file extension, or printer description files.

Plot Style Table Search Path

Specifies the path for files with an .stb or .ctb extension, or plot style table files (both named plot style tables and color-dependent plot style tables).

Automatic Save File Location

Specifies the path for the file created when you select Automatic Save on the Open and Save tab. (SAVEFILEPATH system variable)

Color Book Locations

Specifies the path for color book files that can be used when specifying colors in the Select Color dialog box. You can define multiple folders for each path specified. This option is saved with the user profile.

Data Sources Location

Specifies the path for database source files. Changes to this setting do not take effect until you close and restart the program.

Template Settings

Specifies the drawing template settings.

Drawing Template File Location

Specifies the path to locate drawing template files used by the Start Up wizard and New dialog box.

Sheet Set Template File Location

Specifies the path to locate sheet set template files used by the Create Sheet Set wizard.

Default Template File Name for QNEW

Specifies the drawing template file used by the QNEW command.

Default Template for Sheet Creation and Page Setup Overrides

Specifies the default template file that is used for creating new sheets and to store page setup overrides that can be applied to Publish operations from the Sheet Set Manager.

Tool Palettes File Locations

Specifies the path for tool palette support files.

Authoring Palette File Locations

Specifies the path for the Block Authoring Palettes support files. Block Authoring Palettes are used in the Block Editor and provide tools for creating dynamic blocks.

Log File Location

Specifies the path for the log file created when you select Maintain a Log File on the Open and Save tab. (LOGFILEPATH system variable)

Action Recorder Settings

Specifies the locations used to store recorded action macros or where additional action macros are located for playback.

Actions Recording File Location

Specifies the path used when saving new recorded action macros. (ACTRECPATH system variable)

Additional Actions Reading File Locations

Specifies the paths that the program should look in for additional action macros for playback. (ACTPATH system variable)

Plot and Publish Log File Location

Specifies the path for the log file that is created if you select the Automatically Save Plot and Publish Log option on the Plot and Publish tab.

Temporary Drawing File Location

Specifies the location to store temporary files. This program creates temporary files and then deletes them when you exit the program. If you plan to run the program from a write-protected folder (for example, if you are working on a network or opening files from a CD), specify an alternate location for your temporary files. The folder you specify must not be write-protected.

Windows has a character limit of 255 for the combined file name and path length of temporary files. You can modify this limit from the Options dialog box, Files tab, under Temporary Drawing File Location.

The TEMPPREFIX system variable (read-only) stores the current location of temporary drawing files.

Temporary External Reference File Location

Specifies the location of external reference (xref) files. This location is used for the copy of the xref when you select Enabled with Copy in the Demand Load Xrefs list on the Open and Save tab. (XLOADPATH system variable)

Texture Maps Search Path

Specifies the folders to search for rendering texture maps.

Web File Search Path

Specifies the folders to search for photometric web files.

i-drop Associated File Location

Specifies the location of data files associated with i-drop content. When the location is not specified, the location of the current drawing file is used.

DGN Mapping Setups Location

Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored. This location must exist and have read/write permissions for DGN commands to function normally.

Browse

Displays the Browse for Folder or Select a File dialog box, depending on what you selected in the List of Folders and Files.

Add

Adds a search path for the selected folder.

Remove

Removes the selected search path or file.

Move Up

Moves the selected search path above the preceding search path.

Move Down

Moves the selected search path below the following search path.

Set Current

Makes the selected project or spelling dictionary current.


Display Tab (Options Dialog Box) (Quick Reference)

Files Tab (Options Dialog Box)
Options Dialog Box
Open and Save Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Display Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Customizes the display.

Window Elements

Controls display settings specific to the drawing environment.

Color scheme

Controls color settings in a dark or light color for elements such as the status bar, title bar, ribbon bar, and the menu browser frame.

Display Scroll Bars in Drawing Window

Displays scroll bars at the bottom and right sides of the drawing area.

Display Drawing Status Bar

Displays the drawing status bar, which displays several tools for scaling annotations.

When the drawing status bar is turned on it displays at the bottom of the drawing area. When the drawing status bar is turned off, the tools found on the drawing status bar are moved to the application status bar.

Display Screen Menu

Displays the screen menu on the right side of the drawing area. The screen menu font is controlled by the Windows system font settings. If you use the screen menu, you should set the Windows system font setting to a font and font size that fits the screen menu size restrictions.

Use Large Buttons for Toolbars

Displays buttons in a larger format at 32 by 32 pixels. The default display size is 16 by 16 pixels.

Show Tooltips

Displays tooltips when you move the cursor over buttons on the ribbon, menu browser, toolbar, dialog Sheet Set Manager, and External References Palette. (TOOLTIPS system variable)

Show shortcut keys in Tooltips

Displays shortcut keys in the tooltip (Alt + Key) (Ctrl + Key).

Show extended Tooltips

Controls the display of extended tooltips.

Number of seconds to delay

Sets the delay time between the display of basic tooltips and extended tooltips.

Show rollover Tooltips

Controls the display of rollover of tooltips for highlighted objects. The ROLLOVERTIPS system variable controls rollover tooltip display.

Colors

Displays the Color Options dialog box. Use this dialog box to specify colors of elements in the main application window.

Fonts

Displays the Command Line Window Font dialog box. Use this dialog box to specify the font for the command window text.

Layout Elements

Controls options for existing and new layouts. A layout is a paper space environment in which you can set up drawings for plotting.

Display Layout and Model Tabs

Displays the layout and Model tabs at the bottom of the drawing area. When this option is cleared, the tabs are replaced by buttons on the status bar.

Display Printable Area

Displays printable area in a layout. The printable area is represented by the area within the dashed line and is determined by the selected output device. Objects drawn outside of the printable area are clipped or omitted when the drawing is plotted.

Display Paper Background

Displays a representation of the specified paper size in a layout. The paper size and plot scale determine the size of the paper background.

Display Paper Shadow

Displays shadow around the paper background in layout. This option is unavailable if the Display Paper Background option is cleared.

Show Page Setup Manager for New Layouts

Displays the Page Setup Manager the first time you click a layout tab. Use this dialog box to set options related to paper and plot settings.

Create Viewport in New Layouts

Creates a single viewport automatically when you create a new layout.

Crosshair Size

Controls the size of the crosshairs. The valid range is from 1 to 100 percent of the total screen. At 100 percent, the ends of the crosshairs are never visible. When the size is decreased to 99 percent or below, the crosshairs have a finite size, and the ends of the crosshairs are visible when located at the edge of the drawing area. The default size is 5 percent. (CURSORSIZE system variable)

Display Resolution

Controls the quality of the display of objects. If you set high values to improve display quality, the impact on performance is significant.

Arc and Circle Smoothness

Controls the smoothness of circles, arcs, and ellipses. A higher number produces smoother objects, but more time is required to regenerate, pan, and zoom the objects. You can improve performance by setting this option to a low value such as 100 for drawing, and increasing the value for rendering. The valid range is 1 to 20,000. The default setting is 1000. This setting is saved in the drawing. To change the default for new drawings, consider specifying this setting in the template files on which you base your new drawings. (VIEWRES command)

Segments in a Polyline Curve

Sets the number of line segments to be generated for each polyline curve. The higher the number, the greater the performance impact. Set this option to a low value such as 4 to optimize performance for drawing. Values range from -32767 to 32767. The default setting is 8. This setting is saved in the drawing. (SPLINESEGS system variable)

Rendered Object Smoothness

Controls the smoothness of shaded and rendered curved solids. The value you enter for Rendered Object Smoothness is multiplied by the value you enter for Arc and Circle Smoothness to determine how to display solid objects. To improve performance, set Rendered Object Smoothness to 1 or less when drawing. A higher number decreases display performance and increases rendering time. The valid range is 0.01 to 10. The default setting is 0.5. This setting is saved in the drawing. (FACETRES system variable)

Contour Lines per Surface

Sets the number of contour lines per surface on objects. A higher number decreases display performance and increases rendering time. The valid range is 0 to 2047. The default setting is 4. This setting is saved in the drawing. (ISOLINES system variable)

Display Performance

Controls display settings that affect performance.

Pan and Zoom with Raster and OLE

Controls the display of raster images and OLE objects when you use Realtime PAN and ZOOM. Clear this option to optimize performance. (RTDISPLAY system variable)

If dragging display is turned on and you select Pan and Zoom with Raster and OLE, a copy of the object moves with the cursor as you reposition the original. Dragging display controls whether an outline of the object is displayed while you drag it. The DRAGMODE system variable controls dragging display.

Highlight Raster Image Frame Only

Controls the display of raster images during selection. If this option is selected, only the frame of the raster image is highlighted when selected. Select this option to optimize performance. (IMAGEHLT system variable)

Apply Solid Fill

Displays solid fills in objects. You must regenerate the drawing for this setting to take effect. This setting is saved in the drawing. Clear this option to optimize performance. (FILLMODE system variable)

Objects affected by FILL include hatches (including solid-fill), two-dimensional solids, wide polylines, multilines, and traces.

Show Text Boundary Frame Only

Displays the frames for text objects instead of displaying the text objects. After you select or clear this option, you must use REGEN to update the display. This setting is saved in the drawing. Select this option to optimize performance. (QTEXTMODE system variable)

Draw True Silhouettes for Solids and Surfaces

Controls whether silhouette edges of 3D solid objects are displayed when the current visual style is set to 2D Wireframe or 3D Wireframe. This option also controls whether mesh is drawn or suppressed when a 3D solid object is hidden. This setting is saved in the drawing. Clear this option to optimize performance. (DISPSILH system variable)

Fade Control

Controls the fading intensity value for DWG xrefs and reference editing.

Xref Display

Specifies the fading intensity value of externally referenced drawings. (XDWGFADECTL system variable)

This option only affects the display on the screen. It does not affect plotting or plot preview. The XDWGFADECTL system variable defines the fade percentage of the DWG xrefs. The valid range is an integer between -90 and 90. The default setting is 70 percent.

When XDWGFADECTL is set to a negative value, the Xref Fading feature is not turned on, but the setting is stored.

In-place Edit and Annotative Representations

Specifies the fading intensity value for objects during in-place reference editing. Objects that are not being edited are displayed at a lesser intensity. (XFADECTL system variable)

With in-place reference editing, you can edit a block reference or external reference from within the current drawing. The valid range is 0 through 90 percent. The default setting is 50 percent.


Open and Save Tab (Options Dialog Box) (Quick Reference)

Display Tab (Options Dialog Box)
Options Dialog Box
Plot and Publish Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Open and Save Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls options that relate to opening and saving files.

File Save

Controls settings related to saving a file.

Save As

Displays the valid file formats used when saving a file with SAVE, SAVEAS, QSAVE, and WBLOCK. The file format selected for this option is the default format that all drawings are saved as when you use SAVE, SAVEAS, QSAVE, and WBLOCK.

NoteAutoCAD 2004 is the drawing file format used by the AutoCAD 2004, AutoCAD 2005, and AutoCAD 2006 releases. AutoCAD 2007 is the file format used by AutoCAD 2007, AutoCAD 2008, and AutoCAD 2009 releases.
Maintain Visual Fidelity for Annotative Objects

Specifies whether or not drawings are saved with visual fidelity for annotative objects. Click the information icon to learn more about saving drawings with visual fidelity. (SAVEFIDELITY system variable)

Annotative objects may have multiple scale representations. Annotative objects are decomposed and scale representations are saved to separate layers, which are named based on their original layer and appended with a number.

NoteEnabling Maintain Visual Fidelity for Annotative Objects only impacts drawings saved to a legacy drawing file format (AutoCAD 2007 and earlier).
Maintain Drawing Size Compatibility

Specifies whether or not the AutoCAD 2009 and earlier object size limits are used instead of those for AutoCAD 2010. Click the information icon to learn more about object size limits and how they affect opening and saving a drawing. (LARGEOBJECTSUPPORT system variable)

Thumbnail Preview Settings

Displays the Thumbnail Preview Settings dialog box, which controls whether thumbnail previews are updated when the drawing is saved.

Incremental Save Percentage

Sets the percentage of potentially wasted space in a drawing file. Full saves eliminate wasted space. Incremental saves are faster but they increase the size of your drawing. If you set Incremental Save Percentage to 0, every save is a full save. For optimum performance, set the value to 50. If hard disk space becomes an issue, set the value to 25. If you set the value to 20 or less, performance of the SAVE and SAVEAS commands slows significantly. (ISAVEPERCENT system variable)

File Safety Precautions

Assists in avoiding data loss and in detecting errors.

Automatic Save

Saves your drawing automatically at the intervals you specify. You can specify the location of all Autosave files by using the SAVEFILEPATH system variable.SAVEFILE (read-only) stores the name of the Autosave file.

NoteAutomatic save is disabled when the Block Editor is open.

Minutes Between Saves: When Automatic Save is on, specifies how often the drawing is saved. (SAVETIME system variable)

Create Backup Copy with Each Save

Specifies whether a backup copy of a drawing is created when you save the drawing. The backup copy is created in the same location as the drawing. (ISAVEBAK system variable)

For information about using backup files, see Create and Restore Backup Files in the User's Guide.

Full-Time CRC Validation

Specifies whether a cyclic redundancy check (CRC) should be performed each time an object is read into the drawing. CRC is an error-checking mechanism. If your drawings are being corrupted and you suspect a hardware problem or a software error, turn this option on.

Maintain a Log File

Writes the contents of the text window to a log file. To specify the location and name of the log file, use the Files tab in the Options dialog box. You can also set the log file location by using theLOGFILEMODE system variable. The LOGFILENAME system variable (read-only) stores the log file name of the current drawing.

File Extension for Temporary Files

Specifies a unique extension for temporary save files. The default extension is .ac$.

Security Options

Provides options for a digital signature and password that are invoked when you save a file.

Display Digital Signature Information

Presents digital signature information when a file with a valid digital signature is opened. (SIGWARN system variable)

File Open

Controls settings that relate to recently used files and open files.

Number of Recently Used Files

Controls the number of recently used files that are listed in the File menu for quick access. Valid values are 0 to 9.

Display Full Path In Title

Displays the full path of the active drawing in the drawing's title bar, or in the application window title bar if the drawing is maximized.

Application Menu

Number of Recently Used Files

Controls the number of recently used files listed in the menu browser’s Recent Documents quick menu. Valid values are 0 to 50.

External References (Xrefs)

Controls the settings that relate to editing and loading external references.

Demand Load Xrefs

Controls demand loading of xrefs. Demand loading improves performance by loading only the parts of the referenced drawing needed to regenerate the current drawing. (XLOADCTL system variable)

  • Disabled: Turns off demand loading.
  • Enabled: Turns on demand loading and improves performance. Select the Enabled setting to enhance the loading process when working with clipped xrefs that contain a spatial or layer index. When this option is selected, other users cannot edit the file while it is being referenced.
  • Enabled with Copy: Turns on demand loading but uses a copy of the referenced drawing. Other users can edit the original drawing.
Retain Changes to Xref Layers

Saves changes to layer properties and states for xref-dependent layers. When the drawing is reloaded, the properties currently assigned to xref-dependent layers are retained. This setting is saved in the drawing. (VISRETAIN system variable)

Allow Other Users to Refedit Current Drawing

Determines whether the current drawing file can be edited in place if it is being referenced by another drawing or multiple drawings. This setting is saved in the drawing. (XEDIT system variable)

ObjectARX Applications

Controls settings that relate to AutoCAD Runtime Extension applications and proxy graphics.

Demand Load ObjectARX Apps

Specifies if and when a third-party application is demand-loaded if a drawing contains custom objects created in that application. (DEMANDLOAD system variable)

  • Disable Load on Demand: Turns off demand-loading.
  • Custom Object Detect: Demand-loads the source application when you open a drawing that contains custom objects. This setting does not demand-load the application when you invoke one of the application's commands.
  • Command Invoke: Demand-loads the source application when you invoke one of the application's commands. This setting does not demand-load the application when you open a drawing that contains custom objects.
  • Object Detect and Command Invoke: Demand-loads the source application when you open a drawing that contains custom objects or when you invoke one of the application's commands.
Proxy Images for Custom Objects

Controls the display of custom objects in drawings. (PROXYSHOW system variable)

  • Do Not Show Proxy Graphics: Specifies not to display custom objects in drawings.
  • Show Proxy Graphics: Specifies to display custom objects in drawings.
  • Show Proxy Bounding Box: Specifies to show a box in place of custom objects in drawings.
Show Proxy Information Dialog Box

Specifies whether a warning is displayed when you open a drawing that contains custom objects. (PROXYNOTICE system variable)


Plot and Publish Tab (Options Dialog Box) (Quick Reference)

Open and Save Tab (Options Dialog Box)
Options Dialog Box
System Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Plot and Publish Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls options related to plotting and publishing.

Default Plot Settings For New Drawings

Controls default plotting settings for new drawings or drawings created in AutoCAD Release 14 or earlier that have never been saved in AutoCAD 2000 or later format.

Use As Default Output Device

Sets the default output device for new drawings and for drawings created in AutoCAD Release 14 or earlier that have never been saved in AutoCAD 2000 or later format. The list displays any plotter configuration files (PC3) found in the plotter configuration search path and any system printers that are configured in the system.

Use Last Successful Plot Settings

Sets the plotting settings to match those of the last successful plot.

Add or Configure Plotters

Displays the Plotter Manager (a Windows system window). You can add or configure a plotter with the Plotter Manager.

Plot To File

Specifies the default location for plot to file operations. You can enter a location or click the [...] button to specify a new location.

Auto Publish

Specifies whether drawings are published automatically to DWF, DWFx, or PDF files. You can also control options for automatic publishing.

Automatic Publish

When this options is selected, drawings are published to DWF, DWFx, or PDF files automatically when you save or close a drawing file. You can also change this setting with the AUTOMATICPUB andAUTODWFPUBLISH system variables.

Automatic Publish Settings

Displays the Auto Publish Settings palette where you can customize the settings for publishing including when it occurs and the location to store the published files.

Background Processing Options

Specifies options for background plotting and publishing. You can use background plotting to start a job you are plotting or publishing and immediately return to work on your drawing while your job is plotted or published as you work. (BACKGROUNDPLOT system variable)

Background plot and publish details are available through the Plot and Publish status bar icon shortcut menu.

You can plot or publish jobs in the background even if the program is not running by entering acad/pl <DSD file name> at the Windows Command Prompt.

Enable Background Plotting When

Specifies whether or not background plotting is turned on for plotting and publishing.

Plotting: Specifies that plot jobs are processed in the background. This setting is also affected by theBACKGROUNDPLOT system variable.

Publishing: Specifies that published jobs are processed in the background. This setting is also affected by the BACKGROUNDPLOT system variable.

NoteWhen -PLOT, PLOT, -PUBLISH, and PUBLISH are used in a script (SCR file), the BACKGROUNDPLOT system variable value is ignored, and -PLOT, PLOT, -PUBLISH, and PUBLISH are processed in the foreground.

Plot and Publish Log File

Controls options for saving a plot and publish log file as a comma-separated value (CSV) file that can be viewed in a spreadsheet program. To view or change the location of the log file, see the Files tab in the Options dialog box.

This log file contains information about plot and publish jobs such as:

  • Job ID
  • Job name
  • Sheet set name
  • Category name
  • Date and time started and completed
  • Sheet name
  • Full file path
  • Selected layout name
  • Page setup name
  • Named page setup path
  • Device name
  • Paper size name
  • Final status
Automatically Save Plot and Publish Log

Specifies that a log file that contains information about all plot and publish jobs is automatically saved.

Save One Continuous Plot Log

Specifies that a single log file that contains information about all plot and publish jobs is automatically saved.

Save One Log File Per Plot

Specifies that a separate log file is created for each plot and publish job.

General Plot Options

Controls options that relate to the general plotting environment, including paper size settings, system printer alert behavior, and OLE objects in a drawing.

Keep the Layout Paper Size If Possible

Uses the paper size specified in the Page Setup dialog box as long as the selected output device can plot to this paper size. If the selected output device cannot plot to this paper size, the program displays a warning message and uses the paper size specified either in the plotter configuration file (PC3) or in the default system settings if the output device is a system printer. You can also select this option by setting PAPERUPDATE to 0.

Use the Plot Device Paper Size

Uses the paper size specified either in the plotter configuration file (PC3) or in the default system settings if the output device is a system printer. You can also set this option by setting PAPERUPDATE to 1.

System Printer Spool Alert

Controls whether you are alerted when the plotted drawing is spooled through a system printer because of an input or output port conflict.

  • Always Alert (And Log Errors): Alerts you and always logs an error when the plotted drawing spools through a system printer.
  • Alert First Time Only (And Log Errors): Alerts you once and always logs an error when the plotted drawing spools through a system printer.
  • Never Alert (And Log First Error): Never alerts you and logs only the first error when the plotted drawing spools through a system printer.
  • Never Alert (Do Not Log Errors): Never alerts you or logs an error when the plotted drawing spools through a system printer.
OLE Plot Quality

Determines the quality of plotted OLE objects. The options are Monochrome, Low Graphics, High Graphics, and Automatically Select. The automatic option assigns a plot quality setting based on the type of OLE object. (OLEQUALITY system variable)

Use OLE Application When Plotting OLE Objects

Launches the application used to create the OLE object when plotting a drawing with OLE objects. You can use this option to optimize the quality of plotted OLE objects. This setting is saved in the drawing. (OLESTARTUP system variable)

Hide System Printer

Controls whether Windows system printers are displayed in the Plot and Page Setup dialog boxes. This option hides standard Windows system printers only. It does not hide Windows system printers that have been configured using the Add-a-Plotter wizard.

You can control the size of the list of devices in the Plot and Page Setup dialog boxes by moving a device's PC3 file out of the Plotters folder and its subfolders.

Specify Plot Offset Relative To

Specifies whether the offset of the plot area is from the lower-left corner of the printable area or from the edge of the paper (PLOTOFFSET system variable).

Printable Area

Specifies that the plot offset is relative to the printable area.

Edge of Paper

Specifies that the plot offset is relative to the edge of the paper.

Plot Stamp Settings

Opens the Plot Stamp dialog box.

Plot Style Table Settings

Opens the Plot Style Table Settings dialog box.


System Tab (Options Dialog Box) (Quick Reference)

Plot and Publish Tab (Options Dialog Box)
Options Dialog Box
User Preferences Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
System Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls system settings.

3D Performance

Controls settings that relate to configuration of the 3D graphics display system.

3D Performance Settings

Displays the Adaptive Degradation and Performance Tuning dialog box.

Current Pointing Device

Controls options that relate to the pointing device.

Current Pointing Device

Displays a list of the available pointing device drivers.

  • Current System Pointing Device: Sets the system pointing device as current.
  • Wintab Compatible Digitizer: Sets the Wintab-compatible digitizer as current.
Accept Input From

Specifies whether the program accepts input from both a mouse and a digitizer or ignores mouse input when a digitizer is set.

Layout Regen Options

Specifies how the display list is updated in the Model and layout tabs. For each tab, the display list is updated either by regenerating the drawing when you switch to that tab or by saving the display list to memory and regenerating only the modified objects when you switch to that tab. Changing these settings can improve performance. (LAYOUTREGENCTL system variable)

NoteThe effectiveness of changing these settings depends on several factors. See LAYOUTREGENCTLfor more information.
Regen When Switching Layouts

Regenerates the drawing each time you switch tabs.

Cache Model Tab and Last Layout

For the Model tab and the last layout made current, saves the display list to memory and suppresses regenerations when you switch between the two tabs. For all other layouts, regenerations still occur when you switch to those tabs.

Cache Model Tab and All Layouts

Regenerates the drawing the first time you switch to each tab. For the remainder of the drawing session, the display list is saved to memory and regenerations are suppressed when you switch to those tabs.

dbConnect Options

Controls options that relate to database connectivity.

Store Links Index in Drawing File

Stores the database index in the drawing file. Select this option to enhance performance during Link Select operations. Clear this option to decrease drawing file size and to enhance the opening process for drawings with database information.

Open Tables in Read-Only Mode

Specifies whether to open database tables in Read-only mode in the drawing file.

General Options

Controls general options that relate to system settings.

Hidden Messages Settings

Displays Hidden Message Settings dialog box.

Display OLE Text Size Dialog

Displays the OLE Text Size dialog box when OLE objects are inserted into drawings.

Beep on Error in User Input

Sounds an alarm beep when an invalid entry is detected.

Load acad.lsp with Every Drawing

Specifies whether the acad.lsp file is loaded into every drawing. If this option is cleared, only the acaddoc.lsp file is loaded into all drawing files. Clear this option if you do not want to run certain LISP routines in specific drawing files. (ACADLSPASDOC system variable)

Allow Long Symbol Names

Permits long names to be used for named objects in the drawing definition table. Object names can be up to 255 characters and include letters, numbers, blank spaces, and any special character not used by Windows and this program for other purposes. Long names can be used for layers, dimension styles, blocks, linetypes, text styles, layouts, UCS names, views, and viewport configurations. This option is saved in the drawing. (EXTNAMES system variable)

Live Enabler Options

Specifies whether the program checks for object enablers. Using object enablers, you can display and use custom objects in drawings even when the ObjectARX application that created them is unavailable.

Check Web for Live Enablers

Checks the Autodesk website for object enablers. (PROXYWEBSEARCH system variable)

Maximum Number of Unsuccessful Checks

Specifies the number of times to check for object enablers if unsuccessful.

For more information about object enablers, see Work with Custom and Proxy Objects in the User's Guide.


User Preferences Tab (Options Dialog Box) (Quick Reference)

System Tab (Options Dialog Box)
Options Dialog Box
Drafting Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
User Preferences Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls options that optimize the way you work.

Windows Standard Behavior

Controls keystroke and right-click behavior.

Double-click Editing

Controls the double click editing behavior in the drawing area. (DBLCLKEDIT system variable)

Shortcut Menus in Drawing Area

Displays a shortcut menu in the drawing area when you right-click the pointing device. If this option is cleared, right-click is interpreted as Enter. (SHORTCUTMENU system variable)

Right-Click Customization

Displays the Right-Click Customization dialog box. This dialog box provides further definition for the Shortcut Menus in Drawing Area option. (SHORTCUTMENU system variable)

Insertion Scale

Controls the default scale for inserting blocks and drawings into a drawing.

Source Content Units

Sets the units used for an object being inserted into the current drawing when no insert units are specified with the INSUNITS system variable. If Unspecified-Unitless is selected, the object is not scaled when inserted. (INSUNITSDEFSOURCE system variable)

Target Drawing Units

Sets the units used in the current drawing when no insert units are specified with the INSUNITS system variable. (INSUNITSDEFTARGET system variable)

Fields

Sets preferences related to fields.

Display Background of Fields

Displays fields with a light gray background that is not plotted. When this option is cleared, fields are displayed with the same background as any text. (FIELDDISPLAY system variable)

Field Update Settings

Displays the Field Update Settings dialog box. (FIELDEVAL system variable)

Priority for Coordinate Data Entry

Controls how the program responds to input of coordinate data. (OSNAPCOORD system variable)

Running Object Snap

Specifies that running object snaps override coordinate entry at all times. You can also select this option by setting OSNAPCOORD to 0.

Keyboard Entry

Specifies that coordinate entry overrides running object snaps at all times. You can also select this option by setting OSNAPCOORD to 1.

Keyboard Entry Except Scripts

Specifies that coordinate entry overrides running object snaps, except in scripts. You can also select this option by setting OSNAPCOORD to 2.

Associative Dimensioning

Controls whether associative dimension objects or legacy-style, nonassociative dimension objects are created.

Make New Dimensions Associative

Creates associative dimensions, which automatically adjust their locations, orientations, and measurement values when the geometric objects associated with them are modified. (DIMASSOC system variable)

Hyperlink

Controls settings that relate to the display properties of hyperlinks.

Display Hyperlink Cursor, Tooltip, and Shortcut Menu

Displays the hyperlink cursor and tooltip whenever the pointing device pauses over an object that contains a hyperlink. The shortcut menu provides additional hyperlink options when you select an object that contains a hyperlink and then right-click in the drawing area. If this option is cleared, hyperlinks in the drawing are ignored. (HYPERLINKOPTIONS command)

Undo/Redo

Controls Undo and Redo for Zoom and Pan.

Combine Zoom and Pan Commands

Groups multiple and consecutive zoom and pan commands as a single action for undo and redo operations.

Combine Layer Property Changes

Groups layer property changes made from the Layer Properties Manager.

NotePan and zoom commands that are started from the menu are not combined, and always remain separate actions.

Initial Setup

Displays the Initial Setup dialog box which is used to perform some basic customization of AutoCAD.

For information about using Initial Setup, see Customize AutoCAD with Initial Setup in the Stand-Alone Installation Guide.

Block Editor Settings

Displays the Block Editor Settings dialog box. Use this dialog box to control the environment settings of the Block Editor.

Lineweight Settings

Displays the Lineweight Settings dialog box. Use this dialog box to set lineweight options, such as display properties and defaults, and also to set the current lineweight.

Edit Scale List

Displays the Edit Scale List dialog box. Use this dialog box to manage the list of scales displayed in several dialog boxes associated with layout viewports and plotting.


Drafting Tab (Options Dialog Box) (Quick Reference)

User Preferences Tab (Options Dialog Box)
Options Dialog Box
3D Modeling Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Drafting Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets options for several editing features, including AutoSnap and AutoTrack.

AutoSnap Settings

Controls settings that relate to the visual aids, called AutoSnaps, that are displayed when you use object snaps. AutoSnap™ settings are saved in the registry. When the cursor, or aperture box, is on an object, you can press Tab to cycle through all the snap points available for that object.

Marker

Controls the display of the AutoSnap marker. The marker is a geometric symbol that is displayed when the crosshairs move over a snap point. (AUTOSNAP system variable)

Magnet

Turns the AutoSnap magnet on or off. The magnet is an automatic movement of the crosshairs that locks the crosshairs onto the nearest snap point. (AUTOSNAP system variable)

Display AutoSnap Tooltip

Controls the display of the AutoSnap tooltip. The tooltip is a label that describes which part of the object you are snapping to. (AUTOSNAP system variable)

Display AutoSnap Aperture Box

Controls the display of the AutoSnap aperture box. The aperture box is a box that appears inside the crosshairs when you snap to an object. (APBOX system variable)

Colors

Displays the Drawing Window Colors dialog box.

AutoSnap Marker Size

Sets the display size for the AutoSnap marker.

Object Snap Options

Specifies options for object snaps. (OSNAP command)

Ignore Hatch Objects

Specifies that object snaps ignore hatch patterns when object snapping is turned on. (OSOPTIONS system variable)

Replace Z Value with Current Elevation

Specifies that object snaps ignore the Z-value of the object snap location and use the Z-value of the elevation set for the current UCS.

Ignore Negative Z Object Snaps for Dynamic UCS

Specifies that object snaps ignore geometry with negative Z values during use of a dynamic UCS. (OSOPTIONS system variable)

AutoTrack Settings

Controls the settings that relate to AutoTrack™ behavior, which is available when polar tracking or object snap tracking is turned on (see DSETTINGS).

Display Polar Tracking Vector

Displays a vector along specified angles when polar tracking is on. With polar tracking, you can draw lines along angles. Polar angles are 90-degree divisors, such as 45, 30, and 15 degrees.

In a 3D view, a polar tracking vector parallel to the Z axis of the UCS is also displayed, and the tooltip displays +Z or -Z for the angle depending on the direction along the Z axis

You can disable Display Polar Tracking Vector by setting TRACKPATH to 2.

Display Full-Screen Tracking Vector

Controls the display of tracking vectors. Tracking vectors are construction lines from which you can draw objects at specific angles or in specific relationships to other objects. If this option is selected, alignment vectors are displayed as infinite lines.

You can disable Display Full-Screen Tracking Vector by setting TRACKPATH to 1.

Display AutoTrack Tooltip

Controls the display of the AutoTrack and Ortho tooltips. Tooltips are labels that display the tracking coordinates. (AUTOSNAP system variable)

Alignment Point Acquisition

Controls the method of displaying alignment vectors in a drawing.

Automatic

Displays tracking vectors automatically when the aperture moves over an object snap.

Shift to Acquire

Displays tracking vectors when you press Shift and move the aperture over an object snap.

Aperture Size

Sets the display size for the AutoSnap aperture. When Display AutoSnap Aperture Box is selected (or when APBOX is set to 1), the aperture box is displayed in the center of the crosshairs when you snap to an object. The aperture size determines how close to a snap point you can be before the magnet locks the aperture box to the snap point. Values range from 1 to 50 pixels. (APERTURE system variable)

Drafting Tooltip Appearance

Controls the color, size, and transparency of drafting tooltips.

Settings

Displays the Tooltip Appearance dialog box.

Lights Glyph Settings

Displays the Light Glyph Appearance dialog box.

Cameras Glyph Settings

Displays the Camera Glyph Appearance dialog box.


3D Modeling Tab (Options Dialog Box) (Quick Reference)

Drafting Tab (Options Dialog Box)
Options Dialog Box
Selection Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
3D Modeling Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets options for working with solids and surfaces in 3D.

3D Crosshairs

Controls settings for the display style of the crosshairs pointer in 3D operations.

Show Z Axis in Crosshairs

Controls whether the Z axis is displayed by the crosshairs pointer.

Label Axes in Standard Crosshairs

Controls whether axis labels are displayed with the crosshairs pointer.

Show Labels for Dynamic UCS

Displays axis labels on the crosshairs pointer for the dynamic UCS even when the axis labels are turned off in the Label Axes in Standard Crosshairs box.

Crosshair Labels

Choose the labels to display with the crosshairs pointer.

Use X, Y, Z

Labels the axes X, Y, and Z.

Use N, E, z

Labels the axes with abbreviations for North, East, and Z elevation.

Use Custom Labels

Labels the axes with characters that you specify.

Display ViewCube or UCS Icon

Controls the display of the ViewCube and the UCS icon.

Display UCS Icon in 2D Model Space

Displays the UCS icon in model space when the current visual style is set to 2D Wireframe.

Display in 3D Model Space

Controls the display of the ViewCube and UCS icon in model space when the current visual style is set to 3D Hidden, 3D Wireframe, Conceptual, or Realistic.

  • Display ViewCube: Displays the ViewCube in the viewports where it is enabled.
  • Display UCS Icon: Displays the UCS icon in the viewports where it is enabled.
NoteIf the Display ViewCube or Display UCS Icon options are selected, the ViewCube or UCS icon must be enabled in each viewport where you want them to be displayed.

Dynamic Input

Controls the display of dynamic input fields for coordinate entry.

Show Z Field for Pointer Input

Displays a field for the Z coordinate when using dynamic input.

3D Objects

Controls settings for the display of 3D solids, surfaces, and meshes.

Visual Style While Creating 3D Objects

Specifies the visual style to be used when you create 3D solid primitives (DRAGVS system variable). Select the style from the drop-down list. Select ByViewport if you want the style to match the current style of the viewport.

Deletion Control While Creating 3D Objects

Specifies whether the defining geometry used in creating swept solids and surfaces is automatically deleted after the 3D object is created or whether you are prompted to delete the objects (DELOBJ system variable).

Isolines on Surfaces and Meshes

Sets the number of isolines to be displayed in the U and V direction for new surface objects.

  • In U. Enter the number of isolines to display in the U direction (SURFU system variable).
  • In V. Enter the number of isolines to display in the V direction (SURFV system variable).
Tessellation

Opens the Mesh Tessellation Options dialog box, where you can specify settings to be applied to objects that are converted to mesh objects with MESHSMOOTH.

Mesh Primitives

Opens the Mesh Primitive Options dialog box, where you can specify settings to be applied to new mesh primitive objects.

3D Navigation

Sets walk, fly, and animation options for displaying 3D models.

Reverse Mouse Wheel Zoom

Reverses the zoom direction on a wheel mouse. (ZOOMWHEEL system variable)

Walk and Fly

Displays the Walk and Fly Settings dialog box.

Animation

Displays the Animation Settings dialog box.

ViewCube

Displays the ViewCube Settings dialog box.

SteeringWheel

Displays the SteeringWheel Settings dialog box.


Selection Tab (Options Dialog Box) (Quick Reference)

3D Modeling Tab (Options Dialog Box)
Options Dialog Box
Profiles Tab (Options Dialog Box)
Commands > O commands > OPTIONS > Options Dialog Box >
Selection Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets options for selecting objects.

Pickbox Size

Controls the display size of the pickbox. The pickbox is the object selection tool that appears in editing commands. (PICKBOX system variable)

Selection Preview

Highlights objects as the pickbox cursor rolls over them. The PREVIEWEFFECT system variable controls the appearance of the highlighted objects.

When a Command Is Active

Displays selection previewing only when a command is active and the Select Objects prompt is displayed. (SELECTIONPREVIEW system variable)

When No Command Is Active

Displays selection previewing when no commands are active. (SELECTIONPREVIEW system variable)

Visual Effect Settings

Displays the Visual Effect Settings dialog box.

Selection Modes

Controls settings that relate to object selection methods.

Noun/Verb Selection

Allows you to select an object before starting a command. The command affects the previously selected object or objects. (PICKFIRST system variable)

You can use many editing and inquiry commands with noun/verb selection, including

3DALIGN

DVIEW

PROPERTIES

ARRAY

ERASE

ROTATE

BLOCK

EXPLODE

SCALE

CHANGE

LIST

STRETCH

CHPROP

MIRROR

WBLOCK

COPY

MOVE

Use Shift to Add to Selection

Adds an object to or removes it from the selection set when you press Shift and select an object. To clear a selection set quickly, draw a selection window in a blank area of the drawing. (PICKADD system variable)

Press and Drag

Draws a selection window when you select a point and dragging the pointing device to a second point. If this option is cleared, you can draw a selection window by selecting two separate points with the pointing device. (PICKDRAG system variable)

Implied Windowing

Initiates the drawing of a selection window when you select a point outside an object.

Drawing the selection window from left to right selects objects that are entirely inside the window's boundaries. Drawing from right to left selects objects within and crossing the window's boundaries. (PICKAUTO system variable)

Object Grouping

Selects all objects in a group when you select one object in that group. With GROUP you can create and name a set of objects for selection. You can also set this option by setting the PICKSTYLE system variable to 1.

Associative Hatch

Determines which objects are selected when you select an associative hatch. If this option is selected, boundary objects are also selected when you select an associative hatch. You can also set this option by setting the PICKSTYLE system variable to 2.

Ribbon Options

Contextual Tab States Button

The Ribbon Contextual Tab State Options dialog box is displayed, where you can set object selection settings for the display of ribbon contextual tabs.

Grip Size

Controls the display size of grips. (GRIPSIZE system variable)

Grips

Controls the settings that relate to grips. Grips are small squares displayed on an object after it has been selected.

Unselected Grip Color

Determines the color of an unselected grip. If you choose Select Color from the color list, the Select Color dialog box is displayed. An unselected grip is displayed as a small, filled square. (GRIPCOLOR system variable)

Selected Grip Color

Determines the color of a selected grip. If you choose Select Color from the color list, the Select Color dialog box is displayed. A selected grip is displayed as a small, filled square. (GRIPHOT system variable)

Hover Grip Color

Determines the color a grip displays when the cursor rolls over the grip. If you choose Select Color from the color list, the Select Color dialog box is displayed. (GRIPHOVER system variable)

Enable Grips

Displays grips on an object when you select it. You can edit an object with grips by selecting a grip and using the shortcut menu. Displaying grips in a drawing significantly affects performance. Clear this option to optimize performance. (GRIPS system variable)

Enable Grips within Blocks

Controls how grips are displayed on a block after you select it. If this option is selected, all grips are displayed for each object in the block. If this option is cleared, one grip is displayed at the insertion point of the block. You can edit an object with grips by selecting a grip and using the shortcut menu. (GRIPBLOCK system variable)

Enable Grip Tips

Displays grip-specific tips when the cursor hovers over a grip on a custom object that supports grip tips. This option has no effect on standard objects. (GRIPTIPS system variable)

Object Selection Limit for Display of Grips

Suppresses the display of grips when the initial selection set includes more than the specified number of objects. The valid range is 1 to 32,767. The default setting is 100. (GRIPOBJLIMIT system variable)


Profiles Tab (Options Dialog Box) (Quick Reference)

Selection Tab (Options Dialog Box)
Options Dialog Box
Alternate Font Dialog Box
Commands > O commands > OPTIONS > Options Dialog Box >
Profiles Tab (Options Dialog Box)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the use of profiles. A profile is a configuration you define.

Available Profiles

Displays a list of the available profiles. To set the current profile, select a profile and choose Set Current.

Set Current

Makes the selected profile the current profile.

Add to List

Displays the Add Profile dialog box to save the selected profile under a different name.

Rename

Displays the Change Profile dialog box for changing the name and description of the selected profile. Use Rename when you want to rename a profile but keep its current settings.

Delete

Deletes the selected profile (unless it is the current profile).

Export

Exports a profile as a file with an .arg extension so the file can be shared with other users. You can import the file on the same computer or a different computer.

Import

Imports a profile (a file with an .arg extension) created by using the Export option.

Reset

Resets the values in the selected profile to the system default settings.


Alternate Font Dialog Box (Quick Reference)

Profiles Tab (Options Dialog Box)
OPTIONS
Drawing Window Colors Dialog Box
Commands > O commands > OPTIONS >
Alternate Font Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Files tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Specifies the location of the font file to use if the original font cannot be located and an alternate font is not specified in the font mapping file. You can also set the location of Alternate Font File by using the FONTALT system variable.

If you do not specify an alternate font through the Options dialog box or the FONTALT system variable, when you open a drawing containing fonts that cannot be located, a dialog box is displayed in which you specify a font to use for each missing font.

Font Name

Lists the font family name for all registered TrueType fonts and all SHX fonts in the Fonts folder. When you select a name from the list, the program reads the file for the specified font.

Font Style

Specifies font character formatting, such as italic, bold, or regular. If the missing font is a Big Font, this option changes to Big Font and lists all available Asian-language Big Font files.


Drawing Window Colors Dialog Box (Quick Reference)

Alternate Font Dialog Box
OPTIONS
Command Line Window Font Dialog Box
Commands > O commands > OPTIONS >
Drawing Window Colors Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Display tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and then click Options.
Command entry: options

Sets the display colors of the interface elements for each context in the application. A context is an operating environment such as model space. An interface element is an item that is visible in that context such as the crosshairs pointer or the background color.

Context

Lists each context in the program. The context you select, displays a list of associated elements. Select a context, an interface element, and then a color.

Interface Element

Lists the interface elements in a selected context. Select an interface element and then a color.

Color

Lists the available color settings to apply to the selected interface element. You can choose one of the colors in the color list or choose Select Color to open the Select Color dialog box.

You can use the Select Color dialog box to define the color of interface elements by selecting from the AutoCAD Color Index (ACI) colors, true color colors, and color book colors.

If you select a new color for an interface element, the new setting is displayed in the Preview area.

Tint for X, Y, Z

Controls whether X, Y, and Z axis color tinting is applied to the following interface elements: crosshairs pointer, Autotrack vectors, ground plane grid lines, and drafting tooltips. Color tinting applies pure red, blue and green hues using the luminance (lightness) of the color you specify while increasing the color saturation by 50%.

Restore Current Element

Restores the currently selected interface element to its default color.

Restore Current Context

Restores all interface elements in the currently selected context to their default colors.

Restore All Contexts

Restores all interface elements back to their default color settings.

Restore Classic Colors

Restores only the interface elements of 2D model space back to the AutoCAD 2008 classic color settings.

Preview

Displays a preview of the drawing based on defined settings.


Command Line Window Font Dialog Box (Quick Reference)

Drawing Window Colors Dialog Box
OPTIONS
Light Glyph Appearance Dialog Box
Commands > O commands > OPTIONS >
Command Line Window Font Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Display tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Sets the font displayed in the command window. The screen menu font is controlled by the Windows system font settings. (If you use the screen menu, you should set the Windows system font setting to a font and font size that fit the screen menu size restrictions.)

Font

Lists the system fonts available for selection.

Font Style

Lists the styles available to apply to the current font.

Size

Lists the font sizes available for the current font.


Light Glyph Appearance Dialog Box (Quick Reference)

Command Line Window Font Dialog Box
OPTIONS
Camera Glyph Appearance Dialog Box
Commands > O commands > OPTIONS >
Light Glyph Appearance Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Drafting tab)

Specifies the appearance of the light glyphs.

Glyph Preview

Shows the current appearance of the light glyph and updates as you make changes.

Point

Displays a point light glyph in the preview.

Spot

Displays a spotlight glyph in the preview.

Web

Displays a weblight glyph in the preview.

Edit Glyph Colors

Displays the Drawing Window Colors dialog box.

Glyph Size

Adjusts the size of the glyph.


Camera Glyph Appearance Dialog Box (Quick Reference)

Light Glyph Appearance Dialog Box
OPTIONS
Thumbnail Preview Settings Dialog Box
Commands > O commands > OPTIONS >
Camera Glyph Appearance Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Drafting tab)

Specifies the appearance of the camera glyphs.

Glyph Preview

Shows the current appearance of the glyph and updates as you make changes.

Edit Glyph Colors

Displays the Drawing Window Colors dialog box.

Glyph Size

Changes the size of the glyph in the drawing area.


Thumbnail Preview Settings Dialog Box (Quick Reference)

Camera Glyph Appearance Dialog Box
OPTIONS
Plot Style Table Settings Dialog Box
Commands > O commands > OPTIONS >
Thumbnail Preview Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Open and Save tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Controls whether thumbnail previews are updated when the drawing is saved.

Drawing

Save a Thumbnail Preview Image

Displays an image of the drawing in the Preview area of the Select File dialog box. (RASTERPREVIEW system variable)

Use the View when Drawing Last Saved

Uses the last saved view to generate the thumbnail preview for the drawing.

Use the Home View

Uses the Home view saved with the drawing to generate the thumbnail preview for the drawing.

Home View

Set current View as Home

Defines the current view of the drawing as the Home view.

Reset Home to Default

Restores the default Home view.

Sheets and Views

Generate Sheet, Sheet View and Model View Thumbnails

Updates preview images in the Sheet Set Manager. Sheet thumbnails are displayed on the Sheet List tab, sheet view thumbnails on the View List tab, and model space view thumbnails on the Resource Drawings tab. (UPDATETHUMBNAIL system variable)

Performance-Accuracy Slider

Sets the UPDATETHUMBNAIL system variable, which specifies when thumbnails are updated and which thumbnails are updated. When the dialog box is opened, the slider reflects the current setting of UPDATETHUMBNAIL.

Information Panel

Displays information about the current position of the slider.

Named Views

Sets the size for thumbnails created for named views.

Named views

Sets the maximum size of the named views. The slider reflects the current setting.


Plot Style Table Settings Dialog Box (Quick Reference)

Thumbnail Preview Settings Dialog Box
OPTIONS
Right-Click Customization Dialog Box
Commands > O commands > OPTIONS >
Plot Style Table Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Plot and Publish tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Specifies settings for plot style tables.

Default Plot Style Behavior for New Drawings

Controls plot style options. A plot style is a collection of property settings defined in a plot style table and applied when the drawing is plotted. Changing the default plot style setting by using the Options dialog box does not affect the current drawing; it affects only new drawings or drawings created in an earlier release of AutoCAD that have never been saved in AutoCAD 2000 or later format.

The default plot style setting is Use Color Dependent Plot Styles. The Plot Style Control on the Properties toolbar is unavailable by default. The Plot Style Control is available when you select the Use Named Plot Styles option and open a new drawing. (PSTYLEPOLICY system variable)

Use Color Dependent Plot Styles

Uses color-dependent plot styles in both new drawings and drawings created in AutoCAD Release 14 or earlier. Color-dependent plot styles use the numbers from the AutoCAD Color Index to create a plot style table with a .ctb file extension. Each color is defined by a name or number ranging from 1 to 255. You can assign each color number to a different pen on a pen plotter to achieve different property settings in the plotted drawing. If this option is selected, a plot style is created for each color setting. You can also select this option by setting the PSTYLEPOLICY system variable to 1.

This setting is saved with the drawing. Once a drawing is saved with Use Color Dependent Plot Styles as the default, you can convert it to Use Named Plot Styles using the CONVERTCTB and CONVERTPSTYLES commands.

Use Named Plot Styles

Uses named plot styles in both new drawings and drawings created in earlier versions of AutoCAD. The drawing is plotted according to the property settings that you specify in the plot style definition. The plot style is defined in the plot style table attached to the layout. Named plot style tables are files with the file extension .stb. You can also select this option by setting the PSTYLEPOLICY system variable to 0.

This setting is saved with the drawing. Once a drawing is saved with Use Named Plot Styles as the default, you can convert it to Use Color Dependent Plot Styles using the CONVERTCTB and CONVERTPSTYLES commands. However, once you use CONVERTPSTYLES to convert a drawing from using a named plot style table to a color plot style table, you cannot use CONVERTPSTYLES to convert it back to using a named plot style table.

Current Plot Style Table Settings

Specifies the current plot style table settings that are applied to new drawings.

Default Plot Style Table

Specifies the default plot style table to attach to new drawings. A plot style table is a file with a .ctb or an .stb extension that includes and defines plot styles. If you are using color-dependent plot styles, this option lists all color dependent plot style tables found in the search path as well as the value of None. If you are using named plot styles, this option lists all named plot styles tables.

Default Plot Style for Layer 0

Sets the default plot style for Layer 0 for new drawings or drawings created with earlier releases of AutoCAD that have never been saved in AutoCAD 2000 or later format. The list displays the default style, Normal, and any plot styles defined in the currently loaded plot style table. (DEFLPLSTYLE system variable)

Default Plot Style for Objects

Sets the default plot style that is assigned when you create new objects. The list displays BYLAYER, BYBLOCK, and Normal styles, and any plot styles defined in the currently loaded plot style table. (DEFPLSTYLE system variable)

Add or Edit Plot Style Tables

Displays the Plot Style Manager (a Windows Explorer window), where you can create or edit plot style tables.


Right-Click Customization Dialog Box (Quick Reference)

Plot Style Table Settings Dialog Box
OPTIONS
Field Update Settings Dialog Box
Commands > O commands > OPTIONS >
Right-Click Customization Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Controls whether right-clicking in the drawing area displays a shortcut menu or has the same effect as pressing Enter. If you are accustomed to using the right-click method for Enter while a command is active, you might prefer to disable Command shortcut menus from this dialog box. You can also control shortcut menus by using the SHORTCUTMENU system variable.

Turn on Time-Sensitive Right-Click

Controls right-click behavior. A quick click is the same as pressing Enter. A longer click displays a shortcut menu. You can set the duration of the longer click in milliseconds.

Default Mode

Determines what happens when you right-click in the drawing area when no objects are selected and no commands are in progress.

Repeat Last Command

Disables the Default shortcut menu. As a result, right-clicking in the drawing area when no objects are selected and no commands are in progress is the same as pressing Enter, which repeats the last issued command.

Shortcut Menu

Enables the Default shortcut menu.

Edit Mode

Determines what happens when you right-click in the drawing area when one or more objects are selected and no commands are in progress.

Repeat Last Command

Disables the Edit shortcut menu. As a result, right-clicking in the drawing area when one or more objects are selected and no commands are in progress is the same as pressing Enter, which repeats the last issued command.

Shortcut Menu

Enables the Edit shortcut menu.

Command Mode

Determines what happens when you right-click in the drawing area when a command is in progress.

Enter

Disables the Command shortcut menu. As a result, right-clicking in the drawing area when a command is in pro-gress is the same as pressing Enter.

Shortcut Menu: Always Enabled

Enables the Command shortcut menu.

Shortcut Menu: Enabled When Command Options Are Present

Enables the Command shortcut menu only when options are currently available at the Command prompt. At the Command prompt, options are enclosed in square brackets. If no options are available, right-clicking is the same as pressing Enter.


Field Update Settings Dialog Box (Quick Reference)

Right-Click Customization Dialog Box
OPTIONS
Visual Effect Settings Dialog Box
Commands > O commands > OPTIONS >
Field Update Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Controls how fields are updated. (FIELDEVAL system variable)

Open

Automatically updates fields when the file is opened.

Save

Automatically updates fields when the file is saved.

Plot

Automatically updates fields when the file is plotted.

eTransmit

Automatically updates fields when the file is sent using ETRANSMIT.

Regen

Automatically updates fields when the file is regenerated.


Visual Effect Settings Dialog Box (Quick Reference)

Field Update Settings Dialog Box
OPTIONS
Ribbon Contextual Tab State Options Dialog Box
Commands > O commands > OPTIONS >
Visual Effect Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Selection tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Controls the appearance of selection previewing.

Selection Preview Effect

Controls the appearance of objects during selection preview. (PREVIEWEFFECT system variable)

Preview Area

Displays the effect of the current settings.

Dash

Displays dashed lines when the pickbox cursor rolls over an object. This selection previewing indicates that the object would be selected if you clicked. Dashed lines are the default display for selected objects. (PREVIEWEFFECT system variable)

Thicken

Displays thickened lines when the pickbox cursor rolls over an object. This selection previewing indicates that the object would be selected if you clicked. (PREVIEWEFFECT system variable)

Both

Displays thickened, dashed lines when the pickbox cursor rolls over an object. This selection previewing indicates that the object would be selected if you clicked. (PREVIEWEFFECT system variable)

Advanced Options

Displays the Advanced Preview Options dialog box.

Selection Area Effect

Controls the appearance of selection areas during selection preview.

Preview Area

Displays the effect of the current settings.

Indicate Selection Area

During window or crossing selection indicates the selection area with a different background color. (SELECTIONAREA system variable)

Window Selection Color

Controls the background for window selection areas. (WINDOWAREACOLOR system variable)

Crossing Selection Color

Controls the background for crossing selection areas. (CROSSINGAREACOLOR system variable)

Selection Area Opacity

Controls transparency of the background for window selection areas. (SELECTIONAREAOPACITY system variable)


Ribbon Contextual Tab State Options Dialog Box (Quick Reference)

Visual Effect Settings Dialog Box
OPTIONS
Advanced Preview Options Dialog Box
Commands > O commands > OPTIONS >
Ribbon Contextual Tab State Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets object selection settings for the display of ribbon contextual tabs

Access Methods

Menu: Application menu [image] Options (Options dialog box, Selection tab)
Command entry: options

List of Options

The following options are available in this dialog box.

Contextual Tab Display

Controls how ribbon contextual tabs are displayed when you single- or double-click an object. (RIBBONCONTEXTSELECT system variable)

Do Not Switch To Contextual Tab on Selection

When an object or selection set is single- or double-clicked, focus is not automatically switched to ribbon contextual tabs. (RIBBONCONTEXTSELECT system variable = 0)

Show On Single-click

When an object or selection set is single-clicked, focus is switched to the first ribbon contextual tab. (RIBBONCONTEXTSELECT system variable = 1)

Show On Double-click

When an object or selection set is double-clicked, focus is switched to the first ribbon contextual tab. (RIBBONCONTEXTSELECT system variable = 2)

Object Selection Options

Retain Pickfirst Selections When Commands Are Invoked From a Contextual Tab

When checked, the pickfirst selection set remains selected after a command is executed from a ribbon contextual tab. (RIBBONSELECTMODE system variable = 1)

When cleared, the pickfirst selection set does not remain selected after a command is executed from a ribbon contextual tab. (RIBBONSELECTMODE system variable = 0)

Object Selection Maximum for Contextual Tab Display

Suppresses the display of ribbon contextual tabs when the selection set includes more than the specified number of objects. (RIBBONCONTEXTSELLIM system variable)


Advanced Preview Options Dialog Box (Quick Reference)

Ribbon Contextual Tab State Options Dialog Box
OPTIONS
Add Profile Dialog Box
Commands > O commands > OPTIONS >
Advanced Preview Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Tools [image] Options (Options dialog box, Selection tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Summary

Excludes objects from selection previewing. (PREVIEWFILTER system variable)

Exclude Objects on Locked Layers

Does not display selection previewing for objects on locked layers. This option is on by default. (PREVIEWFILTER system variable)

Exclude

Turns off selection previewing for the selected object types. (PREVIEWFILTER system variable)

Xrefs

Excludes objects in xrefs from selection previewing. This option is on by default. (PREVIEWFILTER system variable)

Tables

Excludes tables from selection previewing. This option is on by default. (PREVIEWFILTER system variable)

Groups

Excludes objects in groups from selection previewing. This option is off by default. (PREVIEWFILTER system variable)

Multiline Text

Excludes multiline text objects from selection previewing. This option is off by default. (PREVIEWFILTER system variable)

Hatches

Excludes hatch objects from selection previewing. This option is off by default. (PREVIEWFILTER system variable)


Add Profile Dialog Box (Quick Reference)

Advanced Preview Options Dialog Box
OPTIONS
Change Profile Dialog Box
Commands > O commands > OPTIONS >
Add Profile Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Profiles tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Creates a new profile from an existing one. The new profile is displayed in the Profile list box on the Profiles tab in the Options dialog box.

Profile Name

Assigns a new profile name to the selected profile.

Description

Assigns a new or updated description for the selected profile.


Change Profile Dialog Box (Quick Reference)

Add Profile Dialog Box
OPTIONS
Transparency Dialog Box
Commands > O commands > OPTIONS >
Change Profile Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, Profiles tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Renames an existing profile. The new profile name is displayed in the Profile list box on the Profiles tab in the Options dialog box.

Profile Name

Assigns a new profile name to the selected profile.

Description

Assigns a new or updated description for the selected profile.


Transparency Dialog Box (Quick Reference)

Change Profile Dialog Box
OPTIONS
Hidden Message Settings Dialog Box
Commands > O commands > OPTIONS >
Transparency Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click the title bar on the dockable window and click Transparency.

Controls transparency for dockable windows.

How transparent should the palette be?

Sets the degree of transparency for the palette. The palette has maximum transparency when the slider is at Clear. With the slider at Solid, the palette is opaque. The current value of the opacity is displayed below the slider.

How transparent should the palette be on mouse-over?

Sets the degree of transparency for the palette on mouse-over. The palette has maximum transparency when the slider is at Clear. When the palette is at Solid, it is opaque on mouse-over. The current value of the opacity is displayed below the slider.

NoteThe degree of transparency on mouse-over cannot be more than the degree of transparency of the palette.
Click to Preview

Preview the palette mouse-over transparency value when the button is held down. The palette returns to the default transparency set when the button is released.

Apply these settings to all palettes

Sets the degree of transparency for the palette and mouse-over for all palettes.

Disable all window transparency (global)

Disables transparency for all palettes.


Hidden Message Settings Dialog Box (Quick Reference)

Transparency Dialog Box
OPTIONS
Initial Setup Dialog Box
Commands > O commands > OPTIONS >
Hidden Message Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Tools [image] Options (Options dialog box, System tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and choose Options.
Command entry: options

Displays all dialog boxes that you marked to not display again or to always use a specified option in them.

Search

Finds messages by using one or more keywords. The tree display is filtered. Only items matching the search keyword are displayed in the list.

Check messages to show

Displays the list of hidden messages.

Message preview

Displays the currently checked message.

The tree view displays the dialog information in a hierarchical tree view. The data is in the form below.

  • Application Name
  • Category
  • Dialog title


Initial Setup Dialog Box (Quick Reference)

Hidden Message Settings Dialog Box
OPTIONS
Specify Industry
Commands > O commands > OPTIONS >
Initial Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Allows you to perform some basic customization of AutoCAD. The Initial Setup dialog box includes the following pages:

  • Specify Industry
  • Optimize Your Default Workspace
  • Specify a Drawing Template File
  • Skip Initial Setup


Specify Industry (Quick Reference)

Initial Setup Dialog Box
Initial Setup Dialog Box
Optimize Your Default Workspace
Commands > O commands > OPTIONS > Initial Setup Dialog Box >
Specify Industry
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Specifies an industry that best describes your work. The selected industry is used to specify the default drawing template and affects how some tools are configured in AutoCAD. The following industries are available:

  • Architecture
  • Civil Engineering
  • Electrical Engineering
  • Manufacturing
  • Mechanical, Electrical, and Plumbing (MEP)
  • Structural Engineering
  • Other (General Design and Documentation)


Optimize Your Default Workspace (Quick Reference)

Specify Industry
Initial Setup Dialog Box
Specify a Drawing Template File
Commands > O commands > OPTIONS > Initial Setup Dialog Box >
Optimize Your Default Workspace
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Adds task-based tools to your current workspace.

Task-based Tools

Displays a list of the available task-based tools that can be displayed with Initial Setup.

3D Modeling

Displays user interface elements related to creating 3D models. The following user interface elements are displayed when selected:

  • Modeling panel
  • Mesh panel
  • Solid Editing panel
  • Visual Styles panel
  • Visual Styles palette
Photorealistic Rendering

Displays user interface elements related to creating photorealistic renderings. The following user interface elements are displayed when selected:

  • Materials panel
  • Lights panel
  • Render panel
  • Materials palette
  • Lights in Model palette
  • Advanced Render Settings palette
  • Sun Properties palette
Review and Markup

Displays the Markup Set Manager palette that you use to review and mark up DWF and DWFx files.

Sheet Sets

Displays the Sheet Set Manager palette where you can manage and plot a set of drawings electronically.

Preview

Displays a preview of the task-based tools that are displayed when the cursor hovers over an item under the Task-based Tools list.


Specify a Drawing Template File (Quick Reference)

Optimize Your Default Workspace
Initial Setup Dialog Box
Skip Initial Setup
Commands > O commands > OPTIONS > Initial Setup Dialog Box >
Specify a Drawing Template File
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Specifies the default drawing template that is used when you create a new drawing:

Use AutoCAD 2010’s default drawing template file

Designates acad.dwt as the default drawing template file.

Use my existing drawing template file

Designates the drawing template file of your choosing. Click the Browse button to select the drawing template file you want to use.

Use the default drawing template file based on my industry and unit format

Specifies the default drawing template file based on the industry selected on the Specify Industry page and a unit value of Imperial (Feet and Inches) or Metric.


Skip Initial Setup (Quick Reference)

Specify a Drawing Template File
Initial Setup Dialog Box
ORTHO
Commands > O commands > OPTIONS > Initial Setup Dialog Box >
Skip Initial Setup
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: Tools [image] Options (Options dialog box, User Preferences tab)
Shortcut menu: Right-click in the command window, or (with no commands active and no objects selected) right-click in the drawing area, and click Options.
Command entry: options

Skips or cancels Initial Setup, and determines if Initial Setup is displayed the next time AutoCAD is started.

NoteOnce you run and complete Initial Setup, Initial Setup is not displayed the next time AutoCAD is started.
Remind me the next time AutoCAD 2010 starts

Controls if Initial Setup is displayed or not the next time AutoCAD is started.


ORTHO (Quick Reference)

Skip Initial Setup
ORTHO
OSNAP
Commands > O commands >
ORTHO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Constrains cursor movement to the horizontal or vertical direction.

Toolbar: Status bar [image] Ortho
Command entry: ortho (or 'ortho for transparent use)

Enter mode [ON/OFF] <current>: Enter on or off, or press Enter

In the illustration, a line is drawn using Ortho mode. Point 1 is the first point specified, and point 2 is the position of the cursor when the second point is specified.

Ortho mode is used when you specify an angle or distance by means of two points using a pointing device. In Ortho mode, cursor movement is constrained to the horizontal or vertical direction relative to the UCS.

Horizontal is defined as being parallel to the X axis of the UCS and vertical as being parallel to the Y axis.

In a 3D view, ORTHO is additionally defined as being parallel to the Z axis of the UCS, and the tooltip displays +Z or -Z for the angle depending on the direction along the Z axis.


OSNAP (Quick Reference)

ORTHO
OSNAP
PAGESETUP
Commands > O commands >
OSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets running object snap modes.

Menu: Tools menu [image] Drafting SettingsAt the Command prompt, enter dsettings.
Shortcut menu: Press Shift while right-clicking in the drawing area and choose Osnap Settings.
Toolbar: Status bar [image] Osnap
Command entry: osnap (or 'osnap for transparent use)

The Object Snaps tab of the Drafting Settings dialog box is displayed.

If you enter -osnap at the Command prompt, the following prompts are displayed.

Current osnap modes: current

Enter list of object snap modes: Enter names of object snap modes separated with commas, or enter none or off

Object Snap Modes

Specify one or more object snap modes by entering the first three characters of the name. If you enter more than one name, separate the names with commas.

ENDpoint | CENter | TANgent
MIDpoint | NODe | NEArest
INTersection | QUAdrant | PARallel
EXTension | INSertion |
APParent Intersection | PERpendicular |

For a description of each of these object snap modes, see the Object Snaps tab of the Drafting Settings dialog box.

The -OSNAP command also presents the following additional options:

QUIck

Snaps to the first snap point found. Quick must be used in conjunction with other object snap modes.

NONe

Turns off object snap modes.


P commands

OSNAP
Commands
PAGESETUP
Commands >
P commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • PAGESETUP

    Controls the page layout, plotting device, paper size, and other settings for each new layout.

  • PAN

    Moves the view in the current viewport.

  • PARAMETERS

    Controls the associative parameters used in the drawing.

  • PARAMETERSCLOSE

    Closes the Parameters Manager palette.

  • PARTIALOAD

    Loads additional geometry into a partially opened drawing.

  • PARTIALOPEN

    Loads geometry and named objects from a selected view or layer into a drawing.

  • PASTEASHYPERLINK

    Creates a hyperlink to a file, and associates it with a selected object.

  • PASTEBLOCK

    Pastes objects from the Clipboard into the current drawing as a block.

  • PASTECLIP

    Pastes objects from the Clipboard into the current drawing.

  • PASTEORIG

    Pastes objects from the Clipboard into the current drawing using the original coordinates.

  • PASTESPEC

    Pastes objects from the Clipboard into the current drawing and controls the format of the data.

  • PCINWIZARD

    Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout.

  • PDFADJUST

    Adjust the fade, contrast, and monochrome settings of a PDF underlay.

  • PDFATTACH

    Insert a PDF file as an underlay into the current drawing.

  • PDFCLIP

    Crops the display of a selected PDF underlay to a specified boundary.

  • PDFLAYERS

    Controls the display of layers in a PDF underlay.

  • PEDIT

    Edits polylines and 3D polygon meshes.

  • PFACE

    Creates a 3D polyface mesh vertex by vertex.

  • PLAN

    Displays the plan view of a specified user coordinate system

  • PLANESURF

    Creates a planar surface.

  • PLINE

    Creates a 2D polyline.

  • PLOT

    Plots a drawing to a plotter, printer, or file.

  • PLOTSTAMP

    Places a plot stamp on a specified corner of each drawing and logs it to a file.

  • PLOTSTYLE

    Controls the named plot styles that are attached to the current layout and can be assigned to objects.

  • PLOTTERMANAGER

    Displays the Plotter Manager, where you can add or edit a plotter configuration.

  • PNGOUT

    Saves selected objects to a file in a Portable Network Graphics format.

  • POINT

    Creates a point object.

  • POINTLIGHT

    Creates a point light that radiates light in all directions from its location.

  • POLYGON

    Creates an equilateral closed polyline.

  • POLYSOLID

    Creates a 3D wall-like polysolid.

  • PRESSPULL

    Presses or pulls bounded areas.

  • PREVIEW

    Displays the drawing as it will be plotted.

  • PROPERTIES

    Controls properties of existing objects.

  • PROPERTIESCLOSE

    Closes the Properties palette.

  • PSETUPIN

    Imports a user-defined page setup into a new drawing layout.

  • PSPACE

    Switches from a model space viewport to paper space.

  • PUBLISH

    Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

  • PUBLISHTOWEB

    Creates HTML pages that include images of selected drawings.

  • PURGE

    Removes unused items, such as block definitions and layers, from the drawing.

  • PYRAMID

    Creates a 3D solid pyramid.


PAGESETUP (Quick Reference)

OSNAP
PAGESETUP
Page Setup Manager
Commands > P commands >
PAGESETUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls the page layout, plotting device, paper size, and other settings for each new layout.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Summary

The Page Setup Manager is displayed.

A page setup is a collection of plot device and other settings that determine the appearance and format of your final output. These settings are stored in the drawing file and can be modified and applied to other layouts.


Page Setup Manager (Quick Reference)

PAGESETUP
PAGESETUP
New Page Setup Dialog Box
Commands > P commands > PAGESETUP >
Page Setup Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Summary

Specifies the page setup for the current layout or drawing sheet. You can also create named page setups, modify existing ones, or import page setups from other drawings.

Current Layout or Current Sheet Set

Lists the current layout to which the page setup will be applied. If the Page Setup Manager is opened from the Sheet Set Manager, displays the name of the current sheet set. If the Page Setup Manager is opened from a layout, displays the name of the current layout.

Layout icon

Displayed when the Page Setup Manager is opened from a layout.

Sheet set icon

Displayed when the Page Setup Manager is opened from the Sheet Set Manager.

Page Setups

Displays the current page setup, sets a different page setup as current, creates a new page setup, modifies an existing page setup, and imports page setups from other drawings.

Current Page Setup

Displays the page setup that is applied to the current layout. Displays “Not applicable” if the Page Setup Manager is opened from the Sheet Set Manager, because you cannot apply a page setup to an entire sheet set after it has been created.

Page Setup List

Lists the page setups that are available to apply to the current layout or when you publish a sheet set.

If the Page Setup Manager is opened from a layout, the current page setup is selected by default. The list includes the named page setups and layouts that are available in the drawing. Layouts that have a named page setup applied to them are enclosed in asterisks, with the named page setup in parentheses; for example, *Layout 1 (System Scale-to-fit)*. You can double-click a page setup in this list to set it as the current page setup for the current layout.

If the Page Setup Manager is opened from the Sheet Set Manager, only named page setups in the page setup overrides file (a drawing template [.dwt] file) that have Plot Area set to Layout or Extents are listed. The first page setup in the list is selected by default. Any of these page setups can be applied temporarily for a PUBLISH operation.

The shortcut menu also provides options for removing and renaming page setups.

Set Current

Sets the selected page setup as the current page setup for the current layout. You cannot set the current layout as the current page setup. Set Current is not available for sheet sets.

New

Displays the New Page Setup dialog box, in which you can enter a name for the new page setup and specify the page setup to use as a starting point.

Modify

Displays the Page Setup dialog box, in which you can edit the settings for the selected page setup.

Import

Displays the Select Page Setup From File dialog box (a standard file selection dialog box), in which you can select a drawing format (DWG), DWT, or drawing interchange format (DXF)™ file from which to import one or more page setups. If you select DWT as the file type, the Template folder opens automatically in the Select Page Setup From File dialog box. When you click OK, the Import Page Setups dialog box is displayed.

Selected Page Setup Details

Displays information about the selected page setup.

Device Name

Displays the name of the plot device specified in the currently selected page setup.

Plotter

Displays the type of plot device specified in the currently selected page setup.

Plot Size

Displays the plot size and orientation specified in the currently selected page setup.

Where

Displays the physical location of the output device specified in the currently selected page setup.

Description

Displays descriptive text about the output device specified in the currently selected page setup.

Display When Creating a New Layout

Specifies that the Page Setup dialog box is displayed when a new layout tab is selected or a new layout is created.

You can reset this function by turning on the Show Page Setup Dialog for New Layouts option on the Display tab of the Options dialog box.


New Page Setup Dialog Box (Quick Reference)

Page Setup Manager
PAGESETUP
Page Setup Dialog Box
Commands > P commands > PAGESETUP >
New Page Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Specifies a name for the new page setup, as well as the page setup to use as a starting point.

New Page Setup Name

Specifies the name for the new page setup.

Start With

Specifies a page setup to use as a starting point for the new page setup. When you click OK, the Page Setup dialog box is displayed with the settings of the selected page setup, which you can modify as necessary.

If you open the New Page Setup dialog box from the Sheet Set Manager, only the named page setups in the page setup overrides file are listed.

<None>

Specifies that no page setup is used as a starting point. The default settings that are displayed in the Page Setup dialog box can be modified.

<Default Output Device>

Specifies that the default output device specified in the Options dialog box, Plot and Publish tab, is set as the printer in the new page setup.

<Previous Plot>

Specifies that the new page setup uses the settings specified in the last plot job.


Page Setup Dialog Box (Quick Reference)

New Page Setup Dialog Box
PAGESETUP
Changes to a Printer Configuration File Dialog Box (Page Setup)
Commands > P commands > PAGESETUP >
Page Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Specifies page layout and plotting device settings. The Page Setup dialog box is displayed in the following cases:

  • When you create a new page setup through the Page Setup Manager
  • When you modify an existing page setup through the Page Setup Manager

The page setup settings that you specify are stored with the layout and can be applied to other layouts or imported into other drawings.

The title of the Page Setup dialog box also displays the name of the current layout or sheet set.

Page Setup

Displays the name of the current page setup.

Name

Displays the name of the current page setup.

Displays a DWG icon when the Page Setup dialog box is opened from a layout, and displays a sheet set icon when the Page Setup dialog box is opened from the Sheet Set Manager.

Printer/Plotter

Specifies a configured plotting device to use when plotting or publishing layouts or sheets.

Name

Lists the available PC3 files or system printers from which you can select to plot or publish the current layout or sheet. An icon in front of the device name identifies it as a PC3 file or a system printer.

  • PC3 file icon: Indicates a PC3 file.
  • System printer icon: Indicates a system printer.
Properties

Displays the Plotter Configuration Editor (PC3 editor), in which you can view or modify the current plotter configuration, ports, device, and media settings.

If you make changes to the PC3 file using the Plotter Configuration Editor, the Changes to a Printer Configuration File dialog box is displayed.

Plotter

Displays the plot device specified in the currently selected page setup.

Where

Displays the physical location of the output device specified in the currently selected page setup.

Description

Displays descriptive text about the output device specified in the currently selected page setup. You can edit this text in the Plotter Configuration Editor.

Partial Preview

Shows an accurate representation of the effective plot area relative to the paper size and printable area. The tooltip displays the paper size and printable area.

Paper Size

Displays standard paper sizes that are available for the selected plotting device. If no plotter is selected, the full standard paper size list is displayed and available for selection.

If the selected plotter doesn't support the layout's selected paper size, a warning is displayed, and you can select the plotter's default paper size or a custom paper size.

A default paper size is set for the plotting device when you create a PC3 file with the Add-a-Plotter wizard. For information about this wizard, see Set Up Plotters and Printers in the Driver and Peripheral Guide. The paper size that you select in the Page Setup dialog box is saved with the layout and overrides the PC3 file settings.

The actual printable area of the page, which is determined by the selected plotting device and paper size, is indicated in the layout by a dashed line.

If you are plotting a raster image, such as a BMP or TIFF file, the size of the plot is specified in pixels, not in inches or millimeters.

Plot Area

Specifies the area of the drawing to be plotted. Under What to Plot, you can select an area of the drawing to be plotted.

Layout/Limits

When plotting a layout, plots everything within the printable area of the specified paper size, with the origin calculated from 0,0 in the layout.

When plotting from the Model tab, plots the entire drawing area that is defined by the grid limits. If the current viewport does not display a plan view, this option has the same effect as the Extents option.

Extents

Plots the portion of the current space of the drawing that contains objects. All geometry in the current space is plotted. The drawing may be regenerated to recalculate the extents before plotting.

Display

Plots the view in the current viewport in the Model tab or in the current paper space view in a layout tab.

View

Plots a view that was previously saved with the VIEW command. You can select a named view from the list. If there are no saved views in the drawing, this option is unavailable.

Window

Plots any portion of the drawing that you specify. When you specify the two corners of the area to plot, the Window button becomes available.

Click the Window button to use the pointing device to specify the two corners of the area to be plotted, or enter coordinate values.

Command: Specify first corner: Specify a point

Specify other corner: Specify a point

Plot Offset

Specifies an offset of the plot area relative to the lower-left corner of the printable area or to the edge of the paper, depending on the setting made in the Specify Plot Offset Relative To option (Options dialog box, Plot and Publish tab). The Plot Offset area of the Page Setup dialog box displays the specified plot offset option in parentheses.

The printable area of a drawing sheet is defined by the selected output device and is represented by a dashed line in a layout. When you change to another output device, the printable area may change.

You can offset the geometry on the paper by entering a positive or negative value in the X and Y offset boxes. The plotter unit values are in inches or millimeters on the paper.

Center the Plot

Automatically calculates the X and Y offset values to center the plot on the paper. This option is not available when Plot Area is set to Layout.

X

Specifies the plot origin in the X direction relative to the setting of the Plot Offset Definition option.

Y

Specifies the plot origin in the Y direction relative to the setting of the Plot Offset Definition option.

Plot Scale

Controls the relative size of drawing units to plotted units. The default scale setting is 1:1 when plotting a layout. The default setting is Fit to Paper when plotting from the Model tab.

NoteIf the Layout option is specified in Plot Area, the layout is plotted at 1:1 regardless of the setting specified in Scale.
Fit to Paper

Scales the plot to fit within the selected paper size and displays the custom scale factor in the Scale, Inch =, and Units boxes.

Scale

Defines the exact scale for the plot. Custom defines a user-defined scale. You can create a custom scale by entering the number of inches (or millimeters) equal to the number of drawing units.

NoteYou can modify the list of scales with SCALELISTEDIT.
Inch(es) =/mm =/Pixel(s) =

Specifies the number of inches, millimeters, or pixels equal to the specified number of units.

Inch/mm/pixel

Specifies inches or mm for display of units in the Plot dialog box. The default is based on the paper size and changes each time a new paper size is selected. Pixel is available only when a raster output is selected.

Units

Specifies the number of units equal to the specified number of inches, millimeters, or pixels.

Scale Lineweights

Scales lineweights in proportion to the plot scale. Lineweights normally specify the linewidth of plotted objects and are plotted with the linewidth size regardless of the plot scale.

Plot Style Table (Pen Assignments)

Sets the plot style table, edits the plot style table, or creates a new plot style table.

Name (Unlabeled)

Displays the plot style table that is assigned to the current Model tab or layout tab and provides a list of the currently available plot style tables.

If you select New, the Add Plot Style Table wizard is displayed, which you can use to create a new plot style table. The wizard that is displayed is determined by whether the current drawing is in color-dependent or named mode.

Edit

Displays the Plot Style Table Editor, in which you can view or modify plot styles for the currently assigned plot style table.

Display Plot Styles

Controls whether the properties of plot styles assigned to objects are displayed on the screen.

Shaded Viewport Options

Specifies how shaded and rendered viewports are plotted and determines their resolution levels and dots per inch (dpi).

Shade Plot

Specifies how views are plotted. To specify this setting for a viewport on a layout tab, select the viewport and then, on the Tools menu, click Properties.

From the Model tab, you can select from the following options:

  • As Displayed: Plots objects the way they are displayed on the screen.
  • Wireframe: Plots objects in wireframe regardless of the way they are displayed on the screen.
  • Hidden: Plots objects with hidden lines removed regardless of the way they are displayed on the screen.
  • 3D Hidden: Plots objects with the 3D Hidden visual style applied regardless of the way the objects are displayed on the screen.
  • 3D Wireframe: Plots objects with the 3D Wireframe visual style applied regardless of the way the objects are displayed on the screen.
  • Conceptual: Plots objects with the Conceptual visual style applied regardless of the way the objects are displayed on the screen.
  • Realistic: Plots objects with the Realistic visual style applied regardless of the way the objects are displayed on the screen.
  • Rendered: Plots objects as rendered regardless of the way they are displayed on the screen.
Quality

Specifies the resolution at which shaded and rendered viewports are plotted.

You can select from the following options:

  • Draft: Sets rendered and shaded model space views to be plotted as wireframe.
  • Preview: Sets rendered and shaded model space views to be plotted at one quarter of the current device resolution, to a maximum of 150 dpi.
  • Normal: Sets rendered and shaded model space views to be plotted at one half of the current device resolution, to a maximum of 300 dpi.
  • Presentation: Sets rendered and shaded model space views to be plotted at the current device resolution, to a maximum of 600 dpi.
  • Maximum: Sets rendered and shaded model space views to be plotted at the current device resolution with no maximum.
  • Custom: Sets rendered and shaded model space views to be plotted at the resolution setting that you specify in the DPI box, up to the current device resolution.
DPI

Specifies the dots per inch for shaded and rendered views, up to the maximum resolution of the current plotting device. This option is available if you select Custom in the Quality box.

Plot Options

Specifies options for lineweights, plot styles, shaded plots, and the order in which objects are plotted.

Plot Object Lineweights

Specifies whether lineweights assigned to objects and layers are plotted. This option is unavailable if Plot with Plot Styles is selected.

Plot with Plot Styles

Specifies whether plot styles applied to objects and layers are plotted. When you select this option, Plot Object Lineweights is automatically selected also.

Plot Paperspace Last

Plots model space geometry first. Paper space geometry is usually plotted before model space geometry.

Hide Paperspace Objects

Specifies whether the HIDE operation applies to objects in the paper space viewport. This option is available only from a layout tab. The effect of this setting is reflected in the plot preview, but not in the layout.

Drawing Orientation

Specifies the orientation of the drawing on the paper for plotters that support landscape or portrait orientation.

Portrait

Orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape

Orients and plots the drawing so that the long edge of the paper represents the top of the page.

Plot Upside-Down

Orients and plots the drawing upside-down.

Icon

Indicates the media orientation of the selected paper and represents the orientation of the drawing on the page as a letter on the paper.

NoteThe orientation of plots is also affected by the PLOTROTMODE system variable.

Preview

Displays the drawing as it will appear when plotted on paper by executing the PREVIEW command. To exit the print preview and return to the Page Setup dialog box, press ESC, press ENTER, or right-click and click Exit on the shortcut menu.


Changes to a Printer Configuration File Dialog Box (Page Setup) (Quick Reference)

Page Setup Dialog Box
PAGESETUP
Import Page Setups Dialog Box
Commands > P commands > PAGESETUP >
Changes to a Printer Configuration File Dialog Box (Page Setup)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Notifies you that you have made changes to an existing plotter configuration (PC3) file. You can cancel your changes, click OK to overwrite the PC3 file, or specify a new file name for the modified PC3 file.

Save Changes to the Following File

Specifies the path of the PC3 file that you have changed. To preserve the original PC3 file, specify a new file name.


Import Page Setups Dialog Box (Quick Reference)

Changes to a Printer Configuration File Dialog Box (Page Setup)
PAGESETUP
PAN
Commands > P commands > PAGESETUP >
Import Page Setups Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Page SetupNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Page Setup
Shortcut menu: Right-click the Model tab or a layout tab and click Page Setup Manager.
Command entry: pagesetup

Displays the page setups in the selected drawing that are available to import.

Source Drawing

Displays the source drawing that contains the listed page setups that are available to import.

Page Setups

Lists the page setups that are available to import and their location in the source drawing. Selected page setups are imported into the current drawing when you click OK

When you import page setups into a page setup overrides file for a sheet set, only page setups with Plot Area set to Layout or Extents are listed.

Name

Specifies the name of the page setup available to import.

Location

Specifies the location (model or layout) of the page setup in the drawing from which you are importing the page setup.

Details

Displays information about the selected page setup.

Device Name

Displays the name of the plot device specified in the currently selected page setup.

Plotter

Displays the type of plot device specified in the currently selected page setup.

Plot Size

Displays the plot size and orientation specified in the currently selected page setup.

Where

Displays the physical location of the output device specified in the currently selected page setup.

Description

Displays descriptive text about the output device specified in the currently selected page setup.


PAN (Quick Reference)

Import Page Setups Dialog Box
PAN
Panning in Real Time
Commands > P commands >
PAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Moves the view in the current viewport.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] PanNot available on the ribbon in the current workspace.
Toolbar: Standard
Menu: View [image] Pan [image] RealtimeNot available in menus in the current workspace
Shortcut menu: With no objects selected, right-click in the drawing area and choose Pan.
Command entry: pan (or 'pan for transparent use)

The following prompt is displayed; you can pan the drawing display in real time.

Press ESC or ENTER to exit, or right-click to display a shortcut menu.

If you enter -pan at the Command prompt, PAN displays command prompts, and you can specify a displacement to pan the drawing display.

You can pan a view in a viewport, which is similar to panning with a camera. Using PAN does not change the location of objects in the drawing; it only changes the view.


Panning in Real Time (Quick Reference)

PAN
PAN
-PAN
Commands > P commands > PAN >
Panning in Real Time
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] PanNot available on the ribbon in the current workspace.
Toolbar: Standard
Menu: View [image] Pan [image] RealtimeNot available in menus in the current workspace
Shortcut menu: With no objects selected, right-click in the drawing area and choose Pan.
Command entry: pan (or 'pan for transparent use)

The cursor changes to a hand cursor. By holding down the pick button on the pointing device, you lock the cursor to its current location relative to the viewport coordinate system. The drawing display is moved in the same direction as the cursor.

When you reach a logical extent (edge of the drawing space), a bar is displayed on the hand cursor on that edge. Depending on whether the logical extent is at the top, bottom, or side of the drawing, the bar is either horizontal (top or bottom) or vertical (left or right side).

When you release the pick button, panning stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again to pan the display from that location.

To stop panning at any time, press ENTER or ESC.


-PAN (Quick Reference)

Panning in Real Time
PAN
Pan Shortcut Menu
Commands > P commands > PAN >
-PAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -pan at the Command prompt, the following prompts are displayed.

Specify base point or displacement: Specify a point

The Command prompt version of PAN works in two ways. You can specify a single point, indicating the relative displacement of the drawing with respect to the current location, or (more commonly) you can specify two points, in which case the displacement is computed from the first point to the second point.

Specify second point: Press ENTER or specify another point

If you press ENTER, the drawing is moved by the amount you specified in the Specify Base Point or Displacement prompt. For example, if you specify 2,2 at the first prompt and press ENTER at the second prompt, the drawing is moved 2 units in the X direction and 2 units in the Y direction. If you specify a point at the Specify Second Point prompt, the location of the first point is moved to the location of the second point.

You cannot use PAN transparently during VPOINT or DVIEW, or while another ZOOM, PAN, or VIEW command is in progress.


Pan Shortcut Menu (Quick Reference)

-PAN
PAN
PARAMETERS
Commands > P commands > PAN >
Pan Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

To access the Pan shortcut menu, right-click in the drawing area while PAN is active.

Exit

Cancels PAN or ZOOM.

Pan

Switches to PAN.

Zoom

Switches to ZOOM in real time.

3D Orbit

Switches to 3DORBIT.

Zoom Window

Zooms to display an area specified by a rectangular window.

Zoom Original

Restores the original view.

Zoom Extents

Zooms to display the drawing extents.


PARAMETERS (Quick Reference)

Pan Shortcut Menu
PARAMETERS
Parameters Manager - Parametric Drawing
Commands > P commands >
PARAMETERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the associative parameters used in the drawing.

Access Methods

Button

Ribbon: Parametric tab [image] Manage panel [image] Parameters Manager
Menu: Parametric [image] Parameters ManagerNot available in menus in the current workspace
Toolbar: Parametric
Command entry: parameters

The Parameters Manager palette displays relevant parametric information based on whether you access it from within the drawing or from within the Block Editor.

  • Parameters Manager - Parametric Drawing
  • Parameters Manager - Dynamic Blocks


Parameters Manager - Parametric Drawing (Quick Reference)

PARAMETERS
PARAMETERS
Parameters Manager - Dynamic Blocks
Commands > P commands > PARAMETERS >
Parameters Manager - Parametric Drawing
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the associative parameters used in the drawing.

Access Methods

Button

Ribbon: Parametric tab [image] Manage panel [image] Parameters Manager
Menu: Parametric [image] Parameters ManagerNot available in menus in the current workspace
Toolbar: Parametric
Command entry: parameters

The Parameters Manager palette displays all associative variables (dimensional constraint variables and user-defined variables) available in the drawing.

You can create, edit, rename, and delete associative variables.

The Parameters Manager palette includes a grid control with three columns, by default. You can also add two columns (Description, Type) using the shortcut menu.

Column | Description
Name | Displays the variable name
Expression | Displays the real number or the equation for the expression, for example, d1+d2
Value | Displays the value of the expression
Additional Columns
Type | Displays the dimensional constraint type or variable value
Description | Displays the comments or notes associated with the user variable

Create a Dimensional Variable

To create a dimensional variable, you apply a dimensional constraint to an object in the drawing. Dimensional variables are displayed under the Dimensional Constraints group header in the Parameters Manager palette.

User variables are custom variables that enable you to create and drive object relationships. These variables can contain constants, or equations.

Click the New User Parameter icon on the Parameters Manager palette to create a user variable. Alternatively, double-click an empty cell to create a user-defined variable.

User variables have the following characteristics:

  • Default values are: Name = user1, Expression = 1, and value = 1.00.
  • Name should be alphanumeric.
  • Expression values should be within the range of -1e100 and 1e100.

Edit a Dimensional Variable

You can edit the dimensional variable name and expression. To do so:

  • Double-click the name or expression box.
  • Select the row and press F2. Press the Tab key to edit the contiguous columns.

    You cannot edit the Value column.

When you rename a dimensional variable, all instances of the variable are updated in the drawing and in the Parameters Manager palette.

TipUse the shortcut menu for the Name and Expression cells when copying and pasting values. The Expressions shortcut menu contains commonly used mathematical functions.

Invalid expressions are displayed in red text.

Delete a Dimensional Variable

You can delete a dimensional constraint variable. Select a row and:

  • Click the Delete button
  • Press the Delete key
  • Using the Delete shortcut menu
TipCtrl+click to select multiple rows to delete.

The following are the current behavioral changes in the drawing when you delete a dimension variable:

  • The associated dimensional constraint in the drawing is removed.
  • The variables retain the value calculated by the expression as a constant. This action is for variables referenced by other variables, and ensures that the geometry does not change.

Filtering the Display of Variables

You can filter the display of variables to do the following:

  • Display All Parameters — Displays all associative variables. No filter is applied.
  • Display Parameters Used in Expressions - Displays all variables that contain expressions to evaluate a value, and variables contained in expressions.

Sorting a Column

Click a column heading to sort the variables in the table in ascending or descending order of the column property. When you sort by variable type, the name column is second in order to be sorted.The sort order is persistent.

The sort order is not affected when you add a variable, or change a name or expression.

Highlighting Dimensional Constraints

When you select a dimensional constraint in the Parameters Manager palette, the associated object will be highlighted in the drawing.

If the parameter is a dynamic constraint that is hidden, the dynamic constraint will be temporarily displayed and highlighted when you select the cell.

NoteThe object is not selected when highlighted; the highlighting is to visually identify the dimensionally constrained object.

Shortcut Menu Options

The following options are displayed on the shortcut menus in the Parameters Manager palette.

Column Header Shortcut Menu
Expression | Displays or hides the Expression column
Value | Displays or hides the Value column
Type | Displays or hides the Type column
Description | Displays or hides the Description column
Maximize All Columns | Displays all columns using the maximum value in each column as the base.
Row Shortcut Menu
Delete | Deletes the value from the row based on the selection.
Cell Shortcut Menu
Cut | Removes the value from the cell and pastes it to the clipboard.
Copy | Copies the value in the cell and pastes it to the clipboard.
Paste | Pastes the immediately transferred value from the clipboard.
Delete | Deletes the value from the cell based on the selection.
Expressions | Displays a list of functions for use in the expression column (available only within the Expression cell)


Parameters Manager - Dynamic Blocks (Quick Reference)

Parameters Manager - Parametric Drawing
PARAMETERS
-PARAMETERS
Commands > P commands > PARAMETERS >
Parameters Manager - Dynamic Blocks
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the associative parameters used in the Block Editor.

Access Methods

Button

Ribbon: Block Editor tab [image] Manage panel [image] Parameters Manager
Command entry: parameters

In the Block Editor, the Parameters Manager displays a consolidated view of all parameters and user-defined properties for the block definition.

The Parameters Manager palette includes a grid control with three columns (Name, Expression, Value) by default. You can add one or more additional columns (Type, Order, Show, or Description) using the shortcut menu.

Column | Description
Name | Displays the variable name
Expression | Displays the real number or equation, for example, d1+d2
Value | Displays the value of the expression
Additional Columns
Type | Displays the dimensional constraint type or variable value
Order | Controls the order properties are displayed in the Properties palette
Show | Displays the parameter for a property for the block reference
Description | Displays the comments or notes associated with the user variable

The Type column affects the formatting of the parameter in the Parameters Manager and Properties palette. It also affects the value of the parameter when the block is scaled.

Type | Units | Precision | Block Scale Factor
Distance | LUNITS | LUPREC | Scaled by scale factor
Angle | AUNITS | AUPREC | No scale
Real | Decimal | LUPREC | No scale
Area | Decimal | LUPREC | Multiplied by square of scale
Volume | Decimal | LUPREC | Multiplied by cube of scale
String | Not applicable | Not applicable | Not applicable

The Type cell for User parameters displays a drop-down list of the value types. The parameter can be sorted and can be set to Show or Hide in the Properties palette. The value of the parameter resets to 1 when you change the type from String to another type.

Parameters can be renamed; equations and values can be entered or modified. Changes to a parameter name are immediately updated throughout the table and in the Block Editor.

The parameters for the block definition are organized in the following categories:

  • Action Parameters
  • Constraint Parameters
  • User Parameters
  • Attributes
  • Dimensional Constraints
  • User Variables

These categories can be expanded or collapsed by clicking the +/- symbol of each category. You can only add user parameters to the table. When you delete any item from the table, the item is automatically deleted from the block definition.

Create a Dimensional Variable

To create a dimensional variable, you apply a dimensional constraint to an object in the Block Editor. Dimensional variables are displayed under the Dimensional Constraints group header in the Parameters Manager palette.

User variables are custom variables that enable you to create and drive object relationships. These variables can contain constants, or equations.

Click the New User Parameter icon on the Parameters Manager palette to create a user variable. Alternatively, double-click an empty cell to create a user-defined variable.

User variables have the following characteristics:

  • Default values are: Name = user1, Expression = 1, and value = 1.00.
  • Name should be alphanumeric.
  • Expression values should be within the range of -1e100 and 1e100.

Edit a Dimensional Variable

You can edit the dimensional variable name and expression. To do so:

  • Double-click the name or expression box.
  • Select the row and press F2. Press the Tab key to edit the contiguous columns.

    You cannot edit the Value column.

When you rename a dimensional variable, all instances of the variable are updated in the drawing and in the Parameters Manager palette.

Invalid expressions are displayed in red text.

Delete a Dimensional Variable

You can delete a dimensional constraint variable. Select a row and:

  • Click the Delete button
  • Press the Delete key
  • Using the Delete shortcut menu
TipCtrl+click to select multiple rows to delete.

The following are the current behavioral changes in the drawing when you delete a dimension variable:

  • The associated dimensional constraint in the drawing is removed.
  • The variables retain the value calculated by the expression as a constant. This action is for variables referenced by other variables, and ensures that the geometry does not change.

Filtering the Display of Variables

You can filter the display of variables to do the following:

  • Display All Parameters — Displays all associative variables. No filter is applied.
  • Display Parameters Used in Expressions - Displays all variables that contain expressions to evaluate a value, and variables contained in expressions.

Sorting a Column

You can sort the columns by clicking the column heading. The rows are sorted by each category. The sort order is not affected when you change a cell value.


-PARAMETERS (Quick Reference)

Parameters Manager - Dynamic Blocks
PARAMETERS
PARAMETERSCLOSE
Commands > P commands > PARAMETERS >
-PARAMETERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -parameters at the Command prompt, the following prompts are displayed:

Enter a parameter option [New/Edit/Rename/Delete/?]:

NoteYou cannot use the -PARAMETERS command in the Block Editor.

New

Creates a user variable.

Enter a parameter option [New/Edit/Rename/Delete/?]: Enter n for New

Enter name for new user parameter: Enter an alphanumeric variable name

Enter expression: Enter a value to be stored within the variable

Edit

Edits the expression of the specified user variable.

Enter parameter name: Enter a new name for the variable

(Old Value = <value>) Enter expression: Enter a new value

Rename

Renames the user variable.

Enter a parameter option [New/Edit/Rename/Delete/?]: Enter r for Rename

Enter old parameter name: Enter the existing variable name

Enter new parameter name: Enter the new name

Delete

Removes the user variable from the list.

Enter a parameter option [New/Edit/Rename/Delete/?]: Enter d for Delete

Enter parameter name to delete: Enter the name of the variable to delete

? — List Parameters

Lists available user variables in the drawing.

Enter a parameter option [New/Edit/Rename/Delete/?]: Enter ?


PARAMETERSCLOSE (Quick Reference)

-PARAMETERS
PARAMETERSCLOSE
PARTIALOAD
Commands > P commands >
PARAMETERSCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Parameters Manager palette.

Command entry: parametersclose


PARTIALOAD (Quick Reference)

PARAMETERSCLOSE
PARTIALOAD
Partial Load Dialog Box
Commands > P commands >
PARTIALOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Loads additional geometry into a partially opened drawing.

Menu: File menu [image] Partial LoadAt the Command prompt, enter partiaload.
Command entry: partiaload

The Partial Load dialog box is displayed. PARTIALOAD can be used only in a partially open drawing. To partially open a drawing, use OPEN and choose Partial Open in the Select File dialog box (a standard file selection dialog box). Any information that is loaded into the file using PARTIALOAD cannot be unloaded, not even with UNDO.

If you enter -partiaload at the Command prompt, options are displayed.


Partial Load Dialog Box (Quick Reference)

PARTIALOAD
PARTIALOAD
-PARTIALOAD
Commands > P commands > PARTIALOAD >
Partial Load Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File menu [image] Partial LoadAt the Command prompt, enter partiaload.
Command entry: partiaload

Displays the views and layers available for specifying additional geometry to load into a partially open drawing. You can select and load geometry from a view or a selected area and from layers. You cannot unload any information that is currently loaded in the drawing. If the drawing contains attached xrefs that were not loaded at the time that the drawing was partially opened, you can reload the xrefs by using the External References palette. See XREF.

View Geometry to Load

Displays the selected view and available views in the drawing. Views available for loading include only views defined in model space. You can load paper space geometry by loading the layer on which the paper space geometry is drawn.

View Name

Displays the currently selected view. Geometry that is common to both the selected view and the layers is loaded into the drawing.

View List

Displays all the model space views available in the selected drawing file. When a view is selected, only the geometry in the selected view is loaded. The default view is Extents. You can select to load geometry from only one view. Geometry that is common to both the selected view and the layers is loaded into the drawing. Any information currently loaded into the file cannot be unloaded.

Pick Window

Prompts you to use the pointing device to specify an area using window selection. The selected area becomes the view to load and is displayed in the View Geometry to Load list as New View.

Layer Geometry to Load

Displays all the layers available in the selected drawing file. The geometry on selected layers is loaded into the drawing, including both model space and paper space geometry. No layers are selected to load by default. You can load geometry from multiple layers. Geometry that is common to both the selected view and the layers is loaded into the drawing. Any information that is currently loaded into the file cannot be unloaded.

Layer Name

Displays the layer names in the selected drawing.

Load Geometry

Specifies whether geometry from a layer is loaded into the drawing or not. If Load Geometry is selected, the geometry from the layer is loaded into the drawing. Any information that is currently loaded into the file cannot be unloaded.

Load All

Selects Load Geometry for all layers. You can also right-click and choose Load All from the shortcut menu to load geometry from all layers.

Clear All

Specifies that no geometry be loaded into the drawing (clears the Load Geometry option for all layers). It is recommended that you load geometry from at least one layer into the drawing. If you do not select any layers to load, no geometry is loaded at all, including geometry from the selected view. A warning is issued if you do not select any layers to load into the drawing. You can also right-click and choose Clear All from the shortcut menu to specify that no geometry is loaded from any layer.

Index Status

Indicates whether the selected drawing file contains a spatial or layer index. INDEXCTL controls whether layer and spatial indexes are saved with the drawing file. A spatial index organizes objects based on their location in space. A layer index is a list showing which objects are on which layers.


-PARTIALOAD (Quick Reference)

Partial Load Dialog Box
PARTIALOAD
PARTIALOPEN
Commands > P commands > PARTIALOAD >
-PARTIALOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When a drawing is partially open and you enter -partiaload at the Command prompt, the following prompts are displayed.

Specify first corner or [View]: Specify a point or enter v

First Corner

Specifies the first corner of a user-defined view.

Specify opposite corner: Specify a point

Geometry from the defined view is loaded into the partially open drawing.

Enter layers to load or [?] <none>: Enter a layer name, enter ?, or press ENTER

Layers to Load

Loads geometry from the selected layers into the current drawing, including both model space and paper space geometry. To load geometry from multiple layers into the drawing, use a comma between layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.

?—List Layers

Displays a list of layer names available in the current drawing. Enter one or more layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.

View

Loads the geometry from the specified view into the current drawing.

Enter view to load or [?] <*Extents*>: Enter a view name, enter ?, or press ENTER to load the Extents view

View to Load

Loads the geometry from the specified view into the partially open drawing.

Enter layers to load or [?] <none>: Enter a layer name, enter ?, or press ENTER

Layers to Load

Loads geometry from the layer or layers into the current drawing. To load geometry from multiple layers into the drawing, use a comma between layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

If you enter yes, no external references are loaded into the drawing. If you enter no, all external references are loaded into the drawing.

?—List Layers

Displays a list of layer names available in the current drawing. Enter one or more layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

If you enter yes, no external references are loaded into the drawing. If you enter no, all external references are loaded into the drawing.

?—List Views

Displays a list of model space views available in the selected drawing. Enter a view name.

Enter layers to load or [?] <none>: Enter a layer name, enter ?, or press ENTER

Layers to Load

Loads geometry from one or more layers into the current drawing. To load geometry from multiple layers into the drawing, use a comma between layer names. If no layer geometry is specified, no layer geometry is loaded nto the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

If you enter yes, no external references are loaded into the drawing. If you enter no, all external references are loaded into the drawing.

?—List Layers

A list of layer names available in the current drawing is displayed. Enter one or more layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <Yes>: Enter y or n, or press ENTER

If you enter yes, no external references are loaded into the drawing. If you enter no, all external references are loaded into the drawing.


PARTIALOPEN (Quick Reference)

-PARTIALOAD
PARTIALOPEN
PASTEASHYPERLINK
Commands > P commands >
PARTIALOPEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Loads geometry and named objects from a selected view or layer into a drawing.

Command entry: partialopen
NoteIt is recommended that you partially open a drawing by using OPEN and choosing Partial Open in the Select File dialog box to display the Partial Open dialog box.

When you are running a script and using PARTIALOPEN, FILEDIA can be set to 0 or 1. When FILEDIA is set to 0 and you enter partialopen or -partialopen at the Command prompt, the following prompts are displayed.

Enter name of drawing to open: Enter a drawing name and press ENTER

Enter ~ (tilde) at the prompt to ignore FILEDIA and display the Select File dialog box. In the Select File dialog box, select a file and choose Partial Open to display the Partial Open dialog box. If you enter a file name at the Command prompt, additional prompts are displayed.

Enter view to load or [?] <*Extents*>: Enter a view name, enter ?, or press ENTER to load the Extents view

View to Load

Opens the drawing with the geometry from the selected view loaded.

Enter layers to load or [?] <none>: Enter a layer name, enter ?, or press ENTER

Layers to Load

Loads geometry from one or more layers into the current drawing. To load geometry from multiple layers, use a comma between layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <N>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.

?—List Layers

Displays a list of layers available in the selected drawing. Enter one or more layer names. To enter multiple layers, separate the layer names with a comma.

Unload all Xrefs on open [Yes/No] <N>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.

?—List Views

Displays a list of model space views available in the selected drawing. Enter a view name.

Enter layers to load or [?] <none>: Enter a layer name, enter ?, or press ENTER

Layers to Load

Loads geometry from one or more layers into the current drawing. To load geometry from multiple layers, use a comma between layer names. If no layer geometry is specified, no layer geometry is loaded into the drawing, including geometry specified to load from a view.

Unload all Xrefs on open [Yes/No] <N>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.

?—List Layers

Displays a list of layers available in the selected drawing. Enter one or more layer names. To enter multiple layers, separate the layer names with a comma.

Unload all Xrefs on open [Yes/No] <N>: Enter y or n, or press ENTER

Yes

Does not load any external references into the drawing.

No

Loads all external references into the drawing.


PASTEASHYPERLINK (Quick Reference)

PARTIALOPEN
PASTEASHYPERLINK
PASTEBLOCK
Commands > P commands >
PASTEASHYPERLINK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a hyperlink to a file, and associates it with a selected object.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] Paste as HyperlinkNot available on the ribbon in the current workspace.
Menu: Edit [image] Paste as HyperlinkNot available in menus in the current workspace
Command entry: pasteashyperlink

Select objects:

First, select a document, such as a text, spreadsheet, drawing, or image file, and copy it to the Clipboard. Then, use this command to associate a hyperlink to that document with any selected object.


PASTEBLOCK (Quick Reference)

PASTEASHYPERLINK
PASTEBLOCK
PASTECLIP
Commands > P commands >
PASTEBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pastes objects from the Clipboard into the current drawing as a block.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] Paste as BlockNot available on the ribbon in the current workspace.
Menu: Edit [image] Paste as BlockNot available in menus in the current workspace
Shortcut menu: End any active commands, right-click in the drawing area, and choose Paste as Block.
Command entry: pasteblock

Specify insertion point: Specify a point

The objects copied to the Clipboard are pasted into the drawing as a block at the specified insertion point. The block is given a random name.


PASTECLIP (Quick Reference)

PASTEBLOCK
PASTECLIP
PASTEORIG
Commands > P commands >
PASTECLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pastes objects from the Clipboard into the current drawing.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] PasteNot available on the ribbon in the current workspace.
Menu: Edit [image] PasteNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: End any active commands, right-click in the drawing area, and choose Paste.
Command entry: pasteclip

Specify insertion point:

If the Clipboard contains ASCII text, the text is inserted as a multiline text (mtext) object using the MTEXT defaults. A spreadsheet is inserted as a table object.

All other objects, except AutoCAD objects, are inserted as embedded or linked (OLE) objects. You can edit these OLE objects by double-clicking them in the drawing to open the application in which they were created.

When you copy objects to the Clipboard, information is stored in all available formats. When you paste the Clipboard contents into a drawing, the format that retains the most information is used. You can also use Copy and Paste to transfer objects between drawings.

NoteYou can also use CTRL+V to run PASTECLIP. If the cursor is in the drawing area, PASTECLIP behaves as described. If the cursor is at the Command prompt, text from the Clipboard is pasted at the current prompt.


PASTEORIG (Quick Reference)

PASTECLIP
PASTEORIG
PASTESPEC
Commands > P commands >
PASTEORIG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pastes objects from the Clipboard into the current drawing using the original coordinates.

Access Methods

Button

Ribbon: Home tab [image] Clipboard panel [image] Paste to Original CoordinatesNot available on the ribbon in the current workspace.
Menu: Edit [image] Paste to Original CoordinatesNot available in menus in the current workspace
Shortcut menu: End any active commands, right-click in the drawing area, and choose Paste to Original Coordinates.
Command entry: pasteorig

Summary

The objects copied to the Clipboard are pasted into the current drawing at the same coordinates used in the original drawing.

This command functions only when the Clipboard contains AutoCAD data from a drawing other than the current drawing.


PASTESPEC (Quick Reference)

PASTEORIG
PASTESPEC
Paste Special Dialog Box
Commands > P commands >
PASTESPEC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Pastes objects from the Clipboard into the current drawing and controls the format of the data.

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] Paste SpecialNot available on the ribbon in the current workspace.
Menu: Edit [image] Paste SpecialNot available in menus in the current workspace
Command entry: pastespec

Summary

The Paste Special dialog box is displayed.


Paste Special Dialog Box (Quick Reference)

PASTESPEC
PASTESPEC
PCINWIZARD
Commands > P commands > PASTESPEC >
Paste Special Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] Paste SpecialNot available on the ribbon in the current workspace.
Menu: Edit [image] Paste SpecialNot available in menus in the current workspace
Command entry: pastespec

Sets file formats and linking options for data pasted from the Clipboard. You can either embed file data or link file data. Linked data is updated when you open the drawing.

When you copy objects to the Clipboard, information is stored in all available formats. When you paste the Clipboard contents into a drawing, you can choose from the available formats.

Source

Displays the name of the document that contains the information you copied. It may also show the specific section of the document you copied.

Paste

Pastes the contents of the Clipboard into the current drawing as an embedded object.

Paste Link

Pastes the contents of the Clipboard into the current drawing. If the source application supports an OLE or data link, a link is created to the original file.

As

Displays applicable formats in which you can paste the contents of the Clipboard into the current drawing.

If you select the AutoCAD Entities option, the metafile graphics in the Clipboard are converted to AutoCAD objects. If the metafile graphics are not converted, the metafile is displayed as an OLE object.

Display as Icon

Inserts a picture of the application icon instead of the data. To view or edit the data, double-click the icon.


PCINWIZARD (Quick Reference)

Paste Special Dialog Box
PCINWIZARD
PDFADJUST
Commands > P commands >
PCINWIZARD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout.

Menu: Tools [image] Wizards [image] Import Plot SettingsAt the Command prompt, enter pcinwizard.
Command entry: pcinwizard

PCINWIZARD displays the Import PCP or PC2 Plot Settings wizard. Information that can be imported from PCP or PC2 files includes plot area, rotation, plot offset, plot optimization, plot to file, paper size, plot scale, and pen mapping.

The wizard prompts you for the name of the PCP or PC2 configuration file from which you want to import settings. You can view and modify the plot settings prior to importing them. The imported settings can be applied to the current Model tab or layout tab.


PDFADJUST (Quick Reference)

PCINWIZARD
PDFADJUST
PDFATTACH
Commands > P commands >
PDFADJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adjust the fade, contrast, and monochrome settings of a PDF underlay.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Adjust Not available on the ribbon in the current workspace
Command entry: pdfadjust

Summary

If you select a single PDF underlay, the default values for Fade, Contrast, and Monochrome are the current property settings of the selected underlay. If you select multiple underlays, the default values for Fade, Contrast, and Monochrome remain as they were set the last time the command was used.

You can also use the ADJUST command to change an underlay’s fade, contrast, and monochrome settings.

To adjust the colors for the background, open the underlay’s Properties Palette.

List of Prompts

The following prompts are displayed.

Fade

Controls the fade effect of the underlay. Values range from 0 through 100. The greater the value, the lighter the linework in the underlay appears. Works indirectly with the contrast effect; a higher contrast value blends the underlay in the background when fade is set to a higher value.

Contrast

Controls the contrast, and indirectly the fading effect, of the underlay. Values range from 0 through 100. The greater the value, the more each pixel is forced to its primary or secondary color. Default=75.

Monochrome

Controls the color saturation of all linework while maintaining the luminance. When turned on, the linework appears in varying shades of gray starting at black if the background color luminance is 50 percent or more. If the background color luminance is less than 50 percent, then the colors are inverted, with the darkest linework displaying in white, and the lightest linework displaying in black.


PDFATTACH (Quick Reference)

PDFADJUST
PDFATTACH
-PDFATTACH
Commands > P commands >
PDFATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Insert a PDF file as an underlay into the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Attach.Not available on the ribbon in the current workspace.
Toolbar: Insert
Menu: Insert [image] PDF UnderlayAt the Command prompt, enter pdfattach.
Command entry: pdfattach

Summary

When you attach a PDF file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

The Select Reference File dialog box (a standard file selection dialog box) is displayed. Once you select a PDF file, the Attach PDF Underlay dialog box is displayed. After the file is attached, you can adjust and clip the underlay through the PDF Underlay Ribbon Contextual tab.

NoteIf you plan to access PDF files from the Vault client server, the Vault file open dialog box supersedes the Select PDF File dialog box. Access to the Vault client server is only available to Autodesk Subscription customers.


-PDFATTACH (Quick Reference)

PDFATTACH
PDFATTACH
Attach PDF Underlay Dialog Box
Commands > P commands > PDFATTACH >
-PDFATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Attach a PDF underlay from the command line.

Access Methods

Command entry: -pdfattach

Summary

When you attach a PDF file as an underlay, you link that referenced file to the current drawing. Any changes to the referenced file are displayed in the current drawing when it is opened or reloaded.

List of Prompts

The following prompts display.

TipYou can drag a PDF file onto the drawing window to start the PDFATTACH command.
Path to PDF File to Attach

Enters the full path name to the PDF underlay file. The file name can include up to 255 characters and contain letters, digits, spaces, and any special characters not used by Microsoft Windows or this program.

Entering a tilde (~) displays the Select PDF File dialog box (a standard file selection dialog box).

To avoid errors when entering a file name, it is recommended that you specify both the PDF file and path as follows:

path name\filename.dgn

or

“path name\filename.dgn”

If you enter a valid PDF file name without a file extension, the program adds the extension and searches for the file.

Enter Page Number

Enter a page number. For a list of pages, enter ?.

Enter Page(s) to list <*>

Lists the pages available in the PDF file in a separate text window.

Insertion Point

Specifies the insertion point for the selected PDF file. Enter the X, Y, and Z coordinates at the command prompt, or click onscreen.

Scale Factor

Specifies the scale factor of the selected PDF underlay and the scale factor units. You can enter a scale factor at the command prompt or click onscreen with the mouse.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Rotation

Specifies the rotation angle of the selected PDF underlay by entering an angle value at the command prompt or by clicking onscreen.


Attach PDF Underlay Dialog Box (Quick Reference)

-PDFATTACH
PDFATTACH
PDF Underlay Ribbon Contextual tab
Commands > P commands > PDFATTACH >
Attach PDF Underlay Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Insert [image] PDF UnderlayAt the Command prompt, enter pdfattach.
Toolbar: Insert
Command entry: pdfattach

Summary

Names, locates, and defines the insertion point, scale, and rotation of attached PDF underlays.

List of Options

The following options are available in this dialog box.

Name

Identifies the PDF file you have selected to attach.

Browse

Opens the Select Reference File dialog (a standard file selection dialog box).

Select one of more pages from the PDF file

Displays all of the pages that are found in the PDF file. If the PDF file only contains a single page, that page is listed. You can select multiple pages by holding the Shift or CTRL key and selecting the pages to attach.

Path Type

Select the full (absolute) path, the relative path to the PDF file, or No Path, and the name of the PDF file. For the No Path option, the PDF file must be located in the same folder as the current drawing file.

Insertion Point

Specifies the insertion point for the selected PDF file. Specify On-Screen is the default. The default insertion point is 0,0,0.

Specify On-Screen

Directs input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter the insertion point in X, Y, and Z.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Scale

Specifies the scale factor of the selected PDF underlay.

If INSUNITS is set to “unitless” or if the underlay does not contain resolution information, the scale factor becomes the underlay width in AutoCAD units. If INSUNITS has a value such as millimeters, centimeters, inches, or feet, and the underlay has resolution information, the scale factor is applied after the true width of the underlay in AutoCAD units is determined.

Specify On-screen

Inputs information at the Command prompt or with the pointing device. If Specify On-Screen is cleared, enter a value for the scale factor. The default scale factor is 1.

Scale Factor Field

Enter a value for the scale factor. The default scale factor is 1.

Rotation

Specifies the rotation angle of the selected DWF underlay.

Specify on-screen

If Specify On-Screen is selected, you may wait until you exit the dialog box to rotate the object with your pointing device or enter a rotation angle value at the Command prompt.

Angle

If Specify On-Screen is cleared, enter the rotation angle value in the dialog box. The default rotation angle is 0.

Show Details

Displays the PDF file path.

Found In

Displays the path to the PDF file.

Saved Path

Displays the path that is saved with the drawing when the PDF file is attached. The path is dependent upon the Path Type setting.


PDF Underlay Ribbon Contextual tab (Quick Reference)

Attach PDF Underlay Dialog Box
PDFATTACH
PDFCLIP
Commands > P commands > PDFATTACH >
PDF Underlay Ribbon Contextual tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays options for editing PDF underlays.

Access Methods

Ribbon: Insert tab [image] Reference panel [image] AttachNot available on the ribbon in the current workspace
Menu: Insert [image] PDF Underlay Not available in menus in the current workspace
Command entry: pdfattach

Summary

When you select a PDF underlay, the PDF Contextual tab is displayed on the ribbon.

Adjust Panel

Contrast | Controls the contrast and the fading effect of the underlay.
Fade | Controls the appearance of the linework. The greater the value, the lighter the linework in the underlay is displayed.
Display in Monochrome | Displays the underlay in black and white.

Clipping Panel

Create Clipping Boundary | Deletes the old clipping boundary (if one exists) and create a new one.
Remove Clipping | Deletes the clipping boundary.

Options Panel

Show Underlay | Hides or displays the underlay.
Enable Snap | Determines whether object snapping is active for geometry in the underlay.
External References | Displays the External References palette.

PDF Layers Panel

Edit Layers Controls the display of layers in a PDF Underlay.


PDFCLIP (Quick Reference)

PDF Underlay Ribbon Contextual tab
PDFCLIP
PDFLAYERS
Commands > P commands >
PDFCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Crops the display of a selected PDF underlay to a specified boundary.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Clip.Not available on the ribbon in the current workspace
Shortcut menu: Select a PDF underlay to clip, right-click and click PDF Clip.
Command entry: pdfclip

Summary

The clipping boundary determines the portion of an image outside the boundary that is hidden. The visibility of the clipping boundary is controlled by the FRAME system variable.

The boundary you specify must be in a plane parallel to the PDF underlay.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.

List of Prompts

The following prompts are displayed.

On

Turns on clipping and displays the PDF underlay clipped to the previously defined boundary.

Off

Turns off clipping and displays the entire PDF underlay and frame.

If you reclip the PDF underlay while clipping is turned off, clipping is automatically turned back on. You are prompted to delete the old boundary even when clipping is turned off and the clipping boundary is not visible.

Delete

Removes a predefined clipping boundary and displays the full original underlay.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

NoteYou can only create a new clipping boundary for a selected PDF underlay when the old boundary is deleted.


PDFLAYERS (Quick Reference)

PDFCLIP
PDFLAYERS
PEDIT
Commands > P commands >
PDFLAYERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of layers in a PDF underlay.

Access Methods

Button

Shortcut menu: Select a PDF underlay, right-click in the drawing area, and click PDF Layers.
Command entry: PDFlayers

Summary

When you select a PDF underlay, the PDF Underlay ribbon contextual tab displays. From the contextual tab, you can click Edit Layers or enter PDFLAYERS. The Underlay Layers dialog box displays.

The ULAYERS command manages the layers of all underlays in the current document regardless of type: DWF, DWFx, PDF, and DGN.


PEDIT (Quick Reference)

PDFLAYERS
PEDIT
Multiple Selection (PEDIT)
Commands > P commands >
PEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits polylines and 3D polygon meshes.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Edit PolylineNot available on the ribbon in the current workspace.
Menu: Modify [image] Object [image] PolylineNot available in menus in the current workspace
Toolbar: Modify II
Shortcut menu: Select a polyline to edit, right-click in the drawing area, and choose Polyline Edit.
Command entry: pedit

Summary

Common uses for PEDIT include joining 2D polylines, converting lines and arcs into 2D polylines, and converting polylines into curves that approximate B-splines (spline-fit polylines).

Select polyline or [MULTIPLE]: Use an object selection method or enter m

The remaining prompts depend on whether you have selected a 2D polyline, a 3D polyline, or 3D polygon mesh.

If the selected object is a line, arc, or a spline, the following prompt is displayed:

Object selected is not a polyline.

Do you want it to turn into one? <Y>: Enter y or n, or press ENTER

If you enter y, the object is converted into a single-segment 2D polyline that you can edit. You can use this operation to join lines and arcs into a polyline.

Before the selected spline is converted to a polyline, the following prompt is displayed:

Specify a precision <10>: Enter a new precision value or press ENTER

The precision value determines how accurately the resulting polyline is to fit to the source spline. Valid value is an integer between 0 and 99.

NoteA high precision value may cause performance problems.

The PLINECONVERTMODE system variable determines whether the polylines are created with linear or arc segments. When the PEDITACCEPTsystem variable is set to 1, this prompt is suppressed, and the selected object is automatically converted to a polyline.

The conversion in both PEDIT and SPLINEDIT will obey the DELOBJ system variable.


Multiple Selection (PEDIT) (Quick Reference)

PEDIT
PEDIT
2D Polyline Selection (PEDIT)
Commands > P commands > PEDIT >
Multiple Selection (PEDIT)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

Enables selection for more than one object.

If the selection set includes lines, arcs, or splines, the following prompt is displayed:

Convert Lines, Arcs and Splines to polylines [Yes/No]? <Y>: Enter y or n or press ENTER

Specify a precision for spline conversion <10>: Enter a new precision value or press ENTER

The entered precision value affects all splines in the selection set. The precision value is an integer between 0 and 99.


2D Polyline Selection (PEDIT) (Quick Reference)

Multiple Selection (PEDIT)
PEDIT
3D Polyline Selection (PEDIT)
Commands > P commands > PEDIT >
2D Polyline Selection (PEDIT)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

If you select a 2D polyline, the following prompt is displayed:

Enter an option [Close/Join/Width/Edit vertex/Fit/Spline/Decurve/Ltype gen/Reverse/Undo]: Enter an option or press ENTER to end the command

NoteYou can select a single arc or line segment, also called a subobject, within a polyline by pressing the Ctrl key when you click over it.

If the polyline you select is a closed polyline, Open replaces the Close option in the prompt. You can edit a 2D polyline if its normal is parallel to and in the same direction as the Z axis of the current UCS.

Close

Creates the closing segment of the polyline, connecting the last segment with the first. The polyline is considered open unless you close it using the Close option.

Open

Removes the closing segment of the polyline. The polyline is considered closed unless you open it using the Open option.

Join

Adds lines, arcs, or polylines to the end of an open polyline and removes the curve fitting from a curve-fit polyline. For objects to join the polyline, their endpoints must touch unless you use the Multiple option at the first PEDIT prompt. In this case, you can join polylines that do not touch if the fuzz distance is set to a value large enough to include the endpoints.

Select objects: Use an object selection method

If you previously selected multiple objects using the Multiple option, the following prompt is displayed:

Enter fuzz distance or [Jointype]<0.0000>: Enter a distance or j

Jointype

Sets the method of joining selected polylines.

Enter a vertex editing option

Enter join type [Extend/Add/Both}<Extend>: Enter e, a, or b

Extend

Joins the selected polylines by extending or trimming the segments to the nearest endpoints.

Add

Joins the selected polylines by adding a straight segment between the nearest endpoints.

Both

Joins the selected polylines by extending or trimming if possible. Otherwise joins the selected polylines by adding a straight segment between the nearest endpoints.

Width

Specifies a new uniform width for the entire polyline.

Specify new width for all segments:

You can use the Width option of the Edit Vertex option to change the starting and ending widths of a segment.

Edit Vertex

Marks the first vertex of the polyline by drawing an X on the screen. If you have specified a tangent direction for this vertex, an arrow is also drawn in that direction. The following prompt is displayed:

[Next/Previous/Break/Insert/Move/Regen/Straighten/Tangent/Width/eXit] <current>: Enter an option or press ENTER

Pressing ENTER accepts the current default, which is either Next or Previous.

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the start to the end of the polyline even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Enter an option [Next/Previous/Go/eXit] <current>: Enter an option or press ENTER

If one of the specified vertices is at an end of the polyline, the result is one truncated polyline. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is at an endpoint, you cannot use Break.

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the start to the end of the polyline, even if the polyline is closed.

Go

Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.

Exit

Exits Break and returns to Edit Vertex mode.

Insert

Adds a new vertex to the polyline after the marked vertex.

Specify location for new vertex: Specify a point (1)

Move

Moves the marked vertex.

Specify new location for marked vertex: Specify a point (1)

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex.

If you want to remove an arc segment that connects two straight segments of a polyline and then extend the straight segments until they intersect, use the FILLET command with a fillet radius of 0.

Enter an option [Next/Previous/Go/eXit] <current>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex.

Previous

Moves the X marker to the previous vertex.

Go

Deletes any segments and vertices between the two vertices you select, replaces them with single straight line segments, and returns to Edit Vertex mode. If you specify only one vertex by entering go without moving the X marker, the segment following that vertex is straightened if it is an arc.

Exit

Exits Straighten and returns to Edit Vertex mode.

Tangent

Attaches a tangent direction to the marked vertex for use later in curve fitting. The following prompt is displayed:

Specify direction of vertex tangent: Specify a point or enter an angle

Width

Changes the starting and ending widths for the segment that immediately follows the marked vertex.

Specify starting width for next segment <current>: Specify a point, enter a value, or press ENTER

Specify ending width for next segment <starting width>: Specify a point, enter a value, or press ENTER

You must regenerate the polyline to display the new width.

Exit

Exits Edit Vertex mode.

Fit

Creates an arc-fit polyline, a smooth curve consisting of arcs joining each pair of vertices. The curve passes through all vertices of the polyline and uses any tangent direction you specify.

Spline

Uses the vertices of the selected polyline as the control points, or frame, of a curve approximating a B-spline. This curve, called a spline-fit polyline, passes through the first and last control points unless the original polyline was closed. The curve is pulled toward the other points but does not necessarily pass through them. The more control points you specify in a particular part of the frame, the more pull they exert on the curve. Quadratic and cubic spline-fit polylines can be generated.

Spline-fit polylines are very different from the curves produced by the Fit option. Fit constructs pairs of arcs that pass through every control point. Both of these curves are different from true B-splines produced with the SPLINE command.

If the original polyline included arc segments, they are straightened when the spline's frame is formed. If the frame has width, the resulting spline tapers smoothly from the width of the first vertex to the width of the last vertex. All intermediate width information is ignored. Once spline-fit, the frame, if displayed, is shown with zero width and CONTINUOUS linetype. Tangent specifications on control point vertices have no effect on spline-fitting.

When a spline-fit curve is fit to a polyline, the spline-fit curve's frame is stored so that it can be recalled by a subsequent decurving. You can turn a spline-fit curve back into its frame polyline by using the PEDIT Decurve option. This option works on fit curves in the same manner as it does on splines.

Spline frames are not usually displayed on the screen. If you want to see them, set the SPLFRAME system variable to 1. Next time the drawing is regenerated, both the frame and the spline curve are drawn.

Most editing commands act the same when applied to spline-fit polylines or fit curves.

  • MOVE, ERASE, COPY, MIRROR, ROTATE, and SCALE operate on both the spline curve and its frame, whether the frame is visible or not.
  • EXTEND changes the frame by adding a new vertex where the initial or final line of the frame intersects the boundary geometry.
  • BREAK and TRIM generate a polyline with only the fit spline, which is consistent with fit curves, where the curve fitting is permanent.
  • EXPLODE deletes the frame and generates lines and arcs to approximate the spline-fit polyline.
  • OFFSET generates a polyline with only the fit spline, which is consistent with its behavior with fit curves.
  • DIVIDE, MEASURE, and the Object option of AREA and HATCH see only the fit spline, not the frame.
  • STRETCH refits the spline to the stretched frame after a spline is stretched.

The Join option of PEDIT decurves the spline and discards the spline information of the original and any added polylines. Once the Join operation is complete, you can fit a new spline to the resulting polyline.

The Edit Vertex options of PEDIT have the following effect:

  • The Next and Previous options move the X marker only to points on the frame of the spline, whether visible or not.
  • The Break option discards the spline.
  • The Insert, Move, Straighten, and Width options automatically refit the spline.
  • The Tangent option has no effect on splines.

Object snap uses only the spline-fit curve itself, not the frame. If you want to snap to the frame control points, use PEDIT to recall the polyline frame first.

The SPLINETYPE system variable controls the type of spline curve approximated. Setting SPLINETYPE to 5 approximates a quadratic B-spline. Setting SPLINETYPE to 6 approximates a cubic B-spline.

You can examine or change the fineness or coarseness of the spline approximation with the SPLINESEGS system variable, or you can use AutoLISP®. The default value is 8. If you set the value higher, a greater number of line segments are drawn and the approximation to the ideal spline becomes more precise. The generated spline occupies more space in the drawing file and takes longer to generate.

If you set SPLINESEGS to a negative value, the program generates segments using the absolute value of the setting and then applies a fit-type curve to those segments. Fit-type curves use arcs as the approximating segments. Using arcs yields a smoother generated curve when few segments are specified, but the curve can take longer to generate.

To change the number of segments used to fit an existing spline, change SPLINESEGS and respline the curve. You do not have to decurve it first.

Decurve

Removes extra vertices inserted by a fit or spline curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit curve requests. If you edit a spline-fit polyline with a command such as BREAK or TRIM, you cannot use the Decurve option.

Ltype Gen

Generates the linetype in a continuous pattern through the vertices of the polyline. When turned off, this option generates the linetype starting and ending with a dash at each vertex. Ltype Gen does not apply to polylines with tapered segments.

Enter polyline linetype generation option [ON/OFF] <current>: Enter on or off, or press ENTER

Reverse

Reverses the order of vertices of the polyline. Use this option to reverse the direction of objects that use linetypes with included text. For example, depending on the direction in which a polyline was created, the text in the linetype might be displayed upside down.

Undo

Reverses operations as far back as the beginning of the PEDIT session.


3D Polyline Selection (PEDIT) (Quick Reference)

2D Polyline Selection (PEDIT)
PEDIT
3D Polygon Mesh Selection (PEDIT)
Commands > P commands > PEDIT >
3D Polyline Selection (PEDIT)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

If you select a 3D polyline, the following prompt is displayed:

Enter an option [Close/Edit vertex/Spline curve/Decurve/Reverse/Undo]: Enter an option or press ENTER

If the polyline you select is closed, Open replaces the Close option in the prompt.

Close

Creates the closing segment of the polyline, connecting the last segment with the first. The polyline is considered open unless you close it with Close.

Open

Removes the closing segment of the polyline. The polyline is considered closed unless you open it with Open.

Edit Vertex

Performs various editing tasks on one vertex of the polyline and segments that follow it.

Enter a vertex editing option

[Next/Previous/Break/Insert/Move/Regen/Straighten/eXit <current>: Enter an option or press ENTER

Pressing ENTER accepts the current default, which is either Next or Previous.

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the start to the end of the polyline, even if the polyline is closed.

Break

Saves the location of the marked vertex while you move the X marker to any other vertex.

Enter an option [Next/Previous/Go/eXit] <current>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the polyline, even if the polyline is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the start to the end of the polyline, even if the polyline is closed.

Go

Deletes any segments and vertices between the two vertices you specify and returns to Edit Vertex mode.

Exit

Exits Break and returns to Edit Vertex mode.

If one of the specified vertices is at an end of the polyline, the polyline is truncated. If both specified vertices are at endpoints of the polyline, or if just one vertex is specified and it is at an endpoint, you cannot use Break mode.

Insert

Adds a new vertex to the polyline after the marked vertex.

Specify location for new vertex: Specify a point

Move

Moves the marked vertex.

Specify new location for marked vertex: Specify a point

Regen

Regenerates the polyline.

Straighten

Saves the location of the marked vertex while you move the X marker to any other vertex.

Enter an option [Next/Previous/Go/eXit] <current>: Enter an option or press ENTER

Next

Moves the X marker to the next vertex.

Previous

Moves the X marker to the previous vertex.

Go

Deletes any segments and vertices between the two vertices you select, replaces them with single straight line segments, and returns to Edit Vertex mode. If you specify only one vertex by entering go without moving the X marker, the segment following that vertex is made straight if it is an arc.

Exit

Exits Straighten and returns to Edit Vertex mode.

To remove an arc segment that connects two straight segments of a polyline and then to extend the straight segments until they intersect, use the FILLET command with a fillet radius of 0.

Exit

Exits Edit Vertex mode.

Spline Curve

Fits a 3D B-spline curve to its control points. The SPLFRAME system variable controls the accuracy and display of the control points for the 3D B-spline, whose curves can be approximated only by line segments. Negative values for spline segments are ignored.

Decurve

Removes extra vertices inserted by a fit or spline curve and straightens all segments of the polyline. Retains tangent information assigned to the polyline vertices for use in subsequent fit curve requests. If you edit a spline-fit polyline with a command such as BREAK or TRIM, you cannot use the Decurve option.

Reverse

Reverses the order of vertices of the polyline. Use this option to reverse the direction of objects that use linetypes with included text. For example, depending on the direction in which a polyline was created, the text in the linetype might be displayed upside down.

Undo

Reverses operations as far back as the beginning of the PEDIT session.


3D Polygon Mesh Selection (PEDIT) (Quick Reference)

3D Polyline Selection (PEDIT)
PEDIT
PFACE
Commands > P commands > PEDIT >
3D Polygon Mesh Selection (PEDIT)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

If you select a polygon mesh, the following prompt is displayed:

Enter an option [Edit vertex/Smooth surface/Desmooth/Mclose/Nclose/Undo]: Enter an option or press ENTER to end the command

Mclose and Nclose are replaced by Mopen and Nopen if the polygon mesh is currently closed in the M or N direction.

Edit Vertex

Edits individual vertices of a polygon mesh that can be seen as a rectangular M by N array, where M and N are the dimensions specified in 3DMESH. The SURFTAB1 and SURFTAB2 system variables store M and N values for RULESURF, TABSURF, REVSURF, and EDGESURF.

Enter an option [Next/Previous/Left/Right/Up/Down/Move/REgen/eXit <current>: Enter an option or press ENTER

Pressing ENTER accepts the current default, which is either Next or Previous.

Next

Moves the X marker to the next vertex. The marker does not wrap around from the end to the start of the mesh, even if the mesh is closed.

Previous

Moves the X marker to the previous vertex. The marker does not wrap around from the start to the end of the mesh, even if the mesh is closed.

Left

Moves the X marker to the previous vertex in the N direction. The marker does not wrap around from the start to the end of the mesh, even if the mesh is closed.

Right

Moves the X marker to the next vertex in the N direction. The marker does not wrap around from the end to the start of the mesh, even if the mesh is closed.

Up

Moves the X marker to the next vertex in the M direction. The marker does not wrap around from the end to the start of the mesh, even if the mesh is closed.

Down

Moves the X marker to the previous vertex in the M direction. The marker does not wrap around from the start to the end of the mesh, even if the mesh is closed.

Move

Repositions the vertex and moves the editing mark.

Specify new location for marked vertex: Specify a point

Regen

Regenerates the polygon mesh.

Exit

Exits Edit Vertex mode.

Smooth Surface

Fits a smooth surface. The SURFTYPE system variable controls the type of surface this option fits. The types of surfaces include quadratic B-spline, cubic B-spline, and Bezier.

Desmooth

Restores the original control-point polygon mesh.

Mclose

Closes the M-direction polylines if the polygon mesh is open in the M direction.

Mopen

Opens the M-direction polylines if the polygon mesh is closed in the M direction.

Nclose

Closes the N-direction polylines if the polygon mesh is open in the N direction.

Nopen

Opens the N-direction polylines if the polygon mesh is closed in the N direction.

Undo

Reverses operations as far back as the beginning of the PEDIT session.


PFACE (Quick Reference)

3D Polygon Mesh Selection (PEDIT)
PFACE
PLAN
Commands > P commands >
PFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D polyface mesh vertex by vertex.

Command entry: pface

Specify location for vertex 1: Specify a point

Specify location for vertex 2 or <define faces>: Specify a point or press ENTER

Specify location for vertex n or <define faces>: Specify a point or press ENTER

Vertex Location

You specify all vertices used in the mesh. The vertex numbers displayed in the prompts are the numbers used to reference each vertex. The prompt is repeated until you press ENTER. If you press ENTER on a blank line, you are prompted for the vertices to be assigned to each face.

Define Faces

Enter a vertex number or [Color/Layer]: Enter a vertex number or enter an option

Vertex Number

You define each face by entering vertex numbers for all the vertices of that face. Pressing ENTER after the prompt causes the program to prompt for the vertex numbers of the next face. The mesh is drawn after you have defined the last face and pressed ENTER after the prompt.

To make an edge invisible, you can enter a negative vertex number for the beginning vertex of the edge. The SPLFRAME system variable controls the display of invisible edges in polyface meshes. Setting SPLFRAME to a non-zero value displays any phantom faces and all invisible edges of polyface meshes, which you can edit in the same manner as fully visible polyface meshes.

You can create polygons with any number of edges. PFACE automatically breaks them into multiple face objects with the appropriate invisible edges. Faces with one or two vertices behave like point or line objects without the special properties of Point Display modes or linetypes. You can use them to embed wireframe images within a mesh. Use Endpoint object snap to snap to a face composed of one or two vertices. All object snap modes that apply to line objects work with visible edges of polyface meshes. You cannot use PEDIT to edit polyface meshes.

Color

Faces created with PFACE adopt the current layer and color. Unlike polyline vertices, polyface mesh faces can be created with layer and color properties different from their parent object.

New color [Truecolor/COlorbook] <BYLAYER>:Enter a standard color name or a color number from 1 through 255, enter t, enter co, or press ENTER

You can enter a color from the AutoCAD Color Index (a color name or number), a true color, or a color from a color book.

You return to the previous prompt.

Layer

Faces created with PFACE adopt the current layer and color. Unlike polyline vertices, polyface mesh faces can be created with layer and color properties different from their parent object. Layer visibility behaves normally on faces of a polyface mesh. However, if you create a polyface mesh on a frozen layer, the program does not generate any of its faces, including those on non-frozen layers.

Enter a layer name <0>: Enter a name or press ENTER

You return to the previous prompt.


PLAN (Quick Reference)

PFACE
PLAN
PLANESURF
Commands > P commands >
PLAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the plan view of a specified user coordinate system

Menu: View [image] 3D Views [image] Plan ViewDoes not exist in the menus.
Command entry: plan

Enter an option [Current ucs/Ucs/World] <Current>: Enter an option or press ENTER

Current UCS

Regenerates a plan view of the display so that the drawing extents fit in the current viewport of the current UCS.

UCS

Changes to a plan view of a previously saved UCS and regenerates the display.

Enter name of UCS or [?]: Enter a name or enter ? to list all UCSs in the drawing

If you enter ? at the prompt, the following prompt is displayed:

Enter UCS name(s) to list <*>: Enter a name or enter * to list all UCSs in the drawing

World

Regenerates a plan view of the display so that the drawing extents fit on the screen of the world coordinate system.


PLANESURF (Quick Reference)

PLAN
PLANESURF
PLINE
Commands > P commands >
PLANESURF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a planar surface.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] Planar SurfaceNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] Planar SurfaceNot available in menus in the current workspace
Toolbar: Modeling
Command entry: planesurf

You can create a planar surface by selecting closed objects or by specifying the opposite corners of a rectangular surface. When you specify the corners of the surface through the command, the surface is created parallel to the workplane.

The SURFU and SURFV system variables control the number of lines displayed on the surface.

Specify first corner or [Object]: Specify the first point for the planar surface

Specify other corner: Specify second point (other corner) for the planar surface

Object

Creates a planar or trimmed surface by object selection. You can select one closed object or multiple objects that form a closed area.

Similar to the REGION command, valid objects include: line, circle, arc, ellipse, elliptical arc, 2D polyline, planar 3D polyline, and planar spline.

The DELOBJ system variable controls whether the object(s) you select are automatically deleted when the surface is created or whether you are prompted to delete the object(s).

Select objects: Select one or more objects that define the area for the planar surface


PLINE (Quick Reference)

PLANESURF
PLINE
PLOT
Commands > P commands >
PLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 2D polyline.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] PolylineNot available on the ribbon in the current workspace.
Menu: Draw [image] PolylineNot available in menus in the current workspace
Toolbar: Draw
Command entry: pline

Specify start point: Specify a point

Current line-width is <current>

Specify next point or [Arc/Close/Halfwidth/Length/Undo/Width]: Specify a point or enter an option

A 2D polyline is a connected sequence of segments created as a single planar object. You can create straight line segments, arc segments, or a combination of the two.

NoteAt least two points must be specified to use the Close option.

The PLINEGEN system variable controls the linetype pattern display around and the smoothness of the vertices of a 2D polyline. Setting PLINEGEN to 1 generates new polylines in a continuous pattern around the vertices of the completed polyline. Setting PLINEGEN to 0 starts and ends the polyline with a dash at each vertex. PLINEGEN does not apply to polylines with tapered segments.

Next Point

Draws a line segment. The previous prompt is repeated.

Arc

Adds arc segments to the polyline.

Specify endpoint of arc or

[Angle/CEnter/CLose/Direction/Halfwidth/Line/Radius/Second pt/Undo/Width]: Specify a point (2) or enter an option

NoteFor the Center option of the PLINE command, enter ce; for the Center object snap, enter cen or center.

Endpoint of Arc

Draws an arc segment. The arc segment is tangent to the previous segment of the polyline. The previous prompt is repeated.

Angle

Specifies the included angle of the arc segment from the start point.

Specify included angle:

Entering a positive number creates counterclockwise arc segments. Entering a negative number creates clockwise arc segments.

Specify endpoint of arc or [Center/Radius]: Specify a point or enter an option

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Center

Specifies the center of the arc segment.

Specify center point of arc:

Radius

Specifies the radius of the arc segment.

Specify radius of arc: Specify a distance

Specify direction of chord for arc <current>: Specify a point or press ENTER

Center

Specifies the center of the arc segment.

Specify center point of arc: Specify a point (2)

Specify endpoint of arc or [Angle/Length]: Specify a point (3) or enter an option

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Angle

Specifies the included angle of the arc segment from the start point.

Specify included angle:

Length

Specifies the chord length of the arc segment. If the previous segment is an arc, the new arc segment is drawn tangent to the previous arc segment.

Specify length of chord:

Close

Draws an arc segment from the last point specified to the starting point, creating a closed polyline. At least two points must be specified to use this option.

Direction

Specifies a starting direction for the arc segment.

Specify the tangent direction from the start point of arc: Specify a point (2)

Specify endpoint of arc: Specify a point (3)

Halfwidth

Specifies the width from the center of a wide polyline segment to one of its edges.

Specify starting half-width <current>: Enter a value or press ENTER

Specify ending half-width <starting width>: Enter a value or press ENTER

The starting half-width becomes the default ending half-width. The ending half-width becomes the uniform half-width for all subsequent segments until you change the half-width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments or very acute angles or when a dot-dash linetype is used.

Line

Exits the Arc option and returns to the initial PLINE command prompts.

Radius

Specifies the radius of the arc segment.

Specify radius of arc: Specify a distance

Specify endpoint of arc or [Angle]: Specify a point or enter a

Endpoint of Arc

Specifies the endpoint and draws the arc segment.

Angle

Specifies the included angle for the arc segment.

Specify included angle:

Specify direction of chord for arc <current>: Specify an angle or press ENTER

Second Pt

Specifies the second point and endpoint of a three-point arc.

Specify second point on arc: Specify a point (2)

Specify end point of arc: Specify a point (3)

Undo

Removes the most recent arc segment added to the polyline.

Width

Specifies the width of the next arc segment.

Specify starting width <current>: Enter a value or press ENTER

Specify ending width <starting width>: Enter a value or press ENTER

The starting width becomes the default ending width. The ending width becomes the uniform width for all subsequent segments until you change the width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments, very acute angles, or when a dot-dash linetype is used.

Close

Draws a line segment from the last point specified to the starting point, creating a closed polyline. At least two points must be specified to use this option.

Halfwidth

Specifies the width from the center of a wide polyline line segment to one of its edges.

Specify starting half-width <current>: Enter a value or press ENTER

Specify ending half-width <current>: Enter a value or press ENTER

The starting half-width becomes the default ending half-width. The ending half-width becomes the uniform half-width for all subsequent segments until you change the half-width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments or very acute angles or when a dot-dash linetype is used.

Length

Draws a line segment of a specified length at the same angle as the previous segment. If the previous segment is an arc, the new line segment is drawn tangent to that arc segment.

Specify length of line: Specify a distance

Undo

Removes the most recent line segment added to the polyline.

Width

Specifies the width of the next line segment.

Specify starting width <current>: Enter a value or press ENTER

Specify ending width <starting width>: Enter a value or press ENTER

The starting width becomes the default ending width. The ending width becomes the uniform width for all subsequent segments until you change the width again. The starting and ending points of wide line segments are at the center of the line.

Typically, the intersections of adjacent wide polyline segments are beveled. No beveling is performed for nontangent arc segments or very acute angles or when a dot-dash linetype is used.


PLOT (Quick Reference)

PLINE
PLOT
Plot Dialog Box
Commands > P commands >
PLOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Plots a drawing to a plotter, printer, or file.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] PlotNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Plot
Toolbar: Standard
Shortcut menu: Right-click the Model tab or a layout tab and click Plot.
Command entry: plot

Summary

The Plot dialog box is displayed. Click OK to begin plotting with the current settings.

If you enter -plot at the Command prompt, options are displayed.

NoteWhen Texture Compression is turned on, there is a reduction in the quality of the images in the drawing when they are plotted. Texture Compression does not affect viewports that are rendered. To identify if Texture Compression is enabled, enter 3dconfig, and click Manual Tune. Look at the Hardware Effects List in the Manual Performance Tuning dialog box.


Plot Dialog Box (Quick Reference)

PLOT
PLOT
Add Page Setup Dialog Box
Commands > P commands > PLOT >
Plot Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] PlotNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Plot
Toolbar: Standard
Shortcut menu: Right-click the Model tab or a layout tab and click Plot.
Command entry: plot

Summary

Specifies device and media settings, and plots your drawing. The title of the Plot dialog box indicates the name of the current layout.

You can display more options in the Plot dialog box by clicking the More Options button.

List of Options

This dialog box contains the following options.

Page Setup

Displays a list of any named and saved page setups in the drawing. You can base the current page setup on a named page setup saved in the drawing, or you can create a new named page setup based on the current settings in the Plot dialog box by clicking Add.

Name

Displays the name of the current page setup.

Add

Displays the Add Page Setup dialog box, in which you can save the current settings in the Plot dialog box to a named page setup. You can modify this page setup through the Page Setup Manager.

Printer/Plotter

Specifies a configured plotting device to use when plotting layouts.

If the selected plotter doesn't support the layout's selected paper size, a warning is displayed and you can select the plotter's default paper size or a custom paper size.

Name

Lists the available PC3 files or system printers from which you can select to plot the current layout. An icon in front of the device name identifies it as a PC3 file or a system printer.

  • PC3 file icon: Indicates a PC3 file.

  • System printer icon: Indicates a system printer.

Properties

Displays the Plotter Configuration Editor (PC3 editor), in which you can view or modify the current plotter configuration, ports, device, and media settings.

If you make changes to the PC3 file using the Plotter Configuration Editor, the Changes to a Printer Configuration File dialog box is displayed.

Plotter

Displays the plot device specified in the currently selected page setup.

Where

Displays the physical location of the output device specified in the currently selected page setup.

Description

Displays descriptive text about the output device specified in the currently selected page setup. You can edit this text in the Plotter Configuration Editor.

Plot to File

Plots output to a file rather than to a plotter or printer. The default location for plot files is specified in the Options dialog box, Plot and Publish tab, under Default Location for Plot-to-File Operations.

If the Plot to File option is turned on, when you click OK in the Plot dialog box, the Plot to File dialog box (a standard file navigation dialog box) is displayed.

Partial Preview

Shows an accurate representation of the effective plot area relative to the paper size and printable area. The tooltip displays the paper size and printable area.

Paper Size

Displays standard paper sizes that are available for the selected plotting device. If no plotter is selected, the full standard paper size list is displayed and available for selection.

If the selected plotter doesn't support the layout's selected paper size, a warning is displayed, and you can select the plotter's default paper size or a custom paper size.

A default paper size is set for the plotting device when you create a PC3 file with the Add-a-Plotter wizard. For information about this wizard, see Set Up Plotters and Printers in the Driver and Peripheral Guide. The paper size that you select in the Page Setup dialog box is saved with the layout and overrides the PC3 file settings.

The actual printable area of the page, which is determined by the selected plotting device and paper size, is indicated in the layout by a dashed line.

If you are plotting a raster image, such as a BMP or TIFF file, the size of the plot is specified in pixels, not in inches or millimeters.

Number of Copies

Specifies the number of copies to plot. This option is not available when you plot to file.

Plot Area

Specifies the portion of the drawing to be plotted. Under What to Plot, you can select an area of the drawing to be plotted.

Layout/Limits

When plotting a layout, plots everything within the printable area of the specified paper size, with the origin calculated from 0,0 in the layout.

When plotting from the Model tab, plots the entire drawing area that is defined by the grid limits. If the current viewport does not display a plan view, this option has the same effect as the Extents option.

Extents

Plots the portion of the current space of the drawing that contains objects. All geometry in the current space is plotted. The drawing may be regenerated to recalculate the extents before plotting.

Display

Plots the view in the current viewport in the selected Model tab or the current paper space view in the layout.

View

Plots a view that was previously saved with the VIEW command. You can select a named view from the list. If there are no saved views in the drawing, this option is unavailable.

When the View option is selected, a View list is displayed that lists the named views that are saved in the current drawing. You can select a view from this list to plot.

Window

Plots any portion of the drawing that you specify. When you select Window, the Window button becomes available. Click the Window button to use the pointing device to specify the two corners of the area to be plotted, or enter coordinate values.

Specify first corner: Specify a point

Specify other corner: Specify a point

Plot Offset

Specifies an offset of the plot area relative to the lower-left corner of the printable area or to the edge of the paper, depending on the setting made in the Specify Plot Offset Relative To option (Options dialog box, Plot and Publish tab). The Plot Offset area of the Plot dialog box displays the specified plot offset option in parentheses.

The printable area of a drawing sheet is defined by the selected output device and is represented by a dashed line in a layout. When you change to another output device, the printable area may change.

You can offset the geometry on the paper by entering a positive or negative value in the X and Y offset boxes. The plotter unit values are in inches or millimeters on the paper.

Center the Plot

Automatically calculates the X and Y offset values to center the plot on the paper. This option is not available when Plot Area is set to Layout.

X

Specifies the plot origin in the X direction relative to the setting of the Plot Offset Definition option.

Y

Specifies the plot origin in the Y direction relative to the setting of the Plot Offset Definition option.

Plot Scale

Controls the relative size of drawing units to plotted units. The default scale setting is 1:1 when plotting a layout. The default setting is Fit to Paper when plotting from the Model tab.

Fit to Paper

Scales the plot to fit within the selected paper size and displays the custom scale factor in the Scale, Inch =, and Units boxes.

Scale

Defines the exact scale for the plot. Custom defines a user-defined scale. You can create a custom scale by entering the number of inches (or millimeters) equal to the number of drawing units.

NoteYou can modify the list of scales with SCALELISTEDIT.
Inch(es) =/mm =/Pixel(s) =

Specifies the number of inches, millimeters, or pixels equal to the specified number of units.

Inch/mm/pixel

Specifies inches or mm for display of units in the Plot dialog box. The default is based on the paper size and changes each time a new paper size is selected. Pixel is available only when a raster output is selected.

Units

Specifies the number of units equal to the specified number of inches, millimeters, or pixels.

Scale Lineweights

Scales lineweights in proportion to the plot scale. Lineweights normally specify the linewidth of plotted objects and are plotted with the linewidth size regardless of the plot scale.

Preview

Displays the drawing as it will appear when plotted on paper by executing the PREVIEW command. To exit the print preview and return to the Plot dialog box, press ESC, press ENTER, or right-click and then click Exit on the shortcut menu.

Apply to Layout

Saves the current Plot dialog box settings to the current layout.

More Options

Controls display of additional options in the Plot dialog box.

  • Plot Style Table (Pen Assignments)
  • Shaded Viewport Options
  • Plot Options
  • Drawing Orientation

Plot Style Table (Pen Assignments)

Sets the plot style table, edits the plot style table, or creates a new plot style table.

Name (Unlabeled)

Displays the plot style table that is assigned to the current Model tab or layout tab and provides a list of the currently available plot style tables.

If you select New, the Add Plot Style Table wizard is displayed, which you can use to create a new plot style table. The wizard that is displayed is determined by whether the current drawing is in color-dependent or named mode.

Edit

Displays the Plot Style Table Editor, in which you can view or modify plot styles for the currently assigned plot style table.

Shaded Viewport Options

Specifies how shaded and rendered viewports are plotted and determines their resolution level and dots per inch (dpi).

NoteWhen hardware acceleration is disabled or is enabled, but does not support Shadows, it is possible to plot a drawing that contains shaded viewports with unsupported hardware effects by the graphics card through software emulation. To enable the software emulation of hardware effects that are not supported by your graphics card, enter 3dconfig, and click Manual Tune. In the Manual Performance Tuning dialog box, click Emulate unsupported hardware effects in software when plotting. The unsupported effects will not appear in the viewport in real-time, but will appear in the hardcopy or electronic file that is created during the plot process.
Shade Plot

Specifies how views are plotted. To specify this setting for a viewport on a layout tab, select the viewport and then, on the Tools menu, click Properties.

From the Model tab, you can select from the following options:

  • As Displayed: Plots objects the way they are displayed on the screen.
  • Wireframe: Plots objects in wireframe regardless of the way they are displayed on the screen.
  • Hidden: Plots objects with hidden lines removed regardless of the way the objects are displayed on the screen.
  • 3D Hidden: Plots objects with the 3D Hidden visual style applied regardless of the way the objects are displayed on the screen.
  • 3D Wireframe: Plots objects with the 3D Wireframe visual style applied regardless of the way the objects are displayed on the screen.
  • Conceptual: Plots objects with the Conceptual visual style applied regardless of the way the objects are displayed on the screen.
  • Realistic: Plots objects with the Realistic visual style applied regardless of the way the objects are displayed on the screen.
  • Rendered: Plots objects as rendered regardless of the way they are displayed on the screen.
  • Draft: Plots objects with the Draft render preset applied to produce very low quality rendering but in the fastest rendering speed.
  • Low: Plots objects with the Low render preset applied to produce better quality rendering than Draft.
  • Medium: Plots objects with the Medium render preset applied which offers a good balance between quality and render speed.
  • High: Plots objects with the High render preset applied.
  • Presentation: Plots objects with the Presentation render preset applied for photo-realistic rendered images and takes the longest to process.
Quality

Specifies the resolution at which shaded and rendered viewports are plotted.

You can select from the following options:

  • Draft: Sets rendered and shaded model space views to be plotted as wireframe.
  • Preview: Sets rendered and shaded model space views to be plotted at one quarter of the current device resolution, to a maximum of 150 dpi.
  • Normal: Sets rendered and shaded model space views to be plotted at one half of the current device resolution, to a maximum of 300 dpi.
  • Presentation: Sets rendered and shaded model space views to be plotted at the current device resolution, to a maximum of 600 dpi.
  • Maximum: Sets rendered and shaded model space views to be plotted at the current device resolution with no maximum.
  • Custom: Sets rendered and shaded model space views to be plotted at the resolution setting that you specify in the DPI box, up to the current device resolution.
DPI

Specifies the dots per inch for shaded and rendered views, up to the maximum resolution of the current plotting device. This option is available if you select Custom in the Quality box.

Plot Options

Specifies options for lineweights, plot styles, shaded plots, and the order in which objects are plotted.

Plot in Background

Specifies that the plot is processed in the background. (BACKGROUNDPLOT system variable)

Plot Object Lineweights

Specifies whether lineweights assigned to objects and layers are plotted. This option is unavailable if Plot with Plot Styles is selected.

Plot with Plot Styles

Specifies whether plot styles applied to objects and layers are plotted. When you select this option, Plot Object Lineweights is automatically selected also.

Plot Paperspace Last

Plots model space geometry first. Paper space geometry is usually plotted before model space geometry.

Hide Paperspace Objects

Specifies whether the HIDE operation applies to objects in the paper space viewport. This option is available only from a layout tab. The effect of this setting is reflected in the plot preview, but not in the layout.

Plot Stamp On

Turns on plot stamping. Places a plot stamp on a specified corner of each drawing and/or logs it to a file.

Plot stamp settings are specified in the Plot Stamp dialog box, in which you can specify the information that you want applied to the plot stamp, such as drawing name, date and time, plot scale, and so on. To open the Plot Stamp dialog box, select the Plot Stamp On option, and then click the Plot Stamp Settings button that is displayed to the right of the option.

You can also open the Plot Stamp dialog box by clicking the Plot Stamp Settings button on the Plot and Publish tab of the Options dialog box.

Plot Stamp Settings button

Displays the Plot Stamp dialog box when the Plot Stamp On option is selected in the Plot dialog box.

Save Changes to Layout

Saves changes that you make in the Plot dialog box to the layout.

Drawing Orientation

Specifies the orientation of the drawing on the paper for plotters that support landscape or portrait orientation. The paper icon represents the media orientation of the selected paper. The letter icon represents the orientation of the drawing on the page.

Portrait

Orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape

Orients and plots the drawing so that the long edge of the paper represents the top of the page.

Plot Upside-Down

Orients and plots the drawing upside down.

Icon

Indicates the media orientation of the selected paper and represents the orientation of the drawing on the page as a letter on the paper.

NoteDrawing orientation is also affected by the PLOTROTMODE system variable.

Less Options

Hides the following options in the Plot dialog box:

  • Plot Style Table (Pen Assignments)
  • Shaded Viewport Options
  • Plot Options
  • Drawing Orientation


Add Page Setup Dialog Box (Quick Reference)

Plot Dialog Box
PLOT
Changes to a Printer Configuration File Dialog Box
Commands > P commands > PLOT >
Add Page Setup Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Standard
Menu: File [image] PlotAt the Command prompt, enter plot.
Shortcut menu: Right-click the Model tab or a layout tab and click Plot.
Command entry: plot

Saves the current settings in the Plot dialog box to a named page setup. You can modify this page setup through the Page Setup Manager.

New Page Setup Name

Specifies a name for the new page setup. You can modify the new named page setup later through the Page Setup Manager.


Changes to a Printer Configuration File Dialog Box (Quick Reference)

Add Page Setup Dialog Box
PLOT
Plot Job Progress Dialog Box
Commands > P commands > PLOT >
Changes to a Printer Configuration File Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Standard
Menu: File [image] PlotAt the Command prompt, enter plot.
Shortcut menu: Right-click the Model tab or a layout tab and click Plot.
Command entry: plot

Notifies you that you have made changes to an existing plotter configuration (PC3) file. You can cancel your changes, choose OK to overwrite the PC3 file, or specify a new file name for the modified PC3 file.

Apply Changes for the Current Plot Only

Uses the changes you've made to the PC3 file in the current plot but does not save them in the PC3 file.

Save Changes to the Following File

Specifies the path of the PC3 file that you have changed. To preserve the original PC3 file, specify a new file name.


Plot Job Progress Dialog Box (Quick Reference)

Changes to a Printer Configuration File Dialog Box
PLOT
Update PC3 File with New Printer Dialog Box
Commands > P commands > PLOT >
Plot Job Progress Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] PlotAt the Command prompt, enter plot.
Shortcut menu: Right-click the Model tab or a layout tab and choose Plot.
Command entry: plot

The Plot Job Progress dialog box provides information about the status and progress of your plot job.

Cancel Sheet

Cancels the plot of the sheet currently being processed.

Cancel Job

Cancels the plot job.


Update PC3 File with New Printer Dialog Box (Quick Reference)

Plot Job Progress Dialog Box
PLOT
-PLOT
Commands > P commands > PLOT >
Update PC3 File with New Printer Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the device driver name that is stored in the PC3 file. A device can be a plotter or printer. With this dialog box, you can select a valid plotter or printer and update the existing PC3 file; you can also save a modified copy as a new PC3 file.

The dialog box is displayed in the PLOT or PAGESETUP command in a layout configured for a PC3 file that contains an invalid or missing plotter or printer name.

Device Needed

Displays the device specified in the PC3 file that is configured for the current layout.

Printer Name

Lists the available plotters, printers, and PC3 files. Select a plotter, printer, or PC3 file to be substituted for the missing printer specified in your PC3 file. Select None if you don't want to make any substitution.

If you select None, the other settings for the current layout remain unchanged. If you select a plotter or printer that uses a different driver than the one specified in the original PC3 file, the following configuration information may change when the PC3 file is saved:

  • Plot quality
  • Color depth
  • Resolution
  • Media source
  • Media destination
  • Media finishing options (such as folding or binding)
  • Any custom settings of the previous device or driver

If the plotter or printer you select can't support the paper size specified in the layout, the default paper size is used. A warning is displayed that allows you to cancel this operation and return to the Plot or Page Setup dialog box with the None device selected.

Device

For each selection you make under Printer Name, the corresponding device driver name is displayed in this column, as follows:

  • For a selected plotter or printer, this column displays the device driver name stored in the plotter or printer's PC3 file.
  • For a selected PC3 file, this column displays the device driver name stored in the PC3 file.
  • For a selection of None, this column displays no device name. No device will be substituted for the missing printer specified in the PC3 file.
Status Area

Displays information about the selected plotter, printer, or PC3 file.

Update and Save PC3 File

Displays the name of the PC3 file that you are modifying for the current layout. If you click OK without changing the name of the PC3 file, the existing PC3 file is updated with the new printer name. If you change the name of the PC3 file and click OK, a copy of the PC3 file is saved with the new printer information.


-PLOT (Quick Reference)

Update PC3 File with New Printer Dialog Box
PLOT
PLOTSTAMP
Commands > P commands > PLOT >
-PLOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -plot at the Command prompt, the following prompts are displayed.

Detailed plot configuration [Yes/No] <No>: Enter y or n or press ENTER

No

Indicates that you do not want a detailed plot configuration for this plot.

Enter a layout name or [?] <current>:

Enter a page setup name < >:

Enter an output device name or [?] <current>:

Write the plot to a file [Yes/No] <current>:

Enter file name: <dwgname-layoutname.plt>:

Save changes to layout [Yes/No] <No>:

Proceed with Plot [Yes/No] <Y>:

For information about these prompts, see the description for Yes.

Yes

Specifies detailed page settings for the Model tab or layout tab you are plotting.

Enter a layout name or [?] <current>: Specify the name of the layout tab you want to plot

Enter an output device name or [?] <current>: Specify the name of the output device to which you want to plot the Model tab or layout tab you selected

If you enter a new device name without an extension, the program assumes that the device is a PC3 file (Autodesk® HDI plotter configuration file). If no PC3 file is found, the program searches for a Windows system printer with that device name.

Enter paper size or [?] <current>: Specify the paper size to use for the plot or enter ? to view the actual list of paper sizes defined for the plotter driver

You must specify a paper size exactly as it is defined by the plotter driver.

Enter paper units [Inches/Millimeters] <current>:

The Enter Paper Units prompt is not displayed if you are plotting a raster image, such as a BMP or TIFF file, because the size of the plot is assumed to be in pixels.

Enter drawing orientation [Portrait/Landscape] <current>:

Portrait

Orients and plots the drawing so that the short edge of the paper represents the top of the page.

Landscape

Orients and plots the drawing so that the long edge of the paper represents the top of the page.

Plot upside down [Yes/No] <No>:

Orients and plots the drawing upside down.

Enter plot area [Display/Extents/Limits/Layout/View/Window] <current>:

Display

Plots the view in the current viewport on the Model tab or the current view in the layout, depending on which tab you select to plot.

Extents

Plots all of the objects in the current viewport, except objects on frozen layers. From a layout tab, plots all the geometry in paper space. The drawing may be regenerated to recalculate the extents before plotting.

If you plot the drawing's extents with a perspective view active and the camera position is within the drawing extents, this option has the same effect as the Display option.

Limits

Plots the drawing area defined by the grid limits. Available only when the Model tab is selected.

Layout

Plots everything within the printable area of the specified paper size, with the origin calculated from 0,0 in the layout. Available only when a layout tab is selected.

View

Plots a view saved previously with the VIEW command. You can select a named view from the list provided. If there are no saved views in the drawing, this option is unavailable.

Window

Plots any portion of the drawing you specify. This option prompts you to specify the corners of the window.

Enter lower left corner of window: Specify a point

Enter upper right corner of window: Specify a point

Enter plot scale (Plotted Inches = Drawing Units) or [Fit] <current>: Specify the scale of the plot

Plotted Inches = Drawing Units

Calculates the plot scale based on the inches or millimeters to drawing units that you specify. You can also enter a real number as a fraction (for example, you can enter 1=2 or .5).

Fit

Calculates the scale to fit the area on the sheet of paper.

The default scale setting is 1:1 when you are plotting a layout, unless you modified and saved the setting. The default setting is Fit when plotting a Model tab.

Enter plot offset (x, y) or [Center] <current>: Specify the plot offset in either the X or Y direction, or enter c to center the plot on the paper

Plot with plot styles [Yes/No] <current>: Specify whether to plot using the plot styles applied to objects and defined in the plot style table

If you specify Yes to plot with plot styles, the following prompt is displayed:

Enter plot style table name or [?] (enter . for none) <current>: Enter a plot style table name, ? to view plot style tables, or . (period) for none

All style definitions with different property characteristics are stored in the current plot style table and can be attached to the geometry. This setting replaces pen mapping in earlier versions of the program.

Plot with lineweights [Yes/No] <current>:

Scale lineweights with plot scale [Yes/No] <current>:

NoteThe Scale Lineweights with Plot Scale prompt is displayed only when you plot from a layout tab. Settings for the shaded plotting type are available only when you plot from the Model tab. To control shaded plotting settings of viewports in a layout tab, use the Shadeplot option of the -vports command when you create a viewport.

Enter shade plot setting [As displayed/Wireframe/Hidden/Visual styles/Rendered] <As displayed>: Enter a shade plot option

Specifies how model space views are plotted.

As Displayed

Specifies that a model space view is plotted the same way it is displayed.

Wireframe

Specifies that a model space view is plotted in wireframe regardless of display.

Hidden

Specifies that a model space view is plotted with hidden lines removed regardless of display.

Visual Styles

Plots a model space view with the specified visual style applied regardless of the current display in the viewport.

If you specify Visual Styles, the following prompt is displayed:

Enter an option [3dwireframe/3dHidden/Realistic/Conceptual/Other] <Realistic>:

  • 3D Wireframe. Specifies that a model space view is plotted with the 3D Wireframe visual style applied regardless of display.
  • 3D Hidden. Specifies that a model space view is plotted with the 3D Hidden visual style applied regardless of display.
  • Realistic. Specifies that a model space view is plotted with the Realistic visual style applied regardless of display.
  • Conceptual. Specifies that a model space view is plotted with the Conceptual visual style applied regardless of display.
  • Other. Allows you to choose a custom visual style that you’ve created in the Visual Style manager or you can choose one of the four default visual styles. The following prompt is displayed:

    Enter a visual style name or [?]: Enter a name or enter ? to display a a list of the visual styles available in the drawing

Rendered

Specifies that model space view plots are rendered regardless of display.

Write the plot to a file [Yes/No] <current>: Enter y if you want to write the plotted drawing to a file, or press ENTER to plot to an output device

If you specify Yes, the following prompt is displayed:

Enter file name: <dwgname-layoutname.plt>: Enter a file name

Save changes to page setup? Or set shade plot quality? [Yes/No/Quality] <No>:

If you enter y, the current settings in the Page Setup dialog box are saved. If you enter q, you are prompted for the shaded plotting quality and are given the option of providing a custom dpi. Then you are prompted to save the page setup with the added quality settings.

Enter shade plot quality [Draft/Preview/Normal/pResentation/Maximum/Custom] <Normal>: Enter c if you want to specify a dpi, or to use a preset dpi, specify a different quality option

Enter custom dpi <150>:

Save changes to page setup [Yes/No]? <No>:

Plot paper space first [Yes/No] <current>:

Paper space geometry is usually plotted before model space geometry. If you enter n, the model space geometry is plotted first, and paper space geometry is plotted last. This option is available only if you are plotting from a layout tab.

Hide paperspace objects? [Yes/No] <No>:

Specifies whether the Hide operation applies to objects in the paper space viewport. This option is available only from a layout tab.

Proceed with plot [Yes/No] <Y>:


PLOTSTAMP (Quick Reference)

-PLOT
PLOTSTAMP
Plot Stamp Dialog Box
Commands > P commands >
PLOTSTAMP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Places a plot stamp on a specified corner of each drawing and logs it to a file.

Command entry: plotstamp

The Plot Stamp dialog box is displayed.

NotePlot stamp will always be drawn with pen number 7, or the highest numbered available pen if the plotter doesn't hold seven pens. You must install a suitable pen in that position. If you are using a non-pen (raster) device, color 7 is always used for plot stamping.

If you enter -plotstamp at the Command prompt, options are displayed.


Plot Stamp Dialog Box (Quick Reference)

PLOTSTAMP
PLOTSTAMP
User Defined Fields Dialog Box
Commands > P commands > PLOTSTAMP >
Plot Stamp Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: plotstamp

Summary

Specifies the information for the plot stamp.

List of Options

Plot Stamp Fields

Specifies the drawing information you want applied to the plot stamp. The selected fields are separated by commas and a space.

Drawing Name

Includes the drawing name and path in the plot stamp information.

Layout Name

Includes the name of the layout in the plot stamp information.

Date and Time

Includes the date and time in the plot stamp information.

NoteThe date and time format is determined by the Regional Settings dialog box in the Windows Control Panel. Plot stamping uses the short date style for dates.
Login Name

Includes the Windows login name in the plot stamp information.

The Windows login name is contained in the LOGINNAME system variable.

Device Name

Includes the current plotting device name in the plot stamp information.

Paper Size

Includes the paper size for the currently configured plotting device in the plot stamp information.

Plot Scale

Includes the plot scale in the plot stamp information.

Preview

Provides a visual display of the plot stamp location based on the location and rotation values you have specified in the Advanced Options dialog box. You cannot preview the plot stamp any other way. This is not a preview of the plot stamp contents.

User Defined Fields

Provides text that can optionally be plotted, logged, or both plotted and logged at plot time. The selected value in each user-defined list will be plotted.

For example, you might populate one list with media types or prices and the other with job names. If the user-defined value is set to <none>, then no user-defined information is plotted

Add/Edit

Displays the User Defined Fields dialog box, where you can add, edit, or delete user-defined fields.

Plot Stamp Parameter File

Stores plot stamp information in a file with a .pss extension. Multiple users can access the same file and stamp their plots based on company standard settings.

Two PSS files are provided, Mm.pss and Inches.pss, which are located in the Support folder. The initial default plot stamp parameter file name is determined by the regional settings of the operating system when the program is installed.

Path

Specifies the location of the plot stamp parameter file.

Load

Displays the Plotstamp Parameter File Name dialog box (a standard file selection dialog box) in which you can specify the location of the parameter file you want to use.

Save As

Saves the current plot stamp settings in a new parameter file.

Advanced

Displays the Advanced Options dialog box, in which you can set the location, text properties, and units of the plot stamp. You can also create a log file, and set its location.


User Defined Fields Dialog Box (Quick Reference)

Plot Stamp Dialog Box
PLOTSTAMP
Advanced Options Dialog Box
Commands > P commands > PLOTSTAMP >
User Defined Fields Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: plotstamp

User-defined fields are created and edited using the User Defined Fields dialog box, which is displayed when you choose the Add/Edit button in the Plot Stamp dialog box.

Name

Lists the available user-defined fields.

Add

Adds an editable user-defined field.

Edit

Allows editing of the selected user-defined field.

Delete

Deletes the selected user-defined field.


Advanced Options Dialog Box (Quick Reference)

User Defined Fields Dialog Box
PLOTSTAMP
-PLOTSTAMP
Commands > P commands > PLOTSTAMP >
Advanced Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: plotstamp

Determines the location, text properties, and units of the plot stamp. You can also create a log file and set its location. The dialog box is displayed when you choose the Advanced button in the Plot Stamp dialog box.

Location and Offset

Determines the plot stamp location, the orientation of the plot stamp, and the offset you want to apply relative to either the printable area or the paper border.

Location

Indicates the area where you want to place the plot stamp. Selections include Top Left, Bottom Left (default), Bottom Right, and Top Right. The location is relative to the image orientation of the drawing on the page.

Orientation

Indicates the rotation of the plot stamp in relation to the specified page. The options are Horizontal and Vertical for each of the locations (for example, Top Left Horizontal and Top Left Vertical).

Stamp Upside Down

Rotates the plot stamp upside down.

X Offset

Determines the X offset value that is calculated from either the corner of the paper or the corner of the printable area, depending on which setting you specify. If you specify Offset Relative to Paper Border, the offset value is calculated so that the plot stamp information fits within the designated paper size. If the offset value positions the plot stamp information beyond the printable area, the plot stamp text is cut off.

Y Offset

Determines the Y offset value that is calculated from either the corner of the paper or the corner of the printable area, depending on which setting you specify. If you specify Offset Relative to Paper Border, the offset value is calculated so that the plot stamp information fits within the designated paper size. If the offset value positions the plot stamp information beyond the printable area, the plot stamp text is cut off.

Offset Relative to Printable Area

Calculates the offset values that you specify from the corner of the printable area of the paper (not the corner of the paper).

Offset Relative to Paper Border

Calculates the offset values that you specify from the corner of the paper (not the corner of the printable area of the paper).

Text Properties

Determines the font, height, and number of lines you want to apply to the plot stamp text.

Font

Specifies the TrueType font you want to apply to the text used for the plot stamp information.

Height

Specifies the text height you want to apply to the plot stamp information.

Single Line Plot Stamp

If selected, places the plot stamp information in a single line of text. The plot stamp information can consist of up to two lines of text, but the placement and offset values you specify must accommodate text wrapping and text height. If the plot stamp contains text that is longer than the printable area, the plot stamp text will be cut off. If this option is cleared, plot stamp text is wrapped after the third field.

Plot Stamp Units

Specifies the units used to measure X offset, Y offset, and height. You can define units using inches, millimeters, or pixels.

Two sets of values for the plot stamp size and location are saved in the PSS file: one for the dimensionless file formats and the other for dimensional file formats. If the units you select in the dialog box are dimensional, then the dimensional values are displayed and modified. To access the dimensionless values, you need to select pixels as the unit of measurement. Regardless of the units selected in the dialog box, the correct set of values is applied at plot time. In other words, changing the unit of measurement does not cause the values to be recalculated.

Log File Location

Writes the plot stamp information to a log file instead of, or in addition to, stamping the current plot. If plot stamping is turned off, the log file can still be created.

Create a Log File

Writes the plot stamp information to a log file. The default log file is plot.log, and it is located in the main application folder. You can specify a different file name and path. After the initial plot.log file is created, the plot stamp information in each succeeding plotted drawing is added to this file. Each drawing's plot stamp information is a single line of text. The plot stamp log file can be placed on a network drive and shared by multiple users. Plot stamp information from each user is appended to the plot.log file.

Log File Name

Specifies the file name for the log file you are creating. Enter a new file name if you do not want to use the default file name, plot.log.

Browse

Lists the currently saved plot stamp log files. You can choose to overwrite an existing plot stamp log file with the currently specified plot stamp information, and then to save this file.


-PLOTSTAMP (Quick Reference)

Advanced Options Dialog Box
PLOTSTAMP
PLOTSTYLE
Commands > P commands > PLOTSTAMP >
-PLOTSTAMP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -plotstamp at the Command prompt, the following prompts are displayed. The settings in the PSS file are displayed as defaults for each prompt.

You can use -PLOTSTAMP as part of a plotting script to modify plot stamp information for a drawing.

Enter an option [On/OFF/Fields/User fields/Log file/LOCation/Text properties/UNits]:

On

Turns on the plot stamp for the current drawing.

OFF

Turns off the plot stamp for the current drawing.

Fields

Specifies the plot stamp field information you want to apply to the current plot stamp.

Stamp drawing name? [Yes/No] <Yes>:

Stamp layout name? [Yes/No] <Yes>:

Stamp date and time? [Yes/No] <Yes>:

Stamp login name? [Yes/No] <Yes>:

Stamp plot device name? [Yes/No] <Yes>:

Stamp paper size? [Yes/No] <Yes>:

Stamp plot scale? [Yes/No] <Yes>:

User Fields

Specifies the user-defined fields you want to apply to the current plot stamp.

Enter User field 1 <>: Enter any user-defined field

Enter User field 2 <>: Enter any user-defined field

Log File

Specifies writing the current plot stamp information to a log file rather than applying this information to the current plotted drawing. The default log file is plot.log, unless you specify another file path.

Write plot stamp to log file? [Yes/No] <Yes>:

Enter log file path <plot.log>:

Location

Determines the location of the plot stamp on the page based on offset, orientation, and relationship to either the printable area or the border of the paper.

Location selections include and are relative to the printable area or the border of the paper, depending on what you specify at the prompt.

Enter stamp location [TL/TR/BL/BR] <BL>:

  • TL: Top Left
  • TR: Top Right
  • BL: Bottom Left
  • BR: Bottom Right

Text orientation indicates the rotation angle of the plot stamp in relation to the page.

Enter text orientation [Horizontal/Vertical] <Horizontal>:

  • Horizontal: Plot stamp will be horizontal relative to the page.
  • Vertical: Plot stamp will be vertical relative to the page.

Stamp upside-down [Yes/No] <No>:

Specify plot stamp offset <0.1000,0.1000>:

Specifying an offset relative to the paper border calculates the offset values that you specify from the corner of the paper. Specifying an offset relative to the printable area calculates the offset values that you specify from the corner of the printable area.

Specify offset relative to [paper Border/printable Area] <printable Area>:

Text Properties

Determines the font name and text height for the current plot stamp text. You can also specify to place the text on one line or to wrap the text to two lines. The placement and offset values you specify for this plot stamp must accommodate the text wrapping and the text height.

Enter font name <>: Enter a font name

Enter text height <0.1500>: Enter a value

Place plot stamp on single line? [Yes/No] <No >:

Units

Specifies the units used to measure X offset, Y offset, and height. You can define units using inches, millimeters, or pixels.

Enter measurement units [Inches/Millimeters/Pixels] <Inches>:


PLOTSTYLE (Quick Reference)

-PLOTSTAMP
PLOTSTYLE
Current Plot Style Dialog Box
Commands > P commands >
PLOTSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls the named plot styles that are attached to the current layout and can be assigned to objects.

Access Methods

Button

Menu: Application menu [image] Print [image] Edit Plot Style Tables
Command entry: plotstyle

Summary

To use the PLOTSTYLE command, the drawing must be configured to use named plot styles.

  • If a drawing is in Color-Dependent mode, you can convert it to use named plot styles using the CONVERTPSTYLES command.
  • To configure a new drawing to use named plot styles, set PSTYLEPOLICY to 0 before creating the new drawing.

If no selection set exists, the Current Plot Style dialog box is displayed. If a selection set exists, the Select Plot Style dialog box is displayed.

If you enter -plotstyle at the Command prompt, .


Current Plot Style Dialog Box (Quick Reference)

PLOTSTYLE
PLOTSTYLE
Select Plot Style Dialog Box
Commands > P commands > PLOTSTYLE >
Current Plot Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Menu: Application menu [image] Print [image] Edit Plot Style Tables
Command entry: plotstyle

Summary

Specifies the plot style for new objects.

Current Plot Style

Displays the current plot style.

Plot Style List

Displays the available plot styles that can be assigned to an object, including the default plot style, NORMAL. A plot style is a collection of overrides for color, dithering, gray scale, pen assignments, screening, linetype, lineweight, end styles, join styles, and fill styles.

Active Plot Style Table

Sets the plot style table attached to the current layout. A plot style table is a collection of plot style definitions.

Editor

Displays the Plot Style Table Editor, in which you modify the plot styles in the plot style table.

Attached To

Displays the tab (Model tab or layout tab) that the plot style table is attached to.


Select Plot Style Dialog Box (Quick Reference)

Current Plot Style Dialog Box
PLOTSTYLE
-PLOTSTYLE
Commands > P commands > PLOTSTYLE >
Select Plot Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: plotstyle

Specifies the plot style to be assigned.

Plot Styles

Displays the available plot styles, including the default plot style, NORMAL. A plot style is a collection of property settings used in plotting.

Original

Displays the originally assigned plot style.

New

Displays the new plot style to be assigned.

Active Plot Style Table

Sets the plot style table attached to the current drawing. A plot style table defines plot styles.

Editor

Displays the Plot Style Table Editor.

Attached To

Displays the tab (Model tab or layout tab) that the plot style table is attached to.


-PLOTSTYLE (Quick Reference)

Select Plot Style Dialog Box
PLOTSTYLE
PLOTTERMANAGER
Commands > P commands > PLOTSTYLE >
-PLOTSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -plotstyle at the Command prompt, the following prompts are displayed.

Command entry: -plotstyle

Current plot style is "current"

Enter an option [?/Current]:

?—List Plot Styles

Lists the plot styles in the attached plot style table.

Current

Specifies the plot style to use for new objects.


PLOTTERMANAGER (Quick Reference)

-PLOTSTYLE
PLOTTERMANAGER
Add-a-Plotter Wizard
Commands > P commands >
PLOTTERMANAGER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Plotter Manager, where you can add or edit a plotter configuration.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Manage PlottersNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Manage Plotters
Command entry: plottermanager

Summary

In the folder, you can start the Add-a-Plotter wizard, or double-click a PC3 file to open the Plotter Configuration Editor.

  • Double-click the Add-a-Plotter wizard to add and configure plotters and printers.
  • Double-click a plotter configuration (PC3 file) to start the Plotter Configuration Editor.


Add-a-Plotter Wizard (Quick Reference)

PLOTTERMANAGER
PLOTTERMANAGER
Plotter Configuration Editor
Commands > P commands > PLOTTERMANAGER >
Add-a-Plotter Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plotter ManagerAt the Command prompt, enter plottermanager.
Command entry: plottermanager

Adds new plotters and printers. The wizard produces a PC3 file that you can edit in the Plotter Configuration Editor. Your configurations are stored in the Plotters folder.


Plotter Configuration Editor (Quick Reference)

Add-a-Plotter Wizard
PLOTTERMANAGER
General Tab (Plotter Configuration Editor)
Commands > P commands > PLOTTERMANAGER >
Plotter Configuration Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plotter ManagerAt the Command prompt, enter plottermanager.
Command entry: plottermanager

Modifies a PC3 file's plotter port connections and output settings, including media, graphics, physical pen configuration, custom properties, initialization strings, calibration, and user-defined paper sizes. You can drag these configuration options from one PC3 file to another.

You can start the Plotter Configuration Editor with any of the following methods:

  • Double-click a PC3 file in Microsoft® Windows® Explorer or right-click the PC3 file and click Open. (By default, PC3 files are stored in the Plotters folder. To find the location of your plotter files, on the Tools menu, click Options. In the Options dialog box, Files tab, click the plus sign to the left of Printer Support File Path. Click the plus sign to the left of the Printer Configuration Search Path file. Under Printer Configuration Search Path, click the path name to view the location of your plotter files.)
  • Choose Edit Plotter Configuration from within the Add-a-Plotter wizard.
  • Choose Properties in the Page Setup dialog box.
  • Choose Properties in the Plot dialog box.

Depending on your configured plotting device, additional options may be available on the Device and Document Settings tab. For example, when you configure a nonsystem plotter, you can modify the pen characteristics.

The Plotter Configuration Editor includes the following tabs:

  • General
  • Ports
  • Device and Document Settings


General Tab (Plotter Configuration Editor) (Quick Reference)

Plotter Configuration Editor
Plotter Configuration Editor
Ports Tab (Plotter Configuration Editor)
Commands > P commands > PLOTTERMANAGER > Plotter Configuration Editor >
General Tab (Plotter Configuration Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Contains basic information about the plotter configuration (PC3) file. You can add or modify the information in the Description area. The remainder of the tab is read-only.

Plotter Configuration File Name

Displays the file name you assigned in the Add-a-Plotter wizard.

Description

Displays information you want to include about the plotter.

Driver Information

Displays the following information:

  • Plotter driver type (system or nonsystem), name, model, and location
  • HDI driver file version number (AutoCAD specialized driver files)
  • UNC name of the network server (if the plotter is connected to a network server)
  • I/O port (if the plotter is connected locally)
  • Name of the system printer (if the configured plotter is the system printer)
  • PMP (Plot Model Parameters) file name and location (if a PMP file is attached to the PC3 file)


Ports Tab (Plotter Configuration Editor) (Quick Reference)

General Tab (Plotter Configuration Editor)
Plotter Configuration Editor
Device and Document Settings Tab (Plotter Configuration Editor)
Commands > P commands > PLOTTERMANAGER > Plotter Configuration Editor >
Ports Tab (Plotter Configuration Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes communication settings between the configured plotter and your computer or network system. You can specify whether you want to plot through a port, plot to a file, or use AutoSpool. See Use AutoSpool in the Driver and Peripheral Guide.

If you plot through a parallel port, you can specify the timeout value. If you plot through a serial port, you can change the baud rate, protocol, flow control, and input and output timeout values.

Plot to the Following Port

Sends the drawing to the plotter through the selected port.

Plot to File

Sends the drawing to the file specified in the Plot dialog box.

AutoSpool

Uses the AutoSpool utility to plot the drawing. AutoSpool is specified on the Files tab in the Options dialog box.

Port List

Displays a list and description of available ports, both local and network. If the port is a network port, the name of the network printer is also displayed.

Show All Ports

Shows all available ports on the computer regardless of the ports available on the plotter.

Browse Network

Displays the network choices so you can connect to another instance of a nonsystem plotter.

Configure Port

Displays either the Configure LPT Port dialog box or the Settings for COM Port dialog box.


Device and Document Settings Tab (Plotter Configuration Editor) (Quick Reference)

Ports Tab (Plotter Configuration Editor)
Plotter Configuration Editor
Configure LPT Port Dialog Box
Commands > P commands > PLOTTERMANAGER > Plotter Configuration Editor >
Device and Document Settings Tab (Plotter Configuration Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls many of the settings in the PC3 file. Click the icon for any of the nodes to view and change the specific settings. When you change a setting, your changes appear in angle brackets (< >) next to the setting name. A check mark is also displayed over the icon of the node with a changed value.

NoteOnly the settings available for the configured device are displayed in the tree view. In addition, you might not be able to edit some settings if the device handles the setting through Custom Properties or doesn't support the capability.

Media Node

Specifies a paper source, size, type, and destination. Available settings depend on the supported features of your configured plotter. For Windows system printers, you must configure the media settings using the Custom Properties node.

Source and Size

Specifies the paper source and size.

  • Source: Specifies the paper source; for example, sheet-fed or roll-fed. If you specify a tray, you can select the type of tray.
  • Width: Specifies the width of the paper roll for a roll-fed source.
  • Automatic: Enables the printer to specify the appropriate paper source.
  • Size: Displays a list of available paper sources and both standard and custom paper sizes.
  • Printable Bounds: Displays the print boundaries.
Media Type

Displays a list of the media types supported by the plotter configuration.

Duplex Printing

Determines double-sided printing and binding margin. Binding margin options are available only for plotters that support duplex printing.

  • None: Indicates no double-sided printing.
  • Short Side: Places the binding margin on the short side of the paper.
  • Long Side: Places the binding margin on the long side of the paper.

Media Destination

Displays a list of available media destinations for the configured plotter, such as collating, cutting, and stapling. These options are available only for plotters that support this function.

Physical Pen Configuration Node (for Pen Plotters Only)

Controls the specific pens in the pen plotter. The lower pane of the Device and Document Settings tab displays a table used to describe the color, width, and speed of each pen in the plotter.

NoteThe physical pen information cannot be detected automatically; you must provide this information for your pen plotter under Physical Pen Characteristics.
Pen Configuration

Specifies settings for pen plotters.

  • Prompt for Pen Swapping: Use more than one pen while plotting on a single-pen plotter. Under Physical Pen Characteristics, you can specify settings for as many pens as you want. You are prompted when you need to change pens.
  • Area Fill Correction: Enables the program to compensate for pen widths when plotting filled areas and wide polylines. Each polygon is shrunk by half of the width of the pen used to draw it. This option prevents the plotter from oversizing the filled area when using a wide pen and ensures precision. Use this option if the plot must be accurate to half the pen width, such as in printed circuit artwork.
  • Pen Optimization Level: Reduces plot time and increases the efficiency of the pens by optimizing the pen motion. For example, you can prevent pens from retracing duplicate lines. If your drawing uses many colors or widths, you can reduce the time needed to change pens by selecting Adds Pen Sorting. Every object that uses a particular pen will be plotted before switching to another pen. Each method in the list includes the optimization methods preceding it in the list (except for No Optimization).
Physical Pen Characteristics

To plot your drawing correctly on a pen plotter, you need to provide information about the pens in your plotter. For each pen in your plotter, specify a color and width. To optimize pen performance, you can specify a speed.

NoteThis information is required; the physical pen information cannot be detected automatically.
  • Color: Specifies the colors of the pens in your plotter. The pen color that closely matches the object's color is selected. You can assign colors to your pens that correspond to each object's color. Use the Color list to select one of the following settings: No Pen, Red, Yellow, Green, Cyan, Blue, Magenta, Black, or Other. If you choose Other, the Select Color dialog box is displayed, providing access to the full color palette. Use No Pen to indicate that there is no pen in a particular position.
  • Speed: Adjusts pen speed on a pen-by-pen basis. This feature is useful, for example, for slowing down pens that are skipping. Each pen manufacturer recommends a pen speed for each type of media. For best results, use those values. You can specify a pen speed in millimeters or inches per second.
  • Width: Specifies the width of your pens so the program can determine if multiple pen strokes are needed to draw wide lines. You can specify the pen width in inches or millimeters. Be sure to select the pen width to match the actual width of the pen. The list provides a set of common pen widths.

Specifying pen characteristics here doesn't replace the pen tables you might have imported from PCP, PC2, or CFG files from AutoCAD Release 14, AutoCAD LT® 98, or earlier releases. For more information about importing these settings, see Change Plot Style Settings in the User's Guide.

Graphics Node

Specifies settings for printing vector graphics, raster graphics, and TrueType text. Depending on the capabilities of the plotter, you can modify color depth, resolution, and dithering. You can select either color or monochrome output for vector drawings. When printing raster images on a plotter with limited memory, you can improve performance by making some changes to the quality of the printed output. If you use a nonsystem plotter that supports varying amounts of installed RAM, you can provide that information to improve performance.

Installed Memory

Provides the program with the amount of total memory (RAM) installed on a nonsystem plotter. This option is only available for nonWindows system printers that accept optional memory. If your plotter has extra memory, specify the total amount of memory.

  • Total Installed Memory: Specifies the total installed memory in megabytes. The plotter driver uses the memory information to determine whether banding or image quality degradation is required to prevent the system from running out of memory.
Vector Graphics

Provides options for specifying the color depth, resolution, and dithering of vector output. Some of the Vector Graphics options are closely interrelated; changing an option can affect other available options.

  • Color Depth: Displays a list for choosing color depth for the configured plotter. The color depth options change as you change the resolution and dithering values. More color depth uses more memory and takes longer to plot. You can specify either color or monochrome output.
  • Resolution: Adjusts the DPI (dots per inch) resolution of the configured plotter. Changing the DPI resolution changes the options available in the Dithering list. A higher resolution setting uses more memory and takes longer to plot than a lower resolution setting.
  • Dithering: Specifies a dithering choice for non-pen-based plotters. Some dithering choices cause slower plotting.
Raster Graphics (Non-Pen Plotters Only)

Specifies trade-offs between plotting speed and output quality when plotting raster objects. If you reduce the image quality, you increase output speed. If your system resources are limited, reducing image quality can reduce the chance of running out of memory while plotting. These options are available only for raster devices, not pen plotters.

  • Raster and Shaded/Rendered Viewports: Specifies a position on the slider that balances output quality with memory and plotting speed when plotting raster images and shaded/rendered viewports. Position the slider at None to disable raster image printing. Degrading the image quality lets you plot in less time. Position the slider at Best for the best output at the expense of memory and plotting speed.
  • OLE: Specifies a position on the slider that balances output quality with memory use and plotting speed when plotting OLE objects. Position the slider at None to disable OLE object printing. Degrading the image quality lets you plot in less time. Position the slider at Best for the best output at the expense of memory and plotting speed.
  • Trade-off: Specifies where to compromise quality if you can't output at the highest quality. Move the slider to diminish resolution and color.
TrueType Text

On Windows system printers, specifies whether to plot TrueType text as a graphic image or as text. Plotting as a graphic guarantees that the text is printed as displayed, at the expense of slowing down the plotter and using more memory. Plotting as TrueType text prints faster and uses less memory; the plotter may use a different font for printing.

  • TrueType as Text: Plots TrueType text as text.
  • TrueType as Graphics: Plots TrueType text as graphics.
Merge Control

On raster plotters, controls the appearance of lines that cross. Merge control is not effective if your plotter is configured to plot everything as black or if you are using PostScript language.

  • Lines Overwrite: Uses the last plotted line to obscure the lines under it. Only the topmost line is visible at the intersection.
  • Lines Merge: Merges the colors of crossing lines.
NoteMerge control may appear as an option for system printers that do not actually support the feature. Please check your printer's documentation to determine if merge control is supported.

Custom Properties Node

Modifies the device-specific properties for the plotter configuration. The settings for each plotter vary. If the plotter manufacturer has not included a Custom Properties dialog box for the device driver, the Custom Properties option is disabled. For some drivers, such as ePlot, this is the only tree view option that is displayed. For Windows system printers, most of the device-specific settings are made in this dialog box. For more information about the custom properties settings for your device, choose Help in the Custom Properties dialog box.

Initialization Strings Node (for Non-System Plotters Only)

Sets pre-initialization, post-initialization, and termination ASCII text plotter strings, which send commands to a plotting device before and after the program initializes the device and after plotting is complete.

If you are plotting to an unsupported plotter in emulation mode, you can specify ASCII text initialization strings that prepare the plotter for printing, set device-specific options, and restore the plotter to its original state. You can also use initialization strings to turn on or off a plotting device feature that is not supported by the program.

The text string is sent literally, except for a back slash (\). Use a back slash followed by a three-digit number (taken from the ASCII table), for example, \027, to specify binary (unprintable) characters such as the escape character. \027 is interpreted and sent as a single character whose value is 27. The number 27 is the escape character. For example, \27%-12345X@PJL ENTER LANGUAGE = PostScript\10 sends an HP PJL command to a dual-language laser printer before it's initialized and switches the printer into PostScript mode. The \027 sends an escape character and the \010 sends a line feed character. The remainder of the text string is sent literally. It is best to use three decimal digits for binary characters, so you'll need to add leading zeros as necessary.

Initialization strings should be used by advanced users only.

Pre-Initialization

Forces a plotter to emulate another plotter by sending a pre-initialization ASCII text string to the plotter before it is initialized. Use a back slash followed by a three-digit number (taken from the ASCII table), for example, \027, to specify binary (unprintable) characters such as the escape character.

Post-Initialization

Sets a device-specific option that is not supported elsewhere in the program. Specify a post-initialization ASCII text string that is sent to the plotter after it is initialized. Use a back slash followed by a three-digit number (taken from the ASCII table), for example, \027, to specify binary (unprintable) characters such as the escape character.

Termination

Restores the printer to its original state after plotting. Specify a termination ASCII text string that is sent to the plotter after plotting is complete. Use a back slash followed by a three-digit number (taken from the ASCII table), for example, \027, to specify binary (unprintable) characters such as the escape character.

User-Defined Paper Sizes & Calibration Node

Attaches a PMP file to the PC3 file, calibrates the plotter, and adds, deletes, revises, or filters custom paper sizes. You can also modify standard paper sizes. This node accesses the Plotter Calibration and Custom Paper Size wizards. If the plotter you are using has been calibrated, a Plotter Model Parameter (PMP) file contains that calibration information. If the PMP file is not already attached to the PC3 file you are editing, you must create that association so you can use the PMP file. If the plotter was calibrated from within the Add-a-Plotter wizard while creating the current PC3 file, the PMP file is already attached. Use the PMP File Name option under User-defined Paper Sizes & Calibration to attach a PMP file to, or detach the PMP file from, the PC3 file you are editing.

Custom Paper Sizes (Nonsystem Printers Only)

Creates a customized paper size or changes the printable area of a standard or nonstandard paper size. With the Custom Paper Size wizard you can create a new paper size, or select from a list of available paper sizes (from a PMP file) if the plotter is not a Windows system printer. If the plotter is a Windows system printer, use Custom Properties. You can add, delete, and edit your paper size.

Each plotter has a maximum printable area determined by where it grips the paper and how far the pen shuttle can reach. If you are creating a paper size that is larger than the paper sizes offered in the Plotter Configuration Editor, verify that the plotter is capable of plotting the new dimensions.

  • Add: Starts the Custom Paper Size wizard. When you add a paper size, you can either create a new paper size from scratch or create a new one based on the listing of available paper sizes for the selected configured plotter. The new paper size is a user-defined size, not a standard size.
  • Delete: Deletes the selected custom paper size from the list.
  • Edit: Starts the Custom Paper Size wizard, where you can modify the selected paper size. You can change any of the custom paper size settings.
NoteFor Windows system printers, you can change the paper size settings and create custom paper sizes only in the Custom Properties dialog box.
Modify Standard Paper Sizes

Adjusts the printable area for standard paper sizes to match the printer's capabilities. (You can't create custom paper sizes for Windows system printers using the Plotter Configuration Editor.)

  • List of Standard Paper Sizes: Displays the available set of standard paper sizes.
  • Modify: Starts the Custom Paper Size wizard. You can modify Printable Area and File Name. The new paper size is a user-defined size, not a standard size.
Filter Paper Sizes

Filters the list of paper sizes displayed for the plotting device selected in the Plot and Page Setup dialog boxes. The list of paper sizes is displayed on the Plot Settings tab in the Plot dialog box and on the Layout Settings tab in the Page Setup dialog box. Select the paper sizes you want to display for this device.

  • Check All: Hides all the paper sizes for the device.
  • Uncheck All: Displays all the paper sizes for the device.
Plotter Calibration

Starts the Plotter Calibration wizard. If you need to correct scaling discrepancies, you can adjust the plotter calibration using the Plotter Calibration wizard. See Calibrate Plotters and Work with Custom Paper Sizes in the Driver and Peripheral Guide.

NoteYou should perform a plotter calibration only if your drawings must be exactly to scale and your plotter or printer produces inaccurate plots. Plotter Calibration causes the program to rescale all plots sent to your plotter. If your plotter provides a calibration utility, it is recommended that you use it instead of the utility supplied with this program.
PMP File

Attaches a PMP file to or detaches a PMP file from the PC3 file you are editing. Use the Detach button to break the association between the PMP file and the PC3 file.

  • Attach: Attaches a PMP file to the PC3 file. You can reuse calibration and custom paper size data stored in the PMP file.
  • Save PMP: Saves a PMP file to a new file in the AutoCAD 2010\drv folder.
  • Detach: Detaches the PMP file associated with the PC3 file you are editing.

Import

Imports file information from earlier versions of the program. If you have a PCP or PC2 file from an earlier version, you can import some of the information in those files into a PC3 file. PC3 files store plotter name, port information, pen optimization level, paper size, and resolution.

Save As

Saves a PC3 File to a new file name.

Defaults

Restores the settings on the Device and Document Settings tab back to the default settings.


Configure LPT Port Dialog Box (Quick Reference)

Device and Document Settings Tab (Plotter Configuration Editor)
PLOTTERMANAGER
Settings for COM Port Dialog Box
Commands > P commands > PLOTTERMANAGER >
Configure LPT Port Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plotter ManagerAt the Command prompt, enter plottermanager.
Command entry: plottermanager

Specifies the time that the program waits for the plotter buffer to empty before sending more data. You specify how much time you want to elapse before you are prompted to cancel the plot. If your drawings are complex or your pen speed is very slow, set the timeout value higher than the default (30 seconds). If you begin to receive numerous timeout prompts, your timeout setting is probably too low.

Timeout

Specifies an amount of time to wait before retrying.

Transmission Retry

Specifies the timeout value in milliseconds.


Settings for COM Port Dialog Box (Quick Reference)

Configure LPT Port Dialog Box
PLOTTERMANAGER
Advanced Settings for COM Port Dialog Box
Commands > P commands > PLOTTERMANAGER >
Settings for COM Port Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plotter ManagerAt the Command prompt, enter plottermanager.
Command entry: plottermanager

Specifies the baud rate, protocol, flow control, and hardware handshaking for serial ports on plotters that support these settings.

NoteThe settings on your plotter must match the settings in the program or you cannot plot.
Baud Rate

Specifies the baud rate. Use the fastest available baud rate.

Protocol

Displays the protocol settings available for your plotter. Use the protocol recommended by your device manufacturer. For more information see the documentation for your device.

Flow Control

Sets the flow control for your plotter. The default flow control setting is XON/XOFF (software handshaking) for compatibility with previous versions of the program. If you select Hardware handshaking, you can specify additional settings in the Advanced Settings for COM Port dialog box that correspond to different pins on the RS232 connector.


Advanced Settings for COM Port Dialog Box (Quick Reference)

Settings for COM Port Dialog Box
PLOTTERMANAGER
PNGOUT
Commands > P commands > PLOTTERMANAGER >
Advanced Settings for COM Port Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plotter ManagerAt the Command prompt, enter plottermanager.
Command entry: plottermanager

Specifies additional hardware handshaking settings for serial ports.

CTS

Enables Clear To Send handshaking. This monitors pin 5 of a 25-pin serial port or pin 8 of a 9-pin serial port. CTS is an input bit, monitored for an output from the plotter or printer.

DSR

Enables Data Set Ready handshaking. This monitors pin 6 of a 25-pin serial port, or pin 6 of a 9-pin serial port. DSR is an input bit, monitored for an output from the printer or plotter.

RLSD

Enables Received Line Signal Detector handshaking. This is sometimes called DCD or Data Carrier Detect. It is an input pin that can be monitored for an output from the plotter. It is on pin 8 of a 25-pin serial port and on pin 1 of a 9-pin serial port.

RTS

Controls the Request To Send output bit. This sends a signal to the printer or plotter on pin 4 of a 25-pin serial port or on pin 7 of a 9-pin serial port.

Disabled

Disables the RTS line when the device is opened.

Enabled

Enables the RTS line when the device is opened.

Handshake

Enables RTS handshaking. The driver raises the RTS line when the input buffer is less than one-half full and lowers the RTS line when the buffer is more than three-quarters full.

Toggle

Specifies that the RTS line is high if bytes are available for transmission. After all buffered bytes have been sent, the RTS line is low.

DTR

Controls the Data Terminal Ready output pin. This sends a signal to the printer or plotter on pin 20 of a 25-pin serial port or on pin 4 of a 9-pin serial port.

Disabled

Disables the DTR line when the device is opened.

Enabled

Enables the DTR line when the device is opened.

Handshake

Enables DTR handshaking.


PNGOUT (Quick Reference)

Advanced Settings for COM Port Dialog Box
PNGOUT
POINT
Commands > P commands >
PNGOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves selected objects to a file in a Portable Network Graphics format.

Command entry: pngout

The Create Raster File dialog box (a standard file selection dialog box) is displayed. Enter the file name in the dialog box.

Select objects or <all objects and viewports>: Press ENTER to select all objects and viewports or use an object selection method and press ENTER

A Portable Network Graphics file is created that contains the objects you select. The file reflects what is displayed on the screen. Light glyphs that are displayed in the drawing appear in the new file, even if the Plot Glyph property of the lights is set to No.

NoteWhen the FILEDIA system variable is set to 0 (Off), prompts are displayed at the Command prompt.


POINT (Quick Reference)

PNGOUT
POINT
POINTLIGHT
Commands > P commands >
POINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a point object.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] Multiple PointsNot available on the ribbon in the current workspace.
Toolbar: Draw
Menu: Draw [image] PointNot available in menus in the current workspace
Command entry: point

Specify a point:

Points can act as nodes to which you can snap objects. You can specify a full three-dimensional location for a point. The current elevation is assumed if you omit the Z coordinate value.

The PDMODE and PDSIZE system variables control the appearance of point objects. PDMODE values 0, 2, 3, and 4 specify a figure to draw through the point. A value of 1 specifies that nothing is displayed.

Specifying the value 32, 64, or 96 selects a shape to draw around the point, in addition to the figure drawn through it:

PDSIZE controls the size of the point figures, except for PDMODE values 0 and 1. A setting of 0 generates the point at 5 percent of the drawing area height. A positive PDSIZE value specifies an absolute size for the point figures. A negative value is interpreted as a percentage of the viewport size.

After you change PDMODE and PDSIZE, the appearance of existing points changes the next time the drawing is regenerated.

You can use MEASURE and DIVIDE to create points along an object. Use DDPTYPE to specify point size and styles easily.


POINTLIGHT (Quick Reference)

POINT
POINTLIGHT
POLYGON
Commands > P commands >
POINTLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a point light that radiates light in all directions from its location.

Access Methods

Button

Ribbon: Render tab [image] Lights panel [image] PointNot available on the ribbon in the current workspace.
Menu: View [image] Render [image] Light [image] New Point LightNot available in menus in the current workspace
Toolbar: Lights
Command entry: pointlight

Use point lights for general lighting effects.

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

If the LIGHTINGUNITS system variable is set to 0, the following prompt is displayed:

Enter an option to change [Name/Intensity/Status/shadoW/Attenuation/Color/eXit] <eXit>:

If the LIGHTINGUNITS system variable is set to 1 or 2, the following prompt is displayed:

Enter an option to change [Name/Intensity factor/Status/Photometry/shadoW/Attenuation/filterColor/eXit] <eXit>:

NoteWhen the LIGHTINGUNITS system variable is set to 1 or 2, the Attenuation option has no affect on the creation of the light. It is only maintained for scripting compatibility.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity/Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00-max float) <1.0000>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect

Enter status [oN/oFf] <On>:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux for a is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*>:

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command option.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFtmapped/softsAmpled] <Sharp>:

Off

Turns off display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory to use to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness to use to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit]<eXit> :

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Linear, Disk, Rect, Sphere,Cylinder] <Sphere>:

Specify the sample size by entering a.

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No]<No>:

Attenuation

Enter an option to change [attenuation Type/Use limits/attenuation start Limit/attenuation End limit/eXit]<eXit>:

Attenuation Type

Controls how light diminishes over distance. The farther away an object is from a point light, the darker the object appears. Attenuation is also known as decay.

Enter attenuation type [None/Inverse linear/inverse Squared] <Inverse linear>:

  • None. Sets no attenuation. Objects far from the point light are as bright as objects close to the light.
  • Inverse Linear. Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the point light; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
  • Inverse Squared. Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the point light; at a distance of 4 units, light is one sixteenth as strong.
Use LimitsAttenuation Start Limit

Specifies whether to use limits or not.

Limits [oN/oFf] <Off>:

Specifies the point where light starts as an offset from the center of the light. The default is 0.

Specify start limit offset <1.0000>:

Attenuation End Limit

Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point. Setting an end limit increases performance where the effect of lighting is so minimal that the calculations are wasted processing time.

Specify end limit offset <10.0000>:

Color/Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]<255,255,255>:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L) <0,0,100>:

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


POLYGON (Quick Reference)

POINTLIGHT
POLYGON
POLYSOLID
Commands > P commands >
POLYGON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an equilateral closed polyline.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] PolygonNot available on the ribbon in the current workspace.
Menu: Draw [image] PolygonNot available in menus in the current workspace
Toolbar: Draw
Command entry: polygon

Enter number of sides <current>: Enter a value between 3 and 1024 or press ENTER

Specify center of polygon or [Edge]: Specify a point (1) or enter e

Center of Polygon

Defines the center of the polygon.

Enter an option [Inscribed in circle/Circumscribed about circle] <current>: Enter i or c or press ENTER

Inscribed in Circle

Specifies the radius of a circle on which all vertices of the polygon lie.

Specify radius of circle: Specify a point (2) or enter a value

Specifying the radius with your pointing device determines the rotation and size of the polygon. Specifying the radius with a value draws the bottom edge of the polygon at the current snap rotation angle.

Circumscribed about Circle

Specifies the distance from the center of the polygon to the midpoints of the edges of the polygon.

Specify radius of circle: Specify a distance

Specifying the radius with your pointing device determines the rotation and size of the polygon. Specifying the radius with a value draws the bottom edge of the polygon at the current snap rotation angle.

Edge

Defines a polygon by specifying the endpoints of the first edge.

Specify first endpoint of edge: Specify a point (1)

Specify second endpoint of edge: Specify a point (2)

You can specify the different parameters of the polygon including the number of sides. The difference between the inscribed and circumscribed options is shown.


POLYSOLID (Quick Reference)

POLYGON
POLYSOLID
PRESSPULL
Commands > P commands >
POLYSOLID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D wall-like polysolid.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] PolysolidNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] PolysolidNot available in menus in the current workspace
Toolbar: Modeling
Command entry: polysolid

You can create walls with straight and curved segments of constant height and width.

With the POLYSOLID command, you can convert an existing line, 2D polyline, arc, or circle to a solid with a rectangular profile. A polysolid can have curved segments, but the profile is always rectangular by default.

You can draw a solid with POLYSOLID just as you would a polyline. The PSOLWIDTH system variable sets the default width for the solid. The PSOLHEIGHT system variable sets the default height for the solid.

Specify start point or [Object/Height/Width/Justify] <Object>: Specify a start point for the profile of the solid, press ENTER to specify an object to convert to a solid, or enter an option

Specify the next point or [Arc/Undo]: Specify the next point for the profile of the solid, or enter an option

Object

Specifies an object to convert to a solid. You can convert:

  • Line
  • Arc
  • 2D polyline
  • Circle

Select object: Select an object to convert to a solid

Height

Specifies the height of the solid. The default height is set to the current PSOLHEIGHT setting.

Specify height <default>: Specify a value for the height, or press ENTER to specify the default value

The specified height value will update the PSOLHEIGHT setting.

Width

Specifies the width of the solid. The default width is set to the current PSOLWIDTH setting.

Specify width <current>: Specify a value for the width by entering a value or specifying two points, or press ENTER to specify the current width value

The specified width value will update the PSOLWIDTH setting.

Justify

Sets the width and height as the solid to be left, right, or center justified when defining the profile with the command. The justification is based on the starting direction of the first segment of the profile.

Enter justification [Left/Center/Right] <Center>: Enter an option for the justification or press ENTER to specify center justification

Next Point

Specify the next point or [Arc/Close/Undo]: Specify the next point for the profile of the solid, enter an option, or press ENTER to end the command

Arc

Adds an arc segment to the solid. The default starting direction of the arc is tangent to the last drawn segment. You can specify a different starting direction with the Direction option.

Specify endpoint of arc or [Close/Direction/Line/Second point/Undo]: Specify an endpoint or enter an option

Close

Closes the solid by creating a line or arc segment from the last point specified to the starting point of the solid. At least two points must be specified to use this option.

Direction

Specifies a starting direction for the arc segment.

Specify the tangent direction from the start point of arc: Specify a point

Specify endpoint of arc: Specify a point

Line

Exits the Arc option and returns to the initial POLYSOLID command prompts.

Second Point

Specifies the second point and endpoint of a three-point arc segment.

Specify second point on arc: Specify a point

Specify end point of arc: Specify a point

Undo

Removes the most recent arc segment added to the solid.

Close

Closes the solid by creating a line or arc segment from the last point specified to the starting point of the solid. At least three points must be specified to use this option.

Undo

Removes the most recent arc segment added to the solid.

Arc

Adds an arc segment to the solid. The default starting direction of the arc is tangent to the last drawn segment. You can specify a different starting direction with the Direction option.

Specify endpoint of arc or [Close/Direction/Line/Second point/Undo]: Specify an endpoint or enter an option

Close

Closes the solid by creating a linear or arc segment from the last vertex to the start of the solid.

Direction

Specifies a starting direction for the arc segment.

Specify the tangent direction from the start point of arc: Specify a point

Specify endpoint of arc: Specify a point

Line

Exits the Arc option and returns to the initial POLYSOLID command prompts.

Second Point

Specifies the second point and endpoint of a three-point arc segment.

Specify second point on arc: Specify a point

Specify end point of arc: Specify a point

Undo

Removes the most recent arc segment added to the solid.

Undo

Removes the most recent segment added to the solid.


PRESSPULL (Quick Reference)

POLYSOLID
PRESSPULL
PREVIEW
Commands > P commands >
PRESSPULL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Presses or pulls bounded areas.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] Press/PullNot available on the ribbon in the current workspace.
Toolbar: Modeling
Command entry: presspull

Summary

Press or pull a bounded area by clicking inside the area. Then drag or enter a value to indicate the amount of extrusion. As you move the cursor, the extrusion changes dynamically. You can also press Ctrl+Shift+E and click inside an area to initiate the press or pull activity.

You can press or pull any of the following types of bounded areas:

Bounded areas that can be pressed or pulled
Areas that can be hatched by picking a point (with zero gap tolerance)
Areas enclosed by crossing coplanar, linear geometry, including edges and geometry in blocks
Closed polylines, regions, 3D faces, and faces of 2D solids that have coplanar vertices
Areas enclosed by geometry (including 2D objects and edges of faces) that is coplanar to the face of a 3D solid.

List of Prompts

The following prompt is displayed.

Click inside bounded areas to press or pull

Specifies which closed area you want to modify. Click and drag to set the distance you want to press or pull. You can also enter a value.


PREVIEW (Quick Reference)

PRESSPULL
PREVIEW
PROPERTIES
Commands > P commands >
PREVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the drawing as it will be plotted.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] PreviewNot available on the ribbon in the current workspace.
Menu: Application menu [image] Print [image] Plot Preview
Toolbar: Standard
Command entry: plotstyle
Command entry: preview

Summary

The preview is based on the current plot configuration, as defined by the settings in the Page Setup or Plot dialog box. It shows exactly how the drawing will look when plotted, including lineweights, fill patterns, and other plot style options.

The cursor changes to a magnifying glass with plus (+) and minus (-) signs. Dragging the cursor toward the top of the screen while holding down the pick button enlarges the preview image. Dragging toward the bottom of the screen reduces the preview image.

3D Graphics System Configuration Settings

Two settings for your graphics system configuration will affect the preview. To access these settings, enter 3dconfig, and click Manual Tune to display the Manual Performance Tuning dialog box.

  • Texture Compression. When Texture Compression is turned on, there is a reduction in the quality of the images in the drawing when they are previewed. Texture Compression does not affect viewports that are rendered. To identify whether Texture Compression is turned on, look at the Hardware Effects List in the Manual Performance Tuning dialog box.
  • Hardware Acceleration. When hardware acceleration is turned on or off, but does not support shadows, it is possible to preview a drawing that contains shaded viewports with unsupported hardware effects by the graphics card through software emulation. To enable the software emulation of hardware effects that are not supported by your graphics card, in the Manual Performance Tuning dialog box, click Emulate unsupported hardware effects in software when plotting. The unsupported effects will not appear in the viewport in real-time, but will appear when previewing the drawing.

Preview Window Toolbar

Provides options in the Preview window.

Plot

Plots the drawing as it is displayed in the full-sheet preview, and then exits Plot Preview.

Pan

Displays the pan cursor, a hand cursor that you can use to pan the preview image. Hold down the pick button and drag the cursor in any direction. The pan cursor stays active until you click another button.

Zoom

Displays the zoom cursor, a magnifying-glass cursor that you can use to enlarge or reduce the preview image. To enlarge the image, hold down the pick button and drag the cursor toward the top of the screen. To reduce the image, hold down the pick button and drag the cursor toward the bottom of the screen.

Zoom Window

Zooms to display a specified window. Zoom Window works with both the zoom cursor and the pan cursor.

Zoom Original

Restores the initial full-sheet preview. Zoom Original works with both the zoom cursor and the pan cursor.

Close Preview Window

Closes the Preview window.


PROPERTIES (Quick Reference)

PREVIEW
PROPERTIES
Properties Palette
Commands > P commands >
PROPERTIES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls properties of existing objects.

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Properties
Menu: Modify [image] PropertiesDoes not exist in the menus.
Toolbar: Standard
Shortcut menu: Select the objects whose properties you want to view or modify, right-click in the drawing area, and click Properties.
Command entry: properties

Summary

When more than one object is selected, only those properties common to all selected objects are displayed.

When no objects are selected, only the current settings of general properties are displayed.

The Properties palette is displayed. The Properties palette lists properties of the selected object or set of objects.

You can also view or modify properties of third-party application objects that are based on AutoCAD application programming interface (API) standards.

There are several general properties common to all objects. All other object properties are specific to the type of object.


Properties Palette (Quick Reference)

PROPERTIES
PROPERTIES
General Properties of Objects
Commands > P commands > PROPERTIES >
Properties Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Properties
Menu: Modify [image] PropertiesDoes not exist in the menus.
Toolbar: Standard
Shortcut menu: Select the objects whose properties you want to view or modify, right-click in the drawing area, and click Properties.
Command entry: properties

Displays the properties of the selected object or set of objects.

  • When more than one object is selected, only those properties common to all selected objects are displayed.
  • When no objects are selected, only the current settings of general properties are displayed.

You can specify a new value to modify any property that can be changed. Click the value and use one of the following methods:

  • Enter a new value.
  • Click the down arrow at the right and select a value from the list.
  • Click the Pick Point button to use the pointing device to change a coordinate value.
  • Click the QuickCalc calculator button to calculate a new value.
  • Click the left or right arrow to increase or decrease the value.
  • Click the {...} button and change the property value in a dialog box.
Object Type

Displays the type of object that is selected.

Toggle Value of PICKADD Sysvar

Turns the PICKADD system variable on (1) and off (0). When PICKADD is on, each object selected, either individually or by windowing, is added to the current selection set. When PICKADD is off, selected objects replace the current selection set.

Select Objects

Selects desired objects using any selection method. The properties common to the selected objects are displayed in the Properties palette. You can then modify the properties of the selected objects in the Properties palette, or you can make other changes to the selected objects by entering an editing command.

Quick Select

Displays the Quick Select dialog box . Use Quick Select to create selection sets based on filtering criteria.

The following shortcut menu options are available when you right-click the title bar.

Move

Displays a four-headed arrow cursor that you can use to move the palette. The palette does not dock.

Size

Displays a four-headed arrow cursor that you can use to drag an edge or a corner to make the palette smaller or larger.

Close

Closes the Properties palette.

Allow Docking

Toggles the ability to dock or anchor palette windows. If this option is selected, a window can be docked when you drag it over a docking area at the side of a drawing. A docked window adheres to the side of the application window and causes the drawing area to be resized. Selecting this option also makes Anchor Right and Anchor Left available.

Anchor Right/ Anchor Left

Attaches the Properties palette to an anchor tab base at the right or left side of the drawing area. The palette rolls open and closed as the cursor moves across it. When an anchored palette is open, its content overlaps the drawing area. An anchored palette cannot be set to stay open.

Auto-hide

Causes a floating palette to roll open and closed as the cursor moves across it. When this option is cleared, the palette stays open.

Transparency

Displays the Transparency dialog box.


General Properties of Objects (Quick Reference)

Properties Palette
PROPERTIES
Cell Border Properties Dialog Box
Commands > P commands > PROPERTIES >
General Properties of Objects
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The following general properties are common to most objects and custom objects (third-party application objects based on AutoCAD API standards).

NoteIn the Properties palette, layers or objects that are assigned property overrides in viewports display a ByLayer (VP) value and a background color for applicable properties.
Color

Specifies the color for objects. Selecting Select Color in the color list displays the Select Color dialog box (see COLOR).

You can use the Select Color dialog box to define the color of objects by selecting from the 255 AutoCAD Color Index (ACI) colors, true colors, and color book colors.

Layer

Specifies the current layer of the object. The list shows all layers in the current drawing (see LAYER).

Linetype

Specifies the current linetype of the object. The list shows all linetypes in the current drawing (see LINETYPE).

Linetype Scale

Specifies the linetype scale factor of the object (see LTSCALE).

Plot Style

Lists NORMAL, BYLAYER, BYBLOCK, plus any plot styles contained in the current plot style table (see PLOTSTYLE).

Lineweight

Specifies the lineweight of the object. The list shows all available lineweights in the current drawing (see LWEIGHT).

Hyperlink

Attaches a hyperlink to a graphical object. If a description has been assigned to the hyperlink, the description is displayed. If no description has been assigned, the URL is displayed (see HYPERLINK).

Thickness

Sets the current 3D thickness. This property does not apply to all objects (see CHPROP).


Cell Border Properties Dialog Box (Quick Reference)

General Properties of Objects
PROPERTIES
Add Distance or Angle Value Dialog Box
Commands > P commands > PROPERTIES >
Cell Border Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Pointing device: With a table cell selected and the Properties palette open, click in the value cell for Border Lineweight or Border Color, and click the [...] button.

Sets the properties of the borders of table cells.

Border Properties

Controls the properties of the borders of the selected table cells.

Lineweight

Sets the lineweight to be used for borders that are displayed. If you use a heavy lineweight, you may have to change the cell margins.

Linetype

Sets the linetype to be used for borders that are displayed. You can choose Other to display the Choose Linetype Dialog Box.

Color

Sets the color to be used for borders that are displayed. You can choose Select Color to display the Select Color dialog box.

Double Line

When checked, a double line border will be added to the selected cells.

Spacing

Determines the spacing of double-line borders. The default value is .1800.

Preview

Specifies which borders of the selected table cell have the Border Properties settings applied, and displays the results of the current settings. Click a gridline in the preview to apply properties to it.

NoteLinetypes will not display in the preview window.
All Borders

Applies the border properties settings to all borders of the selected table cells.

Outside Borders

Applies the border properties settings to the outside borders of the selected table cells.

Inside Borders

Applies the border properties settings to the inside borders of the selected table cells.

No Borders

Applies the border properties settings to none of the borders of the selected table cells.

Top Border

Applies the border properties setting to the top borders of the selected table cells.

Inside Horizontal Border

Applies the border properties setting to the inside horizontal borders of the selected table cells.

Bottom Border

Applies the border properties setting to the bottom borders of the selected table cells.

Left Border

Applies the border properties setting to the left borders of the selected table cells.

Inside Vertical Border

Applies the border properties setting to the inside vertical border of the selected table cells.

Right Border

Applies the border properties setting to the right border of the selected table cells.


Add Distance or Angle Value Dialog Box (Quick Reference)

Cell Border Properties Dialog Box
PROPERTIES
Lighting Properties
Commands > P commands > PROPERTIES >
Add Distance or Angle Value Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds distance or angle values to a parameter's value set in a dynamic block definition.

Distances or Angle to Add

Specifies values (separated by commas) to add to the value set.

Distances or Angles List (Unlabeled)

Lists the distances or angles defined for the value set.

Add

Adds the values specified in the Distances or Angle to Add box.

Delete

Deletes the selected value.


Lighting Properties (Quick Reference)

Add Distance or Angle Value Dialog Box
PROPERTIES
Lamp Intensity Dialog Box
Commands > P commands > PROPERTIES >
Lighting Properties
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the properties of the lights. Different properties area available depending on the lighting units (standard or photometric) and lighting type (Spotlight, Pointlight, or Weblight). Other lighting types such as Freespot, Targetpoint, and Freeweb display similar properties. By right-clicking on a light and clicking Properties, the Lighting Properties palette is displayed.

General Properties

Under the General panel, the following property settings are available:

Name

Specifies the name of the light.

Type (Light Distribution)

Specifies the type of light. Determines the distribution of light from the . The type of lighting can be changed after the light has been added to the drawings.

  • Spotlight - Default value for Spotlight and Freespot lights.
  • Point - Default for Pointlight and Targetpoint lights.
  • Web - Default for Weblight and Freeweb lights.
On/Off Status

Indicates whether the light is on or off.

Shadows

Indicates if the light is casting a shadow.

Hotspot Angle (Spotlight and Freespot only)

Specifies the angle of the brightest cone of light. Settings can be calculated by using the QuickCalc Calculator.

Falloff angle (Spotlight and Freespot only)

Specifies the outer extremity of the light, where it meets the darkness.

Intensity Factor

Magnifies the effect of the skylight.

Filter Color

Specifies the secondary color of the light. Represents the color of a physical filter over the lamp. Default color is white.

When lighting is set to photometric units this represents a secondary color filter on the light. When lighting is set to generic lighting this represents the total color of the light.

Plot Glyph

Allows the ability to plot the drawing with the glyphs on.

Photometric Properties

Under the Photometric Properties panel, the following property settings are available:

Lamp Intensity

Specifies the inherent brightness of the light. Specifies the intensity, flux, or illuminance of the lamp. Default units are candela. Activates the Lamp Intensity dialog box, where units can be modified.

Resulting Intensity

Reports the final brightness of the light. This is determined by the product of the Lamp Intensity and the Intensity factor. This value is calculated in the Lamp Intensity Dialog box. (Read-only)

Lamp Color

Specifies the inherent color of the light in Kelvin temperature or standard. The button activates the Lamp Color dialog box.

Resulting Color

Reports the final color of the light. This is determined by a combination of the Lamp Color and the Filter Color. (Read-only)

Photometric Web

Under the Photometric Web panel, the following property settings are available under the Weblight and Freeweb types of lights:

Web File

Specifies the data file describing the intensity distribution of the light.

Web Preview

Displays a 2D slice through goniometric data.

Web Offsets

Under the Web offsets panel, the following property settings are available under the Weblight and Freeweb types of lights:

Rotation X

Specifies a rotational offset of the web about the optical X axis. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Rotation Y

Specifies a rotational offset of the web about the optical Y axis. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Rotation Z

Specifies a rotational offset of the web about the optical Z axis. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Geometry

Under the Geometry panel, the following property settings are available:

Position X

Specifies the X coordinate position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Position Y

Specifies the Y coordinate position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Position Z

Specifies the Z coordinate position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Target X (Spotlight, Targetpoint, and Weblight only)

Specifies the X coordinate target position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Target Y (Spotlight, Targetpoint, and Weblight only)

Specifies the Y coordinate target position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Target Z (Spotlight, Targetpoint, and Weblight only)

Specifies the Z coordinate target position of the light. Settings can be calculated by using the QuickCalc Calculator or by selecting a point.

Targeted

Specifies if the light displays a target grip for orienting the light. No is the default for Freespot, Pointlight, and Freeweb. Yes is the default for Spotlight, Targetpoint, and Weblight.

Attenuation

In the real world, the intensity of light diminishes over distance. Objects far from the light source appear darker than objects near the source. This effect is known as attenuation. Attenuation is available under standard lighting workflow only. Under the Attenuation panel the following property settings are available:

Type

Controls how light diminishes over distance. The farther away an object is from a spotlight, the darker the object appears. Attenuation is also known as decay.

  • Inverse Linear (Standard lights only). Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the point light; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
  • Inverse Square (Photometric lights). Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the spotlight; at a distance of 4 units, light is one sixteenth as strong.
  • None (Standard lights only). Sets no attenuation. Objects far from the point light are as bright as objects close to the light.
Use Limits (Standard lights only)

Specifies whether to use limits. The default is No.

Start Limit Offset (Standard lights only)

Specifies the point where light starts as an offset from the center of the light. The default is 1.

End Limit Offset (Standard lights only)

Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point.

Rendered Shadow Details

Under the Rendered Shadow Details panel, the following property settings are available:

Type

Specifies the type of shadow cast by the light.

  • Soft (shadow map). Sets the type to Soft. This selection activates additional options for Map size and Softness.
  • Sharp (default). Sets the rendered shadow to sharp.
  • Soft (sampled). Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the spotlight; at a distance of 4 units, light is one sixteenth as strong.
Map Size (Soft shadow map type only)

Specifies the size of the shadow map.

Softness (Soft shadow map type only)

Specifies the softness or fuzziness of the shadow-mapped shadow.

Samples (Soft sampled type only)

Specifies the number of shadow rays for the light. Settings can be calculated by using the QuickCalc Calculator.

Visible Render (Soft sampled type only)

Specifies whether the light shape is actually rendered. The default is No.

Shape (Soft sampled type only)

Specifies the shape of the lamp bulb. For the Spotlight distribution type selection under the General panel, options are Rectangle (default) and Disk. For Point and Web types the options are Linear, Rectangle, Disk, Cylinder and Sphere (default).

Length (Soft sampled type only)

Specifies spacial dimension of shadow shape for the length of the shadow. Settings can be calculated by using the QuickCalc Calculator.

Width (Soft sampled type only)

Specifies spacial dimension of shape for the width of the shadow. Settings can be calculated by using the QuickCalc Calculator.

Radius (Soft sampled type only)

Specifies spacial radius dimension of the shape selection of disk, cylinder, or sphere. Settings can be calculated by using the QuickCalc Calculator.


Lamp Intensity Dialog Box (Quick Reference)

Lighting Properties
Lighting Properties
Lamp Color Dialog Box
Commands > P commands > PROPERTIES > Lighting Properties >
Lamp Intensity Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Modifies the brightness of a lamp.

Lamp Intensity Property Settings

Dialog box for setting the Lamp Intensity for a photometric light.

Lamp Intensity

Represents the brightness of a lamp. More specifically, it represents the luminous intensity, or power in a particular direction. It is specified in candela by default (in both the SI and American units systems). Must select from one of the following radial buttons:

  • Intensity (Candela). Specifies the number of candelas (cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction).
  • Flux (Lumen). Represents the rate of total energy leaving the lamp. It is specified in lumens (SI and American). Mathematically, the flux is the integral of the luminous intensity over the sphere. The calculation of flux depends on the distribution of intensities. For a point light with constant intensity, the flux is simply the product of the intensity and the solid angle of a sphere: 4 Pi * Intensity. For a spot light, the flux is the product of the intensity and the solid angle of the hotspot cone, plus the incremental solid angle of the fall-off region. For a weblight, there isn’t any analytical formula. The flux is obtained by numerically integrating the intensities provided in the web file.
  • Illuminance (Foot-candles). Represents the energy per area arriving at a surface (Area-flux-density). It is specified in lux (SI) and foot-candles (American). For a near light, because the light rays are diverging, you have to talk about the illuminance at a specific distance from the lamp. So this requires an extra control to specify this distance and an additional affordance in the viewport to show the distance.
Intensity Input Control

Controls the intensity value.

Distance

When Illuminance is selected, displays the lux as a distance glyph in the viewport for the given light. Note: the text for the illuminance radio button will depend on the current lighting units. For the SI system, this will be “Illuminance (Lux),” and for the American system, it will be “Illuminance (Footcandles).” The distance field represents a world distance and should be formatted in the current length unit corresponding to the current lighting units. The distance field represents a world distance and should be formatted in the current length unit corresponding to the current insertion units controlled by the INSUNITS systems variable.

Resulting Intensity

Specifies the type of light. Determines the distribution of light from the lamp. The type of lighting can be changed after the light has been added to the drawings.

  • Intensity Factor. Specifies the intensity factor.
  • Resulting Intensity.Displays the resulting intensity of a light as the product of the Lamp Intensity value and the Intensity Factor. The value is read-only.


Lamp Color Dialog Box (Quick Reference)

Lamp Intensity Dialog Box
Lighting Properties
PROPERTIESCLOSE
Commands > P commands > PROPERTIES > Lighting Properties >
Lamp Color Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides settings for the lamp color.

Lamp Color Settings

Dialog box for setting the Lamp Color for a photometric light.

Color Type

In photometric mode specifies lamp color either as a CIE standard illuminant (D65 standard daylight) or as a Kelvin color temperature.

  • Standard Colors. Provides a fixed list of standard colors (spectra).
  • Kelvin Colors. Specifies a single temperature value for the color. (The color corresponds to the glow of an ideal blackbody at that temperature.) Kelvin temperature is a number in the range of 1000-20000.
Resulting Color

Shows the result of modulating the lamp color by the Filter color. A text field displays the RGB component values of the resulting color.

  • Filter Color. Provides a drop-down list for selecting a standard color or launching a standard color selection dialog box.
  • Resulting Color. Shows the resulting color of a light that is the product of the lamp color and the filter color.


PROPERTIESCLOSE (Quick Reference)

Lamp Color Dialog Box
PROPERTIESCLOSE
PSETUPIN
Commands > P commands >
PROPERTIESCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Properties palette.

Command entry: propertiesclose

The Properties palette closes.


PSETUPIN (Quick Reference)

PROPERTIESCLOSE
PSETUPIN
-PSETUPIN
Commands > P commands >
PSETUPIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Imports a user-defined page setup into a new drawing layout.

Command entry: psetupin

The Select Page Setup From File dialog box (a standard file selection dialog box) is displayed in which you can select the drawing (.dwg), template (.dwt), or drawing interchange format (.dxf) file whose page setups you want to import.

If FILEDIA is set to 0 (zero) and you enter -psetupin at the Command prompt, PSETUPIN displays command prompts.

When you select the drawing file that you want to use, the Import Page Setups dialog box is displayed.


-PSETUPIN (Quick Reference)

PSETUPIN
PSETUPIN
PSPACE
Commands > P commands > PSETUPIN >
-PSETUPIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -psetupin at the Command prompt, the following prompts are displayed.

Enter file name:

Enter user defined page setup to import or [?]:


PSPACE (Quick Reference)

-PSETUPIN
PSPACE
PUBLISH
Commands > P commands >
PSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Switches from a model space viewport to paper space.

Command entry: pspace

The program switches from model space to paper space when you are working on a layout tab.

On the layout tab, use paper space to create a finished layout of a drawing for printing. As part of designing your layout, you create layout viewports, which are windows containing different views of the model. By switching from paper space to model space (see MSPACE), you can edit the model and views within the current layout viewport.

You can make a viewport current by double-clicking inside it. You can switch to paper space by double-clicking an area of the paper space layout that is not within a viewport.

When in paper space, you can also switch to model space by clicking Model on the status bar. If you are in model space, you can switch to the last paper space b clicking Paper on the status bar.

You can also switch between layout and model tabs at the end of the drawing area.

NoteThe layout and Model tabs are only displayed if you have selected the Display Layout and Model Tabs in the Display Tab (Options Dialog Box).


PUBLISH (Quick Reference)

PSPACE
PUBLISH
Publish Dialog Box
Commands > P commands >
PUBLISH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Publishes drawings to DWF, DWFx, and PDF files, or to plotters.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Toolbar: Standard
Command entry: publish

Summary

You can assemble a collection of drawings and create a paper or an electronic drawing set. Electronic drawing sets are saved as DWF, DWFx, and PDF files. DWF and DWFx files can be viewed or plotted using Autodesk Design Review. PDF files can be viewed wtih a PDF viewer.

Select an Exising Drawing Set Description

If you enter +publish at the Command prompt, you can select an existing Drawing Set Descriptions (DSD) file from the Select List of Sheets dialog box (a standard file selection dialog box). The Publish dialog box opens and displays the drawing set saved in the DSD file under Sheets to Publish.

With the FILEDIA system variable set to 0, if you enter -publish at the Command prompt, options are displayed.


Publish Dialog Box (Quick Reference)

PUBLISH
PUBLISH
Publish Options Dialog Box
Commands > P commands > PUBLISH >
Publish Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Summary

Specifies drawing sheets that you can assemble, reorder, rename, copy, and save for publishing as a multi-sheet drawing set. You can publish the drawing set to a DWF, DWFx, or PDF file or send it to the plotter named in the page setup for hardcopy output or as a plot file. You can save this list of drawing sheets as a DSD (Drawing Set Descriptions) file. Saved drawing sets can replace or be appended to the current list for republishing.

Specifies drawing sheets that you can assemble, reorder, rename, copy, and save for publishing as a multisheet drawing set. You can publish the drawing set to a DWF, DWFx, or PDF file or sent it to the plotter named in the page setup for hardcopy output or as a plot file.

List of Options

The following options are available in this dialog box.

Sheet List

Displays the current drawing set (DSD) or batch plot (BP3) file.

Load Sheet List Button

Displays the Load Sheet List dialog box (a standard file selection dialog box), in which you can select a DSD file or a BP3 (Batch Plot) file to load. Displays the Replace or Append dialog box if a list of drawing sheets is present in the Publish Drawing Sheets dialog box. You can either replace the existing list of drawing sheets with the new sheets or append the new sheets to the current list.

Save Sheet List Button

Displays the Save List As dialog box (a standard file selection dialog box), in which you can save the current list of drawings as a DSD file. DSD files are used to describe lists of drawing files and selected lists of layouts within those drawing files.

Publish To:

Defines how to publish the list of sheets. You can publish to either a multi-sheet DWF, DWFx, or PDF file (an electronic drawing set) or to the plotter specified in the page setup (a paper drawing set or a set of plot files).

Plotter Named in Page Setup

Indicates that the output devices given for each drawing sheet in the page setup will be used.

DWF, DWFx, and PDF

Selects the output file format: DWF, DWFx, or PDF.

Automatically Load All Open Drawings

When selected, the contents of all open documents (layouts and/or model space) are automatically loaded in the publish list. When not selected, only the current document’s contents are loaded in the publish list.

List of Sheets Buttons

Add Sheets Button

Displays the Select Drawings dialog box (a standard file selection dialog box), in which you can select drawings to add to the list of drawing sheets. The layout names from those files are extracted, and one sheet is added to the list of drawing sheets for each layout and model.

The initial drawing sheet names are constructed from the base drawing name and the layout name or the word Model separated by a dash (-).

Remove Sheets Button

Deletes the selected drawing sheets from the list of sheets.

Move Sheet Up Button

Moves the selected drawing sheets up one position in the list.

Move Sheet Down Button

Moves the selected drawing sheets down one position in the list.

Preview Button

Displays the drawing as it will appear when plotted on paper by executing the PREVIEW command. To exit the print preview and return to the Publish dialog box, press ESC, press ENTER, or right-click and then click Exit on the shortcut menu.

NoteThe Preview button is inactive when a sheet has a 3D DWF page setup.

Sheets to Publish

Contains the list of drawing sheets to be included for publishing. Click the page setup column to change the sheet’s settings. Use the shortcut menu to add sheets or make other changes to the list.

Sheet Name

Combines the drawing name and the layout name with a dash (-). Includes the Model tab only if the Include Model When Adding Sheets option is selected. You can copy sheets by clicking Copy Selected Sheets on the shortcut menu. You can change the name shown in Sheet Name by clicking Rename Sheet on the shortcut menu. Drawing sheet names must be unique within a single DWF, DWFx, or PDF file. The shortcut menu also provides an option for removing all the sheets from the list.

NoteThe drawing sheets that populate the Sheets to Publish list are controlled by the PUBLISHALLSHEETS system variable.
Page Setup / 3D DWF

Displays the named page setup for the sheet. You can change the page setup by clicking the page setup name and selecting another page setup from the list. Only Model tab page setups can be applied to Model tab sheets, and only paper space page setups can be applied to paper space layouts. Select Import to import page setups from another DWG file through the Import Page Setups for Publishing dialog box (a standard file selection dialog box).

You have the option to set the page setup for model space sheets to 3D DWF or 3D DWFx. The 3D DWF option is not available for layout entries in the sheet list.

Status

Displays the status of the sheet when it is loaded to the list of sheets.

Show Details

Displays and hides the Selected Sheet Information and Selected Page Setup Information areas.

Selected Sheet Details

Displays the following information about the selected page setup: plot device, plot size, plot scale, and details.

Publish Options Information

Publish Options

Opens the Publish Options dialog box, in which you can specify options for publishing.

Publish Output

Number of Copies

Specifies the number of copies to publish. If the Publish to DWF, DWFx, or PDF option is selected, the Number of Copies setting defaults to 1 and cannot be changed. If a sheet's page setup specifies to plot to file, then the number set in this option is ignored and a single plot file is created.

Precision

Optimizes the dpi of DWF, DWFx, and PDF files for your field: manufacturing, architecture or civil engineering. Or you can configure a custom precision preset in the Precision Presets Manager.

This setting overrides the dpi setting in the .PC3 driver. This option is grayed out if no file type is selected in the Publish to: drop-down list.

NoteThe precision override is applied to all sheets in the list except model sheets that are exported to 3D DWF.
Include Plot Stamp

Places a plot stamp on a specified corner of each drawing and logs it to a file. The plot stamp data is specified in the Plot Stamp Dialog Box.

While this check box remains active for sheets that are set for 3D DWF publishing, no plot stamp is added to 3D DWF or 3D DWFx files even if the check box is checked.

Plot Stamp Settings

Displays the Plot Stamp Dialog Box, in which you can specify the information, such as drawing name and plot scale, that you want applied to the plot stamp

Publish in Background

Toggles background publishing for the selected sheet/s.

You can also set the background publishing in the Plot and Publish tab (Tools menu [image] Options). Select the Publishing checkbox in the Background processing options group.

Send the Sheets to the Plotter in Reverse Order

When selected, sends sheets to the plotter in reverse of default order. This option is available only if the Plotter Named in Page Setup option is selected.

Open in Viewer when Done

When publishing completes, the DWF, DWFx or PDF file will open in a viewer application.

Publish

Starts the publishing operation. Creates one or more single-sheet DWF, DWFx, or PDF files or a single multi-sheet DWF, DWFx, or PDF file, or plots to a device or file, depending on the option selected in the Publish To area and the options selected in the Publish Options dialog box.

To display information about the published drawing set, including any errors or warnings, click the Plotting Details Report Available icon in the status tray on the right side of the status bar. Clicking this icon displays the Plot and Publish Details dialog box, which provides information about your completed plot and publish jobs. This information is also saved to the Plot and Publish log file. The shortcut menu for this icon also provides an option to view the most recently published DWF, DWFx, or PDF file.


Publish Options Dialog Box (Quick Reference)

Publish Dialog Box
PUBLISH
Publish Block Template Dialog Box (Publish)
Commands > P commands > PUBLISH >
Publish Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies options for publishing.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Summary

Specifies general options for the published DWF, DWFx, or PDF file such as the file name, the save location, and layer information.

List of Options

Default Output Location (Plot to File)

Specifies the output folder location where DWF, DWFx, PDF, and plot files are saved when you publish drawing sheets.

General DFW/PDF Options

Specifies options for creating a single-sheet DWF or DWFx file.

Type

Specifies that a single-sheet DWF, DWFx, or PDF file or a single multi-sheet DWF, DWFx, or PDF file is generated for all the sheets listed in the Publish Dialog Box.

Naming

Option

Description

Prompt for Name

Indicates that you will be prompted for a name and location to publish the multi-sheet DWF, DWFx, or PDF files.

Specify Name

Prompts you for a name and location to publish the multi-sheet DWF, DWFx, or PDF files.

Name

Enables you to specify the data that you can optionally include in the DWF, DWFx or PDF file.

Layer Information

Specifies whether layer information is included in the published DWF, DWFx or PDF file.

NoteLayer information for 3D DWF or 3D DWFx entries does not get published.
Merge Control

Specifies whether overlapping lines merge (the colors of the lines blend together into a third color) or overwrite (the last plotted line obscures the line beneath it).

DWF Data Options

Lists and enables you to specify the data that you can optionally include in the DWF or DWFx file.

Password Protection

Specifies the following options for protecting DWF or DWFx files with passwords:

Option

Description

Disabled

Specifies that no password is required.

Prompt for Password

Displays the DWF Password Dialog Box when you click Publish.

Specify Password

Specifies that the password in the password box is applied to the DWF or DWFx file. When you select this option, the Password box becomes available, and you must enter a password.

NoteIf you lose or forget the password, it cannot be recovered. Keep a list of passwords and their corresponding DWF or DWFx file names in a safe place.
Password

Specifies that published DWF or DWFx files have a password applied to them. A recipient of a DWF or DWFx file that has a password applied to it must have the password to open the DWF or DWFx file.

Block Information

Specifies whether block property and attribute information is included in the published DWF or DWFx files.

NoteYou must set block information to Include in order for block template file information to be available.
Block Template File

Provides options for creating a new block template (DXE) file, editing an existing block template file, or using the settings of a previously created block template file.

Create opens the Publish Block Template dialog box, in which you can create a new block template.

Edit opens the Select Block Template dialog box (a standard file selection dialog box), in which you can select an existing block template to modify.

NoteWhen only 3D DWF or 3D DWFx files are queued for publishing, Block Information and Block Template File are set to N/A and cannot be changed.

3D DWF Options

Group By Xref Hierarchy

Arranges objects by xref hierarchy in the viewer. If set to No, xrefs are listed in the viewer like any other objects. Default = No.

Publish With Materials

Most materials you have assigned to your model will be published to the 3D DWF or 3D DWFx file. If your material contains texture mapping, only the Diffuse Map is published along with its scale and orientation data. Default = Yes.

NoteWhen only 2D DWF files are queued for publishing, all of the 3D DWF Options are set to N/A and cannot be changed.


Publish Block Template Dialog Box (Publish) (Quick Reference)

Publish Options Dialog Box
PUBLISH
Block Template Options Dialog Box (Publish)
Commands > P commands > PUBLISH >
Publish Block Template Dialog Box (Publish)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Specifies which blocks and their properties and attributes to include in the published DWF or DWFx file.

Current Template

Displays the name of the current block template.

Block Source Drawings

Displays all block source drawings that have been loaded into the Publish Block Template dialog box.

Add

Adds drawings to the list of block source drawings.

Remove

Removes selected drawings from the list of block source drawings.

Scan for Blocks

Scans block source drawings for unique definitions of blocks and their properties and attributes.

Block Data to Publish

Displays block data to publish.

Unique Blocks from Source Drawings

Displays unique blocks found in block source drawings.

Check Blocks to Publish

Displays all scanned blocks found in block source drawings.

Exclude Blocks Without Attributes

Excludes blocks without attributes defined.

Properties of Selected Blocks

Displays properties of selected blocks found in block source drawings.

Check Properties to Publish

Displays the union of properties of the current selection of blocks.

Exclude General Block Properties

Excludes all general block properties from the list display.

Options

Opens the Block Template Options dialog box where you can specify additional settings.

Save

Saves the block template file.


Block Template Options Dialog Box (Publish) (Quick Reference)

Publish Block Template Dialog Box (Publish)
PUBLISH
DWF Password Dialog Box
Commands > P commands > PUBLISH >
Block Template Options Dialog Box (Publish)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Specifies optional settings to include blocks within blocks and to include blocks within xrefs in the published DWF or DWFx file.

Include Nested Blocks

Includes blocks within blocks in the published DWF or DWFx file.

Include Blocks in Xrefs

Includes blocks within xrefs in the published DWF or DWFx file.


DWF Password Dialog Box (Quick Reference)

Block Template Options Dialog Box (Publish)
PUBLISH
Confirm DWF Password Dialog Box
Commands > P commands > PUBLISH >
DWF Password Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Specifies the password to apply to the DWF or DWFx file. DWF or DWFx passwords are case sensitive. The password or phrase can be made up of letters, numbers, punctuation, or non-ASCII characters.

WarningIf you lose or forget the password, it cannot be recovered. Keep a list of passwords and their corresponding DWF or DWFx file names in a safe place.

When you enter a password and click OK, the Confirm DWF Password dialog box is displayed.


Confirm DWF Password Dialog Box (Quick Reference)

DWF Password Dialog Box
PUBLISH
Publish Job Progress Dialog Box
Commands > P commands > PUBLISH >
Confirm DWF Password Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Provides a space to confirm the password that you entered in the DWF Password dialog box. If the two passwords do not match, you must click Publish again to reenter the correct password.


Publish Job Progress Dialog Box (Quick Reference)

Confirm DWF Password Dialog Box
PUBLISH
+PUBLISH
Commands > P commands > PUBLISH >
Publish Job Progress Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] Batch PlotNot available on the ribbon in the current workspace
Menu: File [image] PublishNot available in menus in the current workspace
Command entry: publish

Displays information about the status and progress of your publish job if background publishing is turned off in the Options dialog box, Plot and Publish tab.

Cancel Sheet

Cancels publishing of the sheet currently being processed.

Cancel Job

Cancels the publish job.


+PUBLISH (Quick Reference)

Publish Job Progress Dialog Box
PUBLISH
PUBLISHTOWEB
Commands > P commands > PUBLISH >
+PUBLISH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: -publish

The Command prompt version of PUBLISH provides an interface for publishing drawing sheets that can be controlled by a script. It also provides a simplified method for regenerating DWF or DWFx files or plotted output from existing DSD files.

With the FILEDIA system variable set to 0 (or if you are running a script or other automation), enter -publish or +publish at the Command prompt. The following prompt is displayed:

Enter name of sheet list <path file name.dsd>: Press ENTER for the current drawing or enter the sheet list name

NoteThe bracketed text <DSD file name> contains the name of the DSD file used when this command was last run. The bracketed text area is blank if no previous name exists. If you enter a tilde (~) for the file name, the standard file selection dialog box is displayed regardless of the FILEDEA setting.

The file name is validated and the list of sheets is loaded.

When -PLOT, PLOT, -PUBLISH, and PUBLISH are used in a script (SCR file), the BACKGROUNDPLOT system variable value is ignored, and -PLOT, PLOT, -PUBLISH, and PUBLISH are processed in the foreground.

Once the publish job starts, each drawing sheet name is listed along with an appropriate message. Drawing sheets not found or not initialized are indicated with an error message.

When the publish job is complete, the details can be viewed in the Plot and Publish Details dialog box.

A log file is written during the publish operation. The log file contains the drawing sheet name, layout name, full drawing name, path name, and status. The log file name is derived from the name of the sheet list file with CSV replacing the DSD file extension.

NoteAny existing log file is overwritten by a new log file without any warning message being displayed.


PUBLISHTOWEB (Quick Reference)

+PUBLISH
PUBLISHTOWEB
Publish to Web Wizard
Commands > P commands >
PUBLISHTOWEB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates HTML pages that include images of selected drawings.

Menu: File [image] Publish to WebDoes not exist in the menus.
Command entry: publishtoweb

This wizard provides a simplified interface for creating formatted web pages that include DWF, DWFx, JPEG, or PNG images of drawings. After creating a web page, you can post it to an Internet or intranet location.

The Publish to Web wizard is displayed.


Publish to Web Wizard (Quick Reference)

PUBLISHTOWEB
PUBLISHTOWEB
PURGE
Commands > P commands > PUBLISHTOWEB >
Publish to Web Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Ribbon: Output tab [image] Publish panel [image] Publish to Web. Not available on the ribbon in the current workspace.
Menu: File [image] Publish to WebDoes not exist in the menus.
Command entry: publishtoweb

Creates a formatted HTML page. You can choose from a number of different formatting options that control the layout of your completed HTML page. After creating an HTML page, you can use the wizard to publish the page to an Internet or intranet location.

You can also use the wizard to modify existing HTML pages that were created using the PUBLISHTOWEB command.

You can customize the template you use for your web page. For information about customizing templates, see Customize a Publish to Web Template in the Customization Guide.


PURGE (Quick Reference)

Publish to Web Wizard
PURGE
Purge Dialog Box
Commands > P commands >
PURGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Removes unused items, such as block definitions and layers, from the drawing.

Access Methods

Menu: Application menu [image] Drawing Utilites [image] Purge
Command entry: purge

Summary

The Purge dialog box is displayed.

If you enter -purge at the Command prompt, options are displayed.

Unused named items can be removed from the current drawing. These include include block definitions, dimension styles, layers, linetypes, and text styles. Zero-length geometry and empty text objects can also be removed.

NoteThe PURGE command will not remove unnamed objects (zero-length geometry or empty text and mtext objects) from blocks or locked layers.


Purge Dialog Box (Quick Reference)

PURGE
PURGE
-PURGE
Commands > P commands > PURGE >
Purge Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Tools tab [image] Drawing Utilities panel [image] Purge. Not available on the ribbon in the current workspace.
Menu: Application menu [image] Drawing Utilites [image] Purge
Command entry: purge

Summary

Displays items that can be purged.

List of Options

Named Objects

View Items You Can Purge

Switches the tree view to display a summary of named objects in the current drawing that you can purge.

Items Not Used in Drawing

Lists the named objects that are not used in the current drawing and that can be purged.

You can list the items for any object type by clicking the plus sign or by double-clicking the object type. You purge items by selecting the item to purge.

Purge Nested Items removes items only when you select one of the following options:

  • All Items or Blocks in the tree view
  • The Purge All button
View Items You Cannot Purge

Switches the tree view to display a summary of named objects in the current drawing that you can't purge.

Items Currently Used in Drawing

Lists named objects that cannot be removed from the drawing.

Most of these objects are currently used in the drawing or are default items that cannot be removed.

When you select individual named objects, information about why you can't purge the item is displayed below the tree view.

Confirm Each Item to Be Purged

Displays the Confirm Purge dialog box when you purge an item.

Purge Nested Items

Removes all unused named objects from the drawing even if they are contained within or referenced by other unused named objects.

The Confirm Purge dialog box is displayed, and you can cancel or confirm the items to be purged.

Tip

Displays information detailing why you can't purge the selected item.

Purge

Purges the selected items.

Purge All

Purges all unused items.

Unnamed Objects

Purge zero-length geometry and empty text objects

Deletes geometry of zero length (lines, arcs, polylines and so on) in non-block objects. Also deletes mtext and text that contains only spaces (no text) in non-block objects.

NoteThe PURGE command will not remove zero-length geometry or empty text and mtext objects from blocks or locked layers.


-PURGE (Quick Reference)

Purge Dialog Box
PURGE
PYRAMID
Commands > P commands > PURGE >
-PURGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: -purge

Summary

The -purge command provides the ability to remove unused items from a drawing through scripts. -PURGE removes only one level of reference. Repeat -PURGE until there are no unreferenced, named objects. You can use PURGE or -PURGE at any time during a drawing session.

NoteThe PURGE command will not remove unnamed objects (zero-length geometry or empty text and mtext objects) from blocks or locked layers.

List of Prompts

The following prompts display.

Type of Unused Objects to Purge

Deletes an object type, unused application (Regapps), or all (All).

Enter Name (s) to Purge

Enter an object name of * to list the objects.

Verify Each Name to Be Purged?

Enter y to verify each name.


PYRAMID (Quick Reference)

-PURGE
PYRAMID
QCCLOSE
Commands > P commands >
PYRAMID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid pyramid.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] PyramidNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] PyramidNot available in menus in the current workspace
Toolbar: Modeling
Command entry: pyramid

Summary

By default, a pyramid is defined by the center of the base point, a point on the middle of the edge, and another point that determines the height.

Initially, the default base radius is not set to any value. During a drawing session, the default value for the base radius is always the previously entered base radius value for any solid primitive.

Use the Top Radius option to create a pyramid frustum.

List of Prompts

The following prompts are displayed.

Edge

Specifies the length of one edge of the base of the pyramid; you pick two points.

Specify first endpoint of edge: Specify a point

Specify second endpoint of edge: Specify a point

Sides

Specifies the number of sides for the pyramid. You can enter a number from 3 to 32.

Specify number of sides <default>: Specify a diameter or press ENTER to specify the default value

Initially, the number of sides for the pyramid is set to 4. During a drawing session, the default value for the number of sides is always the previously entered value for the number of sides.

Inscribed

Specifies that the base of the pyramid is inscribed within (drawn within) the base radius of the pyramid.

Circumscribed

Specifies that the pyramid is circumscribed around (drawn around) the base radius of the pyramid.

2Point

Specifies that the height of the pyramid is the distance between two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the pyramid axis. This endpoint is the top of the pyramid. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the pyramid.

Specify axis endpoint: Specify a point

Top Radius

Specifies the top radius of the pyramid, creating a pyramid frustum.

Specify top radius: Enter a value

Initially, the default top radius is not set to any value. During a drawing session, the default value for the top radius is always the previously entered top radius value for any solid primitive.

Specify height or [2Point (Two Points)/Axis Endpoint] <default>: Specify a height, enter an option, or press ENTER to specify the default height value

2Point

Specifies that the height of the pyramid is the distance between two specified points.

Specify first point: Specify a point

Specify second point: Specify a point

Axis Endpoint

Specifies the endpoint location for the pyramid axis. This endpoint is the top of the pyramid. The axis endpoint can be located anywhere in 3D space. The axis endpoint defines the length and orientation of the pyramid.

Specify axis endpoint: Specify a point


Q commands

PYRAMID
Commands
QCCLOSE
Commands >
Q commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • QCCLOSE

    Closes QuickCalc.

  • QDIM

    Quickly creates a series of dimensions from selected objects.

  • QLEADER

    Creates a leader and leader annotation.

  • QNEW

    Starts a new drawing with a selected drawing template file.

  • QSAVE

    Saves the current drawing using the file format specified in the Options dialog box.

  • QSELECT

    Creates a selection set based on filtering criteria.

  • QTEXT

    Controls the display and plotting of text and attribute objects.

  • QUICKCALC

    Opens the QuickCalc calculator.

  • QUICKCUI

    Displays the Customize User Interface Editor in a collapsed state.

  • QUIT

    Exits the program.

  • QVDRAWING

    Displays open drawings and layouts in a drawing in preview images.

  • QVDRAWINGCLOSE

    Closes preview images of open drawings and layouts in a drawing.

  • QVLAYOUT

    Displays preview images of model space and layouts in a drawing.

  • QVLAYOUTCLOSE

    Closes preview images of model space and layouts in a drawing


QCCLOSE (Quick Reference)

PYRAMID
QCCLOSE
QDIM
Commands > Q commands >
QCCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes QuickCalc.

Command entry: qcclose

Closes the QuickCalc calculator.


QDIM (Quick Reference)

QCCLOSE
QDIM
QLEADER
Commands > Q commands >
QDIM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Quickly creates a series of dimensions from selected objects.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] Quick DimensionNot available on the ribbon in the current workspace
Menu: Dimension [image] Quick DimensionNot available in menus in the current workspace
Toolbar: Dimension
Command entry: qdim

This command is particularly useful for creating a series of baseline or continued dimensions, or for dimensioning a series of circles and arcs.

Select geometry to dimension: Select the objects you want to dimension or the dimensions you want to edit and press ENTER

Specify dimension line position, or [Continuous/Staggered/Baseline/Ordinate/Radius/Diameter/datumPoint/Edit/seTtings] <current>: Enter an option or press ENTER

Continuous

Creates a series of continued dimensions.

Staggered

Creates a series of staggered dimensions.

Baseline

Creates a series of baseline dimensions.

Ordinate

Creates a series of ordinate dimensions.

Radius

Creates a series of radius dimensions.

Diameter

Creates a series of diameter dimensions.

Datum Point

Sets a new datum point for baseline and ordinate dimensions.

Select new datum point: Specify a point

The program returns to the previous prompt.

Edit

Edits a series of dimensions. You are prompted to add or remove points from existing dimensions.

Indicate dimension point to remove, or [Add/eXit] <eXit>: Specify a point, enter a, or press ENTER to return to the previous prompt

Settings

Sets the default object snap for specifying extension line origins. The following prompt is displayed:

Associative dimension priority [Endpoint/Intersection]

The program returns to the previous prompt.


QLEADER (Quick Reference)

QDIM
QLEADER
Leader Settings Dialog Box
Commands > Q commands >
QLEADER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates a leader and leader annotation.

Command entry: qleader

It is recommended that you use the workflow available through the MLEADER command to create leader objects. For more information about multileader objects, see Create and Modify Leaders.

Use QLEADER to quickly create leaders and leader annotation. You can use the Leader Settings dialog box to customize the command so that it prompts you for the number of leader points and the annotation type suited to your drawing needs. You can use QLEADER to

  • Specify leader annotation and annotation format
  • Set the location where leaders attach to multiline text annotation
  • Limit the number of leader points
  • Constrain the angle of the first and second leader segments

If associative dimensioning is turned on with DIMASSOC, the leader start point can be associated with a location on an object. If the object is relocated, the arrowhead remains attached to the object and the leader line stretches, but the text or feature control frame remains in place.

Specify first leader point, or [Settings] <Settings>: Specify the first leader point, or press ENTER to specify leader settings

First Leader Point

Specify next point: Specify the next leader point

Specify next point: Specify the next leader point, or press ENTER to specify the leader annotation

The Number of Points setting on the Leader Line & Arrow tab of the Leader Settings dialog box determines the number of leader points you are prompted to specify.

The prompt that is displayed next depends on settings selected on the Annotation tab in the Leader Settings dialog box.

If Mtext and Prompt for Width are selected on the Annotation tab, the following prompts are displayed:

Specify the width <current>: Specify the multiline text width by creating a text boundary or entering a value

If you set the text width value to 0.00, the width of the multiline text is unlimited.

Enter first line of annotation text: Enter the first line of text

Press ENTER once to enter another line of text, or press ENTER again to complete the command.

If Copy an Object is selected on the Annotation tab, the following prompt is displayed:

Select an object to copy: Select a text object, block reference, or tolerance object (feature control frame)

The object is attached to the leader.

If Tolerance is selected on the Annotation tab, the Geometric Tolerance dialog box is displayed. Use the dialog box to create the tolerance feature control frame. When you choose OK, the feature control frame is attached o the leader.

If Block Reference is selected on the Annotation tab, the following prompts are displayed:

Enter block name or [?]: Enter the name, or enter ? to display a list of blocks defined in the drawing

Specify insertion point or [Scale/X/Y/X/Rotate/PScale/PX/PY/PZ/PRotate]: Specify the block insertion point or enter an option

For a description of the insertion options, see -INSERT.

If None is selected on the Annotation tab, no annotation prompts are displayed.

Settings

Displays the Leader Settings dialog box.


Leader Settings Dialog Box (Quick Reference)

QLEADER
QLEADER
QNEW
Commands > Q commands > QLEADER >
Leader Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: qleader

Customizes the QLEADER command and sets properties for leaders and leader annotations.

The Leader Settings dialog box includes the following tabs: Annotation, Leader Line & Arrow, Attachment

Annotation Tab (Leader Settings Dialog Box)

Sets the leader annotation type, specifies multiline text options, and indicates whether you want to reuse the annotation.

Annotation Type

Sets the leader annotation type. The type you select changes the QLEADER leader annotation prompt.

MText

Prompts you to create multiline text (mtext) annotation.

Copy an Object

Prompts you to copy a multiline text, single-line text, tolerance, or block reference object and connects the copy to the end of the leader line. The copy is associated with the leader line, meaning that if the copied object moves, the end of the leader line moves with it. The display of the hook line depends on the object copied.

Tolerance

Displays the Tolerance dialog box, which you can use to create a feature control frame to attach to the leader.

Block Reference

Prompts you to insert a block reference. The block reference is inserted at an offset from the end of the leader line and is associated to the leader line, meaning that if the block moves, the end of the leader line moves with it. No hook line is displayed.

None

Creates a leader with no annotation.

MText Options

Sets multiline text options. The options are available only when the multiline text annotation type is selected.

Prompt for Width

Prompts you to specify the width of the multiline text annotation.

Always Left Justify

Left-justifies the multiline text annotation, regardless of leader location.

Frame Text

Places a frame around multiline text annotation.

Annotation Reuse

Sets options for reusing leader annotation.

None

Does not reuse leader annotation.

Reuse Next

Reuses the next annotation you create for all subsequent leaders.

Reuse Current

Reuses current annotation. This option is automatically selected when you reuse annotation after selecting Reuse Next.

Leader Line & Arrow Tab (Leader Settings Dialog Box)

Sets the leader line and arrowhead format.

Leader Line

Sets the leader line format.

Straight

Creates straight-line segments between the points you specify.

Spline

Creates a spline object using the leader points you specify as control points.

Arrowhead

Defines the leader arrowhead. Select an arrowhead from the Arrowhead list. The arrowheads are the same ones that are available for dimension lines. See DIMSTYLE. If you select User Arrow, a list of blocks in the drawing is displayed. Select one of the blocks to use it as a leader arrowhead.

Number of Points

Sets the number of leader points that QLEADER prompts you to specify before prompting for the leader annotation. For example, if you set the points to 3, QLEADER automatically prompts you to specify the annotation after you specify two leader points. Set the number to one more than the number of leader segments you want to create.

If you set the option to No Limit, QLEADER prompts for leader points until you press ENTER.

Angle Constraints

Sets angle constraints for the first and second leader lines.

First Segment

Sets the angle of the first leader segment.

Second Segment

Sets the angle of the second leader segment.

Attachment Tab (Leader Settings Dialog Box)

Sets the attachment location for leader lines and multiline text annotation. This tab is available only when Mtext is selected on the Annotation tab.

Top of Top Line

Attaches the leader line at the top of the top multiline text line.

Middle of Top Line

Attaches the leader line at the middle of the top multiline text line.

Middle of Multiline Text

Attaches the leader line at the middle of the multiline text.

Middle of Bottom Line

Attaches the leader line at the middle of the bottom multiline text line.

Bottom of Bottom Line

Attaches the leader line at the bottom of the bottom multiline text line.

Underline Bottom Line

Underlines the bottom multiline text line.


QNEW (Quick Reference)

Leader Settings Dialog Box
QNEW
QSAVE
Commands > Q commands >
QNEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Starts a new drawing with a selected drawing template file.

Access Methods

Button

Menu: Application menu [image] New [image] Drawing
Toolbar: Standard
Command entry: qnew

Summary

QNEW starts a new drawing from the current default drawing template file and folder path specified in the Options dialog box on the Files tab. You can set the default drawing template file to any drawing template file or to None.

When a default drawing template file is set to None or is not specified, QNEW displays the Select Template File dialog box (a standard file selection dialog box).

The behavior of the QNEW command is determined by the STARTUP system variable.

  • 1: Displays the Create New Drawing dialog box.
  • 0: Displays the Select Template dialog box (a standard file selection dialog box) or starts the new drawing using the default drawing template file.

If the system variable, FILEDIA, is set to 0 instead of 1, a Command prompt is displayed. If you set FILEDIA to 0, this prompt is displayed regardless of the Startup setting.


QSAVE (Quick Reference)

QNEW
QSAVE
QSELECT
Commands > Q commands >
QSAVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves the current drawing using the file format specified in the Options dialog box.

Toolbar: Standard
Menu: File [image] SaveAt the Command prompt, enter qsave.
Command entry: qsave

The QSAVE command is equivalent to clicking Save on the File menu.

If the drawing is named, the program saves the drawing using the file format specified on the Open and Save tab of the Options dialog box and does not request a file name. If the drawing is unnamed, the Save Drawing As dialog box (see SAVEAS) is displayed and the drawing is saved with the file name and format you specify.

If the drawing is read-only, use the SAVEAS command to save the changed file under a different name.


QSELECT (Quick Reference)

QSAVE
QSELECT
Quick Select Dialog Box
Commands > Q commands >
QSELECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a selection set based on filtering criteria.

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] Quick SelectNot available on the ribbon in the current workspace
Menu: Tools [image] Quick SelectNot available in menus in the current workspace
Shortcut menu: End any active commands, right-click in the drawing area, and choose Quick Select.
Command entry: qselect

Summary

The Quick Select dialog box is displayed.

QSELECT filters selection sets by object type and property. For example, you can select all of the multiline text objects in a drawing that use a specified text style.


Quick Select Dialog Box (Quick Reference)

QSELECT
QSELECT
QTEXT
Commands > Q commands > QSELECT >
Quick Select Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Utilities panel [image] Quick SelectNot available on the ribbon in the current workspace
Menu: Tools [image] Quick SelectNot available in menus in the current workspace
Shortcut menu: End any active commands, right-click in the drawing area, and choose Quick Select.
Command entry: qselect

Specifies the filtering criteria and how you want to create the selection set from that criteria.

Apply To

Applies the filtering criteria to the entire drawing or to the current selection set (if one exists). To select a group of objects to which you want to apply the filtering criteria, use the Select Objects button. When you have finished selecting objects, press ENTER to redisplay the dialog box. Apply To is set to Current Selection.

If Append to Current Selection Set is selected, the filtering criteria is applied to the entire drawing.

Select Objects

Temporarily closes the Quick Select dialog box so that you can select the objects to which you want to apply the filter criteria. Press ENTER to return to the Quick Select dialog box. The Apply To box is changed to show Current Selection. The Select Objects button is available only when you select Include In New Selection Set and clear Append to Current Selection Set.

Object Type

Specifies the type of objects to include in the filtering criteria. If the filtering criteria are being applied to the entire drawing, the Object Type list includes all object types, including custom. Otherwise, the list includes only the object types of the selected objects.

If an application such as Autodesk Map was used to add a feature classification to an object, you can select a classification.

Properties

Specifies the object property for the filter. This list includes all searchable properties for the selected object type. The property you select determines the options available in Operator and Value.

If an application such as Autodesk® Map™ was used to add a feature classification to an object, you can select a classification property.

Operator

Controls the range of the filter. Depending on the selected property, options can include Equals, Not Equal To, Greater Than, Less Than, and *Wildcard Match. Greater Than and Less Than are not available for some properties. *Wildcard Match is available only for text fields that can be edited. Use the Select All option to ignore all properties filters.

For information about the available wild-card characters, see the table in Filter and Sort the List of Layers in the User's Guide.

Value

Specifies the property value for the filter. If known values for the selected property are available, Value becomes a list in which you can choose a value. Otherwise, enter a value.

How to Apply

Specifies whether you want the new selection set to include or exclude objects that match the specified filtering criteria. Select Include in New Selection Set to create a new selection set composed only of objects that match the filtering criteria. Select Exclude from New Selection Set to create a new selection set composed only of objects that do not match the filtering criteria.

Append to Current Selection Set

Specifies whether the selection set created by QSELECT replaces or is appended to the current selection set.

NoteQSELECT supports custom objects (objects created by another application) and their properties. If a custom object uses properties other than AutoCAD properties, the custom object's source application must be running in order for the properties to be available to QSELECT.


QTEXT (Quick Reference)

Quick Select Dialog Box
QTEXT
QUICKCALC
Commands > Q commands >
QTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display and plotting of text and attribute objects.

Command entry: qtext (or 'qtext for transparent use)

Enter mode [ON/OFF] <current>: Enter on or off, or press ENTER

When QTEXT (Quick Text) is on, each text and attribute object is displayed as a bounding box around the text object. Turning QTEXT mode on reduces the time it takes the program to redraw and regenerate drawings that contain many text objects.


QUICKCALC (Quick Reference)

QTEXT
QUICKCALC
QuickCalc Calculator
Commands > Q commands >
QUICKCALC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the QuickCalc calculator.

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] QuickCalc
Menu: Tools [image] Palettes [image] QuickCalcNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: Right-click and click QuickCalc.
Command entry: quickcalc

Summary

The QuickCalc calculator performs a full range of mathematical, scientific, and geometric calculations, creates and uses variables, and converts units of measurement.

Displays the QuickCalc calculator.


QuickCalc Calculator (Quick Reference)

QUICKCALC
QUICKCALC
Variable Definition Dialog Box
Commands > Q commands > QUICKCALC >
QuickCalc Calculator
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] QuickCalc
Menu: Tools [image] Palettes [image] QuickCalcNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: Right-click and click QuickCalc.
Command entry: quickcalc

Performs a full range of mathematical, scientific, and geometric calculations, creates and uses variables, and converts units of measurement.

The QuickCalc calculator contains the following areas:

  • Toolbar
  • History Area
  • Input Box
  • More/Less Button
  • Number Pad
  • Scientific Area
  • Units Conversion Area
  • Variables Area

Toolbar

Performs quick calculations of common functions.

Clear

Clears the Input box.

Clear History

Clears the history area.

Paste Value to Command Line

Pastes the value in the Input box at the Command prompt. When QuickCalc is used transparently during a command, this button is replaced by the Apply button at the bottom of the calculator.

Get Coordinates

Calculates the coordinates of a point location that you have clicked in the drawing.

Distance Between Two Points

Calculates the distance between two point locations that you have clicked on an object. The calculated distance always displays as a unitless decimal value.

Angle of Line Defined by Two Points

Calculates the angle of two point locations that you have clicked on an object.

Two Lines Defined by Four Points

Calculates the intersection of four point locations that you have clicked on an object.

Help

Displays Help for QuickCalc.

History Area

Displays a running list of previously evaluated expressions. The History area shortcut menu provides several options, including copying a selected expression to the Clipboard.

Input Box

Provides a box where you enter and retrieve expressions. When you click the = (equal) button or press ENTER, QuickCalc evaluates an expression and displays the results.

More/Less Button

Hides or Displays all QuickCalc function areas. You can also right-click the button to select the individual function areas to hide or display.

Number Pad

Provides a standard calculator keypad where you enter numbers and symbols for arithmetic expressions. Enter values and expressions, and then click the equal (=) sign to evaluate the expression. The following table describes additional controls found on the Number Pad.

Control | Description
C (Clear) | Clears any entry in the Input box and resets its value to 0.
<-- (Backspace) | Moves the cursor one space to the left in the Input box, removing one decimal place or character from the display.
sqt (Square Root) | Obtains the square root of a value.
1/X (Inverse) | Inverts any number or expression entered in the Input box.
x^2 (X to the Power of 2) | Squares a value.
x^3 (X to the Power of 3) | Raises any number or expression entered in the Input box to the power of 3.
x^y (X to the Power of Y) | Raises a number or expression entered in the Input box to a specified power.
pi | Enters pi to 14 decimal places in the Input box.
( (Open Parenthesis) ) (Close Parenthesis) | When combined in pairs, groups a portion of the expression. Items contained in a parenthetical grouping are evaluated before the remainder of the expression.
= (Equal) | Evaluates the expression currently entered in the Input box.
MS (Store in Memory) | Stores the current value in the QuickCalc memory.
M+ (Add to Value Stored in Memory) | Adds the current value to the value stored in the QuickCalc memory.
MR (Restore Memory Value) | If a value is currently stored in the QuickCalc memory, the value is restored to the Input box.
MC (Clear Memory) | Clears the value currently stored in the QuickCalc memory.

Scientific Area

Evaluates trigonometric, logarithmic, exponential, and other expressions commonly associated with scientific and engineering applications. The following table describes the controls in the Scientific Area.

Control | Description
sin (Sine) | Specifies the sine of the angle in the Input box.
cos (Cosine) | Specifies the cosine of the angle in the Input box.
tang (Tangent) | Specifies the tangent of the angle in the Input box.
Log (Base -10 Log) | Specifies the log of the value in the Input box.
10^x (Base -10 Exponent) | Specifies the base-10 exponent of the value in the Input box.
asin (Arcsine) | Specifies the arcsine of the number in the Input box. The number must be between -1 and 1.
acos (Arccosine) | Specifies the arccosine of the number in the Input box. The number must be between -1 and 1.
atan (Arctangent) | Speifies the arctangent of the number in the Input box.
In (Natural Log) | Specifies the natural log of the number in the Input box.
e^x (Natural Exponent) | Specifies the natural exponent of the number currently specified in the Input box.
r2d (Convert Radians to Degrees) | Converts angles in radians to degrees; for example, r2d (pi) converts the value of pi to 180 degrees.
d2r (Convert Degrees to Radians) | Converts angles in degrees to radians; for example, d2r (180) converts 180 degrees to radians and returns the value of pi.
abs (Absolute Value) | Returns the absolute value of the number in the Input box.
rnd (Round) | Rounds the number in the Input box to the nearest integer.
trunc (Truncate) | Returns the integer portion of the number in the Input box.

Units Conversion Area

Converts units of measurement from one unit type to another unit type. The units conversion area accepts only decimal values without units.

Units Type

Select length, area, volume, and angular values from a list.

Convert From

Lists the units of measurement from which to convert.

Convert To

Lists the units of measurement to which to convert.

Value to Convert

Provides a box to enter a value to convert.

Converted Value

Converts the units entered and displays the converted value.

Calculator Icon

Returns the converted value to the Input box.

Variables Area

Provides access to predefined constants and functions. You can use the Variables area to define and store additional constants and functions.

Variables Tree

Stores predefined shortcut functions and user-defined variables.

Shortcut functions are common expressions that combine a function with an object snap. The following table describes the predefined shortcut functions in the list.

Shortcut Function | Shortcut For | Description
dee | dist(end,end) | Distance between two endpoints
ille | ill(end,end,end,end) | Intersection of two lines defined by four endpoints
mee | (end+end)/2 | Midpoint between two endpoints
nee | nor(end,end) | Unit vector in the XY plane and normal to two endpoints
rad | rad | Radius of a selected circle, arc, or polyline arc
vee | vec(end,end) | Vector from two endpoints
vee1 | vec1(end,end) | Unit vector from two endpoints
New Variable Button

Opens the Variable Definition dialog box.

Edit Variable Button

Opens the Variable Definition dialog box so you can make changes to the selected variable.

Delete Variable Button

Deletes the selected variable.

Calculator Button

Returns the selected variable to the Input box.


Variable Definition Dialog Box (Quick Reference)

QuickCalc Calculator
QUICKCALC
Category Definition Dialog Box
Commands > Q commands > QUICKCALC >
Variable Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines a variable to store in the variables tree.

Variable Type

Specifies the type of variable.

Constant

Stores the new variable as a constant.

Function

Stores the new variable as a function.

Variable Properties

Defines the properties of a new variable.

Name

Stores the name of the variable. Names of constants cannot include spaces.

Group With

Stores the named variable in the selected category. If New is selected, the Category Definition dialog box opens, where you can define a new category for the variable.

Value or Expression

Stores the value or expression for the variable.

Description

Stores a description for the variable.

OK

Closes the dialog box and applies the current settings to the variable.

Cancel

Closes the dialog box without applying the current settings.

Help

Displays Help.

Settings

The following shortcut menu options are available when you right-click the title bar.

Move

Displays a four-headed arrow cursor that you can use to move the dialog box. The dialog box does not dock.

Size

Displays a four-headed arrow cursor that you can use to drag an edge or a corner to make the smaller or larger.

Close

Closes the Markup Set Manager.

Allow Docking

Toggles the ability to dock or anchor the calculator. If this option is selected, a window can be docked when you drag it over a docking area at the side of a drawing. A docked window adheres to the side of the application window and causes the drawing area to be resized. Selecting this option also makes Anchor Right and Anchor Left available.

Anchor Right/ Anchor Left

Attaches the QuickCalc calculator to an anchor tab base at the right or left side of the drawing area. The palette rolls open and closed as the cursor moves across it. When an anchored palette is open, its content overlaps the drawing area. An anchored palette cannot be set to stay open.

Auto-hide

Causes a floating palette to roll open and closed as the cursor moves across it. When this option is cleared, the palette stays open.

Transparency

Displays the Transparency dialog box.


Category Definition Dialog Box (Quick Reference)

Variable Definition Dialog Box
QUICKCALC
QUICKCUI
Commands > Q commands > QUICKCALC >
Category Definition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines a category to organize the variables in the variables tree.

Category Properties

Defines the properties of the new category.

Name

Stores the name of the category.

Description

Stores a description for the category.

OK

Closes the dialog box and applies the current settings to the variable.

Cancel

Closes the dialog box without applying the current settings.

Help

Displays Help.


QUICKCUI (Quick Reference)

Category Definition Dialog Box
QUICKCUI
QUIT
Commands > Q commands >
QUICKCUI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Customize User Interface Editor in a collapsed state.

Command entry: quickcui

The Customize User Interface Editor is displayed in a collapsed state. Only the Customizations In <filename> and Command List panes are displayed. The Customizations In <filename> pane is shown collapsed and the Command List pane is shown expanded.

For information about customizing the different user interface elements found in the Customize User Interface Editor, see User Interface Customization in the Customization Guide.


QUIT (Quick Reference)

QUICKCUI
QUIT
QVDRAWING
Commands > Q commands >
QUIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Exits the program.

Menu: File [image] ExitAt the Command prompt, enter quit.
Command entry: quit

Quits the program if there have been no changes since the drawing was last saved. If the drawing has been modified, you are prompted to save or discard the changes before quitting.

You can quit a file that has been opened in read-only mode if you have made no modifications or if you are willing to discard them. To save modifications to a read-only drawing, use the SAVEAS command to save the drawing under another name.


QVDRAWING (Quick Reference)

QUIT
QVDRAWING
QVDRAWINGCLOSE
Commands > Q commands >
QVDRAWING
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays open drawings and layouts in a drawing in preview images.

Shortcut menu: Click [image] on the status bar.
Command entry: qvdrawing

Displays a two-level structure of preview images at the bottom of the application. The first level displays the images of open drawings and the second level displays the images for model space and layouts in a drawing.


QVDRAWINGCLOSE (Quick Reference)

QVDRAWING
QVDRAWINGCLOSE
QVLAYOUT
Commands > Q commands >
QVDRAWINGCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes preview images of open drawings and layouts in a drawing.

Shortcut menu: Click [image] on the Quick View drawings toolbar.
Command entry: qvdrawingclose

Closes preview images of open drawings and layouts in a drawing.


QVLAYOUT (Quick Reference)

QVDRAWINGCLOSE
QVLAYOUT
QVLAYOUTCLOSE
Commands > Q commands >
QVLAYOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays preview images of model space and layouts in a drawing.

Shortcut menu: Click [image] on the status bar.
Command entry: qvlayout

Displays preview images of model space and layouts in a drawing in a row at the bottom of the application.


QVLAYOUTCLOSE (Quick Reference)

QVLAYOUT
QVLAYOUTCLOSE
RAY
Commands > Q commands >
QVLAYOUTCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes preview images of model space and layouts in a drawing

Shortcut menu: Click [image] on the Quick View drawings toolbar.
Command entry: qvlayoutclose

Closes preview images of model space and layouts in a drawings.


R commands

QVLAYOUTCLOSE
Commands
RAY
Commands >
R commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • RAY

    Creates a line that starts at a point and continues to infinity.

  • RECOVER

    Repairs and then opens a damaged drawing file.

  • RECOVERALL

    Repairs a damaged drawing file along with all attached xrefs.

  • RECTANG

    Creates a rectangular polyline.

  • REDEFINE

    Restores AutoCAD internal commands overridden by UNDEFINE.

  • REDO

    Reverses the effects of previous UNDO or U command.

  • REDRAW

    Refreshes the display in the current viewport.

  • REDRAWALL

    Refreshes the display in all viewports.

  • REFCLOSE

    Saves back or discards changes made during in-place editing of a reference (an xref or a block).

  • REFEDIT

    Edits a block or an xref directly within the current drawing.

  • REFSET

    Adds or removes objects from a working set during in-place editing of a reference (an xref or a block).

  • REGEN

    Regenerates the entire drawing from the current viewport.

  • REGENALL

    Regenerates the drawing and refreshes all viewports.

  • REGENAUTO

    Controls automatic regeneration of a drawing.

  • REGION

    Converts an object that encloses an area into a region object.

  • REINIT

    Reinitializes the digitizer, digitizer input/output port, and program parameters file

  • RENAME

    Changes the names assigned to items such as layers and dimension styles.

  • RENDER

    Creates a photorealistic or realistically shaded image of a 3D solid or surface model.

  • RENDERCROP

    Renders a specified rectangular area, called a crop window, within a viewport.

  • RENDERENVIRONMENT

    Controls visual cues for the apparent distance of objects.

  • RENDEREXPOSURE

    Provides settings to adjust the global lighting for the most recently rendered output.

  • RENDERPRESETS

    Specifies render presets, reusable rendering parameters, for rendering an image.

  • RENDERWIN

    Displays the Render window without starting a rendering operation.

  • RENDSCR

    Obsolete

  • RESETBLOCK

    Resets one or more dynamic block references to the default values of the block definition.

  • RESUME

    Continues an interrupted script.

  • REVCLOUD

    Creates a revision cloud using a polyline.

  • REVERSE

    Reverses the order of vertices of the selected lines, polylines, splines, and helixes.

  • REVOLVE

    Creates a 3D solid or surface by sweeping a 2D object around an axis.

  • REVSURF

    Creates a mesh by revolving a profile about an axis.

  • RIBBON

    Opens the ribbon window.

  • RIBBONCLOSE

    Closes the ribbon window.

  • RMAT

    Obsolete

  • ROTATE

    Rotates objects around a base point.

  • ROTATE3D

    Moves objects about a 3D axis.

  • RPREF

    Displays or hides the Advanced Render Settings palette for access to advanced rendering settings.

  • RPREFCLOSE

    Closes the Render Settings palette if it is displayed.

  • RSCRIPT

    Repeats a script file.

  • RULESURF

    Creates a mesh that represents the surface between two lines or curves.


RAY (Quick Reference)

QVLAYOUTCLOSE
RAY
RECOVER
Commands > R commands >
RAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a line that starts at a point and continues to infinity.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] RayNot available on the ribbon in the current workspace
Menu: Draw [image] RayNot available in menus in the current workspace
Command entry: ray

Specify start point: Specify a point (1)

Specify through point: Specify a point for the ray to pass through (2)

The ray is extended to the edge of the display in the direction defined by the starting point and the through point. The prompt for a through point is redisplayed so you can create multiple rays. Press ENTER to end the command.

Lines that extend to infinity in one direction, known as rays, can be used as references for creating other objects.


RECOVER (Quick Reference)

RAY
RECOVER
RECOVERALL
Commands > R commands >
RECOVER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Repairs and then opens a damaged drawing file.

Ribbon: Tools tab [image] Drawing Utilities panel [image] Recover. Does not exist on the ribbon.
Menu: File [image] Drawing Utilities [image] RecoverAt the Command prompt, enter recover.
Command entry: recover

The program extracts as much material as it can from the damaged file. Files that can be recovered include DWG, DWT, and DWS files. Performing a recover on a DXF file will only open the file.

In the Select File dialog box (a standard file selection dialog box), enter the drawing file name or select the damaged drawing file. Results are displayed in the text window.

When FILEDIA is set to 0 (zero), RECOVER displays the following command prompt.

Enter name of drawing file to recover:

Enter ~ (tilde) at the prompt to ignore FILEDIA and display the Select File dialog box.


RECOVERALL (Quick Reference)

RECOVER
RECOVERALL
RECTANG
Commands > R commands >
RECOVERALL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Repairs a damaged drawing file along with all attached xrefs.

Access Methods

Menu: File [image] Drawing Utilities [image] Recover Drawing and XrefsDoes not exist in the menus.
Command entry: recoverall

In the Select File dialog box (a standard file selection dialog box), enter the drawing file name or select the damaged drawing file.

The selected drawing file and all attached xrefs, including all nested xrefs, are opened, repaired, resaved, and closed.

  • Drawing files are saved in the current drawing file format.
  • Copies of the original drawing files are saved as BAK files.
  • If the object enabler is present, custom objects are updated.

Results are displayed in the Drawing Recovery Log window. Each drawing file checked includes a Drawing Recovery Log that can be expanded or collapsed. The entire log can be copied to the Windows clipboard with the Copy to Clipboard button.

When FILEDIA is set to 0 (zero), RECOVERALL displays the following command prompt.

Enter name of drawing file to recover:

Enter ~ (tilde) at the prompt to ignore FILEDIA and display the Select File dialog box.

NoteThe RECOVERALL command recovers or audits DWG, DWT, and DWS files.


RECTANG (Quick Reference)

RECOVERALL
RECTANG
REDEFINE
Commands > R commands >
RECTANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a rectangular polyline.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] RectangleNot available on the ribbon in the current workspace
Menu: Draw [image] RectangleNot available in menus in the current workspace
Toolbar: Draw
Command entry: rectang or rectangle

Current settings: Rotation = 0

Specify first corner point or [Chamfer/Elevation/Fillet/Thickness/Width]: Specify a point or enter an option

With this command, you can specify the rectangle parameters (length, width, rotation) and control the type of corners (fillet, chamfer, or square).

First Corner Point

Specifies a corner point of the rectangle.

Specify other corner point or [Area/Dimensions/Rotation]: Specify a point or enter an option

Other Corner Point

Creates a rectangle using the specified points as diagonally opposite corners.

Area

Creates a rectangle using the area and either a length or a width. If the Chamfer or Fillet option is active, the area includes the effect of the chamfers or fillets on the corners of the rectangle.

Enter area of rectangle in current units <100>: Enter a positive value

Calculate rectangle dimensions based on [Length/Width] <Length>: Enter L or w

Enter rectangle length <10>: Enter a non-zero value

or

Enter rectangle width <10>: Enter a non-zero value

Specify other corner point or [Area/Dimensions/Rotation]: Move the cursor to display one of four possible locations for the rectangle and click the one that you want

Dimensions

Creates a rectangle using length and width values.

Specify length for rectangles <0.0000> Enter a non-zero value

Specify width for rectangles <0.0000> Enter a non-zero value

Specify other corner point or [Area/Dimensions/Rotation]: Move the cursor to display one of four possible locations for the rectangle and click the one that you want

Rotation

Creates a rectangle at a specified rotation angle.

Specify rotation angle or [Points] <0> Specify an angle by entering a value, specifying a point, or entering p and specifying two points

Specify other corner point or [Area/Dimensions/Rotation]: Move the cursor to display one of four possible locations for the rectangle and click the one that you want

Chamfer

Sets the chamfer distances for the rectangle.

Specify first chamfer distance for rectangles <current>: Specify a distance or press ENTER

Specify second chamfer distance for rectangles <current>: Specify a distance or press ENTER

The values become the current chamfer distances for subsequent RECTANG commands.

Elevation

Specifies the elevation of the rectangle.

Specify the elevation for rectangles <current>: Specify a distance or press ENTER

The value becomes the current elevation for subsequent RECTANG commands.

Fillet

Specifies the fillet radius of the rectangle.

Specify fillet radius for rectangles <current>: Specify a distance or press ENTER

The value becomes the current fillet radius for subsequent RECTANG commands.

Thickness

Specifies the thickness of the rectangle.

Specify thickness for rectangles <current>: Specify a distance or press ENTER

The value becomes the current thickness for subsequent RECTANG commands.

Width

Specifies the polyline width of the rectangle to be drawn.

Specify line width for rectangles <current>: Specify a distance or press ENTER

The value becomes the current polyline width for subsequent RECTANG commands.


REDEFINE (Quick Reference)

RECTANG
REDEFINE
REDO
Commands > R commands >
REDEFINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Restores AutoCAD internal commands overridden by UNDEFINE.

Command entry: redefine

Enter command name: Enter the name of an AutoCAD command turned off by the UNDEFINE command

If a command has been undefined, you can still use it if you precede the command name with a period.


REDO (Quick Reference)

REDEFINE
REDO
REDRAW
Commands > R commands >
REDO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverses the effects of previous UNDO or U command.

Toolbar: Standard
Menu: Edit [image] RedoAt the Command prompt, enter mredo.
Shortcut menu: With no commands active and no objects selected, right-click in the drawing area and choose Redo.
Command entry: redo

REDO reverses the effects of a single UNDO or U command. REDO must immediately follow the U or UNDO command.


REDRAW (Quick Reference)

REDO
REDRAW
REDRAWALL
Commands > R commands >
REDRAW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Refreshes the display in the current viewport.

Command entry: redraw (or 'redraw for transparent use)

When BLIPMODE is on, marker blips left by editing commands are removed from the current viewport.


REDRAWALL (Quick Reference)

REDRAW
REDRAWALL
REFCLOSE
Commands > R commands >
REDRAWALL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Refreshes the display in all viewports.

Menu: View [image] RedrawAt the Command prompt, enter redrawall.
Command entry: redrawall (or 'redrawall for transparent use)

When BLIPMODE is on, marker blips left by editing commands are removed from all viewports.


REFCLOSE (Quick Reference)

REDRAWALL
REFCLOSE
REFEDIT
Commands > R commands >
REFCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves back or discards changes made during in-place editing of a reference (an xref or a block).

Menu: Tools [image] Xref and Block In-Place Editing [image] Save Reference Edits, or Xref and Block In-Place Editing [image] Close ReferenceDoes not exist in the menus.
Shortcut menu: With no objects selected during in-place reference editing, right-click in the drawing area and choose Close Refedit Session.
Command entry: refclose

Enter option [Save/Discard reference changes] <Save>:

Save

Saves back to the xref source drawing or to the block definition in the current drawing all changes made to objects in the working set. If you remove an object from the working set and save changes, the object is deleted from the reference and added to the current drawing. The Save Back Changes to Reference button on the Refedit toolbar automatically saves reference editing changes.

NoteIf the file format of the xref source drawing is AutoCAD Release 14 or earlier, the file is saved in AutoCAD 2010 file format. The file format is not changed for xref source drawings in AutoCAD 2000 and 2004 format.

Discard Reference Changes

Discards the working set; the source drawing or block definition is returned to its original state. Any changes you make to objects in the current drawing (not in the xref or block) are not discarded. If you delete any object that is not in the working set, the object is not restored even if you choose to discard changes. The Discard Changes to Reference button on the Refedit toolbar automatically discards reference editing changes without using REFCLOSE.

If you save or discard changes with REFCLOSE, you can still use the UNDO command to return to the reference editing session. If you have made unwanted changes to an xref and already saved back the changes, use UNDO to undo the unwanted changes; then use REFCLOSE to save back changes and restore the xref to its original state.

NoteWhen you edit and save xrefs in place in a drawing, the preview image for the original reference drawing is no longer available unless you open and save the drawing again.


REFEDIT (Quick Reference)

REFCLOSE
REFEDIT
Edit Reference Ribbon Contextual Tab
Commands > R commands >
REFEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits a block or an xref directly within the current drawing.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Edit ReferenceNot available on the ribbon in the current workspace
Menu: Tools [image] Xref and Block In-place Editing [image] Edit Reference In-PlaceNot available in menus in the current workspace
Toolbar: Refedit
Command entry: refedit

The objects that you select from the selected xref or block are temporarily extracted and made available for editing in the current drawing. The set of extracted objects is called the working set, which can be modified and then saved back to update the xref or block definition.

Select reference: Select an xref or a block in the current drawing

If you edit an xref when the ribbon is active, the Edit Reference ribbon contextual tab displays.

If you enter -refedit at the Command prompt, options are displayed.


Edit Reference Ribbon Contextual Tab (Quick Reference)

REFEDIT
REFEDIT
Reference Edit Dialog Box
Commands > R commands > REFEDIT >
Edit Reference Ribbon Contextual Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Edit ReferenceNot available on the ribbon in the current workspace
Menu: Tools [image] Xref and Block In-place Editing [image] Edit Reference In-PlaceNot available in menus in the current workspace
Toolbar: Refedit
Command entry: refedit

Reference Editing Panel

Save Changes | Saves back to the xref source drawing or to the block definition in the current drawing all changes made to objects in the working set. If you remove an object from the working set and save changes, the object is deleted from the reference and added to the current drawing.
Discard Changes | Discards the working set; the source drawing or block definition is returned to its original state. Any changes you make to objects in the current drawing (not in the xref or block) are not discarded.
Add to Working Set | Adds objects to the working set. An object that is part of the working set is added to the reference when changes are saved back, and the object is removed from the current drawing.
Remove from Working Set | Removes objects from the working set. An object that is removed from the working set is removed from the reference when changes are saved back; the object is also removed from the current drawing.


Reference Edit Dialog Box (Quick Reference)

Edit Reference Ribbon Contextual Tab
REFEDIT
-REFEDIT
Commands > R commands > REFEDIT >
Reference Edit Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] Edit ReferenceNot available on the ribbon in the current workspace
Menu: Tools [image] Xref and Block In-place Editing [image] Edit Reference In-PlaceNot available in menus in the current workspace
Toolbar: Refedit
Command entry: refedit

Specifies the reference to edit. To select a reference to edit, select an object in the reference. If you select an object that is part of one or more nested references, the nested references are displayed in the dialog box.

The Reference Edit dialog box includes the following tabs:

  • Identify Reference
  • Settings

Identify Reference Tab (Reference Edit Dialog Box)

Provides visual aids for identifying the reference to edit and controls how the reference is selected.

Reference Name

Displays the reference selected for in-place editing and any references nested within the selected reference.

Nested references are displayed only if the selected object is part of a nested reference. If multiple references are displayed, choose a specific xref or block to modify. Only one reference can be edited in place at a time.

Preview

Displays a preview image of the currently selected reference.

The preview image displays the reference as it was last saved in the drawing. The reference preview image is not updated when changes are saved back to the reference.

Path

Displays the file location of the selected reference. If the selected reference is a block, no path is displayed.

Automatically Select All Nested Objects

Controls whether nested objects are included automatically in the reference editing session.

If this option is checked, all the objects in the selected reference will be automatically included in the reference editing session.

Prompt to Select Nested Objects

Controls whether nested objects must be selected individually in the reference editing session.

If this option is checked, after you close the Reference Edit dialog box and enter the reference edit state, you are prompted to select the specific objects in the reference that you want to edit.

Select nested objects: Select objects within the reference that you want to edit

Settings Tab (Reference Edit Dialog Box)

Provides options for editing references.

Create Unique Layer, Style, and Block Names

Controls whether layers and other named objects extracted from the reference are uniquely altered.

If selected, named objects in xrefs are altered (names are prefixed with $#$), similar to the way they are altered when you bind xrefs. If cleared, the names of layers and other named objects remain the same as in the reference drawing. Named objects that are not altered to make them unique assume the properties of those in the current host drawing that share the same name.

Display Attribute Definitions for Editing

Controls whether all variable attribute definitions in block references are extracted and displayed during reference editing.

If Display Attribute Definitions for Editing is selected, the attributes (except constant attributes) are made invisible, and the attribute definitions are available for editing along with the selected reference geometry. When changes are saved back to the block reference, the attributes of the original reference remain unchanged. The new or altered attribute definitions affect only subsequent insertions of the block; the attributes in existing block instances are not affected. Xrefs and block references without definitions are not affected by this option.

Lock Objects Not in Working Set

Locks all objects not in the working set. This prevents you from accidentally selecting and editing objects in the host drawing while in a reference editing state.

The behavior of locked objects is similar to objects on a locked layer. If you try to edit locked objects, they are filtered from the selection set.


-REFEDIT (Quick Reference)

Reference Edit Dialog Box
REFEDIT
REFSET
Commands > R commands > REFEDIT >
-REFEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -refedit at the Command prompt, the following prompts are displayed.

Select reference: Select an xref or block in the current drawing

Select nesting level [OK/Next] <Next>: Enter an option or press ENTER

OK

Accepts the currently highlighted reference for in-place reference editing.

Enter object selection method [All/Nested]<All>: Enter a, enter n, or press ENTER.

If you enter a, all the objects in the selected reference will be automatically included in the reference editing session. If you enter n, after you close the Reference Edit dialog box and enter the reference edit state, you are prompted to select the specific objects in the reference that you want to edit.

Select nested objects: Select objects within the reference that you want to edit

Display attribute definitions [Yes/No] <No>: Enter y, enter n, or press ENTER when editing a block reference

Use REFCLOSE or the Refedit toolbar to end reference editing session.

If you are editing a block reference with attributes, you can enter y to display the attribute definitions and make them available for editing. The attributes are made invisible, and the attribute definitions are available for editing along with the selected reference geometry. When changes are saved back to the block reference, the attributes of the original reference remain unchanged. The new or altered attribute definitions affect only subsequent insertions of the block; the attributes in existing block instances are not affected.

Next

Advances through the reference and nested references available for selection. The currently selected reference is highlighted.

A working set is formed with the objects you have selected for editing. The working set includes objects that can be saved back to update the xref or block definition. When you save back changes, changes made to the objects in the reference file are saved without actually opening the reference drawing or recreating the block. The working set is visually distinct from the rest of the current drawing: all objects in the current drawing, except objects in the working set, appear faded. The XFADECTL system variable controls the fading of objects while you edit a reference in place.

You can select objects in xrefs for editing even if they are on a locked layer in the reference file. When a reference object is part of the working set, you can unlock the object's layer and make changes to the object. Only the changes made to the object are saved back to the reference file; the xref layer remains locked in the reference file.

NoteObjects outside of the working set are not faded unless the visual style is set to 2D Wireframe during in-place reference editing.


REFSET (Quick Reference)

-REFEDIT
REFSET
REGEN
Commands > R commands >
REFSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds or removes objects from a working set during in-place editing of a reference (an xref or a block).

Menu: Tools [image] Xref and Block In-place Editing [image] Add to Working Set, or Xref and Block In-Place Editing [image] Remove from Working SetDoes not exist in the menus.
Command entry: refset

Transfer objects between the Refedit working set and host drawing...

Enter an option [Add/Remove] <Add>: Enter an option or press ENTER

Objects that are part of the working set are visually distinct from other objects in the current drawing. All objects in the current drawing, except objects in the working set, appear faded.

Add

Adds objects to the working set.

Select objects: Select the objects you want to add

An object that is part of the working set is added to the reference when changes are saved back, and the object is removed from the current drawing. The Add to Workset button on the Refedit toolbar prompts you to add objects to the working set without using REFCLOSE.

Remove

Removes objects from the working set.

Select objects: Select the objects you want to remove

An object that is removed from the working set is removed from the reference when changes are saved back; the object is also removed from the current drawing. The Remove from Workset button on the Refedit toolbar prompts you to remove objects from the working set without using REFCLOSE.


REGEN (Quick Reference)

REFSET
REGEN
REGENALL
Commands > R commands >
REGEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Regenerates the entire drawing from the current viewport.

Menu: View [image] RegenAt the Command prompt, enter regen.
Command entry: regen

REGEN regenerates the entire drawing and recomputes the screen coordinates for all objects in the current viewport. It also reindexes the drawing database for optimum display and object selection performance.


REGENALL (Quick Reference)

REGEN
REGENALL
REGENAUTO
Commands > R commands >
REGENALL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Regenerates the drawing and refreshes all viewports.

Menu: View [image] Regen AllAt the Command prompt, enter regenall.
Command entry: regenall

REGENALL regenerates the entire drawing and recomputes the screen coordinates for all objects in all viewports. It also reindexes the drawing database for optimum display and object selection performance.


REGENAUTO (Quick Reference)

REGENALL
REGENAUTO
REGION
Commands > R commands >
REGENAUTO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls automatic regeneration of a drawing.

Command entry: regenauto (or 'regenauto for transparent use)

Enter mode [ON/OFF] <current>: Enter on or off, or press ENTER

On

Regenerates the drawing immediately if any suppressed regenerations exist in the queue and continues to regenerate automatically whenever you perform an action that requires regeneration.

Off

Inhibits regeneration of the drawing until you use the REGEN or REGENALL command, or set REGENAUTO to on.

If you perform an action that requires a regeneration and that action is irrevocable (such as thawing layers), the following message is displayed:

Regen queued

If you perform an action that requires a regeneration and that action is revocable, the following message is displayed:

About to regen—proceed?

If you click OK, the drawing is regenerated. If you click Cancel, the last action is cancelled and the drawing is not regenerated.


REGION (Quick Reference)

REGENAUTO
REGION
REINIT
Commands > R commands >
REGION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts an object that encloses an area into a region object.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] RegionNot available on the ribbon in the current workspace
Menu: Draw [image] RegionNot available in menus in the current workspace
Toolbar: Draw
Command entry: region

Select objects: Use an object selection method and press ENTER when you finish

Regions are two-dimensional areas you create from closed shapes or loops. Closed polylines, lines, and curves are valid selections. Curves include circular arcs, circles, elliptical arcs, ellipses, and splines.

You can combine several regions into a single, complex region.

Closed 2D and exploded planar 3D polylines in the selection set are converted to separate regions and then converts polylines, lines, and curves to form closed planar loops (outer boundaries and holes of a region). If more than two curves share an endpoint, the resulting region might be arbitrary.

The boundary of the region consists of end-connected curves where each point shares only two edges. All intersections and self-intersecting curves are rejected.

If a selected polyline has been smoothed by either the Spline or Fit option of PEDIT, the resulting region contains the line or arc geometry of the smoothed polyline. The polyline is not converted to a spline object.

REGION deletes the original objects after converting them to regions unless the system variable DELOBJ is set to 0. If the original objects were hatched, hatch associativity is lost. To restore associativity, rehatch the region.


REINIT (Quick Reference)

REGION
REINIT
Re-initialization Dialog Box
Commands > R commands >
REINIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Reinitializes the digitizer, digitizer input/output port, and program parameters file

Command entry: reinit

The Re-initialization dialog box is displayed.


Re-initialization Dialog Box (Quick Reference)

REINIT
REINIT
RENAME
Commands > R commands > REINIT >
Re-initialization Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: reinit

Defines the I/O port and the device file for reinitialization.

I/O Port Initialization

Reinitializes the I/O port for the digitizer.

Device File Initialization

Reinitializes the digitizer and the acad.pgp file.


RENAME (Quick Reference)

Re-initialization Dialog Box
RENAME
Rename Dialog Box
Commands > R commands >
RENAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the names assigned to items such as layers and dimension styles.

Ribbon: Tools tab [image] Drawing Utilities panel [image] Rename. Does not exist on the ribbon.
Menu: Format [image] RenameAt the Command prompt, enter rename.
Command entry: rename

Named objects are categories of items such as layers, dimension styles, table styles, text styles, and so on. It is strongly recommended that you create standard naming conventions for them and save them in drawing template files.

The Rename dialog box is displayed.

If you enter -rename at the Command prompt, options are displayed.


Rename Dialog Box (Quick Reference)

RENAME
RENAME
-RENAME
Commands > R commands > RENAME >
Rename Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] RenameAt the Command prompt, enter rename.
Command entry: rename

Changes the names assigned to items such as layers and dimension styles.

Named Objects

Lists named objects in a drawing by category. Select the items that you want to rename.

Items

Displays items of the type specified in Named Objects. Select the name you want to change.

Old Name

Specifies the item to be renamed. Enter a name or select a name from the Items list. You can use the wild-card characters * and ? to rename groups of items. You can't rename some standard items, such as layer 0 and the CONTINUOUS linetype

Rename To

Specifies the new name you want to assign to the item. Enter a name and choose Rename To to apply the name change.


-RENAME (Quick Reference)

Rename Dialog Box
RENAME
RENDER
Commands > R commands > RENAME >
-RENAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -rename at the Command prompt, the following prompts are displayed.

Enter object type to rename [Block/Dimstyle/LAyer/LType/Material/multileadeRstyle/Plotstyle/textStyle/Tablestyle/Ucs/VIew/VPort]: Enter a named object type to rename an object

Enter old object name: Enter the old name

Enter new object name: Enter the new name


RENDER (Quick Reference)

-RENAME
RENDER
Render Window
Commands > R commands >
RENDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a photorealistic or realistically shaded image of a 3D solid or surface model.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] RenderDoes not exist on the ribbon.
Toolbar: Render
Menu: View [image] Render [image] RenderAt the Command prompt, enter render.
Command entry: render

The RENDER command begins the rendering process and displays the rendered image in the or the viewport.

By default, all objects in the current view in the drawing are rendered. If a named view or a camera view is not specified, the current view is rendered.

If you enter -render at the Command prompt, options are displayed.


Render Window (Quick Reference)

RENDER
RENDER
Missing Texture Maps Dialog Box
Commands > R commands > RENDER >
Render Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays rendered output of the current model

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] Render WindowNot available on the ribbon in the current workspace
Command entry: renderwin

Summary

The Render Window is divided into the following three panes:

  • Image pane. Displays the rendered image.
  • Statistics pane. On the right side; shows the current settings used for the rendering.
  • History pane. At the bottom; provides a recent history of images rendered from the current model and a progress meter to display rendering progress.

Separate render windows open for each drawing from which you are creating renderings. Rendering from any drawing always appears in its corresponding render window.

From the Render Window, you can

  • Save the image to a file.
  • Save a copy of the image to a file.
  • Review the settings used for the current rendering.
  • Track the rendering history of the model.
  • Purge, delete, or purge and delete an image from the rendering history.
  • Zoom into a section of the rendered image, pan around the image, and then zoom back out.

List of Menus

This dialog box displays the following menus.

File Menu

Saves rendered images.

Save

Saves an image to a bitmap file. For more information, see Save and Redisplay Rendered Images in the User's Guide.

You cannot use the SAVEIMG command when rendering to the Render Window. This command applies only when you are rendering to a viewport.

Save Copy

Saves a copy of an image to a new location without affecting the location stored with the current entry.

Exit

Closes the Render Window.

If you re-open the render window, the history of past renderings is retained.

View Menu

Displays different elements that make up the Render Window.

Status Bar

Displays the status bar below the History pane.

Statistics Pane

Displays the entire Statistics pane.

Tools Menu

Provides commands for zooming into and out of a rendered image.

Zoom +

Zooms into the rendering in the Image pane. When zoomed in, you can pan around the image.

Zoom -

Zooms out of the rendering in the Image pane.

NoteIf your mouse has a scroll wheel, you can zoom or pan the image by scrolling.

List of Options

This dialog box displays the following options.

Image Pane

The upper left portion of the Render Window is dedicated to the Image pane. It is the primary output target of the renderer. During rendering, the Image pane progressively displays the rendered tiles as they become available from the renderer.

Once rendering has completed, the Image pane provides additional functionality.

Scroll bars

If the image does not fit into the space allocated tothe Image pane, horizontal and vertical scrollbars appear at thebottom and right edges. Clicking the middle mouse button or wheel withinthe Image pane displays a hand icon. You can pan by dragging thecursor.

Zoom factor

Initially, a small zoom factor is chosen so the imagecan fit in the Image pane. The zoom factor ranges from 1:64 to64:1 in powers of two. You can change the zoom factor with the mouse wheel.Rolling the mouse forward increases zoom factor. The zoom factoris displayed in the title banner of the Render Window.

Progress Meter / Status Bar

There are four phases that occur before an image is complete; translation, photon emission, final gather, and render. Between the Image pane and the History pane is a progress meter to give you an idea of how much each phase has been processed and how much of the overall image has been rendered. The progress meter is split to report two pieces of information.

  • The top bar reports the progress within the current phase.
  • The bottom bar shows the progress made toward completion of the entire rendering.

The translation and render phases always occur. Photon emission and final gather phases only occur if those options have been enabled. Processing time is only spent for those phases that are active.

You can also cancel a rendering by clicking the X icon next to the progress meter, or by pressing the ESC key.

A status bar, at the lower lift corner of the Render Window, echoes the progress of the top bar on the progress meter.

History Pane

The lower left portion of the Render Window is dedicated to the History pane where you can browse a recent history of images rendered from the current model. Each entry stored in the History pane is called a history entry. The data stored in history entries includes

  • File name of the rendering and an indicator to tell you the type of rendering.
  • Image size.
  • View name that is being rendered. If no named view is used, the view is stored as current view.
  • Render time measured in hours : minutes : seconds.
  • Name of the render preset used for the rendering.

Any history entry that has a file name will be saved.

History Pane - Shortcut Menu

Right-clicking on a history entry displays a menu that contains the following options:

Render Again

Restarts the renderer for the selected history entry.

Save

Displays the Render Output File dialog box where you can save the image to disk. If you’ve selected a temporary entry, saving converts it to a normal entry.

Save Copy

Saves the image to a new location without affecting the location stored in the entry. The Render Output File dialog box is displayed.

Make Render Settings Current

Loads the render settings associated with the selected history entry if multiple history entries are present that use different render presets.

Remove From The List

Removes the entry from the history while leaving any associated image files in place.

Delete Output File

Removes the rendered image from the Image pane.

Statistics Pane

Provides an area, the right-hand portion of the Render Window, where you can inspect details about the rendering and render settings in effect when the image was created.

This information is derived from settings made in the Render Presets Manager dialog box along with information that is generated at the time of the rendering.


Missing Texture Maps Dialog Box (Quick Reference)

Render Window
RENDER
Render Output File Dialog Box
Commands > R commands > RENDER >
Missing Texture Maps Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Menu: View [image] Render [image] RenderAt the Command prompt, enter render.
Toolbar: Render
Command entry: render

This dialog appears when you attempt to render a scene with texture maps whose path is no longer current. This can happen if the texture maps have been moved or deleted, or if the model has been placed on a system with a different drive mapping than the system on which it was created.

AutoCAD looks for texture maps in the folder where the drawing file is stored or in Texture Map Paths set on the Options dialog box.

List of texture maps

Lists the texture maps that cannot be located, along with their path names.

Don’t show me this again

Check this option to not display this message the next time texture maps cannot be found.

Continue

Renders the model anyway, without loading the missing texture maps.


Render Output File Dialog Box (Quick Reference)

Missing Texture Maps Dialog Box
RENDER
BMP Image Options Dialog Box
Commands > R commands > RENDER >
Render Output File Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: View [image] Render [image] Advanced Render SettingsDoes not exist in the menus.
Toolbar: Render
Command entry: rpref

The Render Output File dialog box is a standard file selection dialog boxes. You specify the file name of the image you want to save and the output file format. In this dialog box, you can only choose from raster image output file formats.

The file formats for saving your rendered images to include the following:

BMP (*.bmp)

BMP files are still-image bitmap files in the Windows bitmap (.bmp) format.

Clicking Save after choosing this format displays the BMP Image Options dialog box.

PCX (*.pcx)

PCX files are relatively simple files that provide minimum compression using run length encoding (RLE).

Clicking Save after choosing this format displays the PCX Image Options dialog box.

TGA (*.tga)

The Targa (TGA) format supports up to 32-bit true color. This format is typically used as a true color format to render still images.

Clicking Save after choosing this format displays the Targa Image Options dialog box.

TIF (*.tif)

TIF (Tagged Image File) format is a multiplatform bitmap format. TIF is a common choice if you plan to send your output to a print service bureau or import the image into a page-layout program.

Clicking Save after choosing this format displays the TIFF Image Options dialog box.

JPEG (*.jpg)

JPEG (.jpeg or .jpg) files follow the standards set by the Joint Photography Experts Group. These files use a variable compression method that is called lossy compression because of the loss of image quality as you increase the compression. However, the JPEG compression scheme is extremely good and you can sometimes compress the file up to 200:1 without severe loss of image quality. JPEG is consequently a popular format for posting image files on the Internet for minimum file size and minimum download time.

Clicking Save after choosing this format displays the JPEG Image Options dialog box.

PNG (*.png)

PNG (Portable Network Graphics) is a still-image file format developed for use with the Internet and World Wide Web. PNG is a format that generates a compressed image without any loss of quality, unlike the loss of quality found in JPEG files.

Clicking Save after choosing this format displays the PNG Image Options dialog box.


BMP Image Options Dialog Box (Quick Reference)

Render Output File Dialog Box
Render Output File Dialog Box
PCX Image Options Dialog Box
Commands > R commands > RENDER > Render Output File Dialog Box >
BMP Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When BMP is chosen as the output format, the BMP Image Options dialog box is displayed.

Color

Monochrome

Creates a 2-bit black and white image.

8 Bits (256 Grayscale)

Creates an 8-bit grayscale image using 256 shades of gray.

8 Bits (256 Colors)

Renders a smaller, 8-bit color image from a palette of 256 colors.

24 Bits (16.7 Million Colors)

Renders a larger, true color (24-bit) file.


PCX Image Options Dialog Box (Quick Reference)

BMP Image Options Dialog Box
Render Output File Dialog Box
Targa Image Options Dialog Box
Commands > R commands > RENDER > Render Output File Dialog Box >
PCX Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When PCX is chosen as the output format, the PCX Image Options dialog box is displayed.

Color

Monochrome

Creates a 2-bit black and white image.

8 Bits (256 Grayscale)

Creates an 8-bit grayscale image using 256 shades of gray.

8 Bits (256 Colors)

Renders a smaller, 8-bit color image from a palette of 256 colors.


Targa Image Options Dialog Box (Quick Reference)

PCX Image Options Dialog Box
Render Output File Dialog Box
TIFF Image Options Dialog Box
Commands > R commands > RENDER > Render Output File Dialog Box >
Targa Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When TGA is chosen as the output format, the Targa Image Options dialog box is displayed.

Color

8 Bits (256 Grayscale)

Creates an 8-bit grayscale image using 256 shades of gray.

8 Bits (256 Colors)

Renders a smaller, 8-bit color image from a palette of 256 colors.

24 Bits (16.7 Million Colors)

Creates a 24 bit color image that uses a 16.7 million color palette.

32 Bits (24 Bits + Alpha)

Creates a 24 bit color image that includes an 8 bit alpha channel. Alpha is a type of data, found in 32-bit image files, that assigns transparency to the pixels in the image.

Bottom Up

Saves the image from bottom to top.


TIFF Image Options Dialog Box (Quick Reference)

Targa Image Options Dialog Box
Render Output File Dialog Box
JPEG Image Options Dialog Box
Commands > R commands > RENDER > Render Output File Dialog Box >
TIFF Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When TIF is chosen as the output format, the TIFF Image Options dialog box is displayed.

Color

Monochrome

Creates a 2-bit black and white image.

8 Bits (256 Grayscale)

Creates an 8-bit grayscale image using 256 shades of gray.

8 Bits (256 Colors)

Renders a smaller, 8-bit color image from a palette of 256 colors.

24 Bits (16.7 Million Colors)

Creates a 24 bit color image that uses a 16.7 million color palette.

32 Bits (24 Bits + Alpha)

Creates a 24 bit color image that includes an 8 bit alpha channel. Alpha is a type of data, found in 32-bit image files, that assigns transparency to the pixels in the image.

Compressed

Applies lossless compression to the file.

Dots Per Inch

Sets the dots per inch (dpi) for the saved image. This setting does not change the resolution of the final image, but can affect the way it prints in documents.


JPEG Image Options Dialog Box (Quick Reference)

TIFF Image Options Dialog Box
Render Output File Dialog Box
PNG Image Options Dialog Box
Commands > R commands > RENDER > Render Output File Dialog Box >
JPEG Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When JPG is chosen as the output format, the JPEG Image Options dialog box is displayed.

Image Control

Quality

Sets the level of quality: the higher the quality, the larger the file size. In general, files compressed with the slider set to Best have compression ratios between 5:1 and 15:1.

File Size

Sets the size of file you want: the larger the file, the higher the quality.


PNG Image Options Dialog Box (Quick Reference)

JPEG Image Options Dialog Box
Render Output File Dialog Box
-RENDER
Commands > R commands > RENDER > Render Output File Dialog Box >
PNG Image Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When PNG is chosen as the output format, the PNG Image Options dialog box is displayed.

Color

Monochrome

Creates a 2-bit black and white image.

8 Bits (256 Grayscale)

Creates an 8-bit grayscale image using 256 shades of gray.

8 Bits (256 Colors)

Renders a smaller, 8-bit color image from a palette of 256 colors.

16 Bits (65,536 Grayscale)

Creates a grayscale 16-bit image that uses 65,536 shades of gray.

24 Bits (16.7 Million Colors)

Creates a larger, true color (24-bit) file.

32 Bits (24 Bits + Alpha)

Creates a 24 bit color image that includes an 8 bit alpha channel. Alpha is a type of data, found in 32-bit image files, that assigns transparency to the pixels in the image.

Progressive

Provides faster display in Web browsers.

Dots Per Inch

Sets the dots per inch (dpi) for the saved image. This setting does not change the resolution of the final image, but can affect the way it prints in documents.


-RENDER (Quick Reference)

PNG Image Options Dialog Box
RENDER
RENDERCROP
Commands > R commands > RENDER >
-RENDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -render at the Command prompt, the following prompts are displayed.

Specify render preset [Draft/Low/Medium/High/Presentation/Other] <Medium>: Enter an option or press ENTER

Specify render destination [Render Window/Viewport] <Render Window>: Enter an option or press ENTER

Draft

Draft is the lowest level standard render preset. This setting is intended for very fast, test renderings where anti-aliasing is bypassed and sample filtering is very low.

This render preset produces very low quality rendering, but results in the fastest rendering speed.

Low

The Low render preset provides better quality than the Draft preset. Anti-aliasing is bypassed but sample filtering is improved. Raytracing is also active, by default, so better quality shading occurs.

This preset is best used for test rendering that requires better quality than Draft.

Medium

You can expect much better sample filtering and anti-aliasing is active when you use the Medium render preset. Raytracing is active with increased reflection depth settings when compared to the Low render preset.

This preset offers a good balance between quality and render speed.

High

The High we preset matches the Medium preset settings with regards to anti-aliasing, but sample filtering and raytracing is improved.

Due to the improved sample filtering and raytracing, rendered images take longer to process, but the image quality is much better.

Presentation

The Presentation render preset is used for high quality, photo-realistic rendered images and takes the longest to process. Sample filtering and raytracing is further improved.

Since this preset is used for final renderings, global illumination settings are commonly used in conjunction.

Other

The Other option allows you to specify a custom render preset if one or more are present. When you choose Other, the following prompt is displayed.

Specify custom render preset [?]: Enter the name of a custom render preset or enter ?

?—List Custom Render Presets

A text screen is displayed listing all the custom render presets that are stored with the model. Only custom render presets are listed.

If no custom render presets are present, the text screen displays a message stating that no custom render preset are found.

Pressing Enter without specifying a custom render preset takes you back to the first prompt asking you to specify a render preset.

Render Window

Choosing Render Window as your render destination means the image will be displayed in the render window when processing in complete. Additional prompts appear when you choose Render Window.

Enter output width <640>: Enter the desired output width or press ENTER

Enter output height <480>: Enter the desired output height or press ENTER

The output width and height values designate how wide and how tall the rendered image is going to be. Both values are measured in pixels.

Save rendering to a file? [Yes/No] <No>: Enter Y if you want the rendered image saved to disk or press ENTER

If you accept the default value of No, the Render Window is displayed and the image is rendered. Answering Yes results in another prompt:

Specify output file name and path: Enter a valid file name and path where the rendered image is to be saved

You can save the image to one of the following file formats: BMP, TGA, TIF, PCX, JPG, or PNG.

Viewport

If you choose Viewport, anything that is currently displayed in the viewport gets rendered.


RENDERCROP (Quick Reference)

-RENDER
RENDERCROP
RENDERENVIRONMENT
Commands > R commands >
RENDERCROP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Renders a specified rectangular area, called a crop window, within a viewport.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] Render RegionNot available on the ribbon in the current workspace
Command entry: rendercrop

Summary

Renders what is inside a specified rectangular region within the viewport, and leaves the remainder of the render window intact.

Use this command when you need to render a part of the model for testing settings and effects.

List of Prompts

The following prompts are displayed.

Pick crop window to render: Select the first corner of the region you want to render

Please enter the second point: Select the opposite corner of the region you want to render

The current render destination and rendering procedure is ignored. After the second corner of the render region is selected, the rendering task proceeds and displays a viewport rendering with cropping.


RENDERENVIRONMENT (Quick Reference)

RENDERCROP
RENDERENVIRONMENT
Render Environment Dialog Box
Commands > R commands >
RENDERENVIRONMENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls visual cues for the apparent distance of objects.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] EnvironmentNot available on the ribbon in the current workspace
Menu: View [image] Render [image] Render EnvironmentNot available in menus in the current workspace
Toolbar: Render
Command entry: renderenvironment

Summary

The Render Environment dialog box is displayed.


Render Environment Dialog Box (Quick Reference)

RENDERENVIRONMENT
RENDERENVIRONMENT
RENDEREXPOSURE
Commands > R commands > RENDERENVIRONMENT >
Render Environment Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the cues for distance between objects and the current viewing direction.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] EnvironmentNot available on the ribbon in the current workspace
Menu: View [image] Render [image] Render EnvironmentNot available in menus in the current workspace
Toolbar: Render
Command entry: renderenvironment

Summary

Fog and depth cueing are atmospheric effects that cause objects to appear to fade as they increase in distance from the camera. Fog uses a white color while depth cueing uses black.

List of Options

The following options are available in this dialog box.

Fog and Depth Cue

Fog and depth cueing are actually two extremes of the same effect: a white color is fog, and a black color is traditional depth cueing. You can use any color in between.

Enable Fog

Turns fog on and off without affecting the other settings in the dialog box.

Color

Specifies the color of the fog.

Clicking Select Color opens the Select Color dialog box. To define the color, you can select from the 255 AutoCAD Color Index (ACI) colors, true colors, and color book colors.

Fog Background

Applies fog to the background as well as to the geometry.

Near Distance

Specifies the distance from the camera where the fog begins.

It is specified as a percentage of the distance to the far clipping plane. You can set the value either by entering the Near Distance field or by using the spinner. The Near Distance setting cannot be greater than the Far Distance setting.

Far Distance

Specifies the distance from the camera where the fog ends.

It is specified as a percentage of the distance to the far clipping plane. You can set the value either by entering the Near Distance field or by using the spinner. The Far Distance setting cannot be less than the Near Distance setting.

Near Fog Percentage

Specifies the opacity of the fog at the near distance.

Far Fog Percentage

Specifies the opacity of the fog at the far distance.


RENDEREXPOSURE (Quick Reference)

Render Environment Dialog Box
RENDEREXPOSURE
Adjust Rendered Exposure Dialog Box
Commands > R commands >
RENDEREXPOSURE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides settings to adjust the global lighting for the most recently rendered output.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] Adjust ExposureNot available on the ribbon in the current workspace
Command entry: renderexposure

Summary

The Adjust Rendered Exposure dialog box is displayed.

When the LIGHTINGUNITS system variable is set to 0, the Adjust Render Exposure dialog box is not available because the exposure control is not turned on.

NoteWhen the LIGHTINGUNITS system variable is set to 0, the Adjust Render Exposure dialog box is not available because the exposure control is not enabled.


Adjust Rendered Exposure Dialog Box (Quick Reference)

RENDEREXPOSURE
RENDEREXPOSURE
RENDERPRESETS
Commands > R commands > RENDEREXPOSURE >
Adjust Rendered Exposure Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Globally defines the brightness, contrast, mid tones, and exterior daylight for the current drawing when rendering.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] Adjust ExposureNot available on the ribbon in the current workspace
Command entry: renderexposure

Summary

Adjusting the exposure of the most recent rendered output allows you to add or remove lighting globally without the need to render the drawing over again each time you make a change to see how it affects the rendered output.

List of Options

This dialog box contains the following options.

Adjust Render Exposure

Brightness

Adjusts the brightness of the converted colors. Values are 0-200.0. Default is [65.0].

Contrast

Adjusts the brightness of the converted colors. Values are 0-100.0. Default is[100.0].

Mid tones

Adjusts the mid-tone values of the converted colors. Values are 0-20.0. Default is [1.0].

Exterior Daylight

Sets the exposure for exterior scenes lit by the sun. Values are On|Off|Auto. Default is [Auto].

Process Background

Specifies if the background should be processed by exposure control at render time. Values are On|Off. Default is [On].


RENDERPRESETS (Quick Reference)

Adjust Rendered Exposure Dialog Box
RENDERPRESETS
Render Presets Manager
Commands > R commands >
RENDERPRESETS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies render presets, reusable rendering parameters, for rendering an image.

Access Methods

Button

Ribbon: Render tab [image] Render [image] Render Presets
Toolbar: Render
Command entry: renderpresets

Summary

The Render Presets Manager is displayed.


Render Presets Manager (Quick Reference)

RENDERPRESETS
RENDERPRESETS
Copy Render Preset Dialog Box
Commands > R commands > RENDERPRESETS >
Render Presets Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Render [image] Render Presets
Toolbar: Render
Command entry: renderpresets

Reusable rendering parameters are stored as render presets. You can choose from among a set of installed render presets or you can create your own custom render presets. Render presets are normally tailored for relatively quick, preview renderings. Others might be created for slower but higher quality renderings.

The Render Presets Manager is divided into four sections: a preset list, a property panel, button controls, and a thumbnail viewer.

Render Presets List

Displays a tree view listing of all the presets stored with the current drawing. There are two types of render presets: Standard and Custom.

The Standard and Custom Render Presets trees can be re-ordered by dragging. Likewise, if you have multiple custom presets, you can re-order them in the same way. You cannot re-order the Standard presets inside the Standard Render Presets list.

Property Panel

Provides settings that are similar to the properties on the Advanced Render Settings palette.

Preset Info

Provides general information about a selected preset.

Name

Specifies the name of the selected render preset. You can also rename a custom preset. Standard presets cannot be renamed.

Description

Displays a description of the selected preset.

Thumbnail Image

Lists the name of a still image that is associated with the select preset. This gives you a visual idea of how the render settings will affect the rendered image.

Click [...] to open the Specify An Image dialog box (a standard file selection dialog box) where you can browse to and select a thumbnail image for presets you create.

Materials

Contains settings that affect how materials are handled by the renderer.

Apply Materials

Applies the surface materials that you define and apply to an object. If Apply Materials is not selected, all objects in the drawing assume the color, ambient, diffuse, reflection, roughness, transparency, refraction, and bump map attribute values defined for the GLOBAL material. For more information, see MATERIALS.

Texture Filtering

Specifies if texture maps are filtered.

Force 2-Sided

Controls if both sides of faces are rendered.

Sampling

Controls how the renderer performs sampling.

Min Samples

Sets the minimum sample rate. The value represents the number of samples per pixel. A value greater than or equal to 1 indicates that one or more samples are computed per pixel. A fractional value indicates that one sample is computed for every N pixels (for example, 1/4 computes a minimum of one sample for every four pixels). Default=1/4.

Max Samples

Sets the maximum sample rate. If neighboring samples find a difference in contrast that exceeds the contrast limit, the area containing the contrast is subdivided to the depth specified. Default=1.

The values of the Min Samples and Max Samples lists are "locked" together so that the value of Min Samples can't exceed the value of Max Samples. An error dialog box is displayed if the Min Samples value is greater than the Max Samples value.

Filter Type

Determines how multiple samples are combined into a single pixel value. The filter types are:

  • Box. Sums all samples in the filter area with equal weight. This is the quickest sampling method.
  • Gauss. Weights the samples using a Gauss (bell) curve centered on the pixel.
  • Triangle. Weights the samples using a pyramid centered on the pixel.
  • Mitchell. Weights the samples using a curve (steeper than Gauss) centered on the pixel.
  • Lanczos. Weights the samples using a curve (steeper than Gauss) centered on the pixel, diminishing the effect of samples at the edge of the filter area.
Filter Width and Height

Specifies the size of the filtered area. Increasing the value of Filter Width and Filter Height can soften the image; however, it will increase rendering time.

Contrast Color

Clicking [...] opens the Select Color dialog box where you interactively specify the R,G,B threshold values.

Contrast Red, Blue, Green

Specifies the threshold values for the red, blue, and green components of samples. These values are normalized, and range from 0.0 to 1.0, where 0.0 indicates the color component is fully unsaturated (black, or 0 in eight-bit encoding) and 1.0 indicates the color component is fully saturated (white, or 255 in eight-bit encoding).

Contrast Alpha

Specifies the threshold value for the alpha component of samples. This value is normalized, and ranges from 0.0 (fully transparent, or 0 in eight-bit encoding) to 1.0 (fully opaque, or 255 in eight-bit encoding).

Shadows

Contains settings that affect how shadows appear in the rendered image.

Enable

Specifies if shadows are computed during rendering.

Mode

The shadow mode can be Simple, Sort, or Segments.

  • Simple. Generates shadow shaders in a random order.
  • Sort. Generates shadow shaders in order, from the object to the light.
  • Segments. Generates shadow shaders in order along the light ray from the volume shaders to the segments of the light ray between the object and the light.
Shadow Map

Controls if shadow mapping is used to render shadows. When on, the renderer renders shadow-mapped shadows. When off, all shadows are ray-traced.

Sampling Multiplier

Globally limits shadow sampling for area lights. This is part of the rendering preset data. This allows draft and low quality presets to reduce area light sampling. It’s effect is to modulate the inherent sampling frequency specified for each light. The default value=1 for new presets. Values are 0, 1/8, 1/4, 1/2, 1, 2. Draft: 0; Low:1/4; Med:1/2; High:1; Presentation:1.

Ray Tracing

Contains settings that affect the shading of a rendered image.

Enable

Specifies if ray tracing should be performed when shading.

Max Depth

Limits the combination of reflection and refraction. Tracing of a ray stops when the total number of reflections and refractions reaches the maximum depth. For example, if Max Depth equals 3 and the two trace depths each equal the default value of 2, a ray can be reflected twice and refracted once, or vice versa, but it cannot be reflected and refracted four times.

Max Reflections

Sets the number of times a ray can be reflected. At 0, no reflection occurs. At 1, the ray can be reflected once only. At 2, the ray can be reflected twice, and so on.

Max Refractions

Sets the number of times a ray can be refracted. At 0, no refraction occurs. At 1, the ray can be refracted once only. At 2, the ray can be refracted twice, and so on.

Global Illumination

Affects how your scene is illuminated.

Enable

Specifies if global illumination should be calculated for the scene.

Photons/Samples

Sets how many photons are used to compute the intensity of the global illumination. Increasing this value makes global illumination less noisy but also more blurry. Decreasing this value makes global illumination more noisy but less blurry. The larger the Samples value, the greater the rendering time.

Use Radius

Determines the size of photons. When on, the spinner value sets the size of photons. When off, each photon is calculated to be 1/10 of the radius of the full scene.

Radius

Specifies the area within which photons will be used when illuminance is computed.

Max Depth

Limits the combination of reflection and refraction. Reflection and refraction of a photon stop when the total number of both equals the Max Depth setting. For example, if Max Depth equals 3 and the trace depths each equal 2, a photon can be reflected twice and refracted once, or vice versa, but it can’t be reflected and refracted four times.

Max Reflections

Sets the number of times a photon can be reflected. At 0, no reflection occurs. At 1, the photon can be reflected once only. At 2, the photon can be reflected twice, and so on.

Max Refractions

Sets the number of times a photon can be refracted. At 0, no refraction occurs. At 1, the photon can be refracted once only. At 2, the photon can be refracted twice, and so on.

Final Gather

Calculates global illumination further.

Mode

Controls the final gathering dynamic settings.

  • On.Turns on the global illumination in final gather.
  • Off.Turns off the calculation of global illumination in final gather.
  • Auto. Indicates that the final gather should be dynamically enabled or disable at render time based on the skylight status.
Enable

Specifies if gathering should be used to compute the final shading.

Rays

Sets how many rays are used to compute indirect illumination in a final gather. Increasing this value makes global illumination less noisy, but also increases rendering time.

Radius Mode

Determines the radius mode for final gather processing. Settings are On, Off, or View.

  • On. Specifies that the setting means the Max Radius setting is used for final gather processing. The radius is specified in world units, and defaults to 10 percent of the maximum circumference of the model.
  • Off. Specifies the maximum radius is the default value of 10 percent of the maximum model radius, in world units.
  • View. Specifies the Max Radius setting in pixels instead of world units and is used for final gather processing.
Max Radius

Sets the maximum radius within which final gathering is used. Reducing this value can improve quality at a cost of increased rendering time.

Use Min

Controls whether the Min Radius setting is used during final gather processing. When on, the minimum radius setting is used for final gather processing. When off, the minimum radius is not used.

Min Radius

Sets the minimum radius within which final gathering is used. Increasing this value can improve quality but increase rendering time.

Light Properties

Affects how lights behave when calculating indirect illumination. By default, the energy and photon settings apply to all lights in a scene.

Photons/Light

Sets the number of photons emitted by each light for use in global illumination. Increasing this value increases the accuracy of global illumination, but also increases the amount of memory used and the length of render time. Decreasing this value improves memory usage and render time, and can be useful for previewing global-illumination effects.

Energy Multiplier

Multiplies the global illumination, indirect light, intensity of the rendered image.

Visual

Helps you understand why the renderer is behaving in a certain way.

Grid

Renders an image that shows the coordinate space of objects, the world, or camera.

  • Object. Shows local coordinates (UVW). Each object has its own coordinate space.
  • World. Shows world coordinates (XYZ). The same coordinate system applies to all objects.
  • Camera. Shows camera coordinates, which appear as a rectangular grid superimposed on the view.
Grid Size

Sets the size of the grid.

Photon

Renders the effect of a photon map. This requires that a photon map be present. If no photon map is present, the Photon rendering looks just like the nondiagnostic rendering of the scene: the renderer first renders the shaded scene, then replaces it with the pseudocolor image.

  • Density. Renders the photon map as it is projected into the scene. High density is displayed in red, and lower values render in increasingly cooler colors.
  • Irradiance. Similar to the Density rendering, but shades the photons based on their irradiance. The maximum irradiance is rendered in red, and lower values render in increasingly cooler colors.
BSP

Renders a visualization of the parameters used by the tree in the BSP raytrace acceleration method. If a message from the renderer reports excessively large depth or size values, or if rendering seems unusually slow, this can help you locate the problem.

  • Depth. Shows the depth of the tree, with top faces in bright red, and increasingly deep faces in increasingly cool colors.
  • Size. Shows the size of leaves in the tree, with differently sized leaves indicated by different colors.

Processing

Tile Size

Determines the tile size for rendering. To render the scene, the image is subdivided into tiles. The smaller the tile size, the more image updates are generated during rendering. When the tile size is reduced, the number of image updates increases, meaning that a rendering take longer to complete. If the tile size is increased, fewer image updates occur and the rendering takes less time to complete.

Tile Order

Specifies the method used (render order) for tiles as an image is rendered. You can choose a method based on how you prefer to see the image appear as it renders in the Render Window.

  • Hilbert. Next tile to be rendered is based on the cost of switching to the next one.
  • Spiral. Tiles are rendered beginning at the center of the image, and spiral outward.
  • Left to Right. Tiles are rendered in columns, from bottom to top, left to right.
  • Right to Left. Tiles are rendered in columns, from bottom to top, right to left.
  • Top to Bottom. Tiles are rendered in rows, from right to left, top to bottom.
  • Bottom to Top. Tiles are rendered in rows, from right to left, bottom to top.
Memory Limit

Determines the memory limit for rendering. The renderer keeps a count of the memory it uses at render time. If the memory limit is reached, the geometry for some objects is discarded in order to allocate memory for other objects.

Set Current

Sets the selected render preset as the preset to be used by the renderer.

Create Copy

Copies a preset. The Copy Render Preset dialog box is displayed.

Delete

Deletes the selected custom render preset. Standard presets cannot be deleted.

Thumbnail Viewer

Displays a thumbnail image that is associated with the selected render preset. If the thumbnail image is not shown, you can select one from the Thumbnail Image setting under Preset Info.


Copy Render Preset Dialog Box (Quick Reference)

Render Presets Manager
RENDERPRESETS
RENDERWIN
Commands > R commands > RENDERPRESETS >
Copy Render Preset Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Render [image] Render Presets
Toolbar: Render
Command entry: renderpresets

You can define your own custom presets by creating a copy based upon an existing render preset. You can specify a name and description of the copied preset. The new preset shows up as one of your Custom Render Presets in the Render Presets list in the Render Presets Manager.

Name

Give the copied preset a name. Preset names must be unique.

Description

Add a description of the custom preset.

Describe the rendering effect that will be produced when the custom preset is used. This description can be more detailed than the name of the preset.

NoteRender preset names cannot include special characters. A warning dialog box is displayed if a special character is found in your preset name.

After you define your new render preset, you can select it in the Render Presets list and alter the rendering settings you want stored with that preset.


RENDERWIN (Quick Reference)

Copy Render Preset Dialog Box
RENDERWIN
RENDSCR
Commands > R commands >
RENDERWIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Render window without starting a rendering operation.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] Render WindowNot available on the ribbon in the current workspace
Command entry: renderwin

Summary

The Render Window is displayed, but a rendering of the current drawing is not initiated.

If the drawing has a render history, you can view images that were previously rendered.

If the current drawing does not contain a rendering history, you are informed that no rendering history is present and the command ends.


RENDSCR (Quick Reference)

RENDERWIN
RENDSCR
REPLAY
Commands > R commands >
RENDSCR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

Command entry: rendscr

The Render Window is displayed. (RENDERWIN command)


RESETBLOCK (Quick Reference)

REPLAY
RESETBLOCK
RESUME
Commands > R commands >
RESETBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Resets one or more dynamic block references to the default values of the block definition.

Shortcut menu: Select a dynamic block reference in a drawing. Right-click in the drawing area. Click Reset Block.
Command entry: resetblock

Select object: Select one or more dynamic block references and press ENTER


RESUME (Quick Reference)

RESETBLOCK
RESUME
REVCLOUD
Commands > R commands >
RESUME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Continues an interrupted script.

Command entry: resume (or 'resume for transparent use)

You can interrupt a macro script that is running by pressing ESC or BACKSPACE. Any error encountered while processing input from a script file causes the script to be suspended. If a script is suspended while the program is active, you can use RESUME to continue the script.


REVCLOUD (Quick Reference)

RESUME
REVCLOUD
REVERSE
Commands > R commands >
REVCLOUD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a revision cloud using a polyline.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] Revision CloudNot available on the ribbon in the current workspace
Menu: Draw [image] Revision CloudNot available in menus in the current workspace
Toolbar: Draw
Command entry: revcloud

Minimum arc length: 0.5000 Maximum arc length: 0.5000

Specify start point or [Arc length/Object/Style] <Object>: Drag to draw the revision cloud, enter an option, or press ENTER

Guide crosshairs along cloud path...

When the start and end lines meet, the following message is displayed at the Command prompt.

Revision cloud finished

The resulting object is a polyline.

NoteREVCLOUD stores the last used arc length in the system registry. This value is multiplied by DIMSCALE to provide consistency when the program is used with drawings that have different scale factors.

You can create a new revision cloud by dragging your cursor, or you can convert a closed object such as an ellipse or polyline into a revision cloud. Use revision clouds to highlight parts of a drawing that are being reviewed.

Arc Length

Specifies the length of the arcs in a revision cloud.

Specify minimum length of arc <0.5000>: Specify a minimum arc length

Specify maximum length of arc <0.5000>: Specify a maximum arc length

Guide crosshairs along cloud path...

Revision cloud finished

The maximum arc length cannot be set to more than three times the minimum arc length.

Object

Specifies an object to be converted to a revision cloud.

Select object: Select the closed object to convert to a revision cloud

direction [Yes/No]: Enter y to reverse the direction of the arcs in the revision cloud, or press ENTER to leave the arcs as is

Revision cloud finished

Style

Specifies the style of the revision cloud.

Select arc style [Normal/Calligraphy] <default/last>: Select the style for the revision cloud


REVERSE (Quick Reference)

REVCLOUD
REVERSE
REVOLVE
Commands > R commands >
REVERSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverses the order of vertices of the selected lines, polylines, splines, and helixes.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] ReverseNot available on the ribbon in the current workspace
Command entry: reverse

Summary

Use this command to reverse the direction of objects that use linetypes with included text. For example, depending on the direction in which a polyline was created, the text in the linetype might be displayed upside down.

Select a line, polyline, spline or helix: Select one or more objects and press ENTER

Select objects: Use an object selection method


REVOLVE (Quick Reference)

REVERSE
REVOLVE
REVSURF
Commands > R commands >
REVOLVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid or surface by sweeping a 2D object around an axis.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] RevolveNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] RevolveNot available in menus in the current workspace
Toolbar: Modeling
Command entry: revolve

Summary

You can revolve closed objects to create 3D solids and open objects to create surfaces. Objects can be revolved 360 degrees or another specified angle.

With the REVOLVE command, you can create a new solid or surface by revolving an open or closed planar curve about an axis. You can revolve more than one object.

The DELOBJ system variable controls whether revolved objects are automatically deleted when the solid or surface is created or whether you are prompted to delete the objects.

You can select the objects to revolve before you start the command.

You can revolve the following objects:

Objects that Can Be Revolved

Object types
2D solids
3D faces - planar
Arcs
Circles
Ellipses
Elliptical arcs
Lines
Polylines - 2D
Regions
Solids - planar faces
Splines - 2D
Surfaces - planar faces
Traces
NoteYou can select faces on solids by pressing and holding CTRL, and then selecting these subobjects.

You cannot revolve objects contained within a block. Polylines that have crossing or self-intersecting segments cannot be revolved. REVOLVE ignores the width of a polyline and revolves from the center of the path of the polyline.

The right-hand rule determines the positive direction of rotation. See Control the User Coordinate System in 3Din the User's Guide.

List of Prompts

Object to Revolve

Specifies the objects to be revolved about an axis.

Axis Start Point

Specifies the first and second points of the axis of revolution. The positive axis direction is from the first to the second point.

  • Axis endpoint. Sets the endpoint for the axis of revolution.
    • Start angle
    • Angle of revolution
Start angle

Specifies an offset for the revolution from the plane of the object being revolved.

  • Angle of revolution
Angle of revolution

Specifies how far the selected object revolves about the axis.

A positive angle revolves the objects in a counterclockwise direction. A negative angle revolves the objects in a clockwise direction.

The objects are revolved to the specified angle.

Object

Specifies an existing object to be used as an axis. The positive axis direction is from the closest to the farthest endpoint of this object.

You can use lines, linear polyline segments, and linear edges of solids or surfaces as an axis:

NoteYou can select an edge on a solid by pressing and holding CTRL, and then selecting an edge.
  • Start angle
  • Angle of revolution
X (Axis)

Sets the positive X axis of the current UCS as the positive axis direction.

  • Start angle
  • Angle of revolution
Y (Axis)

Sets the positive Y axis of the current UCS as the positive axis direction.

  • Start angle
  • Angle of revolution
Z (Axis)

Sets the positive Z axis of the current UCS as the positive axis direction.

  • Start angle
  • Angle of revolution


REVSURF (Quick Reference)

REVOLVE
REVSURF
RIBBON
Commands > R commands >
REVSURF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mesh by revolving a profile about an axis.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Primitives panel [image] Modeling, Meshes, Revolved SurfaceNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Meshes [image] Revolved MeshesNot available in menus in the current workspace
Command entry: revsurf

Summary

Select a line, arc, circle, or 2D or 3D polyline to sweep in a circular path around a selected axis.

The MESHTYPE system variable sets which type of mesh is created. Mesh objects are created by default. Set the variable to 0 to create legacy polyface or polygon mesh.

The density of the generated mesh is controlled by the SURFTAB1 and SURFTAB2 system variables. SURFTAB1 specifies the number of tabulation lines that are drawn in the direction of revolution. If the path curve is a line, arc, circle, or spline-fit polyline, SURFTAB2 specifies the number of tabulation lines that are drawn to divide it into equal-sized intervals. If the path curve is a polyline that has not been spline fit, tabulation lines are drawn at the ends of straight segments, and each arc segment is divided into the number of intervals specified by SURFTAB2.

List of Prompts

Current wire frame density: SURFTAB1=current: SURFTAB2=current

Object to revolve

Select a line, arc, circle, or 2D or 3D polyline.

Object that defines axis of revolution

Select a line or open 2D or 3D polyline. The axis direction cannot be parallel to the plane of the original object.

The path curve is swept about the selected axis to define the mesh. The path curve defines the N direction of the mesh. Selecting a circle or a closed polyline as the path curve closes the mesh in the N direction.

The vector from the first to the last vertex of the polyline determines the rotation axis. Any intermediate vertices are ignored. The axis of revolution determines the M direction of the mesh.

Start Angle

If set to a nonzero value, starts the mesh of revolution at an offset from the generating path curve.

Specifying a start angle starts the mesh of revolution at an offset from the generating path curve.

Included Angle

Specifies how far about the axis of revolution the mesh extends. The included angle is the distance through which the path curve is swept.

Entering an included angle that is less than a full circle prevents the circle from closing.

The point you use to select the axis of revolution affects the direction of revolution. The mesh in the following example was created by specifying a start angle of 0 degrees and an included angle of 90 degrees.


RIBBON (Quick Reference)

REVSURF
RIBBON
RIBBONCLOSE
Commands > R commands >
RIBBON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens the ribbon window.

Command entry: ribbon


RIBBONCLOSE (Quick Reference)

RIBBON
RIBBONCLOSE
RMAT
Commands > R commands >
RIBBONCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes the ribbon window.

Command entry: ribbonclose


RMAT (Quick Reference)

RIBBONCLOSE
RMAT
ROTATE
Commands > R commands >
RMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

Command entry: rmat

The Materials window is displayed. (MATERIALS command)


ROTATE (Quick Reference)

RMAT
ROTATE
ROTATE3D
Commands > R commands >
ROTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Rotates objects around a base point.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] RotateNot available on the ribbon in the current workspace
Menu: Modify [image] RotateNot available in menus in the current workspace
Toolbar: Modify
Shortcut menu: Select the objects to rotate, and right-click in the drawing area. Click Rotate.
Command entry: rotate

Current positive angle in UCS: ANGDIR=current ANGBASE=current

Select objects: Use an object selection method and press ENTER when you finish

Specify base point: Specify a point

Specify rotation angle or [Copy/Reference]: Enter an angle, specify a point, enter c, or enter r

Rotation Angle

Determines how far an object rotates around the base point.

The axis of rotation passes through the specified base point and is parallel to the Z axis of the current UCS.

Copy

Creates a copy of the selected objects for rotation.

Reference

Rotates objects from a specified angle to a new, absolute angle.

Specify the reference angle <last reference angle>: Specify an angle by entering a value or by specifying two points

Specify the new angle or [Points] <last new angle>: Specify the new absolute angle by entering a value or by specifying two points

When you rotate a viewport object, the borders of the viewport remain parallel to the edges of the drawing area.

You can rotate selected objects around a base point to an absolute angle.


ROTATE3D (Quick Reference)

ROTATE
ROTATE3D
RPREF
Commands > R commands >
ROTATE3D
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Moves objects about a 3D axis.

Command entry: rotate3d

It is recommended that you use the gizmos available through the 3DMOVE and 3DROTATE commands to manipulate 3D objects. For more information about using gizmos, see Use Gizmos to Modify Objects.

Select objects: Use an object selection method and press ENTER when you finish

Specify first point on axis or define axis by [Object/Last/View/Xaxis/Yaxis/Zaxis/2points]: Specify a point, enter an option, or press ENTER

Object

Aligns the axis of rotation with an existing object.

Select a line, circle, arc or 2D-polyline segment:

Line

Aligns the axis of rotation with the line selected.

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

Circle

Aligns the axis of rotation with the 3D axis of the circle (perpendicular to the plane of the circle and passing through the center of the circle).

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

Arc

Aligns the axis of rotation with the 3D axis of the arc (perpendicular to the plane of the arc and passing through the center of the arc).

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

2D Polyline Segment

Aligns the axis of rotation with a segment of the polyline. Treats a straight segment as a line segment. Treats an arc segment as an arc.

Specify rotation angle or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

Last

Uses the last axis of rotation.

Specify rotation angle or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

View

Aligns the axis of rotation with the viewing direction of the current viewport that passes through the selected point.

Specify a point on the view direction axis <0,0,0>:

Specify rotation angle or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

X Axis, Y Axis, Z Axis

Aligns the axis of rotation with one of the axes (X, Y, or Z) that pass through the selected point.

Specify a point on the (X, Y, or Z) axis <0,0,0>: Specify a point (1)

Specify rotation angle or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.

2 Points

Uses two points to define the axis of rotation. Pressing ENTER at the main ROTATE3D prompt displays the following prompts. Specifying a point at the main prompt skips the prompt for the first point.

Specify first point on axis: Specify a point (1)

Specify second point on axis: Specify a point (2)

Specify rotation angle or [Reference]: Specify an angle or enter r

Rotation Angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

Specify the reference angle <0>: Specify the starting angle

Specify the new angle: Specify the ending angle

The difference between the starting angle and the ending angle is the computed rotation angle.


RPREF (Quick Reference)

ROTATE3D
RPREF
Advanced Render Settings Palette
Commands > R commands >
RPREF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays or hides the Advanced Render Settings palette for access to advanced rendering settings.

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] [image] [image] Advanced Render Settings
Menu: View [image] Render [image] Advanced Render SettingsNot available in menus in the current workspace
Menu: Tools [image] Palettes [image] Advanced Render SettingsNot available in menus in the current workspace
Toolbar: Render
Command entry: rpref

Summary

The Advanced Render Settings palette contains all of the primary controls for the renderer. You can choose from predefined render settings or specify custom settings.


Advanced Render Settings Palette (Quick Reference)

RPREF
RPREF
Output Size Dialog Box
Commands > R commands > RPREF >
Advanced Render Settings Palette
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] [image] [image] Advanced Render Settings
Menu: View [image] Render [image] Advanced Render SettingsNot available in menus in the current workspace
Toolbar: Render
Command entry: rpref

You use the Advanced Render Settings palette to make rendering settings. You can also access the Render Presets Manager from the Render Settings palette.

Render Preset List / Select Render Preset

Lists standard render presets ranging from lowest to highest quality, up to four custom render presets and allows access to the Render Presets Manager.

Render Context

Contains settings that affect how your model gets rendered.

Save File

Determines if the rendered image is written to a file.

Rendering Procedure

Controls the model content that gets processed during rendering. The render procedure has three settings: View, Crop, and Selected.

  • View. Renders the current view without displaying the Render dialog box.
  • Crop. Creates a render area at render time. When you click the Render button with Crop Window selected, you are prompted to specify an area in the drawing before rendering proceeds. This option is available only when Viewport is selected under Destination.
  • Selected. Displays a prompt to select objects to render.
Destination

Determines the output site that the renderer uses to display the rendered image.

  • Window. Renders to the Render Window.
  • Viewport. Renders to a viewport.
Output File Name

Specifies a file name and location where the rendered image will be stored. The File Type list shows the following formats:

  • BMP (*.bmp). Still-image bitmap file in the Windows bitmap (.bmp) format.
  • PCX (*.pcx). Simple format that provides a minimum of compression.
  • TGA (*.tga). File format that supports 32-bit true color; that is, 24-bit color plus an alpha channel, and is typically used as a true color format.
  • TIF (*.tif). Multiplatform bitmap format.
  • JPEG (*.jpg). Popular format for posting image files on the Internet for minimum file size and minimum download time.
  • PNG (*.png). Still-image file format developed for use with the Internet and World Wide Web.
Output Size

Shows the current output resolution setting for the rendered image. Opening the Output Size list displays the following:

  • Up to four custom size settings.
    NoteCustom output sizes are not stored with the drawing and they are not retained between drawing sessions.
  • Four of the most commonly used output resolutions.
  • Access to the Output Size dialog box.
Exposure Type

Controls the tone operator setting. This does not need to be stored in the named render preset. Rather it can be stored per drawing in the render context.

  • Automatic. Indicates that the tone operator used should be chosen to match the current viewport tone operator strategy.
  • Logarithmic. Indicates that the log exposure control should be used.
Physical Scale

Specifies the physical scale. Default = 1500.

Render

Renders the model directly from the Advanced Render Settings palette.

Materials

Contains settings that affect how materials are handled by the renderer.

Apply Materials

Applies the surface materials that you define and attach to an object in the drawing. If Apply Materials is not selected, all objects in the drawing assume the color, ambient, diffuse, reflection, roughness, transparency, refraction, and bump map attribute values defined for the GLOBAL material. For more information, see MATERIALS.

Texture Filtering

Specifies how texture maps are filtered.

Force 2-Sided

Controls if both sides of faces are rendered.

Sampling

Controls how the renderer performs sampling.

Min Samples

Sets the minimum sample rate. The value represents the number of samples per pixel. A value greater than or equal to 1 indicates that one or more samples are computed per pixel. A fractional value indicates that one sample is computed for every N pixels (for example, 1/4 computes a minimum of one sample for every four pixels). Default=1/4.

Max Samples

Sets the maximum sample rate. If neighboring samples find a difference in contrast that exceeds the contrast limit, the area containing the contrast is subdivided to the depth specified by Maximum. Default=1.

The values of the Min Samples and Max Samples lists are "locked" together so that the value of Min Samples can't exceed the value of Max Samples. An error dialog box is displayed if the Min Samples value is greater than the Max Samples value.

Filter Type

Determines how multiple samples are combined into a single pixel value. The filter types are:

  • Box. Sums all samples in the filter area with equal weight. This is the quickest sampling method.
  • Gauss. Weights the samples using a Gauss (bell) curve centered on the pixel.
  • Triangle. Weights the samples using a pyramid centered on the pixel.
  • Mitchell. Weights the samples using a curve (steeper than Gauss) centered on the pixel.
  • Lanczos. Weights the samples using a curve (steeper than Gauss) centered on the pixel, diminishing the effect of samples at the edge of the filter area.
Filter Width and Filter Height

Specifies the size of the filtered area. Increasing the value of Filter Width and Filter Height can soften the image; however, it will increase rendering time.

Contrast Color

Clicking [...] opens the Select Color dialog box where you interactively specify the R,G,B threshold values.

Contrast Red, Blue, Green

Specifies the threshold values for the red, blue, and green components of samples. These values are normalized, and range from 0.0 to 1.0, where 0.0 indicates the color component is fully unsaturated (black, or 0 in eight-bit encoding) and 1.0 indicates the color component is fully saturated (white, or 255 in eight-bit encoding).

Contrast Alpha

Specifies the threshold value for the alpha component of samples. This value is normalized, and ranges from 0.0 (fully transparent, or 0 in eight-bit encoding) to 1.0 (fully opaque, or 255 in eight-bit encoding).

Shadows

Contains settings that affect how shadows appear in the rendered image.

Enable

Specifies if shadows are computed during rendering.

Mode

The shadow mode can be Simple, Sort, or Segments.

  • Simple. Generates shadow shaders in a random order.
  • Sort. Generates shadow shaders in order, from the object to the light.
  • Segments. Generates shadow shaders in order along the light ray from the volume shaders to the segments of the light ray between the object and the light.
Shadow Map

Controls if shadow mapping is used to render shadows. When on, the renderer renders shadow-mapped shadows. When off, all shadows are ray-traced.

Sampling Multiplier

Globally limits shadow sampling for area lights. This is part of the rendering preset data. This allows draft and low quality presets to reduce area light sampling. It’s effect is to modulate the inherent sampling frequency specified for each light. The default value=1 for new presets. Values are 0, 1/8, 1/4, 1/2, 1, 2. Draft: 0; Low:1/4; Med:1/2; High:1; Presentation:1.

Ray Tracing

Contains settings that affect the shading of a rendered image.

Enable

Specifies if ray tracing should be performed when shading.

Max Depth

Limits the combination of reflection and refraction. Tracing of a ray stops when the total number of reflections and refractions reaches the maximum depth. For example, if Max Depth equals 3 and the two trace depths each equal the default value of 2, a ray can be reflected twice and refracted once, or vice versa, but it cannot be reflected and refracted four times.

Max Reflections

Sets the number of times a ray can be reflected. At 0, no reflection occurs. At 1, the ray can be reflected once only. At 2, the ray can be reflected twice, and so on.

Max Refractions

Sets the number of times a ray can be refracted. At 0, no refraction occurs. At 1, the ray can be refracted once only. At 2, the ray can be refracted twice, and so on.

Global Illumination

Affects how your scene is illuminated.

Enable

Specifies if lights should cast indirect light into the scene.

Photons/Samples

Sets how many photons are used to compute the intensity of the global illumination. Increasing this value makes global illumination less noisy but also more blurry. Decreasing this value makes global illumination more noisy but less blurry. The larger the Samples value, the greater the rendering time.

Use Radius

Determines the size of photons. When on, the spinner value sets the size of photons. When off, each photon is calculated to be 1/10 of the radius of the full scene.

Radius

Specifies the area within which photons will be used when illuminance is computed.

Max Depth

Limits the combination of reflection and refraction. Reflection and refraction of a photon stop when the total number of both equals the Max Depth setting. For example, if Max Depth equals 3 and the trace depths each equal 2, a photon can be reflected twice and refracted once, or vice versa, but it can’t be reflected and refracted four times.

Max Reflections

Sets the number of times a photon can be reflected. At 0, no reflection occurs. At 1, the photon can be reflected once only. At 2, the photon can be reflected twice, and so on.

Max Refractions

Sets the number of times a photon can be refracted. At 0, no refraction occurs. At 1, the photon can be refracted once only. At 2, the photon can be refracted twice, and so on.

Final Gather

Calculates global illumination.

Mode

Controls the final gathering dynamic settings.

  • On. Turns on the global illumination in final gather.
  • Off. Turns off the calculation of global illumination in final gather.
  • Auto. Indicates that the final gather should be dynamically enabled or disable at render time based on the skylight status.
Rays

Sets how many rays are used to compute indirect illumination in a final gather. Increasing this value makes global illumination less noisy, but also increases rendering time.

Radius Mode

Determines the radius mode for final gather processing. Settings are On, Off, or View.

  • On. Specifies that the setting means the Max Radius setting is used for final gather processing. The radius is specified in world units, and defaults to 10 percent of the maximum circumference of the model.
  • Off. Specifies the maximum radius is the default value of 10 percent of the maximum model radius, in world units.
  • View. Specifies the Max Radius setting in pixels instead of world units and is used for final gather processing.
Max Radius

Sets the maximum radius within which final gathering is processed. Reducing this value can improve quality at a cost of increased rendering time.

Use Min

Controls whether the Min Radius setting is used during final gather processing. When on, the minimum radius setting is used for final gather processing. When off, the minimum radius is not used.

Min Radius

Sets the minimum radius within which final gathering is processed. Increasing this value can improve quality but increase rendering time.

Light Properties

Affects how lights behave when calculating indirect illumination. By default, the energy and photon settings apply to all lights in a scene.

Photons/Light

Sets the number of photons emitted by each light for use in global illumination. Increasing this value increases the accuracy of global illumination, but also increases the amount of memory used and the length of render time. Decreasing this value improves memory usage and render time, and can be useful for previewing global-illumination effects.

Energy Multiplier

Multiplies the global illumination, indirect light, intensity of the rendered image.

Visual

Helps you understand why the renderer is behaving in a certain way.

Grid

Renders an image that shows the coordinate space of objects, the world, or camera.

  • Object. Shows local coordinates (UVW). Each object has its own coordinate space.
  • World. Shows world coordinates (XYZ). The same coordinate system applies to all objects.
  • Camera. Shows camera coordinates, which appear as a rectangular grid superimposed on the view.
Grid Size

Sets the size of the grid.

Photon

Renders the effect of a photon map. This requires that a photon map be present. If no photon map is present, the Photon rendering looks just like the nondiagnostic rendering of the scene: the renderer first renders the shaded scene, then replaces it with the pseudocolor image.

  • Density. Renders the photon map as it is projected into the scene. High density is displayed in red, and lower values render in increasingly cooler colors.
  • Irradiance. Similar to the Density rendering, but shades the photons based on their irradiance. The maximum irradiance is rendered in red, and lower values render in increasingly cooler colors.
BSP

Renders a visualization of the parameters used by the tree in the BSP ray-trace acceleration method. If a message from the renderer reports excessively large depth or size values, or if rendering seems unusually slow, this can help you locate the problem.

  • Depth. Shows the depth of the tree, with top faces in bright red, and increasingly deep faces in increasingly cool colors.
  • Size. Shows the size of leaves in the tree, with differently sized leaves indicated by different colors.

Processing

Tile Size

Determines the tile size for rendering. To render the scene, the image is subdivided into tiles. The smaller the tile size, the more image updates are generated during rendering. When the tile size is reduced, the number of image updates increases, meaning that a rendering take longer to complete. If the tile size is increased, fewer image updates occur and the rendering takes less time to complete.

Tile Order

Specifies the method used (render order) for tiles as an image is rendered. You can choose a method based on how you prefer to see the image appear as it renders in the Render Window.

  • Hilbert. Next tile to be rendered is based on the cost of switching to the next one.
  • Spiral. Tiles are rendered beginning at the center of the image, and spiral outward.
  • Left to Right. Tiles are rendered in columns, from bottom to top, left to right.
  • Right to Left. Tiles are rendered in columns, from bottom to top, right to left.
  • Top to Bottom. Tiles are rendered in rows, from right to left, top to bottom.
  • Bottom to Top. Tiles are rendered in rows, from right to left, bottom to top.
Memory Limit

Determines the memory limit for rendering. The renderer keeps a count of the memory it uses at render time. If the memory limit is reached, the geometry for some objects is discarded in order to allocate memory for other objects.


Output Size Dialog Box (Quick Reference)

Advanced Render Settings Palette
RPREF
RPREFCLOSE
Commands > R commands > RPREF >
Output Size Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Render panel [image] [image] [image] Advanced Render Settings
Menu: View [image] Render [image] Advanced Render SettingsNot available in menus in the current workspace
Menu: Tools [image] Palettes [image] Advanced Render SettingsNot available in menus in the current workspace
Toolbar: Render
Command entry: rpref

The Output Size dialog box is displayed when you choose Specify Output Size from the Output Size list. From the dialog box, you set the output resolution of the rendered image.

When you set a unique output size, it gets added to the Output Size list of the Render Settings palette. Four unique output sizes can populate the output size list, but they do not get saved with the current drawing and they are not maintained from one drawing session to the next.

Width

Sets the width resolution of the output image, in pixels.

You can enter a new value in the width field either by entering the new value or by using the spinner to increase or decrease the value. You can set the width anywhere from 8 to 4096.

Height

Sets the height resolution of the output image, in pixels.

You can enter a new value in the height field either by entering the new value or by using the spinner to increase or decrease the value. You can set the height anywhere from 8 to 4096.

Image Aspect

Sets the aspect ratio, the ratio of width to height, of the rendered image.

Changing this value changes the Height value to maintain the correct dimensions for the active resolution. The image aspect value is always expressed as a multiplier value.

Lock/Unlock Image Aspect

Locks the aspect ratio when using a custom output resolution.

When it is locked, the Width and Height spinners are locked to each other; adjusting one alters the other to maintain the aspect-ratio value. When unlocked, changes to either Width or Height affects only the Image Aspect setting.

NoteIn viewports, the camera's frustum changes to reflect the image aspect ratio you set in the Output Resolution dialog box. This change takes place when you exit the dialog box.

Preset Resolution Buttons

Sets one of four most commonly used output resolutions.


RPREFCLOSE (Quick Reference)

Output Size Dialog Box
RPREFCLOSE
RSCRIPT
Commands > R commands >
RPREFCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Render Settings palette if it is displayed.

Command entry: rprefclose

The RPREFCLOSE command closes the Render Settings palette. If the Render Settings palette is currently displayed, either in an auto-hidden state or open state, it is closed.


RSCRIPT (Quick Reference)

RPREFCLOSE
RSCRIPT
RULESURF
Commands > R commands >
RSCRIPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Repeats a script file.

RSCRIPT is useful for demonstrations that repeat a script; for example, a script that must run over and over during a trade show or in a showroom.

If RSCRIPT is the last line in a script file, the file runs continuously until interrupted by ESC.

NoteConsider turning off UNDO and any log files if you anticipate running the script over a long period; otherwise, these log files continue to grow and take up increasing amounts of disk space.


RULESURF (Quick Reference)

RSCRIPT
RULESURF
SAVE
Commands > R commands >
RULESURF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mesh that represents the surface between two lines or curves.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Primitives panel [image] Modeling, Meshes, Ruled SurfaceNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Meshes [image] Ruled MeshNot available in menus in the current workspace
Command entry: rulesurf

Summary

Select two edges that define the mesh. The edges can be lines, arcs, splines, circles, or polylines. If one of the edges is closed, then the other edge must also be closed. You can also use a point as one edge for either an open or a closed curve.

The MESHTYPE system variable sets which type of mesh is created. Mesh objects are created by default. Set the variable to 0 to create legacy polyface or polygon mesh.

For closed curves, the selection does not matter. If the curve is a circle, the ruled mesh begins at the 0-degree quadrant point, as determined by the current X axis plus the current value of the SNAPANG system variable. For closed polylines, the ruled mesh starts at the last vertex and proceeds backward along the segments of the polyline. Creating a ruled mesh between a circle and a closed polyline can be confusing. Substituting a closed semicircular polyline for the circle might be preferable.

The ruled mesh is constructed as a 2 by N polygon mesh. RULESURF places half the mesh vertices at equal intervals along one defining curve, and the other half at equal intervals along the other curve. The number of intervals is specified by the SURFTAB1 system variable. It is the same for each curve; therefore, the distance between the vertices along the two curves differs if the curves are of different lengths.

The N direction of the mesh is along the boundary curves. If both boundaries are closed, or if one is closed and the other is a point, the resulting polygon mesh is closed in the N direction and N equals SURFTAB1. If both boundaries are open, N equals SURFTAB1 + 1, because division of a curve into n parts requires n + 1 tabulations.

The 0,0 vertex of the mesh is the endpoint of the first selected curve nearest the point you used to select that curve.

Selecting objects at the same ends creates a polygon mesh.

Selecting objects at opposite ends creates a self-intersecting polygon mesh.

List of Prompts

The following prompts are displayed.

First defining curve

Specifies an object and start point for the new mesh object.

Second defining curve

Specifies an object and start point for the sweep of the new mesh object.


S commands

RULESURF
Commands
SAVE
Commands >
S commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • SAVE

    Saves the drawing under the current file name or a specified name.

  • SAVEAS

    Saves a copy of the current drawing under a new file name.

  • SAVEIMG

    Saves a rendered image to a file.

  • SCALE

    Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling.

  • SCALELISTEDIT

    Controls the list of scales available for layout viewports, page layouts, and plotting.

  • SCALETEXT

    Enlarges or reduces selected text objects without changing their locations.

  • SCRIPT

    Executes a sequence of commands from a script file.

  • SECTION

    Uses the intersection of a plane and solids, surfaces, or mesh to create a region.

  • SECTIONPLANE

    Creates a section object that acts as a cutting plane through 3D objects.

  • SECTIONPLANEJOG

    Adds a jogged segment to a section object.

  • SECTIONPLANESETTINGS

    Sets display options for the selected section plane.

  • SECTIONPLANETOBLOCK

    Saves selected section planes as 2D or 3D blocks.

  • SECURITYOPTIONS

    Specifies password or digital signature options for a drawing file.

  • SEEK

    Opens a web browser and displays the Autodesk Seek home page

  • SELECT

    Places selected objects in the Previous selection set.

  • SETBYLAYER

    Changes the property overrides of selected objects to ByLayer.

  • SETIDROPHANDLER

    Specifies the default type of i-drop content for the current Autodesk application.

  • SETUV

    Obsolete

  • SETVAR

    Lists or changes the values of system variables.

  • SHADEMODE

    Starts the VSCURRENT command.

  • SHAPE

    Inserts a shape from a shape file that has been loaded using LOAD.

  • SHAREWITHSEEK

    Uploads blocks or drawings to the Autodesk Seek website.

  • SHEETSET

    Opens the Sheet Set Manager.

  • SHEETSETHIDE

    Closes the Sheet Set Manager.

  • SHELL

    Accesses operating system commands.

  • SHOWMAT

    Obsolete

  • SHOWPALETTES

    Restores the display of hidden palettes.

  • SIGVALIDATE

    Displays information about the digital signature attached to a drawing file.

  • SKETCH

    Creates a series of freehand line segments.

  • SLICE

    Creates new 3D solids and surfaces by slicing, or dividing, existing objects.

  • SNAP

    Restricts cursor movement to specified intervals.

  • SOLDRAW

    Generates profiles and sections in layout viewports created with SOLVIEW.

  • SOLID

    Creates solid-filled triangles and quadrilaterals.

  • SOLIDEDIT

    Edits faces and edges of 3D solid objects.

  • SOLPROF

    Creates 2D profile images of 3D solids for display in a layout viewport.

  • SOLVIEW

    Creates orthographic views, layers, and layout viewports automatically for 3D solids.

  • SPACETRANS

    Calculates equivalent model space and paper space lengths in a layout.

  • SPELL

    Checks spelling in a drawing.

  • SPHERE

    Creates a 3D solid sphere.

  • SPLINE

    Creates a smooth curve that passes through or near specified points.

  • SPLINEDIT

    Edits a spline or spline-fit polyline.

  • SPOTLIGHT

    Creates a spotlight that emits a directional cone of light.

  • STANDARDS

    Manages the association of standards files with drawings.

  • STATUS

    Displays drawing statistics, modes, and extents.

  • STLOUT

    Stores solids in an ASCII or binary file.

  • STRETCH

    Stretches objects crossed by a selection window or polygon.

  • STYLE

    Creates, modifies, or specifies text styles.

  • STYLESMANAGER

    Displays the Plot Style Manager, where you can revise plot style tables.

  • SUBTRACT

    Combines selected 3D solids, surfaces, or 2D regions by subtraction.

  • SUNPROPERTIES

    Displays the Sun Properties window.

  • SUNPROPERTIESCLOSE

    Closes the Sun Properties window.

  • SWEEP

    Creates a 3D solid or surface by sweeping a 2D object along a path.

  • SYSWINDOWS

    Arranges windows and icons when the application window is shared with external applications.


SAVE (Quick Reference)

RULESURF
SAVE
SAVEAS
Commands > S commands >
SAVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves the drawing under the current file name or a specified name.

Command entry: save

The Save Drawing As dialog box (a standard file selection dialog box) is displayed. Save the drawing under the current file name, or enter a different file name to save a copy of the drawing under that name.

SAVE is available only at the Command prompt. The Save option on the File menu or on the Standard toolbar is QSAVE. If the drawing is named, QSAVE saves the drawing without displaying the Save Drawing As dialog box. If the drawing is unnamed, the Save Drawing As dialog box is displayed. Enter a file name to both name and save the drawing.


SAVEAS (Quick Reference)

SAVE
SAVEAS
Template Options Dialog Box
Commands > S commands >
SAVEAS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a copy of the current drawing under a new file name.

Menu: File [image] Save AsNot available in menus in the current workspace
Command entry: saveas

The Save Drawing As standard file selection dialog box is displayed. Enter a file name and type. Saving a drawing to any DXF™ format affects performance.

NoteAutoCAD 2004 is the drawing file format used by the AutoCAD 2004, AutoCAD 2005, and AutoCAD 2006 releases. AutoCAD 2007 is the file format used by AutoCAD 2007, AutoCAD 2008, and AutoCAD 2009 releases.

See Save Drawings to Previous Drawing File Formats for a description of the limitations that result from saving to an earlier version.

In the Save Drawing As dialog box, Tools [image] Options displays the Saveas Options dialog box, which controls various DWG and DXF settings.

The file is saved with the specified file name. If the drawing is already named, the drawing is saved with the new file name. If you save the file as a drawing template, the Template Options dialog box is displayed, where you can provide a description for the template and set the units of measurement.

When FILEDIA is set to 0 (zero), SAVEAS displays command prompts.


Template Options Dialog Box (Quick Reference)

SAVEAS
SAVEAS
Saveas Options Dialog Box
Commands > S commands > SAVEAS >
Template Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Save AsAt the Command prompt, enter saveas.
Command entry: saveas

Sets drawing template options.

The Template Options dialog box displays automatically after you specify the files of type as *.dwt, enter the template file name, and click Save.

Description

Specifies a description for the drawing template. This description is displayed when you choose the template in the Startup dialog box or in the Create New Drawing dialog box.

Measurement

Specifies whether the drawing template uses English or metric units.

New Layer Notification

Controls whether the template file is saved with layers that are set as unreconciled or reconciled. Saving a template file with unreconciled layers does not create a layer baseline so that when the drawing is first saved or plotted, a New Layer Notification bubble is not displayed.

Save All Layers As Unreconciled

Saves the template file with its layers set as unreconciled, which means a layer baseline is not created. (See Reconcile New Layers for more information about unreconciled layers.) This option is checked by default.

Save All Layers As Reconciled

Saves the template file with its layers set as reconciled, which results in creating a layer baseline. (See Reconcile New Layers for more information about reconciled layers).


Saveas Options Dialog Box (Quick Reference)

Template Options Dialog Box
SAVEAS
SAVEAS Command Prompts
Commands > S commands > SAVEAS >
Saveas Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Save AsNot available in menus in the current workspace
Command entry: saveas

Sets options for DWG files and for drawing interchange file output.

In the Save Drawing As dialog box, click Tools [image] Options to display the Saveas Options dialog box. The Saveas Options dialog box includes the following tabs:

  • DWG Options
  • DXF Options

DWG Options Tab (Saveas Options Dialog Box)

Controls the drawing index and display of custom objects and specifies the default file format for saving drawings.

Save Proxy Images of Custom Objects

If you save to an earlier drawing file type, or the drawing contains custom objects from another application, you can select Save Proxy Images of Custom Objects to save images of the custom objects in the drawing file. If you do not choose this option, a frame is saved for each custom object in the drawing file. (PROXYGRAPHICS system variable)

NoteIf you are saving a drawing file that contains DWF references to an earlier drawing format, this switch has no effect on DWF underlays as they will not appear as proxy objects or as a frame.

Index Type

Determines whether layer or spatial indexes are created when you save a drawing. The indexes are used to improve performance during demand loading. Using indexes may slightly increase the time required to save a drawing. If a partially open drawing does not already contain spatial and layer indexes, this option is not available.

None

Creates neither layer nor spatial indexes when you save a drawing.

Layer

Loads only layers that are on and thawed.

Spatial

Loads only the portion of the drawing within a clipped boundary.

Layer & Spatial

Optimizes performance by specifying that the program loads only layers that are on, thawed, and within a clipped boundary area.

Save All Drawings As

Specifies the default file format that drawings are saved to. If you change the specified value, all subsequent uses of SAVE and QSAVE save the drawing to the new file format. You can also set this option on the Open and Save tab in the Options dialog box (see OPTIONS). Set the Save As option to AutoCAD 2007 Drawing to optimize performance while saving.

DXF Options Tab (Saveas Options Dialog Box)

Sets drawing interchange file output options.

Format

Specifies whether the program creates an ASCII or a binary DXF file. ASCII-format DXF files can be read with a text editor and are compatible with a wider range of applications. Binary-format DXF files contain all of the information of an ASCII DXF file but in a more compact form. You can read and write to binary-format files faster than to ASCII-format files.

For more information about DXF files, see the DXF Reference in the Help system.

Select Objects

Controls whether the DXF file consists of selected objects or the entire drawing. When you select this option, the output file includes only selected objects and the block reference portions of any included blocks. The output file does not include the block definition tables.

Save Thumbnail Preview Image

Specifies whether an image of the drawing is displayed in the Preview area of the Select File dialog box. Save Thumbnail Preview Image is also controlled by the RASTERPREVIEW system variable.

Decimal Places of Accuracy

Saves the file using the specified number of bits of precision. The default precision is adequate in most cases; however, you might need to increase this value for certain drawings and for certain applications. If you encounter problems loading a DXF file you create, try increasing the precision. The only disadvantage of higher precision is increased file size. Lower precision is useful for specialized purposes but is not recommended in general.


SAVEAS Command Prompts (Quick Reference)

Saveas Options Dialog Box
SAVEAS
SAVEIMG
Commands > S commands > SAVEAS >
SAVEAS Command Prompts
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When FILEDIA is set to 0 (zero), SAVEAS displays the following command prompts.

Current file format: current

Enter file format [R14(LT98&LT97)/2000(LT2000)/2004(LT2004)/      2007(LT2007)/2010(LT2010)/Standards/DXF/Template] <2010>:

Enter an option or press Enter

Save drawing as <current>: Enter a name or press Enter


SAVEIMG (Quick Reference)

SAVEAS Command Prompts
SAVEIMG
SCALE
Commands > S commands >
SAVEIMG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a rendered image to a file.

Ribbon: Output tab [image] Render panel [image] Save. Not available on the ribbon in the current workspace
Menu: Tools [image] Display Image [image] SaveAt the Command prompt, enter saveimg.
Command entry: saveimg

The Save Rendered Image dialog box is displayed.

NoteSAVEIMG is not available if the current rendering device does not support scan-line images.


SCALE (Quick Reference)

SAVEIMG
SCALE
SCALELISTEDIT
Commands > S commands >
SCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Enlarges or reduces selected objects, keeping the proportions of the object the same after scaling.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] ScaleNot available on the ribbon in the current workspace
Menu: Modify [image] ScaleNot available in menus in the current workspace
Toolbar: Modify
Shortcut menu: Select the objects to scale, and right-click in the drawing area. Click Scale.
Command entry: scale

To scale an object, specify a base point and a scale factor. The base point acts as the center of the scaling operation and remains stationary. A scale factor greater than 1 enlarges the object. A scale factor between 0 and 1 shrinks the object.

Select objects: Use an object selection method and press Enter when you finish

Specify base point: Specify a point

The base point you specify identifies the point that remains in the same location as the selected objects change size (and thus move away from the stationary base point).

NoteWhen you use the SCALE command with annotative objects, the position or location of the object is scaled relative to the base point of the scale operation, but the size of the object is not changed.

Specify scale factor or [Copy/Reference]: Specify a scale, enter c, or enter r

Scale Factor

Multiplies the dimensions of the selected objects by the specified scale. A scale factor greater than 1 enlarges the objects. A scale factor between 0 and 1 shrinks the objects. You can also drag the cursor to make the object larger or smaller.

Copy

Creates a copy of the selected objects for scaling.

Reference

Scales the selected objects based on a reference length and a specified new length.

Specify reference length <1>: Specify a beginning length from which to scale the selected objects

Specify new length or [Points]: Specify a final length to which to scale the selected objects, or enter p to define a length with two points.


SCALELISTEDIT (Quick Reference)

SCALE
SCALELISTEDIT
Edit Scale List Dialog Box
Commands > S commands >
SCALELISTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the list of scales available for layout viewports, page layouts, and plotting.

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Scale ListNot available on the ribbon in the current workspace
Menu: Format [image] Scale ListNot available in menus in the current workspace
Command entry: scalelistedit (or 'scalelistedit for transparent use)

Summary

A list of predefined scales are displayed in the Properties palette, the status bar, and other locations within the program. This list can be easily modified to display only the scales you need.

The Edit Scale List dialog box is displayed.

If you enter -scalelistedit at the Command prompt, options are displayed.


Edit Scale List Dialog Box (Quick Reference)

SCALELISTEDIT
SCALELISTEDIT
Add Scale Dialog Box
Commands > S commands > SCALELISTEDIT >
Edit Scale List Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Scale ListNot available on the ribbon in the current workspace
Menu: Format [image] Scale ListNot available in menus in the current workspace
Command entry: scalelistedit (or 'scalelistedit for transparent use)

Controls the list of scales available for layout viewports, page layouts, and plottting.

Scale List

Displays the list of currently defined scales. Also displays temporary scales that are imported when xrefs are attached. If a scale name is duplicated, but has a different value, a number is appended to the name.

Add

Displays the Add Scale dialog box.

Edit

Displays the Edit Scale dialog box.

NoteYou cannot edit temporary scales.

Move Up

Moves the currently selected scale in the scale list up one position.

Move Down

Moves the currently selected scale in the scale list down one position.

Delete

Removes all unreferenced scales from the scale list and leaves the referenced scale when multiple scales are selected.

NoteYou cannot delete a scale that is referenced by an annotative object.

Reset

Deletes all custom scales and restores the default list of scales displayed in the scale list.


Add Scale Dialog Box (Quick Reference)

Edit Scale List Dialog Box
SCALELISTEDIT
Edit Scale Dialog Box
Commands > S commands > SCALELISTEDIT >
Add Scale Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Scale ListNot available on the ribbon in the current workspace
Menu: Format [image] Scale ListNot available in menus in the current workspace
Command entry: scalelistedit (or 'scalelistedit for transparent use)

Adds a new scale to the scale list.

Scale Name

Specifies the name to appear in the scale list.

Name Appearing in Scale List

Specifies the scale name to add to the scale list.

Scale Properties

Sets the ratio of paper units to drawing units.

Paper Units

When combined with the value of the drawing units, determines the ratio that defines the scale for viewing or plotting.

Drawing Units

When combined with the value of the paper units, determines the ratio that defines the scale for viewing or plotting.


Edit Scale Dialog Box (Quick Reference)

Add Scale Dialog Box
SCALELISTEDIT
-SCALELISTEDIT
Commands > S commands > SCALELISTEDIT >
Edit Scale Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Annotation Scaling panel [image] Scale ListNot available on the ribbon in the current workspace
Menu: Format [image] Scale ListNot available in menus in the current workspace
Command entry: scalelistedit (or 'scalelistedit for transparent use)

Changes the existing scales listed in the Scale List area.

Scale Name

Lists the name of the currently selected scale in the Scale List area.

NoteYou cannot change the name of a scale that is referenced by an xref.
Name Appearing in Scale List

Enter a descriptive or numeric name. For example, in an architectural drawing that uses a typical imperial scale, you can enter either 1"=4' or 1:48.

Scale Properties

Modifies the ratio of paper units to drawing units.

NoteYou cannot change the scale properties of a scale that is referenced by an object in the drawing.
Paper Units

When combined with the value of the drawing units, determines the ratio that defines the scale for viewing or plotting.

Drawing Units

When combined with the value of the paper units, determines the ratio that defines the scale for viewing or plotting.


-SCALELISTEDIT (Quick Reference)

Edit Scale Dialog Box
SCALELISTEDIT
SCALETEXT
Commands > S commands > SCALELISTEDIT >
-SCALELISTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -scalelistedit at the Command prompt, the following prompts are displayed.

Enter option [?/Add/Delete/Reset/Exit] <Add>: Enter an option or press Enter

?

Displays a list of defined scales.

Add

Adds a new scale to the scale list.

Enter name for new scale: Enter a descriptive or numeric name such as 1"=4' or 1:48.

Enter scale ratio: Enter a ratio in the format n:m, where n is the number of paper units and m is the number of drawing units

Delete

Removes a specified scale. If a scale is current or supported by an annotative object, it cannot be deleted.

Enter scale name to delete: Enter the name of a scale that you want to delete

Reset

Deletes all custom scales as a result and restores the default list of scales.

Reset scale list to defaults? [Yes/No]: Enter y or n

Exit

Exits the command.


SCALETEXT (Quick Reference)

-SCALELISTEDIT
SCALETEXT
SCRIPT
Commands > S commands >
SCALETEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Enlarges or reduces selected text objects without changing their locations.

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] ScaleNot available on the ribbon in the current workspace
Menu: Modify [image] Object [image] Text [image] ScaleNot available in menus in the current workspace
Toolbar: Text
Command entry: scaletext

Select objects: Use an object selection method, and press Enter when you finish

Enter a base point option for scaling [Existing/Left/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]<Existing>: Specify a location to serve as a base point for resizing or scaling

The base point is a location relative to a text object that serves as a fixed point for the resizing or scaling operation, which is applied individually to each selected text object.

Specifying a base point for the operation does not change the insertion point relative to the text.

The base point options shown above are described in the TEXT command. The base point options for single line text are similar to those for multiline text except that the Align, Fit, and Left text options are equivalent to the bottom left (BL) multiline text attachment point.

Specify new model height or [Paper height/Match object/Scale factor]<0.5000>: Specify a text height or enter an option

NoteYou can only specify a model height for non- annotative objects.

Paper Height

Scales the text height depending on the annotative property.

NoteYou can only specify a paper height for annotative objects.

Match Object

Scales the text objects that you originally selected to match the size of a selected text object.

NoteThis option only affects like objects (annotative or nonannotative).

Select a text object with the desired height: Select a text object to match

Scale Factor

Scales the selected text objects based on a reference length and a specified new length.

Specify scale factor or [Reference]: Specify a scale factor or enter r

Scale Factor

Scales the selected text objects using the numeric scale factor that you enter.

Reference

Scales the selected text objects relative to a reference length and a new length.

Specify reference length <1>: Enter a length to serve as a reference distance

Specify new length: Enter another length in comparison to the reference length

The selected text is scaled by a ratio of the values that you entered for the new length and the reference length. If the new length is less than the reference length, the selected text objects are reduced in size.


SCRIPT (Quick Reference)

SCALETEXT
SCRIPT
SECTION
Commands > S commands >
SCRIPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Executes a sequence of commands from a script file.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Run ScriptNot available on the ribbon in the current workspace
Menu: Tools [image] Run ScriptNot available in menus in the current workspace
Command entry: script (or 'script for transparent use)

A script is a text file with an .scr file extension. Each line of the script file contains a command that can be completed at the Command prompt, including alternative versions of commands that normally display dialog boxes.

The Select Script File dialog box (a standard file selection dialog box) is displayed. Enter the file name of a script to run that script.

When FILEDIA is set to 0 (zero), SCRIPT displays the following command prompt.

Enter script file name <current>:


SECTION (Quick Reference)

SCRIPT
SECTION
SECTIONPLANE
Commands > S commands >
SECTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Uses the intersection of a plane and solids, surfaces, or mesh to create a region.

Access Methods

Command entry: section

Summary

The SECTION command creates a region object that represents a 2D cross section of 3D objects, including 3D solids, surfaces, and meshes.

This method does not have the live sectioning capabilities that are available for section plane objects that are created using the SECTIONPLANE command.

List of Prompts

The following prompts are displayed.

Select objects

Selects one or more 3D objects. Selecting several objects creates separate regions for each object.

Specify the first point on the sectioning plane using one of the following methods:

  • Object
  • Z Axis
  • View
  • XY
  • YZ
  • ZX
  • 3points
Object

Aligns the sectioning plane with a circle, ellipse, circular or elliptical arc, 2D spline, or 2D polyline segment.

  • Select a circle, ellipse, arc, 2D spline, or 2D polyline. Specifies an object with which to align the section.
Z Axis

Defines the sectioning plane by specifying a point on the sectioning plane and another point on the Z axis, or normal, of the plane.

  • Point on the section plane. Sets the first point on the plane.
  • Point on the Z-axis (normal) of the plane. Specifies a point that defines the axis that is perpendicular to the plane.
View

Aligns the sectioning plane with the viewing plane of the current view.

Specify a point on the current view plane <0,0,0>: Specify a point (1) or press Enter

  • Specify a point on the current view plane. Sets the location of the sectioning plane.
XY

Aligns the sectioning plane with the XY plane of the current UCS.

  • Specify a point on the XY-plane. Defines the location of the sectioning plane. Specify a point or press Enter to accept the current default.
YZ

Aligns the sectioning plane with the YZ plane of the current UCS.

  • Specify a point on the YZ-plane. Defines the location of the sectioning plane. Specify a point or press Enter to accept the current default.
ZX

Aligns the sectioning plane with the ZX plane of the current UCS.

  • Specify a point on the ZX-plane. Defines the location of the sectioning plane. Specify a point or press Enter to accept the current default.
3points

Uses three points to define the sectioning plane:

  • Specify first point on plane. Sets the first point on the section plane.
  • Specify second point on plane. Sets the point that defines the length of the section plane.
  • Specify third point on plane. Sets the point that defines the height of the section plane.


SECTIONPLANE (Quick Reference)

SECTION
SECTIONPLANE
Section Plane Ribbon Contextual Panel
Commands > S commands >
SECTIONPLANE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a section object that acts as a cutting plane through 3D objects.

Access Methods

Button

Ribbon: Home tab [image] Section panel [image] Section PlaneNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Section PlaneNot available in menus in the current workspace
Command entry: sectionplane

Summary

Section plane objects create sections of 3D solids, surfaces, and meshes. Use live sectioning with section plane objects to analyze a model, and save sections as blocks for use in layouts.

List of Options

The following options are displayed.

Face or any point to locate section line

Specifies a face to establish the plane of the section object.

Alternatively, you can select any point on the screen that is not on a face to create a section object independent of the solid or surface. The first point establishes a point around which the section object rotates.

  • Through point. Sets a second point that defines the plane of the section object.
Draw section

Defines the section object with multiple points to create a section line with jogs.

This option creates a section object in the Section Boundary state with live sectioning turned off.

  • Start point. Sets the first point that defines the section plane.
  • Next point. Sets a second point on the section plane.
  • Next point or Enter to complete. Sets a third point to create a jog in the section plane. You can continue to specify additional points, or press Enter to complete the section plane.
Orthographic

Aligns the section object to an orthographic orientation relative to the UCS.

A section object that contains all 3D objects is created with the specified orientation relative to the UCS (not the current view). This option creates a section object in the Section Plane state with live sectioning turned on.

  • Align section to. Sets the position of the section object to align with one of the following UCS orientations that you specify:
    • Front
    • Back
    • Top
    • Bottom
    • Left
    • Right


Section Plane Ribbon Contextual Panel (Quick Reference)

SECTIONPLANE
SECTIONPLANE
SECTIONPLANEJOG
Commands > S commands > SECTIONPLANE >
Section Plane Ribbon Contextual Panel
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Provides ribbon access to tools that modify section plane objects.

Access Methods

Pointing device: Select a section line

Section Panel

Live Section | Turns on live sectioning for a selected section object (LIVESECTION).
Add Jog | Adds a jogged segment to a section object (SECTIONPLANEJOG).
Generate Section | Saves selected section planes as 2D or 3D blocks (SECTIONPLANETOBLOCK).
Section Plane Settings | Saves selected section planes as 2D or 3D blocks (SECTIONPLANESETTINGS).


SECTIONPLANEJOG (Quick Reference)

Section Plane Ribbon Contextual Panel
SECTIONPLANEJOG
SECTIONPLANESETTINGS
Commands > S commands >
SECTIONPLANEJOG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds a jogged segment to a section object.

Access Methods

Button

Ribbon: Mesh Modeling tab [image] Section panel [image] Section Plane JogNot available on the ribbon in the current workspace.
Shortcut menu: Right-click a section line [image] Add Jog to Section
Command entry: sectionplanejog

Summary

You can insert a jog, or angle, into a section object as you create it. The jog is created on the section line. The jogged segment is created at a 90-degree angle to the section line.

NoteThe SECTIONPLANEJOG command was previously called JOGSECTION. Entering jogsection at the Command prompt runs SECTIONPLANE JOG.

List of Prompts

The following prompts are displayed.

Select section object

Specifies which section line to modify.

Point on the section line to add jog

Specifies the location of the jog.


SECTIONPLANESETTINGS (Quick Reference)

SECTIONPLANEJOG
SECTIONPLANESETTINGS
Section Settings Dialog Box
Commands > S commands >
SECTIONPLANESETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets display options for the selected section plane.

Access Methods

Ribbon: Home tab [image] Section panel [image] [image] [image] Section Plane Settings
Shortcut menu: Right-click a section line. Click Live Section Settings.
Command entry: sectionplanesettings

Summary

The Section Settings dialog box is displayed.


Section Settings Dialog Box (Quick Reference)

SECTIONPLANESETTINGS
SECTIONPLANESETTINGS
New Layer Name Dialog Box
Commands > S commands > SECTIONPLANESETTINGS >
Section Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets display options for section planes.

Access Methods

Ribbon: Home tab [image] Section panel [image] [image] [image] Section Plane Settings
Shortcut menu: Right-click a section line. Click Live Section Settings.
Command entry: sectionplanesettings

Summary

The Section Settings dialog box contains display settings for creating 2D and 3D sections from the Generate Section / Elevation dialog box and for live sectioning. All settings are stored with the section object.

List of Options

The following options are displayed.

Section Plane

If a section plane has not been selected, specifies a selection plane to be modified.

Select Section Plane

Temporarily closes the Section Settings dialog box so that you can select a section object in the drawing area.

Setting type

Specifies which setting types are displayed in the properties list.

2D Section / Elevation Block Creation Settings

Determines how a 2D section from a 3D object is displayed when generated.

3D Section Block Creation Settings

Determines how a 3D object is displayed when generated.

Live Section Settings

Determines how sectioned objects are displayed in the drawing when live sectioning is turned on.

Activate Live Section

(Available only when the Live Section Settings option is selected.) Turns on live sectioning for the selected section object.

Properties

Sets the properties to be applied to the new section block.

Intersection Boundary

Sets the appearance of line segments that outline the intersection surface of the section object plane.

  • Color. Sets the color of the intersection boundary. If the color you want to use is not on the list, click Select Color to open the Select Color dialog box.
  • Layer. (2D and 3D section blocks only.) Sets the layer. Select an existing layer, or select <Component_Name>*LayerByObject* to split the block component onto a separate layer. If you want to add a customized prefix or suffix to the *LayerByObject* name, click New Layer Name Settings to open the New Layer Name dialog box.
  • Linetype. Sets the linetype to be ByLayer, ByBlock, or a type that you specify.
  • Linetype Scale. Sets the scale of the linetype.
  • Plot Style. (2D and 3D section blocks only.) Displays the current plot style.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
  • Division Lines. (2D section blocks only.) Sets whether division lines are displayed.
  • Show. (Available for 3D section blocks only.) Sets whether the intersection boundary is displayed.
Intersection Fill

Sets the optional fill that is displayed inside the boundary area of the cut surface where the section object intersects the 3D object.

  • Show. Sets whether the intersection fill is displayed.
  • Face Hatch. Sets the hatch pattern to be used for the face of the cut surface. To select a pattern from a list, click Select Hatch Pattern Type.
  • Angle. Sets the hatch angle.
  • Hatch Scale. Sets the hatch scale.
  • Hatch Spacing. Sets the distance between hatch lines.
  • Color. Sets the color of the intersection fill. If the color you want to use is not on the list, click Select Color to open the Select Color dialog box.
  • Layer. (2D and 3D section blocks only.) Sets the layer. Select an existing layer, or select <Component_Name>*LayerByObject* to split the block component onto a separate layer. If you want to add a customized prefix or suffix to the *LayerByObject* name, click New Layer Name Settings to open the New Layer Name dialog box.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
  • Linetype Scale. Sets the scale of the linetype.
  • Plot Style. (2D and 3D section blocks only.) Displays the current plot style.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
  • Surface Transparency. (Available for Live Section only.) Sets the percentage of transparency for the intersection fill.
Background Lines

(2D and 3D section blocks only.) Controls the display of background lines.

  • Show. (2D section blocks only.) Sets whether the component is displayed.
  • Hidden Line. (2D section blocks only.) Sets whether hidden lines (lines that are behind other lines in the 3D view) are displayed.
  • Color. Sets the color of the component. If the color you want to use is not on the list, click Select Color to open the Select Color dialog box.
  • Layer. Sets the layer of the component. Select an existing layer, or select <Component_Name>*LayerByObject* to split the block component onto a separate layer. If you want to add a customized prefix or suffix to the *LayerByObject* name, click New Layer Name Settings to open the New Layer Name dialog box.
  • Linetype. Sets the linetype to be ByLayer, ByBlock, or Continuous.
  • Linetype Scale. Sets the scale of the linetype.
  • Plot Style. (Available for 2D and 3D section blocks only.) Displays the current plot style.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
Curve Tangency Lines

(2D section blocks only.) Controls the inclusion of curved lines that are tangent to the section plane.

  • Show. Sets whether the curve tangency lines are displayed.
  • Color. Sets the color of the curve tangency lines. If the color you want to use is not on the list, click Select Color to open the Select Color dialog box.
  • Layer. Sets the layer of the curve tangency lines. Select an existing layer, or select <Component_Name>*LayerByObject* to split the block component onto a separate layer. If you want to add a customized prefix or suffix to the *LayerByObject* name, click New Layer Name Settings to open the New Layer Name dialog box.
  • Linetype. Sets the linetype to be ByLayer, ByBlock, or Continuous.
  • Linetype Scale. Sets the scale of the linetype.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
Cut-away Geometry

Sets properties for the cut-away objects.

  • Show. Sets whether the component is displayed.
  • Color. (3D section blocks and live section only.) Sets the color of the cutaway geometry. If the color you want to use is not on the list, click Select Color to open the Select Color dialog box.
  • Layer. (2D and 3D section blocks only.) Sets the layer of the cutaway geometry. Select an existing layer, or select <Component_Name>*LayerByObject* to split the block component onto a separate layer. If you want to add a customized prefix or suffix to the *LayerByObject* name, click New Layer Name Settings to open the New Layer Name dialog box.
  • Linetype. Sets the linetype to be ByLayer, ByBlock, or Continuous.
  • Linetype Scale. Sets the scale of the linetype.
  • Lineweight. Sets whether the lineweight is ByLayer, ByBlock, matches the default, or has a unique value.
  • Face Transparency. (Live Section only.) Sets the percentage of transparency of the face created where the live section object interfaces with the 3D objects.
  • Edge Transparency. (Live Section only.) Sets the percentage of transparency of the edges of the foreground lines

Apply Settings to All Section Objects

When selected, applies all the settings to all section objects in the drawing. When cleared, applies settings to the current section object only.

Reset

Resets all settings in the dialog box to their default values.


New Layer Name Dialog Box (Quick Reference)

Section Settings Dialog Box
SECTIONPLANESETTINGS
SECTIONPLANETOBLOCK
Commands > S commands > SECTIONPLANESETTINGS >
New Layer Name Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds a custom prefix or suffix to layer names to help organize components of a section block

Access Methods

Pointing device: In the Section Settings dialog box, Layer list, click New Layer Name Settings.

Summary

By default, all section block geometry is placed on Layer 0 (zero). However, you can specify suffix or prefix labels to help organize section block components, such as intersection boundaries and fill. When the section block is inserted, the section block components are placed on new layers whose name combines the name of the layer that contains the sectioned object and the prefix or suffix you specify. If the section plane includes objects on two or more layers, two or more new object layers are created.

For example, suppose you create a suffix called “_kitchen” and then select *ObjectByLayer*_kitchen in the Section Settings dialog box, under Intersection Boundary. If you create a section block that bisects objects on the Walls and Cabinetry layers, two new layers are created to contain the block geometry for intersection boundaries: Walls_kitchen and Cabinetry_kitchen.

You can then easily modify the appearance of a set of block components by changing their properties. If a property such as Color is set as an object override in the Section Settings dialog box, you can change the property in that location. If the property is set to ByLayer, you can change it in the Layer Properties Manager.

List of Options

The following options are displayed.

Added Text Type

Specifies whether or how identifying text is added to the layer name for the section block component. You can select the following options:

  • None. No additional text is added to the layer name. The section block geometry is placed on the same layer as the original geometry.
  • Prefix. If the Layer property is specified as *ObjectByLayer* in the Section Settings dialog box, the label is added in front of the layer name.
  • Suffix. If the Layer property is specified as *ObjectByLayer* in the Section Settings dialog box, the label is added to the end of the layer name.
Text Added to the Existing Layer Name

Specifies identifying text to be added to the name of the layer that contains the component geometry when the section block is inserted.


SECTIONPLANETOBLOCK (Quick Reference)

New Layer Name Dialog Box
SECTIONPLANETOBLOCK
Generate Section / Elevation Dialog Box
Commands > S commands >
SECTIONPLANETOBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves selected section planes as 2D or 3D blocks.

Access Methods

Button

Ribbon: Mesh Modeling [image] Section [image] Generate SectionNot available on the ribbon in the current workspace.
Shortcut menu: Right-click a section line. Click Generate 2D/3D Section.
Command entry: sectionplanetoblock

Summary

The Generate Section / Elevation dialog box is displayed.


Generate Section / Elevation Dialog Box (Quick Reference)

SECTIONPLANETOBLOCK
SECTIONPLANETOBLOCK
SECURITYOPTIONS
Commands > S commands > SECTIONPLANETOBLOCK >
Generate Section / Elevation Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves 2D and 3D sections as blocks,

Access Methods

Button

Ribbon: Mesh Modeling [image] Section [image] Gente SectionNot available on the ribbon in the current workspace.
Shortcut menu: Right-click a section line. Click Generate 2D/3D Section.
Command entry: sectionplanetoblock

Summary

Specify the display settings for the cross sections that you save and reuse.

List of Options

The following options are displayed.

Section Plane

Select Section Plane

Closes the dialog box so that you can select a section plane to modify or save as a block.

2D/3D

2D Section/Elevation

Creates and saves or inserts a block that represents a 2D cross section.

3D Section

Creates and saves or inserts a cutaway 3D block.

Source Geometry

Include All Objects

Includes all 3D objects (3D solids, surfaces, and regions) in the drawing, including objects in xrefs and blocks.

Select Objects to Include

Specifies that you will manually select the 3D objects (3D solids, surfaces, meshes, and regions) from which to generate a section.

Select Objects

Closes the dialog box temporarily while you select the objects for the section. When you finish selecting objects, press Enter to redisplay the Generate Section/Elevation dialog box.

Objects Selected

Indicates the number of objects selected.

Destination

Insert as New Block

Inserts the generated section as a block in the current drawing.

Replace Existing Block

Replaces an existing block in the drawing with the newly generated section.

Select Block

Closes the dialog box temporarily while you select the block to be replaced in the drawing. When you finish selecting the block, press Enter to redisplay the Generate Section/Elevation dialog box.

Export to a File

Saves the section to an external file.

Filename and Path

Specifies a file name and path where the section will be saved.

Buttons

Section Settings

Opens the Section Settings Dialog Box.

Create

Creates the section.


SECURITYOPTIONS (Quick Reference)

Generate Section / Elevation Dialog Box
SECURITYOPTIONS
Security Options Dialog Box
Commands > S commands >
SECURITYOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Specifies password or digital signature options for a drawing file.

Command entry: securityoptions

The Security Options dialog box is displayed. You can add security settings that are applied when you save the drawing.


Security Options Dialog Box (Quick Reference)

SECURITYOPTIONS
SECURITYOPTIONS
Confirm Password Dialog Box
Commands > S commands > SECURITYOPTIONS >
Security Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: securityoptions

Specifies security settings to be used when your drawing is saved.

Password Tab (Security Options Dialog Box)

Adds a password to a drawing when the drawing is saved.

Password or Phrase to Open This Drawing

Adds, changes, or removes a password the next time the drawing is saved.

If you add or change the password, the Confirm Password dialog box is displayed. If you lose the password, it is not recoverable. Before you add a password, you should create a backup copy that is not protected with a password.

Encrypt Drawing Properties

Encrypts drawing properties, so a password is required to view them. Drawing properties are details that help you identify the drawing, including title, author, subject, keywords that identify the model, or other important information.

Current Encryption Type

Specifies the default encryption level supplied by your operating system, unless you choose an advanced level by clicking the Advanced Options button.

Advanced Options

Opens the Advanced Options dialog box, where you can choose an encryption provider and key length.

Digital Signature Tab (Security Options Dialog Box)

Adds a digital signature to a drawing when the drawing is saved.

Attach Digital Signatures After Saving Drawing

Attaches a digital signature to a drawing when the drawing is saved.

Select a Digital ID (Certificate)

Displays a list of digital IDs that you can use to sign files. Includes information about the organization or individual to whom the digital ID was issued, the digital ID vendor who issued the digital ID, and when the digital ID expires.

Signature Information

Provides a list of time services you can use to add a time stamp to your digital signature, the status of the time server connection, and a Comments area (to include information relevant to the digital signature or to the files you are signing).

Get Time Stamp From

Provides a list of time servers you can use to time stamp your digital signature.

NoteThe timesrvr.txt file contains the time servers that you can choose from.
Time Service Status

Displays the connection status (Successfully Contacted Time Server or Could Not Contact Time Server) of the time service.

Comment

Provides a place for comments about the digital signature or the files you are signing.


Confirm Password Dialog Box (Quick Reference)

Security Options Dialog Box
SECURITYOPTIONS
Advanced Options Dialog Box
Commands > S commands > SECURITYOPTIONS >
Confirm Password Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: securityoptions

Confirms the password entered in the Security Options dialog box that is added or changed the next time the drawing is saved.

WarningIf you lose the password, it is not recoverable. Before you add a password, you should create a backup that is not protected with a password.


Advanced Options Dialog Box (Quick Reference)

Confirm Password Dialog Box
SECURITYOPTIONS
SEEK
Commands > S commands > SECURITYOPTIONS >
Advanced Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: securityoptions

Selects an encryption provider and key length for drawings that you protect with a password.

Choose an Encryption Provider

Sets a level of encryption for a drawing. You can choose from encryption providers supplied by your operating system.

Choose a Key Length

Sets a key length. The higher the key length, the higher the level of protection for your drawing.


SEEK (Quick Reference)

Advanced Options Dialog Box
SEEK
SELECT
Commands > S commands >
SEEK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens a web browser and displays the Autodesk Seek home page

Button

Ribbon: Insert tab [image] Content panel [image] Seek Design Content.
Shortcut menu: Tool palettes, or a block, and click Seek Design Content.
Command entry: seek

Summary

Product design information that is available on Autodesk Seek depends on what content providers, both corporate partners and individual contributors, publish to Autodesk Seek. Content could include 3D models and 2D drawings, specifications, brochures, or descriptions of products or components.

This service is the online source for product information directly accessible from your Autodesk software. From the Autodesk Seek search box, you can access 3D models, 2D drawings, and product specifications from product manufacturers, suppliers, and aggregators.

NoteAutodesk Seek is currently available in US English only.


SELECT (Quick Reference)

SEEK
SELECT
SETBYLAYER
Commands > S commands >
SELECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Places selected objects in the Previous selection set.

Command entry: select

Select objects: Use an object selection method

A small box, called the object selection target or pickbox, replaces the crosshairs on the graphics cursor.

Objects that are selected with this command can be automatically reselected in a subsequent command. At the Select Objects prompt in a subsequent command, use the Previous option to retrieve the previous selection set.

You can select objects individually with the pointing device, by drawing a selection window around them, by entering coordinates, or by using one of the selection methods listed below. These methods can be used to select objects regardless of the command that initiated the Select Objects prompt.

You can also press and hold the Ctrl key to select original individual forms that are part of composite solids or vertices, edges, and faces on 3D solids. You can select one of these subobjects, or create a selection set of more than one subobject. Your selection set can include more than one type of subobject.

To view all options, enter ? at the Command prompt.

Expects a point or

Window/Last/Crossing/BOX/ALL/Fence/WPolygon/CPolygon/Group/Add/Remove/Multiple/Previous/Undo/AUto/SIngle/SUbobject/Object

Select objects: Specify a point or enter an option

Window

Selects all objects completely inside a rectangle defined by two points. Specifying the corners from left to right creates a window selection. (Specifying the corners from right to left creates a crossing selection.)

Specify first corner: Specify a point (1)

Specify opposite corner: Specify a point (2)

Last

Selects the most recently created visible object. The object must be in the current space, that is, model space or paper space, and its layer must not be set to frozen or off.

Crossing

Selects objects within and crossing an area defined by two points. A crossing selection is displayed as dashed or otherwise highlighted to differentiate it from window selection. Specifying the corners from right to left creates a crossing selection. (Specifying the corners from left to right creates a window selection.)

First corner: Specify a point (1)

Other corner: Specify a point (2)

Box

Selects all objects inside or crossing a rectangle specified by two points. If the rectangle's points are specified from right to left, Box is equivalent to Crossing. Otherwise, Box is equivalent to Window.

Specify first corner: Specify a point

Specify opposite corner: Specify a point

All

Selects all objects in either model space or the current layout, except those objects on frozen or on locked layers.

Fence

Selects all objects crossing a selection fence. The Fence method is similar to CPolygon except that that the fence is not closed, and a fence can cross itself. Fence is not affected by the PICKADD system variable.

First fence point: Specify a point

Specify endpoint of line or [Undo]: Specify a point or enter u to undo the last point

WPolygon

Selects objects completely inside a polygon defined by points. The polygon can be any shape but cannot cross or touch itself. The last segment of the polygon is drawn so that it is closed at all times. WPolygon is not affected by thePICKADD system variable.

First polygon point: Specify a point

Specify endpoint of line or [Undo]: Specify a point or enter u to undo the last point

CPolygon

Selects objects within and crossing a polygon defined by specifying points. The polygon can be any shape but cannot cross or touch itself. The last segment of the polygon is drawn so that it is closed at all times. CPolygon is not affected by thePICKADD system variable.

First polygon point: Specify a point

Specify endpoint of line or [Undo]: Specify a point or enter u to undo the last point

Group

Selects all objects within a specified group.

Enter group name: Enter a name list

Add

Switches to the Add method: selected objects can be added to the selection set by using any of the object selection methods. Auto and Add are the default methods.

Remove

Switches to the Remove method: objects can be removed from the current selection set using any object selection method. An alternative to Remove mode is to hold down SHIFT while selecting single objects or use the Automatic option.

Multiple

Specifies multiple points without highlighting the objects, thus speeding up the selection process for complex objects. The Multiple method also selects two intersecting objects if the intersection point is specified twice.

Previous

Selects the most recent selection set. The Previous selection set is cleared by operations that delete objects from the drawing.

The program keeps track of whether each selection set was specified in model space or paper space. The Previous selection set is ignored if you switch spaces.

Undo

Cancels the selection of the object most recently added to the selection set.

Auto

Switches to automatic selection: pointing to an object selects the object. Pointing to a blank area inside or outside an object forms the first corner of a box defined by the Box method. Auto and Add are the default methods.

Single

Switches to the Single method: selects the first object or set of objects designated rather than continuing to prompt for further selections.

Subobject

Allows you to select original individual forms that are part of composite solids or vertices, edges, and faces on 3D solids. You can select one of these subobjects, or create a selection set of more than one subobject. Your selection set can include more than one type of subobject.

Select objects: Select original individual forms that are part of composite solids or vertices, edges, and faces

Pressing and holding the Ctrl key is the same as selecting the SELECT command’s Subobject option.

Object

Ends the ability to select subobjects. Allows you to use object selection methods.

Select objects: Use an object selection method


SETBYLAYER (Quick Reference)

SELECT
SETBYLAYER
SetByLayer Settings Dialog Box
Commands > S commands >
SETBYLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Changes the property overrides of selected objects to ByLayer.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Set to ByLayerNot available on the ribbon in the current workspace
Menu: Modify [image] Change to ByLayerNot available in menus in the current workspace
Command entry: setbylayer

Current active settings: Color Linetype Lineweight Material Plot Style

Select objects or [Settings]: Use an object selection method and press Enter when you finish

If Settings is selected, the SetByLayer Settings dialog box is displayed, in which you can specify which object properties are set to ByLayer.

If objects are selected, the Command prompt displays:

Change ByBlock to ByLayer? [Yes/No] <Yes>:

Include blocks? [Yes/No] <Yes>:

You can specify which properties are changed to ByLayer, including color, linetype, lineweight, and materials.


SetByLayer Settings Dialog Box (Quick Reference)

SETBYLAYER
SETBYLAYER
SETIDROPHANDLER
Commands > S commands > SETBYLAYER >
SetByLayer Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Set to ByLayerNot available on the ribbon in the current workspace
Menu: Modify [image] Change to ByLayerNot available in menus in the current workspace
Command entry: setbylayer

Changes property overrides for color, linetype, lineweight, material, and plot style to ByLayer for selected objects and inserted blocks on unlocked layers.

Color

Changes the color of selected objects to ByLayer. (SETBYLAYERMODE=1)

Linetype

Changes the linetype of selected objects to ByLayer. (SETBYLAYERMODE=2)

Lineweight

Changes the lineweight of selected objects to ByLayer. (SETBYLAYERMODE=4)

Material

Changes the material of selected objects to ByLayer. (SETBYLAYERMODE=8)

Plot Style

Changes the plot style of selected objects to ByLayer. This option is available in named plot style drawings. (SETBYLAYERMODE=16)


SETIDROPHANDLER (Quick Reference)

SetByLayer Settings Dialog Box
SETIDROPHANDLER
Set Default i-drop Content Type Dialog Box
Commands > S commands >
SETIDROPHANDLER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the default type of i-drop content for the current Autodesk application.

Command entry: setidrophandler

The SETIDROPHANDLER command displays the Set Default i-drop Content Type dialog box, where you set the default type of i-drop content for the Autodesk application you are currently working in. This setting determines the type of content that is inserted into your drawing when you drag a representative i-drop content image from the Web into your drawing.


Set Default i-drop Content Type Dialog Box (Quick Reference)

SETIDROPHANDLER
SETIDROPHANDLER
i-drop Options Dialog Box
Commands > S commands > SETIDROPHANDLER >
Set Default i-drop Content Type Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: setidrophandler

Specifies the default type of i-drop content accepted by the current Autodesk application. The list contains the available content types for installed Autodesk products that provide this i-drop functionality.

The default content type determines the type of content that is inserted in your drawing. For example, if you select Block, when you drag a representative i-drop content image from a web page, the inserted content is an AutoCAD block.


i-drop Options Dialog Box (Quick Reference)

Set Default i-drop Content Type Dialog Box
SETIDROPHANDLER
SETUV
Commands > S commands > SETIDROPHANDLER >
i-drop Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click a representative i-drop content image and drag it from a web page into your current drawing, and then click Block.

Displays the source URL, the log file name, and the file name for the i-drop content that is currently being inserted in the drawing, and allows you to specify the associated data files to be transferred and the location for the files.

Source URL

Displays the source URL for the i-drop content that is currently being inserted in the drawing.

Log File

Displays the log file name for the i-drop content that is currently being inserted in the drawing.

Data File

Displays the name of the i-drop content file that is currently being inserted in the drawing.

Choose Associated File

Specifies the associated data files to be transferred with the i-drop content that is currently being inserted in the drawing.

Choose Destination Path

Specifies the destination of all associated data files to be transferred with the i-drop content that is currently being inserted in the drawing.

[...]

Displays a standard file selection dialog box, where you can specify the destination of all associated data files to be transferred with the i-drop content that is currently being inserted in the drawing.


SETUV (Quick Reference)

i-drop Options Dialog Box
SETUV
SETVAR
Commands > S commands >
SETUV
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Obsolete

Command entry: setuv

Starts MATERIALMAP.


SETVAR (Quick Reference)

SETUV
SETVAR
SHADEMODE
Commands > S commands >
SETVAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists or changes the values of system variables.

Menu: Tools [image] Inquiry [image] Set VariableAt the Command prompt, enter setvar.
Command entry: setvar (or 'setvar for transparent use)

Enter variable name or [?] <current>: Enter a variable name, enter ?, or press Enter

Variable Name

Specifies the name of the system variable you want to set.

Enter new value for variable_name <current>: Enter a new value or press Enter

You can also change the value of system variables at the Command prompt by entering the name of the variable and its new value.

?—List Variables

Lists all system variables in the drawing and their current settings.

Enter variable(s) to list <*>: Enter a wild-card pattern or press Enter


SHADEMODE (Quick Reference)

SETVAR
SHADEMODE
-SHADEMODE
Commands > S commands >
SHADEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Starts the VSCURRENT command.

Command entry: shademode

Prompts for the VSCURRENT command are displayed.

If you enter -shademode at the Command prompt or use SHADEMODE in a script, SHADEMODE displays command prompts.


-SHADEMODE (Quick Reference)

SHADEMODE
SHADEMODE
SHAPE
Commands > S commands > SHADEMODE >
-SHADEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -shademode at the Command prompt or use SHADEMODE in a script, the following prompts are displayed.

Enter option [2D wireframe/3D wireframe/Hidden/Flat/Gouraud/fLat+edges/gOuraud+edges] <current>:

2D Wireframe

Displays the objects using lines and curves to represent the boundaries. Raster and OLE objects, linetypes, and lineweights are visible.

3D Wireframe

Displays the objects using lines and curves to represent the boundaries. Material colors that you have applied to the objects are shown.

Hidden

Displays the objects using 3D wireframe representation and hides lines representing back faces.

Flat Shaded

Shades the objects between the polygon faces. The objects appear flatter and less smooth than Gouraud-shaded objects. Materials that you have applied to the objects show when the objects are flat shaded.

Gouraud Shaded

Shades the objects and smooths the edges between polygon faces. This gives the objects a smooth, realistic appearance. Materials that you have applied to the objects show when the objects are Gouraud shaded.

Flat Shaded, Edges On

Combines the Flat Shaded and Wireframe options. The objects are flat shaded with the wireframe showing through.

Gouraud Shaded, Edges On

Combines the Gouraud Shaded and Wireframe options. The objects are Gouraud shaded with the wireframe showing through.


SHAPE (Quick Reference)

-SHADEMODE
SHAPE
SHAREWITHSEEK
Commands > S commands >
SHAPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a shape from a shape file that has been loaded using LOAD.

Command entry: shape

Enter shape name or [?]: Enter a name, or enter ?

Shape Name

Loads the shape.

Specify insertion point:

Specify height <current>: Specify a height or press Enter

Specify rotation angle <0>: Specify an angle or press Enter

If a shape belongs to an external reference (xref) attached to the current drawing, the shape file is identified as externally dependent. Externally dependent shapes cannot be used in the current drawing unless they are reloaded.

?—List Shapes

Lists shapes and the files in which the shapes are defined. If you enter a question mark (?), the following prompt is displayed:

Enter shape name(s) to list <*>: Enter a name list or press Enter

If you enter a name, the program lists the name of the file in which the shape definition exists and ends SHAPE. If you enter an asterisk (*), the program lists shape names and ends SHAPE.


SHAREWITHSEEK (Quick Reference)

SHAPE
SHAREWITHSEEK
Share with Autodesk Seek Dialog Box
Commands > S commands >
SHAREWITHSEEK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Uploads blocks or drawings to the Autodesk Seek website.

Access Methods

Button

Ribbon: Output tab [image] Autodesk Seek panel [image] Share with Autodesk Seek
Menu: File [image] Share with Autodesk Seek Not available in menus in the current workspace
Shortcut menu: Right-click on a block and click Share with Autodesk Seek
Command entry: sharewithseek

Summary

Publish single blocks or entire drawings to Autodesk Seek. Drawings can include 3D models and 2D drawings.

Once you select a block or drawing to share with Seek it starts the upload process to the Autodesk Seek site. You must finish the upload process on the browser page. The upload process is not completed until you submit th block or file to the Autodesk Seek website. You must be a registered user on the Seek website to upload content.Currently, you can only upload a single drawing file at a time.

NoteAutodesk Seek is currently available in US English only.


Share with Autodesk Seek Dialog Box (Quick Reference)

SHAREWITHSEEK
SHAREWITHSEEK
SHEETSET
Commands > S commands > SHAREWITHSEEK >
Share with Autodesk Seek Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Publish panel [image] Share with Autodesk Seek
Menu: File [image] Share with Autodesk Seek Not available in menus in the current workspace
Shortcut menu: Right-click on a block and click Share with Autodesk Seek
Command entry: sharewithseek

Summary

Uploads the chosen block or current drawing to the Autodesk Seek website. Drawings can include 3D models and 2D drawings.

List of Options

The following options are displayed.

Share the Selected Block

Select a block to upload to the Autodesk Seek website. A DWG file is created using the default Save as file format specified in the Options dialog.

List

Lists the blocks in the current drawing available for upload to the Autodesk Seek website.

Share the Current Drawing

Selects the current drawing (not including external references) for upload to the Autodesk Seek website. If you select to Save the file, a DWG is created using the file format specified in the "Save as:" setting from the Open and Save tab of the Options dialog. If you choose to use the last saved version of the file, it uploads the file in its current file format.

Preview

Displays a preview image of the selected block or the current drawing (if available).


SHEETSET (Quick Reference)

Share with Autodesk Seek Dialog Box
SHEETSET
Sheet Set Manager
Commands > S commands >
SHEETSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Opens the Sheet Set Manager.

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Sheet Set Manager
Toolbar: Standard
Menu: Tools [image] Palettes [image] Sheet Set ManagerNot available in menus in the current workspace
Command entry: sheetset

Summary

Displays the Sheet Set Manager.

The Sheet Set Manager organizes, displays, and manages sheet sets, a named collection of drawing sheets. Each sheet in a sheet set is a layout in a drawing (DWG) file.


Sheet Set Manager (Quick Reference)

SHEETSET
SHEETSET
Sheet List Tab
Commands > S commands > SHEETSET >
Sheet Set Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays and organizes named collections of drawing sheets

Access Methods

Button

Ribbon: View tab [image] Palettes panel [image] Sheet Set Manager
Menu: Tools [image] Palettes [image] Sheet Set ManagerNot available in menus in the current workspace
Command entry: sheetset

Summary

The Sheet Set Manager organizes, displays, and manages sheet sets, a named collection of drawing sheets. Each sheet in a sheet set is a layout in a drawing (DWG) file.

The top of the Sheet Set Manager window contains a list box, called the Sheet List control, and several buttons. The buttons vary, depending on the selected tab.

The Sheet Set Manager is not fully functional if

  • The command is active;
  • No drawing is open;
  • The sheet set is locked by another user; or
  • A lock icon displayed in front of the sheet set name in the Sheet Set Manager indicates that the sheet set is locked. Hold your cursor over the lock icon to view a tooltip that shows who has the sheet set locked.

List of Tabs

The Sheet Set Manager window displays the following tabs:

  • Sheet List
  • Sheet Views
  • Model Views

Sheet List Control

The Sheet List control displays the name of the current sheet set, or, if no sheet sets are open, the Open option. The Sheet List control provides the following options for all tabs:

Names of Open Sheet Sets

Lists all open sheet sets, if any. A check is displayed next to the current sheet set. The current sheet set is the open sheet set that is displayed in the Sheet Set Manager window.

Recent

Displays a list of recently opened sheet sets.

New Sheet Set

Starts the Create Sheet Set wizard.

Open

Displays the Open Sheet Set standard file selection dialog box.


Sheet List Tab (Quick Reference)

Sheet Set Manager
Sheet Set Manager
Sheet Views Tab
Commands > S commands > SHEETSET > Sheet Set Manager >
Sheet List Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Tools [image] Palettes [image] Sheet Set ManagerNot available in menus in the current workspace
Command entry: sheetset

Summary

The Sheet List tab displays an ordered list of sheets. You can organize these sheets under headings, called subsets, that you create.

List of Options

This tab has the following buttons:

Publish to DWF

Publishes selected sheets or a sheet set to a specifiedDWF file. Automatically uses settings specified in the PUBLISH command.

Publish to DWFx

Publishes selected sheets or a sheet set to a specifiedDWFx file. Automatically uses settings specified in the PUBLISHcommand.

Publish

Displays a list of Publish options. The descriptionfor each option is listed in alphabetical order under Shortcut Menu Optionsbelow.

Sheet Selections

Displays a menu where you can save, manage, and restoresheet selections by name. This makes it easy to specify a groupof sheets for a publish, transmit, or archive operation. The descriptionfor each option is listed in alphabetical order under Shortcut Menu Optionsbelow.

Details (at bottom of window)

Displays basic information about the currently selectedsheet or subset.

Preview (bottom of window)

Displays a thumbnail preview of the currently selectedsheet.

Shortcut Menu Options

The following options are displayed on shortcut menus for the Sheet List tab. For easier access, they are listed in alphabetical order. The options displayed in each shortcut menu depend on context: in the tree view, if you right-click the name of the sheet set, a different shortcut menu will display than if you right-click the name of a subset or the name of a sheet.

Archive

Displays the Archive a Sheet Set dialog box.

Close Sheet Set

Closes the current sheet set, removing the sheet set information displayed in the Sheet Set Manager window.

eTransmit

Displays the Create Transmittal dialog box.

Edit Subset and Sheet Publish Settings

Displays thePublish Sheets dialog box.

Import Layout as Sheet

Displays the Import Layouts as Sheets dialog box.

Include Plot Stamp

Turns the plot stamp on or off for the selected sheet set, subset, or sheet.

Include for Publish

Includes the sheet for publishing.

Insert Sheet List Table

Displays the Insert Sheet List Table dialog box. Insert Sheet List Table is available only on the sheet set shortcut menu.

Manage Page Setups

Displays the Page Setup Manager dialog box.

New Sheet

Displays the New Sheet dialog box.

New Subset

Displays the Subset Properties dialog box, where you can create a new sheet subset for organizing the sheets in a sheet set.

Open

Opens the drawing file of the selected sheet and displays the layout.

Open Read-Only

Opens the drawing file of the selected sheet in read-only mode and displays the layout. You cannot save changes to the file using the original file name.

Plot Stamp Settings

Displays the Plot Stamp dialog box, in which you can specify the information, such as drawing name and plot scale, that you want applied to the plot stamp.

Properties (Sheet Set)

When the sheet set node is selected, displays the Sheet Set Properties dialog box.

Properties (Subset)

When a subset node is selected, displays the Subset Properties dialog box. See New Subset.

Properties (Sheet)

When a sheet node is selected, displays the Sheet Properties dialog box.

Publish

Displays the Publish dialog box.

Publish in Reverse Order

When checked, sends sheets to the plotter in reverse of default order.

Publish Sheets in Subset

Publishes the sheets in the subset.

When Do Not Publish Sheets is checked, all sheets in the subset is not published.

Suspends all sheets in the subset from being published.

Publish Using Page Setup Override

Automatically publishes the selected sheets using the selected page setup override rather than the page setup specified in each drawing. The page setup overrides are stored in a drawing template (DWT) file designated to be the source of the page setup override information.

If this item is not available, it means that there are no page setups specified, or that the DWT file is invalid or missing. Use the Manage Page Setups item on the same menu to determine the problem.

Plot Stamp Settings

Displays the Plot Stamp dialog box.

Publish to DWF

Publishes the selected sheets or the sheet set to a specified DWF file. Automatically uses settings specified in the PUBLISH command.

Publish to Plotter

Automatically publishes the selected sheets to the default plotter or printer.

Remove Subset

Removes the currently selected subset from the organization of the sheet set.

Rename & Renumber

Displays the Rename & Renumber Sheet dialog box.

Resave All Sheets

Updates the sheet set information saved with each drawing in the current sheet set. Each drawing file in the current sheet set is opened and resaved. Any changes that were made are updated in the sheet set data (DST) file.

Drawing files saved in a previous DWG file format are resaved without changing format.

This operation is a background task and nothing is displayed in the program.

NoteIn a network environment, make sure that all drawing files in the current sheet set that are opened by other users are closed before performing this operation.
Remove Sheet

Removes the currently selected sheet from the sheet set.

Save Sheet Selection

Displays the New Sheet Selection dialog box.

Sheet Set Publish Options

Displays the Sheet Set Publish Options dialog box. This is the same as the Publish Options dialog, but is specific to the current sheet set.

Transmittal Setups

Displays the Transmittal Setups dialog box.


Sheet Views Tab (Quick Reference)

Sheet List Tab
Sheet Set Manager
Model Views Tab
Commands > S commands > SHEETSET > Sheet Set Manager >
Sheet Views Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Tools [image] Palettes [image] Sheet Set ManagerNot available in menus in the current workspace
Command entry: sheetset

Summary

The Sheet Views tab displays an ordered list of views used in the current sheet set. You can organize these views under headings, called categories, that you create. You can display the list of views organized by categories or by the sheet on which they are located.

NoteOnly sheet views created in AutoCAD 2005 or later are listed on the Sheet Views tab.

List of Options

This tab has the following buttons:

New View Category Button

Displays the View Category dialog box. This button is available only when the View by Category button is turned on and the views are displayed according to their categories.

View by Category

Displays the views in the current sheet set organized by their categories.

View by Sheet

Displays a list of views in the current sheet set organized by the sheet on which they are located.

Shortcut Menu Options

The following options are displayed on shortcut menus for the Sheet Views tab. For easier access, they are listed in alphabetical order. The options displayed in each shortcut menu depend on context: if you right-click the sheet set, a different shortcut menu will display than if you right-click a view category, or a view.

Display

Displays the selected view in the sheet in which it was created. Opens the drawing file containing the sheet, if the drawing file is not already open.

New View Category

Displays the View Category dialog box, in which you can create a new view category to organize the views in a sheet set.

Place Callout Block

Specifies and places a callout block onto a sheet.

Place View Label

Specifies and places a view label block onto a sheet.

Properties (Sheet Set)

Displays the Sheet Set Properties dialog box.

Properties (View Category)

Displays the View Category dialog box.

Rename

Renames the selected sheet view category.

Rename & Renumber

Displays the Rename and Renumber View dialog box where you can renumber and retitle the selected sheet view.

Set Category

Reassigns the selected sheet view to a category that you specify.


Model Views Tab (Quick Reference)

Sheet Views Tab
Sheet Set Manager
Subset Properties Dialog Box
Commands > S commands > SHEETSET > Sheet Set Manager >
Model Views Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Tools [image] Palettes [image] Sheet Set ManagerNot available in menus in the current workspace
Command entry: sheetset

Summary

The Model Views tab displays a list of folders, drawing files, and model space views available for the current sheet set. You can add and remove folder locations to control which drawing files are associated with the current sheet set.

NoteAfter creating a named model space view, you must save the drawing to add the view to the Model Views tab.

This tab has the following buttons:

List of Options

Refresh Button

Updates the list of drawing files listed in the tree view. The Refresh button updates all information stored in the sheet set data (DST) file, checks all folders in every resource location for new or removed drawing files, and checks all drawing files that are expanded for new or removed model space views. Alternatively, when the focus is on the Model Views tab, you can press F5 to perform a refresh.

Add New Location Button

Displays the Browse for Folder standard file selection dialog box, in which you can add a folder location to the sheet set.

Shortcut Menu Options

Add New Location

Displays the Browse for Folder standard file selection dialog box where you can add a folder location to the sheet set.

eTransmit

Displays the Create Transmittal dialog box.

Open File

Opens the selected drawing (DWG) file.

Place on Sheet

Initiates a series of automated steps that creates and places a view of the selected model onto the current layout of the current drawing. These steps are

  • You are prompted to place the view on the layout. Right-click to change the scale of the view before placement
  • The selected model is attached as an xref in the current drawing
  • A layout viewport is created on the current layout
  • A sheet view is created that corresponds with the newly created layout viewport
Remove Location

Removes the currently selected folder location from the sheet set.

See Model Space Views

Expands a list of named model space views.


Subset Properties Dialog Box (Quick Reference)

Model Views Tab
SHEETSET
Publish Sheets Dialog Box
Commands > S commands > SHEETSET >
Subset Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Creates a new sheet subset in a sheet set. You can organize sheets by dragging them to different subsets.

List of Options

The following options are available in this dialog box.

Subset Name

Specifies the name of this subset and the name of the sheet storage folder for this subset if Create Folders Relative to Parent Subset Storage Location is selected.

Publish Sheets in Subset

Conforms to the current settings for sheet set publishing.

New Sheet Location

Specifies the folder location for all new drawing (DWG) files containing sheets that are associated with this subset. The Browse button displays the Browse for Folder standard file selection dialog box.

Sheet Creation Template

Specifies the drawing template (DWT) file and layout name that is used to create new drawing files for this subset. The Browse button displays the Select Layout as Sheet Template dialog box.

The syntax for this property is

layoutname [folderpath\]filename.dwt

Prompt for Template

When Yes is selected, prompts you to specify a drawing template file rather than use the default drawing template file for creating new sheets.


Publish Sheets Dialog Box (Quick Reference)

Subset Properties Dialog Box
SHEETSET
Select Layout as Sheet Template Dialog Box
Commands > S commands > SHEETSET >
Publish Sheets Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Command entry: sheetset

Summary

Specifies the sheets to be included for publishing.

When a sheet is selected, it is included for publishing.


Select Layout as Sheet Template Dialog Box (Quick Reference)

Publish Sheets Dialog Box
SHEETSET
New Sheet Dialog Box
Commands > S commands > SHEETSET >
Select Layout as Sheet Template Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Command entry: sheetset

Summary

Specifies the folder path, drawing template (DWT) file, and layout name to be used for creating new sheets.

List of Options

The following options are available in this dialog box.

Drawing Template File Name

Specifies the drawing template file path and name to be used for creating new sheets. The Browse button displays the Select Drawing standard file selection dialog box.

Select a Layout to Create New Sheets

Lists and specifies the name of the layout in the drawing template file to be used for new sheets.


New Sheet Dialog Box (Quick Reference)

Select Layout as Sheet Template Dialog Box
SHEETSET
Rename & Renumber Sheet Dialog Box
Commands > S commands > SHEETSET >
New Sheet Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Creates a new sheet in the current sheet set by creating a new drawing (DWG) file that includes a layout tab with the same name as the drawing.

List of Options

The following options are available in this dialog box.

Number

Specifies the sheet number. It is recommended that you do not fill in the sheet number when you first create a sheet. By default the drawing name and layout name of the new sheet will be the sheet number together with sheet title. You can remove the sheet number from the file name when you create the new sheet, but the sheet number will still be in the layout name.

Sheet Title

Specifies the sheet title, which corresponds to an identically named layout tab in the new drawing.

File Name

Specifies the name of the new drawing file containing the sheet. By default, the name of the drawing file is the sheet number combined with the sheet title. You can also change the drawing file name in this box.

Folder Path

Displays the default folder for the new drawing file.

The default folder for a subset is specified in the Subset Properties dialog box; and the default folder for a sheet set is specified in the Sheet Set Properties dialog box.

Sheet Template

Displays the default sheet template file used for creating the new drawing file.

The default template file used for creating new drawings in a subset is specified in the Subset Properties dialog box; the default template file for creating new drawings in a sheet set is specified in the Sheet Set Properties dialog box.

Open in Drawing Editor

When checked, allows you to open the drawing after creation and edit directly within the file.


Rename & Renumber Sheet Dialog Box (Quick Reference)

New Sheet Dialog Box
SHEETSET
Rename & Renumber View Dialog Box
Commands > S commands > SHEETSET >
Rename & Renumber Sheet Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Specifies a sheet number, sheet title, and other properties for a sheet in a sheet set.

List of Options

The following options are available in this dialog box.

Number

Specifies the sheet number of the selected sheet.

Sheet Title

Specifies the sheet title of the selected sheet.

Layout Name

Specifies the name of the layout associated with the selected sheet.

File Name

Specifies the name of the drawing file associated with the selected sheet.

Folder Path

Displays the folder path for the drawing file.

Rename Layout to match Sheet Title

When checked, changes the layout name to match the sheet title.

Prefix with Sheet Number

When checked, changes the layout name to a new name formed by adding the sheet number to the beginning of the sheet title.

Rename Drawing File to match Sheet Title

When checked, changes the drawing file name to match the sheet title.

Prefix with Sheet Number

When checked, changes the drawing file name to a new name formed by adding the sheet number to the beginning of the sheet title.

Next

Loads the next sheet into this dialog box. This provides a convenient method for renumbering or retitling a series of sheets.

Previous

Loads the previous sheet into this dialog box.


Rename & Renumber View Dialog Box (Quick Reference)

Rename & Renumber Sheet Dialog Box
SHEETSET
Import Layouts as Sheets Dialog Box
Commands > S commands > SHEETSET >
Rename & Renumber View Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Specifies a sheet number and view title for a view in a sheet set.

List of Options

The following options are available in this dialog box.

Number

Specifies the sheet number of the selected view.

View Title

Specifies the view title of the selected view.

Previous

Loads the previous view into this dialog box. This provides a convenient method for renumbering or retitling a series of views.

Next

Loads the next view into this dialog box. This provides a convenient method for renumbering or retitling a series of views.


Import Layouts as Sheets Dialog Box (Quick Reference)

Rename & Renumber View Dialog Box
SHEETSET
Insert Sheet List Table Dialog Box
Commands > S commands > SHEETSET >
Import Layouts as Sheets Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Provides a method for quickly importing layouts into a sheet set, and specifying which layout tab is to be used as the sheet.

NoteA layout can belong to only one sheet set. If a layout already belongs to a sheet set, you must create a copy of the drawing containing the layout to import it.

List of Options

The following options are available in this dialog box.

Browse for Drawings

Displays the Select Drawing standard file selection dialog box.

List of Layouts in Selected Drawing

Lists all available layouts in the specified drawing file. Click a check box to select a layout.

Prefix Sheet Titles with File Name

When checked, automatically adds the drawing file name to the beginning of the sheet title.

Import Checked

Imports a layout from the list only if it displays a check mark.


Insert Sheet List Table Dialog Box (Quick Reference)

Import Layouts as Sheets Dialog Box
SHEETSET
Table Data Tab
Commands > S commands > SHEETSET >
Insert Sheet List Table Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Creates a table listing the sheets in the sheet set. This table can be added to any sheet in the current sheet set, but it is typically added to the title sheet.

NoteInsert Sheet List Table on the sheet set shortcut menu is not available if the Model tab is active, or if the current layout is not a sheet in the current sheet set.

List of Tabs

This dialog box contains the following tabs.

  • Table Data Tab
  • Subsets and Sheets Tab

List of Options

The following options are available in this dialog box.

Table Style Name

Specifies the table style to be used for the table. The Browse button displays the Table Style dialog box.

Table Style Preview

Displays a preview of the currently selected table style.

Include Subsets as Headers in Output

When checked, displays the names of the subsets, dividing the sheet list table into sections.

Table Style Settings

Displays options for the table style.


Table Data Tab (Quick Reference)

Insert Sheet List Table Dialog Box
Insert Sheet List Table Dialog Box
Subsets and Sheets Tab
Commands > S commands > SHEETSET > Insert Sheet List Table Dialog Box >
Table Data Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options for the table data.

List of Options

Title Text

Specifies the name of the title of the sheet list table.

Column Settings Area

Displays a list of the column definitions in the sheet list table. Each line in the list represents a column. The top-to-bottom order of the list represents how the columns will be displayed in the table (left to right).

Data Type Column

Selecting a column definition and then clicking on an entry in the Data Type column displays a list. From this list, you can change the type of information that is going to be displayed in the columns of the sheet list table.

Heading Text Column

Allows you to change the title text for each column in the sheet list table.

Add

Adds a sheet number column to the sheet list table.

Remove

Removes the selected column from the sheet list table. If you accidentally remove a column, you can add a Number column and then change its data type from the data type list.

Move Up

Moves the selected column up in the column list and to the left in the sheet list table.

Move Down

Moves the selected column down in the column list and to the right in the sheet list table.


Subsets and Sheets Tab (Quick Reference)

Table Data Tab
Insert Sheet List Table Dialog Box
Edit Sheet List Table Settings Dialog Box
Commands > S commands > SHEETSET > Insert Sheet List Table Dialog Box >
Subsets and Sheets Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options to control the sheet selection represented by the current sheet list table

List of Options

Populate From Sheet Selection Drop-Down Menu

Sets the check state of the items in the view based on a previous saved sheet selection.

Sheet Set Tree View

Displays the sheet set subsets that are to be updated automatically. When you add new sheets to checked subsets, you are prompted to update the table.


Edit Sheet List Table Settings Dialog Box (Quick Reference)

Subsets and Sheets Tab
SHEETSET
Sheet Set Properties Dialog Box
Commands > S commands > SHEETSET >
Edit Sheet List Table Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Shortcut menu: Select any cell in Sheet List Table [image] Right-click to open the shortcut menu [image] Edit Sheet List Table Settings

Summary

Allows you to edit a sheet list table that exists in the current drawing. The Edit Sheet List Table Settings dialog box gives you access to all the settings found on the Insert Sheet List Table dialog box.

List of Options

The following options are available in this dialog box.

Table Style Settings

Displays options for the table style.

Table Style Name

Specifies the table style to be used for the table. The Browse button displays the Table Style dialog box.

Table Style Sample Area

Displays a sample of the currently selected table style.

Show Subheader

When checked, displays the names of the subsets, dividing the sheet list table into sections.

Table Data Settings

Displays options for the table data.

Title Text

Specifies the name of the title of the sheet list table.

Column Settings Area

Displays a list of the column definitions in the sheet list table. Each line in the list represents a column. The top-to-bottom order of the list represents how the columns will be displayed in the table (left to right).

Data Type Column

Selecting a column definition and then clicking on an entry in the Data Type column displays a list. From the list, you can change the type of information that is going to be displayed in the columns of the sheet list table.

Heading Text Column

Allows you to change the title text for each column in the sheet list table.

Add

Adds a sheet number column to the sheet list table.

Remove

Removes the selected column from the sheet list table. If you accidentally remove a column, you can add a new Sheet Number column and then change its data type from the data type list.

Move Up

Moves the selected column up in the column list and to the left in the sheet list table.

Move Down

Moves the selected column down in the column list and to the right in the sheet list table.


Sheet Set Properties Dialog Box (Quick Reference)

Edit Sheet List Table Settings Dialog Box
SHEETSET
Sheet Set Custom Properties Dialog Box
Commands > S commands > SHEETSET >
Sheet Set Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Displays information that is specific to the selected sheet set. You can click on each field to display a description at the bottom of the dialog box.

This includes information such as the path and file name of the sheet set data (DST) file, the paths of the folders that contain the drawing files associated with the sheet set, and any custom properties associated with the sheet set

List of Options

The following options are available in this dialog box.

Name

Displays the name of the sheet set.

Sheet Set Data File

Displays the path and file name of the sheet set data (DST) file.

Description

Displays a description of the sheet set.

Model View

Displays the paths and names of folders that contain drawings used by the sheet set.

Label Block for Views

Displays the path and file name of the DWT or DWG file that contains the label blocks for the sheet set.

Callout Blocks

Displays the path and file name of the DWT or DWG file that contains the callout blocks for the sheet set.

Page Setup Overrides File

Displays the path and file name for the drawing template (DWT) file containing the page setup overrides for the sheet set.

Project Control

Displays several fields commonly used in projects including Project Number, Project Name, Project Phase, and Project Milestone.

Sheet Custom Properties

Displays the user-defined custom properties associated with each sheet in the sheet set.

Sheet Storage Location

Displays the path and name of the folder where new sheets are created.

Sheet Creation Template

Displays the path and name of the DWG or DWT file to be used when creating new sheets for the sheet set.

Prompt for Template

Controls whether you will be prompted for a sheet creation template every time you create a new sheet in a sheet set.

Sheet Set Custom Properties

Displays the user-defined custom properties associated with the sheet set.

Edit Custom Properties

Displays the Sheet Set Custom Properties dialog box.


Sheet Set Custom Properties Dialog Box (Quick Reference)

Sheet Set Properties Dialog Box
SHEETSET
Add Custom Property Dialog Box
Commands > S commands > SHEETSET >
Sheet Set Custom Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Lists the custom properties associated with the current sheet set.

List of Options

The following options are available in this dialog box.

Add

Displays the Add Custom Property dialog box.

Delete

Removes the selected custom property from the sheet set.


Add Custom Property Dialog Box (Quick Reference)

Sheet Set Custom Properties Dialog Box
SHEETSET
Resource Drawing Locations Dialog Box
Commands > S commands > SHEETSET >
Add Custom Property Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Creates a custom property to be associated with the current sheet set or with each sheet. Custom properties can be used to store information such as a contract number, the name of the designer, and the release date.

List of Options

The following options are available in this dialog box.

Name

Specifies the name of a new custom property.

Default Value

Specifies a value for the custom property.

Owner

Specifies whether the custom property belongs to the sheet set or to a sheet.


Resource Drawing Locations Dialog Box (Quick Reference)

Add Custom Property Dialog Box
SHEETSET
Sheet Properties Dialog Box
Commands > S commands > SHEETSET >
Resource Drawing Locations Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Displays a list of folders that are available for the current sheet set. You can add and remove folder locations to control which drawing files are available for the current sheet set.

List of Options

The following options are available in this dialog box.

Add

Displays the Browse for Folder standard file selection dialog box, in which you can add a folder location to the list.

Delete

Removes the selected folder from the list.


Sheet Properties Dialog Box (Quick Reference)

Resource Drawing Locations Dialog Box
SHEETSET
New Sheet Selection Dialog Box
Commands > S commands > SHEETSET >
Sheet Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Displays information that is specific to the selected sheet, such as the sheet title, sheet number, and whether it will be included in publishing operations. Also displays custom properties, if any. You can enter a new value to modify any available sheet property.

List of Options

The following options are available in this dialog box.

Sheet and Sheet Custom Properties

Displays the properties of the selected sheet. Also displays custom properties, if any. You can enter a new value to modify any sheet property. The Expected Layout is the path and file name of the drawing where the sheet was saved. The Found Layout is the path and file name of the drawing where the sheet was found. If the paths are different, you can modify the path and file name in Expected Layout. This operation reassociates the sheet with the sheet set.

Rename Options

Displays the options for renaming the selected sheet. These settings are the same as those in Rename & Renumber Sheet dialog box.


New Sheet Selection Dialog Box (Quick Reference)

Sheet Properties Dialog Box
SHEETSET
Sheet Selections Dialog Box
Commands > S commands > SHEETSET >
New Sheet Selection Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Saves a named selection of sheets for future operations. After you select several sheets and then save the selection, you can restore the sheet selection by name. This makes it easy to specify a set of sheets for a publish, transmit, or archive operation.

List of Options

The following options are available in this dialog box.

Enter the Sheet Selection Name

Specifies a name for the sheet selection.


Sheet Selections Dialog Box (Quick Reference)

New Sheet Selection Dialog Box
SHEETSET
View Category Dialog Box
Commands > S commands > SHEETSET >
Sheet Selections Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Renames or deletes saved sheet selections.

List of Options

The following options are available in this dialog box.

Sheet Selections

Specifies the sheet selection that you want to rename or delete.

Rename

Renames the selected sheet selection.

Delete

Deletes the selected sheet selection. Only the sheet selection is deleted. The sheets themselves are unaffected.


View Category Dialog Box (Quick Reference)

Sheet Selections Dialog Box
SHEETSET
List of Blocks Dialog Box
Commands > S commands > SHEETSET >
View Category Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Creates a new view category in a sheet set. You can organize views by dragging them under different view categories.

List of Options

The following options are available in this dialog box.

Category Name

Specifies the name of a new view category.

Select the Callout Blocks to be Used in this Category

Provides a method for listing the callout blocks appropriate to the current view category.

Add Blocks

Displays the List of Blocks dialog box.


List of Blocks Dialog Box (Quick Reference)

View Category Dialog Box
SHEETSET
Select Block Dialog Box
Commands > S commands > SHEETSET >
List of Blocks Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Lists, adds, or deletes callout blocks for use in the current sheet set. This dialog box is displayed by clicking the Add Blocks button in the View Category dialog box, or by clicking the [...] button next to Callout blocks in the Sheet Set Properties dialog box.

List of Options

The following options are available in this dialog box.

List of Blocks

Displays the list of blocks available for use with the current sheet set.

Add

Displays the Select Block dialog box.

Delete

Removes the selected block from the list of callout blocks.

Preview area

Displays a preview image when a single block is selected.


Select Block Dialog Box (Quick Reference)

List of Blocks Dialog Box
SHEETSET
SHEETSETHIDE
Commands > S commands > SHEETSET >
Select Block Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Command entry: sheetset

Summary

Adds a new label block or callout blocks for use in the current sheet set.

List of Options

The following options are available in this dialog box.

Enter the Drawing File Name

Specifies the path and name of a drawing (DWG) file or the name and path of a drawing template (DWT) file to be used as the source of a block definition. The Browse button displays Select Drawing, a standard file selection dialog box.

Select the Drawing File as a Block

Uses the entire specified drawing file or drawing template file as the block definition.

Choose Blocks in the Drawing File

Uses a selected block definition from the specified drawing file or drawing template file. When selecting callout blocks, you can use SHIFT or Ctrl to select more than one block.

Preview

Displays a preview image when a single block is selected.


SHEETSETHIDE (Quick Reference)

Select Block Dialog Box
SHEETSETHIDE
SHELL
Commands > S commands >
SHEETSETHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Sheet Set Manager.

Access Methods

Command entry: sheetsethide

Summary

Closes the Sheet Set Manager window.


SHELL (Quick Reference)

SHEETSETHIDE
SHELL
SHOWMAT
Commands > S commands >
SHELL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Accesses operating system commands.

Command entry: shell

OS command: Enter an operating system command or press Enter

With SHELL, you can execute operating system (OS) commands while remaining in this program. When SHELL prompts you for an OS command, you can enter most valid commands for your OS. When the command has been executed, SHELL returns you to the Command prompt.

Pressing Enter at the OS Command prompt displays the system prompt with an extra close angle bracket (>). You can enter operating system commands as if you were at the normal system prompt. Enter exit to return to the Command prompt.

WarningDo not use the SHELL command to delete lock files (file name extension .??k) or temporary files (file name extensions .ac$ or .$a). Do not use SHELL to run chkdsk, reset the serial I/O ports, or run external programs that require disk swapping while editing a drawing stored on a floppy disk. Load Terminate-and-Stay-Resident programs into memory before starting this program.


SHOWMAT (Quick Reference)

SHELL
SHOWMAT
SHOWPALETTES
Commands > S commands >
SHOWMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

Command entry: showmat

Starts LIST.


SHOWPALETTES (Quick Reference)

SHOWMAT
SHOWPALETTES
SIGVALIDATE
Commands > S commands >
SHOWPALETTES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores the display of hidden palettes.

Command entry: showpalettes

Restores the state of the display and position of palettes hidden by HIDEPALETTES. Press Ctrl+SHIFT+H to switch between HIDEPALETTES and SHOWPALETTES.

NoteIf a palette was manually turned back on, it is not affected by SHOWPALETTES (even if it was manually closed again)


SIGVALIDATE (Quick Reference)

SHOWPALETTES
SIGVALIDATE
Validate Digital Signatures Dialog Box
Commands > S commands >
SIGVALIDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays information about the digital signature attached to a drawing file.

Command entry: sigvalidate

The Validate Digital Signatures dialog box is displayed. Review the information displayed in the dialog box, and click Close to view the signed file.


Validate Digital Signatures Dialog Box (Quick Reference)

SIGVALIDATE
SIGVALIDATE
Digital Signature Contents Dialog Box
Commands > S commands > SIGVALIDATE >
Validate Digital Signatures Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: sigvalidate

Displays information about a digital signature. You can determine if a digital signature is valid and if the signed file has been modified since it was signed.

Name

Displays the location and name of the file whose digital signature is being viewed.

Digital Signature Status

Displays a Valid Signature icon if a digital signature is valid, and an Invalid Signature icon if the digital signature is not valid.

File Status

Displays the status of the signed file.

View Base Signature

Displays the Digital Signature Contents dialog box. This option is available only if the digital signature is valid and the file has not been modified since it was signed.

Xref Drawings

Contains detailed information about any xrefs in the signed file.

View Xref Drawings

Displays the xref drawings contained in a file's base drawing.

View Xref List

Contains a list of the xref drawings in a signed file. Displays the name, folder, and status of the xref. This list is available only if the current file contains xrefs and View Xref Drawings is selected.

View Xref Signature

Displays the Digital Signatures Contents dialog box for the selected xref. This button is enabled only if the xref has a valid digital signature attached.


Digital Signature Contents Dialog Box (Quick Reference)

Validate Digital Signatures Dialog Box
SIGVALIDATE
SKETCH
Commands > S commands > SIGVALIDATE >
Digital Signature Contents Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: sigvalidate

Displays information about a digital signature. You can determine if a digital signature is valid and if the signed file has been modified since it was signed.

Name

Displays the location and name of the file whose digital signature is being viewed.

Digital Signature Status

Displays the status of the digital signature.

File Status

Displays the status of the signed file.

Signed By

Displays the name of the organization or individual who attached a digital signature to the current file.

Other Fields

Displays the subject, issuer, valid from date, valid to date, or serial number in the Values box.

Subject

Displays information about the organization or individual who owns the digital ID and attached the digital signature.

Issuer

Displays the name of the certificate authority that originally issued the digital ID.

Valid From

Displays the day, month, year, and exact time from which the digital ID can be first used and is considered valid.

Valid To

Displays the day, month, year, and exact time at which the digital ID ceases to be valid.

Serial Number

Displays the serial number assigned to the digital ID.

Values

Displays information about a digital signature based on the item you select in the Other Fields list.

Comment

Displays any comments about the digital signature that is attached to the current file.

Signature Date and Time

Displays the date and time that the digital signature was attached to the current file. The date and time are based on the time service used when the signature was attached.

Time Service Used

Displays the time service used to add the time stamp to the current file.

Skip Xref Warnings

Determines if the Digital Signature Contents dialog box is displayed for signed xrefs. This check box is displayed only in the Digital Signature Contents dialog box when a signed drawing is opened.


SKETCH (Quick Reference)

Digital Signature Contents Dialog Box
SKETCH
SLICE
Commands > S commands >
SKETCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a series of freehand line segments.

Command entry: sketch

The following information is based on the assumption that Tablet mode is on.

Record increment <current>: Specify a distance or press Enter

The record increment value defines the length of the line segments. The pointing device must be moved a distance greater than the increment value to generate a line.

Sketching is captured as a series of independent lines. Setting the SKPOLY system variable to a nonzero value produces a polyline for each contiguous sequence of sketched lines rather than multiple line objects.

Sketch. Pen eXit Quit Record Erase Connect . Enter an option or press a pointer button

Pen (Pick Button)

Raises and lowers the sketching pen. The pen must be raised before you can select menu items with the pointing device.

Exit—ENTER (button 3)

Records and reports the number of temporary lines sketched and ends the command.

Quit (button 4)

Discards all temporary lines sketched since the start of SKETCH or the last use of the Record option, and ends the command.

Record (button 2)

Records temporary lines as permanent and does not change the pen's position. Reports the number of lines using the following prompt:

nnn lines recorded.

Erase (button 5)

Erases any portion of a temporary line and raises the pen if it is down.

Select end of delete.

Connect (button 6)

Lowers the pen to continue a sketch sequence from the endpoint of the last sketched line or last Erase.

Connect: Move to endpoint of line.

. (Period) (button 1)

Lowers the pen, draws a straight line from the endpoint of the last sketched line to the pen's current location, and returns the pen to the up position.


SLICE (Quick Reference)

SKETCH
SLICE
SNAP
Commands > S commands >
SLICE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates new 3D solids and surfaces by slicing, or dividing, existing objects.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] SliceNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] SliceNot available in menus in the current workspace
Command entry: slice

Summary

The cutting plane is defined with 2 or 3 points, by specifying a major plane of the UCS, or by selecting a surface object (but not a mesh). Either one or both sides of the sliced 3D solids can be retained.

The sliced objects retain the layer and color properties of the original solids. However, the resulting solid or surface objects do not retain a history of the original objects.

Objects that Can Be Used in a Slice Operation

Objects that can be sliced | Objects that can be used as cutting planes
3D solids | Surfaces
Surfaces | Circles
 | Ellipses
 | Circular or elliptical arcs
 | 2D splines
 | 3D polyline segments

List of Prompts

The following prompts are displayed.

Objects to slice

Specifies the 3D solid or surface object that you want to slice. If you select a mesh object, you can choose to convert it to a 3D solid or surface before completing the slice operation.

  • Start point of slicing plane
  • Planar object
  • Surface
  • Z axis
  • View
  • XY
  • YZ
  • ZX
  • 3points
Start point of slicing plane

Sets the first of two points that define the angle of the slicing plane. The slicing plane is perpendicular to the XY plane of the current UCS.

  • Second point on plane. Sets the second of two points on the slicing plane.
    • Point on desired side
    • Keep both sides
Planar object

Aligns the cutting plane with a plane that contains a selected circle, ellipse, circular or elliptical arc, 2D spline, or 2D polyline segment.

  • Select a circle, ellipse, arc, 2D-spline, or 2D-polyline. Specifies the object to use for alignment.
Surface

Aligns the cutting plane with a surface.

  • Select a surface. Specifies a surface to be used for alignment.
    NoteYou cannot select meshes created with the EDGESURF, REVSURF, RULESURF, and TABSURF commands.
    • Point on desired side
    • Keep both sides
Z axis

Defines the cutting plane by specifying a point on the plane and another point on the Z axis (normal) of the plane.

  • Specify a point on the section plane. Sets a point on the slicing plane.
  • Specify a point on the Z-axis (normal) of the plane. Specifies a point that defines the axis that is perpendicular to the slicing plane.
  • Point on desired side
  • Keep both sides
View

Aligns the cutting plane with the current viewport's viewing plane. Specifying a point defines the location of the cutting plane.

  • Specify a point on the current view plane. Sets a point on the object to start the slice.
  • Point on desired side
  • Keep both sides
XY

Aligns the cutting plane with the XY plane of the current user coordinate system (UCS). Specifying a point defines the location of the cutting plane.

  • Point on the XY-plane. Sets the location of the slice.
  • Point on desired side
  • Keep both sides
YZ

Aligns the cutting plane with the YZ plane of the current UCS. Specifying a point defines the location of the cutting plane.

  • Point on the YZ-plane. Sets the location of the slice.
ZX

Aligns the cutting plane with the ZX plane of the current UCS. Specifying a point defines the location of the cutting plane.

  • Point on the ZX-plane. Sets the location of the slice.

    If a single object is sliced into more than two objects, one solid or surface is created from the objects on one side of the plane and another solid or surface is created from the objects on the other side.

3points

Defines the cutting plane using three points:

  • First point on plane. Sets the first of three points.
  • Second point on plane. Sets the second of three points.
  • Third point on plane. Sets the third of three points.
Point on desired side

Uses a point to determine which side of the sliced solids your drawing retains. The point cannot lie on the cutting plane.

Keep both sides

Retains both sides of the sliced solids. Slicing a single solid into two pieces creates two solids from the pieces on either side of the plane. SLICE never creates more than two new composite solids for each selected solid.


SNAP (Quick Reference)

SLICE
SNAP
SOLDRAW
Commands > S commands >
SNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restricts cursor movement to specified intervals.

Toolbar: Status bar [image] Snap
Command entry: snap (or 'snap for transparent use)

Specify snap spacing or [ON/OFF/Aspect/Style/Type] <current>: Specify a distance, enter an option, or press Enter

Snap Spacing

Activates Snap mode with the value you specify.

On

Activates Snap mode using the current settings of the snap grid.

Off

Turns off Snap mode but retains the current settings.

Aspect

Specifies different spacing in the X and Y directions. This option is not available if the current snap style is Isometric.

Specify horizontal spacing <current>: Specify a distance, or press Enter

Specify vertical spacing <current>: Specify a distance, or press Enter

Style

Specifies the format of the snap grid, which is Standard or Isometric.

Enter snap grid type [Standard/Isometric] <current>: Enter s, enter i, or press Enter

Standard

Sets a rectangular snap grid that is parallel to the XY plane of the current UCS. X and Y spacing may differ.

Specify snap spacing or [Aspect] <current>: Specify a distance, enter a, or press Enter

Spacing

Specifies the overall spacing of the snap grid.

Aspect

Specifies the horizontal and vertical spacing of the snap grid separately.

Specify horizontal spacing <current>: Specify a distance or press Enter

Specify vertical spacing <current>: Specify a distance or press Enter

Isometric

Sets an isometric snap grid, in which the snap locations are initially at 30-degree and 150-degree angles. Isometric snap cannot have different Aspect values. The lined grid does not follow the isometric snap grid.

Specify vertical spacing <current>: Specify a distance or press Enter

ISOPLANE determines whether the crosshairs lie in the top isometric plane (30- and 150-degree angles), the left isoplane (90- and 150-degree angles), or the right isoplane (30- and 90-degree angles).

Type

Specifies the snap type, polar or rectangular. This setting is also controlled by the SNAPTYPE system variable.

Enter snap type [Polar/Grid] <current>: Enter p or g

Polar

Sets the snap to polar tracking angles that are set in the POLARANG system variable.

Grid

Sets the snap to Grid. When you specify points, the cursor snaps along vertical or horizontal grid points.


SOLDRAW (Quick Reference)

SNAP
SOLDRAW
SOLID
Commands > S commands >
SOLDRAW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Generates profiles and sections in layout viewports created with SOLVIEW.

Access Methods

Button

Menu: Draw [image] Modeling [image] Setup [image] DrawingNot available in menus in the current workspace
Command entry: soldraw

After using SOLVIEW, visible and hidden lines representing the silhouette and edges of solids in the viewport are created and then projected to a plane perpendicular to the viewing direction.

Select viewports to draw ...

Select objects: Select the viewports to be drawn

SOLDRAW can only be used in viewports that have been created with SOLVIEW.

Visible and hidden lines representing the silhouette and edges of solids in the viewport are created and then projected to a plane perpendicular to the viewing direction. Silhouettes and edges are generated for all solids and portions of solids behind the cutting plane. For sectional views, cross-hatching is created using the current values of the HPNAME,HPSCALE, andHPANG system variables.

Any existing profiles and sections in the selected viewport are deleted, and new ones are generated. All layers, except those required to display the profile or section, are frozen in each viewport.

WarningDo not place permanent drawing information on the view name-VIS, view name-HID, and view name-HAT layers. The information stored on these layers is deleted and updated when SOLDRAW is run.

To undo a viewport drawn by SOLDRAW, you must use the Back option of UNDO.

NoteSOLDRAW is defined by the acsolids.arx application and is intended to be used only interactively. For information about using this command from an application, see “Externally Defined Commands” in the AutoLISP Reference.


SOLID (Quick Reference)

SOLDRAW
SOLID
SOLIDEDIT
Commands > S commands >
SOLID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates solid-filled triangles and quadrilaterals.

Access Methods

Command entry: solid

Summary

The SOLID command creates 2D filled polygons. The first two points define one edge of the polygon. The third point is diagonally opposite the second point and the fourth point is diagonally opposite the first point.

Pressing Enter at the Fourth Point prompt creates a filled triangle. Specifying a fifth point creates a quadrilateral area.

The last two points form the first edge of the next filled area. The Third Point and Fourth Point prompts are repeated. Specifying successive third and fourth points creates further connected triangles and four-sided polygons in a single solid object. Pressing Enter ends SOLID.

2D solids are filled only when the FILLMODE system variable is on (1) and the viewing direction is orthogonal to the 2D solid.

List of Prompts

The following prompts are displayed.

First point

Sets the first point in the 2D solid.

Second point

Sets the first edge of the 2D solid.

Third point

Sets the corner that is opposite the second point.

Fourth point or <exit>

Sets the corner that is opposite the first point. Press Enter to complete the triangular solid polygon and end the command. Specify a point to create a quadrilateral solid polygon.

You can create a contiguous solid polygon by continuing to specify points.


SOLIDEDIT (Quick Reference)

SOLID
SOLIDEDIT
SOLPROF
Commands > S commands >
SOLIDEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits faces and edges of 3D solid objects.

Access Methods

Menu: Modify [image] Solid Editing
Command entry: solidedit

Summary

The SOLIDEDIT command provides many ways to modify the edge and face subobjects of 3D solid objects. You can extrude, move, rotate, offset, taper, copy, delete, and assign colors and materials to faces. You can also copy and assign colors to edges. You can imprint, separate, shell, clean, and check the validity of the enter 3D solid object (body).

You cannot use SOLIDEDIT with mesh objects. However, if you select a closed mesh object, you will be prompted to convert it to a 3D solid.

List of Prompts

The following prompts are displayed.

[Face/Edge/Body/Undo/eXit]

Face

Face

Edits selected 3D solid faces by extruding, moving, rotating, offsetting, tapering, deleting, copying, or changing their color.

[Extrude/Move/Rotate/Offset/Taper/Delete/Copy/coLor/mAterial/ Undo/eXit]

Face: Extrude

Extrude

Extends a 3D solid face in the X, Y, or Z direction. You can change the shape of the object by moving its faces.

  • Select faces. Specifies which faces to modify.
  • Undo
  • Remove
Remove

Removes previously selected faces from the selection set.

  • Remove faces. Removes the selected face from the solid object.
  • Undo
  • Add
  • All
Undo

Cancels the selection of the faces you added most recently to the selection set and redisplays the prompt.

Add

Adds faces you select to the selection set.

  • Undo
  • Remove
  • All
All

Selects all faces and adds them to the selection set.

  • Select faces. Selects specific faces (instead of all of them).
  • Undo
  • Remove
Height of extrusion

Sets the direction and distance of the extrusion. Entering a positive value extrudes the face in the direction of its normal. Entering a negative value extrudes the face in the direction opposite to its normal.

  • Angle of taper for extrusion. Specify an angle between -90 and +90 degrees.

    Tapering the selected face with a positive angle tapers the face in, and a negative angle tapers the face out. The default angle, 0, extrudes the face perpendicular to its plane. All selected faces in the selection set are tapered to the same value. If you specify a large taper angle or height, you can cause the face to taper to a point before it reaches the extrusion height.

Path

Sets a path for the extrusion path based on a specified line or curve. All the profiles of the selected face are extruded along the chosen path to create the extrusion.

  • Select an extrusion path.

    Lines, circles, arcs, ellipses, elliptical arcs, polylines, or splines can be paths. The path should not lie on the same plane as the face, nor should it have areas of high curvature.

    The extruded face starts from the plane of the profile and ends on a plane perpendicular to the path at the path's endpoint. One of the endpoints of the path should be on the plane of the profile; if not, the path is moved to the center of the profile.

    If the path is a spline, the path should be perpendicular to the plane of the profile and at one of the endpoints of the path. If not, the profile is rotated to be perpendicular to the spline path. If one of the endpoints of the spline is on the plane of the face, the face is rotated about the point; otherwise, the spline path is moved to the center of the profile and the profiles are rotated about its center.

    If the path contains segments that are not tangent, the object is extruded along each segment and then the joint along the plane is mitered, bisecting the angle formed by the segments. If the path is closed, the profile lies on the miter plane. This allows the start and end sections of the solid to match up. If the profile is not on the miter plane, the path is rotated until it is on the miter plane.

Face: Move

Move

Moves the selected face on a 3D solid object to a specified height or distance. You can select multiple faces at one time.

  • Select faces
  • Undo. Cancels selection of the faces that you selected most recently.
  • Remove
  • All

You can change the shape of the object by moving its faces. This option is recommended for minor adjustments.

Select faces

Specifies the face to be moved.

  • Base point of displacement. Sets the base point for the move. If you specify a single point, usually entered as a coordinate, and then press Enter, the coordinate is used as the new location.
  • Second point of displacement. Sets a displacement vector that indicates how far the selected face is moved and in what direction.

Face: Rotate

Rotate

Rotates one or more faces or a collection of features on a solid about a specified axis.

You can change the shape of the object by rotating its faces. This option is recommended for minor adjustments.

  • Select faces (rotate)
  • Undo. Cancels selection of the faces that you selected most recently.
  • Remove
  • All
Select faces (rotate)

Rotates the face according to the specified angle and axis.

In the drawing area, select one or more faces.

  • Axis point
  • Axis by object
  • View
  • Xaxis, Yaxis, Zaxis
  • 2Point
Axis point, 2Point

Sets two points to define the axis of rotation.

Pressing Enter at the main Rotate prompt displays the following prompts. Specifying a point at the main prompt skips the prompt for the first point:

  • First point on the rotation axis. Sets the first point on the axis of revolution.
  • Second point on the rotation axis. Sets the second point on the axis.
    • Rotation angle
    • Reference
Axis by object

Aligns the axis of rotation with an existing object. You can select the following objects:

  • Line: Aligns the axis with the selected line.
  • Circle: Aligns with the 3D axis of the circle (perpendicular to the plane of the circle and passing through the center of the circle).
  • Arc: Aligns with the 3D axis of the arc (perpendicular to the plane of the arc and passing through the center of the arc).
  • Ellipse: Aligns with the 3D axis of the ellipse (perpendicular to the plane of the ellipse and passing through the center of the ellipse).
  • 2D polyline: Aligns with the 3D axis formed by the polyline start points and endpoints.
  • 3D polyline: Aligns with the 3D axis formed by the polyline start points and endpoints.
  • Spline: Aligns with the 3D axis formed by the spline's start points and endpoints.
View

Aligns the axis of rotation with the viewing direction of the current viewport that passes through the selected point.

  • Origin of rotation
  • Rotation angle
  • Reference
Xaxis, Yaxis, Zaxis

Aligns the axis of rotation with the axis (X, Y, or Z) that passes through the selected point.

  • Origin of rotation
  • Rotation angle
  • Reference
Origin of rotation

Sets the point of rotation.

  • Rotation angle
  • Reference
Rotation angle

Rotates the object about the selected axis the specified amount from the current orientation.

Reference

Specifies the reference angle and the new angle.

  • Reference (starting) angle. Sets the start point for the angle.
  • Ending angle. Sets the endpoint for the angle. The difference between the starting angle and the ending angle is the computed rotation angle.

Face: Offset

Offset

Offsets faces equally by a specified distance or through a specified point. A positive value increases the size or volume of the solid. A negative value decreases the size or volume of the solid.

  • Select faces (offset)
  • Undo
  • Remove
  • All
Select faces (offset)

Specifies the faces you want to offset.

NoteThe size of holes inside a solid object that is offset decreases as the volume of the solid increases.

  • Specify the offset distance. Sets a positive value to increase the size of the solid or a negative value to decrease the size of the solid.

Face: Taper

Taper

Tapers faces on a 3D solid at a specified angle. The rotation of the taper angle is determined by the selection sequence of the base point and second point along the selected vector.

A positive angle tapers the face in, and a negative angle tapers the face out. The default angle, 0, extrudes the face perpendicular to its plane. All selected faces in the selection set are tapered to the same value.

  • Select faces (taper)
  • Undo
  • Remove
  • All
Select faces (taper)

Specifies the faces to be tapered and then sets the slope of the taper.

  • Base point. Sets the first point for determining the plane.
  • Another point along the axis of tapering. Sets the orientation of the axis that determines the direction of the taper.
  • Taper angle. Specify an angle between -90 and +90 degrees to set the slope of the taper from the axis.

Face: Delete

Delete

Deletes or removes faces, including fillets and chamfers.

Use this option to remove and later modify filleted and chamfered edges. The face is not deleted if the change results in a non-valid 3D solid.

  • Select faces (copy)
  • Undo. Cancels the selection of the faces that you selected most recently.
  • Remove
  • All
Select faces (delete)

Specifies the face to be removed. The face must be in a location that can be filled by surrounding faces after it is removed.

Face: Copy

Copy

Copies faces as a region or a body. If you specify two points, SOLIDEDIT uses the first point as a base point and places a single copy relative to the base point. If you specify a single point (usually entered as a coordinate) and then press Enter, SOLIDEDIT uses the coordinate as the new location.

Creates a new object with the original orientation and profile of the face. The result can be used as a reference to create a new 3D solid.

  • Select faces (copy)
  • Undo. Cancels the selection of the faces that you selected most recently.
  • Remove
  • All
Select faces (copy)

Specifies the face to be copied.

  • Base point or displacement. Sets the first point to determine the distance and direction for the placement of the copied face (displacement).
  • Second point of displacement. Sets the second displacement point.

Face: Color

Color

Changes the color of faces.

Colored faces can be used to highlight details within a complex 3D solid model.

  • Select faces (color)
  • Undo. Cancels the selection of the faces that you selected most recently.
  • Remove
  • All
Select faces (color)

Specifies the faces to be modified. The Select Color dialog box is displayed.

Face: Material

Material

Assigns a material to selected faces.

  • Select faces (material)
  • Undo. Cancels the selection of the faces that you selected most recently.
  • Remove
  • All
Select faces (material)

Specifies the faces to be modified. The Select Color dialog box is displayed.

  • Enter new material name. Enter the name of the material to be assigned to the selected face. (The name of a material can be found by opening the Materials window and selecting the material swatch to display the name in the Name field.)
  • ByLayer. Assigns the material based on the layer assignment.

Face: Undo

Reverses actions as far back as the beginning of the SOLIDEDIT session.

Face: Exit

Exits the face-editing options and displays the Enter a Solids Editing Option prompt.

Edge

Edge

Edits 3D solid objects by changing the color of or copying individual edges.

[Copy/coLor/Undo/eXit]

Edge: Copy

Copies selected edges on a 3D solid as 2D arcs, circles, ellipses, lines, or splines.

Retains the angle of the edge and allows you to make modifications and extensions, and create new geometry based on the extracted edge.

Provides a method for making modifications, extensions, and new 3D solids based on the extracted edge.

  • Select Edges (copy)
  • Undo
  • Remove
Select Edges (copy)

Specifies the edges to copy. Press Ctrl+click to select the edge. Then set the displacement:

  • Base point of displacement. Sets the first point for determining where the new object is placed.
  • Second point of displacement. Sets the relative direction and distance for the new object.
Undo

Cancels selection of the edges you added most recently to the selection set. The previous prompt is displayed. If all edges have been removed, the following prompt is displayed:

Remove

Removes previously selected edges from the selection set. The prompt is redisplayed.

  • Remove edges. Removes the edges you select from the current selection set.
  • Undo
  • Add
Add

Adds edges to the selection set.

  • Select Edges (copy)
  • Undo
  • Remove

Edge: Color

Changes the color of individual edges on a 3D solid object.

  • Select edges (color)
  • Undo
  • Remove
Select edges (color)

Colored edges can be used to highlight intersections, interferences, or critical clearances.

Press Ctrl+click to select the edge. After you select edges, the Select Color dialog box is displayed.

Edge: Undo

Reverses actions as far back as the beginning of the SOLIDEDIT session.

Edge: Exit

Exits the face-editing options and displays the Enter a Solids Editing Option prompt.

Body

Body

Edits the entire solid object by imprinting other geometry on the solid, separating the solid into individual solid objects, shelling, cleaning, or checking the selected solid.

[Imprint/seParate solids/Shell/cLean/Check/Undo/eXit]

Body: Imprint

Imprints an object on the selected solid. The object to be imprinted must intersect one or more faces on the selected solid in order for imprinting to be successful. Imprinting is limited to the following objects: arcs, circles, lines, 2D and 3D polylines, ellipses, splines, regions, bodies, and 3D solids.

  • Select a 3D solid. Specifies the 3D solid to be imprinted.
  • Select an object to imprint. Specifies an object that overlaps the first selection.
  • Delete the source object. Specifies whether the object to imprint is removed when the operation is complete. Enter y (yes) or n (no).

Body: Separate Solids

Separates 3D solid objects with disjointed volumes (sometimes called lumps) into independent 3D solid objects. Combining discrete solid objects using a union operation (UNION) can result in disjointed volumes.

A union or subtract operation can result in a single 3D solid that consists of more than one continuous volume. You can separate these volumes into independent 3D solids.

NoteSeparating solids does not separate Boolean objects that form a single volume.
Select a 3D solid

Specifies the 3D solid object to separate. Press Ctrl+click to select the edge.

Body: Shell

Shelling creates a hollow, thin wall with a specified thickness. You can specify a constant wall thickness for all the faces. You can also exclude faces from the shell by selecting them. A 3D solid can have only one shell. New faces are created by offsetting existing ones outside their original positions.

It is recommended that you create a copy of a 3D solid before converting it into a shell. That way if you need to make significant modification, use the original version and shell it again.

Select a 3D solid (shell)

Specifies a 3D solid.

  • Remove faces. Specifies the face subobjects to be removed when the object is shelled.
  • Undo. Reverses the last action.
  • Add. Press Ctrl+click an edge to indicate which faces to retain.
  • All. Temporarily selects all faces for removal. You can then use Add to add the faces you want to retain.
Enter the shell offset distance

Sets the size of the offset. Specify a positive value to create a shell to the inside perimeter of the solid. Specify a negative value to create a shell on the outside perimeter of the solid.

Body: Clean

Removes shared edges or vertices having the same surface or curve definition on either side of the edge or vertex. Removes all redundant edges, vertices, and unused geometry. Does not remove imprinted edges.

In unusual circumstances, this option removes shared edges or vertices having the same surface or curve definition on either side of the edge or vertex.

Select a 3D solid (clean)

Specifies a 3D solid object that you want to clean.

Body: Check

Validates the 3D solid object as a valid solid, independent of the SOLIDCHECK setting.

  • Select a 3D object (check). Specifies the 3D solid object to be validated. If the object is valid, the following prompt is displayed:

    This object is a valid ShapeManager solid.

This option is used as a debugging tool to compare stages in a highly complex 3D solid model.

Body: Undo

Undoes the editing action.

Body: Exit

Exits the face-editing options and displays the Enter a Solids Editing Option prompt.

Undo

Undo

Undoes the editing action.

Exit

Exit

Exits the SOLIDEDIT command.


SOLPROF (Quick Reference)

SOLIDEDIT
SOLPROF
SOLVIEW
Commands > S commands >
SOLPROF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates 2D profile images of 3D solids for display in a layout viewport.

Access Methods

Button

Menu: Draw [image] Modeling [image] Setup [image] ProfileNot available in menus in the current workspace
Command entry: solprof

The selected 3D solids are projected onto a 2D plane parallel with the current layout viewport. The resulting 2D objects are generated on separate layers for hidden and visible lines and are displayed only in that viewport.

Select objects: Use an object selection method

Display hidden profile lines on separate layer? [Yes/No] <Y>: Enter y or n, or press Enter

Yes

Generates only two blocks: one for the visible lines and one for the hidden lines of the entire selection set. When you generate hidden lines, solids can partially or completely hide other solids. The visible profile block is drawn in the BYLAYER linetype, and the hidden profile block is drawn in the HIDDEN linetype (if loaded). The visible and hidden profile blocks are placed on uniquely named layers using the following naming conventions:

PV-viewport handle for the visible profile layer

PH-viewport handle for the hidden profile layer

For example, if you create a profile in a viewport whose handle is 4B, the blocks containing the visible lines are inserted on layer PV-4B, and the block containing the hidden lines (if requested) is inserted on layer PH-4B. If these layers do not exist, the command creates them. If the layers do exist, the blocks are added to the information already on the layers.

NoteTo determine the handle of a viewport, select the viewport while in paper space and use the LIST command. Choose a layout tab to move from model space to paper space.

SOLPROF does not change the display of layers; if you want to view only the profile lines that you have created, turn off the layer containing the original solid (usually the current layer).

No

Treats all profile lines as visible lines and creates a block for the profile lines of each selected solid. All profile lines for each solid in the selection set are generated, even if a solid is partially or completely obscured by another solid. The visible profile blocks are drawn in the same linetype as the original solid and placed on a uniquely named layer using the naming convention described under the Yes option.

NoteSolids that overlap each other (share some common volume) produce dangling edges if you request hidden-line removal. This happens because the edges must be broken at the point where they enter another solid to separate them into visible and hidden portions. You can eliminate dangling edges by combining the overlapping solids (using UNION) before generating a profile.

The next prompt determines whether 2D or 3D objects are used to represent the visible and hidden lines of the profile.

Project profile lines onto a plane? [Yes/No] <Y>: Enter y or n, or press Enter

Yes

Creates the profile lines with 2D objects. The 3D profile is projected onto a plane normal to the viewing direction and passing through the origin of the UCS. SOLPROF cleans up the 2D profile by eliminating lines that are parallel to the viewing direction and by converting arcs and circles that are viewed on edge into lines.

No

Creates the profile lines with 3D objects.

The next prompt determines whether tangential edges are displayed. A tangential edge is the transition line between two tangent faces. It's the imaginary edge at which two faces meet and are tangent. For example, if you fillet the edge of a box, tangential edges are created where the cylindrical face of the fillet blends into the planar faces of the box. Tangential edges are not shown for most drafting applications.

Delete tangential edges? [Yes/No] <Y>: Enter y or n, or press Enter


SOLVIEW (Quick Reference)

SOLPROF
SOLVIEW
SPACETRANS
Commands > S commands >
SOLVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates orthographic views, layers, and layout viewports automatically for 3D solids.

Ribbon: Home tab [image] 3D Modeling panel [image] Solid View. Not available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] Setup [image] ViewAt the Command prompt, enter solview.
Command entry: solview

This command automates the manual process of creating views, layers, and layout viewports for 3D models. For ongoing work, it is recommended that you create drawing template (DWT) files customized for 3D.

NoteSOLVIEW must be run on a layout tab. If the Model tab is current, the last active layout tab is made current.

Enter an option [Ucs/Ortho/Auxiliary/Section]: Enter an option or press Enter to exit the command

SOLVIEW places the viewport objects on the VPORTS layer, which it creates if it does not already exist. The view-specific information that is saved with each viewport you create is used by SOLDRAW to generate the final drawing view.

SOLVIEW creates layers that SOLDRAW uses to place the visible lines and hidden lines for each view, view name-VIS, view name-HID, view name-HAT, and a layer where you can place dimensions that are visible in individual viewports, view name-DIM.

WarningThe information stored on these layers is deleted and updated when you run SOLDRAW. Do not place permanent drawing information on these layers.
NoteSOLVIEW is defined by the acsolids.arx application and is intended to be used only interactively.

UCS

Creates a profile view relative to a user coordinate system. If no viewports exist in your drawing, the UCS option is a good way to create an initial viewport from which other views can be created. All other SOLVIEW options require an existing viewport.

You have the option of using the current UCS or a previously saved one as the profile plane. The viewport projection is created parallel to the XY plane of the UCS with the X axis facing right and the Y axis upward.

Enter an option [Named/World/?/Current] <current>: Enter an option or press Enter

Named

Uses the XY plane of a named UCS to create a profile view.

Enter name of UCS to restore: Enter the name of an existing UCS

Enter view scale <1.0>: Enter a number or press Enter

Enter the name of the UCS you want to use and the scale of your view. Entering a scale is equivalent to zooming your viewport by a factor relative to paper space. The default value is 1:1.

Specify view center: Specify a point and press Enter when done

The center is based on the current model space extents. You can try several points until you are satisfied with the view's location.

At the next prompt, specify the opposite corners of the viewport.

Specify the first corner of viewport: Specify a point

Specify the other corner of viewport: Specify a point

Enter view name: Enter a name for the view

SOLVIEW returns to the initial prompt.

World

Uses the XY plane of the WCS to create a profile view.

Enter view scale <1.0>: Enter a number or press Enter

Enter the name of the UCS you want to use and the scale of your view. Entering a scale is equivalent to zooming your viewport by a factor relative to paper space. The default value is 1:1.

Specify view center: Specify a point and press Enter when done

The center is based on the current model space extents. You can try several points until you are satisfied with the view's location.

At the next prompt, specify the opposite corners of the viewport.

Specify the first corner of viewport:

Specify the other corner of viewport:

Enter view name: Enter a name for the view

SOLVIEW returns to the initial prompt.

?—List Named UCSs

Lists the names of existing user coordinate systems. The list is filtered using the wild-card combinations you enter (wild-card characters accepted by the UCS command are valid).

Enter UCS names to list <*>: Enter a name or press Enter to list all UCSs

After the list is displayed, press any key to return to the first prompt.

Current

Uses the XY plane of the current UCS to create a profile view.

Enter view scale <1.0>: Enter a number or press Enter

Enter the name of the UCS you want to use and the scale of your view. Entering a scale is equivalent to zooming your viewport by a factor relative to paper space. The default value is 1:1.

Specify view center: Specify a point and press Enter when done

The center is based on the current model space extents. You can try several points until you are satisfied with the view's location.

At the next prompt, specify the opposite corners of the viewport.

Specify the first corner of viewport:

Specify the other corner of viewport:

Enter view name: Enter a name for the view

SOLVIEW returns to the initial prompt.

Ortho

Creates a folded orthographic view from an existing view.

Once you select the side of the viewport you want to use for projecting the new view, a rubber-band line perpendicular to the side of the viewport helps you locate the center of the new view. You can try several points until you are satisfied with the view's location.

Specify side of viewport to project: Select the edge of a viewport

Specify view center: Specify a point and press Enter

At the next prompt, specify the opposite corners of the viewport.

Specify first corner of viewport:

Specify opposite corner of viewport:

Enter view name: Enter a name for the view

Auxiliary

Creates an auxiliary view from an existing view. An auxiliary view is one that is projected onto a plane perpendicular to one of the orthographic views and inclined in the adjacent view.

Two points define the inclined plane used for the auxiliary projection. Both points must be located in the same viewport.

Specify first point of inclined plane:

Specify second point of inclined plane:

The next point determines the side from which you view the plane.

Specify side to view from: Specify a point

A rubber-band line perpendicular to the inclined plane helps you select the center of the new viewport. You can try several points until you are satisfied with the view's location.

Specify view center: Specify a point and press Enter

At the next prompt, specify the opposite corners of the viewport.

Specify first corner of viewport:

Specify opposite corner of viewport:

Enter view name: Enter a name for the view

Section

Creates a drafting sectional view of solids, complete with cross-hatching. When you use SOLDRAW on a sectional view created with this option, it creates a temporary copy of the solids and uses SLICE to perform the operation at the cutting plane that you define. SOLDRAW then generates a profile of the visible half of the solids and discards the original copy. Finally SOLDRAW sections the solids. Solids not crossing the cutting plane are generated as full profiles. Because drafting standards recommend not drawing hidden lines in sectional views, SOLVIEW freezes the View Name-HID layer.

In the original viewport, specify two points to define the sectioning plane.

Specify first point of cutting plane:

Specify second point of cutting plane:

Define the viewing side by specifying a point on one side of the cutting plane.

Specify side to view from: Specify a point

Enter the scale of the new view. Entering a scale is equivalent to zooming your viewport by a factor relative to paper space. The default value is a 1:1 scale, which is equivalent to zoom 1.0xp.

Enter view scale <current>: Enter a positive number

At the next prompt, specify the center of the new viewport. If you accepted the default scale (by pressing Enter), a rubber-band line perpendicular to the sectioning plane helps you locate the center of the new view. Otherwise, you can place the view anywhere. You can try several points until you are satisfied with the view's location.

Specify view center: Specify a point and press Enter

At the next prompt, specify the opposite corners of the viewport.

Specify first corner of viewport:

Specify opposite corner of viewport:

Enter view name: Enter a name for the view


SPACETRANS (Quick Reference)

SOLVIEW
SPACETRANS
SPELL
Commands > S commands >
SPACETRANS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Calculates equivalent model space and paper space lengths in a layout.

Toolbar: Text
Command entry: spacetrans

In a layout, when in model space, the prompt is displayed as follows:

Specify paper space distance <1.000>: Enter a length in paper space to convert to the equivalent length in model space

In a layout, when in paper space, the prompt is displayed as follows:

Select a viewport: Pick a layout viewport object (this prompt is displayed when more than one viewport object is available in the layout)

Specify model space distance <1.000>: Enter a length in model space to convert to the equivalent length in paper space

SPACETRANS converts lengths, typically text heights, from either model space or paper space to its equivalent length in the other space. It is intended to be invoked transparently at a prompt for text height or other length value. When used at the Command prompt, SPACETRANS displays the computed length equivalent at the Command prompt.

NoteThis command is not available from the Model tab or in a perspective view.


SPELL (Quick Reference)

SPACETRANS
SPELL
Check Spelling Dialog Box
Commands > S commands >
SPELL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Checks spelling in a drawing.

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Check Spelling Not available on the ribbon in the current workspace
Menu: Tools [image] SpellingNot available in menus in the current workspace
Toolbar: Text
Command entry: spell (or 'spell for transparent use)

When you enter spell at the Command prompt, the Check Spelling dialog box is displayed. Select the Start button to begin the spelling check.

If Check Spelling is set to Entire Drawing, spelling is checked on model space, then on layouts 1 and 2 in paper space. Regardless of what current drawing area is showing, once Check Spelling starts, the drawing window changes to display the content that is currently being checked. If a flagged word is identified, the drawing area highlights and zooms to that word.

NoteInvisible text such as text on hidden layers, and hidden block attributes is not checked. Non-uniformly scaled blocks and objects not on the supported annotation scale are also not checked.


Check Spelling Dialog Box (Quick Reference)

SPELL
SPELL
Check Spelling Settings Dialog Box
Commands > S commands > SPELL >
Check Spelling Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Check Spelling Not available on the ribbon in the current workspace
Menu: Tools [image] SpellingNot available in menus in the current workspace
Toolbar: Text
Command entry: spell (or 'spell for transparent use)

Checks the spelling in single-line text, multiline text, multileader text, text within block attributes, text within xrefs, and text added to dimensions.

In block attributes, only the attribute values are checked. The spelling in text objects within block references and nested block references is checked, but spell checking in block definitions is performed only if the associated block reference has been selected.

Where to Check

Displays the areas you want checked for spelling. Three options are available: Entire Drawing, Current Space/layout, and Selected Objects.

Select Text Objects

Limits the spelling check to the selected single-line text, multiline text, dimension text, multileader text, text within block attributes, and text within xrefs.

Not in Dictionary

Displays the word identified as misspelled.

Suggestions

Displays a list of suggested replacement words from the current dictionary. The first suggestion in the list box is highlighted in both Suggestions areas.

You can select another replacement word from the list, or edit or enter a replacement word in the top Suggestions text area.

Main Dictionary

Lists the main dictionary options. The default dictionary will depend on the language setting.

Start

Starts checking text for spelling errors.

Ignore

Skips the current word.

Ignore All

Skips all remaining words that match the current word.

Add to Dictionary

Adds the current word to the current custom dictionary. The maximum word length is 63 characters.

Change

Replaces the current word with the word in the Suggestions box.

Change All

Replaces the current word in all selected text objects in the spell check area.

Dictionaries

Displays the Dictionaries dialog box.

Settings

Displays the Check Spelling Settings dialog box.

Undo

Reverses the previous check spelling action or series of actions, including Ignore, Ignore All, Change, Change All, and Add to Dictionary.


Check Spelling Settings Dialog Box (Quick Reference)

Check Spelling Dialog Box
SPELL
Dictionaries Dialog Box
Commands > S commands > SPELL >
Check Spelling Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Check Spelling Not available on the ribbon in the current workspace
Menu: Tools [image] SpellingNot available in menus in the current workspace
Toolbar: Text
Command entry: spell (or 'spell for transparent use)

Specifies specific text options that will be checked in your drawing.

Dimension Text

Searches dimension text. This is checked by default.

Block Attributes

Searches block attributes text for spelling errors. This is selected by default.

External References

Specifies to search external references for spelling errors.

Ignore Capitalized Words

Specifies to ignore capitalized words.

Ignore Words with Mix Cases

Specifies to ignore words that contain uppercase and lowercase letters.

Ignore Words in Uppercase

Specifies to ignore words that are in all uppercase.

Ignore Words with Numbers

Specifies to ignore words that include numbers.

Ignore Words Containing Punctuation

Specifies to ignore words that contain punctuation.


Dictionaries Dialog Box (Quick Reference)

Check Spelling Settings Dialog Box
SPELL
Manage Custom Dictionaries Dialog Box
Commands > S commands > SPELL >
Dictionaries Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Check Spelling Not available on the ribbon in the current workspace
Menu: Tools [image] SpellingNot available in menus in the current workspace
Toolbar: Text
Command entry: spell (or 'spell for transparent use)

Manages dictionaries. During a spelling check, the words in the drawing are matched to the words in the current main and current custom dictionaries. Any spelling exceptions that you identify with the Add option are stored in the custom dictionary you are currently using.

If you want to check spelling in another language, you can change to a different main dictionary. You can also create any number of custom dictionaries and switch between them as needed.

Main Dictionary

Displays a list of language-specific dictionaries from which you can choose a different main dictionary. This dictionary is used in conjunction with the custom dictionary.

Custom Dictionary

Displays the name of the current custom dictionary. The .cus extension is used for an AutoCAD custom dictionary.

Current Custom Dictionary

Displays the list from which you can select a custom dictionary file to use. The selected dictionary file is used until another file is selected. The list also includes a Manage custom dictionaries selection which brings the Manage Custom Dictionaries dialog box.

Content

Displays a list of the words that currently exist in the specified custom dictionary.

You can add words to or delete words from this list.

Add

Adds the word that you enter in the box to the current custom dictionary. The maximum length is 63 characters.

Delete

Deletes a word from current custom dictionary content.

Import

Imports words from another dictionary or word list into your current custom dictionary.


Manage Custom Dictionaries Dialog Box (Quick Reference)

Dictionaries Dialog Box
SPELL
SPHERE
Commands > S commands > SPELL >
Manage Custom Dictionaries Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Annotate tab [image] Text panel [image] Check Spelling Not available on the ribbon in the current workspace
Menu: Tools [image] SpellingNot available in menus in the current workspace
Toolbar: Text
Command entry: spell (or 'spell for transparent use)

Manages your custom dictionaries allowing you to add or remove a dictionary.

Custom Dictionaries List

Displays the custom dictionaries list. Only one dictionary can be selected at a time.

New

Allows you to create a custom dictionary. The new dictionary is highlighted as the current one.

NoteThe filename for a custom dictionary cannot use any non-current code page characters in its name. If you are sharing a custom dictionary between different locals or languages do not use non-ASCII characters.
Add

Allows you to add an existing custom dictionary from your file lists.

Remove

Allows you to delete a custom dictionary file from your list.


SPHERE (Quick Reference)

Manage Custom Dictionaries Dialog Box
SPHERE
SPLINE
Commands > S commands >
SPHERE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid sphere.

Access Methods

Button

Ribbon: Home tab [image] 3D Modeling panel [image] SphereNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] SphereNot available in menus in the current workspace
Toolbar: Modeling
Command entry: sphere

Specify center point or [3P/2P/TTR]: Specify a point or enter an option

You can create a sphere by specifying a center point and a point on the radius. You can control the smoothness of curved 3D solids, such as a sphere, in a shaded or hidden visual style with the FACETRES system variable.

Center Point

Specifies the center point of the sphere.

When you specify the center point, the sphere is positioned so that its central axis is parallel to the Z axis of the current user coordinate system (UCS). Latitudinal lines are parallel to the XY plane.

Specify radius or [Diameter]: Specify a distance or enter d

Radius

Defines the radius of the sphere.

Diameter

Defines the diameter of the sphere.

Specify diameter: Specify a distance

3P (Three Points)

Defines the circumference of the sphere by specifying three points anywhere in 3D space. The three specified points also define the plane of the circumference.

Specify first point: Specify a point (1)

Specify second point: Specify a point (2)

Specify third point: Specify a point (3)

2P (Two Points)

Defines the circumference of the sphere by specifying two points anywhere in 3D space. The plane of the circumference is defined by the Z value of the first point.

Specify first endpoint of diameter: Specify a point (1)

Specify second endpoint of diameter: Specify a point (2)

TTR (Tangent, Tangent, Radius)

Defines the sphere with a specified radius tangent to two objects. The specified tangency points are projected onto the current UCS.

Specify point on object for first tangent: Select a point on an object

Specify point on object for second tangent: Select a point on an object

Specify radius <default>: Specify a radius or press Enter to specify the default radius value

Initially, the default radius is not set to any value. During a drawing session, the default value for the radius is always the previously entered radius value for any solid primitive.


SPLINE (Quick Reference)

SPHERE
SPLINE
SPLINEDIT
Commands > S commands >
SPLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a smooth curve that passes through or near specified points.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] SplineNot available on the ribbon in the current workspace
Menu: Draw [image] SplineNot available in menus in the current workspace
Toolbar: Draw
Command entry: spline

Specify first point or [Object]: Specify a point or enter o

You can control the maximum distance between the B-spline curve and the fit points, shown in the illustration, by changing the value for the fit tolerance with SPLINEDIT. You can also display the control frames for B-splines with SPLFRAME.

First Point

Creates a spline using points you specify, using NURBS (nonuniform rational B-splines) mathematics.

Specify next point: Specify a point

Enter points until you have defined the spline curve. After you enter two points, the following prompt is displayed:

Specify next point or [Close/Fit Tolerance] <Start tangent>: Specify a point, enter an option, or press Enter

Next Point

Continuing to enter points adds additional spline curve segments until you press Enter. Enter undo to remove the last point specified. Once you press Enter, you are prompted to specify the start tangent for the spline curve.

Close

Closes the spline curve by defining the last point as co-incident with the first and making it tangent to the joint.

Specify tangent: Specify a point or press Enter

Specify a point to define the tangent vector or use the Tangent and Perpendicular object snap modes to make the spline tangent or perpendicular to existing objects.

Fit Tolerance

Changes the tolerance for fitting of the current spline curve. The spline curve is redefined so that it fits through the existing points according to the new tolerance. You can repeatedly change the fit tolerance, but doing so changes the fit tolerance for all the control points regardless of the control point that is selected.

Specify fit tolerance <current>: Enter a value or press Enter

If you set the tolerance to 0, the spline curve passes through the fit points. Entering a tolerance greater than 0 allows the spline curve to pass through the fit points within the specified tolerance.

SPLINE returns to the previous prompt.

Start Tangent

Defines the tangency for the first and last points of the spline curve.

Specify start tangent: Specify a point or press Enter

The Specify Start Tangent prompt specifies the tangency of the spline curve at the first point.

Specify end tangent:Specify a point or press Enter

The Specify End Tangent prompt specifies the tangency of the spline curve at the last point.

If you specify tangency at both endpoints of the spline, you can enter a point or use the Tangent and Perpendicular object snap modes to make the spline tangent or perpendicular to existing objects. Press Enter to calculate default tangents.

Object

Converts 2D or 3D quadratic or cubic spline-fit polylines to equivalent splines and (depending on the setting of the DELOBJ system variable) deletes the polylines.

Select objects to convert to splines...

Select objects: Select 2D or 3D spline-fit polylines and press Enter when you finish


SPLINEDIT (Quick Reference)

SPLINE
SPLINEDIT
SPOTLIGHT
Commands > S commands >
SPLINEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits a spline or spline-fit polyline.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] Edit SplineNot available on the ribbon in the current workspace
Menu: Modify [image] Objects [image] SplineNot available in menus in the current workspace
Toolbar: Modify II
Shortcut menu: Select a spline to edit, right-click in the drawing area, and choose Spline Edit.
Command entry: splinedit

Select spline:

Enter an option [Fit data/Close/Move vertex/Refine/rEverse/convert to Polyline/Undo]:

Provides options to modify data such as the number and weight of control points, the fit tolerance, and the start and end tangents.

When you select a spline object or spline-fit polyline, grips appear at the control points.

If the selected spline is closed, the Close option changes to Open. If the selected spline has no fit data, the Fit Data option is not available. Fit data consists of all fit points, the fit tolerance, and tangents associated with splines created with the SPLINE command.

A spline can lose its fit data if you

  • Use the Purge option while editing fit data
  • Refine the spline by elevating the order, adding a control point, or changing the weight of a control point
  • Change the fit tolerance
  • Move a control point
  • Trim, break, stretch, or lengthen the spline
NoteSPLINEDIT automatically converts splined polylines to spline objects. A splined polyline is converted even if you select it and immediately exit SPLINEDIT.

Fit Data

Edits fit data using the following options:

Enter a fit data option

[Add/Close/Delete/Move/Purge/Tangents/toLerance/eXit] <eXit>: Enter an option or press Enter

NoteIf the selected spline is closed, the Close option is replaced by the Open option.

Add

Adds fit points to a spline.

Specify control point <exit>: Specify a control point or press Enter

Specify new point <exit>: Specify a point or press Enter

Specify new point <exit>: Specify a point or press Enter

When you select a point, SPLINEDIT highlights it and the next point and interprets the new point to go between the highlighted points. Use the Undo option to remove the last point added. Selecting the last point on an open spline highlights only that point, and SPLINEDIT adds the new point after the last. If you select the first point on an open spline, you have the option of placing the new point before or after the first point.

Specify new point or [After/Before] <exit>: Specify a point, enter an option, or press Enter

Specify new point <exit>: Specify a point or press Enter

The point is added, and the spline is refitted through the new set of points.

Close/Open

If the selected spline is closed, the Close option is replaced by the Open option.

Close

Closes an open spline and makes it tangent continuous (smooth) at its endpoints. If the spline's start point and endpoint are the same, this option makes the spline tangent continuous at both points.

Open

Opens a closed spline. If the spline's start point and endpoint were the same before you used the Close option to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).

If the spline was open (its start point and endpoint were not the same) before you used the Close option to make it tangent continuous where the start point and endpoint meet, this option returns the spline to its original open state and removes tangent continuity.

Delete

Removes fit points from a spline and refits the spline through the remaining points.

Specify control point <exit>: Specify a control point or press Enter

Move

Moves fit points to a new location.

Specify new location or [Next/Previous/Select Point/eXit] <N>: Specify a point, enter an option, or press Enter

New Location

Moves the selected point to the new location you specify. The previous prompt is repeated.

Next

Moves selection to the next point.

Previous

Moves selection to the previous point.

Select Point

Selects a point from the set of fit points.

Specify fit point <exit>: Specify a fit point or press Enter

Exit

Returns to the Enter a Fit Data Option prompt.

Purge

Removes a spline's fit data from the drawing database. After purging the spline's fit data, the main SPLINEDIT prompt is displayed without the Fit Data option.

Tangents

Edits the start and end tangents of a spline.

Specify start tangent or [System default]: Specify a point, enter an option, or press Enter

Specify end tangent or [System default]: Specify a point, enter an option, or press Enter

If the spline is closed, the prompt becomes Specify Tangent or [System Default].

The System Default option calculates the default tangents at the ends.

You can specify a point or use the Tangent or Perpendicular object snap mode to make the spline tangential or perpendicular to existing objects.

Tolerance

Refits the spline to the existing points with new tolerance values.

Enter fit tolerance <current>: Enter a value or press Enter

Exit

Returns to the main SPLINEDIT prompt.

Close/Open

If the selected spline is closed, the Close option changes to Open.

Close

Closes an open spline and makes it tangent continuous (smooth) at its endpoints. If the spline's start point and endpoint are the same, this option makes the spline tangent continuous at both points.

Open

Opens a closed spline. If the spline's start point and endpoint were the same before you used the Close option to make it tangent continuous at both points, the Open option returns the spline to its original state. The start point and endpoint remain the same but lose their tangent continuity (smoothness).

If the spline was open (its start point and endpoint were not the same) before you used the Close option to make it tangent continuous where the start point and endpoint meet, this option returns the spline to its original open state and removes tangent continuity.

Move Vertex

Relocates a spline's control vertices and purges the fit points.

Specify new location or [Next/Previous/Select Point/eXit] <N>: Specify a point, enter an option, or press Enter

New Location

Moves the selected point to the new location you specify.

After you specify a new location for the selected point, SPLINEDIT recalculates and displays the spline with a new set of control points.

Next

Moves selection to the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Previous

Moves selection to the previous point. The point marker does not wrap around from the start to the end of the spline, even if the spline is closed.

Select Point

Selects a point from the set of control points.

Specify fit point <exit>: Specify a point or press Enter

Exit

Returns to the main SPLINEDIT prompt.

Refine

Fine-tunes a spline definition.

Enter a refine option [Add control point/Elevate order/Weight/eXit] <eXit>: Enter an option or press Enter

Add Control Point

Increases the number of control points that control a portion of a spline.

Specify a point on the spline <exit>: Specify a point or press Enter

SPLINEDIT adds a new control point close to the point you select, between the two control points affecting that portion of the spline.

Elevate Order

Increases the number of control points on the spline.

Enter new order <current>: Enter an integer or press Enter

Entering a value greater than the current value increases the number of control points uniformly across the spline for more localized control. The maximum value for order is 26.

Weight

Changes the weight at various spline control points. A larger weight value pulls the spline closer to the control point.

Enter new weight (current = current) or [Next/Previous/Select point/eXit] <N>: Enter a value, enter an option, or press Enter

New Weight

Recalculates the spline based on the new weight value at the selected control point. The larger the integer value, the more the spline is pulled toward the control point.

Next

Moves selection to the next point. The point marker does not wrap around from the end to the start of the spline, even if the spline is closed.

Previous

Moves selection to the previous point. The point marker does not wrap around from the start to the end of the spline, even if the spline is closed.

Select Point

Selects a point from the set of control points.

Specify fit point <exit>: Specify a point or press Enter

Exit

Returns to the main Refine prompt.

Exit

Returns to the main SPLINEDIT prompt.

Reverse

Reverses the spline's direction. This option is intended primarily for third-party applications.

Convert to Polyline

Converts the spline to a polyline.

Specify a precision <10>: Enter a new precision value or press Enter

The precision value determines how accurately the resulting polyline is to fit to the source spline. Valid value is an integer between 0 and 99.

NoteA high precision value may cause performance problems.

The PLINECONVERTMODE system variable determines whether the polylines are created with linear or arc segments.

The conversion in both PEDIT and SPLINEDIT will obey the DELOBJ system variable.

Undo

Cancels the last editing action.


SPOTLIGHT (Quick Reference)

SPLINEDIT
SPOTLIGHT
STANDARDS
Commands > S commands >
SPOTLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a spotlight that emits a directional cone of light.

Access Methods

Button

Ribbon: Visualize tab [image] Lights panel [image] SpotNot available on the ribbon in the current workspace
Menu: View [image] Render [image] Light [image] New SpotlightNot available in menus in the current workspace
Toolbar: Lights
Command entry: spotlight

A spotlight distribution casts a focused beam of light like a flashlight, a follow spot in a theater, or a headlight.

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

Specify target location <1,1,1>: Enter coordinate values or use the pointing device

If the LIGHTINGUNITS system variable is set to 0, the following prompt is displayed:

Enter an option to change [Name/Intensity/Status/Hotspot/Falloff/shadoW/Attenuation/Color/eXit] <eXit>:

If the LIGHTINGUNITS system variable is set to 1 or 2, the following prompt is displayed:

Enter an option to change [Name/Intensity factor/Photometry/Status/Hotspot/Falloff/shadoW/filterColor/eXit] <eXit>:

NoteWhen the LIGHTINGUNITS system variable is set to 1 or 2, the Attenuation option has no affect on the creation of the light. It is only maintained for scripting compatibility.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity/Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00 - max float) <1.0000>:

Hotspot

Specifies the angle that defines the brightest cone of light, which is known to lighting designers as the beam angle. This value can range from 0 to 160 degrees or the equivalent values based on AUNITS.

Enter hotspot angle (0.00-160.00) <45.0000>:

Falloff

Specifies the angle that defines the full cone of light, which is also known as the field angle. This value can range from 0 to 160 degrees. The default is 50 degrees or the equivalent values based onAUNITS. The falloff angle must be greater than or equal to the hotspot angle.

Enter falloff angle (0.00-160.00) <50>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf] <On>:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*> :

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command option.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFt mapped/soft sAmpled] <Sharp>:

Off

Turns off display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory to use to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness to use to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit]<eXit> :

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Disk/Rect] <Disk>:

Specify the sample size by entering a.

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No]<No>:

Attenuation

Enter an option to change [attenuation Type/Use limits/attenuation start Limit/attenuation End limit/eXit]<eXit>:

Attenuation Type

Controls how light diminishes over distance. The farther away an object is from a spotlight, the darker the object appears. Attenuation is also known as decay.

Enter attenuation type [None/Inverse linear/inverse Squared] <Inverse linear>:

  • None. Sets no attenuation. Objects far from the spotlight are as bright as objects close to the light.
  • Inverse Linear. Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the spotlight; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
  • Inverse Squared. Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the spotlight; at a distance of 4 units, light is one sixteenth as strong.
Use Limits

Specifies whether to use limits or not.

Limits [oN/oFf] <Off>:

Attenuation Start Limit

Specifies the point where light starts as an offset from the center of the light. The default is 0.

Specify start limit offset <1.0000>:

Attenuation End Limit

Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point. Setting an end limit increases performance where the effect of lighting is so minimal that the calculations are wasted processing time.

Specify end limit offset <10.0000>:

Color/Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]<255,255,255>:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L) <0,0,100>:

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


STANDARDS (Quick Reference)

SPOTLIGHT
STANDARDS
Configure Standards Dialog Box
Commands > S commands >
STANDARDS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages the association of standards files with drawings.

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] ConfigureNot available on the ribbon in the current workspace
Menu: Tools [image] CAD Standards [image] ConfigureNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: standards

Associates the current drawing with one or more standards (DWS) files and lists the plug-ins used to check standards.

A standards plug-in is installed for each of the named objects for which standards can be defined: layers, dimension styles, linetypes, and text styles.

The Configure Standards dialog box is displayed.


Configure Standards Dialog Box (Quick Reference)

STANDARDS
STANDARDS
CAD Standards Settings Dialog Box
Commands > S commands > STANDARDS >
Configure Standards Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] ConfigureNot available on the ribbon in the current workspace
Menu: Tools [image] CAD Standards [image] ConfigureNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: standards

Associates the current drawing with one or more standards (DWS) files and lists plug-ins used to check standards.

Check Standards

Opens the Check Standards dialog box.

Settings

Displays the CAD Standards Settings dialog box, which specifies additional settings for the Configure Standards and Check Standards dialog boxes.

The Configure Standards dialog box contains the following tabs:

  • Standards
  • Plug-ins

Standards Tab

Displays information about the standards files that are associated with the current drawing.

Standards Files Associated with the Current Drawing

Lists all standards (DWS) files that are associated with the current drawing. To add a standards file, click Add Standards File. To remove a standards file, click Remove Standards File. If conflicts arise between multiple standards in this list (for example, if two standards specify layers of the same name but with different properties), the standards file that is shown first in the list takes precedence. To change the position of a standards file in the list, select it and click Move Up or Move Down.

You can use the shortcut menu to add, remove, or reorder files.

Add Standards File

Associates a standards (DWS) file with the current drawing.

Remove Standards File

Removes a standards file from the list. (Removing a standards file does not delete it but simply dissociates it from the current drawing.)

Move Up

Moves a standards file up one position in the list.

Move Down

Moves a standards file down one position in the list.

Description

Provides summary information about the standards file currently selected in the list. You can add comments and a title to the description by opening the DWS file and using the DWGPROPS command. In the Drawing Properties dialog box, click the Summary tab.

Plug-ins Tab

Lists and describes the standards plug-ins that are installed on the current system. A standards plug-in is installed for each of the named objects for which standards can be defined (layers, dimension styles, linetypes, and text styles). In the future, it is expected that third-party applications will be able to install additional plug-ins.

Plug-ins Used When Checking Standards

Lists the standards plug-ins on the current system. You can specify which plug-ins to use when auditing a drawing by selecting plug-ins from this list.

Description

Provides summary information about the standards plug-in currently selected in the list.


CAD Standards Settings Dialog Box (Quick Reference)

Configure Standards Dialog Box
STANDARDS
STATUS
Commands > S commands > STANDARDS >
CAD Standards Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Tools tab [image] Standards panel [image] ConfigureNot available on the ribbon in the current workspace
Menu: Tools [image] CAD Standards [image] ConfigureNot available in menus in the current workspace
Toolbar: CAD Standards
Command entry: standards

Specifies additional settings for the Configure Standards dialog box and the Check Standards dialog box.

Notification Settings

Sets an option for notification about standards violations.

Disable Standards Notifications

Turns off notifications for standards violations and for missing standards files.

Display Alert upon Standards Violation

Turns on notification for standards violations in the current drawing. An alert is displayed when you commit a standards violation. The alert informs you of how many nonstandard objects you created or edited while making changes to the drawing. Once the alert is displayed, you can choose to fix or not fix the standards violation. For drawings that use scripts and LISP routines, the alert is not displayed until the script or routine has been completed. (STANDARDSVIOLATION system variable)

Display Standards Status Bar Icon

Displays an icon in the status bar when you open a file associated with a standards file and when you create or modify non-standard objects. (STANDARDSVIOLATION system variable)

Check Standards Settings

Sets options for fixing violations and ignoring flagged problems.

Automatically Fix Non-standard Properties

Sw itches between automatically fixing or not fixing nonstandard objects if a recommended fix is available. Recommended fixes are available only when a nonstandard object has a name that matches a standard object, but different properties. In this case, the properties of the standard object are applied to the nonstandard object. The Checking Complete alert summarizes the number of automatically fixed violations that occur after an audit.

This option is set for each system and applies to all drawings checked on a system.

Show Ignored Problems

Switches between displaying or not displaying problems that have been flagged as ignored. If this option is checked, standards violations that have been flagged as ignored are displayed when an audit is performed on the current drawing.

Preferred Standards File to Use for Replacements

Provides a list of standards files that control the default selection in the Replace With list in the Check Standards dialog box. Regardless of this setting, if a recommended replacement is found (this is the replacement preceded by a check mark), it is always the default selection. If no recommended replacement is found when a standards file (DWS) is selected in the CAD Standards Settings dialog box, the default selection in the Replace With list is the first replacement item from the selected standards file. If this setting is set to None, and no recommended replacement is found, no items will be selected in the Replace With list.


STATUS (Quick Reference)

CAD Standards Settings Dialog Box
STATUS
STLOUT
Commands > S commands >
STATUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays drawing statistics, modes, and extents.

Button

Menu: Tools [image] Inquiry [image] StatusAt the Command prompt, enter status.
Command entry: status (or 'status for transparent use)

All coordinates and distances are displayed by STATUS in the format specified by UNITS.

STATUS reports the number of objects in the current drawing. This includes graphical objects such as arcs and polylines, and nongraphical objects such as layers and linetypes, and block definitions.

In addition to overall drawing statistics and settings, the amount of installed memory free on your system, the amount of disk space available, and the amount of free space in the swap file are also listed.

When used at the DIM prompt, STATUS reports the values and descriptions of all dimensioning system variables.

In addition, STATUS displays the following information.

Model or Paper Space Limits Are

Displays the grid limits defined by LIMITS. The first line shows the XY coordinate of the limit's lower-left corner, stored in theLIMMIN system variable. The second line shows the XY coordinate of the limit's upper-right corner, stored in theLIMMAX system variable. The notation Off to the right of the Y coordinate value indicates that limits checking is set to 0.

Model or Paper Space Uses

Displays the drawing extents, which includes all objects in the database and can exceed the grid limits. The first line shows the XY coordinate of the lower-left corner of the extents. The second line shows the XY coordinate of the upper-right corner. The notation Over to the right of the Y coordinate value indicates that the drawing extends outside the grid limits.

Display Shows

Lists the portion of the drawing extents visible in the current viewport. The first line shows the XY coordinate of the display's lower-left corner. The second line shows the XY coordinate of the upper-right corner.

Insertion Base Is

Displays the insertion point of the drawing, stored in the INSBASE system variable and expressed as an X,Y,Z coordinate.

Snap Resolution Is

Displays the snap spacing in the X and Y directions, stored in theSNAPUNIT system variable.

Grid Spacing Is

Displays the grid spacing in the X and Y directions, stored in the GRIDUNIT system variable.

Current Space

Shows whether model space or paper space is active.

Current Layout

Displays “Model” or the name of the current layout.

Current Layer

Lists the current layer of the drawing, stored by the CLAYER system variable.

Current Color

Lists the current color, stored by the CECOLOR system variable.

Current Linetype

Lists the current linetype, stored by the CELTYPE system variable.

Current Material

Lists the current material, stored by the CMATERIAL system variable.

Current Lineweight

Lists the current lineweight, stored by the CELWEIGHT system variable.

Current Plot Style

Lists the current plot style, stored by the CPLOTSTYLE system variable.

Current Elevation

Lists the current elevation of the drawing, stored in the ELEVATION system variable.

Thickness

Lists the current thickness, stored in the THICKNESS system variable.

Fill, Grid, Ortho, Qtext, Snap, Tablet

Shows whether these modes are on or off.

Object Snap Modes

Lists the running object snap modes specified by OSNAP.

Free Dwg Disk Space

Lists the amount of disk space available on the drive specified for this program's temporary files.

Free Temp Disk Space

Lists the amount of disk space available on the drive specified for temporary files.

Free Physical Memory

Lists the amount of installed memory free on your system.

Free Swap File Space

Lists the amount of free space in your swap file.


STLOUT (Quick Reference)

STATUS
STLOUT
Create STL File Dialog Box
Commands > S commands >
STLOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stores solids in an ASCII or binary file.

Access Methods

Command entry: stlout

Summary

Select solids or watertight meshes

You can select blocks or external references (xrefs) that contain solids or watertight meshes. Only solids and watertight meshes of the selected blocks of xrefs are included in the STL file. All other geometry is discarded.

Create a binary STL file? [Yes/No] <Yes>: To create a STL file, enter y or press Enter. To create an ASCII file, enter n

The Create STL File Dialog Box displays.

The file is created with the .stl file name extension. The STL file format is compatible with stereolithography apparatus (SLA). The solid data is transferred to the SLA as a faceted representation of the model. The facets consist of a set of triangles (with outward pointing normals) that approximate the faces of the model. From the faceted data, the SLA workstation produces a set of contours that defines a series of layers representing the part to be built.

The FACETRES system variable determines how the solid is triangulated. Setting FACETRES to a higher value creates a finer mesh that more accurately represents the model. This also results in a much larger file.


STRETCH (Quick Reference)

Create STL File Dialog Box
STRETCH
STYLE
Commands > S commands >
STRETCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Stretches objects crossed by a selection window or polygon.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] StretchNot available on the ribbon in the current workspace
Menu: Modify [image] StretchNot available in menus in the current workspace
Toolbar: Modify
Command entry: stretch

Objects that are partially enclosed by a crossing window are stretched. Objects that are completely enclosed within the crossing window, or that are selected individually, are moved rather than stretched. Several objects such as circles, ellipses, and blocks, cannot be stretched.

Select objects to stretch by crossing-window or crossing-polygon...

Select objects: Use the cpolygon option or the crossing object selection method, and press Enter. Individually selected objects and objects that are completely enclosed by the crossing selection are moved rather than stretched.

STRETCH moves only the vertices and endpoints that lie inside the crossing selection, leaving those outside unchanged. STRETCH does not modify 3D solids, polyline width, tangent, or curve-fitting information.

Base Point

Specify base point or [Displacement] <last displacement>: Specify a base point or enter displacement coordinates

Specify second point or <use first point as displacement>: Specify a second point, or press Enter to use the previous coordinates as a displacement

Displacement

Specify displacement <last value>: Enter displacement values for X,Y (and optionally Z)

If you enter a second point, the objects are stretched the vector distance from the base point to the second point. If you press Enter at the Specify Second Point of Displacement prompt, the first point is treated as an X,Y,Z displacement.


STYLE (Quick Reference)

STRETCH
STYLE
Text Style Dialog Box
Commands > S commands >
STYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, modifies, or specifies text styles.

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Text StyleNot available on the ribbon in the current workspace
Menu: Format [image] Text StyleNot available in menus in the current workspace
Toolbar: Text
Command entry: style (or 'style for transparent use)

The Text Style dialog box is displayed.

If you enter -style at the Command prompt, options are displayed.

You can specify the current text style to determine the appearance of all new text. A text style includes the font, size, obliquing angle, orientation, and other text characteristics.


Text Style Dialog Box (Quick Reference)

STYLE
STYLE
-STYLE
Commands > S commands > STYLE >
Text Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Text StyleNot available on the ribbon in the current workspace
Menu: Format [image] Text StyleNot available in menus in the current workspace
Toolbar: Text
Command entry: style (or 'style for transparent use)

Creates, modifies, or sets named text styles.

Current Text Style

Lists the current text style.

Styles

Displays the list of styles in the drawing. The list contains defined style names and displays the current style that is selected by default. To change the current style, select another style from the list or choose New to create a new style. A [image] icon before the style name indicates that the style is annotative.

Style names can be up to 255 characters long. They can contain letters, numbers, and the special characters dollar sign ($), underscore (_), and hyphen (-).

Style List Filter

The drop-down list specifies whether all styles or only the styles in use are displayed in the styles list.

Preview

Displays sample text that changes dynamically as you change fonts and modify the effects.

Font

Changes the style's font.

NoteIf you change the orientation or font file of an existing text style, all text objects with that style use the new values when the drawing is regenerated.
Font Name

Lists the font family name for all registered TrueType fonts and all compiled shape (SHX) fonts in the Fonts folder. When you select a name from the list, the program reads the file for the specified font. The file's character definitions are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font. See Assign Text Fonts in the User's Guide.

Font Style

Specifies font character formatting, such as italic, bold, or regular. When Use Big Font is selected, this option changes to Big Font Name and is used to select a Big Font file name.

Use Big Font

Specifies an Asian-language Big Font file. Use Big Font is available only if you specify an SHX file under Font Name. Only SHX files are valid file types for creating Big Fonts.

For more information on using Asian-language Big Fonts, see Use Text Fonts for International Work in the User’s Guide.

Size

Changes the size of the text.

Annotative

Specifies that the text is annotative. Click the information icon to learn more about the annotative objects.

Match Text Orientation to Layout

Specifies that the orientation of the text in paper space viewports matches the orientation of the layout. This option is unavailable if the Annotative option is cleared.

Height or Paper Text Height

Sets the text height based on the value you enter. Entering a height greater than 0.0 sets the text height for this style automatically. If you enter 0.0, the text height defaults to the last text height used, or the value stored in the drawing template file.

TrueType fonts might be displayed at a smaller height than SHX fonts with the same height setting.

If the annotative option is selected, the value entered sets the text height in paper space.

See Set Text Height for more information.

Effects

Modifies characteristics of the font, such as its height, width factor, and obliquing angle and whether it is displayed upside down, backwards, or vertically aligned.

Upside Down

Displays the characters upside down.

Backwards

Displays the characters backwards.

Vertical

Displays the characters aligned vertically. Vertical is available only if the selected font supports dual orientation. Vertical orientation is not available for TrueType fonts.

Width Factor

Sets the character spacing. Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Oblique Angle

Sets the obliquing angle of the text. Entering a value between -85 and 85 italicizes the text.

NoteTrueType fonts using the effects described in this section might appear bold on the screen. Onscreen appearance has no effect on plotted output. Fonts are plotted as specified by applied character formatting.

Set Current

Sets the style selected under Styles to current.

New

Displays the New Text Style dialog box and automatically supplies the name “ stylen” (where n is the number of the supplied style) for the current settings. You can accept the default or enter a name and choose OK to apply the current style settings to the new style name.

Delete

Deletes unused text styles.

Apply

Applies style changes made in the dialog box to the current style and to the text of the current style in the drawing.


-STYLE (Quick Reference)

Text Style Dialog Box
STYLE
STYLESMANAGER
Commands > S commands > STYLE >
-STYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -style at the Command prompt, the following prompts are displayed.

Enter name of text style or [?] <current>: Enter a style name, enter ?, or press Enter

Text Style Name

Specifies the text style name. Names can have up to 255 characters and can include letters, numbers, spaces, and any special character not used by Microsoft® Windows® or this program for other purposes. To define a style that uses Big Fonts, you can use long file names that do not contain commas. Commas are used to separate SHX files and Big Font files for defining a Big Font file. Pressing Enter displays the following prompt (full font names are displayed only if the current font is a TrueType font):

Existing style = current:

Specify full font name or font file name (TTF or SHX) <current>:

Enter a TrueType font family name or an SHX font file name. If you do not enter a file name extension, this program searches for an SHX file. If the file is not located, Windows substitutes the first located registered TrueType font.

All long file names except those containing commas are accepted at the prompt. The comma is reserved for the Big Font naming convention: an SHX file followed by a comma (,), followed by the Big Font file name. A space is interpreted as part of the font name, not as a carriage return.

Entering a tilde (~) displays the Select Font File dialog box.

In the Select Font File dialog box, valid types include SHX and TTF. The character definitions of the selected font file are loaded automatically unless the file is already in use by another text style. You can define several styles that use the same font file.

Specify height of text or [Annotative] <current>: Specify a distance, enter a, or press Enter

If you enter annotative, you are prompted to create an annotative text style.

Create annotative text style [Yes/No] <current>: Enter y or n or press Enter

If you enter yes the current text style becomes annotative.

Match text orientation to layout? [Yes/No] <current>: Enter y or n or press Enter

If you enter yes the current text style orientation in paper space viewports matches the layout.

Specify height of text or [Annotative] <current>: Specify a distance or press Enter

If you enter a height of 0.0, you are prompted for the text height each time you enter text using this style. Entering a height greater than 0.0 sets the Text Height (Non annotative), entering a height greater than 0.0 sets the Paper Text Height (Annotative), for this style.

Specify width factor <current>: Specify a distance or press Enter

Entering a value less than 1.0 condenses the text. Entering a value greater than 1.0 expands it.

Specify obliquing angle <current>: Specify an angle or press Enter

Entering a value between -85 and 85 obliques the text.

Display text backwards? [Yes/No] <current>: Enter y or n, or press Enter

Display text upside-down? [Yes/No] <current>: Enter y or n, or press Enter

Vertical? <current>: Enter y or n, or press Enter

Vertical is available only if the selected font supports dual orientation.

“Current” is now the current text style.

?—List Text Styles

Lists the text styles available in the drawing.

Enter text style(s) to list <*>: Enter the name of a style or press Enter

At the Enter Text Style(s) to List prompt, entering the name of a style displays the name, font file, height, width factor, obliquing angle, and generation of the style and exits the command. Entering an asterisk (*) or pressing Enter displays the height, width factor, obliquing angle, and generation (whether text is drawn backwards, upside-down, vertically, or normally) of each style, and then exits the command.


STYLESMANAGER (Quick Reference)

-STYLE
STYLESMANAGER
Add-a-Plot-Style-Table Wizard
Commands > S commands >
STYLESMANAGER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Plot Style Manager, where you can revise plot style tables.

Ribbon: Output tab [image] Plot panel [image] Manage Plot Styles. Not available on the ribbon in the current workspace
Menu: Application menu [image] Print [image] Manage Plot Styles
Command entry: stylesmanager

In the folder, you can start the Add-a-Plot-Style-Table wizard, or double-click an STB or CTB file to open the Plot Style Table Editor.

  • Double-click the Add-a-Plot-Style-Table wizard to add plot style tables.
  • Double-click a plot style table (STB or CTB file) to start the Plot Style Table Editor.


Add-a-Plot-Style-Table Wizard (Quick Reference)

STYLESMANAGER
STYLESMANAGER
Plot Style Table Editor
Commands > S commands > STYLESMANAGER >
Add-a-Plot-Style-Table Wizard
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plot Style ManagerAt the Command prompt, enter stylesmanager.
Command entry: stylesmanager

Adds new plot style tables. Plot style tables contain and define plot styles, which can be assigned to objects. When complete, the wizard produces an STB or CTB file depending on the type of table you are creating. You can edit these files in the Plot Style Table Editor. To use your new plot style table, the selected options on the Plot and Publish tab of the Options dialog box must be appropriate for the type of plot style table (named or color-dependent) you created.

You can create a plot style table from scratch, use an existing plot style table as a starting point, use settings from your AutoCAD Release 14 CFG file, or use settings from a PCP or PC2 file.

You can create a plot style table from scratch, use an existing plot style table as a starting point, or use settings from a PCP, PC2, or CFG file.

You can create either a named plot style table or a color-dependent plot style table. With a named plot style table, you can add and define plot styles as you like; the file name has the extension .stb. A color-dependent plot style table creates 255 plot styles based on color; the file name has the extension .ctb. You can specify whether you want to use a plot style table for new drawings or for pre-AutoCAD 2000 drawings when they are saved in a later format.


Plot Style Table Editor (Quick Reference)

Add-a-Plot-Style-Table Wizard
STYLESMANAGER
General Tab (Plot Style Table Editor)
Commands > S commands > STYLESMANAGER >
Plot Style Table Editor
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plot Style ManagerAt the Command prompt, enter stylesmanager.
Command entry: stylesmanager

Modifies the plot styles in a plot style table. If the plot style table is attached to a layout or the Model tab, and you change a plot style, any objects that use that plot style are affected. If the plot style table is color-dependent, the file extension is CTB. If the plot style table is named, the file extension is STB. For information about plot style tables, see Use Plot Styles to Control Plotted Objects in the User's Guide.

Open the Plot Style Table Editor with any of the following methods:

  • Double-click a CTB or STB file in the Plot Style Manager.
  • Right-click a CTB or STB file in the Plot Style Manager, and then choose Open from the shortcut menu.
  • Choose Plot Style Table Editor from the Finish screen in the Add Plot Style Table wizard.
  • In the Page Setup dialog box under Plot Style Table (Pen Assignments), select a plot style and click the Edit button.
  • In the Current Plot Style and Select Plot Style dialog boxes, choose Editor.

The Plot Style Table Editor includes the following tabs:

  • General
  • Table View and Form View


General Tab (Plot Style Table Editor) (Quick Reference)

Plot Style Table Editor
Plot Style Table Editor
Table View and Form View Tabs (Plot Style Table Editor)
Commands > S commands > STYLESMANAGER > Plot Style Table Editor >
General Tab (Plot Style Table Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists the plot style table file name, description, version number, location (path name), and table type. You can modify the description, and you can apply scaling to non-ISO linetypes and fill patterns.

Plot Style Table File Name

Displays the name of the plot style table file you are editing.

Description

Provides a description area for a plot style table.

File Information

Displays information about the plot style table you are editing: number of plot styles, path, and version number of the Plot Style Table Editor.

Apply Global Scale Factor to Non-ISO Linetypes

Scales all the non-ISO linetypes and fill patterns in the plot styles of objects controlled by this plot style table.

Scale Factor

Specifies the amount to scale non-ISO linetypes and fill patterns.

Delete R14 Color Mapping Table

Deletes color mapping tables that are used when you open pre-AutoCAD 2000 drawings. Named plot style tables that you create using acadr14.cfg, PCP, or PC2 files contain plot styles that are created from your AutoCAD Release 14 pen mappings. Color-dependent plot style tables also have color mapping tables. Color mapping tables are used to map plot styles to colors and thus to objects of each color when opening pre-AutoCAD 2000 drawings. While the color mapping table exists, you cannot add, delete, or rename plot styles in that plot style table.

If you delete a color mapping table, plot styles cannot be automatically assigned to objects when pre-AutoCAD 2000 drawings are opened for the first time.

If you delete the mapping table, the plot style table becomes an ordinary plot style table and is no longer useful for applying plot styles to old drawings. It continues to be useful for new drawings.


Table View and Form View Tabs (Plot Style Table Editor) (Quick Reference)

General Tab (Plot Style Table Editor)
Plot Style Table Editor
Edit Lineweights Dialog Box
Commands > S commands > STYLESMANAGER > Plot Style Table Editor >
Table View and Form View Tabs (Plot Style Table Editor)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Lists all of the plot styles in the plot style table and their settings. Plot styles are displayed in columns from left to right. You can use either the Table View tab or the Form View tab to adjust plot style settings. In general, the Table View tab is convenient if you have a small number of plot styles. If you have a large number of plot styles, the Form view is more convenient because the plot style names are listed at the left and the properties of the selected style are displayed to the right. You don't have to scroll horizontally to view the style and its properties. The first plot style in a named plot style table is NORMAL and represents an object's default properties (no plot style applied). You cannot modify or delete the NORMAL style.

Name

Displays the names of plot styles in named plot style tables. Plot styles in named plot style tables can be changed. Plot style names in color-dependent plot style tables are tied to object color and cannot be changed. The program accepts up to 255 characters for style names. You cannot have duplicate names within the same plot style table.

Description

Provides a description for each plot style.

Properties

Specifies the settings for the new plot style you are adding to the current plot style table.

Color

Specifies the plotted color for an object. The default setting for plot style color is Use Object Color. If you assign a plot style color, the color overrides the object's color at plot time.

You can choose Select Color to display the Select Color dialog box and select one of the 255 AutoCAD Color Index (ACI) colors, a true color, or a color from a color book. The color you specify is displayed in the plot style color list as Custom Color. If the plot device does not support the color you specify, it plots the nearest available color or, in the case of monochrome devices, black.

Enable Dithering

Enables dithering. A plotter uses dithering to approximate colors with dot patterns, giving the impression of plotting more colors than available in the AutoCAD Color Index (ACI). If the plotter does not support dithering, the dithering setting is ignored.

Dithering is usually turned off in order to avoid false line typing that results from dithering of thin vectors. Turning off dithering also makes dim colors more visible. When you turn off dithering, the program maps colors to the nearest color, resulting in a smaller range of colors when plotting. Dithering is available whether you use the object's color or assign a plot style color.

Convert to Grayscale

Converts the object's colors to grayscale if the plotter supports grayscale. If you clear Convert to Grayscale, the RGB values are used for object colors. Dithering is available whether you use the object's color or assign a plot style color.

Use Assigned Pen Number (Pen Plotters Only)

Specifies a pen to use when plotting objects that use this plot style. Available pens range from 1 to 32. If plot style color is set to Use Object Color, or you are editing a plot style in a color-dependent plot style table, you cannot change the assigned pen number; the value is set to Automatic.

If you specify 0, the field updates to read Automatic. The program determines the pen of the closest color to the object you are plotting using the information you provided under Physical Pen Characteristics in the Plotter Configuration Editor.

Virtual Pen Number

Specifies a virtual pen number between 1 and 255. Many non-pen plotters can simulate pen plotters using virtual pens. For many devices, you can program the pen's width, fill pattern, end style, join style, and color/screening from the front panel on the plotter.

Enter 0 or Automatic to specify that the program should make the virtual pen assignment from the AutoCAD Color Index.

The virtual pen setting in a plot style is used only by non-pen plotters and only if they are configured for virtual pens. If this is the case, all the other style settings are ignored and only the virtual pen is used. If a non-pen plotter is not configured for virtual pens, then the virtual and physical pen information in the plot style is ignored and all the other settings are used.

You can configure your non-pen plotter for virtual pens under Vector Graphics on the Device and Document Settings tab in the PC3 Editor. Under Color Depth, select 255 Virtual Pens.

Screening

Specifies a color intensity setting that determines the amount of ink placed on the paper while plotting. The valid range is 0 through 100. Selecting 0 reduces the color to white. Selecting 100 displays the color at its full intensity. In order for screening to work, the Enable Dithering option must be selected.

Linetype

Displays a list with a sample and a description of each linetype. The default setting for plot style linetype is Use Object Linetype. If you assign a plot style linetype, the linetype overrides the object's linetype at plot time.

Adaptive Adjustment

Adjusts the scale of the linetype to complete the linetype pattern. If you don't select Adaptive Adjustment, the line might end in the middle of a pattern. Turn off Adaptive Adjustment if linetype scale is important. Turn on Adaptive Adjustment if complete linetype patterns are more important than correct linetype scaling.

Lineweight

Displays a sample of the lineweight as well as its numeric value. You can specify the numeric value of each lineweight in millimeters. The default setting for plot style lineweight is Use Object Lineweight. If you assign a plot style lineweight, the lineweight overrides the object's lineweight at plot time.

Line End Style

Provides the following line end styles: Butt, Square, Round, and Diamond. The default setting for Line End Style is Use Object End Style. If you assign a line end style, the line end style overrides the object's line end style at plot time.

Line Join Style

Provides the following line join styles: Miter, Bevel, Round, and Diamond. The default setting for Line Join Style is Use Object Join Style. If you assign a line join style, the line join style overrides the object's line join style at plot time.

Fill Style

Provides the following fill styles: Solid, Checkerboard, Crosshatch, Diamonds, Horizontal Bars, Slant Left, Slant Right, Square Dots, and Vertical Bar. The default setting for Fill Style is Use Object Fill Style. If you assign a fill style, the fill style overrides the object's fill style at plot time.

Add Style

Adds a new plot style to a named plot style table.

The plot style is based on Normal, which uses an object's properties and doesn't apply any overrides by default. You must specify the overrides you want to apply after you create the new plot style. You cannot add a new plot style to a color-dependent plot style table; a color-dependent plot style table has 255 plot styles mapped to color. You also cannot add a plot style to a named plot style table that has a translation table.

Delete Style

Deletes the selected style from the plot style table.

Objects assigned this plot style retain the plot style assignment but plot as Normal because the plot style is no longer defined in the plot style table. You cannot delete a plot style from a named plot style table that has a translation table, or from a color-dependent plot style table.

Edit Lineweights

Displays the Edit Lineweights dialog box. There are 28 lineweights available to apply to plot styles in plot style tables. If the lineweight you need doesn't exist in the list of lineweights stored in the plot style table, you can edit an existing lineweight. You can't add or delete lineweights from the list in the plot style table.

Save As

Displays the Save As dialog box and saves the plot style table to a new name.


Edit Lineweights Dialog Box (Quick Reference)

Table View and Form View Tabs (Plot Style Table Editor)
STYLESMANAGER
SUBTRACT
Commands > S commands > STYLESMANAGER >
Edit Lineweights Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: File [image] Plot Style ManagerAt the Command prompt, enter stylesmanager.
Command entry: stylesmanager

Modifies the values of existing lineweights.

Lineweights

Lists the lineweights in the plot style table. There are a total of 28 lineweights including Use Object Lineweight. You can modify existing lineweights, but you can't add or delete them. If you change a lineweight value, other plot styles that use the lineweight also change.

When you edit a lineweight value, it is rounded and displayed with a precision of four places past the decimal point. Lineweight values must be zero or a positive number. If you create a lineweight with a zero width, the line is plotted as thin as the plotter can create it. The maximum possible lineweight value is 100 millimeters (approximately four inches).

Units for Listing

Specifies the units in which to display the list of lineweights. You can display the list of lineweights in inches or millimeters.

Edit Lineweight

Makes the selected lineweight available for editing.

Sort Lineweights

Sorts the list of lineweights by value. If you change lineweight values, choose Sort Lineweights to resort the list.


SUBTRACT (Quick Reference)

Edit Lineweights Dialog Box
SUBTRACT
SUNPROPERTIES
Commands > S commands >
SUBTRACT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Combines selected 3D solids, surfaces, or 2D regions by subtraction.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] SubtractNot available on the ribbon in the current workspace
Menu: Modify [image] Solid Editing [image] SubtractNot available in menus in the current workspace
Toolbar: Modeling
Command entry: subtract

Summary

With SUBTRACT, you can create a 3D solid or surface by subtracting one set of existing 3D solids from another, overlapping set. You can do the same with overlapping surfaces or 2D regions.

Select the objects that you want to keep, press Enter, then select the objects that you want to subtract.

Objects in the second selection set are subtracted from objects in the first selection set. A single new 3D solid, surface, or region is created.

You can only subtract regions from other regions that are on the same plane. However, you can perform simultaneous SUBTRACT actions by selecting sets of regions on different planes. The program then produces separate subtracted regions on each plane. Regions for which there are no other selected coplanar regions are rejected.

You cannot use SUBTRACT with mesh objects. However, if you select a mesh object, you will be prompted to convert it to a 3D solid or surface.

List of Prompts

The following prompts are displayed.

Select objects (to subtract from)

Specifies the 3D solids, surfaces, or regions to be modified by subtraction.

Select objects (to subtract)

Specifies the 3D solids, surfaces, or regions to subtract.


SUNPROPERTIES (Quick Reference)

SUBTRACT
SUNPROPERTIES
Sun Properties Window
Commands > S commands >
SUNPROPERTIES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the Sun Properties window.

Access Methods

Ribbon: Render tab [image] Sun & Location panel [image] [image] [image] Sun Properties
Menu: View [image] Render [image] Light [image] Sun PropertiesNot available in menus in the current workspace
Toolbar: Lights
Command entry: sunproperties

The Sun Properties window provides different panels to specify sun and sky settings and controls.

The Sun Properties window is displayed.


Sun Properties Window (Quick Reference)

SUNPROPERTIES
SUNPROPERTIES
SUNPROPERTIESCLOSE
Commands > S commands > SUNPROPERTIES >
Sun Properties Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Render tab [image] Sun & Location panel [image] [image] [image] Sun Properties
Menu: View [image] Render [image] Light [image] Sun PropertiesNot available in menus in the current workspace
Toolbar: Lights
Command entry: sunproperties

Sets and modifies the properties of the sun.

General

Sets the general properties of the sun.

Status

Turns the sun on and off. If lighting is not enabled in the drawing, this setting has no effect.

Intensity Factor

Sets the intensity or brightness of the sun. The range is from 0 (no light) to maximum. The higher the number, the brighter the light.

Color (Standard lighting workflow only)

Controls the color of the light. Enter a color name or number or click Select Color to open the Select Color dialog box.

Shadows

Turns display and calculation of shadows for the sun on and off. Turning shadows off increases performance.

Sky Properties

The sky general properties are as follows:

Status

Determines if the sky illumination is computed at render time. This has no impact on the viewport illumination or the background. It simply makes the sky available as a gathered light source for rendering. Note this does not control the background. Values are Sky Off, Sky Background, Sky Background and Illumination. [Sky Off] is default.

Intensity Factor

Provides a way to magnify the effect of the skylight. Values are 0.0-MAX. [1.0] is default.

Haze

Determines the magnitude of scattering effects in the atmosphere. Values are 0.0-15.0. [0.0] is default.

Horizon

This category of properties pertains to the appearance and location of the ground plane.

Height

Determines the absolute position of the ground plane relative to world zero. This parameter represents a world-space length and should be formatted in the current length unit. Values are -10.0 to +10.0 [0.0] is default.

Blur

Determines the amount of blurring between ground plane and sky. Values are 0-10. [.1] is default.

Ground Color

Determines the color of the ground plane by selecting a color from the drop-down list or select the Select Color dialog box to make a color choice.

Advanced

This category of properties pertains to various artistic effects.

Night Color

Specifies the color of the night sky by selecting a color from the drop down list or select the Select Color dialog box to make a color choice.

Aerial Perspective

Specifies if aerial perspective is applied. Values are On/Off. [Off] is default.

Visibility Distance

Specifies the distance at which 10% haze occlusion results. Values are 0.0-MAX. [10000.0] is default.

Sun Disk Appearance

This category of properties pertains to the background only. They control the appearance of the sun disk.

Disk Scale

Specifies the scale of the sun disk (1.0 = correct size).

Glow Intensity

Specifies the intensity of the sun glow. Values are 0.0-25.0. [1.0] is default.

Disk Intensity

Specifies the intensity of the sun disk. Values are 0.0-25.0. [1.0] is default.

Sun Angle Calculator

Sets the angle of the sun.

Date

Displays the current date setting.

Time

Displays the current time setting.

Daylight Saving

Displays the current setting for daylight saving time.

Azimuth

Displays the azimuth, the angle of the sun along the horizon clockwise from due north. This setting is read-only.

Altitude

Displays the altitude, the angle of the sun vertically from the horizon. The maximum is 90 degrees, or directly overhead. This setting is read-only.

Source Vector

Displays the coordinates of the source vector, the direction of the sun. This setting is read-only.

Rendered Shadow Details

Specifies the properties of the shadows.

Type

Displays the setting for shadow type. This setting is read-only when display of shadows is turned off. The selections are Sharp, Soft (mapped) which display the Map size option and Soft (area) which displays the Samples option. Soft (area) is the only option for the sun in photometric workflow (LIGHTINGUNITS = 1 or 2).

Map size (Standard lighting workflow only)

Displays the size of the shadow map. This setting is read-only when display of shadows is turned off. Values are 0-1000. [8] is default.

Samples

Specifies the number of samples to take on the solar disk. This setting is read-only when display of shadows is turned off. Values are 0-1000. [8] is default.

Softness

Displays the setting for the appearance of the edges of shadows. This setting is read-only when display of shadows is turned off. Values are 0-50.0. [1.0] is default.

Geographic Location

Displays the current geographic location settings. This information is read-only. When a city is not stored with latitude and longitude, the city does not appear in the list.

Use the Edit Geographic Location button to open the Geographic Location dialog box.

See Also

    • Standard and Photometric Lighting Workflow


SUNPROPERTIESCLOSE (Quick Reference)

Sun Properties Window
SUNPROPERTIESCLOSE
SWEEP
Commands > S commands >
SUNPROPERTIESCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Sun Properties window.

Command entry: sunpropertiesclose

The Sun Properties window is closed.


SWEEP (Quick Reference)

SUNPROPERTIESCLOSE
SWEEP
SYSWINDOWS
Commands > S commands >
SWEEP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid or surface by sweeping a 2D object along a path.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] SweepNot available on the ribbon in the current workspace
Toolbar: Modeling
Menu: Draw [image] Modeling [image] SweepNot available in menus in the current workspace
Command entry: sweep

Summary

With the SWEEP command, you can create a new solid or surface by sweeping an open or closed planar curve (profile) along an open or closed 2D or 3D path. SWEEP draws a solid or surface in the shape of the specified profile along the specified path. You can sweep more than one object, but they all must lie on the same plane.

When you select an object to sweep, it is automatically aligned to the object that is used as the path.

You can use the following objects and paths when creating a swept solid or surface:

Objects That Can Be Used in Sweep Operations

Objects that Can Be Swept | Objects that Can Be Used as a Sweep Path
Line | Line
Arc | Arc
Elliptical arc | Elliptical arc
2D polyline | 2D polyline
2D spline | 2D spline
Circle | Circle
Ellipse | Ellipse
Planar 3D face | 3D spline
2D solid | 3D polyline
Trace | Helix
Region | Edges of solids or surface
Planar surface |
Planar faces of solid |
NoteYou can select faces and edges on solids or surfaces by pressing and holding Ctrl, and then selecting these subobjects.

The DELOBJ system variable controls whether the profile(s) and sweep path are automatically deleted when the solid or surface is created or whether you are prompted to delete the profile(s) and path.

You can select the objects to sweep before you start the command.

List of Prompts

Current wire frame density: ISOLINES=4

Select objects to sweep: Use an object selection method and press Enter when you finish

Select sweep path or [Alignment/Base Point/Scale/Twist]: Select a 2D or 3D sweep path, or enter an option

Alignment

Specifies whether the profile is aligned to be normal to the tangent direction of the sweep path. By default, the profile is aligned.

Align sweep object perpendicular to path before sweep [Yes/No] <Yes>: Enter no to specify that the profile is not be aligned or press Enter to specify that the profile is aligned

NoteIf the profile curve is not perpendicular (normal) to the tangent of the start point of the path curve, then the profile curve automatically aligns. Enter No at the alignment prompt to prevent this.

Base Point

Specifies a base point for the objects to be swept. If the specified point does not lie on the plane of the selected objects, it is projected onto the plane.

Specify base point: Specify a base point for the selection set

Scale

Specifies a scale factor for a sweep operation. The scale factor is uniformly applied to the objects that are swept from the start to the end of the sweep path.

Enter scale factor or [Reference] <1.0000>: Specify a scale factor, enter r for the reference option, or press Enter to specify the default value

Reference

Scales the selected objects based on the length you reference by picking points or entering values.

Specify start reference length <1.0000>: Specify a beginning length from which to scale the selected objects

Specify end reference length <1.0000>: Specify a final length to which to scale the selected objects

Twist

Sets a twist angle for the objects being swept. The twist angle specifies the amount of rotation along the entire length of the sweep path.

Enter twist angle or allow banking for a non-planar sweep path [Bank] <n>: Specify an angle value less than 360, enter b to turn on banking, or press Enter to specify the default angle value

Select sweep path [Alignment/Base point/Scale/Twist]: Select a sweep path or enter an option

Banking specifies whether or not the curve(s) being swept will bank naturally (rotate) along a 3D sweep path (3D polyline, 3D spline, or helix).


SYSWINDOWS (Quick Reference)

SWEEP
SYSWINDOWS
TABLE
Commands > S commands >
SYSWINDOWS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Arranges windows and icons when the application window is shared with external applications.

Access Methods

Button

Ribbon: View tab [image] Window panel [image] Tile HorizontallyNot available on the ribbon in the current workspace
Command entry: syswindows

Enter an option [Cascade/tile Horizontal/tile Vertical/Arrange icons]: Enter an option

Cascade

Organizes a large number of windows by overlapping them for easier access.

Tile Horizontal

Arranges open drawings in horizontal, nonoverlapping windows.

When several drawings are open, you can view them in rows. Additional columns are added only when there's not enough space.

Tile Vertical

Arranges windows in vertical, nonoverlapping tiles.

When several drawings are open, you can view them in columns. Additional rows are added only when there's not enough space.

Arrange Icons

Arranges the window icons.

Arranges multiple open drawings, when minimizied, in a line at the bottom of the workspace.


T commands

SYSWINDOWS
Commands
TABLE
Commands >
T commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • TABLE

    Creates an empty table object.

  • TABLEDIT

    Edits text in a table cell.

  • TABLEEXPORT

    Exports data from a table object in CSV file format.

  • TABLESTYLE

    Creates, modifies, or specifies table styles.

  • TABLET

    Calibrates, configures, and turns on and off an attached digitizing tablet.

  • TABSURF

    Creates a mesh from a line or curve that is swept along a straight path.

  • TARGETPOINT

    Creates a target point light.

  • TASKBAR

    Controls how drawings are displayed on the Windows taskbar.

  • TEXT

    Creates a single-line text object.

  • TEXTEDIT

    Edits a dimensional constraint, dimension, or text object.

  • TEXTSCR

    Opens the text window.

  • TEXTTOFRONT

    Brings text and dimensions in front of all other objects in the drawing.

  • THICKEN

    Converts a surface into a 3D solid with a specified thickness.

  • TIFOUT

    Saves selected objects to a file in TIFF file format.

  • TIME

    Displays the date and time statistics of a drawing.

  • TINSERT

    Inserts a block in a table cell.

  • TOLERANCE

    Creates geometric tolerances contained in a feature control frame.

  • TOOLBAR

    Displays, hides, and customizes toolbars.

  • TOOLPALETTES

    Opens the Tool Palettes window.

  • TOOLPALETTESCLOSE

    Closes the Tool Palettes window.

  • TORUS

    Creates a donut-shaped 3D solid.

  • TPNAVIGATE

    Displays a specified tool palette or palette group.

  • TRACE

    Creates solid lines.

  • TRANSPARENCY

    Controls whether background pixels in an image are transparent or opaque.

  • TRAYSETTINGS

    Controls the display of icons and notifications in the status bar tray.

  • TREESTAT

    Displays information about the drawing's current spatial index.

  • TRIM

    Trims objects to meet the edges of other objects.


TABLE (Quick Reference)

SYSWINDOWS
TABLE
Insert Table Dialog Box
Commands > T commands >
TABLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an empty table object.

Access Methods

Table

Ribbon: Home tab [image] Annotation panel [image] Insert TableNot available on the ribbon in the current workspace.
Menu: Draw [image] TableNot available in menus in the current workspace
Toolbar: Draw
Command entry: table

Summary

A table is a compound object that contains data in rows and columns. It can be created from an empty table or a table style. A table can also be linked to data in a Microsoft Excel spreadsheet.

The Insert Table dialog box is displayed.

If you select a table cell when the ribbon is active, the Table ribbon contextual tab displays.

If you enter -table at the Command prompt, options are displayed.


Insert Table Dialog Box (Quick Reference)

TABLE
TABLE
Table Ribbon Contextual Tab
Commands > T commands > TABLE >
Insert Table Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates an empty table object.

Access Methods

Table

Ribbon: Home tab [image] Annotation panel [image] Insert TableNot available on the ribbon in the current workspace.
Menu: Draw [image] TableNot available in menus in the current workspace
Toolbar: Draw
Command entry: table

Inserts an empty table in the drawing.

List of Options

The following options are available in this dialog box.

Table Style

Choose a table style from within the current drawing from which to create a table. You can create a new table style by clicking the button next to the drop-down list.

Insert Options

Specifies the method for inserting your table.

Start from Empty Table

Creates an empty table that can be filled in with data manually.

Start from Data Link

Creates a table from data in an external spreadsheet.

Start from Data Extraction

Launches the Data Extraction wizard.

Preview

Controls whether a preview displays. If you start from an empty table, the preview displays an example of the table style. If you create a table link, the preview displays the resulting table. Clear this option to improve performance when working with large tables.

Insertion Behavior

Specifies the location of the table.

Specify Insertion Point

Specifies the location of the upper-left corner of the table. You can use the pointing device or enter coordinate values at the Command prompt. If the table style sets the direction of the table to read from the bottom up, the insertion point is the lower-left corner of the table.

Specify Window

Specifies a size and a location for the table. You can use the pointing device or enter coordinate values at the Command prompt. When this option is selected, the number of columns and rows and the column width and row height depend on the size of the window and the column and row settings.

Column & Row Settings

Set the number and size of columns and rows.

Columns Icon

Indicates columns.

Rows Icon

Indicates rows.

Columns

Specifies the number of columns. When the Specify Window option is selected and you specify a column width, the Auto option is selected, and the number of columns is controlled by the width of the table. If a table style containing a starting table has been specified, then you can choose the number of additional columns you would like added to that starting table.

Column Width

Specifies the width of the columns. When the Specify Window option is selected and you specify the number of columns, the Auto option is selected, and the column width is controlled by the width of the table. The minimum column width is one character.

Data Rows

Specifies the number of rows. When the Specify Window option is selected and you specify a row height, the Auto option is selected, and the number of rows is controlled by the height of the table. A table style with a title row and a header row has a minimum of three rows. The minimum row height is one line. If a table style containing a starting table has been specified, then you can choose the number of additional data rows you would like added to that starting table.

Row Height

Specifies the height of the rows in number of lines. The height of a line is based on the text height and the cell margin, which are both set in the table style. When the Specify Window option is selected and you specify the number of rows, the Auto option is selected, and the row height is controlled by the height of the table.

Set Cell Styles

For table styles that do not contain a starting table, specifies a cell style for rows in the new table.

First Row Cell Style

Specifies a cell style for the first row in the table. The Title cell style is used by default.

Second Row Cell Style

Specifies a cell style for the second row in the table. The Header cell style is used by default.

All Other Row Cell Styles

Specifies a cell style for all other rows in the table. The Data cell style is used by default.

Table Options

For table styles that contain a starting table, specifies the table elements from the starting table that are retained upon insertion.

Label Cell Text

Retains text from the Header or Title rows in the starting table in the newly-inserted table.

Data Cell Text

Retains text from the Data rows in the starting table in the newly-inserted table.

Blocks

Retains blocks from the starting table in the newly-inserted table.

Retain Cell Style Overrides

Retains cell style overrides from the starting table in the newly-inserted table.

Data Links

Retains data links from the starting table in the newly-inserted table.

Fields

Retains fields from the starting table in the newly-inserted table.

Formulas

Retains formulas from the starting table in the newly-inserted table.


Table Ribbon Contextual Tab (Quick Reference)

Insert Table Dialog Box
TABLE
-TABLE
Commands > T commands > TABLE >
Table Ribbon Contextual Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Table

Ribbon: Home tab [image] Annotation panel [image] Insert TableNot available on the ribbon in the current workspace.
Menu: Draw [image] TableNot available in menus in the current workspace
Command entry: table

Rows/Columns Panel

Insert Row Above | Inserts a row above the currently selected cell or row.
Insert Row Below | Inserts a row below the currently selected cell or row
Delete Row(s) | Deletes the currently selected row(s).
Insert Column Left | Inserts a column to the left of the currently selected cell or row.
Insert Column Right | Inserts a column to the right of the currently selected cell or row.
Delete Column(s) | Deletes the currently selected column(s).

Merge Panel

Merge Cells | Merges the selected cells into one large cell.
Unmerge Cells | Unmerges cells that were previously merged.

Cell Styles Panel

Match Cell | Applies the properties of a selected cell to other cells.
Cell Styles | Lists all cell styles contained within the current table style. The cell styles Title, Header, and Data are always contained within any table style, and cannot be deleted or renamed.
Cell Borders | Sets the properties of the borders of the selected table cells.
Alignment | Specifies alignment for the content within cells. Content is middle-, top-, or bottom-aligned with respect to the top and bottom borders of the cell. Content is center-, left-, or right-aligned with respect to the left and right borders of the cell.
Background Fill | Specifies the fill color. Select None or a background color, or click Select Color to display the Select Color dialog box.

Cell Format Panel

Cell Locking

Locks or unlocks cell content and/or formatting from editing.

Data Format

Displays a list of data types (Angle, Date, Decimal Number, and so on) that you can format for table rows.

Preview | Displays a prefiew of the option you selected in the Format list.
Format | Depending on the data type you select, displays a list of relevant format types. For example, if you selected Angle as the data type, options such as Decimal Degrees, Grads, Radians, and so on are displayed.
Precision | For Angle, Decimal Number and Points data types only, sets the precision for applicable formats. For example, if you select Angle as the data type and Radians as the format type, options such as Current Precision, 0.0r, 0.00r, 0.000r, and so on are displayed.
List Separator | For a Point data type only, displays a list of options (comma, semicolon, or colon) that you can use to separate list items.
Symbol | For Currency data types only, displays a list of currency symbols that you can use.
Append Symbol | In Currency data types, places the currency dymbol after the number. In the Percentage data types, places the percent symbol after the number.
Negative Numbers | For Currency data types only, lists options for displaying negative numbers.
X, Y, and Z | For a Point data type only, filders X, Y, or Z coordinates.
Additional Format | For Angle, Decimal Number, Point and Whole Number data types only, opens the Additional Format dialog box, where you set additional formatting options for table cells.
Examples | For the Date data type only, displays a list of date display options for the date option you selected in the Format field. Click a date in the Format field to see an example.

Insert Panel

Block | The Insert dialog box is displayed, where you can insert a block into the currently selected table cell.
Field | The Field dialog box is displayed, where you can insert a field into the currently selected table cell.
Formula | Inserts a formula into the currently selected table cell. A formula must start with an equal sign (=). The formulas for sum, average, and count ignore empty cells and cells that do not resolve to a numeric value. Other formulas display an error (#) if any cell in the arithemetic expression is empty or contains nonnumeric data.
Manage Cell Contents | Displays the content of the selected cell. You can change the order of cell content as well as change the direction in which cell content will appear.

Data Panel

Link Cell | The New and Modify Excel Link dialog box is displayed, where you can link data from a spreadsheet created in Microsoft Excel to a table within your drawing.
Download from Source | Updates data in the table cell that is referenced by changed data in an established data link.


-TABLE (Quick Reference)

Table Ribbon Contextual Tab
TABLE
Manage Cell Content Dialog Box
Commands > T commands > TABLE >
-TABLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -table at the Command prompt, the following prompts are displayed.

Current table style: "Standard" Cell width: 2.5000 Cell height: 1 line(s)

Enter number of columns or [Auto/from Style/data Link] <5>:

Number of Columns

Specifies the number of columns.

Enter number of rows or [Auto] <1>:

Number of Rows

Specifies the number of rows.

Specify insertion point or [Style/Width/Height]:

Insertion Point

Specifies the location of the upper-left corner of the table. You can use the pointing device or enter coordinate values at the Command prompt. If the table style sets the direction of the table to read from the bottom up, the insertion point is the lower-left corner of the table.

Width

Specifies a width for the table columns.

Enter cell width <2.50000>:

Specify insertion point or [Style/Width/Height]:

Height

Specifies a height for the table rows.

Enter minimum cell height <1 line>:

Specify insertion point or [Style/Width/Height]:

Style

Specifies a table style for the table. The specified table style must contain a starting table. To learn more about starting tables, see Work with Table Styles.

Enter table style name <current>

Specify insertion point or [Style/Width/Height]:

Auto

Specifies a size and a location for the table. You can use the pointing device or enter coordinate values at the Command prompt. When this option is selected, you can set the number of columns or the column width, but not both. The number of rows and the row height depend on the size of the window you specify.

Specify first corner or [Height]:

First Corner

Specifies the location of the upper-left corner of the table. If the table style sets the direction of the table to read from the bottom up, the insertion point is the lower-left corner of the table.

Specify second corner:

Height

Specifies a height for the table rows.

Enter minimum cell height <1 line>:

Specify first corner or [Height]:

Auto

Specifies a size and a location for the table. You can use the pointing device or enter coordinate values at the Command prompt. When this option is selected, you can set the number of columns or the column width, but not both. The number of rows and the row height depend on the size of the window you specify.

Enter number of rows or [Auto] <1>:

Number of Rows

Specifies the number of rows.

Specify first corner or [Width]:

Specify second corner:

Auto

Specifies a size and a location for the table.

Specify first corner or [Width]:

Specify second corner:

From Style

Specifies a table style for creating the table. You can use the pointing device or enter coordinate values at the Command prompt. The specified table style must contain a starting table. For more information about starting tables, see Work with Table Styles.

Specify insertion point or [Style/Rows/Columns/Options]:

Insertion Point

Specifies the location of the upper-left corner of the table. You can use the pointing device or enter coordinate values at the Command prompt. If the table style sets the direction of the table to read from the bottom up, the insertion point is the lower-left corner of the table.

Specify insertion point or [Style/Rows/Columns/Options]:

Style

Specifies a table style for the table.

Enter the name of a table style or [?] <Standard>:

You are prompted if the table style you chose does not contain a starting table.

Table style does not contain a table.

Entering [?] displays a list of table styles available in your drawing.

Rows

Specifies the number of rows you want to add to the table stored in the specified table style. The rows are added to the rows already in the specified table.

Enter number of additional rows <0>:

Columns

Specifies the number of columns you want to add to the table stored in the specified table style. The columns are added to the columns already in the specified table.

Enter number of additional columns <0>:

Options

Specifies special formatting options that can be inserted in the table.

Enter an insert option [Label text/Data text/Formulas/fIelds/data liNks/Blocks/cell style Overrides] <exit>:

Label Text

Retains rows with a cell type of Label found in the table style’s starting table. The cell type is set in the Properties palette. The Header and Title cell styles use the Label cell type by default.

Data Text

Retains rows with a cell type of Data found in the table style’s starting table. The cell type is set in the Properties palette. The Data cell style uses the Data cell type property by default.

Formulas

Retains formulas found in the specified table style’s starting table.

Fields

Retains fields found in the specified table style’s starting table. For more information about fields, see Use Fields in Text.

Data Links

Retains data links found in the specified table style’s starting table. For more information about data links, see Link a Table to External Data.

Blocks

Retains blocks found in the specified table style’s starting table.

Cell Style Overrides

Retains cell style overrides found in the specified table style’s starting table. For more information about cell style overrides, see Work with Table Styles.

Data Link

Specifies a data link from which a table is created. You are prompted if the drawing does not contain any data links.

No data links exist in the current drawing.

To create a data link use the DATALINK command.

Enter the name of a data link found in the current drawing.

Enter the name of a data link or [?]:

Entering [?] displays a list of data links available in your drawing.

You are prompted if the drawing does not contain the specified data link.

Data link not found.

After you specify a valid data link, specify an insertion point for the table that will be created from the link. You can use the pointing device or enter coordinate values at the Command prompt.

Specify insertion point:


Manage Cell Content Dialog Box (Quick Reference)

-TABLE
TABLE
TABLEDIT
Commands > T commands > TABLE >
Manage Cell Content Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click while editing any single cell, and click Manage Cell Content.
Toolbar: Table

Displays the content of the selected cell. You can change the order of cell content as well as change the direction in which cell content will appear.

Cell Content List Box

Lists all text and/or blocks in the selected cell in order of appearance. Text is indicated with the label Table Cell Text. Blocks are indicated with Block preceding the name of the block.

Content Order Buttons

With the buttons to the right of the Current Content List Box, you can change the position of the highlighted content up or down, or remove content from the cell completely.

Move Up

Moves the selected list box content up in the display order.

Move Down

Moves the selected list box content down in the display order.

Delete

Removes the selected list box content from the table cell.

Layout Mode Options

Changes the direction in which cell content will appear.

Flow

Places cell content based on the width of the cell.

Stacked Horizontal

Places cell content horizontally, regardless of cell width.

Stacked Vertical

Places cell content vertically, regardless of cell height.

Content Spacing

Determines the spacing between text and/or blocks within the cell.


TABLEDIT (Quick Reference)

Manage Cell Content Dialog Box
TABLEDIT
TABLEEXPORT
Commands > T commands >
TABLEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits text in a table cell.

Pointing device: Double-click inside a table cell.
Shortcut menu: With a table cell selected, right-click and click Edit Cell Text.
Command entry: tabledit

Pick a table cell: Click inside a table cell, and enter text or use the Text Formatting toolbar or the Options shortcut menu to make changes


TABLEEXPORT (Quick Reference)

TABLEDIT
TABLEEXPORT
TABLESTYLE
Commands > T commands >
TABLEEXPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Exports data from a table object in CSV file format.

Shortcut menu: With a table selected, right-click and click Export.
Command entry: tableexport

A standard file selection dialog box is displayed. Table data is exported in the comma-separated (CSV) file format. All formatting of the table and its text is lost.


TABLESTYLE (Quick Reference)

TABLEEXPORT
TABLESTYLE
Table Style Dialog Box
Commands > T commands >
TABLESTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, modifies, or specifies table styles.

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

The Table Style dialog box is displayed.

You can specify the current table style to determine the appearance of all new tables. A table style includes settings for background colors, margins, borders, text, and other table characteristics.


Table Style Dialog Box (Quick Reference)

TABLESTYLE
TABLESTYLE
Create New Table Style Dialog Box
Commands > T commands > TABLESTYLE >
Table Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Sets the current table style and creates, modifies, and deletes table styles.

Current Table Style

Displays the name of the table style that is applied to tables you create. The default table style is STANDARD.

Styles

Displays a list of table styles. The current style is highlighted.

List

Controls the contents of the Styles list.

All Styles

Displays all table styles.

Styles in Use

Displays only the table styles that are referenced by tables in the current drawing.

Preview Of

Displays a preview image of the style that is selected in the Styles list.

Set Current

Sets the table style selected in the Styles list as the current style. All new tables are created using this table style.

New

Displays the Create New Table Style dialog box, in which you can define new table styles.

Modify

Displays the Modify Table Style dialog box, in which you can modify table styles.

Delete

Deletes the table style selected in the Styles list. A style that is being used in the drawing cannot be deleted.


Create New Table Style Dialog Box (Quick Reference)

Table Style Dialog Box
TABLESTYLE
New and Modify Table Style Dialog Boxes
Commands > T commands > TABLESTYLE >
Create New Table Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Specifies a name for the new table style and specifies the existing table style on which the new table style will be based.

New Style Name

Names the new table style.

Start With

Specifies an existing table style whose settings are the default for the new table style.

Continue

Displays the New Table Style dialog box, in which you define the new table style.


New and Modify Table Style Dialog Boxes (Quick Reference)

Create New Table Style Dialog Box
TABLESTYLE
Create New Cell Style Dialog Box
Commands > T commands > TABLESTYLE >
New and Modify Table Style Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Defines a new table style or modifies an existing table style. The options in each dialog box are the same.

Starting Table

Allows you to specify a table in your drawing to use as an example for formatting this table style. Once you select a table, you can specify the structure and contents you want copied from that table to the table style.

With the Remove Table icon, you can remove a table from the current specified table style.

General

Changes the direction of the table.

Table Direction

Sets the direction of a table. Down creates a table that reads from top to bottom. Up creates a table that reads from bottom to top.

  • Down: The title row and the column heads row are at the top of the table. When you click Insert Rows and click Below, the new row is inserted below the current row.
  • Up: The title row and the column heads row are at the bottom of the table. When you click Insert Rows and click Below, the new row is inserted above the current row.

Preview

Displays an example of the effect of the current table style settings.

Cell Styles

Defines a new cell style or modifies an existing cell style. You can create any number of cell styles.

Cell Style Menu

Displays cell styles already found within the table.

Create Cell Styles Button

Launches the Create New Cell Style dialog box.

Manage Cell Styles Button

Launches the Manage Cell Styles dialog box.

Cell Style Tabs

Set the appearance of the data cells, the cell text, and the cell borders, depending on which tab is active: General tab, Text tab, or Borders tab.

General Tab

Properties

Fill Color

Specifies the background color of the cell. The default is None.

You can choose Select Color to display the Select Color dialog box.

Alignment

Sets justification and alignment for the text in the table cell. Text is middle-, top-, or bottom-aligned with respect to the top and bottom borders of the cell. Text is center-justified, left-justified, or right-justified with respect to the left and right borders of the cell.

See Justify Multiline Text in the User's Guide for an illustration of the nine options.

Format

Sets data type and formatting for the Data, Column Heading, or Title rows in a table. Clicking this button displays the Table Cell Format dialog box, where you can further define formatting options.

Type

Specifies the cell style as either a label or data.

Margins

Controls the spacing between the border of the cell and the cell content. The cell margin settings apply to all cells in the table. The default setting is 0.06 (imperial) and 1.5 (metric).

Horizontal

Sets the distance between the text or block in the cell and the left and right cell borders.

Vertical

Sets the distance between the text or block in the cell and the top and bottom cell borders.

Merge cells on row/column creation

Merges any new row or column created with the current cell style into one cell. You can use this option to create a title row at the top of your table.

Text Tab

Text Style

Lists the available text styles.

Text Style Button

Displays the Text Style Dialog Box where you can create or modify text styles. (DIMTXSTY system variable)

Text Height

Sets the text height. The default text height for data and column head cells is 0.1800. The default text height for the table title is 0.25.

Text Color

Specifies the color of the text. Choose Select Color at the bottom of the list to display the Select Color dialog box.

Text Angle

Sets the text angle. The default text angle is 0 degrees. You can enter any angle between -359 and +359 degrees.

Borders Tab

Lineweight

Sets the lineweight to be applied to the borders you specify by clicking a border button. If you use a heavy lineweight, you may have to increase the cell margins.

Linetype

Sets the linetype to be applied to the borders you specify by clicking a border button. Standard linetypes of ByBlock, ByLayer, and Continuous are displayed, or you can choose Other to load a custom linetype.

Color

Sets the color to be applied to the borders you specify by clicking a border button. Choose Select Color to display the Select Color dialog box.

Double Line

Displays table borders as double lines.

Spacing

Determines the spacing for double line borders. The default spacing is 0.1800.

Border Buttons

Controls the appearance of the borders of the cells. The border properties are lineweight and color of the gridlines.

All Borders

Applies the border properties settings to all borders for the specified cell style.

Outside Border

Applies the border properties settings to the outside border for the specified cell style.

Inside Border

Applies the border properties settings to the inside border for the specified cell style.

Bottom Border

Applies the border properties settings to the bottom borders for the specified cell style.

Left Border

Applies the border properties settings to the left borders for the specified cell style.

Top Border

Applies the border properties settings to the top borders for the specified cell style.

Right Border

Applies the border properties settings to the right borders for the specified cell style.

No Border

Hides borders for the specified cell style.

Cell Style Preview

Displays an example of the effect of the current table style settings.


Create New Cell Style Dialog Box (Quick Reference)

New and Modify Table Style Dialog Boxes
TABLESTYLE
Manage Cell Styles Dialog Box
Commands > T commands > TABLESTYLE >
Create New Cell Style Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Specifies a name for the new cell style and specifies the existing cell style on which the new cell style will be based.

New Style Name

Names the new cell style.

Start With

Specifies an existing cell style whose settings are the default for the new cell style.

Continue

Returns you to the New Table Style dialog box, in which you define the new cell style.


Manage Cell Styles Dialog Box (Quick Reference)

Create New Cell Style Dialog Box
TABLESTYLE
Table Cell Format Dialog Box
Commands > T commands > TABLESTYLE >
Manage Cell Styles Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Command entry: tablestyle

Displays all cell styles within the current table style and allows you to create or delete a cell style.

Cell Styles

Lists all cell styles contained within the current table style. The cell styles Title, Header, and Data are always contained within any table style, and cannot be deleted or renamed.

New

Displays the Create New Cell Style dialog box. From here, you can create a new cell style to be contained within the current table style.

Rename

Allows you to give a new name to the selected cell style. The Title, Header, and Data cell styles cannot be renamed.

Delete

Allows you to delete the selected cell style.

Cell Style Preview

Displays an example of the effect of the current cell style settings.


Table Cell Format Dialog Box (Quick Reference)

Manage Cell Styles Dialog Box
TABLESTYLE
Additional Format Dialog Box
Commands > T commands > TABLESTYLE >
Table Cell Format Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Defines the formatting for cells in your table. The options displayed here change based on the selected data type and format you select.

Data Type

Displays a list of data types (Angle, Date, Decimal Number, and so on) that you can format for table rows.

Preview

Displays a preview of the option you selected in the Format list.

Format

Depending on the data type you select, displays a list of relevant format types. For example, if you selected Angle as the data type, options such as Decimal Degrees, Grads, Radians, and so on are displayed.

Precision

For Angle, Decimal Number, and Points data types only, sets the precision for applicable formats. For example, if you select Angle as the data type and Radians as the format type, options such as Current Precision, 0.0r, 0.00r, 0.000r, and so on are displayed.

List Separator

For a Point data type only, displays a list of options (comma, semicolon, or colon) that you can use to separate list items.

Symbol

For Currency data types only, displays a list of currency symbols that you can use.

Append Symbol

In Currency data types, places the currency symbol after the number. In the Percentage data types, places the percent symbol after the number.

Negative Numbers

For Currency data types only, lists options for displaying negative numbers.

X, Y, and Z Coordinates

For a Point data type only, filters X, Y, or Z coordinates.

Additional Format

For Angle, Decimal Number, Point, and Whole Number data types only, opens the Additional Format dialog box, where you set additional formatting options for table cells.

Examples

For the Date data type only, displays a list of date display options for the date option you selected in the Format field. Click a date in the Format field to see an example.


Additional Format Dialog Box (Quick Reference)

Table Cell Format Dialog Box
TABLESTYLE
TABLET
Commands > T commands > TABLESTYLE >
Additional Format Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Ribbon: Annotate tab [image] Tables [image] [image] [image] Table Style
Menu: Format [image] Table StyleNot available on menus in the current workspace.
Toolbar: Styles
Command entry: tablestyle

Provides additional formatting options for fields and table cells.

Current Value

Displays the value in base drawing units.

Preview

Displays updates to the format as you change the conversion factor and other settings.

Conversion Factor

Specifies the conversion factor to use on the the current value. The default is 1 for no conversion.

Additional Text

Specifies a prefix or a suffix for the value.

Number Separators

Specifies a decimal separator and the formatting for numbers over 1000.

Decimal

Specifies the separator for decimal values. Select a period, a comma, or a space.

Thousands

Inserts a comma to group thousands in a field value.

Zero Suppression

Controls the suppression of leading and trailing zeros, and of feet and inches that have a value of zero.

Leading

Suppresses leading zeros in all decimal values. For example, 0.5000 becomes .5000.

Trailing

Suppresses trailing zeros in all decimal values. For example, 12.5000 becomes 12.5, and 30.0000 becomes 30.

0 Feet

Suppresses the feet portion of a feet-and-inches value when the distance is less than one foot. For example, 0'-6 1/2" becomes 6 1/2".

0 Inches

Suppresses the inches portion of a feet-and-inches value when the distance is an integral number of feet. For example, 1'-0" becomes 1'.


TABLET (Quick Reference)

Additional Format Dialog Box
TABLET
TABSURF
Commands > T commands >
TABLET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Calibrates, configures, and turns on and off an attached digitizing tablet.

Menu: Tools [image] TabletNot available on menus in the current workspace.
Command entry: tablet

Enter an option [ON/OFF/CAL/CFG]:

On

Turns on Tablet mode. Setting the TABMODE system variable to 1 also turns on Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Off

Turns off Tablet mode. Setting the TABMODE system variable to 0 also turns off Tablet mode. Pressing CTRL+T on some systems turns Tablet mode on and off.

Cal

Calibrates the digitizer with a paper drawing or photograph, creating the tablet transformation, which is the mapping of points from the tablet to the coordinate drawing system. Calibration is digitizing points on the drawing and mapping them to their real coordinates.

Calibration can be performed in model space or paper space. The Cal option turns on Tablet mode in the space in which the tablet is calibrated. When the space is changed, the Cal option turns off Tablet mode.

The paper should be flat (with no bumps or wrinkles) and securely fastened to the digitizing tablet. The paper can be oriented at any angle.

Digitize point #1: Digitize a point on the paper drawing

Enter coordinates for point #1: Specify an X,Y coordinate at the digitized point

Digitize point #2: Digitize a point on the paper drawing

Enter coordinates for point #2: Specify an X,Y coordinate at the digitized point

Digitize point #3 (or ENTER to end): Digitize a point on the tablet or press ENTER

Enter coordinates for point #3: Specify an X,Y coordinate in the drawing

The points you enter cannot be duplicates. The points need not be the origin on either axis, and you can enter as many points as you like. The more points you enter, the more accurate the drawing will be.

If you enter only two points, the program automatically computes an orthogonal transformation. If it is successful, the command ends.

If you enter three or more points, the program computes the transformation in each of the three transformation types (Orthogonal, Affine, and Projective) to determine which best fits the calibration points. If you enter more than four points, computing the best-fitting projective transformation can take a long time. You can cancel the process by pressing ESC.

When the computations are complete, the program displays a table with the number of calibration points and a column for each transformation type.

If there have been no failures of projection transformation, the program prompts you to choose a transformation type.

Enter transformation type [Orthogonal/Affine/Projective/Repeat table] <Repeat>: Enter an option or press ENTER

Only transformation types for which the outcome was Success, Exact, or Canceled are included in this prompt. A projective transformation can be specified even if it was canceled. The program uses the result computed at the time you canceled.

Orthogonal

Specifies translation, uniform scaling, and rotation with two calibration points.

Use Orthogonal for dimensionally accurate paper drawings and paper drawings in which the portion to be digitized is long and narrow, with most points confined to single lines.

NoteYou must specify the lower-left point location before specifying the upper-right point location.
Affine

Specifies arbitrary linear transformation in two dimensions consisting of translation, independent X- and Y-scaling, rotation, and skewing with three calibration points.

Use Affine when horizontal dimensions in a paper drawing are stretched with respect to vertical dimensions, and lines that are supposed to be parallel actually are parallel.

The RMS (root mean square) error reported after calibration measures how close the program has come to making a perfect fit. Affine should be used if the RMS is small.

Projective

Specifies a transformation equivalent to a perspective projection of one plane in space onto another plane with four calibration points. A projective transformation provides a limited form of what cartographers call rubber sheeting, in which different portions of the tablet surface are stretched by varying amounts. Straight lines map into straight lines. Parallel lines do not necessarily stay parallel.

Projective transformation corrects parallel lines that appear to converge.

Repeat Table

Redisplays the computed table, which rates the transformation types.

Transformation Table

Reports the number of calibration points and provides information about each transformation type.

Outcome of Fit

Reports the outcome of fit for each of the transformation types. If the outcome of fit is not Success or Exact for any of the transformation types, the program reports failure of the entire calibration process and ends the command. The remaining entries in each column are blank unless Outcome of Fit is Success.

Exact

Indicates the correct number of points for a valid transformation.

Success

Indicates more than enough points. The program succeeded in fitting a transformation to the data.

Impossible

Indicates not enough points.

Failure

Indicates enough points, but the program was unable to fit a transformation to the points, usually because some points were colinear or coincident.

Canceled

Indicates that the fit process was canceled. This outcome occurs only with the projective transformation.

RMS Error

Reports the RMS (root mean square) error, which measures how close the program has come to finding a perfect fit. The goal is the smallest RMS error.

Standard Deviation

Reports the standard deviation of the residuals. If it is near zero, the residual at each calibration point is about the same.

Largest Residual/At Point

Reports the point at which the mapping is least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

Second-Largest Residual/At Point

Reports the point at which the mapping is second-least accurate. The residual is the distance between where the point was mapped during transformation and where it would be mapped if the fit were perfect. The distance is given in the current linear units.

Cfg

Designates or realigns the tablet menu areas or designates a small portion of a large tablet as a screen pointing area.

Enter number of tablet menus desired (0-4) <current>: Enter a value or press ENTER

If tablet menus are in use and the same number of menus is selected, the following prompts are displayed:

Do you want to realign tablet menus? [Yes/No] <N>: Enter y or n or press ENTER

Digitize upper-left corner of menu area n: Digitize a point (1)

Digitize lower-left corner of menu area n: Digitize a point (2)

Digitize lower-right corner of menu area n: Digitize a point (3)

In the prompt, n is the menu number (1-4).

The printed menu form must be affixed to the tablet surface, and the requested points must be digitized. The set of three points must form a 90-degree angle. Tablet menu areas can be skewed at any angle.

Enter the number of columns for menu area n: Enter a positive value

Enter the number of rows for menu area n: Enter a positive value

After all interaction concerning tablet menus is complete, the following prompt is displayed:

Do you want to respecify the screen pointing area? [Yes/No] <N>: Enter y or n or press ENTER

If you enter y, the following prompts are displayed:

Digitize lower-left corner of the pointing area: Digitize a point

Digitize upper-right corner of the pointing area: Digitize a point

A small portion of the tablet's surface is designated as the fixed screen pointing area. The following prompt is displayed:

Do you want to specify the Floating Screen Pointing area? [Yes/No] <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt:

Do you want the Floating Screen Area to be the same size as the Fixed Screen Pointing Area? [Yes/No] <Y>: Enter y or n or press ENTER

If you responded n to the previous prompt, respond to the following prompts:

Digitize lower-left corner of the Floating Screen pointing area: Digitize a point

Digitize upper-right corner of the Floating Screen pointing area: Digitize a point

Respond to the following prompt:

Would you also like to specify a button to toggle the Floating Screen Area? [Yes/No] <N>: Enter y or n or press ENTER

If you responded y to the previous prompt, respond to the following prompt:

Press any non-pick button on the digitizer puck that you wish to designate as the toggle for the Floating Screen Area


TABSURF (Quick Reference)

TABLET
TABSURF
TARGETPOINT
Commands > T commands >
TABSURF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a mesh from a line or curve that is swept along a straight path.

Access Methods

Button

Ribbon: Home tab [image] 3D Modeling panel [image] Tabulated SurfaceNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] Meshes [image] Tabulated MeshNot available in menus in the current workspace
Command entry: tabsurf

Summary

Select a line, arc, circle, ellipse, or polyline to sweep in a straight path. Then select a line or polyline to determine the first and last points of a vector that indicates the direction and length of the polygon mesh.

The MESHTYPE system variable sets which type of mesh is created. Mesh objects are created by default. Set the variable to 0 to create legacy polyface or polygon mesh.

For polygon meshes, TABSURF constructs a 2 by n mesh, where n is determined by the SURFTAB1 system variable. The M direction of the mesh is always 2 and lies along the direction vector. The N direction lies along the path curve. If the path curve is a line, arc, circle, ellipse, or spline-fit polyline, tabulation lines are drawn that divide the path curve into intervals of equal size set by SURFTAB1. If the path curve is a polyline that has not been spline fit, tabulation lines are drawn at the ends of straight segments, and each arc segment is divided into intervals set by SURFTAB1.

List of Prompts

The following prompts are displayed.

Object for path curve

Specifies which object is swept along the path.

The path curve defines the approximated surface of the polygon mesh. It can be a line, arc, circle, ellipse, or 2D or 3D polyline. The mesh is drawn starting at the point on the path curve closest to the selection point.

Object for direction vector.

Specifies a line or open polyline that defines the direction of the sweep.

Only the first and last points on a polyline are considered, and intermediate vertices are ignored. The direction vector indicates the direction and length of the shape to be extruded. The end selected on the polyline or line determines the direction of the extrusion. The original path curve is drawn with wide lines to help you visualize how the direction vector dictates the construction of a tabulated mesh.


TARGETPOINT (Quick Reference)

TABSURF
TARGETPOINT
TASKBAR
Commands > T commands >
TARGETPOINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a target point light.

Command entry: targetpoint

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

Specify target location <0,0,-10>: Enter coordinate values or use the pointing device

If the LIGHTINGUNITS system variable is set to 0, the following prompt is displayed:

Enter an option to change [Name/Intensity/Status/shadoW/Attenuation/Color/eXit] <eXit>:

If the LIGHTINGUNITS system variable is set to 1 or 2, the following prompt is displayed:

Enter an option to change [Name/Intensity factor/Status/Photometry/shadoW/Attenuation/filterColor/eXit] <eXit>:

NoteWhen the LIGHTINGUNITS system variable is set to 1 or 2, the Attenuation option has no affect on the creation of the light. It is only maintained for scripting compatibility.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity/Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00-max float) <1.0000>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf] <On>:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*> :

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFtmapped/softsAmpled] <Sharp>:

Off

Turns off the display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory that should be used to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness to use to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit]<eXit> :

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Linear, Disk, Rect, Sphere, Cylinder] <Sphere>:

Specify the sample size by entering a .

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No]<No>:

Attenuation

Enter an option to change [attenuation Type/Use limits/attenuation start Limit/attenuation End limit/eXit]<eXit>:

Attenuation Type

Controls how light diminishes over distance. The farther away an object is from a point light, the darker the object appears. Attenuation is also known as decay.

Enter attenuation type [None/Inverse linear/inverse Squared] <Inverse linear>:

  • None. Sets no attenuation. Objects far from the point light are as bright as objects close to the light.
  • Inverse Linear. Sets attenuation to be the inverse of the linear distance from the light. For example, at a distance of 2 units, light is half as strong as at the point light; at a distance of 4 units, light is one quarter as strong. The default value for inverse linear is half the maximum intensity.
  • Inverse Squared. Sets attenuation to be the inverse of the square of the distance from the light. For example, at a distance of 2 units, light is one quarter as strong as at the point light; at a distance of 4 units, light is one sixteenth as strong.
Use Limits

Specifies whether to use limits or not.

Limits [oN/oFf] <Off>:

Attenuation Start Limit

Specifies the point where light starts as an offset from the center of the light. The default is 0.

Specify start limit offset <1.0000>:

Attenuation End Limit

Specifies the point where light ends as an offset from the center of the light. No light is cast beyond this point. Setting an end limit increases performance where the effect of lighting is so minimal that the calculations are wasted processing time.

Specify end limit offset <10.0000>:

Color/Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]<255,255,255>:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L) <0,0,100>:

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


TASKBAR (Quick Reference)

TARGETPOINT
TASKBAR
TEXT
Commands > T commands >
TASKBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls how drawings are displayed on the Windows taskbar.

Command entry: taskbar

Enter new value for Taskbar <0>: Enter 1 to display multiple open drawings as separate items on the Windows taskbar

The default setting, 0, displays only the name of the current drawing on the Windows taskbar.


TEXT (Quick Reference)

TASKBAR
TEXT
Text Shortcut Menu
Commands > T commands >
TEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a single-line text object.

Access Methods

Button

Ribbon: Home tab [image] Annotation panel [image] Single Line TextNot available on the ribbon in the current workspace.
Menu: Draw [image] Text [image] Single Line TextNot available in menus in the current workspace
Command entry: text

Current text style: <current> Current text height: <current> Annotative: <current>

Specify start point of text or [Justify/Style]: Specify a point or enter an option

You can use single-line text to create one or more lines of text, where each text line is an independent object that you can relocate, reformat, or otherwise modify.

The TEXT command creates a single-line text object. It displays a simplified version of the In-Place Text Editor that consists of a bounding box that is the height of the text and expands as you type. Right-click to select options on the shortcut menu.

If TEXT was the last command entered, pressing ENTER at the Specify Start Point of Text prompt skips the prompts for paper height and rotation angle. The text that you enter in the In-Place Text Editor for single-line text is placed directly beneath the previous line of text. The point that you specified at the prompt is also stored as the insertion point of the text.

If the DTEXTED system variable is set to 1, text created using TEXT or DTEXT displays the Edit Text dialog box.

If DTEXTED is set to 2, the In-Place Text Editor is displayed. When creating text, you can click anywhere in a drawing to create a new text block. You can also use the keyboard to move among text blocks (for example: for new text created using the TEXT command, you can navigate through text groups by pressing TAB or Shift+TAB, or edit a group of text lines by pressing ALT and clicking each text object.)

NoteText that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.

You can enter special characters and format text by entering Unicode strings and control codes.

Use -TEXT to honor the TEXTEVAL system variable.

DTEXT is the same as TEXT.

Start Point

Specifies a start point for the text object.

Specify height <current>: Specify a point (1), enter a value, or press ENTER

The SpecifyHeight prompt is displayed only if the current text style is not annotative and does not have a fixed height.

Specify paper text height <current>: Specify a height, or press ENTER

The Specify Paper Text Height prompt is displayed only if the current text style is annotative.

Specify rotation angle of text <current>: Specify an angle or press ENTER

Enter text in the In-Place Text Editor for single-line text.

Justify

Controls justification of the text.

Enter an option [Align/Fit/Center/Middle/Right/TL/TC/TR/ML/MC/MR/BL/BC/BR]:

You can also enter any of these options at the Specify Start Point of Text prompt.

Align

Specifies both text height and text orientation by designating the endpoints of the baseline.

Specify first endpoint of text baseline: Specify a point (1)

Specify second endpoint of text baseline: Specify a point (2)

Enter text in the In-Place Text Editor for single-line text.

The size of the characters adjusts in proportion to their height. The longer the text string, the shorter the characters.

Fit

Specifies that text fits within an area and at an orientation defined with two points and a height. Available for horizontally oriented text only.

Specify first endpoint of text baseline: Specify a point (1)

Specify second endpoint of text baseline: Specify a point (2)

Specify height <current>:

Enter text in the In-Place Text Editor for single-line text.

The height is the distance in drawing units that the uppercase letters extend from the baseline. Designated text height is the distance between the start point and a point you specify. The longer the text string, the narrower the characters. The height of the characters remains constant.

Center

Aligns text from the horizontal center of the baseline, which you specify with a point.

Specify center point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

The rotation angle specifies the orientation of the text baseline with respect to the center point. You can designate the angle by specifying a point. The text baseline runs from the start point toward the specified point. If you specify a point to the left of the center point, the text is drawn upside down.

Middle

Aligns text at the horizontal center of the baseline and the vertical center of the height you specify. Middle-aligned text does not rest on the baseline.

Specify middle point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

The Middle option differs from the MC option in that it uses the midpoint of all text, including descenders. The MC option uses the midpoint of the height of uppercase letters.

Right

Right-justifies the text at the baseline, which you specify with a point.

Specify right endpoint of text baseline: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

TL (Top Left)

Left-justifies text at a point specified for the top of the text. Available for horizontally oriented text only.

Specify top-left point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

TC (Top Center)

Centers text at a point specified for the top of the text. Available for horizontally oriented text only.

Specify top-center point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

TR (Top Right)

Right-justifies text at a point specified for the top of the text. Available for horizontally oriented text only.

Specify top-right point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

ML (Middle Left)

Left-justifies text at a point specified for the middle of the text. Available for horizontally oriented text only.

Specify middle-left point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

MC (Middle Center)

Centers the text both horizontally and vertically at the middle of the text. Available for horizontally oriented text only.

Specify middle-center point of text: Specify a point (1)

Specify height of text <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

The MC option differs from the Middle option in that it uses the midpoint of the height of uppercase letters. The Middle option uses the midpoint of all text, including descenders.

MR (Middle Right)

Right-justifies text at a point specified for the middle of the text. Available for horizontally oriented text only.

Specify middle-right point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

BL (Bottom Left)

Left-justifies text at a point specified for the baseline. Available for horizontally oriented text only.

Specify bottom-left point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

BC (Bottom Center)

Centers text at a point specified for the baseline. Available for horizontally oriented text only.

Specify bottom-center point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

BR (Bottom Right)

Right-justifies text at a point specified for the baseline. Available for horizontally oriented text only.

Specify bottom-right point of text: Specify a point (1)

Specify height <current>:

Specify rotation angle of text <current>:

Enter text in the In-Place Text Editor for single-line text.

Style

Specifies the text style, which determines the appearance of the text characters. Text you create uses the current text style.

Enter style name or [?] <current>: Enter a text style name or enter ? to list all text styles

Entering ? lists the current text styles, associated font files, height, and other parameters.


Text Shortcut Menu (Quick Reference)

TEXT
TEXT
Special Unicode Characters
Commands > T commands > TEXT >
Text Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options available for creating and modifying single-line text.

Opaque Background

When checked, makes the background of the editor opaque. By default, the editor is transparent.

Insert Field

Displays the Field dialog box, where you can select a field to insert in the text. When the dialog box closes, the current value of the field is displayed in the text.

Find and Replace

Displays the Replace dialog box.

Select All

Selects all the text in the single-line text object.

Change Case

Changes the case of selected text. Options are Uppercase and Lowercase.


Special Unicode Characters (Quick Reference)

Text Shortcut Menu
TEXT
Control Codes and Special Characters
Commands > T commands > TEXT >
Special Unicode Characters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When entering text, you can create special characters, including the degree symbol, plus/minus tolerance symbol, and the diameter symbol, by entering the following Unicode character strings:

\U+00B0

Degrees symbol (°)

\U+00B1

±±Tolerance symbol (±)

\U+2205

Diameter symbol ( [image] )

See Unicode Font Descriptions in the Customization Guide.


Control Codes and Special Characters (Quick Reference)

Special Unicode Characters
TEXT
TEXT and the TEXTEVAL System Variable
Commands > T commands > TEXT >
Control Codes and Special Characters
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

In addition to using Unicode characters for entering special characters, you can also overscore text, underscore text, or insert a special character by including control information in the text string. Use a pair of percent signs to introduce each control sequence.

You can use this control code with standard AutoCAD text fonts and Adobe PostScript fonts:

%%nnn

Draws character number nnn.

You can use these control codes with standard AutoCAD text fonts only:

%%o

Toggles overscoring on and off.

%%u

Toggles underscoring on and off.

%%d

Draws degrees symbol (°).

%%p

Draws plus/minus tolerance symbol (±).

%%c

Draws circle diameter dimensioning symbol (ý).

%%%

Draws a single percent sign (%). This is valid for the TEXT command only.

Overscoring and underscoring can be in effect at the same time. Both turn off automatically at the end of the text string.

You can use the %%nnn control sequence to display special characters using the PostScript fonts.

A sample drawing (truetype.dwg) showing the character map for each font is provided in the sample folder.

The Euro Symbol

You can use the euro symbol with .shx fonts and their TrueType equivalent fonts shipped with AutoCAD 2000 and later releases. If your keyboard does not contain a euro symbol, hold down the ALT key and enter 0128 on the numeric keypad.


TEXT and the TEXTEVAL System Variable (Quick Reference)

Control Codes and Special Characters
TEXT
TEXTEDIT
Commands > T commands > TEXT >
TEXT and the TEXTEVAL System Variable
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Entering -text at the Command prompt displays the same prompts as the TEXT command. Unlike the TEXT command, -TEXT honors the setting of the TEXTEVAL system variable. When the TEXTEVAL system variable is set to 2, AutoLISP® expressions are evaluated when the -TEXT command ends. AutoLISP expressions that are entered using this method must begin with an exclamation point or left parenthesis.

The TEXT command honors the TEXTEVAL system variable setting only if used in a script or AutoLISP expression and all the TEXT command prompts are included within the script or AutoLISP expression.


TEXTEDIT (Quick Reference)

TEXT and the TEXTEVAL System Variable
TEXTEDIT
TEXTSCR
Commands > T commands >
TEXTEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Edits a dimensional constraint, dimension, or text object.

Command entry: textedit

Select an annotation object:Select a text, dtext, mtext, dimensional, or dimensional constraint object to edit

Displays the in-place text editor, and updates the dimension text on exit.

The TEXTEDIT command works with TEXT, DTEXT, MTEXT, dimensions, and dimensional constraints.


TEXTSCR (Quick Reference)

TEXTEDIT
TEXTSCR
TEXTTOFRONT
Commands > T commands >
TEXTSCR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the text window.

Access Methods

Button

Ribbon: Tools tab [image] Window Elements panel [image] Text WindowNot available on the ribbon in the current workspace.
Menu: View [image] Display [image] Text WindowNot available in menus in the current workspace
Command entry: textscr (or 'textscr for transparent use)

The Command prompt is displayed in a separate window. You can press F2 to switch between the drawing area and the text window.

When the Command prompt is hidden, you can turn it back on by entering commandline in the text window.

This command is ignored on dual-screen systems.


TEXTTOFRONT (Quick Reference)

TEXTSCR
TEXTTOFRONT
THICKEN
Commands > T commands >
TEXTTOFRONT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Brings text and dimensions in front of all other objects in the drawing.

Menu: Tools [image] Draw Order [image] Bring Text and Dimensions to Front
Command entry: texttofront

Bring to front: [Text/Dimensions/Both]<Both>: Enter an option or press ENTER

Text

Brings all text in front of all other objects in the drawing.

Dimensions

Brings all dimensions in front of all other objects in the drawing.

Both

Brings all text and dimensions in front of all other objects in the drawing.


THICKEN (Quick Reference)

TEXTTOFRONT
THICKEN
TIFOUT
Commands > T commands >
THICKEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Converts a surface into a 3D solid with a specified thickness.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] ThickenNot available on the ribbon in the current workspace.
Menu: Modify [image] 3D Operations [image] ThickenNot available in menus in the current workspace
Command entry: thicken

Summary

Initially, the default thickness is not set to any value. During a drawing session, the default value for the thickness is always the previously entered thickness value.

A useful technique for modeling a complex 3D curved solid is to first create a surface and then convert it to a 3D solid with a thickness.

The DELOBJ system variable controls whether the object(s) you select are automatically deleted when the surface is created or whether you are prompted to delete the object(s).

If you select a mesh face to thicken, you can choose to convert the mesh object to a solid or surface before completing the operation.

List of Options

The following prompts are displayed.

Surfaces to thicken

Specifies one or more surfaces to thicken into solids.

Thickness

Sets a thickness value.


TIFOUT (Quick Reference)

THICKEN
TIFOUT
TIME
Commands > T commands >
TIFOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves selected objects to a file in TIFF file format.

Command entry: tifout

The Create Raster File dialog box (a standard file selection dialog box) is displayed. Enter the file name in the dialog box.

Select objects or <all objects and viewports>: Press ENTER to select all objects and viewports or use an object selection method and press ENTER

A TIFF file is created that contains the objects you select. The file reflects what is displayed on the screen.

NoteWhen the FILEDIA system variable is set to 0 (Off), command prompts are displayed.


TIME (Quick Reference)

TIFOUT
TIME
TINSERT
Commands > T commands >
TIME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays the date and time statistics of a drawing.

Access Methods

Button

Menu: Tools [image] Inquiry [image] TimeNot available in menus in the current workspace
Command entry: time (or 'time for transparent use)

TIME displays the following information:

Current time: Wednesday, December 31, 2003 9:54:51:406 AM

Times for this drawing:

Created: Friday, December 12, 2003 1:21:36:203 AM

Last Updated: Wednesday, December 31, 2003 9:49:19:208 AM

Total Editing Time: 0 days 06:44:10.520

Elapsed Timer (on): 0 days 00:07:05.312

Next Automatic Save In: 0 days 01:59:15.570

Enter option [Display/On/OFF/Reset]: Enter an option or press ENTER

Current Time

Displays the current date and time to the nearest millisecond using a 24-hour clock.

Created

Displays the date and time that the current drawing was created.

Last Updated

Displays the date and time of the latest update of the current drawing. This date and time is initially the drawing creation time. The time is revised whenever the drawing file is saved.

Total Editing Time

Displays the time spent editing the current drawing. This timer is updated by the program and cannot be reset or stopped. Plotting time is not included in the total editing time. If you quit the editing session without saving the drawing, the time you spent in the editing session is not added to the accumulated editing time.

Elapsed Timer

Runs as another timer while the program is running. You can turn it on and off or reset it whenever you like.

Next Automatic Save In

Indicates the time remaining until the next automatic save. You can set the time interval using OPTIONS or the SAVETIME system variable.

Display

Repeats the display with updated times.

On

Starts the user elapsed timer if it was off.

Off

Stops the user elapsed timer.

Reset

Resets the user elapsed timer to 0 days 00:00:00.000.


TINSERT (Quick Reference)

TIME
TINSERT
Insert a Block in a Table Cell Dialog Box
Commands > T commands >
TINSERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a block in a table cell.

Shortcut menu: With a cell in a table selected, right-click and click Insert Block on the shortcut menu.
Command entry: tinsert

The Insert a Block in a Table Cell dialog box is displayed.


Insert a Block in a Table Cell Dialog Box (Quick Reference)

TINSERT
TINSERT
TOLERANCE
Commands > T commands > TINSERT >
Insert a Block in a Table Cell Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: With a cell in a table selected, right-click and click Insert Block on the shortcut menu.
Command entry: tinsert

Specifies options for inserting a block in a table cell.

Scale

Specifies the scale for the block reference. Enter a value or select AutoFit to scale the block to fit in the selected cell.

Rotation Angle

Specifies a rotation angle for the block.

Cell Alignment

Specifies alignment for the block in the table cell. The block is middle-, top-, or bottom-aligned with respect to the top and bottom borders of the cell. The block is center-, left-, or right-aligned with respect to the left and right borders of the cell.


TOLERANCE (Quick Reference)

Insert a Block in a Table Cell Dialog Box
TOLERANCE
Geometric Tolerance Dialog Box
Commands > T commands >
TOLERANCE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates geometric tolerances contained in a feature control frame.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ToleranceNot available on the ribbon in the current workspace.
Menu: Dimension [image] ToleranceNot available in menus in the current workspace
Toolbar: Dimension
Command entry: tolerance

Summary

The Geometric Tolerance dialog box is displayed.

Geometric tolerances show acceptable deviations of form, profile, orientation, location, and runout. Feature control frames can be created with leader lines using TOLERANCE, LEADER, or QLEADER.


Geometric Tolerance Dialog Box (Quick Reference)

TOLERANCE
TOLERANCE
Symbol Dialog Box
Commands > T commands > TOLERANCE >
Geometric Tolerance Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies the symbols and values for a feature control frame.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ToleranceNot available on the ribbon in the current workspace.
Menu: Dimension [image] ToleranceNot available in menus in the current workspace
Toolbar: Dimension
Command entry: tolerance

Summary

After you select geometric characteristic symbols, the Geometric Tolerance dialog box closes and the following prompt is displayed:

List of Prompts

Enter tolerance location: Specify a location

The feature control frame is placed at the specified location.

Sym

Displays the geometric characteristic symbol, which you select from the Symbol dialog box. The dialog box is displayed when you select one of the Sym boxes.

Tolerance 1

Creates the first tolerance value in the feature control frame. The tolerance value indicates the amount by which the geometric characteristic can deviate from a perfect form. You can insert a diameter symbol before the tolerance value and a material condition symbol after it.

First Box

Inserts a diameter symbol in front of the tolerance value. Click the box to insert the diameter symbol.

Second Box

Creates the tolerance value. Enter a value in the box.

Third Box

Displays the Material Condition dialog box, in which you select a modifying symbol. These symbols act as modifiers to the geometric characteristic and the tolerance value of features that can vary in size.

Select the symbol you want to use. The dialog box closes. The symbol is inserted into the MC box for the first tolerance value in the Geometric Tolerance dialog box.

Tolerance 2

Creates the second tolerance value in the feature control frame. Specify the second tolerance value in the same way as the first.

Datum 1

Creates the primary datum reference in the feature control frame. The datum reference can consist of a value and a modifying symbol. A datum is a theoretically exact geometric reference used to establish the tolerance zone for a feature.

First Box

Creates the datum reference value. Enter a value in the box.

Second Box

Displays the Material Condition dialog box, in which you select a modifying symbol. These symbols act as modifiers to the datum reference.

Select the symbol you want to use. The dialog box closes. The symbol is inserted into the MC box for the primary datum reference in the Geometric Tolerance dialog box.

Datum 2

Creates the secondary datum reference in the feature control frame in the same way as the primary datum reference.

Datum 3

Creates the tertiary datum reference in the feature control frame in the same way as the primary datum reference.

Height

Creates a projected tolerance zone value in the feature control frame. A projected tolerance zone controls the variation in height of the extended portion of a fixed perpendicular part and refines the tolerance to that specified by positional tolerances. Enter a value in the box.

Projected Tolerance Zone

Inserts a projected tolerance zone symbol after the projected tolerance zone value.

Datum Identifier

Creates a datum-identifying symbol consisting of a reference letter. A datum is a theoretically exact geometric reference from which you can establish the location and tolerance zones of other features. A point, line, plane, cylinder, or other geometry can serve as a datum. Enter the letter in the box.


Symbol Dialog Box (Quick Reference)

Geometric Tolerance Dialog Box
TOLERANCE
Material Condition Dialog Box
Commands > T commands > TOLERANCE >
Symbol Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays the geometric characteristic symbols for location, orientation, form, profile, and runout.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ToleranceNot available on the ribbon in the current workspace.
Menu: Dimension [image] ToleranceNot available in menus in the current workspace
Toolbar: Dimension
Command entry: tolerance

Summary

Select the symbol you want to use. The dialog box closes. The symbol is inserted into the Sym text box in the Geometric Tolerance dialog box. The following table describes the symbols.

Geometric characteristic symbols
Symbol | Characteristic | Type
 | Position | Location
 | Concentricity or coaxiality | Location
 | Symmetry | Location
 | Parallelism | Orientation
 | Perpendicularity | Orientation
 | Angularity | Orientation
 | Cylindricity | Form
 | Flatness | Form
 | Circularity or roundness | Form
 | Straightness | Form
 | Profile of a surface | Profile
 | Profile of a line | Profile
 | Circular runout | Runout
 | Total runout | Runout


Material Condition Dialog Box (Quick Reference)

Symbol Dialog Box
TOLERANCE
TOOLBAR
Commands > T commands > TOLERANCE >
Material Condition Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies a modifying symbol. These symbols act as modifiers to the geometric characteristic and the tolerance value of features that can vary in size.

Access Methods

Button

Ribbon: Annotate tab [image] Dimensions panel [image] ToleranceNot available on the ribbon in the current workspace.
Menu: Dimension [image] ToleranceNot available in menus in the current workspace
Toolbar: Dimension
Command entry: tolerance

Summary

Select the symbol you want to use. The dialog box closes. The symbol is inserted into the MC box for the first or second tolerance value in the Geometric Tolerance dialog box.


TOOLBAR (Quick Reference)

Material Condition Dialog Box
TOOLBAR
-TOOLBAR
Commands > T commands >
TOOLBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays, hides, and customizes toolbars.

Menu: View [image] ToolbarsAt the Command prompt, enter toolbar.
Shortcut menu: Right-click any toolbar and choose Customize.
Command entry: toolbar

The Customize User Interface dialog box (see CUI) is displayed.

If you enter -toolbar at the Command prompt, options are displayed.


-TOOLBAR (Quick Reference)

TOOLBAR
TOOLBAR
TOOLPALETTES
Commands > T commands > TOOLBAR >
-TOOLBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -toolbar at the Command prompt, the following prompts are displayed.

Enter toolbar name or [ALL]: Enter a name or enter all

Toolbar Name

Specifies a toolbar to display, close, or position.

Enter a valid toolbar name. If the default menu is loaded, the following names are available:

3d_navigation | layers | orbit | styles
cad_standards | layers_ii | parametric | text
camera_adjustment | layouts | properties | ucs
dimension | lights | refedit | ucs_ii
dimensional_constraints | mapping | reference | view
draw | measurement_tools | render | viewports
draw_order | modeling | smooth_mesh | visual_styles
find_text | modify | smooth_mesh_properties | walk_and_fly
geometric_constraint | modify_ii | solid_editing | web
inquiry | multileader | standard | workspaces
insert | object_snap | standard_annotation | zoom

Enter an option [Show/Hide/Left/Right/Top/Bottom/Float] <Show>: Enter an option or press ENTER

Show

Displays the specified toolbar.

Hide

Closes the specified toolbar.

Left

Docks the specified toolbar at the left side of the screen.

Enter new position (horizontal, vertical) <0,0>: Specify a position or press ENTER

The Enter New Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Right

Docks the specified toolbar at the right side of the screen.

Enter new position (horizontal, vertical) <0,0>: Specify a position or press ENTER

The Enter New Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Top

Docks the specified toolbar at the top of the screen.

Enter new position (horizontal, vertical) <0,0>: Specify a position or press ENTER

The Enter New Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Bottom

Docks the specified toolbar at the bottom of the screen.

Enter new position (horizontal, vertical) <0,0>: Specify a position or press ENTER

The Enter New Position prompt sets the position of the toolbar in columns and rows relative to a toolbar dock. The first value is horizontal. The second value is vertical.

Float

Changes the toolbar from docked to floating.

Enter new position (screen coordinates) <0,0>: Specify a position or press ENTER

Enter number of rows for toolbar <1>: Enter a value

The Enter New Position prompt specifies the location of the floating toolbar in screen coordinate values. The Enter Number of Rows for Toolbar prompt specifies the number of rows in the floating toolbar.

All

Displays or closes all toolbars.

Enter an option [Show/Hide]: Enter s or h

Show

Displays all toolbars.

Hide

Closes all toolbars.


TOOLPALETTES (Quick Reference)

-TOOLBAR
TOOLPALETTES
View Options Dialog Box
Commands > T commands >
TOOLPALETTES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the Tool Palettes window.

Button

Ribbon: View tab [image] Palettes panel [image] Tool Palettes
Toolbar: Standard
Menu: Tools [image] Palettes [image] Tool Palettes
Command entry: toolpalettes

Use tool palettes to organize blocks, hatches, and custom tools in a tabbed window. Various options and settings are accessible from shortcut menus that display when you right-click different areas of the Tool Palettes window.

Options on these shortcut menus are listed alphabetically below

NoteTool palettes can be used only in the version of the product in which they were created. For example, you cannot use a tool palette that was created in AutoCAD 2010 in AutoCAD 2007.
Add Text

Inserts a text entry box at the cursor location, where you can add a label that helps organize palette contents.

Add Separator

Adds a tool palette separator line at the location of the cursor.

All Palettes

Displays all tool palette tabs in the palette window.

Allow Docking

Toggles the ability to dock or anchor palette windows. If this option is selected, a window can be docked when you drag it over a docking area at the side of a drawing. A docked window adheres to the side of the application window and causes the drawing area to be resized. Selecting this option also makes Anchor Right and Anchor Left available. Clear this option to undock a docked tool palette.

Anchor Left/ Anchor Right

Attaches the palette to an anchor tab base at the left or right side of the drawing area. An anchored palette rolls open and closed as the cursor moves across it. When an anchored palette is open, its content overlaps the drawing area. An anchored palette cannot be set to stay open.

Auto-hide

A setting that causes a floating window to roll open and closed as the cursor moves across it. When this option is cleared, the full tool palette stays open continuously.

Close

Closes the tool palette window.

Copy

Copies the selected tool to the Clipboard.

Customize Commands

Displays the Customize User Interface Dialog Box.

Customize Palettes

Displays the Customize dialog box.

Cut

Removes the selected tool from the tool palette and places it on the Clipboard.

Delete

Removes the selected tool from the tool palette.

Delete Palette

Removes the current palette.

Dynamic Blocks

Displays the palette tabs containing dynamic blocks.

Move

Changes the cursor to a four-direction arrow.

Move Up

Moves the selected tool palette up one position.

Move Down

Moves the selected tool palette down one position.

New Palette

Creates a new palette. Enter a name or press ENTER to use the default name.

Paste

Pastes a tool from the Clipboard to the current tab.

Properties

Displays the Tool Properties dialog box, where you can change the properties of the selected tool.

Rename

Renames the selected tool.

Rename Palette

Renames the current palette.

Samples

Displays the Samples tool palette.

Sort By

Specifies whether palette contents are sorted by name or by type.

Size

Changes the cursor to a four-direction arrow. Drag the right edge or the bottom edge of the tool palette to change its size.

Transparency

Displays the Transparency dialog box.

View Options

Displays the View Options dialog box, where you can control how tools are displayed.


View Options Dialog Box (Quick Reference)

TOOLPALETTES
TOOLPALETTES
Tool Properties Dialog Box
Commands > T commands > TOOLPALETTES >
View Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click a blank area or a tab on a tool palette and click View Options.

Controls the display of tools in the current tool palette or in all tool palettes.

Image Size

Controls the display size of the selected tool palette icon.

View Style

Controls the text displayed with a tool palette icon.

Icon Only

Displays the tool icon only.

Icon with Text

Displays the tool icon with the tool name below.

List View

Displays the tool icon with the tool name to the right.

Apply To

Controls whether the view options are applied to the current tool palette or to all tool palettes in the Tool Palettes window.


Tool Properties Dialog Box (Quick Reference)

View Options Dialog Box
TOOLPALETTES
Add Actions Dialog Box
Commands > T commands > TOOLPALETTES >
Tool Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click a tool on a tool palette and click Properties.

Controls the properties associated with the selected tool. The types of properties that are displayed will vary depending on the type of tool that is selected. In addition the following controls are displayed:

Image

Displays the icon of the selected tool.

Name

Displays the name of the selected tool. This can be edited.

Description

Displays a description of the selected tool.

Tool Palettes - Materials

When the Tool Palettes - Materials is displayed and a material tool is slected with the right-click Properties is one of the options. By selecting properties the the Tool Properties dialog box displayes the settings from Materials window.


Add Actions Dialog Box (Quick Reference)

Tool Properties Dialog Box
TOOLPALETTES
TOOLPALETTESCLOSE
Commands > T commands > TOOLPALETTES >
Add Actions Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Adds actions to a parameter or parameter set in the Block Authoring Palettes in the Block Editor.

Action Object to Add

Specifies the action to add to the parameter or parameter set.

Action Object List

Lists the actions associated with the selected parameter or parameter set.

Add

Adds the action specified in the Action Object to Add box to the parameter or parameter set.

Delete

Deletes the selected action from the parameter or parameter set.


TOOLPALETTESCLOSE (Quick Reference)

Add Actions Dialog Box
TOOLPALETTESCLOSE
TORUS
Commands > T commands >
TOOLPALETTESCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Closes the Tool Palettes window.

Menu: Tools [image] Tool Palettes WindowNot available on menus in the current workspace.
Command entry: toolpalettesclose

Closes the Tool Palettes window.


TORUS (Quick Reference)

TOOLPALETTESCLOSE
TORUS
TPNAVIGATE
Commands > T commands >
TORUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a donut-shaped 3D solid.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] TorusNot available on the ribbon in the current workspace.
Menu: Draw [image] Modeling [image] TorusNot available in menus in the current workspace
Toolbar: Modeling
Command entry: torus

Specify center point or [3P/2P/TTR]: Specify a point (1) or or enter an option

You can create a torus by specifying the center, then the radius or diameter of the torus, and then the radius or diameter of the tube that surrounds the torus. You can control the smoothness of curved 3D solids, such as a torus, in a shaded or hidden visual style with the FACETRES system variable.

When you specify the center point, the torus is positioned so that its central axis is parallel to the Z axis of the current user coordinate system (UCS). The torus is parallel to and bisected by the XY plane of the current workplane.

Specify radius or [Diameter] <default>: Specify a distance or enter d

Initially, the default radius is not set to any value. During a drawing session, the default value for the radius is always the previously entered radius value for any solid primitive.

3P (Three Points)

Defines the circumference of the torus with three points that you specify. The three specified points also define the plane of the circumference.

Specify first point: Specify a point (1)

Specify second point: Specify a point (2)

Specify third point: Specify a point (3)

2P (Two Points)

Defines the circumference of the torus with two points that you specify. The plane of the circumference is defined by the Z value of the first point.

Specify first endpoint of diameter: Specify a point (1)

Specify second endpoint of diameter: Specify a point (2)

TTR (Tangent, Tangent, Radius)

Defines the torus with a specified radius tangent to two objects. The specified tangency points are projected onto the current UCS.

Specify point on object for first tangent: Select a point on an object

Specify point on object for second tangent: Select a point on an object

Specify radius <default>: Specify a radius or press ENTER to specify the default radius value

Initially, the default radius is not set to any value. During a drawing session, the default value for the radius is always the previously entered radius value for any solid primitive.

Radius

Defines the radius of the torus: the distance from the center of the torus to the center of the tube. A negative radius creates a solid shaped like an American football.

Specify tube radius or [Diameter] <default>: Specify a distance or enter d

Initially, the default radius is not set to any value. During a drawing session, the default value for the radius is always the previously entered radius value for any solid primitive.

Radius

Defines the radius of the tube.

Diameter

Defines the diameter of the tube.

Specify tube diameter: Specify a nonzero distance

Diameter

Defines the diameter of the torus.

Specify diameter <default>: Specify a distance

Initially, the default diameter is not set to any value. During a drawing session, the default value for the diameter is always the previously entered diameter value for any solid primitive.

Specify tube radius or [Diameter]: Specify a distance or enter d

Radius

Defines the radius of the tube.

Diameter

Defines the diameter of the tube.

Specify tube diameter: Specify a nonzero distance


TPNAVIGATE (Quick Reference)

TORUS
TPNAVIGATE
TRACE
Commands > T commands >
TPNAVIGATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a specified tool palette or palette group.

Command entry: tpnavigate

Specify tool palette to display or [palette Group]: Enter a tool palette name, or enter g

Tool Palette Name

Displays the specified tool palette.

Specifying a tool palette that is not part of the current group, displays the specified palette and its palette group.

Palette Group

Displays the following prompt.

Specify palette group to display: Enter the name of a valid tool palette group.

Displays the specified tool palette group. The initial prompt repeats so you can specify a tool palette name.

NoteTPNAVIGATE opens the Tool Palettes window if closed.


TRACE (Quick Reference)

TPNAVIGATE
TRACE
TRANSPARENCY
Commands > T commands >
TRACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates solid lines.

Command entry: trace

Specify trace width <current>: Specify a distance or press ENTER

Specify start point: Specify a point (1)

Specify next point: Specify a point (2)

Specify next point: Specify a point (3) or press ENTER to end the command

The endpoints of a trace are on the center line and are always cut square. TRACE automatically calculates the correct bevels for connection to adjacent segments. Each segment is drawn after you either specify the next segment or press ENTER. Because of the way bevels are handled, TRACE has no undo option.

Traces are solid filled when Fill mode is on. When Fill mode is off, only the outline of a trace is displayed.


TRANSPARENCY (Quick Reference)

TRACE
TRANSPARENCY
TRAYSETTINGS
Commands > T commands >
TRANSPARENCY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls whether background pixels in an image are transparent or opaque.

Toolbar: Reference
Menu: Modify [image] Object [image] Image [image] TransparencyAt the Command prompt, enter transparency.
Shortcut menu: Select an image, right-click in the drawing area, and click Image [image] Transparency.
Command entry: transparency

Select image(s):

Enter transparency mode [ON/OFF] <current>: Enter an option or press ENTER

On

Turns transparency on so that objects beneath the image are visible.

Off

Turns transparency off so that objects beneath the image are not visible.

NoteThe PALETTEOPAQUE system variable controls whether dockable windows can be made transparent.


TRAYSETTINGS (Quick Reference)

TRANSPARENCY
TRAYSETTINGS
Tray Settings Dialog Box
Commands > T commands >
TRAYSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of icons and notifications in the status bar tray.

Access Methods

Button

Ribbon: View tab [image] Windows panel [image] Status Bar
Shortcut menu: Right-click the status bar and click Tray Settings.
Command entry: traysettings

The Tray Settings dialog box is displayed.


Tray Settings Dialog Box (Quick Reference)

TRAYSETTINGS
TRAYSETTINGS
TREESTAT
Commands > T commands > TRAYSETTINGS >
Tray Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Windows panel [image] Status Bar
Shortcut menu: Right-click the status bar and click Tray Settings.
Command entry: traysettings

Controls the display of icons and notifications in the tray at the right end of the status bar.

Display Icons from Services

Displays the tray at the right end of the status bar and displays icons from services. When this option is cleared, the tray is not displayed.

Display Notifications from Services

Displays notifications from services. When the Display Icons from Services option is cleared, this option is unavailable.

Display Time

Sets the time in seconds that a notification is displayed.

Display Until Closed

Displays a notification until you click the Close button.


TREESTAT (Quick Reference)

Tray Settings Dialog Box
TREESTAT
TRIM
Commands > T commands >
TREESTAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays information about the drawing's current spatial index.

Command entry: treestat (or 'treestat for transparent use)

The program indexes objects in a region by recording their positions in space. The result is called a spatial index. The spatial index is tree structured and has branching nodes to which objects are attached. The index has two major branches. The paper space branch is called a quad-tree and treats objects as two-dimensional. The model space branch is called an oct-tree and treats objects as either two- or three-dimensional. The model space branch can also be changed to a quad-tree when you are working on two-dimensional drawings.

TREESTAT displays information about each branch. The most important information is in the first two lines of the report—number of nodes, number of objects, maximum depth of the branch, and average number of objects per node.

If REDRAW and object selection are very slow, you can improve their performance. For example, if there are 50 megabytes of memory available and the current drawing has 50,000 objects with only 1,000 nodes in the index tree, increase the TREEDEPTH value to improve performance.

Each node consumes about 80 bytes of memory. The fewer objects per node of the oct-tree, the better the performance.


TRIM (Quick Reference)

TREESTAT
TRIM
U
Commands > T commands >
TRIM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Trims objects to meet the edges of other objects.

Access Methods

Button

Ribbon: Home tab [image] Modify panel [image] TrimNot available on the ribbon in the current workspace.
Menu: Modify [image] TrimNot available in menus in the current workspace
Toolbar: Modify
Command entry: trim

To trim objects, select the boundaries. Then press ENTER and select the objects that you want to trim. To use all objects as boundaries, press ENTER at the first Select Objects prompt.

Current settings: Projection = current, Edge = current

Select cutting edges...

Select objects or <select all>: Select one or more objects and press ENTER, or press ENTER to select all displayed objects

Select the objects that define the cutting edges to which you want to trim an object, or press ENTER to select all displayed objects as potential cutting edges. TRIM projects the cutting edges and the objects to be trimmed onto the XY plane of the current user coordinate system (UCS).

NoteTo select cutting edges that include blocks, you can use only the single selection, Crossing, Fence, and Select All options.

Select object to trim or shift-select to extend or [Fence/Crossing/Project/Edge/eRase/Undo]: Select an object to trim, hold down SHIFT and select an object to extend it instead, or enter an option

Specify an object selection method to select the objects to trim. If more than one trim result is possible, the location of the first selection point determines the result.

Object to Trim

Specifies the object to trim. The prompt for selecting the object to trim repeats so you can trim multiple objects. Press ENTER to exit the command.

Shift-Select to Extend

Extends the selected objects rather than trimming them. This option provides an easy method to switch between trimming and extending.

Fence

Selects all objects that cross the selection fence. The selection fence is a series of temporary line segments that you specify with two or more fence points. The selection fence does not form a closed loop.

Specify first fence point: Specify the starting point of the selection fence

Specify next fence point or [Undo]: Specify the next point of the selection fence or enter u

Specify next fence point or [Undo]: Specify the next point of the selection fence, enter u, or press ENTER

Crossing

Selects objects within and crossing a rectangular area defined by two points.

Specify first corner: Specify a point

Specify opposite corner: Specify a point at a diagonal from the first point

NoteSome crossing selections of objects to be trimmed are ambiguous. TRIM resolves the selection by following along the rectangular crossing window in a clockwise direction from the first point to the first object encountered.

Project

Specifies the projection method used when trimming objects.

Enter a projection option [None/Ucs/View] <current>: Enter an option or press ENTER

None

Specifies no projection. The command trims only objects that intersect with the cutting edge in 3D space.

UCS

Specifies projection onto the XY plane of the current UCS. The command trims objects that do not intersect with the cutting edge in 3D space.

View

Specifies projection along the current view direction. The command trims objects that intersect the boundary in the current view.

Edge

Determines whether an object is trimmed at another object's extrapolated edge or only to an object that intersects it in 3D space.

Enter an implied edge extension mode [Extend/No extend] <current>: Enter an option or press ENTER

Extend

Extends the cutting edge along its natural path to intersect an object in 3D space.

No Extend

Specifies that the object is trimmed only at a cutting edge that intersects it in 3D space.

NoteWhen trimming hatches, do not set Edge to Extend. If you do, gaps in the trim boundaries will not be bridged when trimming hatches, even when the gap tolerance is set to a correct value.

Erase

Deletes selected objects. This option provides a convenient method to erase unneeded objects without leaving the TRIM command.

Select objects to erase or <exit>: Use an object selection method and press ENTER to return to the previous prompt

Undo

Reverses the most recent change made by TRIM.


U commands

TRIM
Commands
U
Commands >
U commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • U

    Reverses the most recent operation.

  • UCS

    Manages user coordinate systems.

  • UCSICON

    Controls the visibility and placement of the UCS icon.

  • UCSMAN

    Manages defined user coordinate systems.

  • ULAYERS

    Controls the display of layers in a DWF, DWFx, PDF, or DGN underlay.

  • UNDEFINE

    Allows an application-defined command to override an internal command.

  • UNDO

    Reverses the effect of commands.

  • UNION

    Combines selected 3D solids, surfaces, or 2D regions by addition.

  • UNITS

    Controls coordinate and angle display formats and precision.

  • UPDATEFIELD

    Manually updates fields in selected objects in the drawing

  • UPDATETHUMBSNOW

    Manually updates thumbnail previews in the Sheet Set Manager and the Quick View tool.


U (Quick Reference)

TRIM
U
UCS
Commands > U commands >
U
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverses the most recent operation.

Toolbar: Standard
Shortcut menu: With no commands active and no objects selected, right-click in the drawing area and click Undo.
Command entry: u

You can enter u as many times as you wish, backing up one step at a time, until the drawing is as it was when you began the current editing session.

When an operation cannot be undone, the command name is displayed but no action is performed. Operations external to the current drawing, such as plotting or writing to a file, cannot be undone.

If you changed modes or used transparent commands during a command, their effects are undone, along with the effects of the main command.

You can also press Ctrl+Z to undo.

The U command is equivalent to entering undo 1.


UCS (Quick Reference)

U
UCS
UCSICON
Commands > U commands >
UCS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manages user coordinate systems.

Access Methods

Button

Ribbon: View tab [image] Coordinates panel [image] WorldNot available on the ribbon in the current workspace
Menu: Tools [image] New UCS [image] WorldNot available in menus in the current workspace
Toolbar: UCS
Command entry: ucs

Specify Origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis] <World>:

Specify Origin of UCS

Defines a new UCS using one, two, or three points. If you specify a single point, the origin of the current UCS shifts without changing the orientation of the X, Y, and Z axes.

Specify point on X-axis or <Accept>: Specify a second point or press Enter to limit input to a single point

If you specify a second point, the UCS rotates around the previously specified origin point such that the positive X axis of the UCS passes through the point.

Specify point on XY plane or <Accept>: Specify a third point or press Enter to limit input to two points

If you specify a third point, the UCS rotates around the X axis such that the positive Y half of the XY plane of the UCS contains the point.

The three points specify an origin point, a point on the positive X axis, and a point on the positive XY plane.

NoteIf you enter the coordinates for a point and you do not specify a Z coordinate value, the current Z value is used.

Face

Aligns the user coordinate system to a face on a 3D solid.

Select a face by clicking within the boundary or on an edge of the face. The UCS X axis is aligned with the closest edge of the original face selected.

Select face of solid object:

Enter an option [Next/Xflip/Yflip] <accept>:

Next

Locates the UCS on either the adjacent face or the back face of the selected edge.

Xflip

Rotates the UCS 180 degrees around the X axis.

Yflip

Rotates the UCS 180 degrees around the Y axis.

Accept

If you press Enter, accepts the location. The prompt repeats until you accept a location.

Named

Save and restore commonly used UCS orientations by name.

Enter an option [Restore/Save/Delete/?]: Specify an option

Restore

Restores a saved UCS so that it becomes the current UCS.

Enter name of UCS to restore or [?]: Enter a name or enter ?

Name

Specifies a named UCS.

?—List UCSs

Lists the names of currently defined UCSs.

Enter UCS name(s) to list <*>: Enter a name list or press Enter to list all UCSs

Save

Saves the current UCS to a specified name. The name can have up to 255 characters and can include letters, numbers, blank spaces, and any special character not used by Microsoft® Windows® and this program for other purposes.

Enter name to save current UCS or [?]: Enter a name or enter ?

Name

Saves the current UCS with the specified name.

?—List UCSs

Lists the names of currently defined UCSs.

UCS name(s) to list <*>: Enter a name list or press Enter to list all UCSs

Delete

Removes the specified UCS from the list of saved user coordinate systems.

Enter UCS name(s) to delete <none>: Enter a name list or press Enter

If you delete a named UCS that is current, the current UCS is renamed UNNAMED.

?—List UCSs

Lists names of user coordinate systems and provides the origin and X, Y, and Z axes for each saved UCS relative to the current UCS. If the current UCS is unnamed, it is listed as WORLD or UNNAMED, depending on whether it's the same as the WCS.

UCS name(s) to list <*>: Enter a name list

Object

Aligns the user coordinate system to a selected object.

The positive Z axis of the UCS is aligned perpendicular to the plane in which the object was originally created.

Select object to align UCS: Select an object

The following objects cannot be used with this option: 3D polylines, 3D meshes, and xlines.

For most objects, the origin of the new UCS is located at the nearest vertex to where you select the object, and the X axis is aligned with an edge or is tangent to an edge. For planar objects, the XY plane of the UCS is aligned with the plane in which the object is located. For complex objects, the origin is relocated, but the current orientation of the axes is maintained.

The new UCS is defined as shown in the following table.

Define a UCS by selecting an object
Object | Method of determining UCS
Arc | The center of the arc becomes the new UCS origin. The X axis passes through the arc endpoint that is closest to the selection point.
Circle | The center of the circle becomes the new UCS origin. The X axis passes through the selection point.
Dimension | The midpoint of the dimension text becomes the new UCS origin. The direction of the new X axis is parallel to the X axis of the UCS in effect when the dimension was drawn.
Line | The endpoint nearest the selection point becomes the new UCS origin. The new X axis is set so that the line lies in the XZ plane of the new UCS. The line's second endpoint has a Y coordinate of zero in the new UCS.
Point | The point becomes the new UCS origin.
2D polyline | The start point of the polyline is the new UCS origin. The X axis extends along the line segment from the start point to the next vertex.
Solid | The first point of the solid determines the new UCS origin. The new X axis lies along the line between the first two points.
Trace | The “from” point of the trace becomes the UCS origin, with the X axis lying along its centerline.
3D face | The new UCS origin is taken from the first point, the X axis from the first two points, and the Y positive side from the first and fourth points. The Z axis follows by application of the right-hand rule.
Shape, text, block reference, attribute definition | The insertion point of the object becomes the new UCS origin, and the new X axis is defined by the rotation of the object about its extrusion direction. The object you select to establish a new UCS has a rotation angle of zero in the new UCS.

Previous

Restores the previous UCS.

The last 10 user coordinate systems created in model space and the last 10 created in paper space layouts are retained. Repeating this option steps back through one set or the other, depending on which space is current.

If you have saved different UCS settings in individual viewports and you switch between viewports, the different UCSs are not retained in the Previous list. However, if you change a UCS setting within a viewport, the last UCS setting is retained in the Previous list. For example, changing the UCS from World to UCS1 would retain World at the top of the Previous list. If you then switch viewports with Front as the current UCS, and then change the UCS to Right, the Front UCS is retained at the top of the Previous list. If you then choose the UCS Previous option twice in this viewport, the UCS setting changes to Front, and then back to World. See the UCSVP system variable.

View

Aligns the XY plane of the user coordinate system to a plane perpendicular to your viewing direction. The origin point remains unchanged, but the X and Y axes become horizontal and vertical.

World

Sets the current user coordinate system to the world coordinate system (WCS).

The WCS is the basis for all user coordinate systems and cannot be redefined.

X, Y, Z

Rotates the current UCS about a specified axis.

Specify rotation angle about n axis <0>: Specify an angle

In the prompt, n is X, Y, or Z. Enter a positive or negative angle to rotate the UCS.

Point your right thumb in the positive direction of the axis and curl your fingers. Your fingers indicate the positive rotation direction about the axis.

Point your right thumb in the positive direction of the X axis and curl your fingers. Your fingers indicate the positive rotation direction about the axis.

Point your right thumb in the positive direction of the Y axis and curl your fingers. Your fingers indicate the positive rotation direction about the axis.

Point your right thumb in the positive direction of the Z axis and curl your fingers. Your fingers indicate the positive rotation direction about the axis.

You can define any UCS by specifying an origin and one or more rotations around the X, Y, or Z axis.

Z Axis

Aligns the user coordinate system to a specified positive Z axis.

The UCS origin is moved to the first point specified and its positive Z axis passes through the second point specified.

Specify new origin point or [Object] <0,0,0>: Specify a point or enter o

Specify point on positive portion of Z-axis <current>: Specify a point

Object

Aligns the Z axis in the direction tangent to the endpoint nearest to where the object was selected. The positive Z axis points away from the object.

Select object: Select an open-ended object

Apply

Applies the current UCS setting to a specified viewport or all active viewports when other viewports have a different UCS saved in the viewport. The UCSVP system variable determines whether a UCS is saved with a viewport.

Pick viewport to apply current UCS or [All] <current>: Specify a viewport by clicking inside it, enter a, or press Enter

Viewport

Applies the current UCS to the specified viewport and ends the UCS command.

All

Applies the current UCS to all active viewports.


UCSICON (Quick Reference)

UCS
UCSICON
UCS Icon Dialog Box
Commands > U commands >
UCSICON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the visibility and placement of the UCS icon.

Access Methods

Button

Ribbon: View tab [image] Coordinates panel [image] Display UCS iconNot available on the ribbon in the current workspace
Menu: View [image] Display [image] UCS Icon [image] OnNot available in menus in the current workspace
Command entry: ucsicon

The UCS icon displays the orientation of the user coordinate system (UCS) axes and the location of the UCS origin. If the location of the UCS origin is not visible in a viewport, the UCS icon is displayed in the lower-left corner of the viewport instead.

A UCS can be stored with a viewport if the UCSVP system variable is set to 1 for that viewport.

Different coordinate system icons are displayed in paper space and model space. In both cases, a plus sign (+) appears at the base of the icon when it is positioned at the origin of the current UCS. The letter W appears in the Y portion of the icon if the current UCS is the same as the world coordinate system.

With the 3D UCS icon, a square is displayed in the XY plane at the origin when the UCS is the same as the world coordinate system.

A box is formed at the base of the icon if you are viewing the UCS from above (the positive Z direction). The box is missing if you are viewing the UCS from below.

With the 3D UCS icon, the Z axis is solid when viewed from above the XY plane and dashed when viewed from below the XY plane.

If the UCS is rotated so that the Z axis lies in a plane parallel to the viewing plane—that is, if the XY plane is edge-on to the viewer—the 2D UCS icon is replaced by a broken pencil icon.

The 3D UCS icon does not use a broken pencil icon.

Enter an option [ON/OFF/All/Noorigin/ORigin/Properties] <current>: Enter an option or press Enter

On

Displays the UCS icon.

Off

Turns off display of the UCS icon.

All

Applies changes to the icon in all active viewports. Otherwise, UCSICON affects only the current viewport.

Enter an option [ON/OFF/Noorigin/ORigin] <current>: Enter an option to apply to all active viewports or press Enter

No Origin

Displays the icon at the lower-left corner of the viewport regardless of the location of the UCS origin.

Origin

Displays the icon at the origin (0,0,0) of the current coordinate system. If the origin is off the screen, or if the icon cannot be positioned at the origin without being clipped at the viewport edges, the icon is displayed at the lower-left corner of the viewport.

Properties

Displays the UCS Icon dialog box, in which you can control the style, visibility, and location of the UCS icon.


UCS Icon Dialog Box (Quick Reference)

UCSICON
UCSICON
UCSMAN
Commands > U commands > UCSICON >
UCS Icon Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Coordinates panel [image] Display UCS iconNot available on the ribbon in the current workspace
Menu: View [image] Display [image] UCS Icon [image] OnNot available in menus in the current workspace
Command entry: ucsicon

Controls the display properties of the UCS icon.

UCS Icon Style

Specifies display of either the 2D or the 3D UCS icon and its appearance.

2D

Displays a 2D icon without a representation of the Z axis.

3D

Displays a 3D icon.

Cone

Displays 3D cone arrowheads for the X and Y axes if the 3D UCS icon is selected. If Cone is cleared, 2D arrowheads are displayed instead.

Line Width

Controls the line width of the UCS icon if the 3D UCS icon is selected. Available selections are 1, 2, or 3 pixels.

Preview

Displays a preview of the UCS icon in model space.

UCS Icon Size

Controls the size of the UCS icon as a percentage of viewport size. The default value is 12, and the valid range is from 5 to 95. Note that the size of the UCS icon is proportional to the size of the viewport in which it is displayed.

UCS Icon Color

Controls the colors of the UCS icon in model space viewports and in layout tabs.

Model Space Icon Color

Controls the color of the UCS icon in model space viewports. Click Select Color to open the Select Color dialog box.

You can use the Select Color dialog box to define the color of window elements by selecting from the 255 AutoCAD Color Index (ACI) colors.

Layout Tab Icon Color

Controls the UCS icon color in layout tabs. Click Select Color to open the Select Color dialog box.

You can use the Select Color dialog box to define the color of window elements by selecting from the 255 AutoCAD Color Index (ACI) colors.


UCSMAN (Quick Reference)

UCS Icon Dialog Box
UCSMAN
UCS Dialog Box
Commands > U commands >
UCSMAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manages defined user coordinate systems.

Access Methods

Button

Ribbon: View tab [image] Coordinates panel [image] NamedNot available on the ribbon in the current workspace
Menu: Tools [image] Named UCSNot available in menus in the current workspace
Toolbar: UCS
Command entry: ucsman

Summary

The UCS dialog box is displayed.


UCS Dialog Box (Quick Reference)

UCSMAN
UCSMAN
Orthographic UCS Depth Dialog Box
Commands > U commands > UCSMAN >
UCS Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: UCS
Menu: Tools [image] Named UCSAt the Command prompt, enter ucsman.
Command entry: ucsman

Lists, renames, and restores previously defined user coordinate systems, and controls UCS and UCS icon settings for viewports.

The UCS dialog box includes the following tabs:

  • Named UCSs
  • Orthographic UCSs
  • Settings

Named UCSs Tab (UCS Dialog Box)

Lists user coordinate systems and sets the current UCS.

Current UCS

Displays the name of the current UCS. If the UCS has not been saved and named, it is listed as UNNAMED.

UCS Names List

Lists the coordinate systems defined in the current drawing. If there are multiple viewports and multiple unnamed UCS settings, the list includes only the unnamed UCS of the current viewport. Unnamed UCS definitions that are locked to other viewports (when the UCSVP system variable is set to 1 in that viewport) are not listed in the current viewport. A pointer indicates the current UCS.

UNNAMED is always the first entry if the current UCS is unnamed. World is always listed and cannot be renamed or deleted. If you define other coordinate systems for the active viewport during the current editing session, a Previous entry is next. You can step back through these coordinate systems by selecting Previous and Set Current repeatedly.

To add a UCS name to this list, use the Save option of the UCS command. To rename or delete a customized UCS, right-click the UCS name in the list and use the shortcut menu.

Set Current

Restores the selected coordinate system. You can also restore a selected coordinate system by double-clicking its name in the list, or by right-clicking the name and choosing Set Current. The Current UCS text is updated.

Details

Displays the UCS Details dialog box, which displays UCS coordinate data. You can also view the details about a selected coordinate system by right-clicking the name and choosing Details.

Rename (Shortcut Menu Only)

Renames a customized UCS. You cannot rename the World UCS. You can also rename a UCS by double-clicking its name in the list.

Delete (Shortcut Menu Only)

Deletes a customized UCS. You cannot delete the World UCS.

Orthographic UCSs Tab (UCS Dialog Box)

Changes the UCS to one of the orthographic UCS settings.

Current UCS

Displays the name of the current UCS. If the UCS has not been saved and named, it is listed as UNNAMED.

Orthographic UCS Names

Lists the six orthographic coordinate systems defined in the current drawing. The orthographic coordinate systems are defined relative to the UCS specified in the Relative To list. The Depth column lists the distance between the orthographic coordinate system and the parallel plane passing through the origin of the UCS base setting (stored in the UCSBASE system variable).

Name

Specifies the name of the orthographic coordinate system.

Depth

Specifies the distance between the XY plane of the orthographic UCS and a parallel plane that passes through the origin of the coordinate system specified by the UCSBASE system variable. The parallel plane of the UCSBASE coordinate system can be an XY, YZ, or XZ plane.

NoteYou can specify the depth or a new origin for the selected orthographic UCS. See Depth option.

Set Current

Restores the selected coordinate system. You can also restore a selected coordinate system by double-clicking its name in the list, or by right-clicking the name and choosing Set Current.

Details

Displays the UCS Details dialog box, which displays UCS coordinate data. You can also view the details about a selected coordinate system by right-clicking the name and choosing Details.

Relative To

Specifies the base coordinate system for defining the orthographic UCSs. By default, WCS is the base coordinate system. The list displays all the named UCSs in the current drawing.

Whenever you change the Relative To setting, the origin of the selected orthographic UCS is restored to its default position.

If you save an orthographic coordinate system in a drawing as part of a viewport configuration, or if you select a setting in Relative To other than World, the orthographic coordinate system name changes to UNNAMED to distinguish it from the predefined orthographic coordinate system.

Reset (Shortcut Menu Only)

Restores the origin of the selected orthographic coordinate system. The origin is restored to its default location (0,0,0) relative to the specified base coordinate system.

Depth (Shortcut Menu or Double-Click)

Specifies the distance between the XY plane of the orthographic UCS and a parallel plane that passes through the origin of the coordinate system. In the Orthographic UCS Depth dialog box, enter a value or choose the Select New Origin button to use the pointing device to specify a new depth or a new origin.

Settings Tab (UCS Dialog Box)

Displays and modifies UCS icon settings and UCS settings saved with a viewport.

UCS Icon Settings

Specifies the UCS icon display settings for the current viewport.

On

Displays the UCS icon in the current viewport.

Display at UCS Origin Point

Displays the UCS icon at the origin of the current coordinate system in the current viewport. If this option is cleared, or if the origin of the coordinate system is not visible in the viewport, the UCS icon is displayed at the lower-left corner of the viewport.

Apply to All Active Viewports

Applies the UCS icon settings to all active viewports in the current drawing.

UCS Settings

Specifies UCS behavior when the UCS setting is updated.

Save UCS with Viewport

Saves the coordinate system setting with the viewport. This option sets the UCSVP system variable. If this option is cleared, the viewport reflects the UCS of the viewport that is current.

Update View to Plan When UCS Is Changed

Restores Plan view when the coordinate system in the viewport is changed. (UCSFOLLOW system variable)


Orthographic UCS Depth Dialog Box (Quick Reference)

UCS Dialog Box
UCSMAN
UCS Details Dialog Box
Commands > U commands > UCSMAN >
Orthographic UCS Depth Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Shortcut menu: Right-click in the Orthographic UCSs list. Click Depth.

Specifies the depth for an orthographic UCS.

Front Depth

Specifies the distance between the XY plane of the orthographic UCS and a parallel plane that passes through the origin of the coordinate system. Enter a value or click the Select New Origin button to use the pointing device to specify a new depth or a new origin.

Select New Origin

Temporarily closes the dialog box so that you can use the pointing device to specify a new depth location in the drawing. To reset the origin of the selected orthographic UCSs to the default location (0,0,0), right-click, and click Reset.


UCS Details Dialog Box (Quick Reference)

Orthographic UCS Depth Dialog Box
UCSMAN
ULAYERS
Commands > U commands > UCSMAN >
UCS Details Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: UCS
Menu: Tools [image] Named UCSDoes not exist in the menus
Command entry: ucsman

Displays information about the origin and axes of the selected UCS.

By default, the origin and the values for the X, Y, and Z axes are calculated relative to the world coordinate system.

Name

Displays the name of the current named UCS. By default, this is set to World.

Origin

Displays the UCS origin relative to the UCS selected in Relative To.

X Axis

Displays the values for the X axis relative to the UCS selected in Relative To.

Y Axis

Displays the values for the Y axis relative to the UCS selected in Relative To.

Z Axis

Displays the values for the Z axis relative to the UCS selected in Relative To.

Relative To

Sets a base coordinate system for calculating the values for Origin, X Axis, Y Axis, and Z Axis. This option resets the UCSBASE system variable.


ULAYERS (Quick Reference)

UCS Details Dialog Box
ULAYERS
Underlay Layers Dialog Box
Commands > U commands >
ULAYERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of layers in a DWF, DWFx, PDF, or DGN underlay.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] LayersNot available on the ribbon in the current workspace
Shortcut menu: Select an underlay, right-click in the drawing area, and choose DWF, PDF, or DGN Layers.
Command entry: ulayers

Summary

After selecting the underlay, the Underlay Layers dialog box is displayed.

The ULAYERS command allows you to manage the layers of all underlays in the current document: DWF, DWFx, PDF, and DGN.


Underlay Layers Dialog Box (Quick Reference)

ULAYERS
ULAYERS
UNDEFINE
Commands > U commands > ULAYERS >
Underlay Layers Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of layers in a DWF, DWFx, PDF, or DGN underlay.

Access Methods

Button

Ribbon: Insert tab [image] Reference panel [image] LayersNot available on the ribbon in the current workspace
Shortcut menu: Select an underlay, right-click in the drawing area, and choose DWF, PDF, or DGN Layers.
Command entry: ulayers

Summary

You can turn layers on and off to filter which layers display in an underlay.

List of Options

The following options are available in this dialog box.

Reference Name

Select the reference whose layers you want to manage.

Search for layer

Filters the layer list by name quickly as you enter characters. This filter is not saved when you close the Underlay Layers dialog box. You can also search using wild cards.

On

Turns the selected layers on and off. When a layer is on it is visible and available for plotting. When a layer is off, it is invisible and not plotted, even if Plot is on.

Name

Displays the name of the layer.


UNDEFINE (Quick Reference)

Underlay Layers Dialog Box
UNDEFINE
UNDO
Commands > U commands >
UNDEFINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Allows an application-defined command to override an internal command.

Command entry: undefine

Enter command name:

Enter a command name to suppress that command. The suppressed command name can then be redefined to perform some other function.

You can undefine only built-in AutoCAD commands. You cannot undefine commands defined by AutoLISP®. This includes ObjectARX™ application commands registered by acedDefun(). You also cannot undefine external commands and aliases defined in the acad.pgp file.

If an AutoLISP or ObjectARX application has redefined a command with the same name as a built-in AutoCAD command, the application-defined command is active.

You can restore an undefined command with REDEFINE.

You can always access a built-in AutoCAD command by preceding the command name with a period (.).

ObjectARX application commands that are registered by acedRegCmd can be accessed by preceding the command name with a period (.), followed by the command's group name, followed by another period (.). For example, the MTEXT command can be accessed with .acad_mtext.mtext.

To determine command names and groups of an ObjectARX application, use the ARX command, and choose the Commands option to see a listing of all currently loaded ObjectARX commands and their group names.


UNDO (Quick Reference)

UNDEFINE
UNDO
Undocumented Command or System Variable
Commands > U commands >
UNDO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Reverses the effect of commands.

Toolbar: Standard
Command entry: undo

Enter the number of operations to undo or [Auto/Control/BEgin/End/Mark/Back]: Enter a positive number, enter an option, or press Enter to undo a single operation

UNDO displays the command or system variable name at the Command prompt to indicate that you have stepped past the point where the command was used.

NoteUNDO has no effect on some commands and system variables, including those that open, close, or save a window or a drawing, display information, change the graphics display, regenerate the drawing, or export the drawing in a different format.

Number

Undoes the specified number of preceding operations. The effect is the same as entering u multiple times.

Auto

Groups the actions of a single command, making them reversible by a single U command. When the Auto option is on, starting a command groups all actions until you exit that command. You can undo the group of actions as if it were one action.

UNDO Auto is not available if the Control option has turned off or limited the UNDO feature.

Enter UNDO Auto mode [ON/OFF] <current>: Enter on or off, or press Enter

Control

Limits or turns off UNDO.

Enter an UNDO control option [All/None/One/Combine/Layer] <All>: Enter an option or press Enter

All

Turns on the full UNDO command.

None

Turns off the U and UNDO commands and discards any UNDO command information saved earlier in the editing session. The Undo button on the Standard toolbar is unavailable.

The Auto, Begin, and Mark options are not available when None or One is in effect. If you attempt to use UNDO while it is turned off, the following prompt is displayed:

Enter an UNDO control option [All/None/One/Combine/Layer] <All>:

One

Limits UNDO to a single operation.

The Auto, Begin, and Mark options are not available when None or One is in effect. The main prompt for the UNDO command changes to show that only a Control option or a single step of the UNDO command is available when the One option is in effect.

Enter and option [Control] <1>:

If you enter c, the previous prompt is displayed:

Enter an UNDO control option [All/None/One/Combine/Layer] <All>:

Combine

Controls whether multiple, consecutive zoom and pan commands are combined as a single operation for undo and redo operations.

Combine zoom and pan operations? [Yes/No] <Yes>: Enter y or n or press Enter

NotePan and zoom commands that are started from the menu are not combined, and always remain separate actions.
Layer

Controls whether the layer dialog operations are combined as a single undo operation.

Combine layer dialog operations? [Yes/No] <Yes>: Enter y or n or press Enter

Begin, End

Groups a sequence of actions into a set. After you enter the Begin option, all subsequent actions become part of this set until you use the End option. Entering undo begin while a group is already active ends the current set and begins a new one. UNDO and U treat grouped actions as a single action.

If you enter undo begin without undo end, using the Number option undoes the specified number of commands but does not back up past the begin point. If you want to go back to before the begin point, you must use the End option, even if the set is empty. The same applies to the U command. A mark placed by the Mark option disappears inside an UNDO group.

Mark, Back

Mark places a mark in the undo information. Back undoes all the work done back to this mark. If you undo one operation at a time, you are informed when you reach the mark.

You can place as many marks as necessary. Back moves back one mark at a time, removing the mark. If no mark is found, Back displays the following prompt:

This will undo everything. OK? <Y>: Enter y or n or press Enter

Enter y to undo all commands entered in the current session. Enter n to ignore the Back option.

When you use the Number option to undo multiple actions, UNDO stops if it encounters a mark.


UNION (Quick Reference)

Undocumented Command or System Variable
UNION
UNITS
Commands > U commands >
UNION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Combines selected 3D solids, surfaces, or 2D regions by addition.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] UnionNot available on the ribbon in the current workspace
Menu: Modify [image] Solid Editing [image] UnionNot available in menus in the current workspace
Toolbar: Modeling
Command entry: union

Summary

You can combine two or more 3D solids, surfaces, or 2D regions into a single, composite 3D solid, surface, or region. You must select the same type of objects to combine.

The selection set can contain objects that lie in any number of arbitrary planes. For mixed object types, selection sets are divided into subsets that are joined separately. Solids are grouped in the first subset. The first selected region and all subsequent coplanar regions are grouped in the second set, and so on.

The resulting composite solid includes the volume enclosed by all of the selected solids. Each of the resulting composite regions encloses the area of all regions in a subset.

You cannot use UNION with mesh objects. However, if you select a mesh object, you will be prompted to convert it to a 3D solid or surface.

List of Prompts

The following prompt is displayed.

Select objects

Select the 3D solids, surfaces, or regions to be combined. Press Enter when you finish selecting objects.


UNITS (Quick Reference)

UNION
UNITS
Drawing Units Dialog Box
Commands > U commands >
UNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls coordinate and angle display formats and precision.

Button

Menu: Format [image] UnitsNot available in menus in the current workspace
Command entry: units (or 'units for transparent use)

The format, precision, and other conventions to be used in displaying coordinates, distances, and angles are set and saved in drawing template files. These settings can also be changed in the current drawing file.

The Drawing Units dialog box is displayed.

If you enter -units at the Command prompt, options are displayed.


Drawing Units Dialog Box (Quick Reference)

UNITS
UNITS
Direction Control Dialog Box
Commands > U commands > UNITS >
Drawing Units Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] UnitsAt the Command prompt, enter units.
Command entry: units (or 'units for transparent use)

Controls the displayed precision and format for coordinates and angles.

Length

Specifies the current unit of measurement and the precision for the current units.

Type

Sets the current format for units of measure. The values include Architectural, Decimal, Engineering, Fractional, and Scientific. The Engineering and Architectural formats produce feet-and-inches displays and assume that each drawing unit represents one inch. The other formats can represent any real-world unit.

Precision

Sets the number of decimal places or fractional size displayed for linear measurements.

Angle

Specifies the current angle format and the precision for the current angle display.

Type

Sets the current angle format.

Precision

Sets the precision for the current angle display.

The following conventions are used for the various angle measures: decimal degrees appear as decimal numbers, grads appear with a lowercase g suffix, and radians appear with a lowercase r suffix. The degrees/minutes/seconds format uses d for degrees, ' for minutes, and " for seconds; for example:

123d45'56.7"

Surveyor's units show angles as bearings, using N or S for north or south, degrees/minutes/seconds for how far east or west the angle is from direct north or south, and E or W for east or west; for example:

N 45d0'0" E

The angle is always less than 90 degrees and is displayed in the degrees/minutes/seconds format. If the angle is precisely north, south, east, or west, only the single letter representing the compass point is displayed.

Clockwise

Calculates positive angles in the clockwise direction. The default direction for positive angles is counterclockwise.

When prompted for an angle, you can point in the desired direction or enter an angle regardless of the setting specified for Clockwise.

Insertion Scale

Controls the unit of measurement for blocks and drawings that are inserted into the current drawing. A block or a drawing that is created with units that are different from the units specified with this option is scaled when inserted. The insertion scale is the ratio of the units used in the source block or drawing and the units used in the target drawing. Select Unitless to insert the block without scaling it to match the specified units.

NoteIn the Options dialog box, User Preferences tab, the Source Content Units and Target Drawing Units settings are used when, either in the source block or the target drawing, Insertion Scale is set to Unitless.

Sample Output

Displays an example of the current settings for units and angles.

Lighting

Controls the unit of measurement for the intensity of photometric lights in the current drawing.

NoteIn order to create and use photometric lights, a unit other than Generic must be specified from the list of options. If Insertion Scale is set to Unitless, a warning message is displayed informing you that the rendered output might not be as expected.

Direction

Displays the Direction Control dialog box.


Direction Control Dialog Box (Quick Reference)

Drawing Units Dialog Box
UNITS
-UNITS
Commands > U commands > UNITS >
Direction Control Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Menu: Format [image] UnitsAt the Command prompt, enter units.
Command entry: units (or 'units for transparent use)

Defines the angle for 0 degrees and specifies the direction in which angles are measured. When prompted for an angle, you can locate a point in the desired direction or enter an angle.

Base Angle

Sets the direction of the zero angle. The following options affect the entry of angles, the display format, and the entry of polar, cylindrical, and spherical coordinates.

East

Specifies the compass direction east (the default).

North

Specifies the compass direction north.

West

Specifies the compass direction west.

South

Specifies the compass direction south.

Other

Specifies a direction different from the points of the compass.

Angle

Specifies a value for the zero angle when Other is selected. You can specify the angle by entering a value.

Pick an Angle Button

Defines the zero angle in the graphics area based on the angle of an imaginary line that connects any two points you specify with the pointing device. Available only when Other is selected.


-UNITS (Quick Reference)

Direction Control Dialog Box
UNITS
UPDATEFIELD
Commands > U commands > UNITS >
-UNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -units at the Command prompt, the following prompts are displayed.

The text window displays the following prompt:

Report formats: (Examples)

1. Scientific 1.55E+01

2. Decimal 15.50

3. Engineering 1'-3.50"

4. Architectural 1'-3 1/2"

5. Fractional 15 1/2

Enter choice, 1 to 5 <current>: Enter a value (1-5) or press Enter

The following prompt for decimal precision is displayed if you specify the scientific, decimal, or engineering format:

Enter number of digits to right of decimal point (0 to 8) <current>: Enter a value (0-8) or press Enter

The following prompt for the denominator of the smallest fraction is displayed if you specify the architectural or fractional format.

Enter denominator of smallest fraction to display

(1, 2, 4, 8, 16, 32, 64, 128, or 256) <current>: Enter a value (1, 2, 4, 8, 16, 32, 64, 128, or 256) or press Enter

The next prompt is for angle formats and precision:

Systems of angle measure: (Examples)

1. Decimal degrees 45.0000

2. Degrees/minutes/seconds 45d0'0"

3. Grads 50.0000g

4. Radians 0.7854r

5. Surveyor's units N 45d0'0" E

Enter choice, 1 to 5 <current>: Enter a value (1-5) or press Enter

Enter number of fractional places for display of angles (0 to 8) <current>: Enter a value (0-8) or press Enter

The next prompt is for the direction for angle 0:

Direction for angle 0:

East 3 o'clock = 0

North 12 o'clock = 90

West 9 o'clock = 180

South 6 o'clock = 270

Enter direction for angle 0 <current>: Enter a value or press Enter

The default direction for 0 degrees is to the east quadrant, or 3 o'clock. The default direction for positive angular measurement is counterclockwise.

Measure angles clockwise? [Yes/No] <current>: Enter y or n or press Enter


UPDATEFIELD (Quick Reference)

-UNITS
UPDATEFIELD
UPDATETHUMBSNOW
Commands > U commands >
UPDATEFIELD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manually updates fields in selected objects in the drawing

Access Methods

Button

Ribbon: Insert tab [image] Data panel [image] Update FieldsNot available on the ribbon in the current workspace
Menu: Tools [image] Update FieldsNot available in menus in the current workspace
Shortcut menu: With any text command active and a field selected, right-click and click Update Field.
Command entry: updatefield

You can update a field manually when you want to see the latest value. With Date fields, you must update them manually, they never update automatically.

Select objects: Use an object selection method or enter all to select all fields in the drawing

Fields in selected objects are updated.

NoteThe Date field is updated by UPDATEFIELD, but it is not updated automatically based on the setting of the FIELDEVAL system variable.


UPDATETHUMBSNOW (Quick Reference)

UPDATEFIELD
UPDATETHUMBSNOW
VBAIDE
Commands > U commands >
UPDATETHUMBSNOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Manually updates thumbnail previews in the Sheet Set Manager and the Quick View tool.

Command entry: updatethumbsnow

The UPDATETHUMBNAIL system variable controls how the thumbnail previews are updated. The UPDATETHUMBSNOW command updates the following:

  • Sheets, sheet views, and model space views thumbnails in the Sheet Set Manager
  • Quick View images


V commands

UPDATETHUMBSNOW
Commands
VBAIDE
Commands >
V commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • VBAIDE

    Displays the Visual Basic Editor.

  • VBALOAD

    Loads a global VBA project into the current work session.

  • VBAMAN

    Manages VBA project operations using a dialog box.

  • VBARUN

    Runs a VBA macro.

  • VBASTMT

    Executes a VBA statement at the AutoCAD Command prompt.

  • VBAUNLOAD

    Unloads a global VBA project.

  • VIEW

    Saves and restores named views, camera views, layout views, and preset views.

  • VIEWGO

    Restores a named view.

  • VIEWPLAY

    Plays the animation associated to a named view.

  • VIEWPLOTDETAILS

    Displays information about completed plot and publish jobs.

  • VIEWRES

    Sets the resolution for objects in the current viewport.

  • VISUALSTYLES

    Creates and modifies visual styles and applies a visual style to a viewport.

  • VISUALSTYLESCLOSE

    Closes the Visual Styles Manager.

  • VLISP

    Displays the Visual LISP interactive development environment.

  • VPCLIP

    Clips layout viewport objects and reshapes the viewport border.

  • VPLAYER

    Sets layer visibility within viewports.

  • VPMAX

    Expands the current layout viewport for editing.

  • VPMIN

    Restores the current layout viewport.

  • VPOINT

    Sets the viewing direction for a 3D visualization of the drawing.

  • VPORTS

    Creates multiple viewports in model space or paper space.

  • VSCURRENT

    Sets the visual style in the current viewport.

  • VSLIDE

    Displays an image slide file in the current viewport.

  • VSSAVE

    Saves a visual style.

  • VTOPTIONS

    Displays a change in view as a smooth transition.


VBAIDE (Quick Reference)

UPDATETHUMBSNOW
VBAIDE
VBALOAD
Commands > V commands >
VBAIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays the Visual Basic Editor.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Visual Basic EditorNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] Visual Basic EditorNot available in menus in the current workspace
Command entry: vbaide

Summary

The Visual Basic Editor is displayed.

Use the Visual Basic Editor to edit code, forms, and references for any loaded global Visual Basic for Applications (VBA) project or any embedded VBA project in an open drawing.

You can also debug and run projects from the Visual Basic Editor.


VBALOAD (Quick Reference)

VBAIDE
VBALOAD
AutoCAD Macro Virus Protection Dialog Box
Commands > V commands >
VBALOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Loads a global VBA project into the current work session.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Load ProjectNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] Load ProjectNot available in menus in the current workspace
Command entry: vbaload

VBA projects are stored in a separate file with a .dvb extention. Once loaded, the modules and macros of a VBA project are available in the Macros dialog box.

The Open VBA Project dialog box (a standard file selection dialog box) is displayed.

There is no limit to the number of Visual Basic for Applications (VBA) projects you can load. Any project referenced by the selected project will also be loaded, if available.

You cannot use this dialog box to load embedded VBA projects. Embedded projects are loaded when you open the drawing containing the project, and they are unloaded when you close the drawing.

If you select Open Visual Basic Editor, the Visual Basic Editor is opened after the selected project is loaded. For information about the Visual Basic Editor, see the ActiveX and VBA Developer's Guide.

If FILEDIA is set to 0 (zero), or if you enter -vbaload at the Command prompt, VBALOAD displays command prompts.

Open VBA project <>: Enter the path and file name of the project to open

If the selected project contains macros, the AutoCAD Macro Virus Protection dialog box is displayed.


AutoCAD Macro Virus Protection Dialog Box (Quick Reference)

VBALOAD
VBALOAD
VBAMAN
Commands > V commands > VBALOAD >
AutoCAD Macro Virus Protection Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Load ProjectNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] Load ProjectNot available in menus in the current workspace
Command entry: vbaload

Disables macro viruses. A macro virus is a type of computer virus that is stored in the macros of a VBA project. If you open a drawing or project file that contains macros, a macro virus can become active and be transmitted to your computer. From that point on, every drawing or project file you save can become infected with the macro virus. When other users open the infected drawing or project file, the macro virus can also be transmitted to their computers.

The AutoCAD Macro Virus Protection dialog box that is displayed when you open a drawing or project file that contains macros gives you the opportunity to disable the macros. A macro virus can be harmful only if it is allowed to run. If you disable the macros, you can open the drawing or project file safely.

The AutoCAD Macro Virus Protection dialog box provides the following options:

Always Ask Before Opening Projects with Macros

When cleared, prevents the AutoCAD Macro Virus Protection dialog box from being displayed again. You can later enable macro virus protection using the VBA Options dialog box, available from the VBARUN command.

Disable Macros

Loads the drawing or project file with the macros disabled. Use Disable Macros if you do not expect the drawing or project file to contain useful macros, or if you aren't certain about the reliability of their source.

Once you disable the macros, you can't run any macros. However, you can still view, edit, and save the macros. You can close the drawing or project file later and open it again with the macros enabled.

Enable Macros

Loads the drawing or project file with the macros enabled. Use Enable Macros if the drawing or project file is from a reliable source, or if you expect the drawing or project file to contain useful macros.

Do Not Load

If you are loading a project file, the process is canceled and the project file is not loaded. If you are opening a drawing with an embedded project, the drawing is opened with the macros disabled.


VBAMAN (Quick Reference)

AutoCAD Macro Virus Protection Dialog Box
VBAMAN
VBA Manager
Commands > V commands >
VBAMAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Manages VBA project operations using a dialog box.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] VBA ManagerNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] VBA ManagerNot available in menus in the current workspace
Command entry: vbaman

Summary

Loads, unloads, saves, creates, embeds, and extracts VBA projects.

The VBA Manager is displayed.


VBA Manager (Quick Reference)

VBAMAN
VBAMAN
VBARUN
Commands > V commands > VBAMAN >
VBA Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] VBA ManagerNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] VBA ManagerNot available in menus in the current workspace
Command entry: vbaman

Loads, unloads, saves, creates, embeds, and extracts Visual Basic for Applications (VBA) projects.

Drawing

Specifies the active drawing. The list contains all of the drawings that are open in the current work session.

Embedded Project

Specifies the name of the embedded project for the drawing. If the drawing does not contain an embedded project, “(none)” is displayed.

Extract

Moves the embedded project out of the drawing and into a global project file. If you have never saved the project, you are prompted to save it.

If you choose Yes, the File Save dialog box is displayed, in which you can specify a file name and location for the project.

If you choose No, the project is extracted and assigned a temporary project name.

If you choose Cancel, the extraction is canceled and you are returned to the VBA Manager.

Projects

Lists the name and location of all the projects currently available in the current work session.

Embed

Embeds the selected project in the specified drawing. A drawing can contain only one embedded project. You cannot embed a project in a drawing that already contains an embedded project.

New

Creates a new project with the default name “Global n,” where n is a session-based number incremented with each new project.

Save As

Saves a global project. This option is available only when an unsaved global project is selected.

Load

Displays the Open VBA Project dialog box (see VBALOAD), in which you can load an existing project into the current work session.

Unload

Unloads the selected global project.

Macros

Displays the Macros dialog box, in which you can run, edit, or delete a VBA macro.

Visual Basic Editor

Displays the Visual Basic Editor in which you can edit code, forms, and references for any loaded global VBA project or any embedded VBA project in an open drawing. You can also debug and run projects from the Visual Basic Editor.


VBARUN (Quick Reference)

VBA Manager
VBARUN
Macros Dialog Box
Commands > V commands >
VBARUN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Runs a VBA macro.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Run VBA MacroNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] MacrosNot available in menus in the current workspace
Command entry: vbarun

Summary

Runs, edits, or deletes a VBA macro. You can also create new macros, set the VBA options, and display the VBA Manager.

The Macros dialog box is displayed.

If you enter -vbarun at the Command prompt, options are displayed.


Macros Dialog Box (Quick Reference)

VBARUN
VBARUN
Select Project Dialog Box
Commands > V commands > VBARUN >
Macros Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Run VBA MacroNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] MacrosNot available in menus in the current workspace
Command entry: vbarun

Runs, edits, or deletes a VBA macro. You can also create new macros, set the VBA options, and display the VBA Manager.

Macro Name

Specifies the name of the macro you want to run, edit, delete, or create. Select a name from the list of available macros, or enter a name.

Macro List

Lists all macros found in the drawing or project selected in Macros In. You can double-click a macro name in this list to run the macro.

Macros In

Specifies the project or drawing whose macros are available from the macro list. You can choose to list the macros in all drawings and projects, all drawings, all projects, any drawing currently open, or any project currently loaded. If your project or drawing is not listed, click VBA Manager to load it.

Description

Describes the selected macro. You can add or modify the description by directly entering your changes. The new description is saved when you move to a different part of the dialog box.

Run

Runs the selected macro.

Step Into

Displays the Visual Basic Editor and begins execution of the macro. Execution is paused at the first executable line of code.

Edit

Displays the Visual Basic Editor and the selected macro.

Create

Creates a macro with the name specified in Macro Name, and then displays the Visual Basic Editor and the empty procedure for the new macro.

If no project file or drawing is specified for the new macro, the Select Project dialog box is displayed.

If a macro with the specified name already exists, a prompt asks if you want to replace the existing macro.

If you choose Yes, the code in the existing macro is deleted and a new, empty macro is created with the specified name.

If you choose No, you are returned to the Macros dialog box, in which you can enter a new name for the macro.

Delete

Deletes the selected macro.

VBA Manager

Displays the VBA Manager.

Options

Displays the VBA Options dialog box.


Select Project Dialog Box (Quick Reference)

Macros Dialog Box
VBARUN
VBA Options Dialog Box
Commands > V commands > VBARUN >
Select Project Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Run VBA MacroNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] MacrosNot available in menus in the current workspace
Command entry: vbarun

Prompts you to select a project or drawing in which to create the new macro. Select a project or drawing from the list and choose OK. The macro is created in the selected project or drawing, and the Visual Basic Editor is opened.


VBA Options Dialog Box (Quick Reference)

Select Project Dialog Box
VBARUN
-VBARUN
Commands > V commands > VBARUN >
VBA Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Run VBA MacroNot available on the ribbon in the current workspace
Menu: Tools [image] Macro [image] MacrosNot available in menus in the current workspace
Command entry: vbarun

Sets VBA-specific options for the current work session.

Enable Auto Embedding

Automatically creates an embedded VBA project for all drawings when you open the drawing.

Allow Break on Errors

Allows VBA to enter Break mode when an error is encountered. Break mode is a temporary suspension of program execution in the development environment. In Break mode, you can examine, debug, reset, step through, or continue program execution.

When you select Allow Break on Errors, unhandled errors found during the execution of a VBA macro suspend the execution of the macro and display the Visual Basic Editor at the point of the error in the macro.

When you clear Allow Break on Errors, untrapped errors found during the execution of a VBA macro display a message alerting you to the error and then end execution of the macro.

Enable Macro Virus Protection

Enables the virus protection mechanism for VBA macros. The virus protection mechanism displays a built-in warning message whenever you open a drawing that might contain macro viruses.


-VBARUN (Quick Reference)

VBA Options Dialog Box
VBARUN
VBASTMT
Commands > V commands > VBARUN >
-VBARUN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

If you enter -vbarun at the Command prompt, the following VBARUN command prompts are displayed.

Macro name: Enter the name of the macro to run

For embedded or loaded global projects, enter the name of the macro to run. If the macro name is not unique among all the currently loaded projects, you must also include the name of the project and module in which the macro is found. For example, to run a macro named Test in a project named Project1, and a module named Module1, enter the following information at the Macro name prompt:

Project1.Module1.Test

To run a macro in a global project that is not currently loaded, enter the name of the DVB file that contains the macro, as well as the project and module names. For example, if the Test macro described previously is contained in a file called Acad_Projects.dvb, and that file is not loaded, you can execute the Test macro by entering the following at the Macro name prompt:

Acad_Projects.dvb!Project1.Module1.Test

The Acad_Projects.dvb file is loaded and the Test macro is executed. The Acad_Projects.dvb file remains loaded once the macro has been completed.


VBASTMT (Quick Reference)

-VBARUN
VBASTMT
VBAUNLOAD
Commands > V commands >
VBASTMT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Executes a VBA statement at the AutoCAD Command prompt.

Command entry: vbastmt

Expression: Enter the VBA statement to execute

A Visual Basic statement is a complete instruction that can contain keywords, operators, variables, constants, and expressions. A statement generally occupies a single line, although you can use a colon (:) to include more than one statement on a line.

VBA statements are executed in the context of the current drawing.


VBAUNLOAD (Quick Reference)

VBASTMT
VBAUNLOAD
VIEW
Commands > V commands >
VBAUNLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Unloads a global VBA project.

Command entry: vbaunload

Unload VBA Project: Enter the name of the project to unload

If you do not enter a project name, the active global project is unloaded.


VIEW (Quick Reference)

VBAUNLOAD
VIEW
View Manager
Commands > V commands >
VIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves and restores named views, camera views, layout views, and preset views.

Access Methods

Button

Ribbon: View tab [image] View panel [image] Named ViewsNot available on the ribbon in the current workspace
Menu: View [image] Named ViewsNot available in menus in the current workspace
Toolbar: View
Command entry: view

The View Manager is displayed.

If you enter -view at the Command prompt, options are displayed.

NoteThe VIEW command cannot be used transparently.


View Manager (Quick Reference)

VIEW
VIEW
New View / Shot Properties Dialog Box
Commands > V commands > VIEW >
View Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] View panel [image] Named ViewsNot available on the ribbon in the current workspace
Menu: View [image] Named ViewsNot available in menus in the current workspace
Toolbar: View
Command entry: view

Creates, sets, renames, modifies, and deletes named views, including model named views and camera views, layout views, and preset views. Click a view to display the properties for that view.

Views

Displays a list of the available views. You can expand each node (except for the Current node) to display its views.

  • Current. Displays the current view and its View and Clipping properties
  • Model Views. Displays a list of named views and cameras, and lists General, View, and Clipping properties for a selected view.
  • Layout Views. Displays a list of viewports on a layout that define a view, and lists General and View properties for a selected view.
  • Preset Views. Displays a list of orthogonal and isometric views, and lists the General properties for a selected view.

General

The following properties are available for views in the General section of the properties list:

Name

Displays the name of a selected camera, model, or layout view. Cameras are given default names (Camera1, Camera2, and so on) when you create them in a drawing. You can change the name in this field.

Category

For model views and layout views, displays view categories (for example, Elevations or Section and Details) defined in a drawing or the sheet set with which the selected view is associated.

Viewport Association

For layout views only, displays whether the named view is associated with a viewport on a sheet in a sheet set.

UCS

For model and layout views, displays the name of the user coordinate system (World, Unnamed) saved with the named view.

Restore Ortho UCS

For preset views, restores the associated UCS when an orthographic view is current. This option sets the UCSORTHO system variable.

Set Relative To

For preset views, specifies the base coordinate system for defining the orthographic view. The UCSBASE system variable controls the orientation of orthographic UCSs relative to the WCS or to named UCSs. Changing this setting also changes the orientation of the predefined orthographic UCSs.

Layer Snapshot

For model views and layout views, specifies whether the current layer on/off settings are stored with the selected view.

Annotation Scale

Specifies the annotation scale saved with the view.

Visual Style

For model views only, specifies a visual style to save with the view. If you select None, no visual style will be associated with the view. For more information about, see Use a Visual Style to Display Your Model.

Background

For model views whose visual style is not set to 2D Wireframe, specifies the background override (Solid, Gradient, Image, or Sun & Sky) applied to the selected view. Opens the Background dialog box.

Live Section

For model views only, displays the live section applied when the view is restored. For more information about live sections, see SECTIONPLANE.

Animation

The following properties are available for views in the Animation section of the properties list:

View Type

For model and layout views, displays the view type assigned to the named view.

Transition Type

For model and layout views, displays the transition type assigned to the named view and is used when playing back the view.

Transition Duration

For model and layout views, displays the length of time for the transition that is assigned to the named view and is used when playing back the view.

Movement

For model views only, displays the movement assigned to a named view that is assigned the Cinematic view type.

Playback Duration

For model and layout views, displays the length of time that the animation takes to play back.

Distance

For model views only, displays the distance used for the Cinematic view type.

Distance Up

For model views only, displays the distance the camera can move upward. Applies to the Crane Up movement type.

Distance Down

For model views only, displays the distance the camera can move downward. Applies to the Crane Down movement type.

Distance Forward

For model views only, displays the distance the camera can move forward. Applies to the Crane Down movement type.

Distance Back

For model views only, displays the distance the camera can move backward. Applies to the Crane Up movement type.

Degrees Left / Right

For model views only, displays the amount of rotation around the Z axis. Applies to Look and Orbit movement types.

Degrees Up / Down

For model views only, displays the amount of rotation around the XY plane. Applies to Look and Orbit movement types.

Distance (Pan) Left / Right

For layout views only, displays the distance the camera can pan left and right. Applies to Pan + Zoom movement type.

Distance (Pan) Up / Down

For layout views only, displays the distance the camera can pan up and down. Applies to Pan + Zoom movement type.

Percentage In / Out

For layout views only, displays the percentage the camera can zoom in and out. Applies to Pan + Zoom movement type.

Current Position

For model and layout views, displays the current position of the camera.

Always Look at Pivot Point

For model views only, displays if the view is locked to the center-of-interest. Applies to Track and Crane movement types.

View

The following view properties are available for views in the View section of the properties list:

Camera X

For current and model views only, displays the X coordinate of the view’s camera.

Camera Y

For current and model views only, displays the Y coordinate of the view’s camera.

Camera Z

For current and model views only, displays the Z coordinate of the view’s camera.

Target X

For current and model views only, displays the X coordinate of the view's target.

Target Y

For current and model views only, displays the Y coordinate of the view’s target.

Target Z

For current and model views only, displays the Z coordinate of the view’s target.

Roll angle

Specifies the current roll angle of the view.

Height

Specifies the height of the view.

Width

Specifies the width of the view.

Perspective

For current and model views, specifies whether perspective view is on or off.

Lens Length (mm)

For all views except layouts, specifies the lens length (in millimeters). Changing this value changes the Field of View setting accordingly.

Field of View

For all views except layouts, specifies the horizontal field of view (in current angle units). Changing this value changes the Lens Length setting accordingly.

Clipping

For all views except layouts, the following clipping properties are available for views in the Clipping section of the properties list:

Front Plane

Specifies the offset value for the front clipping plane if front clipping is enabled for the view.

Back Plane

Specifies the offset value for the back clipping plane if back clipping is enabled for the view.

Clipping

Sets clipping options. You can choose Off, Front On, Back On, or Front and Back On.

Set Current

Restores the selected view.

New

Displays the New View / Shot Properties dialog box.

Update Layers

Updates layer information saved with a selected view to match the layer visibility in the current model space or layout viewport.

Edit Boundaries

Displays the selected view, with the rest of the drawing area displayed in a lighter color to show the boundaries of the named view.

Delete

Deletes a selected view.


New View / Shot Properties Dialog Box (Quick Reference)

View Manager
VIEW
View Properties Tab
Commands > V commands > VIEW >
New View / Shot Properties Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] View panel [image] Named ViewsNot available on the ribbon in the current workspace
Menu: View [image] Named ViewsNot available in menus in the current workspace
Toolbar: View
Command entry: view

Creates a named view.

View Name

Specifies the view’s name.

View Category

Specifies a category for the named view. Select a view category from the list, enter a new category, or leave this option empty.

View Type

Specifies the type of view for the named view. You can choose from Cinematic, Still or Recorded Walk. Recorded Walk is available for model space views only.

View Properties Tab

Settings on the View Properties tab define the area of the drawing to display, and control the visual appearance of objects in the view and the background assigned to a named view.

Shot Properties Tab

Settings on the Shot Properties tab define the transition and motion to use for a view when the view is played with ShowMotion.


View Properties Tab (Quick Reference)

New View / Shot Properties Dialog Box
New View / Shot Properties Dialog Box
Shot Properties Tab
Commands > V commands > VIEW > New View / Shot Properties Dialog Box >
View Properties Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the area of the drawing to display and controls the visual appearance of the objects in the view and the background assigned to a named view.

Boundary

Defines the area of the drawing that is assigned to the named view.

Current Display

Uses the current display as the new view.

Define Window

Uses a window as the new view, which you define in the drawing area by specifying two opposite corners.

Define View Window Button

Temporarily closes the New View and View Manager dialog boxes so that you can use the pointing device to define the opposite corners of the New View window.

Settings

Provides options for saving settings with the named view.

Save Layer Snapshot with View

Saves the current layer visibility settings with the new named view.

UCS

For model and layout views, specifies a UCS to save with the new view.

Live Section

For model views only, specifies the live section applied when the view is restored.

Visual Style

For model views only, specifies a visual style to save with the view. For more information about visual styles, see Use a Visual Style to Display Your Model.

Background

Controls the appearance of the background for the named view when a 3D visual style is applied or the view is rendered.

Background Type

For model views whose visual style is not set to 2D Wireframe, specifies the background type (Solid, Gradient, Image, or Sun & Sky) applied to the selected view. Opens the Background dialog box or the Adjust Sun & Sky Background dialog box.

NoteThe Sun & Sky option is only available when the LIGHTINGUNITS system variable is not set to a value of 0.
Save Sun Properties with View

Specifies whether sun and sky data is saved with the named view. The option is automatically selected when choosing Sun & Sky for the background type. Saving sun and sky data to a named view is optional when using a background type other than Sun & Sky.

Current Override

Displays the current override type (if one is defined).

Preview Box

Displays the current background (if one is defined).

[...] Button

If the Override Default Background option is selected, displays the Background dialog box so you can change the current background selection.


Shot Properties Tab (Quick Reference)

View Properties Tab
New View / Shot Properties Dialog Box
Background Dialog Box
Commands > V commands > VIEW > New View / Shot Properties Dialog Box >
Shot Properties Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Defines the transition and motion used for a view when played back with ShowMotion.

Transition

Defines the transition to use when playing back a view.

Transition Type

Defines the transition type to use when playing back a view.

Transition Duration

Sets the length of time for the transition.

Motion

Defines the behavior of the motion to use when playing back a view.

Movement

Sets the type of movement to use for a named view when the named view is assigned the Cinematic view type. The following movement types are available:

Model space views

  • Zoom In
  • Zoom Out
  • Track Left
  • Track Right
  • Crank Up
  • Crank Down
  • Look
  • Orbit

Layout views

  • Pan + Zoom
Playback Duration

Sets the length of time that the animation takes to play back.

Distance

Sets the distance that the motion takes to complete when the named view is assigned the Cinematic view type.

Distance Up

Sets the distance the camera can be moved upward. Applies to the Crane Up movement types.

Distance Down

Sets the distance the camera can be moved downward. Applies to the Crane Down movement types.

Distance Forward

Sets the distance the camera can be moved forward. Applies to the Crane Down movement types.

Distance Back

Sets the distance the camera can be moved backward. Applies to the Crane Up movement types.

Degrees Left / Right

Sets the amount the camera can rotate around the Z axis. Applies to Look and Orbit movement types.

Degrees Up / Down

Sets the amount the camera can rotate around the XY plane. Applies to the Look and Orbit movement types.

Distance (Pan) Left / Right

Sets the distance the camera can pan left and right. Applies to the Pan + Zoom movement type.

Distance (Pan) Up / Down

Sets the distance the camera can pan up and down. Applies to the Pan + Zoom movement type.

Percentage In / Out

Sets the percentage the camera can zoom in and out. Applies to the Pan + Zoom movement type.

Current Position

Sets the current position of the camera.

Always Look at Pivot Point

Locks the camera to the center-of-interest. Applies to the Track and Crane movement types.

Preview

Previews the transition and motion assigned to the named view.

Loop

Continuously plays back the transition and motion assigned to the named view.


Background Dialog Box (Quick Reference)

Shot Properties Tab
VIEW
Adjust Sun & Sky Background Dialog Box
Commands > V commands > VIEW >
Background Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: background

Defines the type, color, effects, and position of the background for a named view.

Type

Lists background overrides (None, Solid, Gradient, Image, or Sun & Sky) that you can apply to a named view.

Solid

Selects a single-color, solid background.

Gradient

Specifies a two- or three-color gradient background. (Select the Three Color check box to define a three-color gradient.) Click the color tiles to choose a color. Displays the Select Color dialog box.

Image

Uses an image file for the background.

Sun & Sky

Displays the Adjust Sun & Sky Background dialog box to specify the position, color and properties of the sun and sky for the background.

Solid Options

Preview

Displays the selected color.

Color

Opens the Select Color dialog box.

Gradient Options

Specifies settings for a new gradient background.

Preview

Displays the gradient.

Three Color

Specifies a three-color gradient. If not selected, you can specify a two-color gradient.

Top Color

Opens the Select Color dialog box. Choose a color for the top color of the gradient.

Middle Color

Opens the Select Color dialog box. Choose a color for the middle color of the gradient. This option is displayed only if the Three Color check box is selected.

Bottom Color

Opens the Select Color dialog box. Choose a color for the bottom color of the gradient.

Rotation

Specifies an angle at which you can rotate a gradient background. Rotation is not available with a solid or image background. Use the text box or arrows to set the value.

Image Options

Preview

Displays the selected image.

Filename

Displays the image file's name and path.

Browse

Displays the Select File dialog box. Select an image file and click Open.

Adjust Image

Displays the Adjust Background Image dialog box.


Adjust Sun & Sky Background Dialog Box (Quick Reference)

Background Dialog Box
VIEW
Adjust Background Image Dialog Box
Commands > V commands > VIEW >
Adjust Sun & Sky Background Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] View panel [image] Named ViewsNot available on the ribbon in the current workspace
Menu: View [image] Named ViewsNot available in menus in the current workspace
Toolbar: View
Command entry: view

Defines the position, color, and effects of the sun and sky for a view. Only available in photometric lighting workflow (LIGHTINGUNITS = 1 or 2).

Preview

Displays the results of the current sun and sky settings for the current view.

General

Sets the general properties of the sun.

Status

Turns the sun on and off. If lighting is not enabled in the drawing, this setting has no effect.

Intensity Factor

Sets the intensity or brightness of the sun. The range is from 0 (no light) to maximum. The higher the number, the brighter the light.

Color

Controls the color of the light. Enter a color name or number or click Select Color to open the Select Color dialog box.

Shadows

Turns display and calculation of shadows for the sun on and off. Turning shadows off increases performance.

Sky Properties

The sky general properties are as follows:

Status

Determines if the sky illumination is computed at render time. This has no impact on the viewport illumination or the background. It simply makes the sky available as a gathered light source for rendering. This does not control the background. Values are Sky Off, Sky Background, Sky Background and Illumination. [Sky Off] is default.

Intensity Factor

Provides a way to magnify the effect of the skylight. Values are 0.0-MAX. [1.0] is default.

Haze

Determines the magnitude of scattering effects in the atmosphere. Values are 0.0-15.0. [0.0] is default.

Horizon

This category of properties pertains to the appearance and location of the ground plane.

Height

Determines the absolute position of the ground plane relative to world zero. This parameter represents a world-space length and should be formatted in the current length unit. Values are +-MAX. [0.0] is default.

Blur

Determines the amount of blurring between ground plane and sky. Values are 0-10. [.1] is default.

Ground color

Determines the color of the ground plane. Select a color from the drop-down list or select the Select Color dialog box to make a color choice.

Advanced

This category of properties pertains to various artistic effects.

Night Color

Specifies the color of the night sky. Select a color from the drop-down list or select the Select Color dialog box to make a color choice.

Aerial Perspective

Specifies if aerial perspective is applied. Values are On/Off. [Off] is default.

Visibility Distance

Specifies the distance at which 10% haze occlusion results. Values are 0.0-MAX. [10000.0] is default.

Sun Disk Appearance

This category of properties pertains to the background only. They control the appearance of the sun disk.

Disk Scale

Specifies the scale of the sun disk (1.0 = correct size).

Glow Intensity

Specifies the intensity of the sun glow. Values are 0.0-25.0. [1.0] is default.

Disk Intensity

Specifies the intensity of the sun disk. Values are 0.0-25.0. [1.0] is default.

Sun Angle Calculator

Sets the angle of the sun.

Date

Displays the current date setting.

Time

Displays the current time setting.

Daylight Saving

Displays the current setting for daylight saving time.

Azimuth

Displays the azimuth, the angle of the sun along the horizon clockwise from due north. This setting is read-only.

Altitude

Displays the altitude, the angle of the sun vertically from the horizon. The maximum is 90 degrees, or directly overhead. This setting is read-only.

Source Vector

Displays the coordinates of the source vector, the direction of the sun. This setting is read-only.

Rendered Shadow Details

Specifies the properties of the shadows.

Type

Displays the setting for shadow type. This setting is soft (area) only in photometric workflow. This setting is read-only when display of shadows is turned off

Samples

Specifies the number of samples to take on the solar disk. Values are 0-1000. [8] is default. This setting is read-only when display of shadows is turned off.

Softness

Displays the setting for the appearance of the edges of shadows. This setting is read-only when display of shadows is turned off.

Geographic Location

Displays the current geographic location settings. This information is read-only. When a city is not stored with latitude and longitude, the city does not appear in the list.

Use the Edit Geographic Location button to open the Geographic Location dialog box.


Adjust Background Image Dialog Box (Quick Reference)

Adjust Sun & Sky Background Dialog Box
VIEW
-VIEW
Commands > V commands > VIEW >
Adjust Background Image Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] View panel [image] Named ViewsNot available on the ribbon in the current workspace
Menu: View [image] Named ViewsNot available in menus in the current workspace
Toolbar: View
Command entry: view

Controls options for the background image applied to a model space named view.

Image Position

Determines the image position in the named view.

Choose one of the following:

  • Center. Centers the image without changing its aspect ratio or scale.
  • Stretch. Centers the image and stretches (scales) it along both the X and Y axes so that the image takes up the entire view. If you plan to plot the background image, set the image position to Stretch.
  • Tile. Positions the image at the top left corner of the view and repeats the image as needed to fill up the space in the associated viewport. The image's aspect ratio and scale are maintained.
Offset

Specifies the image offset control (not available if Stretch is selected as the image position).

Offset values can range from -2000 to +2000 on either the X or Y axis. Adjust a value by dragging the sliders.

Scale

Specifies the image scale (not available if Stretch is selected as the image position).

Scale values can range from 0.1 to 10 on either the X or Y axis. Adjust a value by dragging the sliders.

Vertical Position Slider

If the Offset option is chosen, offsets the image vertically (the Y offset). If Scale is chosen, adjusts the Y scale of the image.

Horizontal Position Slider

If the Offset option is chosen, offsets the image horizontally (the X offset). If Scale is chosen, adjusts the X scale of the image.

Reset

Resets the Offset or Scale settings to their default values.

Maintain Aspect Ratio When Scaling

Locks the X and Y axes together. Both sliders move accordingly.

If Tile is selected and you change the offset so that the bitmap rectangle appears outside the projection rectangle, the bitmap is not centered within the drawing area when you display the view. (During tiling, the offset acts as a displacement, not an absolute position.) If the bitmap is displayed outside the projection rectangle, it is not displayed in a view.


-VIEW (Quick Reference)

Adjust Background Image Dialog Box
VIEW
VIEWGO
Commands > V commands > VIEW >
-VIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -view at the Command prompt, the following prompts are displayed.

Enter an option [?/Delete/Orthographic/Restore/Save/sEttings/Window]:

?—List Views

Lists the named views and cameras in the drawing.

Enter view names(s) to list <*>: Enter a wild-card character or press ENTER

The list includes the name of each specified view and the space in which it was defined. M designates model space, and P designates paper space.

Delete

Deletes one or more named views.

Enter view name(s) to delete: Enter a name or a list of names separated by commas

Orthographic

Restores the predefined orthographic view you specify to the current viewport.

Enter an option [Top/Bottom/Front/BAck/Left/Right] <Top>: Enter an option or press ENTER

The view orientation of the specified orthographic view is based on the UCSBASE system variable, which is set to the world coordinate system by default. When one of the orthographic views is restored, the program zooms to the extents in the current viewport.

Restore

Restores the view you specify to the current viewport. If a UCS setting was saved with the view, it is also restored.

Enter view name to restore: Enter a name

The center point and magnification of the saved view are also restored. If you restore a model space view while working in paper space, you are prompted to select a viewport in which to restore that view.

Restoring model space view.

Select Viewport for view: Select a viewport

Select the viewport by clicking its border. The viewport you select must be on and active. The program switches to model space and restores the view in the selected viewport.

If you restore a paper space view while working in model space in a layout tab, the program switches to paper space and restores the view. You can't restore a paper space view if you are working in the Model tab.

Save

Saves the display in the current viewport using the name you supply.

Enter view name to save: Enter a name

The current value of the UCSVIEW system variable is displayed when you save a view. To change the setting and turn this option on or off, use the UCS option of VIEW.

Settings

Specifies various settings for the VIEW command.

Enter an option [Background/Categorize/Layer snapshot/live Section/Ucs/Visual style]:

Background

Specifies background the for view. Backgrounds are visible in a 3D visual style only.

Enter view name to edit Background or [?]:

Specify the view to update the background for, or enter ? to display a list of all cameras and views in the drawing.

Enter view name(s) to list <*>:

Once the name of a camera or view has been entered, the following prompt is displayed:

Specify background type [Color/Gradient/Image/Sun&sky/None]<None>:

Based on the option entered, either the Background dialog box or the Adjust Sun & Sky Background dialog box is displayed.

Categorize

Specifies a category for the named view. Named views are displayed by category on the View List tab in the Sheet Set Manager.

Layer Snapshot

Saves the current layer visibility settings with the new named view.

Live Section

For model views only, specifies the live section applied when the view is restored.

UCS

Determines whether the current UCS and elevation settings are saved when a view is saved. Sets the UCSVIEW system variable.

Visual Style

Sets or updates a visual style for a view. Enter a visual style, enter * to specify no visual style, or enter ? to list all visual styles in the drawing.

Window

Saves a portion of the current display as a view.

Enter view name to save: Enter a name

Specify first corner:

Specify opposite corner:

Restoring such a view may display objects outside the window you specified because the shape of the window may differ from that of the viewport in which you are restoring the view. However, plotting the view plots only the objects inside the window, not the entire viewport display.


VIEWGO (Quick Reference)

-VIEW
VIEWGO
VIEWPLAY
Commands > V commands >
VIEWGO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores a named view.

Command entry: viewgo

Enter view name to go: Enter the name of a named view stored in the drawing.

Restores the view you specify to the current viewport. If a layer state, UCS, live section, visual style, or background setting was saved with the view, the settings are also restored.


VIEWPLAY (Quick Reference)

VIEWGO
VIEWPLAY
VIEWPLOTDETAILS
Commands > V commands >
VIEWPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Plays the animation associated to a named view.

Command entry: viewplay

Enter view name to play: Enter the name of a named view stored in the drawing.

Plays the animation associated to the named view entered. The command ends if the name entered does not match a view in the drawing or the view does not have any animation properties assigned to it.


VIEWPLOTDETAILS (Quick Reference)

VIEWPLAY
VIEWPLOTDETAILS
Plot and Publish Details Dialog Box
Commands > V commands >
VIEWPLOTDETAILS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays information about completed plot and publish jobs.

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] View DetailsNot available on the ribbon in the current workspace
Menu: File [image] View Plot and Publish DetailsNot available in menus in the current workspace
Command entry: viewplotdetails

Summary

You can view detailed information about all completed plot and publish jobs, or just the errors that have occurred. You can also copy the information displayed in the dialog box to the Clipboard.

The Plot and Publish Details dialog box is displayed.


Plot and Publish Details Dialog Box (Quick Reference)

VIEWPLOTDETAILS
VIEWPLOTDETAILS
Plot and Publish Status Bar Icon Shortcut Menu
Commands > V commands > VIEWPLOTDETAILS >
Plot and Publish Details Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: Output tab [image] Plot panel [image] View DetailsNot available on the ribbon in the current workspace
Menu: File [image] View Plot and Publish DetailsNot available in menus in the current workspace
Command entry: viewplotdetails

Displays information about plotting and publishing jobs that have been completed in the current session. You can view information about all completed plot and publish jobs or about just the errors that have occurred. You can also copy the information displayed in the dialog box to the Clipboard.

Plot and publish details are also available through the Plot and Publish status bar icon shortcut menu.

View

Specifies what is displayed. You can also right-click in the details area and click View Errors Only or View All to change this setting.

All

Displays information about all completed plot and publish jobs and sheets within those jobs.

Errors

Lists errors that have occurred as jobs were plotted or published.

Copy to Clipboard

Copies all highlighted text in the Plot and Publish Details dialog box to the Clipboard. This text can then be pasted into a text file or other location.

Details Area

Lists details of completed plot and publish jobs. For each job and sheet, the details area provides the following information:

  • Job and sheet names
  • Path for jobs plotted to file (if applicable)
  • Job completion status, along with whether errors or warnings occurred
  • Date and time started and completed
  • Total sheets in the job and total sheets plotted
  • Number of errors and warnings that occurred
  • Detailed information about errors or warning that occurred


Plot and Publish Status Bar Icon Shortcut Menu (Quick Reference)

Plot and Publish Details Dialog Box
VIEWPLOTDETAILS
VIEWRES
Commands > V commands > VIEWPLOTDETAILS >
Plot and Publish Status Bar Icon Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When background plotting is enabled, provides options for cancelling the sheet that is currently being plotted, cancelling the entire plot or publish job, viewing the Plot and Publish Details dialog box, and viewing the most recently created Design Web Format (DWF™) file. Right-click any of the plot and publish icons in the tray on the right side of the status bar. These icons are described in the following table.

This animated icon indicates that a plot or publish job is currently being processed in the background

A plotting details report is available. No errors and warnings occurred.

A plotting details report is available. Errors and warnings occurred.

Cancel Sheet

Cancels the sheet that is currently being plotted.

Cancel Entire Job

Cancels the entire plot or publish job.

View Plot and Publish Details

Displays Plot and Publish Details dialog box.

View <filename>.dwf

Opens the most recently created DWF file.

Enable Balloon Notification

Turns on balloon notification of the status of jobs you have plotted and published.


VIEWRES (Quick Reference)

Plot and Publish Status Bar Icon Shortcut Menu
VIEWRES
VISUALSTYLES
Commands > V commands >
VIEWRES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Sets the resolution for objects in the current viewport.

Command entry: viewres

Do you want fast zooms [Yes/No] <Y>: Press ENTER (Fast Zoom is no longer a functioning option of this command and remains for script compatibility only.)

Enter circle zoom percent (1-20000) <current>: Enter an integer from 1 to 20,000 or press ENTER

The model is regenerated.

VIEWRES controls the appearance of circles, arcs, splines, and arced plines using short vectors. The greater the number of vectors, the smoother the appearance of the circle or arc. For example, if you create a very small circle and then zoom in, it might appear to be a polygon. Using VIEWRES to increase the zoom percentage and regenerate the drawing updates and smooths the circle's appearance. Decreasing the zoom percentage has the opposite effect.

NoteIncreasing the zoom percentage in VIEWRES may increase the time it takes to regenerate the drawing.

When a paper space layout is made current for the first time and a default viewport is created in the layout, the viewing resolution for this initial viewport is the same as the viewing resolution for the Model tab viewport.

The VIEWRES setting is saved in the drawing. To change the default for new drawings, consider specifying the VIEWRES setting in the template files on which you base your new drawings.


VISUALSTYLES (Quick Reference)

VIEWRES
VISUALSTYLES
Visual Styles Manager
Commands > V commands >
VISUALSTYLES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Creates and modifies visual styles and applies a visual style to a viewport.

Access Methods

Button

Ribbon: Home tab [image] View panel [image] Visual Styles
Menu: Tools [image] Palettes [image] Visual StylesNot available in menus in the current workspace
Command entry: visualstyles

Summary

The Visual Styles Manager is displayed.

If you enter -visualstyles at the Command prompt, options are displayed.

A visual style is a collection of customizable settings that control the display of edges, shading, background, and shadows of 3D solids and surfaces in the current viewport.

NoteIn a script, the VISUALSTYLES command does not automatically suppress the Visual Styles Manager. You must use -visualstyles to display command prompts.


Visual Styles Manager (Quick Reference)

VISUALSTYLES
VISUALSTYLES
Create New Visual Style and Edit Name and Description Dialog Boxes
Commands > V commands > VISUALSTYLES >
Visual Styles Manager
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Button

Ribbon: Render tab [image] Visual Styles panel [image] [image] [image] Visual Styles Manager
Menu: Tools [image] Palettes [image] Visual StylesNot available in menus in the current workspace
Command entry: visualstyles

Creates and modifies visual styles.

The Visual Styles Manager has a panel of sample images of the visual styles available in the drawing, and the following properties panels:

  • Face settings
  • Environment settings
  • Edge settings
NoteChanges that you make in the Visual Style panel on the ribbon create a temporary visual style, *Current,* that is applied to the current viewport. The settings are not saved as a named visual style.

Available Visual Styles in Drawing

Displays sample images of the visual styles that are available in the drawing. The face, environment, and edge settings of the selected visual style are displayed in the settings panels.

A selected visual style displays a yellow border. The name of the selected visual style is displayed at the bottom of the panel.

Icons on the sample image indicate the status of the visual style:

  • The icon from the Apply Selected Visual Style to Current Viewport button at center bottom indicates the visual style that is applied to the current viewport.
  • A drawing icon at center bottom indicates a visual style that is in use in the current drawing but not in the current viewport.
  • A product icon at lower right indicates a default visual style that is shipped with the product.

Buttons in Tool Strip

Provides button access to frequently used options.

Create New Visual Style

Displays the Create New Visual Style dialog box, where you enter a name and an optional description. A new sample image is placed at the end of the panel and selected.

Apply Selected Visual Style to Current Viewport

Applies the selected visual style to the current viewport.

Export the Selected Visual Style to the Tool Palette

Creates a tool for the selected visual style and places it on the active tool palette. If the Tool Palettes window is closed, it is opened and the tool is placed on the top palette.

Delete the Selected Visual Style

Removes the visual style from the drawing. A default visual style or one that is in use cannot be removed.

Shortcut Menu

Provides menu access to options that are available from the buttons in the tool strip as well as the following additional options available only on the shortcut menu. Right-click a sample image in the panel to access the shortcut menu.

Apply to All Viewports

Applies the selected visual style to all viewports in the drawing.

Edit Description

Displays the Edit Description dialog box, where you can add a description or change an existing description. The description is displayed in a tooltip when the cursor hovers over the sample image.

Copy

Copies the visual style sample image to the Clipboard. You can paste it into the Tool Palettes window to create a visual style tool, or you can paste it into the Available Visual Styles panel to create a copy.

Paste

Pastes a visual style tool into the panel and adds that visual style to the drawing, or pastes a copy of a visual style into the Available Visual Styles panel.

Size

Sets the size of the sample images. The Full option fills the panel with one image.

Reset to Default

For one of the default visual styles, restores the original settings.

Face Settings

Control the appearance of faces in a viewport.

Highlight Intensity Button

Changes the value for Highlight Intensity from positive to negative and vice versa.

Opacity Button

Changes the value for Opacity from positive to negative and vice versa.

Face Style

Defines the shading on faces. (VSFACESTYLE system variable)

  • Real, the default, is as close as possible to how the face would appear in the real world.
  • Gooch uses cool and warm colors instead of dark and light to enhance the display of faces that might be shadowed and difficult to see in a realistic display.
  • None does not apply a face style. Other face settings are disabled.

This face style displays edges with all hidden lines removed.

Shows details of 3D surface or solid by using warm colors for lighted areas and cool colors for darker areas. Only objects without applied materials show this face style.

Lighting Quality

Sets the method for interpolating colors for faces on 3D solids and surfaces in the current viewport (VSLIGHTINGQUALITY system variable)

  • Faceted, for a faceted appearance.
  • Smooth is the default level. Shows a regular quality smooth appearance.
  • Smoothest shows a high quality smooth appearance, but it will only produce a visible improvement if the “Per-Pixel Lighting” hardware effect option is turned on in the Manual Performance Tuning Dialog box.

This setting is the least resource intensive, but it displays curved surfaces as faceted approximations.

This default setting provides a smooth display without hardware acceleration.

To display at this setting, the Per-Pixel Lighting setting needs to be turned on in the Manual Performance Tuning dialog box from the 3DCONFIG command.

Highlight Intensity

Controls the size of highlights on faces without materials. (VSFACEHIGHLIGHT system variable)

Opacity

Controls the opacity or transparency of faces in a viewport. (VSFACEOPACITY system variable)

Materials and Color

Controls the display of materials and color on faces.

Materials

Controls whether materials and textures are displayed. (VSMATERIALMODE system variable)

Face Color Mode

Controls the display of colors on faces. (VSFACECOLORMODE system variable)

  • Normal. Does not apply a face color modifier.
  • Monochrome. Displays the model in shades of the color you specify.
  • Tint. Changes the hue and saturation value of face colors.
  • Desaturate. Softens the color by reducing its saturation component by 30 percent.

The monochrome color used is the color value stored in the VSMONOCOLOR system variable.

The tint color is determined by the hue and saturation settings of the color value stored in the VSMONOCOLOR system variable.

The color saturation of 3D solids and surfaces is reduced by 30 percent.

Monochrome Color/Tint Color

Displays the Select Color dialog box, where you select the monochrome or tint color, depending on the face color mode. This setting is not available when face color mode is set to Normal or Desaturate. (VSMONOCOLOR system variable)

Environment Settings

Control shadows and background.

Shadows

Controls the display of shadows: no shadows, ground shadows only, or full shadows. Turn shadows off to increase performance. (VSSHADOWS system variable)

NoteTo display full shadows, hardware acceleration is required. When Geometry Acceleration is off, full shadows cannot be displayed. (To access these settings, enter 3dconfig at the Command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)
Backgrounds

Controls whether backgrounds are displayed in the viewport. (VSBACKGROUNDS system variable)

Edge Settings

Control how edges are displayed.

Edge Mode

Sets edge display to Facet Edges, Isolines, or None. (VSEDGES system variable)

Color

Displays the Select Color dialog box, where you can set the color for edges. (VSEDGECOLOR system variable)

Edge Modifiers

Controls settings that apply to all edge modes except None.

Overhang Button and Setting

Makes lines extend beyond their intersection, for a hand-drawn effect. The button turns the overhang effect on and off. When it is on, you can change the setting. (VSEDGEOVERHANG system variable)

Jitter Button and Setting

Makes lines appear sketched. The settings are Low, Medium, and High; each can be turned off. The button turns the jitter effect on and off. When it is on, you can change the setting. (VSEDGEJITTER system variable)

Crease Angle

Sets the angle at which facet edges within a face are not shown, for a smooth effect. This option is available when the VSEDGES system variable is set to display facet edges. (VSEDGESMOOTH system variable)

Halo Gap %

Specifies the size of a gap to be displayed where an object is hidden by another object. This option is available when the Conceptual or 3D Hidden visual styles, or a visual style based on them, is selected. When the halo gap value is greater than 0, sihouette edges are not displayed. (VSHALOGAP system variable)

Fast Silhouette Edges

Controls settings that apply to silhouette edges. Silhouette edges are not displayed on wireframe or transparent objects. (VSSILHEDGES system variable)

Visible

Controls the display of silhouette edges. (VSSILHEDGES system variable)

Width

Specifies the width at which silhouette edges are displayed. (VSSILHWIDTH system variable)

Obscured Edges

Controls settings that apply to obscured edges when edge mode is set to Facet Edges.

Visible

Controls whether obscured edges are displayed. (VSOBSCUREDEDGES system variable)

Color

Displays the Select Color dialog box, where you can set the color for obscured edges. (VSOBSCUREDCOLOR system variable)

Linetype

Sets a linetype for obscured edges. (VSOBSCUREDLTYPE system variable)

Intersection Edges

Controls settings that apply to intersection edges when edge mode is set to Facet Edges.

Visible

Controls whether intersection edges are displayed. (VSINTERSECTIONEDGES system variable)

NoteTo increase performance, turn off the display of intersection edges.
Color

Displays the Select Color dialog box, where you can set the color for intersection edges. (VSINTERSECTIONCOLOR system variable)

Linetype

Sets a linetype for intersection edges. (VSINTERSECTIONLTYPE system variable)


Create New Visual Style and Edit Name and Description Dialog Boxes (Quick Reference)

Visual Styles Manager
VISUALSTYLES
-VISUALSTYLES
Commands > V commands > VISUALSTYLES >
Create New Visual Style and Edit Name and Description Dialog Boxes
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Names the visual style and provides space for a description.

Name

Names the visual style.

Description

Provides an optional description for the visual style. The description is displayed in a tooltip when the cursor hovers over the sample image.


-VISUALSTYLES (Quick Reference)

Create New Visual Style and Edit Name and Description Dialog Boxes
VISUALSTYLES
VISUALSTYLESCLOSE
Commands > V commands > VISUALSTYLES >
-VISUALSTYLES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Command entry: visualstyles

If you enter -visualstyles at the Command prompt, the following prompts are displayed.

Enter an option [setCurrent/Saveas/Rename/Delete/?]:

Set Current

Enter an option [2dwireframe/3dwireframe/3dHidden/Realistic/Conceptual/Other]<current>:

These options are the same as the options in VSCURRENT.

Save As

Save current visual style as or [?]: Enter a name or enter ?to list all the visual styles in the drawing

Name

Saves the visual style with the name you specify.

NoteYou must be in model space to save a visual style. If you enter a name that is already in use for a visual style, you can either replace the existing visual style or enter a different name.
?—List Visual Styles

Lists the visual styles in the drawing and redisplays the Save As prompt.

Rename

Enter visual style to rename [?] <most recent entry>:

Name

Renames the visual style.

?—List Visual Styles

Lists the visual styles in the drawing and redisplays the Rename prompt.

Delete

Enter visual style to delete [?]:

Name

Deletes the visual style.

?—List Visual Styles

Lists the visual styles in the drawing and redisplays the Delete prompt.

?—List Visual Styles

Lists the visual styles in the drawing and redisplays the main prompt.


VISUALSTYLESCLOSE (Quick Reference)

-VISUALSTYLES
VISUALSTYLESCLOSE
VLISP
Commands > V commands >
VISUALSTYLESCLOSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Closes the Visual Styles Manager.

Command entry: visualstylesclose

The Visual Styles Manager closes.


VLISP (Quick Reference)

VISUALSTYLESCLOSE
VLISP
VPCLIP
Commands > V commands >
VLISP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Displays the Visual LISP interactive development environment.

Access Methods

Button

Ribbon: Manage tab [image] Applications panel [image] Visual LISP EditorNot available on the ribbon in the current workspace
Menu: Tools [image] AutoLISP [image] Visual LISP EditorNot available in menus in the current workspace
Command entry: vlisp

Summary

Use Visual LISP to develop, test, and debug AutoLISP programs.

The Visual LISP IDE (interactive development environment) is displayed.

NoteVLIDE is used to transfer control to Visual LISP. It performs the same function as the VLISP command.


VPCLIP (Quick Reference)

VLISP
VPCLIP
VPLAYER
Commands > V commands >
VPCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Clips layout viewport objects and reshapes the viewport border.

Access Methods

Button

Ribbon: View tab [image] Viewports panel [image] ClipNot available on the ribbon in the current workspace
Shortcut menu: Select the viewport to clip, right-click in the drawing area, and choose Viewport Clip.
Command entry: vpclip

Summary

You can either select an existing object to designate as the new boundary, or specify the points of a new boundary. The new boundary does not clip the old boundary, it redefines it.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.

List of Prompts

Select viewport to clip:

Select clipping object or [Polygonal/Delete] <Polygonal>:

Clipping Object

Specifies an object to act as a clipping boundary. Objects that are valid as clipping boundaries include closed poly-lines, circles, ellipses, closed splines, and regions.

Polygonal

Draws a clipping boundary. You can draw line segments or arc segments by specifying points. The following prompt is displayed:

Specify start point:

Specify next point or [Arc/Close/Length/Undo]:

The descriptions of the Next Point, Arc, Close, Length, and Undo options match the descriptions of the corresponding options in the PLINE command.

Delete

Deletes the clipping boundary of a selected viewport. This option is available only if the selected viewport has already been clipped. If you clip a viewport that has been previously clipped, the original clipping boundary is deleted, and the new clipping boundary is applied.


VPLAYER (Quick Reference)

VPCLIP
VPLAYER
VPMAX
Commands > V commands >
VPLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets layer visibility within viewports.

Command entry: vplayer

Enter an option [?/Color/Ltype/LWeight/PStyle/Freeze/Thaw/Reset/Newfrz/Vpvisdflt]:

In the Model tab, the VPLAYER command has two options.

Enter an option [Newfrz/Vpvisdflt]:

?—List Frozen Layers

Displays the names of frozen layers in a selected viewport.

Select a viewport:

The Command prompt displays the names of any layers that are frozen in the selected viewport.

Color

Changes the color associated with a layer.

New color (1-255):

New color [Truecolor/COlorbook]: Enter a color name or a number from 1 through 255, enter t, or enter co

True Color

Specifies a true color to use for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Color Book

Specifies a color from a loaded color book to use for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE®

If you enter a color book name, the following prompt is displayed:

Enter color name: Enter the name of a color included in the selected color book, such as PANTONE® 573

Enter layer name(s) to receive VP property override or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Ltype

Changes the linetype associated with a layer.

Enter a loaded linetype name or [?] <CONTINUOUS>: Enter a currently loaded linetype name, enter ?, or press ENTER

If you enter a linetype or press ENTER, the following prompt is displayed:

Enter layer name(s) to receive VP property override or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

If you enter ? at the Enter a Loaded Linetype Name prompt, the following prompt is displayed:

Enter linetype name(s) to list <*>: Enter a wild-card pattern, or press ENTER to list all names in the drawing

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Lweight

Changes the lineweight associated with a layer.

Enter lineweight (0.0mm-2.11mm):

If you enter a valid lineweight, the current lineweight is set to the new value. If you enter a lineweight that is not valid, the current lineweight is set to the nearest fixed lineweight value. If you want to plot an object with a custom width not found in the list of fixed lineweight values, you can use the Plot Style Table Editor to customize plotted lineweights.

Enter layer name(s) to receive VP property override or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

The lineweight is assigned to the layer or layers.

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Pstyle

Sets the plot style assigned to a layer. This option is not available if you are using color-dependent plot styles in the current drawing (the PSTYLEPOLICY system variable is set to 1). See Use Plot Styles to Control Plotted Objects in the User's Guide.

Enter plot style or [?] <Normal>: Enter a name, enter ? to list existing plot styles, or press ENTER

If you select a plot style other than NORMAL, the following prompt is displayed:

Enter layer name(s) to receive VP property override or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Freeze

Freezes a layer or set of layers in one or more viewports. Objects on frozen layers are not displayed, regenerated, or plotted.

Enter layer name(s) to freeze or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Temporarily switches to paper space, where you can select the viewports to apply the layer settings.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Thaw

Thaws layers in specific viewports.

Enter layer name(s) to thaw: Enter one or more layer names

Enter an option [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Reset

Sets the visibility of layers in specified viewports to their current default setting.

Enter layer name(s) to reset or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

Specify viewport(s) [All/Select/Current] <Current>: Enter an option or press ENTER

All

Applies the changes in all viewports.

Select

Applies the changes in selected viewports.

Select objects: Select one or more viewports and press ENTER

Current

Applies the changes in the current viewport only.

Newfrz (New Freeze)

Creates new layers that are frozen in all viewports.

Enter name(s) of new layers frozen in all viewports: Enter one or more layer names

Vpvisdflt (Viewport Visibility Default)

Thaws or freezes the specified layers in subsequently created viewports.

Enter layer name(s) to change viewport visibility or <specify layers by object selection>: Enter a name or a list of names separated by commas, or press ENTER to select objects (you can only select objects in the current space)

Enter a viewport visibility option [Frozen/Thawed] <current>: Enter f or t, or press ENTER


VPMAX (Quick Reference)

VPLAYER
VPMAX
VPMIN
Commands > V commands >
VPMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Expands the current layout viewport for editing.

Toolbar: Status bar
Shortcut menu: Right-click in a viewport and click Maximize Viewport.
Command entry: vpmax

Select a viewport to maximize:

The viewport is expanded to fill the screen and switched to model space for editing.


VPMIN (Quick Reference)

VPMAX
VPMIN
VPOINT
Commands > V commands >
VPMIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Restores the current layout viewport.

Toolbar: Status bar
Shortcut menu: Right-click in a maximized viewport and click Minimize Viewport.
Command entry: vpmin

The viewport is restored. The center point and magnification are returned to the settings that were in effect before the viewport was maximized.


VPOINT (Quick Reference)

VPMIN
VPOINT
VPORTS
Commands > V commands >
VPOINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the viewing direction for a 3D visualization of the drawing.

Menu: View [image] 3D Views [image] ViewpointAt the Command prompt, enter vpoint.
Command entry: vpoint

Current view direction: VIEWDIR=current

Specify a view point or [Rotate] <display compass and tripod>: Specify a point, enter r, or press ENTER to display a compass and axis tripod

View Point

Using the X,Y,Z coordinate you enter, creates a vector that defines a direction from which the drawing can be viewed. The view defined is as if the viewer is looking from the point back at the origin (0,0,0).

Rotate

Specifies a new viewing direction using two angles.

Enter angle in XY plane from X axis <current>: Specify an angle

The first angle is specified with respect to the X axis, in the XY plane.

Enter angle from XY plane <current>: Specify an angle

The second angle is specified up or down from the XY plane.

Compass and Axis Tripod

Displays a compass and axis tripod, which you use to define a viewing direction in the viewport.

The compass is a two-dimensional representation of a globe. The center point is the north pole (0,0,n), the inner ring is the equator (n,n,0), and the entire outer ring is the south pole (0,0,-n).

You can move the small crosshairs on the compass to any portion of the globe with your pointing device. As you move the crosshairs, the axis tripod rotates to conform to the viewing direction indicated on the compass. To select a viewing direction, move your pointing device to a location on the globe and click.


VPORTS (Quick Reference)

VPOINT
VPORTS
Viewports Dialog Box
Commands > V commands >
VPORTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates multiple viewports in model space or paper space.

Access Methods

Button

Ribbon: View tab [image] Viewports panel [image] Named Viewports
Menu: View [image] ViewportsNot available in menus in the current workspace
Toolbar: Layouts
Command entry: vports

Summary

The Viewports dialog box is displayed.

If you enter -vports at the Command prompt, options are displayed.


Viewports Dialog Box (Quick Reference)

VPORTS
VPORTS
-VPORTS
Commands > V commands > VPORTS >
Viewports Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Button

Ribbon: View tab [image] Viewports panel [image] Named Viewports
Menu: View [image] ViewportsNot available in menus in the current workspace
Toolbar: Layouts
Command entry: vports

Creates new viewport configurations, or names and saves a model space viewport configuration. The options available in this dialog box depend on whether you are configuring model space viewports (on the Model tab) or layout viewports (on a layout tab).

Tabs for model space viewports: New Viewports—Model Space, Named Viewports—Model Space

Tabs for layout viewports: New Viewports—Layouts, Named Viewports—Layouts

New Viewports Tab—Model Space (Viewports Dialog Box)

Displays a list of standard viewport configurations and configures model space viewports.

New Name

Specifies a name for the new model space viewport configuration you are creating. If you do not enter a name, the viewport configuration you create is applied but not saved. If a viewport configuration is not saved, it cannot be used in a layout.

Standard Viewports

Lists and sets the standard viewport configurations, including CURRENT, which is the current configuration.

Preview

Displays a preview of the viewport configuration you select and the default views assigned to each individual viewport in the configuration.

Apply To

Applies the model space viewport configuration to the entire display or to the current viewport.

  • Display: Applies the viewport configuration to the entire Model tab display. Display is the default setting.
  • Current Viewport: Applies the viewport configuration to the current viewport only.
Setup

Specifies either a 2D or a 3D setup. When you select 2D, the new viewport configuration is initially created with the current view in all of the viewports. When you select 3D, a set of standard orthogonal 3D views is applied to the viewports in the configuration.

Change View To

Replaces the view in the selected viewport with the view you select from the list. You can choose a named view, or if you have selected 3D setup, you can select from the list of standard views. Use the Preview area to see the choices.

Visual Style

Applies a visual style to the viewport.

Named Viewports Tab—Model Space (Viewports Dialog Box)

Lists all saved model viewport configurations in the drawing.

Current Name

Displays the name of the current viewport configuration.

New Viewports Tab—Layouts (Viewports Dialog Box)

Displays a list of standard viewport configurations and configures layout viewports.

Standard Viewports

Displays a list of standard viewport configurations and configures layout viewports.

Preview

Displays a preview of the viewport configuration you select and the default views assigned to each individual viewport in the configuration.

Viewport Spacing

Specifies the spacing you want to apply between the layout viewports you are configuring.

Setup

Specifies either a 2D or a 3D setup. When you select 2D, the new viewport configuration is initially created with the current view in all of the viewports. When you select 3D, a set of standard orthogonal 3D views is applied to the viewports in the configuration.

Change View To

Replaces the view in the selected viewport with the view you select from the list. You can choose a named view, or if you have selected 3D setup, you can select from the list of standard views. Use the Preview area to see the choices.

Named Viewports Tab—Layouts (Viewports Dialog Box)

Displays any saved and named model space viewport configurations for you to use in the current layout. You cannot save and name a layout viewport configuration.


-VPORTS (Quick Reference)

Viewports Dialog Box
VPORTS
-VPORTS - Model Space Viewports
Commands > V commands > VPORTS >
-VPORTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The command prompts available depend on whether you are configuring model viewports (on the Model tab) or layout viewports (on a layout tab).


-VPORTS - Model Space Viewports (Quick Reference)

-VPORTS
-VPORTS
-VPORTS - Layout Viewports
Commands > V commands > VPORTS > -VPORTS >
-VPORTS - Model Space Viewports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -vports at the Command prompt from the Model tab, the following prompts are displayed.

Enter an option [Save/Restore/Delete/Join/Single/?/2/3/4] <3>: Enter an option

The number and layout of active viewports and their associated settings are called viewport configurations.

Save

Saves the current viewport configuration using a specified name.

Enter name for new viewport configuration or [?]: Enter a name or enter ? to list saved viewport configurations

Restore

Restores a previously saved viewport configuration.

Enter name of viewport configuration to restore or [?]: Enter a name or enter ? to list saved viewport configurations

Delete

Deletes a named viewport configuration.

Enter name(s) of viewport configurations to delete <none>: Enter a name or enter ? to list saved viewport configurations

Join

Combines two adjacent model viewports into one larger viewport.

The two model viewports must share a common edge of the same length. The resulting viewport inherits the view of the dominant viewport.

Select dominant viewport <current>: Press ENTER or select a viewport

Select viewport to join: Select a viewport

Single

Returns the drawing to a single viewport view, using the view from the current viewport.

?—List Viewport Configurations

Displays the identification numbers and screen positions of the active viewports.

Enter name(s) of viewport configuration(s) to list <*>: Enter a name or press ENTER

The lower-left and upper-right corners of the viewport define its location. For these corners, values between 0.0,0.0 (for the lower-left corner of the drawing area) and 1.0,1.0 (for the upper-right corner) are used. The current viewport is listed first.

2

Divides the current viewport in half.

Enter a configuration option [Horizontal/Vertical] <Vertical>: Enter h or press ENTER

3

Divides the current viewport into three viewports.

Enter a configuration option [Horizontal/Vertical/Above/Below/Left/Right] <Right>: Enter an option or press ENTER

The Horizontal and Vertical options split the area into thirds. The Above, Below, Left, and Right options specify where the larger viewport is placed.

4

Divides the current viewport into four viewports of equal size.


-VPORTS - Layout Viewports (Quick Reference)

-VPORTS - Model Space Viewports
-VPORTS
VSCURRENT
Commands > V commands > VPORTS > -VPORTS >
-VPORTS - Layout Viewports
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -vports at the Command prompt from a layout tab, the following prompts are displayed.

Specify corner of viewport or [ON/OFF/Fit/Shadeplot/Lock/Object/Polygonal/Restore/LAyer/2/3/4] <Fit>: Specify a point or enter an option

The number and layout of active viewports and their associated settings are called viewport configurations.

On

Turns on a viewport, making it active and making its objects visible.

Off

Turns off a viewport. When a viewport is off, its objects are not displayed, and you cannot make that viewport current.

Fit

Creates one viewport that fills the available display area. The actual size of the viewport depends on the dimensions of the paper space view.

Shadeplot

Specifies how viewports in layouts are plotted.

Shade plot? [As displayed/Wireframe/Hidden/Visual styles/Rendered] <As displayed>: Enter a shade plot option

  • As Displayed: Plots the same way it is displayed
  • All Visual Styles: Plots using the specified visual style; all visual styles in the drawing are listed as options whether in use or not
  • All Render Presets: Plots using the specified render preset; all render presets are listed as options
Lock

Locks the current viewport. This is similar to layer locking.

Object

Creates a nonrectangular layout viewport from a closed polyline, ellipse, spline, region, or circle. The polyline you specify must be closed and contain at least three vertices. It can be self-intersecting, and it can contain arcs as well as line segments.

Polygonal

Creates a nonrectangular layout viewport defined by a series of line and arc segments.

Specify start point: Specify a point

Specify next point or [Arc/Length/Undo]: specify a point or enter an option

Enter an arc boundary option

[Angle/CEnter/CLose/Direction/Line/Radius/Second pt/Undo/Endpoint of arc] <Endpoint>: Enter an option

The descriptions of the Next Point, Arc, Close, Length, and Undo options match the descriptions of the corresponding options in the PLINE command.

Restore

Restores a previously saved viewport configuration.

Enter viewport configuration name or [?]: Enter a name or enter ? to list saved viewport configurations

Layer

Resets layer property overrides for the selected viewport to their global layer properties.

Reset viewport layer property overrides back to global properties [Yes/No]?: Enter Y to remove all layer property overrides.

Select viewports: Select a single or multiple viewports and press ENTER

2

Divides the current viewport in half.

Enter viewport arrangement [Horizontal/Vertical]<Vertical>: Enter h or press ENTER

3

Divides the current viewport into three viewports.

Enter viewport arrangement [Horizontal/Vertical/Above/Below/Left/Right] <Right>: Enter an option or press ENTER

Horizontal and Vertical split the area into thirds. The other options create one large viewport in half the available area and two smaller ones in the other half. Above, Below, Left, and Right specify where the larger viewport is placed.

4

Divides the current viewport into four viewports of equal size.


VSCURRENT (Quick Reference)

-VPORTS - Layout Viewports
VSCURRENT
VSLIDE
Commands > V commands >
VSCURRENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the visual style in the current viewport.

Command entry: vscurrent

Enter an option [2dwireframe/3dwireframe/3dHidden/Realistic/Conceptual/Other] <current>:

NoteTo display lighting from point lights, distant lights, spotlights, or the sun, set the visual style to Realistic, Conceptual, or a custom visual style with shaded objects.
2D Wireframe

Displays the objects using lines and curves to represent the boundaries. Raster and OLE objects, linetypes, and lineweights are visible. Even if the value for the COMPASS system variable is set to 1, it does not appear in the 2D Wireframe view.

3D Wireframe

Displays the objects using lines and curves to represent the boundaries. Displays a shaded 3D UCS icon. You can set the COMPASS system variable to 1 to view the compass.

3D Hidden

Displays the objects using 3D wireframe representation and hides lines representing back faces.

Realistic

Shades the objects and smooths the edges between polygon faces. Materials that you have attached to the objects are displayed.

Conceptual

Shades the objects and smooths the edges between polygon faces. Shading uses a transition between cool and warm colors. The effect is less realistic, but it can make the details of the model easier to see.

Other

Displays the following prompt:

Enter a visual style name [?]: Enter the name of a visual style in the current drawing, or enter ? to display a list of names and repeat the prompt


VSLIDE (Quick Reference)

VSCURRENT
VSLIDE
VSSAVE
Commands > V commands >
VSLIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays an image slide file in the current viewport.

Command entry: vslide

The Select Slide File dialog box, a standard file selection dialog box, is displayed. Enter a slide file name (.sld extension) to display. When you press ENTER or click Open, the slide file is opened.

To display a slide in a slide library (.slb extension), set FILEDIA to 0, enter vslide, and then specify the slide library file name followed by the slide file name enclosed in parentheses: slidelibrary(slide).

When you view slides of images shaded with the -SHADE command in a larger window or a higher resolution than was used for creating the slide, black lines may appear interspersed among the lines of the shaded image. To avoid this situation, use a full screen that is set at the highest resolution when creating the slides.


VSSAVE (Quick Reference)

VSLIDE
VSSAVE
VTOPTIONS
Commands > V commands >
VSSAVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a visual style.

Command entry: vssave

Save current visual style as or [?]: Enter a name or enter ? to list all the visual styles in the drawing

NoteYou must be in model space to save a visual style. If you enter a name that is already in use for a visual style, you can either replace the existing visual style or enter a different name.


VTOPTIONS (Quick Reference)

VSSAVE
VTOPTIONS
View Transitions Dialog Box
Commands > V commands >
VTOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays a change in view as a smooth transition.

Command entry: vtoptions

The View Transitions dialog box is displayed.


View Transitions Dialog Box (Quick Reference)

VTOPTIONS
VTOPTIONS
WALKFLYSETTINGS
Commands > V commands > VTOPTIONS >
View Transitions Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: vtoptions

Sets the options for smooth view transitions.

Enable Animation for Pan and Zoom

Makes a smooth view transition during panning and zooming. (VTENABLE system variable)

Enable Animation When View Rotates

Makes a smooth view transition when the view angle is changed. (VTENABLE system variable)

Enable Animation During Scripts

Makes smooth view transitions while a script is running. (VTENABLE system variable)

Transition Speed

Sets the speed of a smooth view transition in milliseconds.

Performance

Set the minimum speed for a smooth view transition in frames per second. When a smooth view transition cannot maintain this speed, an instant transition is used to preserve performance.


W commands

View Transitions Dialog Box
Commands
WALKFLYSETTINGS
Commands >
W commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • WALKFLYSETTINGS

    Controls the walk and fly navigation settings.

  • WBLOCK

    Writes objects or a block to a new drawing file.

  • WEBLIGHT

    Creates a web light

  • WEDGE

    Creates a 3D solid wedge.

  • WHOHAS

    Displays ownership information for opened drawing files.

  • WIPEOUT

    Creates a wipeout object.

  • WMFIN

    Imports a Windows metafile.

  • WMFOPTS

    Sets options for WMFIN.

  • WMFOUT

    Saves objects to a Windows metafile.

  • WORKSPACE

    Creates, modifies, and saves workspaces and makes a workspace current.

  • WSSAVE

    Saves a workspace.

  • WSSETTINGS

    Sets options for workspaces.


WALKFLYSETTINGS (Quick Reference)

View Transitions Dialog Box
WALKFLYSETTINGS
Walk and Fly Settings Dialog Box
Commands > W commands >
WALKFLYSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the walk and fly navigation settings.

Access Methods

Walk and Fly Settings

Ribbon: Visualize tab [image] Navigation panel [image] Walk and Fly Settings.Does not exist on the ribbon.
Toolbar: 3D Navigation
Menu: View [image] Walk and Fly [image] Walk and Fly SettingsDoes not appear in the menus.
Command entry: walkflysettings

Summary

The Walk and Fly Settings dialog box is displayed.


Walk and Fly Settings Dialog Box (Quick Reference)

WALKFLYSETTINGS
WALKFLYSETTINGS
WBLOCK
Commands > W commands > WALKFLYSETTINGS >
Walk and Fly Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Ribbon: Visualize tab [image] Navigation panel [image] Walk and Fly Settings. Does not exist on the ribbon.

Controls the walk and fly navigation settings

Settings

Specifies settings related to the Walk and Fly Navigation Mappings balloon and the Position Locator window.

When Entering Walk and Fly Modes

Specifies that the Walk and Fly Navigation Mappings balloon is displayed each time you enter walk or fly mode.

Once Per Session

Specifies that the Walk and Fly Navigation Mappings balloon is displayed the first time in each AutoCAD session that you enter walk or fly mode.

Never

Specifies that the Walk and Fly Navigation Mappings balloon is never displayed.

Display Position Locator Window

Specifies whether the Position Locator window opens when you enter walk mode.

Current Drawing Settings

Specifies walk and fly mode settings specific to the current drawing.

Walk/Fly Step Size

Sets the size of each step in drawing units (the STEPSIZE system variable).

Steps Per Second

Specifies how many steps occur per second (the STEPSPERSEC system variable).


WBLOCK (Quick Reference)

Walk and Fly Settings Dialog Box
WBLOCK
Write Block Dialog Box
Commands > W commands >
WBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Writes objects or a block to a new drawing file.

Command entry: wblock

The Write Block dialog box is displayed.

Entering -wblock at the Command prompt displays a standard file selection dialog box in which to specify a name for the new drawing file, followed by command prompts. If FILEDIA is set to 0, the standard file selection dialog box is suppressed.


Write Block Dialog Box (Quick Reference)

WBLOCK
WBLOCK
-WBLOCK
Commands > W commands > WBLOCK >
Write Block Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: wblock

Saves objects or converts a block to a file.

The Write Block dialog box displays different default settings depending on whether nothing is selected, a single block is selected, or objects other than blocks are selected.

Source

Specifies blocks and objects, saves them as a file, and specifies insertion points.

Block

Specifies an existing block to save as a file. Select a name from the list.

Entire Drawing

Selects current drawing to save as another file.

Objects

Selects objects to save as a file. Specify a base point and select objects below.

Base Point

Specifies a base point for the block. The default value is 0,0,0.

Pick Point

Temporarily closes the dialog box so that you can specify an insertion base point in the current drawing.

X

Specifies the X coordinate value for the base point.

Y

Specifies the Y coordinate value for the base point.

Z

Specifies the Z coordinate value for the base point.

Objects

Sets the effect of block creation on objects used to create a block.

Retain

Retains the selected objects in the current drawing after saving them as a file.

Convert to Block

Converts the selected object or objects to a block in the current drawing after saving them as a file. The block is assigned the name in File Name.

Delete from Drawing

Deletes the selected objects from the current drawing after saving them as a file.

Select Objects Button

Temporarily closes the dialog box so that you can select one or more objects to save to the file.

Quick Select Button

Opens the Quick Select dialog box, which you can use to filter your selection set.

Objects Selected

Indicates the number of objects selected.

Destination

Specifies the new name and location of the file and the units of measurement to be used when the block is inserted.

File Name and Path

Specifies a file name and path where the block or objects will be saved.

[...]

Displays a standard file selection dialog box.

Insert Units

Specifies the unit value to be used for automatic scaling when the new file is dragged from DesignCenter™ or inserted as a block in a drawing that uses different units. Select Unitless if you do not want to automatically scale the drawing when you insert it. See INSUNITS.


-WBLOCK (Quick Reference)

Write Block Dialog Box
WBLOCK
WEBLIGHT
Commands > W commands > WBLOCK >
-WBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If FILEDIA is set to 1, entering -wblock at the Command prompt displays a standard file selection dialog box in which to specify a name for the new drawing file. If FILEDIA is set to 0, entering -wblock at the Command prompt displays a prompt. The new drawing is saved in the file format that is specified in Save As on the Open and Save tab in the Options dialog box.

Enter name of output file:

Once you specify a filename—either through the dialog box or at the Command prompt—the following prompt is displayed.

Enter name of existing block or

[= (block=output file)/* (whole drawing)] <define new drawing>: Enter the name of an existing block, enter=, enter*, or press ENTER

Entering the name of an existing block writes that block to a file. You cannot enter the name of an external reference (xref) or one of its dependent blocks.

Entering an equal sign (=) specifies that the existing block and the output file have the same name. If no block of that name exists in the drawing, the prompt is displayed again.

Entering an asterisk (*) writes the entire drawing to the new output file, except for unreferenced symbols. Model space objects are written to model space, and paper space objects are written to paper space.

If you press ENTER, you are prompted for an insertion base point for the block file and then prompts you to select the objects to write to the block file.

Specify insertion base point: Specify a point (1)

Select objects: Use an object selection method and press ENTER when you finish selecting objects

After the file is created, the selected objects are deleted from the drawing. You can use OOPS to restore the objects.

In the new drawing, the world coordinate system (WCS) is set parallel to the user coordinate system (UCS).


WEBLIGHT (Quick Reference)

-WBLOCK
WEBLIGHT
WEDGE
Commands > W commands >
WEBLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a web light

Command entry: weblight

Specify source location <0,0,0>: Enter coordinate values or use the pointing device

Specify target location <1,1,1>: Enter coordinate values or use the pointing device

Enter an option to change [Name/Intensity factor/Status/Photometry/weB/shadoW/filterColor/eXit] <eXit>:

NoteThe LIGHTINGUNITS system variable must be set to a value other than 0 to create and use weblights.

Name

Specifies the name of the light. You can use uppercase and lowercase letters, numbers, spaces, hyphens (-), and underscores (_) in the name. The maximum length is 256 characters.

Enter light name:

Intensity Factor

Sets the intensity or brightness of the light. The range is 0.00 to the maximum value that is supported by your system.

Enter intensity (0.00 - max float) <1.0000>:

Status

Turns the light on and off. If lighting is not enabled in the drawing, this setting has no effect.

Enter status [oN/oFf]:

Photometry

Photometry is available when the LIGHTINGUNITS system variable is set to 1 or 2. Photometry is the measurement of the luminous intensities of visible light sources.

In photometry, luminous intensity is a measure of the perceived power emitted by a light source in a particular direction. Luminous flux is the perceived power in per unit of solid angle. The total luminous flux for a lamp is the perceived power emitted in all directions. Luminance is the total luminous flux incident on a surface, per unit area.

Enter a photometric option to change [Intensity/Color/eXit] <I>:

Intensity

Enter intensity (Cd) or enter an option [Flux/Illuminance] <1500.0000>:

Enter an intensity value in candelas, the perceived power in a luminous flux value, or illuminance value for the total luminous flux incident on a surface.

  • Candela (symbol: cd) is the SI unit of luminous intensity (perceived power emitted by a light source in a particular direction). Cd/Sr
  • Lux (symbol: lx) is the SI unit of illuminance. Lm/m^2
  • Foot-candle (symbol: fc) is the American unit of illuminance. Lm/ft^2

Enter f to specify the perceived power in a luminous flux value.

Enter Flux (Lm) <18849.5556>:

If you enter i, you can specify the intensity of the light based on an illuminance value.

Enter Illuminance ("Lx"|"Fc") or enter an option [Distance] <1500.0000>:

The illuminance value can be specified in either lux or foot-candles. Enter d to specify a distance to use to calculate illuminance.

Enter Distance <1.0000>:

Color

Enter color name or enter an option [?/Kelvin] <D65White>:

Specify the color of the light based on a color name or a Kelvin temperature. Enter ? to display a list of color names.

Enter color name(s) to list <*> :

Enter a text string using wild card characters to display a partial listing of color names, or an asterisk (*) to display all the possible choices.

If you enter k, you can specify the color of the light based on a Kelvin temperature value.

Enter Kelvin temperature <3600.0000>:

Exit

Exits the command.

Web

Specifies the intensity for a light at points on a spherical grid.

Enter a Web option to change [File/X/Y/Z/Exit] <Exit>:

File

Enter Web file <>:

Specifies which web file to use to define the properties of the web. Web files have the file extension .ies.

X

Enter Web X rotation <0.0000>:

Specifies the X rotation for the web.

Y

Enter Web Y rotation <0.0000>:

Specifies the Y rotation for the web.

Z

Enter Web Z rotation <0.0000>:

Specifies the Z rotation for the web.

Exit

Exits the command option.

Shadow

Makes the light cast shadows.

Enter shadow settings [Off/Sharp/soFt mapped/soft sAmpled] <Sharp>:

Off

Turns off the display and calculation of shadows for the light. Turning shadows off increases performance.

Sharp

Displays shadows with sharp edges. Use this option to increase performance.

Soft Mapped

Displays realistic shadows with soft edges.

Enter map size [64/128/256/512/1024/2048/4096] <256>:

Specifies the amount of memory to use to calculate the shadow map.

Enter softness (1-10) <1>:

Specifies the softness to use to calculate the shadow map.

Soft Sampled

Displays realistic shadows with softer shadows (penumbra) based on extended light sources.

Enter an option to change [Shape/sAmples/Visible/eXit] <eXit>:

Specify the shape of the shadow by entering s and then the dimensions of the shape. (For example, the radius of the sphere or the length and width of a rectangle.)

Enter shape [Linear, Disk, Rect, Sphere, Cyl] <Rect>:

Specify the sample size by entering a.

Enter Shadow Sample <16.0000>:

Specify the visibility of the shape by for the shadow by entering v.

Enter Shape Visibility [Yes/No] <No>:

Filter Color

Controls the color of the light.

Enter true color (R,G,B) or enter an option [Index color/Hsl/colorBook]:

True Color

Specifies a True Color. Enter in the format R,G,B (red, green, blue).

Index

Specifies an ACI (AutoCAD Color Index) color.

Enter color name or number (1-255):

HSL

Specifies an HSL (hue, saturation, luminance) color.

Enter HSL color (H,S,L):

Color Book

Specifies a color from a color book.

Enter Color Book name:

Exit

Exits the command.


WEDGE (Quick Reference)

WEBLIGHT
WEDGE
WHOHAS
Commands > W commands >
WEDGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a 3D solid wedge.

Access Methods

Button

Ribbon: Home tab [image] Modeling panel [image] WedgeNot available on the ribbon in the current workspace
Menu: Draw [image] Modeling [image] WedgeNot available in menus in the current workspace
Toolbar: Modeling
Command entry: wedge

Specify first corner or [Center]: Specify a point or enter c for center

Specify other corner or [Cube/Length]: Specify the other corner of the wedge or enteran option

If the other corner of the wedge is specified with a Z value that differs from the first corner, then no height prompt is displayed.

Specify height or [2Point] <default>: Specify the height or enter 2P for the 2 Point option

Entering a positive value draws the height along the positive Z axis of the current UCS. Entering a negative value draws the height along the negative Z axis.

The direction of the taper is always in the positive X-axis direction of the UCS.

Center

Creates the wedge by using a specified center point.

Specify center: Specify a point (1)

Specify other corner or [Cube/Length]: Specify a point or enter an option

Specify height or [2Point] <default>: Specify the height or enter 2P for the 2 Point option

Cube

Creates a wedge with sides of equal length.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the wedge in the XY plane

Length

Creates a wedge with length, width, and height values you specify. The length corresponds to the X axis, the width to the Y axis, and the height to the Z axis. If you pick a point to specify the length, you also specify the rotation in the XY plane.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the wedge in the XY plane

Specify width: Specify a distance

Specify height: Specify a distance

Cube

Creates a wedge with sides of equal length.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the wedge in the XY plane

Length

Creates a wedge with length, width, and height values you specify. The length corresponds to the X axis, the width to the Y axis, and the height to the Z axis.

Specify length: Enter a value, or pick a point to specify the length and the rotation of the wedge in the XY plane

Specify width: Specify a distance

Specify height: Specify a distance

2Point

Specifies that the height of the wedge is the distance between the two specified points.

Specify first point: Specify a point

Specify second point: Specify a point


WHOHAS (Quick Reference)

WEDGE
WHOHAS
WIPEOUT
Commands > W commands >
WHOHAS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays ownership information for opened drawing files.

Command entry: whohas

You can use WHOHAS to track which users have certain drawing files open.

WHOHAS displays the Select Drawing to Query dialog box (a standard file selection dialog box). After you select a file, the ownership information is displayed at the Command prompt. The information includes the current user's computer name, login ID, and full name (if available) and the date and time the drawing file was opened.

NoteSimilar information is displayed automatically when you try to open a drawing file that another user has already opened.

The information displayed by WHOHAS is stored in a temporary DWL (drawing lock) file. A DWL file is automatically created when a file is opened and then deleted when the file is closed.


WIPEOUT (Quick Reference)

WHOHAS
WIPEOUT
WMFIN
Commands > W commands >
WIPEOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a wipeout object.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] WipeoutNot available on the ribbon in the current workspace
Menu: Draw [image] WipeoutNot available in menus in the current workspace
Command entry: wipeout

Creates a polygonal area that masks underlying objects with the current background color. The wipeout area is bounded by a frame that you can turn on for editing and turn off for plotting.

Specify first point or [Frames/Polyline] <Polyline>: Specify a point or an option

First Point

Determines the polygonal boundary of the wipeout object from a series of points.

Next point: Specify the next point or press ENTER to exit

Frames

Determines whether the edges of all wipeout objects are displayed or hidden.

Enter mode [ON/OFF]:<varies> Enter on or off

Enter on to display all wipeout frames. Enter off to suppress the display of all wipeout frames.

Polyline

Determines the polygonal boundary of the wipeout objects from a selected polyline.

Select a closed polyline: Use an object selection method to select a closed polyline

Erase polyline? [Yes/No] <N>: Enter y or n

Enter y to erase the polyline that was used to create the wipeout object. Enter n to retain the polyline.


WMFIN (Quick Reference)

WIPEOUT
WMFIN
WMFOPTS
Commands > W commands >
WMFIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Imports a Windows metafile.

Button

Menu: Insert [image] Windows MetafileAt the Command prompt, enter wmfin.
Command entry: wmfin

WMF files can contain both vector and raster information, however only the vector information is imported. WMF files are inserted as a block reference and can be resized and printed without losing resolution.

The Import WMF dialog box (a standard file selection dialog box) is displayed. Enter a file name. The .wmf file extension is added automatically.

In the Import WMF dialog box, if you click Tools [image] Options, the WMF In Options dialog box is displayed. You can also open this dialog box directly by using WMFOPTS. After opening the selected WMF file, the following prompt is displayed:

Specify insertion point or [Scale/X/Y/Z/Rotate/PScale/PX/PY/PZ/PRotate]: Specify a point or enter an option

Insertion Point

Places a copy of the metafile with its base point at the specified insertion point.

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, enter an option, or press ENTER

X Scale Factor

Sets the X and Y scale factors.

Enter Y scale factor <use X scale factor>: Enter a value or press ENTER to use the same scale factor

Specify rotation angle <0>:

All X and Y dimensions of the metafile are multiplied by the X and Y scale factors supplied. The metafile is rotated by the angle specified, using the insertion point as the center of rotation.

Corner

Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box. The X and Y dimensions of the box become the X and Y scale factors. The insertion point is the first corner.

Specify opposite corner: Specify a point

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

XYZ

Scales the metafile in all three dimensions.

Specify X scale factor or [Corner] <1>: Specify a nonzero value, enter c, or press ENTER

If you enter c, you specify a corner point. The specified point and the insertion point determine the X and Y scale factors for the WMF file.

Specify Y scale factor or <use X scale factor>: Enter a value or press ENTER to use the same scale factor

Enter Z scale factor <use X scale factor>: Enter a value or press ENTER to use the same scale factor

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

Scale

Sets the scale factor for the X, Y, and Z axes. The scale for the Z axis is the absolute value of the specified scale factor.

Specify scale factor for XYZ axes: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

X

Sets the X scale factor.

Specify X scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

Y

Sets the Y scale factor.

Specify Y scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

Z

Sets the Z scale factor.

Specify Z scale factor: Enter a nonzero value

Specify insertion point:

Specify rotation angle <0>:

The rotation angle sets the angle of the WMF file.

Rotate

Sets the angle of insertion for the WMF file.

Specify rotation angle <0>:

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

X Scale Factor

Sets the X and Y scale factors.

Enter Y scale factor <use X scale factor>: Enter a value or press ENTER to use the same scale factor

Corner

Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box. The X and Y dimensions of the box become the X and Y scale factors. The insertion point is the first corner.

Specify opposite corner: Specify a point

XYZ

Scales the metafile in all three dimensions.

Specify X scale factor or [Corner] <1>: Specify a nonzero value, enter c, or press ENTER

If you enter c, you specify a corner point. The specified point and the insertion point determine the X and Y scale factors for the block.

Specify Y scale factor or <use X scale factor>: Enter a value or press ENTER to use the same scale factor

Enter Z scale factor <use X scale factor>: Enter a value or press ENTER to use the same scale factor

PScale

Sets the temporary scale factor for the X, Y, and Z axes to control the display of the WMF file as it is dragged into position.

Specify preview scale factor for XYZ axes: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

The descriptions of the X Scale Factor, Corner, and XYZ options match the descriptions of the corresponding options under Rotate.

PX

Sets the temporary scale factor for the X axis to control the display of the WMF file as it is dragged into position.

Specify preview X scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

The descriptions of the X Scale Factor, Corner, and XYZ options match the descriptions of the corresponding options under Rotate.

PY

Sets the temporary scale factor for the Y axis to control the display of the WMF file as it is dragged into position.

Specify preview Y scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

The descriptions of the X Scale Factor, Corner, and XYZ options match the descriptions of the corresponding options under Rotate.

PZ

Sets the temporary scale factor for the Z axis to control the display of the WMF file as it is dragged into position.

Specify preview Z scale factor: Enter a nonzero value

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

The descriptions of the X Scale Factor, Corner, and XYZ options match the descriptions of the corresponding options under Rotate.

PRotate

Sets the temporary rotation angle of the WMF file as it is dragged into position.

Specify preview rotation angle:

Specify insertion point:

Enter X scale factor, specify opposite corner, or [Corner/XYZ] <1>: Enter a value, specify a point, enter an option, or press ENTER

The descriptions of the X Scale Factor, Corner, and XYZ options match the descriptions of the corresponding options under Rotate.


WMFOPTS (Quick Reference)

WMFIN
WMFOPTS
WMF In Options Dialog Box
Commands > W commands >
WMFOPTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets options for WMFIN.

Command entry: wmfopts

The WMF In Options dialog box is displayed.


WMF In Options Dialog Box (Quick Reference)

WMFOPTS
WMFOPTS
WMFOUT
Commands > W commands > WMFOPTS >
WMF In Options Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: wmfopts

Controls whether metafiles maintain relative line widths and whether they are imported as wireframes or solid objects.

Wire Frame (No Fills)

Imports objects as wireframes. If you clear this option, objects are imported as filled objects.

Wide Lines

Maintains the relative line width of lines and borders. If you clear this option, lines are imported with zero width.


WMFOUT (Quick Reference)

WMF In Options Dialog Box
WMFOUT
WORKSPACE
Commands > W commands >
WMFOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves objects to a Windows metafile.

Command entry: wmfout

The Create WMF standard file selection dialog box is displayed. Enter a file name. A .wmf file extension is added.

Select objects: Use an object selection method and press ENTER when you finish selecting objects

The selected objects are saved to a file in Windows metafile format.


WORKSPACE (Quick Reference)

WMFOUT
WORKSPACE
WSSAVE
Commands > W commands >
WORKSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates, modifies, and saves workspaces and makes a workspace current.

Command entry: workspace

Enter Workspace option [setCurrent/SAveas/Edit/Rename/Delete/SEttings/?] <setCurrent>:

Set Current

Sets a current workspace.

Enter name of workspace to make current [?] <current>: Enter a name or ? to list available workspaces.

Save As

Saves a current interface configuration as a workspace.

Save workspace as <current>:

Edit

Opens the Customize User Interface dialog box, Customize tab, where you can make modifications to a workspace.

Rename

Renames a workspace.

Enter workspace to rename [?] <current>

Enter new workspace name <current>:

Workspace <name> renamed to <new_name>.

Delete

Deletes a workspace.

Enter workspace to delete [?]: Enter a name or ? to list available workspaces.

Do you really want to delete the workspace <name> [Yes/No]? <N>

Workspace <name> deleted.

Settings

Opens the Workspace Settings dialog box, which controls the display, menu order, and Save settings of a workspace.

?—List Workspaces

Lists all workspaces defined in the main and enterprise CUIx files.


WSSAVE (Quick Reference)

WORKSPACE
WSSAVE
Save Workspace Dialog Box
Commands > W commands >
WSSAVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Saves a workspace.

Command entry: wssave

If you enter -wssave at the Command prompt, WSSAVE displays prompts.

The Save Workspace dialog box is displayed.


Save Workspace Dialog Box (Quick Reference)

WSSAVE
WSSAVE
WSSETTINGS
Commands > W commands > WSSAVE >
Save Workspace Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: wssave

Saves the current workspace scheme and settings of a workspace.

Name

Displays a text box where you can specify a name for a newly saved workspace and view a list of existing workspaces. These workspaces can be overwritten if the CUIx file in which they are included is writable. Read-only files, such as CUIx files that are shared across a network (called enterprise CUIx files), are displayed with a “Read-Only” file name extension.


WSSETTINGS (Quick Reference)

Save Workspace Dialog Box
WSSETTINGS
Workspace Settings Dialog Box
Commands > W commands >
WSSETTINGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets options for workspaces.

Command entry: wssettings

The Workspace Settings dialog box is displayed.


Workspace Settings Dialog Box (Quick Reference)

WSSETTINGS
WSSETTINGS
XATTACH
Commands > W commands > WSSETTINGS >
Workspace Settings Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Command entry: wssettings

Controls the display, menu order, and Save settings of a workspace.

My Workspace =

Displays a list of workspaces from which you can choose a workspace to assign to the My Workspace toolbar button.

Menu Display and Order

Controls which workspace name you want to display in the Workspaces toolbar and menu, the order of those workspace names, and whether a separator line is added between each workspace name. The workspaces displayed here and in the Workspaces toolbar and menu include the current workspace (displayed with a check mark in the toolbar and menu) and the workspace you've defined in the My Workspace= option, regardless of the display settings.

Move Up

Moves workspace names up in the display order.

Move Down

Moves workspace names down in the display order.

Add Separator

Adds a separator between workspace names.

Do Not Save Changes to Workspace

Does not save changes you've made to a workspace when you switch to another workspace

Automatically Save Workspace Changes

Saves changes you've made to a workspace when you switch to another workspace.


X commands

Workspace Settings Dialog Box
Commands
XATTACH
Commands >
X commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • XATTACH

    Inserts a DWG file as an external reference (xref).

  • XBIND

    Binds one or more definitions of named objects in an xref to the current drawing.

  • XCLIP

    Crops the display of a selected external reference or block reference to a specified boundary.

  • XEDGES

    Creates wireframe geometry from the edges of a 3D solid, surface, mesh, region, or subobject.

  • XLINE

    Creates a line of infinite length.

  • XOPEN

    Opens a selected drawing reference (xref) in a new window.

  • XPLODE

    Breaks a compound object into its component objects.

  • XREF

    Starts the EXTERNALREFERENCES command.


XATTACH (Quick Reference)

Workspace Settings Dialog Box
XATTACH
Attach External Reference Dialog Box
Commands > X commands >
XATTACH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Inserts a DWG file as an external reference (xref).

Access Methods

Ribbon: Insert tab [image] Reference panel [image] Attach Does not exist on the ribbon.
Toolbar: Reference
Menu: Insert [image] External ReferenceDoes not exist in the menus.
Command entry: xattach

Summary

When you attach a drawing file as an xref, you link that referenced drawing to the current drawing. Any changes to the referenced drawing are displayed in the current drawing when it is opened or reloaded.

The Select Reference File dialog box (a standard file selection dialog box) is displayed. After you select a DWG file, the Attach External Reference dialog box is displayed. After the file is attached, you can adjust and clip the xref through the External Reference ribbon contextual tab.


Attach External Reference Dialog Box (Quick Reference)

XATTACH
XATTACH
External Reference Ribbon Contextual Tab
Commands > X commands > XATTACH >
Attach External Reference Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Access Methods

Menu: Insert [image] External ReferenceDoes not exist in the menus.
Toolbar: Reference
Command entry: xattach

Summary

Attaches a drawing as an external reference (xref). If you attach a drawing that contains an attached xref, the attached xref appears in the current drawing. Like blocks, attached xrefs can be nested. If another person is currently editing the xref, the attached drawing is based on the most recently saved version.

List of Options

The following options are available in this dialog box.

Name

Identifies the DWG you have selected to attach.

Browse

Click Browse to display the Select Reference File dialog box (a standard file selection dialog box), in which you can select new external references for the current drawing.

Preview

Displays the DWG you have selected to attach.

Reference Type

Specifies whether the external reference is an attachment or an overlay. Unlike an xref that is an attachment, an overlay is ignored when the drawing to which it is attached is then attached as an xref to another drawing.

See Attach Drawing References (Xrefs) and Nest and Overlay Referenced Drawings in the User's Guide.

Locate using Geographic Data

Attaches drawing using geographic data as the reference.

Scale

Specify On-screen

Allows you to input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter a value for the scale factor. The default scale factor is 1.

Scale Factor Field

Enter a value for the scale factor. The default scale factor is 1.

Insertion Point

Specifies the insertion point for the selected external reference. Specify On-Screen is the default. The default insertion point is 0,0,0.

Specify On-Screen

Directs input at the Command prompt or the pointing device. If Specify On-Screen is cleared, enter the insertion point in X, Y, and Z.

X

Sets the X coordinate value.

Y

Sets the Y coordinate value.

Z

Sets the Z coordinate value.

Path Type

Select the full (absolute) path, the relative path to the external reference file, or No Path, the name of the external reference (the file must be located in the same folder as the current drawing file).

Rotation

Specifies the rotation angle of the selected external reference.

Specify on-screen

If Specify On-Screen is selected, you may wait until you exit the dialog box to rotate the object with your pointing device or enter a rotation angle value at the Command prompt.

Angle

If Specify On-Screen is cleared, enter the rotation angle value in the dialog box. The default rotation angle is 0.

Block Unit

Displays information about the block units.

Unit

Displays the specified INSUNITS value for the inserted block.

Factor

Displays the unit scale factor, which is calculated based on the INSUNITS value of the block and the drawing units.

Show Details

Displays the external reference file paths.

Found In

Displays the path where the external reference file is located.

Saved Path

Displays the path that is saved with the drawing when the external reference is attached. The path is dependent upon the Path Type setting.


External Reference Ribbon Contextual Tab (Quick Reference)

Attach External Reference Dialog Box
XATTACH
XBIND
Commands > X commands > XATTACH >
External Reference Ribbon Contextual Tab
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Displays options for attaching external references.

Access Methods

Ribbon: Insert tab [image] Reference panel
Menu: Insert [image] DWG Reference
Command entry: xattach

Summary

The External Reference tab is displayed when you select an external reference.

Edit Panel

Edit Reference In-Place | Edits a block or an external reference directly within the current drawing.
Open Reference | Opens the block or external reference in a separate window.

Clipping Panel

Create Clipping Boundary | Deletes the old clipping boundary and creates a new one.
Remove Clipping | Deletes the clipping boundary.

Options Panel

External References Displays the External References palette.


XBIND (Quick Reference)

External Reference Ribbon Contextual Tab
XBIND
Xbind Dialog Box
Commands > X commands >
XBIND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Binds one or more definitions of named objects in an xref to the current drawing.

Toolbar: Reference
Menu: Modify [image] Object [image] External Reference [image] BindAt the Command prompt, enter xbind.
Command entry: xbind

The Xbind dialog box is displayed.

If you enter -xbind at the Command prompt, options are displayed.

NoteThe Bind option of XREF binds the xref file. Use XBIND for individual dependent definitions.


Xbind Dialog Box (Quick Reference)

XBIND
XBIND
-XBIND
Commands > X commands > XBIND >
Xbind Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Toolbar: Reference
Menu: Modify [image] Object [image] External Reference [image] BindAt the Command prompt, enter xbind.
Command entry: xbind

Adds xref-dependent named objects (such as blocks, dimension styles, layers, linetypes, and text styles) to your drawing.

Xrefs

Lists the xrefs currently attached to the drawing. Selecting an xref (double-clicking) displays the named object definitions in the attached xref.

Definitions to Bind

Lists the xref-dependent named object definitions to bind to the host drawing.

Add

Moves the named object definitions selected in the Xrefs list into the Definitions to Bind list.

Remove

Moves the xref-dependent named object definition selected in the Definitions to Bind list back to its xref-dependent definition table.


-XBIND (Quick Reference)

Xbind Dialog Box
XBIND
XCLIP
Commands > X commands > XBIND >
-XBIND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

If you enter -xbind at the Command prompt, the following prompts are displayed.

Enter symbol type to bind [Block/Dimstyle/LAyer/LType/Style]: Enter an option

Depending on the option, you are prompted for a xref-dependent named object (symbol) such as a block, dimension style, layer, linetype, or text style.

Enter dependent Symbol name(s): Enter a name list or * to bind all xref-dependent named objects (symbols) from that definition table

The name you specify must be the full name, including the vertical bar character ( | ).

The xref-dependent named objects you specify are added to your drawing. You can manipulate them as you would any other named object. The vertical bar character ( | ) from each xref-dependent named object is replaced with three new characters: a number (usually 0) between two dollar signs ($).

If you specify a layer whose associated linetype is not CONTINUOUS, XBIND also binds the referenced linetype. If you apply XBIND to a block, any block, dimension style, layer, linetype, or text style that's referenced by objects in the block is also bound. If the block contains an xref, XBIND binds that xref and all its dependent named objects.


XCLIP (Quick Reference)

-XBIND
XCLIP
XEDGES
Commands > X commands >
XCLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Crops the display of a selected external reference or block reference to a specified boundary.

Access Methods

Button

Ribbon: Inset tab [image] Reference panel [image] Clip.Does not exist on the ribbon.
Toolbar: Reference
Shortcut menu: Select an xref, right-click in the drawing area, and click Xref Clip.
Command entry: xclip

Summary

The clipping boundary determines the portion of an xref or block instance that is hidden, either outside or inside the boundary. The visibility of the clipping boundary is controlled by the XCLIPFRAME system variable.

TipUse the generic CLIP command to clip images, external references, viewports, and underlays.

List of Prompts

The following prompts are displayed.

On

Displays the clipped portion of the external reference or block in the current drawing.

Off

Displays all of the geometry of the external reference or block in the current drawing, ignoring the clipping boundary.

Clipdepth

Sets the front and back clipping planes on an xref or block. Objects outside the volume defined by the boundary and the specified depth are not displayed. Regardless of the current UCS, the clip depth is applied parallel to the clipping boundary.

Front Clip Point

Creates a clipping plane passing through and perpendicular to the clipping boundary.

Distance

Creates a clipping plane the specified distance from and parallel to the clipping boundary.

Remove

Removes both the front and back clipping planes.

Delete

Removes a clipping boundary for the selected xref or block. To temporarily turn off a clipping boundary, use the Off option. Delete erases the clipping boundary and the clipdepth. The ERASE command cannot be used to delete clipping boundaries.

Generate Polyline

Automatically draws a polyline coincident with the clipping boundary. The polyline assumes the current layer, linetype, lineweight, and color settings. Use this option when you want to modify the current clipping boundary using PEDIT and then redefine the clipping boundary with the new polyline. To see the entire xref while redefining the boundary, use the Off option.

New Boundary

Defines a rectangular or polygonal clipping boundary, or generates a polygonal clipping boundary from a polyline.

Specify clipping boundary:[Select polyline/Polygonal/Rectangular/Invert clip] <Rectangular>:

Select Polyline

Defines the boundary with the selected polyline. The polyline can be open but must consist of straight line segments and cannot intersect itself.

Polygonal

Defines a polygonal clipping boundary with three or more points that you specify for the vertices of a polygon.

Rectangular

Defines a rectangular boundary with the points that you specify for opposite corners.

Invert Clip

Inverts the mode of the clipping boundary: objects are clipped either outside the boundary or inside the boundary.

NoteYou can only create a new clipping boundary for a selected XREF underlay when the old boundary is deleted.


XEDGES (Quick Reference)

XCLIP
XEDGES
XLINE
Commands > X commands >
XEDGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates wireframe geometry from the edges of a 3D solid, surface, mesh, region, or subobject.

Access Methods

Button

Ribbon: Home tab [image] Solid Editing panel [image] Extract EdgesNot available on the ribbon in the current workspace
Menu: Modify [image] 3D Operations [image] Extract EdgesNot available in menus in the current workspace
Command entry: xedges

Summary

With the XEDGES command, you can create wireframe geometry by extracting all the edges from the following objects:

  • 3D solids
  • 3D solid history subobjects
  • Meshes
  • Regions
  • Surfaces
  • Subobjects (edges and faces)

Press and hold Ctrl to select faces, edges and component objects, repeating if necessary. Objects such as lines, arcs, splines, or 3D polylines are created along the edges of the selected objects or subobjects.

List of Prompts

The following prompt is displayed.

Select objects

Specifies objects from which to extract wireframe geometry.


XLINE (Quick Reference)

XEDGES
XLINE
XOPEN
Commands > X commands >
XLINE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Creates a line of infinite length.

Access Methods

Button

Ribbon: Home tab [image] Draw panel [image] Construction LineNot available on the ribbon in the current workspace
Menu: Draw [image] Construction LineNot available in menus in the current workspace
Toolbar: Draw
Command entry: xline

Specify a point or [Hor/Ver/Ang/Bisect/Offset]: Specify a point or enter an option

Lines that extend to infinity, such as xlines, can be used to create construction and reference lines, and for trimming boundaries.

Point

Specifies the location of the infinite line using two points through which it passes.

Specify through point: Specify the point (2) through which you want the xline to pass, or press ENTER to end the command

The xline is created through the specified point.

Hor

Creates a horizontal xline passing through a specified point.

Specify through point: Specify the point (1) through which you want the xline to pass, or press ENTER to end the command

The xline is created parallel to the X axis.

Ver

Creates a vertical xline passing through a specified point.

Specify through point: Specify the point (1) through which you want the xline to pass, or press ENTER to end the command

The xline is created parallel to the Y axis.

Ang

Creates an xline at a specified angle.

Enter angle of xline (0) or [Reference]: Specify an angle or enter r

Angle of Xline

Specifies the angle at which to place the line.

Specify through point: Specify the point through which you want the xline to pass

An xline is created through the specified point, using the specified angle.

Reference

Specifies the angle from a selected reference line. The angle is measured counterclockwise from the reference line.

Select a line object: Select a line, polyline, ray, or xline

Enter angle of xline <0>:

Specify through point: Specify the point through which you want the xline to pass, or pressENTERto end the command

An xline is created through the specified point, using the specified angle.

Bisect

Creates an xline that passes through the selected angle vertex and bisects the angle between the first and second line.

Specify angle vertex point: Specify a point (1)

Specify angle start point: Specify a point (2)

Specify angle end point: Specify a point (3) or press ENTER to end the command

The xline lies in the plane determined by the three points.

Offset

Creates an xline parallel to another object.

Specify offset distance or [Through] <current>: Specify an offset distance, enter t, or press ENTER

Offset Distance

Specifies the distance the xline is offset from the selected object.

Select a line object: Select a line, polyline, ray, or xline, or press ENTER to end the command

Specify side to offset? Specify a point and press ENTER to exit the command

Through

Creates an xline offset from a line and passing through a specified point.

Select a line object: Select a line, polyline, ray, or xline, or press ENTER to end the command

Specify through point: Specify the point through which you want the xline to pass and press ENTER to exit the command


XOPEN (Quick Reference)

XLINE
XOPEN
XPLODE
Commands > X commands >
XOPEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens a selected drawing reference (xref) in a new window.

Command entry: xopen

Select Xref: Select an object in the drawing reference

After an object is selected, the drawing reference to which it belongs opens in a separate window. If the drawing reference contains nested xrefs, the deepest-level drawing reference of the selected object is opened.


XPLODE (Quick Reference)

XOPEN
XPLODE
XREF
Commands > X commands >
XPLODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Breaks a compound object into its component objects.

Command entry: xplode

Select objects to XPlode.

Select objects: Use an object selection method and press ENTER when you finish selecting objects

The program reports how many objects were selected and, of those, how many objects cannot be exploded. If you select more than one valid object, the following prompt is displayed.

Enter an option [Individually/Globally] <Globally>: Enter i, enter g, or press ENTER

Individually

Applies changes to the selected objects one at a time. The following prompt is displayed for each object.

Enter an option [All/Color/LAyer/LType/LWeight/Inherit from parent block/Explode] <Explode>: Enter an option or press ENTER

All

Sets the color, linetype, lineweight, and layer of the component objects after you explode them. The prompts associated with the Color, Linetype, Lineweight, and Layer options are displayed.

Color

Sets the color of the objects after you explode them.

New color [Truecolor/COlorbook]<BYLAYER>: Enter a color name or number from1 through 255, enter t, enter co, enter bylayer or byblock, or press ENTER

Entering bylayer causes the component objects to inherit the color of the exploded object's layer. Entering byblock causes the component objects to inherit the color of the exploded object.

Enter t for a true color to be used for the selected object.

Red, Green, Blue: Enter three integer values from 0 to 255 separated by commas to specify a true color

Enter co for a color from a loaded color book to be used for the selected object.

Enter Color Book name: Enter the name of a color book that has been installed, such as PANTONE®

If you enter a color book name, you are prompted to enter the color name in the color book.

Enter color name: Enter the name of a color included in the selected color book, such as PANTONE573

Layer

Sets the layer of the component objects after you explode them. The default option is to inherit the current layer rather than the layer of the exploded object.

Enter new layer name for exploded objects <current>: Enter an existing layer name or press ENTER

LType

Sets the linetype of the component objects after you explode them.

Enter new linetype name for exploded objects <BYLAYER>: Enter a linetype name, or press ENTER

You can enter the name of any linetype that is loaded in the drawing. Entering bylayer causes the component objects to inherit the linetype of the exploded object's layer. Entering byblock causes the component objects to inherit the linetype of the exploded object.

LWeight

Sets the lineweight of the component objects after you explode them.

Enter new lineweight for exploded objects <BYLAYER>: Enter a numeric distance or two points, or press ENTER

Inherit from Parent Block

Sets the color, linetype, lineweight, and layer of the component objects to that of the exploded object if the component objects' color, linetype, and lineweight are BYBLOCK and the objects are drawn on layer 0.

Explode

Breaks a compound object into its component objects exactly as the EXPLODE command does.

Globally

Applies changes to all the selected objects.

Enter an option [All/Color/LAyer/LType/Inherit from parent block/Explode] <Explode>: Enter an option or press ENTER

The descriptions of the All, Color, Layer, LType, Inherit from Parent Block, and Explode options match the descriptions of the corresponding options under Individually.


XREF (Quick Reference)

XPLODE
XREF
Bind Xrefs Dialog Box
Commands > X commands >
XREF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Starts the EXTERNALREFERENCES command.

Command entry: xref

The External References palette is displayed.

If you enter -xref at the Command prompt, options are displayed.


Bind Xrefs Dialog Box (Quick Reference)

XREF
XREF
-XREF
Commands > X commands > XREF >
Bind Xrefs Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Toolbar: Reference
Menu: Insert [image] External ReferencesAt the Command prompt, enter externalreferences.
Shortcut menu: Select a DWG reference (xref), right-click in the drawing area, and choose External References.
Command entry: externalreferences

Converts DWG references (xrefs) to standard local block definitions. If you bind an xref into the current drawing, the xref and all its dependent named objects become a part of the current drawing. Use XBIND to add individual xref-dependent named objects, such as blocks, text styles, dimension styles, layers, and linetypes, to the local definition table. The two methods of binding xrefs to the current drawing are Bind and Insert. Bind alters the definition table names of an xref when it is inserted. Insert does not alter the definition table names of an xref when it is inserted. To bind a nested xref, you must also select the parent xref.

Bind

Binds the selected DWG reference to the current drawing. Xref-dependent named objects are changed from blockname|definitionname to blockname$n$definitionname syntax. In this manner, unique named objects are created for all xref-dependent definition tables bound to the current drawing.

For example, if you have an xref named FLOOR1 containing a layer named WALL, after binding the xref, the xref-dependent layer FLOOR1|WALL becomes a locally defined layer named FLOOR1$0$WALL. The number in $n$ is automatically increased if a local named object with the same name already exists. In this example, if FLOOR1$0$WALL already existed in the drawing, the xref-dependent layer FLOOR1|WALL would be renamed FLOOR1$1$WALL.

Insert

Binds the DWG reference to the current drawing in a way similar to detaching and inserting the reference drawing. Rather than being renamed using blockname$n$definitionname syntax, xref-dependent named objects are stripped of the xref name. As with inserting drawings, no name-incrementing occurs if a local named object shares the same name as a bound xref-dependent named object. The bound xref-dependent named object assumes the properties of the locally defined named object.

For example, if you have an xref named FLOOR1 containing a layer named WALL, after binding with the Insert option, the xref-dependent layer FLOOR1|WALL becomes the locally defined layer WALL.


-XREF (Quick Reference)

Bind Xrefs Dialog Box
XREF
ZOOM
Commands > X commands > XREF >
-XREF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Access Methods

Command entry:

Summary

The -XREF command allows you to attach an external reference from the command line.

List of Prompts

the following prompts display.

Enter an Option

?—List Xrefs

Lists the DWG reference name, path, and type and the number of DWG references currently attached to your drawing. The following prompt is displayed:

Enter xref name(s) to list <*>: Enter a name list or press ENTER to list all xrefs in the drawing

Bind

Converts a specified DWG reference into a block, making it a permanent part of the drawing.

Enter xref name(s) to bind: Enter a name or a list of names separated by commas

The xref-dependent named objects, such as layer names, of the former xref are added to your drawing. In each xref-dependent named object, the vertical bar (|) is replaced with three new characters: a number (usually 0) between two dollar signs ($). The number is increased if the same name already exists in the current drawing.

Detach

Detaches one or more DWG references from your drawing, erasing all instances of a specified xref and marking the xref definition for deletion from the definition table. Only the xrefs attached or overlaid directly to the current drawing can be detached; nested xrefs cannot be detached.

Enter xref name(s) to detach:

An xref referenced by another xref or block cannot be detached.

Path

Displays and edits the path name associated with a particular DWG reference. This option is useful if you change the location of or rename the drawing file associated with the xref.

Edit xref name(s) to edit path:

The xref and its old path are listed, and you are prompted for the new path:

xref name: “name”

Old path: path

Enter new path: Enter new path and drawing name

If you enter an invalid path, or the drawing cannot be found at the location you enter, you are prompted for the new path name.

Unload

Unloads the selected DWG references.

Enter xref name(s) to unload:

A marker is left in place of the xref so that it can be reloaded later.

Reload

Reloads one or more DWG references. This option reloads and displays the most recently saved version of that drawing.

Enter xref name(s) to reload:

If the program encounters an error while reloading, it ends XREF and undoes the entire reloading sequence.

Overlay

Displays the Enter Name of File to Overlay dialog box (a standard file selection dialog box). Select the file you want to attach to a drawing as an external reference (xref) overlay. If you reference a drawing that contains an overlaid xref, the overlaid xref does not appear in the current drawing.

Unlike blocks and attached xrefs, overlaid xrefs cannot be nested. If another person is currently editing the xref file, the program overlays the most recently saved version.

If the xref you specify is not already overlaid, a new xref is crated, using the name of the referenced file. You are then prompted for an insertion point, scale, and rotation angle, as described for the INSERT command.

If FILEDIA is set to 0, the following prompt is displayed:

Enter name of file to overlay:

You can enter a tilde (~) to display a dialog box.

Attach

Displays the External Reference dialog box, if a DWG reference is selected, or the Select Reference File dialog box, if no DWG reference is selected. See XATTACH.

If you reference a drawing that contains an attached xref, the attached xref appears in the current drawing. Like blocks, attached xrefs can be nested. If another person is currently editing the xref file, the most recently saved version is attached.

Specify Insertion Point

Specify a point or enter an option

Scale

Sets the scale factor. All X and Y dimensions of the xref are multiplied by the X and Y scale factors. The xref is rotated by the specified angle, using the insertion point as the center of rotation.

X, Y, and Z

Sets X, Y, and Z scale factors.

  • X Scale Factor: Defines X, Y, and Z scale factors for the xref.
  • Corner: Defines the X and Y scales at the same time, using the insertion point and another point as the corners of a box, and then defines the Z scale.
Rotate

Sets the angle of insertion for the xref.

PScale

Sets the scale factor for the X, Y, and Z axes to control the display of the xref as it is dragged into position.

PX, PY, and PZ

Sets the X, Y, and Z axes to control the display of the xref as it is dragged into position.

PRotate

Sets the rotation angle of the xref as it is dragged into position.


Z commands

-XREF
Commands
ZOOM
Commands >
Z commands
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ZOOM

    Increases or decreases the magnification of the view in the current viewport.


ZOOM (Quick Reference)

-XREF
ZOOM
Zoom Shortcut Menu
Commands > Z commands >
ZOOM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Increases or decreases the magnification of the view in the current viewport.

Access Methods

Button

Ribbon: View tab [image] Navigate panel [image] RealtimeNot available on the ribbon in the current workspace
Menu: View [image] Zoom [image] RealtimeNot available in menus in the current workspace
Toolbar: Standard
Shortcut menu: With no objects selected, right-click in the drawing area and choose Zoom to zoom in real time.
Command entry: zoom (or 'zoom for transparent use)

You can change the magnification of a view by zooming in and out, which is similar to zooming in and out with a camera. Using ZOOM does not change the absolute size of objects in the drawing. It changes only the magnification of the view.

In a perspective view, ZOOM displays the 3DZOOM prompts.

NoteYou cannot use ZOOM transparently during VPOINT or DVIEW or while ZOOM, PAN, or VIEW is in progress.

Specify corner of window, enter a scale factor (nX or nXP), or

[All/Center/Dynamic/Extents/Previous/Scale/Window/Object] <real time>:

All

Zooms to display the entire drawing in the current viewport. In a plan view, All zooms to the grid limits or current extents, whichever is greater. In a 3D view, ZOOM All is equivalent to ZOOM Extents. The display shows all objects even if the drawing extends outside the grid limits.

In the illustration, LIMITS is greater than the extents of the drawing.

Because it always regenerates the drawing, you cannot use ZOOM All transparently.

Center

Zooms to display a view defined by a center point and a magnification value or a height. A smaller value for the height increases the magnification. A larger value decreases the magnification.

Specify center point: Specify a point (1)

Enter magnification or height <current>: Enter a value or press ENTER

Dynamic

Pans and zooms using a rectangular viewbox. The view box represents your view, which you can shrink or enlarge and move around the drawing. Positioning and sizing the view box pans or zooms to fill the viewport with the view inside the view box.

  • To change the size of the view box, click, resize it, and click again to accept the new size of the view box.
  • To pan with the view box, drag it to the location you want and press ENTER.
Extents

Zooms in or out to display the extents of the drawing. This results in the largest possible display of all the objects.

Previous

Zooms to display the previous view. You can restore up to 10 previous views.

NoteIf you change the visual style, the view is changed. If you enter ZOOM Previous, it restores the previous view, which is shaded differently but not zoomed differently.
Scale

Zooms to change the magnification of a view using a scale factor.

Enter a scale factor (nX or nXP): Specify a value

  • Enter a value followed by x to specify the scale relative to the current view.
  • Enter a value followed by xp to specify the scale relative to paper space units.

For example, entering .5x causes each object to be displayed at half its current size on the screen.

Entering .5xp displays model space at half the scale of paper space units. You can create a layout with each viewport displaying objects at a different scale.

Enter a value to specify the scale relative to the grid limits of the drawing. (This option is rarely used.) For example, entering 2 displays objects at twice the size they would appear if you were zoomed to the limits of the drawing.

Window

Zooms to display an area specified by two opposite corners of a rectangular window.

Specify first corner: Specify a point (1)

Specify opposite corner: Specify a point (2)

Object

Zooms to display one or more selected objects as large as possible and in the center of the view. You can select objects before or after you start the ZOOM command.

Real Time

Zooms interactively to change the magnification of the view.

Press ESC or ENTER to exit, or right-click to display the shortcut menu

The cursor changes to a magnifying glass with plus (+) and minus (-) signs. See Zoom Shortcut Menu for a description of the options that are available while zooming in real time.

Holding down the pick button at the midpoint of the window and moving vertically to the top of the window zooms in to 100%. Conversely, holding the pick button down at the midpoint of the window and moving vertically to the bottom of the window zooms out by 100%.

When you reach the zoom-in limit, the plus sign in the cursor disappears, indicating that you can no longer zoom in. When you reach the zoom-out limit, the minus sign in the cursor disappears, indicating that you can no longer zoom out.

When you release the pick button, zooming stops. You can release the pick button, move the cursor to another location in the drawing, and then press the pick button again and continue to zoom the display from that location.

To exit zooming, press ENTER or ESC.


Zoom Shortcut Menu (Quick Reference)

ZOOM
ZOOM
Coordinate Filters (Command Modifier)
Commands > Z commands > ZOOM >
Zoom Shortcut Menu
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

When the ZOOM command is active, you can exit ZOOM or switch to PAN or 3DORBIT using the options on the Zoom shortcut menu. To access the Zoom shortcut menu, right-click in the drawing area while ZOOM is active.

Exit

Cancels ZOOM or PAN.

Pan

Switches to PAN.

Zoom

Switches to ZOOM in real time.

3D Orbit

Switches to 3DORBIT.

Zoom Window

Zooms to display an area specified by a rectangular window.

Zoom Object

Zooms to display one or more selected objects as large as possible and in the center of the drawing area.

Zoom Original

Restores the original view.

Zoom Extents

Zooms to display the drawing extents.


Command Modifiers

Zoom Shortcut Menu
Command Modifiers
Command Modifiers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

You can use command modifiers to help you locate points or select objects while a command is in progress. Use the Coordinate Filter, Direct Distance Entry, From, MTP, and Tracking command modifiers at any prompt that requires point specification. Use the Selection Mode command modifiers at any prompt that requires object selection.

Topics in this section

  • Command Modifiers


Command Modifiers
Command Modifiers
Coordinate Filters (Command Modifier)
Command Modifiers >
Command Modifiers
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Coordinate Filters (Command Modifier)

    Combines X, Y, and Z values from different points to specify a single point

  • Direct Distance Entry (Command Modifier)

    Locates the next point at a specified distance in the direction of your cursor

  • FROM (Command Modifier)

    Locates a point offset from a reference point within a command.

  • MTP (Command Modifier)

    Locates the midpoint between two points.

  • TRACKING (Command Modifier)

    Locates a point from a series of temporary points.

  • Object Snaps (Command Modifier)

    Specifies a precise point at a location on an object.

  • Selection Modes (Command Modifier)

    Controls how you create selection sets


Coordinate Filters (Command Modifier) (Quick Reference)

Zoom Shortcut Menu
Coordinate Filters (Command Modifier)
Direct Distance Entry (Command Modifier)
Command Modifiers > Command Modifiers >
Coordinate Filters (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Combines X, Y, and Z values from different points to specify a single point

Command entry: Enter .x, .y, .xy, .xz, or .yz

At any prompt for locating a point, you can enter point filters to specify a single coordinate by extracting the X, Y, and Z values of several points. In the following example, the start point for the line has a coordinate constructed from the X value of the midpoint of the first object you select, with the Y and Z values of the midpoint of the second object you select.

Command: line

Specify first point: .x

of mid

of Select an object

of (need YZ) mid

of Select another object

To point: Specify a point


Direct Distance Entry (Command Modifier) (Quick Reference)

Coordinate Filters (Command Modifier)
Direct Distance Entry (Command Modifier)
FROM (Command Modifier)
Command Modifiers > Command Modifiers >
Direct Distance Entry (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Locates the next point at a specified distance in the direction of your cursor

Command entry: At a prompt to locate a point, enter a numeric value

With direct distance entry, you can quickly specify a point relative to the last point you entered. At any prompt for a point location, you move the cursor first to specify the direction, and then enter a numeric distance.

In the following example, the second point for the line will be located 5 units toward the direction of the cursor. The direct distance that you enter is measured along the path from the last point to the current location of the cursor. This feature is usually used with Ortho or Snap mode turned on.

Command: line

Specify first point: Specify a point

Specify next point: Move the cursor in the desired direction and enter 5

NoteThe direct distance entry method is not available while you are using temporary override keys for Ortho, object snap tracking, or polar tracking.


FROM (Command Modifier) (Quick Reference)

Direct Distance Entry (Command Modifier)
FROM (Command Modifier)
MTP (Command Modifier)
Command Modifiers > Command Modifiers >
FROM (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Locates a point offset from a reference point within a command.

Toolbar: Object Snap
Command entry: At a prompt to locate a point, enter from

Base Point: Specify a point to use as a base point

of <offset>: Enter a relative offset

At a prompt for locating a point, enter from, and then enter a temporary reference or base point from which you can specify an offset to locate the next point. Enter the offset location from this base point as a relative coordinate, or use direct distance entry.

NoteYou cannot use this method during dragging in commands such as MOVE and COPY. Specifying an absolute coordinate, either by keyboard entry or with a pointing device, cancels the FROM command.


MTP (Command Modifier) (Quick Reference)

FROM (Command Modifier)
MTP (Command Modifier)
TRACKING (Command Modifier)
Command Modifiers > Command Modifiers >
MTP (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Locates the midpoint between two points.

Command entry: At a prompt to locate a point, enter mtp

The midpoint between two points (MTP) command modifier can be used with running object snaps or object snap overrides. (OSNAP command)

At any Command prompt to locate a point, enter mtp or m2p.

First point of mid: Specify a point

Second point of mid: Specify a second point


TRACKING (Command Modifier) (Quick Reference)

MTP (Command Modifier)
TRACKING (Command Modifier)
Object Snaps (Command Modifier)
Command Modifiers > Command Modifiers >
TRACKING (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Locates a point from a series of temporary points.

Command entry: At a prompt to locate a point, enter tracking

Tracking turns on Ortho mode and can be used with Snap mode.

At any prompt to locate a point, enter tracking, track, or tk.

First tracking point: Specify a location or distance

Next point (Press ENTER to end tracking): Specify a second location or distance

Tracking specifies a series of temporary points, each offset from the previous one. Thus, you specify a new point location from a series of directions and distances. To determine the location of each temporary point, you can use direct distance entry. First move the cursor to specify the direction, and then enter a numeric distance.

Alternatively, tracking can establish a new point by combining the X and Y values of two specified points. You can specify these two points in any order, depending on the cursor direction after the first point. Direct distance entry specifies a distance in the direction of the current location of your cursor. Coordinate filters combine X, Y, and Z values from different points into a single point. Relative coordinate entry locates a point relative to the last point entered.

You can also access tracking by holding down SHIFT and right-clicking to display the object snap shortcut menu.


Object Snaps (Command Modifier) (Quick Reference)

TRACKING (Command Modifier)
Object Snaps (Command Modifier)
Selection Modes (Command Modifier)
Command Modifiers > Command Modifiers >
Object Snaps (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Specifies a precise point at a location on an object.

Command entry: Within a command, at a prompt to locate a point, specify an object snap

When you specify an object snap, the cursor snaps to the specified point on an object closest to the center of the cursor. By default, a marker and a tooltip are displayed when you move the cursor over the object snap location on an object.

Specify a Single Object Snap

If you specify a single object snap, it stays in effect only for the next point you specify.

You can specify an object snap with any of the following methods:

  • Enter a object snap by typing its name. To see a list of valid object snaps, refer to the OSNAP command or the Drafting Settings Dialog Box.
  • Click an object snap from the Object Snap toolbar.
  • Click an object snap from the Object Snap shortcut menu. You can diisplay this shortcut menu by pressing SHIFT while you right-click.

Use Running Object Snaps

Using the OSNAP or DSETTINGS commands, you can specify a set of running object snaps. Running object snaps are one or more object snaps that remain in effect as you work.

  • To turn running object snaps on and off, click the OSNAP button on the status bar or press F3.
  • Press TAB to cycle through the object snap possibilities before you specify the point.
  • To turn off running object snaps for the next point only, specify the None object snap.


Selection Modes (Command Modifier) (Quick Reference)

Object Snaps (Command Modifier)
Selection Modes (Command Modifier)
3DDWFPREC
Command Modifiers > Command Modifiers >
Selection Modes (Command Modifier)
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Controls how you create selection sets

Command entry: At a prompt to select objects, enter one of the valid selection modes described in the SELECT command

The selection mode you enter remains active only for the current Select Objects prompt.


System Variables

Selection Modes (Command Modifier)
3D System Variables
System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

AutoCAD® stores the values for its operating environment and some of its commands in system variables. You can examine any system variable and change any writable system variable directly at the Command prompt by entering the system variable name or by using the SETVAR command or the AutoLISP® getvar and setvar functions. Many system variables are also accessible through dialog box options.

To access a list of system variables, on the Contents tab of the Help window, click the + sign next to System Variables.

Topics in this section

  • 3D System Variables
  • A System Variables
  • B System Variables
  • C System Variables
  • D System Variables
  • E System Variables
  • F System Variables
  • G System Variables
  • H System Variables
  • I System Variables
  • L System Variables
  • M System Variables
  • N System Variables
  • O System Variables
  • P System Variables
  • Q System Variables
  • R System Variables
  • S System Variables
  • T System Variables
  • U System Variables
  • V System Variables
  • W System Variables
  • X System Variables
  • Z System Variables


3D System Variables

System Variables
System Variables
3DDWFPREC
System Variables >
3D System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • 3DDWFPREC

    Controls the precision of 3D DWF or 3D DWFx publishing.

  • 3DCONVERSIONMODE

    Used to convert material and light definitions to the current product release

  • 3DSELECTIONMODE

    Controls the selection precedence of visually overlapping objects when using 3D visual styles.


3DDWFPREC (Quick Reference)

Selection Modes (Command Modifier)
3DDWFPREC
3DCONVERSIONMODE
System Variables > 3D System Variables >
3DDWFPREC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls the precision of 3D DWF or 3D DWFx publishing.

This system variable has a range from 1 to 6. Higher settings result in finer precision.

3DDWFPREC Value | Deviation Value
1 | 1
2 | 0.5
3 | 0.2
4 | 0.1
5 | 0.01
6 | 0.001
NoteSetting a 3DDWFPREC value of 5 or 6 will create very large files or sheets in a multi-sheet DWF or DWFx.


3DCONVERSIONMODE (Quick Reference)

3DDWFPREC
3DCONVERSIONMODE
3DSELECTIONMODE
System Variables > 3D System Variables >
3DCONVERSIONMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Used to convert material and light definitions to the current product release

3DCONVERSIONMODE Value | Deviation Value
0 | No material or lighting conversion takes place when the drawing is opened
1 | Material and lighting conversion takes place automatically
2 | You are prompted to convert any materials or lighting.


3DSELECTIONMODE (Quick Reference)

3DCONVERSIONMODE
3DSELECTIONMODE
ACADLSPASDOC
System Variables > 3D System Variables >
3DSELECTIONMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the selection precedence of visually overlapping objects when using 3D visual styles.

3DSELECTIONMODE has no effect when selecting 3D solids if they are displayed as 2D or 3D wireframes.

This system variable is intended to support legacy selection behavior for the current release only. It will be removed in the future.

0 | Use legacy 3D selection precedence
1 | Use line-of-sight 3D selection precedence


A System Variables

3DSELECTIONMODE
System Variables
ACADLSPASDOC
System Variables >
A System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ACADLSPASDOC

    Controls whether the acad.lsp file is loaded into every drawing or just the first drawing opened in a session.

  • ACADPREFIX

    Stores the directory path, if any, specified by the ACAD environment variable, with path separators appended if necessary.

  • ACADVER

    Stores the AutoCAD version number.

  • ACISOUTVER

    Controls the ACIS version of SAT files created using the ACISOUT command.

  • ACTPATH

    Specifies the additional paths to use when locating available action macros for playback.

  • ACTRECORDERSTATE

    Specifies the current state of the Action Recorder.

  • ACTRECPATH

    Specifies the path used to store new action macros.

  • ACTUI

    Controls the behavior of the Action Recorder panel when recording and playing back macros.

  • ADCSTATE

    Indicates whether the DesignCenter window is open or closed.

  • AFLAGS

    Sets options for attributes.

  • ANGBASE

    Sets the base angle to 0 with respect to the current UCS.

  • ANGDIR

    Sets the direction of positive angles.

  • ANNOALLVISIBLE

    Hides or displays annotative objects that do not support the current annotation scale.

  • ANNOAUTOSCALE

    Updates annotative objects to support the annotation scale when the annotation scale is changed.

  • ANNOTATIVEDWG

    Specifies whether or not the drawing will behave as an annotative block when inserted into another drawing.

  • APBOX

    Turns the display of the AutoSnap aperture box on or off.

  • APERTURE

    Sets the display size for the object snap target box, in pixels.

  • APSTATE

    Indicates whether the Block Authoring Palettes window in the Block Editor is open or closed.

  • AREA

    Stores the last area computed by the AREA command.

  • ATTDIA

    Controls whether the INSERT command uses a dialog box for attribute value entry.

  • ATTIPE

    Controls the display of the in-place editor used to create multiline attributes.

  • ATTMODE

    Controls display of attributes.

  • ATTMULTI

    Controls whether multiline attributes can be created.

  • ATTREQ

    Controls whether INSERT uses default attribute settings during insertion of blocks.

  • AUDITCTL

    Controls whether AUDIT creates an audit report (ADT) file.

  • AUNITS

    Sets units for angles.

  • AUPREC

    Sets the display precision for angular units and coordinates.

  • AUTODWFPUBLISH

    Controls whether DWF (Design Web Format) files are created automatically when you save or close drawing (DWG) files.

  • AUTOMATICPUB

    Controls whether electronic files (DWF/PDF) are created automatically when you save or close drawing (DWG) files.

  • AUTOSNAP

    Controls the display of the AutoSnap marker, tooltip, and magnet.


ACADLSPASDOC (Quick Reference)

3DSELECTIONMODE
ACADLSPASDOC
ACADPREFIX
System Variables > A System Variables >
ACADLSPASDOC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the acad.lsp file is loaded into every drawing or just the first drawing opened in a session.

0 | Loads acad.lsp into just the first drawing opened in a session
1 | Loads acad.lsp into every drawing opened


ACADPREFIX (Quick Reference)

ACADLSPASDOC
ACADPREFIX
ACADVER
System Variables > A System Variables >
ACADPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Stores the directory path, if any, specified by the ACAD environment variable, with path separators appended if necessary.


ACADVER (Quick Reference)

ACADPREFIX
ACADVER
ACISOUTVER
System Variables > A System Variables >
ACADVER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Stores the AutoCAD version number.

This variable differs from the DXF file $ACADVER header variable, which contains the drawing database level number.


ACISOUTVER (Quick Reference)

ACADVER
ACISOUTVER
ACTPATH
System Variables > A System Variables >
ACISOUTVER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 70

Controls the ACIS version of SAT files created using the ACISOUT command.

ACISOUT only supports a value of 15 through 18, 20, 21, 30, 31, 40, 50, 60, and 70.


ACTPATH (Quick Reference)

ACISOUTVER
ACTPATH
ACTRECORDERSTATE
System Variables > A System Variables >
ACTPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | ""

Specifies the additional paths to use when locating available action macros for playback.

NoteTo specify more than one path, but you need to enter a semi-colon between each path.


ACTRECORDERSTATE (Quick Reference)

ACTPATH
ACTRECORDERSTATE
ACTRECPATH
System Variables > A System Variables >
ACTRECORDERSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Specifies the current state of the Action Recorder.

0 | Action Recorder is idle
1 | Action Recorder is active; an action macro is currently being recorded
2 | Action Recorder is active; an action macro is currently being played back


ACTRECPATH (Quick Reference)

ACTRECORDERSTATE
ACTRECPATH
ACTUI
System Variables > A System Variables >
ACTRECPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies

Specifies the path used to store new action macros.


ACTUI (Quick Reference)

ACTRECPATH
ACTUI
ADCSTATE
System Variables > A System Variables >
ACTUI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 6

Controls the behavior of the Action Recorder panel when recording and playing back macros.

0 | No changes to the Action Recorder panel occur when recording or playing back an action macro
1 | Action Recorder panel is expanded during playback
2 | Action Recorder panel is expanded during recording
4 | When recording is finished, prompt for a name and description for the action macro


ADCSTATE (Quick Reference)

ACTUI
ADCSTATE
AFLAGS
System Variables > A System Variables >
ADCSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the DesignCenter window is open or closed.

For developers who need to determine status through AutoLISP.

0 | Closed
1 | Open


AFLAGS (Quick Reference)

ADCSTATE
AFLAGS
ANGBASE
System Variables > A System Variables >
AFLAGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 16

Sets options for attributes.

The value is the sum of the following:

0 | No attribute mode selected
1 | Invisible
2 | Constant
4 | Verify
8 | Preset
16 | Lock position in block
32 | Multiple lines


ANGBASE (Quick Reference)

AFLAGS
ANGBASE
ANGDIR
System Variables > A System Variables >
ANGBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the base angle to 0 with respect to the current UCS.


ANGDIR (Quick Reference)

ANGBASE
ANGDIR
ANNOALLVISIBLE
System Variables > A System Variables >
ANGDIR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the direction of positive angles.

Angle values are measured from angle 0 relative to the orientation of the current UCS.

0 | Counterclockwise
1 | Clockwise


ANNOALLVISIBLE (Quick Reference)

ANGDIR
ANNOALLVISIBLE
ANNOAUTOSCALE
System Variables > A System Variables >
ANNOALLVISIBLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Hides or displays annotative objects that do not support the current annotation scale.

0

Only annotative objects that support the current annotation scale are displayed

1

All annotative objects are displayed

The ANNOALLVISIBLE setting is saved individually for model space and each layout.

NoteWhen ANNOALLVISIBLE is set to 1, annotative objects that support more than one scale will only display one scale representation.


ANNOAUTOSCALE (Quick Reference)

ANNOALLVISIBLE
ANNOAUTOSCALE
ANNOTATIVEDWG
System Variables > A System Variables >
ANNOAUTOSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | -4

Updates annotative objects to support the annotation scale when the annotation scale is changed.

When the value is negative, the autoscale functionality is turned off, but the settings are maintained:

1 | Adds the newly set annotation scale to annotative objects that support the current scale except for those on layers that are turned off, frozen, locked or that are set to Viewport > Freeze.
-1 | ANNOAUTOSCALE is turned off, but when turned back on is set to 1.
2 | Adds the newly set annotation scale to annotative objects that support the current scale except for those on layers that are turned off, frozen, or that are set to Viewport > Freeze.
-2 | ANNOAUTOSCALE is turned off, but when turned back on is set to 2.
3 | Adds the newly set annotation scale to annotative objects that support the current scale except for those on layers that are locked.
-3 | ANNOAUTOSCALE is turned off, but when turned back on is set to 3.
4 | Adds the newly set annotation scale to all annotative objects that support the current scale.
-4 | ANNOAUTOSCALE is turned off, but when turned back on is set to 4.


ANNOTATIVEDWG (Quick Reference)

ANNOAUTOSCALE
ANNOTATIVEDWG
APBOX
System Variables > A System Variables >
ANNOTATIVEDWG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies whether or not the drawing will behave as an annotative block when inserted into another drawing.

0 | Nonannotative
1 | Annotative
NoteThe ANNOTATIVEDWG system variable becomes read-only if the drawing contains annotative objects.


APBOX (Quick Reference)

ANNOTATIVEDWG
APBOX
APERTURE
System Variables > A System Variables >
APBOX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Turns the display of the AutoSnap aperture box on or off.

The aperture box is displayed in the center of the crosshairs when you snap to an object.

0 | Off
1 | On


APERTURE (Quick Reference)

APBOX
APERTURE
APSTATE
System Variables > A System Variables >
APERTURE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 10

Sets the display size for the object snap target box, in pixels.

This system variable has the same name as a command. Use the SETVAR command to access this system variable.

Enter a value (1-50). The higher the number, the larger the target box. You can also change this setting in the Options dialog box, Drafting tab.

APERTURE controls the object snap target box, not the pickbox displayed at the Select Objects prompt. The object selection pickbox is controlled by the PICKBOX system variable.


APSTATE (Quick Reference)

APERTURE
APSTATE
AREA
System Variables > A System Variables >
APSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the Block Authoring Palettes window in the Block Editor is open or closed.

0 | Closed
1 | Open


AREA (Quick Reference)

APSTATE
AREA
ATTDIA
System Variables > A System Variables >
AREA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Stores the last area computed by the AREA command.

This system variable has the same name as a command. Use the GETVAR command to access this system variable.


ATTDIA (Quick Reference)

AREA
ATTDIA
ATTIPE
System Variables > A System Variables >
ATTDIA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the INSERT command uses a dialog box for attribute value entry.

0 | Issues Command prompts
1 | Uses a dialog box


ATTIPE (Quick Reference)

ATTDIA
ATTIPE
ATTMODE
System Variables > A System Variables >
ATTIPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of the in-place editor used to create multiline attributes.

0 | Displays a limited in-place editor that includes only a few formatting options
1 | Displays the full in-place editor with all formatting options

Use the limited in-place editor when creating multiline attributes for best compatibility with releases prior to AutoCAD 2008.


ATTMODE (Quick Reference)

ATTIPE
ATTMODE
ATTMULTI
System Variables > A System Variables >
ATTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls display of attributes.

0 | Off: Makes all attributes invisible
1 | Normal: Retains current visibility of each attribute; visible attributes are displayed; invisible attributes are not
2 | On: Makes all attributes visible


ATTMULTI (Quick Reference)

ATTMODE
ATTMULTI
ATTREQ
System Variables > A System Variables >
ATTMULTI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether multiline attributes can be created.

0 | Turns off all access methods for creating multiline attributes. They can still be viewed and edited.
1 | Turns on all access methods for creating multiline attributes.


ATTREQ (Quick Reference)

ATTMULTI
ATTREQ
AUDITCTL
System Variables > A System Variables >
ATTREQ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether INSERT uses default attribute settings during insertion of blocks.

0 | Assumes the defaults for the values of all attributes
1 | Turns on prompts or a dialog box for attribute values, as specified by ATTDIA


AUDITCTL (Quick Reference)

ATTREQ
AUDITCTL
AUNITS
System Variables > A System Variables >
AUDITCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether AUDIT creates an audit report (ADT) file.

0 | Prevents writing of ADT files
1 | Writes ADT files


AUNITS (Quick Reference)

AUDITCTL
AUNITS
AUPREC
System Variables > A System Variables >
AUNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets units for angles.

0 | Decimal degrees
1 | Degrees/minutes/seconds
2 | Gradians
3 | Radians
4 | Surveyor's units


AUPREC (Quick Reference)

AUNITS
AUPREC
AUTODWFPUBLISH
System Variables > A System Variables >
AUPREC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the display precision for angular units and coordinates.

However, the internal precision of angular values and and coordinates is always maintained, regardless of the display precision. AUPREC does not affect the display precision of dimension text (see DIMSTYLE).

Valid values are integers from 0 to 8.


AUTODWFPUBLISH (Quick Reference)

AUPREC
AUTODWFPUBLISH
AUTOMATICPUB
System Variables > A System Variables >
AUTODWFPUBLISH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether DWF (Design Web Format) files are created automatically when you save or close drawing (DWG) files.

0 | Turns off automatic publishing to DWF files when a drawing is saved or closed
1 | Turns on automatic publishing to DWF files when a drawing is saved or closed

The AUTOPUBLISH command controls additional options.

NoteThis command will be removed in a future release.


AUTOMATICPUB (Quick Reference)

AUTODWFPUBLISH
AUTOMATICPUB
AUTOSNAP
System Variables > A System Variables >
AUTOMATICPUB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 0

Controls whether electronic files (DWF/PDF) are created automatically when you save or close drawing (DWG) files.

0 | Turns off automatic publishing to DWF/PDF files when a drawing is saved or closed
1 | Turns on automatic publishing to DWF/PDF files when a drawing is saved or closed

The AUTOPUBLISH command controls additional options.


AUTOSNAP (Quick Reference)

AUTOMATICPUB
AUTOSNAP
BACKGROUNDPLOT
System Variables > A System Variables >
AUTOSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 63

Controls the display of the AutoSnap marker, tooltip, and magnet.

Also turns on polar and object snap tracking, and controls the display of polar tracking, object snap tracking, and Ortho mode tooltips. The setting is stored as a bitcode using the sum of the following values:

0 | Turns off the AutoSnap marker, tooltips, and magnet. Also turns off polar tracking, object snap tracking, and tooltips for polar tracking, object snap tracking, and Ortho mode
1 | Turns on the AutoSnap marker
2 | Turns on the AutoSnap tooltips
4 | Turns on the AutoSnap magnet
8 | Turns on polar tracking
16 | Turns on object snap tracking
32 | Turns on tooltips for polar tracking, object snap tracking, and Ortho mode


B System Variables

AUTOSNAP
System Variables
BACKGROUNDPLOT
System Variables >
B System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • BACKGROUNDPLOT

    Controls whether background plotting is turned on or off for plotting and publishing.

  • BACKZ

    Stores the back clipping plane offset from the target plane for the current viewport, in drawing units.

  • BACTIONBARMODE

    Indicates whether the action bars or the legacy action objects are displayed in the Block Editor.

  • BACTIONCOLOR

    Sets the text color of actions in the Block Editor.

  • BCONSTATUSMODE

    Turns the constraint display status on and off and controls the shading of objects based on their constraint level.

  • BDEPENDENCYHIGHLIGHT

    Controls whether or not dependent objects are dependency highlighted when a parameter, action, or grip is selected in the Block Editor.

  • BGRIPOBJCOLOR

    Sets the color of grips in the Block Editor.

  • BGRIPOBJSIZE

    Sets the display size of custom grips in the Block Editor relative to the screen display.

  • BINDTYPE

    Controls how xref names are handled when binding xrefs or editing xrefs in place.

  • BLIPMODE

    Controls whether marker blips are visible.

  • BLOCKEDITLOCK

    Disallows opening of the Block Editor and editing of dynamic block definitions.

  • BLOCKEDITOR

    Indicates whether or not the Block Editor is open.

  • BLOCKTESTWINDOW

    Indicates whether or not a test block window is current.

  • BPARAMETERCOLOR

    Sets the color of parameters in the Block Editor.

  • BPARAMETERFONT

    Sets the font used for parameters and actions in the Block Editor.

  • BPARAMETERSIZE

    Sets the size of parameter text and features in the Block Editor relative to the screen display.

  • BPTEXTHORIZONTAL

    Forces the text displayed for action parametes and constraint parameters in the Block Editor to be horizontal.

  • BTMARKDISPLAY

    Controls whether or not value set markers are displayed for dynamic block references.

  • BVMODE

    Controls how objects that are made invisible for the current visibility state are displayed in the Block Editor.


BACKGROUNDPLOT (Quick Reference)

AUTOSNAP
BACKGROUNDPLOT
BACKZ
System Variables > B System Variables >
BACKGROUNDPLOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls whether background plotting is turned on or off for plotting and publishing.

By default, background plotting is turned off for plotting and on for publishing.

Value | PLOT | PUBLISH
0 | Foreground | Foreground
1 | Background | Foreground
2 | Foreground | Background
3 | Background | Background

When -PLOT, PLOT, -PUBLISH, and PUBLISH are used in a script (SCR file), the BACKGROUNDPLOT system variable value is ignored, and -PLOT, PLOT, -PUBLISH, and PUBLISH are processed in the foreground.


BACKZ (Quick Reference)

BACKGROUNDPLOT
BACKZ
BACTIONBARMODE
System Variables > B System Variables >
BACKZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the back clipping plane offset from the target plane for the current viewport, in drawing units.

Meaningful only if clipping is specified in CAMERA, DVIEW, or 3DCLIP. If there are several cameras, the value is the last back clipping plane that you set current. The distance of the back clipping plane from the camera point can be found by subtracting BACKZ from the camera-to-target distance.


BACTIONBARMODE (Quick Reference)

BACKZ
BACTIONBARMODE
BACTIONCOLOR
System Variables > B System Variables >
BACTIONBARMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Indicates whether the action bars or the legacy action objects are displayed in the Block Editor.

0 | Legacy action objects are displayed in the Block Editor.
1 | Action bars are displayed in the Block Editor.
NoteThe BACTIONSET and BASSOCIATE commands are disabled when the BACTIONBARMODE system variable is set to 1.


BACTIONCOLOR (Quick Reference)

BACTIONBARMODE
BACTIONCOLOR
BCONSTATUSMODE
System Variables > B System Variables >
BACTIONCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | 7

Sets the text color of actions in the Block Editor.

Valid values include BYLAYER, BYBLOCK, and an integer from 1 to 255.

Valid values for True Colors are a string of integers each from 1 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000


BCONSTATUSMODE (Quick Reference)

BACTIONCOLOR
BCONSTATUSMODE
BDEPENDENCYHIGHLIGHT
System Variables > B System Variables >
BCONSTATUSMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Turns the constraint display status on and off and controls the shading of objects based on their constraint level.

When the display status is on, objects are shaded based on whether they are partially constrained, fully constrained, over constrained, or not constrained.

0 | Turns off the constraint display status
1 | Turns on the constraint display status

You can turn the display status on or off using an icon in the drawing status bar. The colors corresponding to the constraint status can also be modified in the Block Editor Settings dialog box. When you enter the Block Editor, the value is always set to 0.


BDEPENDENCYHIGHLIGHT (Quick Reference)

BCONSTATUSMODE
BDEPENDENCYHIGHLIGHT
BGRIPOBJCOLOR
System Variables > B System Variables >
BDEPENDENCYHIGHLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether or not dependent objects are dependency highlighted when a parameter, action, or grip is selected in the Block Editor.

0 | Specifies that dependent objects are not highlighted
1 | Specifies that dependent objects are highlighted

Dependency highlighting displays objects with a halo effect.


BGRIPOBJCOLOR (Quick Reference)

BDEPENDENCYHIGHLIGHT
BGRIPOBJCOLOR
BGRIPOBJSIZE
System Variables > B System Variables >
BGRIPOBJCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | 141

Sets the color of grips in the Block Editor.

Valid values include BYLAYER, BYBLOCK, and an integer from 1 to 255.

Valid values for True Colors are a string of integers each from 1 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000


BGRIPOBJSIZE (Quick Reference)

BGRIPOBJCOLOR
BGRIPOBJSIZE
BINDTYPE
System Variables > B System Variables >
BGRIPOBJSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 8

Sets the display size of custom grips in the Block Editor relative to the screen display.

Valid values are integers from 1 to 255.


BINDTYPE (Quick Reference)

BGRIPOBJSIZE
BINDTYPE
BLIPMODE
System Variables > B System Variables >
BINDTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls how xref names are handled when binding xrefs or editing xrefs in place.

0 | Traditional binding behavior ("xref1|one" becomes "xref$0$one")
1 | Insert-like behavior ("xref1|one" becomes "one")


BLIPMODE (Quick Reference)

BINDTYPE
BLIPMODE
BLOCKEDITLOCK
System Variables > B System Variables >
BLIPMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether marker blips are visible.

This system variable has the same name as the BLIPMODE command. Use the SETVAR command to access this system variable.

0 | Turns off marker blips
1 | Turns on marker blips


BLOCKEDITLOCK (Quick Reference)

BLIPMODE
BLOCKEDITLOCK
BLOCKEDITOR
System Variables > B System Variables >
BLOCKEDITLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Disallows opening of the Block Editor and editing of dynamic block definitions.

When BLOCKEDITLOCK is set to 1, double-clicking a dynamic block in a drawing opens the Properties palette. If the dynamic block contains attributes, double-clicking the block reference opens the Enhanced Attribute Editor. Double click actions can be customized using the Double Click Actions.

0 | Specifies that the Block Editor can be opened
1 | Specifies that the Block Editor cannot be opened


BLOCKEDITOR (Quick Reference)

BLOCKEDITLOCK
BLOCKEDITOR
BLOCKTESTWINDOW
System Variables > B System Variables >
BLOCKEDITOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether or not the Block Editor is open.

0 | Indicates that the Block Editor is not open
1 | Indicates that the Block Editor is open


BLOCKTESTWINDOW (Quick Reference)

BLOCKEDITOR
BLOCKTESTWINDOW
BPARAMETERCOLOR
System Variables > B System Variables >
BLOCKTESTWINDOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether or not a test block window is current.

The BLOCKTESTWINDOW system variable controls the display of the contextual panel that is displayed when a test block window is current. When the test block window is current, this system variable is set to 1, otherwise it is set to 0.


BPARAMETERCOLOR (Quick Reference)

BLOCKTESTWINDOW
BPARAMETERCOLOR
BPARAMETERFONT
System Variables > B System Variables >
BPARAMETERCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | 170

Sets the color of parameters in the Block Editor.

Valid values include BYLAYER, BYBLOCK, and an integer from 1 to 255.

Valid values for True Colors are a string of integers each from 1 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000


BPARAMETERFONT (Quick Reference)

BPARAMETERCOLOR
BPARAMETERFONT
BPARAMETERSIZE
System Variables > B System Variables >
BPARAMETERFONT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Simplex.shx

Sets the font used for parameters and actions in the Block Editor.

You can specify either a True Type font or a SHX font (for example, Verdana or Verdana.ttf). You must add the .shx extension to specify an AutoCAD SHX font. When specifying an Asian Big Font, use the following naming convention: an SHX file followed by a comma (,), followed by the Big Font file name (for example, Simplex.shx,Bigfont.shx).


BPARAMETERSIZE (Quick Reference)

BPARAMETERFONT
BPARAMETERSIZE
BPTEXTHORIZONTAL
System Variables > B System Variables >
BPARAMETERSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 12

Sets the size of parameter text and features in the Block Editor relative to the screen display.

Valid values include an integer from 1 to 255.


BPTEXTHORIZONTAL (Quick Reference)

BPARAMETERSIZE
BPTEXTHORIZONTAL
BTMARKDISPLAY
System Variables > B System Variables >
BPTEXTHORIZONTAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Forces the text displayed for action parametes and constraint parameters in the Block Editor to be horizontal.

0 | Aligns text with the dimension line of the parameter
1 | Displays the text for action parameters and constraint parameters in the Block Editor horizontally

The BPTEXTHORIZONTAL system variable is applicable to the Action parameters and block constraint parameters.


BTMARKDISPLAY (Quick Reference)

BPTEXTHORIZONTAL
BTMARKDISPLAY
BVMODE
System Variables > B System Variables >
BTMARKDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether or not value set markers are displayed for dynamic block references.

0 | Specifies that value set markers are not displayed
1 | Specifies that value set markers are displayed


BVMODE (Quick Reference)

BTMARKDISPLAY
BVMODE
CALCINPUT
System Variables > B System Variables >
BVMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls how objects that are made invisible for the current visibility state are displayed in the Block Editor.

0 | Specifies that hidden objects are not visible
1 | Specifies that hidden objects are visible but dimmed


C System Variables

BVMODE
System Variables
CALCINPUT
System Variables >
C System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • CALCINPUT

    Controls whether mathematical expressions and global constants are evaluated in text and numeric entry boxes of windows and dialog boxes.

  • CAMERADISPLAY

    Turns the display of camera objects on or off.

  • CAMERAHEIGHT

    Specifies the default height for new camera objects.

  • CANNOSCALE

    Sets the name of the current annotation scale for the current space.

  • CANNOSCALEVALUE

    Returns the value of the current annotation scale.

  • CAPTURETHUMBNAILS

    Specifies if and when thumbnails are captured for the Rewind tool.

  • CCONSTRAINTFORM

    Controls whether annotational or dynamic constraints are applied to objects.

  • CDATE

    Stores the current date and time in decimal format.

  • CECOLOR

    Sets the color of new objects.

  • CELTSCALE

    Sets the current object linetype scaling factor.

  • CELTYPE

    Sets the linetype of new objects.

  • CELWEIGHT

    Sets the lineweight of new objects.

  • CENTERMT

    Controls how grips stretch multiline text that is centered horizontally.

  • CHAMFERA

    Sets the first chamfer distance when CHAMMODE is set to 0.

  • CHAMFERB

    Sets the second chamfer distance when CHAMMODE is set to 0.

  • CHAMFERC

    Sets the chamfer length when CHAMMODE is set to 1.

  • CHAMFERD

    Sets the chamfer angle when CHAMMODE is set to 1.

  • CHAMMODE

    Sets the input method for CHAMFER

  • CIRCLERAD

    Sets the default circle radius.

  • CLAYER

    Sets the current layer.

  • CLEANSCREENSTATE

    Indicates whether the clean screen state is on or off.

  • CLISTATE

    Indicates whether the command window is open or closed.

  • CMATERIAL

    Sets the material of new objects.

  • CMDACTIVE

    Indicates whether an ordinary command, transparent command, script, or dialog box is active.

  • CMDDIA

    Controls the display of the In-Place Text Editor for the LEADER and QLEADER commands.

  • CMDECHO

    Controls whether prompts and input are echoed during the AutoLISP command function.

  • CMDINPUTHISTORYMAX

    Sets the maximum number of previous input values that are stored for a prompt in a command.

  • CMDNAMES

    Displays the names of the active and transparent commands.

  • CMLEADERSTYLE

    Sets the name of the current multileader style.

  • CMLJUST

    Specifies multiline justification.

  • CMLSCALE

    Controls the overall width of a multiline.

  • CMLSTYLE

    Sets the multiline style that governs the appearance of the multiline.

  • COMPASS

    Controls whether the 3D compass is on or off in the current viewport.

  • CONSTRAINTBARDISPLAY

    Displays constraint bars for objects after you manually apply a constraint or autoconstrain them.

  • CONSTRAINTBARMODE

    Controls the display of geometrical constraints on constraint bars.

  • CONSTRAINTNAMEFORMAT

    Controls the text format for dimensional constraints.

  • CONSTRAINTRELAX

    Indicates whether constraints are enforced or relaxed when editing an object.

  • CONSTRAINTSOLVEMODE

    Controls constraint behavior when applying or editing constraints.

  • COORDS

    Controls the format and update frequency of coordinates on the status line.

  • COPYMODE

    Controls whether the COPY command repeats automatically.

  • CPLOTSTYLE

    Controls the current plot style for new objects.

  • CPROFILE

    Displays the name of the current profile.

  • CROSSINGAREACOLOR

    Controls the color of the selection area during crossing selection.

  • CSHADOW

    Sets the shadow display property for a 3D object.

  • CTAB

    Returns the name of the current (model or layout) tab in the drawing.

  • CTABLESTYLE

    Sets the name of the current table style

  • CURSORSIZE

    Determines the size of the crosshairs as a percentage of the screen size.

  • CVPORT

    Displays the identification number of the current viewport.


CALCINPUT (Quick Reference)

BVMODE
CALCINPUT
CAMERADISPLAY
System Variables > C System Variables >
CALCINPUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether mathematical expressions and global constants are evaluated in text and numeric entry boxes of windows and dialog boxes.

0 | Expressions are not evaluated
1 | Expressions are evaluated after you press Alt+Enter


CAMERADISPLAY (Quick Reference)

CALCINPUT
CAMERADISPLAY
CAMERAHEIGHT
System Variables > C System Variables >
CAMERADISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Turns the display of camera objects on or off.

The value changes to 1 (to display cameras) when you use the CAMERA command.

0 | Camera glyphs are not displayed
1 | Camera glyphs are displayed


CAMERAHEIGHT (Quick Reference)

CAMERADISPLAY
CAMERAHEIGHT
CANNOSCALE
System Variables > C System Variables >
CAMERAHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Specifies the default height for new camera objects.

The height is expressed in current drawing units.


CANNOSCALE (Quick Reference)

CAMERAHEIGHT
CANNOSCALE
CANNOSCALEVALUE
System Variables > C System Variables >
CANNOSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | 1:1

Sets the name of the current annotation scale for the current space.

You can only enter a named scale that exists in the drawing’s named scale list.


CANNOSCALEVALUE (Quick Reference)

CANNOSCALE
CANNOSCALEVALUE
CAPTURETHUMBNAILS
System Variables > C System Variables >
CANNOSCALEVALUE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Returns the value of the current annotation scale.


CAPTURETHUMBNAILS (Quick Reference)

CANNOSCALEVALUE
CAPTURETHUMBNAILS
CCONSTRAINTFORM
System Variables > C System Variables >
CAPTURETHUMBNAILS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Specifies if and when thumbnails are captured for the Rewind tool.

0 | No preview thumbnails are generated when a view change occurs outside the SteeringWheels
1 | Preview thumbnails are generated on demand for the Rewind tool when the bracket is positioned over an empty frame
2 | Preview thumbnails are automatically generated after each view change occurs


CCONSTRAINTFORM (Quick Reference)

CAPTURETHUMBNAILS
CCONSTRAINTFORM
CDATE
System Variables > C System Variables >
CCONSTRAINTFORM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether annotational or dynamic constraints are applied to objects.

0 | Dynamic
1 | Annotational

When this system variable is set to 0, dynamic constraints are created, by default, when you use the DIMCONSTRAINT command.


CDATE (Quick Reference)

CCONSTRAINTFORM
CDATE
CECOLOR
System Variables > C System Variables >
CDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | Varies

Stores the current date and time in decimal format.

The date and time displays in a decimal format starting with the year. After the decimal point, CDATE displays the time using a 24-hour clock. For example, the ninth day of February in the year 2006 at 3:05 pm displays as 20060209.150500.


CECOLOR (Quick Reference)

CDATE
CECOLOR
CELTSCALE
System Variables > C System Variables >
CECOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | BYLAYER

Sets the color of new objects.

Valid values include BYLAYER, BYBLOCK, and an integer from 1 to 255.

Valid values for true colors are a string of integers each from 1 to 255 separated by commas and preceded by RGB. The true color setting is entered as follows:

RGB:000,000,000.


CELTSCALE (Quick Reference)

CECOLOR
CELTSCALE
CELTYPE
System Variables > C System Variables >
CELTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the current object linetype scaling factor.

Sets the linetype scaling for new objects relative to the LTSCALE command setting. A line created with CELTSCALE = 2 in a drawing with LTSCALE set to 0.5 would appear the same as a line created with CELTSCALE = 1 in a drawing with LTSCALE = 1.


CELTYPE (Quick Reference)

CELTSCALE
CELTYPE
CELWEIGHT
System Variables > C System Variables >
CELTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | BYLAYER

Sets the linetype of new objects.


CELWEIGHT (Quick Reference)

CELTYPE
CELWEIGHT
CENTERMT
System Variables > C System Variables >
CELWEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | -1

Sets the lineweight of new objects.

-1 | Sets the lineweight to "BYLAYER."
-2 | Sets the lineweight to "BYBLOCK."
-3 | Sets the lineweight to "DEFAULT." "DEFAULT" is controlled by the LWDEFAULT system variable.

Other valid values entered in hundredths of millimeters include 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, and 211.

All values must be entered in hundredths of millimeters. (Multiply a value by 2540 to convert values from inches to hundredths of millimeters.)


CENTERMT (Quick Reference)

CELWEIGHT
CENTERMT
CHAMFERA
System Variables > C System Variables >
CENTERMT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls how grips stretch multiline text that is centered horizontally.

CENTERMT does not apply to stretching multiline text by using the ruler in the In-Place Text Editor.

0 | When you move a corner grip in centered multiline text, the center grip moves in the same direction, and the grip on the opposite side remains in place
1 | When you move a corner grip in centered multiline text, the center grip stays in place, and both sets of side grips move in the direction of the stretch


CHAMFERA (Quick Reference)

CENTERMT
CHAMFERA
CHAMFERB
System Variables > C System Variables >
CHAMFERA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the first chamfer distance when CHAMMODE is set to 0.


CHAMFERB (Quick Reference)

CHAMFERA
CHAMFERB
CHAMFERC
System Variables > C System Variables >
CHAMFERB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the second chamfer distance when CHAMMODE is set to 0.


CHAMFERC (Quick Reference)

CHAMFERB
CHAMFERC
CHAMFERD
System Variables > C System Variables >
CHAMFERC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the chamfer length when CHAMMODE is set to 1.


CHAMFERD (Quick Reference)

CHAMFERC
CHAMFERD
CHAMMODE
System Variables > C System Variables >
CHAMFERD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the chamfer angle when CHAMMODE is set to 1.


CHAMMODE (Quick Reference)

CHAMFERD
CHAMMODE
CIRCLERAD
System Variables > C System Variables >
CHAMMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Sets the input method for CHAMFER

0 | Requires two chamfer distances
1 | Requires a chamfer length and an angle


CIRCLERAD (Quick Reference)

CHAMMODE
CIRCLERAD
CLAYER
System Variables > C System Variables >
CIRCLERAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Sets the default circle radius.

A zero indicates no default.


CLAYER (Quick Reference)

CIRCLERAD
CLAYER
CLEANSCREENSTATE
System Variables > C System Variables >
CLAYER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | 0

Sets the current layer.


CLEANSCREENSTATE (Quick Reference)

CLAYER
CLEANSCREENSTATE
CLISTATE
System Variables > C System Variables >
CLEANSCREENSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the clean screen state is on or off.

0 | Off
1 | On


CLISTATE (Quick Reference)

CLEANSCREENSTATE
CLISTATE
CMATERIAL
System Variables > C System Variables >
CLISTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Indicates whether the command window is open or closed.

0 | Closed
1 | Open


CMATERIAL (Quick Reference)

CLISTATE
CMATERIAL
CMDACTIVE
System Variables > C System Variables >
CMATERIAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | BYLAYER

Sets the material of new objects.

Valid values are BYLAYER, BYBLOCK, and the name of a material in the drawing.


CMDACTIVE (Quick Reference)

CMATERIAL
CMDACTIVE
CMDDIA
System Variables > C System Variables >
CMDACTIVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether an ordinary command, transparent command, script, or dialog box is active.

The setting is stored as a bitcode using the sum of the following values:

0 | No active command
1 | Ordinary command is active
2 | Transparent command is active
4 | Script is active
8 | Dialog box is active
16 | DDE is active
32 | AutoLISP is active (only visible to an ObjectARX-defined command)
64 | ObjectARX command is active


CMDDIA (Quick Reference)

CMDACTIVE
CMDDIA
CMDECHO
System Variables > C System Variables >
CMDDIA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of the In-Place Text Editor for the LEADER and QLEADER commands.

0 | Off
1 | On


CMDECHO (Quick Reference)

CMDDIA
CMDECHO
CMDINPUTHISTORYMAX
System Variables > C System Variables >
CMDECHO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Controls whether prompts and input are echoed during the AutoLISP command function.

0 | Turns off echoing
1 | Turns on echoing


CMDINPUTHISTORYMAX (Quick Reference)

CMDECHO
CMDINPUTHISTORYMAX
CMDNAMES
System Variables > C System Variables >
CMDINPUTHISTORYMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 20

Sets the maximum number of previous input values that are stored for a prompt in a command.

Display of the history of user input is controlled by the INPUTHISTORYMODE system variable.


CMDNAMES (Quick Reference)

CMDINPUTHISTORYMAX
CMDNAMES
CMLEADERSTYLE
System Variables > C System Variables >
CMDNAMES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | ""

Displays the names of the active and transparent commands.

For example, LINE'ZOOM indicates that the ZOOM command is being used transparently during the LINE command.

This variable is designed for use with programming interfaces such as AutoLISP, DIESEL, and ActiveX Automation.

The following is a simple example that demonstrates how to use DIESEL to display the current command at the status line.

Command: modemacro

New value for MODEMACRO, or . for none <"">: $(getvar, cmdnames)

For additional information, see Introduction to Programming Interfaces in the Customization Guide.


CMLEADERSTYLE (Quick Reference)

CMDNAMES
CMLEADERSTYLE
CMLJUST
System Variables > C System Variables >
CMLEADERSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Standard

Sets the name of the current multileader style.


CMLJUST (Quick Reference)

CMLEADERSTYLE
CMLJUST
CMLSCALE
System Variables > C System Variables >
CMLJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies multiline justification.

0 | Top
1 | Zero (Middle)
2 | Bottom


CMLSCALE (Quick Reference)

CMLJUST
CMLSCALE
CMLSTYLE
System Variables > C System Variables >
CMLSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000 (imperial) or 20.0000 (metric)

Controls the overall width of a multiline.

A scale factor of 2.0 produces a multiline twice as wide as the style definition. A zero scale factor collapses the multiline into a single line. A negative scale factor flips the order of the offset lines (that is, the smallest or most negative is placed on top when the multiline is drawn from left to right).


CMLSTYLE (Quick Reference)

CMLSCALE
CMLSTYLE
COMPASS
System Variables > C System Variables >
CMLSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Standard

Sets the multiline style that governs the appearance of the multiline.


COMPASS (Quick Reference)

CMLSTYLE
COMPASS
CONSTRAINTBARDISPLAY
System Variables > C System Variables >
COMPASS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls whether the 3D compass is on or off in the current viewport.

0 | Turns off the 3D compass
1 | Turns on the 3D compass


CONSTRAINTBARDISPLAY (Quick Reference)

COMPASS
CONSTRAINTBARDISPLAY
CONSTRAINTBARMODE
System Variables > C System Variables >
CONSTRAINTBARDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 1

Displays constraint bars for objects after you manually apply a constraint or autoconstrain them.

0 | Does not display constraint bars for selected objects after applying geometric constraints
1 | Displays constraint bars for selected objects after applying constraints


CONSTRAINTBARMODE (Quick Reference)

CONSTRAINTBARDISPLAY
CONSTRAINTBARMODE
CONSTRAINTNAMEFORMAT
System Variables > C System Variables >
CONSTRAINTBARMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 4095

Controls the display of geometrical constraints on constraint bars.

1 | Horizontal
2 | Vertical
4 | Perpendicular
8 | Parallel
16 | Tangent
32 | Smooth
64 | Coincident
128 | Concentric
256 | Colinear
512 | Symmetric
1024 | Equal
2048 | Fix

For example, set CONSTRAINTBARMODE to 12 (8+4) to display parallel and perpendicular constraints on the constraint bars.

Set CONSTRAINTBARMODE to 4095 to display constraint bars for all constraint types.


CONSTRAINTNAMEFORMAT (Quick Reference)

CONSTRAINTBARMODE
CONSTRAINTNAMEFORMAT
CONSTRAINTRELAX
System Variables > C System Variables >
CONSTRAINTNAMEFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the text format for dimensional constraints.

0 | Name (for example, Width)
1 | Value (for example, 4.0000)
2 | Expression (for example, width = 4.0000)
NoteThe CONSTRAINTNAMEFORMAT system variable is also applicable to the block constraint parameters (BCPARAMETER command) in the Block Editor.


CONSTRAINTRELAX (Quick Reference)

CONSTRAINTNAMEFORMAT
CONSTRAINTRELAX
CONSTRAINTSOLVEMODE
System Variables > C System Variables >
CONSTRAINTRELAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether constraints are enforced or relaxed when editing an object.

0 | Maintains constraints
1 | Relaxes constraints

Use this system variable when you run scripts and action macros and want to relax any constraints.


CONSTRAINTSOLVEMODE (Quick Reference)

CONSTRAINTRELAX
CONSTRAINTSOLVEMODE
COORDS
System Variables > C System Variables >
CONSTRAINTSOLVEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 1

Controls constraint behavior when applying or editing constraints.

0 | Does not retain the size of the geometry when a constraint is applied or modified For example, with this setting, the length of a constrained line may change when you move it.
1 | Retains the size of the geometry when a constraint is applied or modified

For example, setting CONSTRAINTSOLVEMODE to 0, will result in unpredictable behavior when resizing a line.


COORDS (Quick Reference)

CONSTRAINTSOLVEMODE
COORDS
COPYMODE
System Variables > C System Variables >
COORDS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the format and update frequency of coordinates on the status line.

0 | The absolute coordinates of your pointing device is updated only when you specify points
1 | The absolute coordinates of your pointing device is updated continuously
2 | The absolute coordinates of your pointing device is updated continuously except when a point, distance, or angle is requested. In that case, relative polar coordinates are displayed instead of X and Y. The Z values always display as absolute coordinates.
3 | The absolute coordinates (WCS) of your pointing device is updated continuously with the latitude and longitude coordinate values of the geographic location.


COPYMODE (Quick Reference)

COORDS
COPYMODE
CPLOTSTYLE
System Variables > C System Variables >
COPYMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the COPY command repeats automatically.

0 | Sets the COPY command to repeat automatically
1 | Sets the COPY command to create a single copy


CPLOTSTYLE (Quick Reference)

COPYMODE
CPLOTSTYLE
CPROFILE
System Variables > C System Variables >
CPLOTSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ByColor

Controls the current plot style for new objects.

If the current drawing you are working in is in color-dependent mode (PSTYLEPOLICY is set to 1), CPLOTSTYLE is read-only and has a value of BYCOLOR. If the current drawing you are working in is in named plot styles mode (PSTYLEPOLICY is set to 0), CPLOTSTYLE can be set to the following values (BYLAYER is the default):

"BYLAYER"

"BYBLOCK"

"NORMAL"

"USER DEFINED"

To convert the current drawing to use named or color-dependent plot styles, use CONVERTPSTYLES.


CPROFILE (Quick Reference)

CPLOTSTYLE
CPROFILE
CROSSINGAREACOLOR
System Variables > C System Variables >
CPROFILE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | <<Unnamed Profile>>

Displays the name of the current profile.


CROSSINGAREACOLOR (Quick Reference)

CPROFILE
CROSSINGAREACOLOR
CSHADOW
System Variables > C System Variables >
CROSSINGAREACOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 100

Controls the color of the selection area during crossing selection.

The valid range is 1 to 255. The SELECTIONAREA system variable must be on.


CSHADOW (Quick Reference)

CROSSINGAREACOLOR
CSHADOW
CTAB
System Variables > C System Variables >
CSHADOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the shadow display property for a 3D object.

To be visible, shadows must be turned on in the visual style that is applied to the viewport.

0 | Casts and receives shadows
1 | Casts shadows
2 | Receives shadows
3 | Ignores shadows
NoteTo display full shadows, hardware acceleration is required. When Geometry Acceleration is off, full shadows cannot be displayed. (To access these settings, enter 3dconfig at the Command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)


CTAB (Quick Reference)

CSHADOW
CTAB
CTABLESTYLE
System Variables > C System Variables >
CTAB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Model

Returns the name of the current (model or layout) tab in the drawing.

Provides a means for the user to determine which tab is active.


CTABLESTYLE (Quick Reference)

CTAB
CTABLESTYLE
CURSORSIZE
System Variables > C System Variables >
CTABLESTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Standard

Sets the name of the current table style


CURSORSIZE (Quick Reference)

CTABLESTYLE
CURSORSIZE
CVPORT
System Variables > C System Variables >
CURSORSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 5

Determines the size of the crosshairs as a percentage of the screen size.

Valid settings range from 1 to 100 percent. When set to 100, the crosshairs are full-screen and the ends of the crosshairs are never visible. When less than 100, the ends of the crosshairs may be visible when the cursor is moved to one edge of the screen.


CVPORT (Quick Reference)

CURSORSIZE
CVPORT
DATALINKNOTIFY
System Variables > C System Variables >
CVPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Displays the identification number of the current viewport.

You can change this value, which changes the current viewport, if the following conditions are met:

  • The identification number you specify is that of an active viewport.
  • A command in progress has not locked cursor movement to that viewport.
  • Tablet mode is off.


D System Variables

CVPORT
System Variables
DATALINKNOTIFY
System Variables >
D System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • DATALINKNOTIFY

    Controls the notification for updated or missing data links.

  • DATE

    Stores the current date and time in Modified Julian Date format.

  • DBCSTATE

    Indicates whether the dbConnect Manager is open or closed.

  • DBLCLKEDIT

    Controls the double click editing behavior in the drawing area.

  • DBMOD

    Indicates the drawing modification status.

  • DCTCUST

    Displays the path and file name of the current custom spelling dictionary.

  • DCTMAIN

    Displays the three letter keyword for the current main spelling dictionary.

  • DEFAULTGIZMO

    Sets the 3D Move, 3D Rotate, or 3D Scale gizmo as the default during subobject selection.

  • DEFAULTLIGHTING

    Turns on and off default lighting in place of other lighting.

  • DEFAULTLIGHTINGTYPE

    Specifies the type of default lighting, old or new.

  • DEFLPLSTYLE

    Specifies the default plot style for all layers in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or for Layer 0 when creating a new drawing from scratch without using a drawing template.

  • DEFPLSTYLE

    Specifies the default plot style for new objects in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or when creating a new drawing from scratch without using a drawing template.

  • DELOBJ

    Controls whether geometry used to create 3D objects is retained or deleted.

  • DEMANDLOAD

    Specifies if and when to demand-load certain applications.

  • DGNFRAME

    Determines whether DGN underlay frames are visible or plotted in the current drawing.

  • DGNIMPORTMAX

    Sets the maximum number of elements that are translated when importing a DGN file.

  • DGNMAPPINGPATH

    Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored.

  • DGNOSNAP

    Determines whether object snapping is active for geometry in DGN underlays that are attached to the drawing.

  • DIASTAT

    Stores the exit method of the most recently used dialog box.

  • DIMADEC

    Controls the number of precision places displayed in angular dimensions.

  • DIMALT

    Controls the display of alternate units in dimensions.

  • DIMALTD

    Controls the number of decimal places in alternate units.

  • DIMALTF

    Controls the multiplier for alternate units.

  • DIMALTRND

    Rounds off the alternate dimension units.

  • DIMALTTD

    Sets the number of decimal places for the tolerance values in the alternate units of a dimension.

  • DIMALTTZ

    Controls suppression of zeros in tolerance values.

  • DIMALTU

    Sets the units format for alternate units of all dimension substyles except Angular.

  • DIMALTZ

    Controls the suppression of zeros for alternate unit dimension values.

  • DIMANNO

    Indicates whether or not the current dimension style is annotative.

  • DIMAPOST

    Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular.

  • DIMARCSYM

    Controls display of the arc symbol in an arc length dimension.

  • DIMASSOC

    Controls the associativity of dimension objects and whether dimensions are exploded.

  • DIMASZ

    Controls the size of dimension line and leader line arrowheads. Also controls the size of hook lines.

  • DIMATFIT

    Determines how dimension text and arrows are arranged when space is not sufficient to place both within the extension lines.

  • DIMAUNIT

    Sets the units format for angular dimensions.

  • DIMAZIN

    Suppresses zeros for angular dimensions.

  • DIMBLK

    Sets the arrowhead block displayed at the ends of dimension lines or leader lines.

  • DIMBLK1

    Sets the arrowhead for the first end of the dimension line when DIMSAH is on.

  • DIMBLK2

    Sets the arrowhead for the second end of the dimension line when DIMSAH is on.

  • DIMCEN

    Controls drawing of circle or arc center marks and centerlines by the DIMCENTER, DIMDIAMETER, and DIMRADIUS commands.

  • DIMCLRD

    Assigns colors to dimension lines, arrowheads, and dimension leader lines.

  • DIMCLRE

    Assigns colors to dimension extension lines.

  • DIMCLRT

    Assigns colors to dimension text.

  • DIMCONSTRAINTICON

    Displays the lock icon next to the text for dimensional constraints.

  • DIMDEC

    Sets the number of decimal places displayed for the primary units of a dimension.

  • DIMDLE

    Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads.

  • DIMDLI

    Controls the spacing of the dimension lines in baseline dimensions.

  • DIMDSEP

    Specifies a single-character decimal separator to use when creating dimensions whose unit format is decimal.

  • DIMEXE

    Specifies how far to extend the extension line beyond the dimension line.

  • DIMEXO

    Specifies how far extension lines are offset from origin points.

  • DIMFRAC

    Sets the fraction format when DIMLUNIT is set to 4 (Architectural) or 5 (Fractional).

  • DIMFXL

    Sets the total length of the extension lines starting from the dimension line toward the dimension origin.

  • DIMFXLON

    Controls whether extension lines are set to a fixed length.

  • DIMGAP

    Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text.

  • DIMJOGANG

    Determines the angle of the transverse segment of the dimension line in a jogged radius dimension.

  • DIMJUST

    Controls the horizontal positioning of dimension text.

  • DIMLDRBLK

    Specifies the arrow type for leaders.

  • DIMLFAC

    Sets a scale factor for linear dimension measurements.

  • DIMLIM

    Generates dimension limits as the default text.

  • DIMLTEX1

    Sets the linetype of the first extension line.

  • DIMLTEX2

    Sets the linetype of the second extension line.

  • DIMLTYPE

    Sets the linetype of the dimension line.

  • DIMLUNIT

    Sets units for all dimension types except Angular.

  • DIMLWD

    Assigns lineweight to dimension lines.

  • DIMLWE

    Assigns lineweight to extension lines.

  • DIMPOST

    Specifies a text prefix or suffix (or both) to the dimension measurement.

  • DIMRND

    Rounds all dimensioning distances to the specified value.

  • DIMSAH

    Controls the display of dimension line arrowhead blocks.

  • DIMSCALE

    Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets.

  • DIMSD1

    Controls suppression of the first dimension line and arrowhead.

  • DIMSD2

    Controls suppression of the second dimension line and arrowhead.

  • DIMSE1

    Suppresses display of the first extension line.

  • DIMSE2

    Suppresses display of the second extension line.

  • DIMSOXD

    Suppresses arrowheads if not enough space is available inside the extension lines.

  • DIMSTYLE

    Stores the name of the current dimension style.

  • DIMTAD

    Controls the vertical position of text in relation to the dimension line.

  • DIMTDEC

    Sets the number of decimal places to display in tolerance values for the primary units in a dimension.

  • DIMTFAC

    Specifies a scale factor for the text height of fractions and tolerance values relative to the dimension text height, as set by DIMTXT.

  • DIMTFILL

    Controls the background of dimension text.

  • DIMTFILLCLR

    Sets the color for the text background in dimensions.

  • DIMTIH

    Controls the position of dimension text inside the extension lines for all dimension types except Ordinate.

  • DIMTIX

    Draws text between extension lines.

  • DIMTM

    Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on.

  • DIMTMOVE

    Sets dimension text movement rules.

  • DIMTOFL

    Controls whether a dimension line is drawn between the extension lines even when the text is placed outside.

  • DIMTOH

    Controls the position of dimension text outside the extension lines.

  • DIMTOL

    Appends tolerances to dimension text.

  • DIMTOLJ

    Sets the vertical justification for tolerance values relative to the nominal dimension text.

  • DIMTP

    Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on.

  • DIMTSZ

    Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning.

  • DIMTVP

    Controls the vertical position of dimension text above or below the dimension line.

  • DIMTXSTY

    Specifies the text style of the dimension.

  • DIMTXT

    Specifies the height of dimension text, unless the current text style has a fixed height.

  • DIMTXTDIRECTION

    Specifies the reading direction of the dimension text.

  • DIMTZIN

    Controls the suppression of zeros in tolerance values.

  • DIMUPT

    Controls options for user-positioned text.

  • DIMZIN

    Controls the suppression of zeros in the primary unit value.

  • DISPSILH

    Controls display of silhouette edges of 3D solid objects in a 2D Wireframe or 3D Wireframe visual style.

  • DISTANCE

    Stores the distance computed by the DIST command.

  • DIVMESHBOXHEIGHT

    Sets the number of subdivisions for the height of a mesh box along the Z axis.

  • DIVMESHBOXLENGTH

    Sets the number of subdivisions for the length of a mesh box along the X axis.

  • DIVMESHBOXWIDTH

    Sets the number of subdivisions for the width of a mesh box along the Y axis.

  • DIVMESHCONEAXIS

    Sets the number of subdivisions around the perimeter of the mesh cone base.

  • DIVMESHCONEBASE

    Sets the number of subdivisions between the perimeter and the center point of the mesh cone base.

  • DIVMESHCONEHEIGHT

    Sets the number of subdivisions between the base and the point or top of the mesh cone.

  • DIVMESHCYLAXIS

    Sets the number of subdivisions around the perimeter of the mesh cylinder base.

  • DIVMESHCYLBASE

    Sets the number of radial subdivisions from the center of the mesh cylinder base to its perimeter.

  • DIVMESHCYLHEIGHT

    Sets the number of subdivisions between the base and the top of the mesh cylinder.

  • DIVMESHPYRBASE

    Sets the number of radial subdivisions between the center of the mesh pyramid base and its perimeter.

  • DIVMESHPYRHEIGHT

    Sets the number of subdivisions between the base and the top of the mesh pyramid.

  • DIVMESHPYRLENGTH

    Sets the number of subdivisions along each dimension of a mesh pyramid base.

  • DIVMESHSPHEREAXIS

    Sets the number of radial subdivisions around the axis endpoint of the mesh sphere.

  • DIVMESHSPHEREHEIGHT

    Sets the number of subdivisions between the two axis endpoints of the mesh sphere.

  • DIVMESHTORUSPATH

    Sets the number of subdivisions in the path that is swept by the profile of a mesh torus.

  • DIVMESHTORUSSECTION

    Sets the number of subdivisions in the profile that sweeps the path of a mesh torus.

  • DIVMESHWEDGEBASE

    Sets the number of subdivisions between the midpoint of the perimeter of triangular dimension of the mesh wedge.

  • DIVMESHWEDGEHEIGHT

    Sets the number of subdivisions for the height of the mesh wedge along the Z axis.

  • DIVMESHWEDGELENGTH

    Sets the number of subdivisions for the length of a mesh wedge along the X axis.

  • DIVMESHWEDGESLOPE

    Sets the number of subdivisions in the slope that extends from the apex of the wedge to the edge of the base.

  • DIVMESHWEDGEWIDTH

    Sets the number of subdivisions for the width of the mesh wedge along the Y axis.

  • DONUTID

    Sets the default for the inside diameter of a donut.

  • DONUTOD

    Sets the default for the outside diameter of a donut.

  • DRAGMODE

    Controls the display of objects being dragged.

  • DRAGP1

    Sets the regen-drag input sampling rate.

  • DRAGP2

    Sets the fast-drag input sampling rate.

  • DRAGVS

    Sets the visual style that is displayed while creating 3D solid and mesh primitives and extruded solids, surfaces, and meshes.

  • DRAWORDERCTL

    Controls the default display behavior of overlapping objects when they are created or edited.

  • DRSTATE

    Indicates whether the Drawing Recovery Manager window is open or closed.

  • DTEXTED

    Specifies the user interface displayed for editing single-line text.

  • DWFFRAME

    Determines whether DWF or DWFx underlay frames are visible or plotted in the current drawing.

  • DWFOSNAP

    Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing.

  • DWGCHECK

    Checks drawings for potential problems when opening them.

  • DWGCODEPAGE

    Stores the same value as SYSCODEPAGE (for compatibility reasons).

  • DWGNAME

    Stores the name of the current drawing.

  • DWGPREFIX

    Stores the drive and folder prefix for the drawing.

  • DWGTITLED

    Indicates whether the current drawing has been named.

  • DXEVAL

    Controls when data extraction tables are compared against the data source, and if the data is not current, displays an update notification

  • DYNCONSTRAINTDISPLAY

    Displays or hides dynamic constraints.

  • DYNCONSTRAINTMODE

    Displays hidden dimensional constraints when constrained objects are selected.

  • DYNDIGRIP

    Controls which dynamic dimensions are displayed during grip stretch editing.

  • DYNDIVIS

    Controls how many dynamic dimensions are displayed during grip stretch editing.

  • DYNMODE

    Turns Dynamic Input features on and off.

  • DYNPICOORDS

    Controls whether pointer input uses relative or absolute format for coordinates.

  • DYNPIFORMAT

    Controls whether pointer input uses polar or Cartesian format for coordinates.

  • DYNPIVIS

    Controls when pointer input is displayed.

  • DYNPROMPT

    Controls display of prompts in Dynamic Input tooltips.

  • DYNTOOLTIPS

    Controls which tooltips are affected by tooltip appearance settings.


DATALINKNOTIFY (Quick Reference)

CVPORT
DATALINKNOTIFY
DATE
System Variables > D System Variables >
DATALINKNOTIFY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the notification for updated or missing data links.

0 | Disables data link update notification.
1 | Enables data link notification. Notifies you that external data is linked to the current drawing by displaying the data link icon in the lower-right corner of the application window (the notification area of the status bar tray). Will not display balloon message notifications.
2 | Enables data link notification and balloon message notifications. Notifies you that external data is linked to the current drawing as in 1 above. Also displays a data link file change notification in the area of the drawing where the data link requires updating.


DATE (Quick Reference)

DATALINKNOTIFY
DATE
DBCSTATE
System Variables > D System Variables >
DATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | Varies

Stores the current date and time in Modified Julian Date format.

This value is represented as a Modified Julian Date (MJD), which is the Julian day number and decimal fraction of a day in the format:

<Julian day number>.<Decimal fraction of a day>

The Modified Julian Date, conventionally called UT1, is a worldwide scientific standard that assigns day numbers beginning at an essentially arbitrary date and time of 12:00 a.m. on 1 January 4713 B.C. (B.C.E.). With this system, 4 July 1997 at 2:29:58 p.m. corresponds to 2450634.60387736, and 1 January 1998 at 12:00 noon corresponds to 2450815.50000000.

You can compute differences in date and time by subtracting the numbers returned by DATE. To extract the seconds since midnight from the value returned by DATE, use AutoLISP expressions:

(setq s (getvar "DATE"))
(setq seconds (* 86400.0 (- s (fix s))))

Because your computer clock provides the date and time, the DATE system variable returns a true Julian date only if the system clock is set to UTC/Zulu (Greenwich Mean Time). TDCREATE and TDUPDATE have the same format as DATE, but their values represent the creation time and last update time of the current drawing.


DBCSTATE (Quick Reference)

DATE
DBCSTATE
DBLCLKEDIT
System Variables > D System Variables >
DBCSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the dbConnect Manager is open or closed.

0 | Closed
1 | Open


DBLCLKEDIT (Quick Reference)

DBCSTATE
DBLCLKEDIT
DBMOD
System Variables > D System Variables >
DBLCLKEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the double click editing behavior in the drawing area.

Double click actions can be customized using the Customize User Interface (CUI) Editor. The system variable can accept the values of On and Off in place of 1 and 0.

0 | Disabled
1 | Enabled


DBMOD (Quick Reference)

DBLCLKEDIT
DBMOD
DCTCUST
System Variables > D System Variables >
DBMOD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates the drawing modification status.

The setting is stored as a bitcode using the sum of the following values:

1 | Object database modified
4 | Database variable modified
8 | Window modified
16 | View modified
32 | Field modified

The DBMOD value is reset to 0 when you save the drawing.


DCTCUST (Quick Reference)

DBMOD
DCTCUST
DCTMAIN
System Variables > D System Variables >
DCTCUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies

Displays the path and file name of the current custom spelling dictionary.


DCTMAIN (Quick Reference)

DCTCUST
DCTMAIN
DEFAULTGIZMO
System Variables > D System Variables >
DCTMAIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies by country/region

Displays the three letter keyword for the current main spelling dictionary.

You can specify a default main spelling dictionary using the SETVAR command. When prompted for a new value for DCTMAIN, you can enter one of the keywords below. Depending on the language version of the program, not all dictionaries may be available.

Keyword | Language name
enu | American English
eng | British English (ise)
enc | Canadian English
cat | Catalan
csy | Czech
dan | Danish
nld | Dutch (primary)
fin | Finnish
fra | French (accented capitals)
frc | French (unaccented capitals)
deu | German (post-reform)
deo | German (pre-reform)
ita | Italian
nor | Norwegian (Bokmal)
ptb | Portuguese (Brazilian)
ptg | Portuguese (Iberian)
rus | Russian
esp | Spanish
sve | Swedish


DEFAULTGIZMO (Quick Reference)

DCTMAIN
DEFAULTGIZMO
DEFAULTLIGHTING
System Variables > D System Variables >
DEFAULTGIZMO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Sets the 3D Move, 3D Rotate, or 3D Scale gizmo as the default during subobject selection.

0 | The 3D Move gizmo is displayed by default when an object is selected in a 3D workspace.
1 | The 3D Rotate gizmo is displayed by default when an object is selected in a 3D workspace.
2 | The 3D Scale gizmo is displayed by default when an object is selected in a 3D workspace.
3 | No gizmo is displayed by default when an object is selected in a 3D workspace.

Set this variable to display the gizmo you use most often by default.

With the 3D Move gizmo, you can restrict the movement of selected objects along an X, Y, or Z axis, or within a specified plane. To specify the movement limitations, hover the cursor over the gizmo until the axis or plane is highlighted.

With the 3D Rotate gizmo, you can restrict the rotation of selected objects about an X, Y, or Z axis. To specify the rotation axis, hover the cursor over the gizmo until the axis line is displayed in red and the revolution path is highlighted in yellow.

With the 3D Scale gizmo, you can resize selected objects uniformly, resize them along an X, Y, or Z axis, or resize them along a specified plane. To specify the scale limitations, hover the cursor over the gizmo. Highlight the solid area between the axes for uniform resizing. Highlight the double lines between the axes to specify resizing along a plane. Highlight an axis to specify resizing along an axis.

No gizmo is displayed by default when an object is selected in a 3D workspace

You can also change the gizmo defaults on the Subobject panel of the Home and Mesh Modeling tabs.


DEFAULTLIGHTING (Quick Reference)

DEFAULTGIZMO
DEFAULTLIGHTING
DEFAULTLIGHTINGTYPE
System Variables > D System Variables >
DEFAULTLIGHTING
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Turns on and off default lighting in place of other lighting.

Default lighting is provided by a set of distant lights that follow the view direction. When default lighting is on, the sun and other lights do not cast light, even if they are turned on. The setting of this system variable is viewport-specific.

0 | Default lighting is automatically turned off when point lights, spotlights, distant lights, or the sun are on
1 | Default lighting only is turned on


DEFAULTLIGHTINGTYPE (Quick Reference)

DEFAULTLIGHTING
DEFAULTLIGHTINGTYPE
DEFLPLSTYLE
System Variables > D System Variables >
DEFAULTLIGHTINGTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies the type of default lighting, old or new.

The default lighting provided in AutoCAD 2006 and earlier releases used one distant light. The new default lighting uses two distant lights to illuminate more of the model and also adjusts ambient light. The setting of this system variable is viewport-specific.

0 | Old type of default lighting
1 | New type of default lighting


DEFLPLSTYLE (Quick Reference)

DEFAULTLIGHTINGTYPE
DEFLPLSTYLE
DEFPLSTYLE
System Variables > D System Variables >
DEFLPLSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Registry
Initial value: | ByColor

Specifies the default plot style for all layers in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or for Layer 0 when creating a new drawing from scratch without using a drawing template.

When the drawing is opened and PSTYLEPOLICY is set to 1 (color-dependent plot style mode), DEFLPLSTYLE is read-only and has a value of “BYCOLOR.” If PSTYLEPOLICY is set to 0 (named plot style mode) when the drawing is opened, DEFLPLSTYLE is writable and has a default value of “NORMAL.”

To convert the current drawing to use named or color-dependent plot styles, use CONVERTPSTYLES.


DEFPLSTYLE (Quick Reference)

DEFLPLSTYLE
DEFPLSTYLE
DELOBJ
System Variables > D System Variables >
DEFPLSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Registry
Initial value: | ByColor

Specifies the default plot style for new objects in a drawing when opening a drawing that was created in a release prior to AutoCAD 2000, or when creating a new drawing from scratch without using a drawing template.

When the drawing is opened and PSTYLEPOLICY is set to 1 (color-dependent plot style mode), DEFPLSTYLE is read-only and has a value of “BYCOLOR.” If PSTYLEPOLICY is set to 0 (named plot style mode), DEFPLSTYLE is writable and has a default value of “BYLAYER.”

To convert the current drawing to use named or color-dependent plot styles, use CONVERTPSTYLES.


DELOBJ (Quick Reference)

DEFPLSTYLE
DELOBJ
DEMANDLOAD
System Variables > D System Variables >
DELOBJ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether geometry used to create 3D objects is retained or deleted.

0

All defining geometry is retained.

1

Deletes profile curves, including those used with the EXTRUDE, SWEEP, REVOLVE, and LOFT commands. Removes all defining geometry for CONVTOSOLID, CONVTOSURFACE, and MESHSMOOTH commands. Cross sections used with the LOFT command are also deleted.

2

Deletes all defining geometry, including paths and guide curves used with the SWEEP and LOFT commands.

-1

Displays prompts to delete profile curves, including those used with the EXTRUDE, SWEEP, REVOLVE, and LOFT commands. Prompts to remove cross sections used with the LOFT command.

The original geometry for CONVTOSOLID, CONVTOSURFACE, and MESHSMOOTH commands is removed without prompting.

-2

Displays prompts to delete all defining geometry, including paths and guide curves used with the SWEEP and LOFT commands.

The original geometry for CONVTOSOLID, CONVTOSURFACE, and MESHSMOOTH commands is removed without prompting.


DEMANDLOAD (Quick Reference)

DELOBJ
DEMANDLOAD
DGNFRAME
System Variables > D System Variables >
DEMANDLOAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 3

Specifies if and when to demand-load certain applications.

If you set this system variable to 0, third-party applications and some AutoCAD commands cannot function.

0 | Turns off demand-loading.
1 | Demand-loads the source application when you open a drawing that contains custom objects. This setting does not demand-load the application when you invoke one of the application's commands.
2 | Demand-loads the source application when you invoke one of the application's commands. This setting does not demand-load the application when you open a drawing that contains custom objects.
3 | Demand-loads the source application when you open a drawing that contains custom objects or when you invoke one of the application's commands


DGNFRAME (Quick Reference)

DEMANDLOAD
DGNFRAME
DGNIMPORTMAX
System Variables > D System Variables >
DGNFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Determines whether DGN underlay frames are visible or plotted in the current drawing.

The FRAME system variable overrides the DGNFRAME setting. Use the DGNFRAME system variable after the FRAME system variable to reset the DGN frame settings.

0 | The DGN underlay frame is not displayed or plotted
1 | The DGN underlay frame is displayed and plotted
2 | The DGN underlay frame is displayed but not plotted


DGNIMPORTMAX (Quick Reference)

DGNFRAME
DGNIMPORTMAX
DGNMAPPINGPATH
System Variables > D System Variables >
DGNIMPORTMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 10000000

Sets the maximum number of elements that are translated when importing a DGN file.

This limit prevents the program from running out of memory and suspending when importing large DGN files.

0 | Turns off the limit.
>0 | Sets the limit for the number of elements.


DGNMAPPINGPATH (Quick Reference)

DGNIMPORTMAX
DGNMAPPINGPATH
DGNOSNAP
System Variables > D System Variables >
DGNMAPPINGPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | Varies

Specifies the location of the dgnsetups.ini file where DGN mapping setups are stored.

NoteYou can set the location of the dgnsetups.ini file in Files tab (Options dialog box).


DGNOSNAP (Quick Reference)

DGNMAPPINGPATH
DGNOSNAP
DIASTAT
System Variables > D System Variables >
DGNOSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether object snapping is active for geometry in DGN underlays that are attached to the drawing.

The UOSNAP system variable overrides the DGNOSNAP setting.

0 | Turns off object snapping for geometry in all DGN underlay attachments in the drawing
1 | Turns on object snapping for geometry in all DGN underlay attachments in the drawing


DIASTAT (Quick Reference)

DGNOSNAP
DIASTAT
DIMADEC
System Variables > D System Variables >
DIASTAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Stores the exit method of the most recently used dialog box.

0 | Cancel
1 | OK
NoteThe DIASTAT system variable does not apply to standard file selection dialog boxes, such as the Select File and the Save Drawing As dialog boxes.


DIMADEC (Quick Reference)

DIASTAT
DIMADEC
DIMALT
System Variables > D System Variables >
DIMADEC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the number of precision places displayed in angular dimensions.

-1 | Angular dimensions display the number of decimal places specified by DIMDEC.
0-8 | Specifies the number of decimal places displayed in angular dimensions (independent of DIMDEC)


DIMALT (Quick Reference)

DIMADEC
DIMALT
DIMALTD
System Variables > D System Variables >
DIMALT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls the display of alternate units in dimensions.

See also DIMALTD, DIMALTF, DIMALTTD, DIMALTTZ, DIMALTZ, and DIMAPOST.

Off | Disables alternate units
On | Enables alternate units


DIMALTD (Quick Reference)

DIMALT
DIMALTD
DIMALTF
System Variables > D System Variables >
DIMALTD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2 (imperial) or 3 (metric)

Controls the number of decimal places in alternate units.

If DIMALT is turned on, DIMALTD sets the number of digits displayed to the right of the decimal point in the alternate measurement.


DIMALTF (Quick Reference)

DIMALTD
DIMALTF
DIMALTRND
System Variables > D System Variables >
DIMALTF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 25.4000 (imperial) or 0.0394 (metric)

Controls the multiplier for alternate units.

If DIMALT is turned on, DIMALTF multiplies linear dimensions by a factor to produce a value in an alternate system of measurement. The initial value represents the number of millimeters in an inch.


DIMALTRND (Quick Reference)

DIMALTF
DIMALTRND
DIMALTTD
System Variables > D System Variables >
DIMALTRND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Rounds off the alternate dimension units.


DIMALTTD (Quick Reference)

DIMALTRND
DIMALTTD
DIMALTTZ
System Variables > D System Variables >
DIMALTTD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2 (imperial) or 3 (metric)

Sets the number of decimal places for the tolerance values in the alternate units of a dimension.


DIMALTTZ (Quick Reference)

DIMALTTD
DIMALTTZ
DIMALTU
System Variables > D System Variables >
DIMALTTZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls suppression of zeros in tolerance values.

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet

To suppress leading or trailing zeros, add the following values to one of the preceding values:

4 | Suppresses leading zeros
8 | Suppresses trailing zeros


DIMALTU (Quick Reference)

DIMALTTZ
DIMALTU
DIMALTZ
System Variables > D System Variables >
DIMALTU
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the units format for alternate units of all dimension substyles except Angular.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural (stacked)
5 | Fractional (stacked)
6 | Architectural
7 | Fractional
8 | Microsoft Windows Desktop (decimal format using Control Panel settings for decimal separator and number grouping symbols)


DIMALTZ (Quick Reference)

DIMALTU
DIMALTZ
DIMANNO
System Variables > D System Variables >
DIMALTZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the suppression of zeros for alternate unit dimension values.

DIMALTZ values 0-3 affect feet-and-inch dimensions only.

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet
4 | Suppresses leading zeros in decimal dimensions (for example, 0.5000 becomes .5000)
8 | Suppresses trailing zeros in decimal dimensions (for example, 12.5000 becomes 12.5)
12 | Suppresses both leading and trailing zeros (for example, 0.5000 becomes .5)


DIMANNO (Quick Reference)

DIMALTZ
DIMANNO
DIMAPOST
System Variables > D System Variables >
DIMANNO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Indicates whether or not the current dimension style is annotative.

0 | Nonannotative
1 | Annotative


DIMAPOST (Quick Reference)

DIMANNO
DIMAPOST
DIMARCSYM
System Variables > D System Variables >
DIMAPOST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Specifies a text prefix or suffix (or both) to the alternate dimension measurement for all types of dimensions except angular.

For instance, if the current units are Architectural, DIMALT is on, DIMALTF is 25.4 (the number of millimeters per inch), DIMALTD is 2, and DIMPOST is set to "mm," a distance of 10 units would be displayed as 10"[254.00mm].

To turn off an established prefix or suffix (or both), set it to a single period (.).


DIMARCSYM (Quick Reference)

DIMAPOST
DIMARCSYM
DIMASO
System Variables > D System Variables >
DIMARCSYM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls display of the arc symbol in an arc length dimension.

0 | Places arc length symbols before the dimension text
1 | Places arc length symbols above the dimension text
2 | Suppresses the display of arc length symbols


DIMASSOC (Quick Reference)

DIMASO
DIMASSOC
DIMASZ
System Variables > D System Variables >
DIMASSOC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls the associativity of dimension objects and whether dimensions are exploded.

0 | Creates exploded dimensions. There is no association between the various elements of the dimension. The lines, arcs, arrowheads, and text of a dimension are drawn as separate objects.
1 | Creates non-associative dimension objects. The elements of the dimension are formed into a single object. If one of the definition points of the dimension moves, the dimension is updated.
2 | Creates associative dimension objects. The elements of the dimension are formed into a single object, and one or more definition points of the dimension are coupled with association points on geometric objects. If the association point on the geometric object moves, the dimension location, orientation, and value are updated.

DIMASSOC is not stored in a dimension style.

Drawings saved in a format previous to AutoCAD 2002 retain the setting of the DIMASSOC system variable. When the drawing is reopened in AutoCAD 2002 or later, the dimension associativity setting is restored. If a legacy drawing is opened in AutoCAD 2002, the DIMASSOC system variable takes on the value of the legacy drawing's DIMASO system variable.


DIMASZ (Quick Reference)

DIMASSOC
DIMASZ
DIMATFIT
System Variables > D System Variables >
DIMASZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.1800 (imperial) or 2.5000 (metric)

Controls the size of dimension line and leader line arrowheads. Also controls the size of hook lines.

Multiples of the arrowhead size determine whether dimension lines and text should fit between the extension lines. DIMASZ is also used to scale arrowhead blocks if set by DIMBLK. DIMASZ has no effect when DIMTSZ is other than zero.


DIMATFIT (Quick Reference)

DIMASZ
DIMATFIT
DIMAUNIT
System Variables > D System Variables >
DIMATFIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Determines how dimension text and arrows are arranged when space is not sufficient to place both within the extension lines.

0 | Places both text and arrows outside extension lines
1 | Moves arrows first, then text
2 | Moves text first, then arrows
3 | Moves either text or arrows, whichever fits best

A leader is added to moved dimension text when DIMTMOVE is set to 1.


DIMAUNIT (Quick Reference)

DIMATFIT
DIMAUNIT
DIMAZIN
System Variables > D System Variables >
DIMAUNIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the units format for angular dimensions.

0 | Decimal degrees
1 | Degrees/minutes/seconds
2 | Gradians
3 | Radians

DIMAUNIT sets this value when entered at the Command prompt or when set from the Primary Units area in the Annotation dialog box.


DIMAZIN (Quick Reference)

DIMAUNIT
DIMAZIN
DIMBLK
System Variables > D System Variables >
DIMAZIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Suppresses zeros for angular dimensions.

0 | Displays all leading and trailing zeros
1 | Suppresses leading zeros in decimal dimensions (for example, 0.5000 becomes .5000)
2 | Suppresses trailing zeros in decimal dimensions (for example, 12.5000 becomes 12.5)
3 | Suppresses leading and trailing zeros (for example, 0.5000 becomes .5)


DIMBLK (Quick Reference)

DIMAZIN
DIMBLK
DIMBLK1
System Variables > D System Variables >
DIMBLK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the arrowhead block displayed at the ends of dimension lines or leader lines.

To return to the default, closed-filled arrowhead display, enter a single period (.). Arrowhead block entries and the names used to select them in the New, Modify, and Override Dimension Style dialog boxes are shown below. You can also enter the names of user-defined arrowhead blocks.

Note Annotative blocks cannot be used as custom arrowheads for dimensions or leaders.
"" | closed filled
"_DOT" | dot
"_DOTSMALL" | dot small
"_DOTBLANK" | dot blank
"_ORIGIN" | origin indicator
"_ORIGIN2" | origin indicator 2
"_OPEN" | open
"_OPEN90" | right angle
"_OPEN30" | open 30
"_CLOSED" | closed
"_SMALL" | dot small blank
"_NONE" | none
"_OBLIQUE" | oblique
"_BOXFILLED" | box filled
"_BOXBLANK" | box
"_CLOSEDBLANK" | closed blank
"_DATUMFILLED" | datum triangle filled
"_DATUMBLANK" | datum triangle
"_INTEGRAL" | integral
"_ARCHTICK" | architectural tick


DIMBLK1 (Quick Reference)

DIMBLK
DIMBLK1
DIMBLK2
System Variables > D System Variables >
DIMBLK1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the arrowhead for the first end of the dimension line when DIMSAH is on.

To return to the default, closed-filled arrowhead display, enter a single period (.). For a list of arrowheads, see DIMBLK.

Note Annotative blocks cannot be used as custom arrowheads for dimensions or leaders.


DIMBLK2 (Quick Reference)

DIMBLK1
DIMBLK2
DIMCEN
System Variables > D System Variables >
DIMBLK2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the arrowhead for the second end of the dimension line when DIMSAH is on.

To return to the default, closed-filled arrowhead display, enter a single period (.). For a list of arrowhead entries, see DIMBLK.

Note Annotative blocks cannot be used as custom arrowheads for dimensions or leaders.


DIMCEN (Quick Reference)

DIMBLK2
DIMCEN
DIMCLRD
System Variables > D System Variables >
DIMCEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0900 (imperial) or 2.5000 (metric)

Controls drawing of circle or arc center marks and centerlines by the DIMCENTER, DIMDIAMETER, and DIMRADIUS commands.

For DIMDIAMETER and DIMRADIUS, the center mark is drawn only if you place the dimension line outside the circle or arc.

0 | No center marks or lines are drawn
<0 | Centerlines are drawn
>0 | Center marks are drawn

The absolute value specifies the size of the center mark or centerline.

The size of the centerline is the length of the centerline segment that extends outside the circle or arc. It is also the size of the gap between the center mark and the start of the centerline.

The size of the center mark is the distance from the center of the circle or arc to the end of the center mark.


DIMCLRD (Quick Reference)

DIMCEN
DIMCLRD
DIMCLRE
System Variables > D System Variables >
DIMCLRD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension lines, arrowheads, and dimension leader lines.

Also controls the color of leader lines created with the LEADER command. Color numbers are displayed in the Select Color dialog box. For BYBLOCK, enter 0. For BYLAYER, enter 256.


DIMCLRE (Quick Reference)

DIMCLRD
DIMCLRE
DIMCLRT
System Variables > D System Variables >
DIMCLRE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension extension lines.

Color numbers are displayed in the Select Color dialog box. For BYBLOCK, enter 0. For BYLAYER, enter 256.


DIMCLRT (Quick Reference)

DIMCLRE
DIMCLRT
DIMCONSTRAINTICON
System Variables > D System Variables >
DIMCLRT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Assigns colors to dimension text.

The color can be any valid color number.


DIMCONSTRAINTICON (Quick Reference)

DIMCLRT
DIMCONSTRAINTICON
DIMDEC
System Variables > D System Variables >
DIMCONSTRAINTICON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 3

Displays the lock icon next to the text for dimensional constraints.

0 | Does not display the lock icon next to the text for dimensional constraints
1 | Displays the icon for dynamic constraints
2 | Displays the icon for annotational constraints
3 | Displays the icon for dynamic and annotational constraints


DIMDEC (Quick Reference)

DIMCONSTRAINTICON
DIMDEC
DIMDLE
System Variables > D System Variables >
DIMDEC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 4 (imperial) or 2 (metric)

Sets the number of decimal places displayed for the primary units of a dimension.

The precision is based on the units or angle format you have selected.


DIMDLE (Quick Reference)

DIMDEC
DIMDLE
DIMDLI
System Variables > D System Variables >
DIMDLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the distance the dimension line extends beyond the extension line when oblique strokes are drawn instead of arrowheads.


DIMDLI (Quick Reference)

DIMDLE
DIMDLI
DIMDSEP
System Variables > D System Variables >
DIMDLI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.3800 (imperial) or 3.7500 (metric)

Controls the spacing of the dimension lines in baseline dimensions.

Each dimension line is offset from the previous one by this amount, if necessary, to avoid drawing over it. Changes made with DIMDLI are not applied to existing dimensions.


DIMDSEP (Quick Reference)

DIMDLI
DIMDSEP
DIMEXE
System Variables > D System Variables >
DIMDSEP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Single-character
Saved in: | Drawing
Initial value: | . (imperial) or , (metric)

Specifies a single-character decimal separator to use when creating dimensions whose unit format is decimal.

When prompted, enter a single character at the Command prompt. If dimension units is set to Decimal, the DIMDSEP character is used instead of the default decimal point. If DIMDSEP is set to NULL (default value, reset by entering a period), the decimal point is used as the dimension separator.


DIMEXE (Quick Reference)

DIMDSEP
DIMEXE
DIMEXO
System Variables > D System Variables >
DIMEXE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.1800 (imperial) or 1.2500 (metric)

Specifies how far to extend the extension line beyond the dimension line.


DIMEXO (Quick Reference)

DIMEXE
DIMEXO
DIMFIT
System Variables > D System Variables >
DIMEXO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0625 (imperial) or 0.6250 (metric)

Specifies how far extension lines are offset from origin points.

With fixed-length extension lines, this value determines the minimum offset.


DIMFRAC (Quick Reference)

DIMFIT
DIMFRAC
DIMFXL
System Variables > D System Variables >
DIMFRAC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the fraction format when DIMLUNIT is set to 4 (Architectural) or 5 (Fractional).

0 | Horizontal stacking
1 | Diagonal stacking
2 | Not stacked (for example, 1/2)


DIMFXL (Quick Reference)

DIMFRAC
DIMFXL
DIMFXLON
System Variables > D System Variables >
DIMFXL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the total length of the extension lines starting from the dimension line toward the dimension origin.


DIMFXLON (Quick Reference)

DIMFXL
DIMFXLON
DIMGAP
System Variables > D System Variables >
DIMFXLON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls whether extension lines are set to a fixed length.

When DIMFXLON is on, extension lines are set to the length specified by DIMFXL.


DIMGAP (Quick Reference)

DIMFXLON
DIMGAP
DIMJOGANG
System Variables > D System Variables >
DIMGAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0900 (imperial) or 0.6250 (metric)

Sets the distance around the dimension text when the dimension line breaks to accommodate dimension text.

Also sets the gap between annotation and a hook line created with the LEADER command. If you enter a negative value, DIMGAP places a box around the dimension text.

DIMGAP is also used as the minimum length for pieces of the dimension line. When the default position for the dimension text is calculated, text is positioned inside the extension lines only if doing so breaks the dimension lines into two segments at least as long as DIMGAP. Text placed above or below the dimension line is moved inside only if there is room for the arrowheads, dimension text, and a margin between them at least as large as DIMGAP: 2 * (DIMASZ + DIMGAP).


DIMJOGANG (Quick Reference)

DIMGAP
DIMJOGANG
DIMJUST
System Variables > D System Variables >
DIMJOGANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 45

Determines the angle of the transverse segment of the dimension line in a jogged radius dimension.

Jogged radius dimensions are often created when the center point is located off the page.


DIMJUST (Quick Reference)

DIMJOGANG
DIMJUST
DIMLDRBLK
System Variables > D System Variables >
DIMJUST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the horizontal positioning of dimension text.

0 | Positions the text above the dimension line and center-justifies it between the extension lines
1 | Positions the text next to the first extension line
2 | Positions the text next to the second extension line
3 | Positions the text above and aligned with the first extension line
4 | Positions the text above and aligned with the second extension line


DIMLDRBLK (Quick Reference)

DIMJUST
DIMLDRBLK
DIMLFAC
System Variables > D System Variables >
DIMLDRBLK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Specifies the arrow type for leaders.

To return to the default, closed-filled arrowhead display, enter a single period (.). For a list of arrowhead entries, see DIMBLK.

Note Annotative blocks cannot be used as custom arrowheads for dimensions or leaders.


DIMLFAC (Quick Reference)

DIMLDRBLK
DIMLFAC
DIMLIM
System Variables > D System Variables >
DIMLFAC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets a scale factor for linear dimension measurements.

All linear dimension distances, including radii, diameters, and coordinates, are multiplied by DIMLFAC before being converted to dimension text. Positive values of DIMLFAC are applied to dimensions in both model space and paper space; negative values are applied to paper space only.

DIMLFAC applies primarily to nonassociative dimensions (DIMASSOC set 0 or 1). For nonassociative dimensions in paper space, DIMLFAC must be set individually for each layout viewport to accommodate viewport scaling.

DIMLFAC has no effect on angular dimensions, and is not applied to the values held in DIMRND, DIMTM, or DIMTP.


DIMLIM (Quick Reference)

DIMLFAC
DIMLIM
DIMLTEX1
System Variables > D System Variables >
DIMLIM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Generates dimension limits as the default text.

Setting DIMLIM to On turns DIMTOL off.

Off | Dimension limits are not generated as default text
On | Dimension limits are generated as default text


DIMLTEX1 (Quick Reference)

DIMLIM
DIMLTEX1
DIMLTEX2
System Variables > D System Variables >
DIMLTEX1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the linetype of the first extension line.

The value is BYLAYER, BYBLOCK, or the name of a linetype.


DIMLTEX2 (Quick Reference)

DIMLTEX1
DIMLTEX2
DIMLTYPE
System Variables > D System Variables >
DIMLTEX2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the linetype of the second extension line.

The value is BYLAYER, BYBLOCK, or the name of a linetype.


DIMLTYPE (Quick Reference)

DIMLTEX2
DIMLTYPE
DIMLUNIT
System Variables > D System Variables >
DIMLTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the linetype of the dimension line.

The value is BYLAYER, BYBLOCK, or the name of a linetype.


DIMLUNIT (Quick Reference)

DIMLTYPE
DIMLUNIT
DIMLWD
System Variables > D System Variables >
DIMLUNIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets units for all dimension types except Angular.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural (always displayed stacked)
5 | Fractional (always displayed stacked)
6 | Microsoft Windows Desktop (decimal format using Control Panel settings for decimal separator and number grouping symbols)


DIMLWD (Quick Reference)

DIMLUNIT
DIMLWD
DIMLWE
System Variables > D System Variables >
DIMLWD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Enum
Saved in: | Drawing
Initial value: | -2

Assigns lineweight to dimension lines.

-3 | Default (the LWDEFAULT value)
-2 | BYBLOCK
-1 | BYLAYER

The integer represents 1/100th of a mm.


DIMLWE (Quick Reference)

DIMLWD
DIMLWE
DIMPOST
System Variables > D System Variables >
DIMLWE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Enum
Saved in: | Drawing
Initial value: | -2

Assigns lineweight to extension lines.

-3 | Default (the LWDEFAULT value)
-2 | BYBLOCK
-1 | BYLAYER

The integer represents 1/100th of a mm.


DIMPOST (Quick Reference)

DIMLWE
DIMPOST
DIMRND
System Variables > D System Variables >
DIMPOST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | None

Specifies a text prefix or suffix (or both) to the dimension measurement.

For example, to establish a suffix for millimeters, set DIMPOST to mm; a distance of 19.2 units would be displayed as 19.2 mm.

If tolerances are turned on, the suffix is applied to the tolerances as well as to the main dimension.

Use <> to indicate placement of the text in relation to the dimension value. For example, enter <>mm to display a 5.0 millimeter radial dimension as "5.0mm." If you entered mm <>, the dimension would be displayed as "mm 5.0." Use the <> mechanism for angular dimensions.


DIMRND (Quick Reference)

DIMPOST
DIMRND
DIMSAH
System Variables > D System Variables >
DIMRND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Rounds all dimensioning distances to the specified value.

For instance, if DIMRND is set to 0.25, all distances round to the nearest 0.25 unit. If you set DIMRND to 1.0, all distances round to the nearest integer. Note that the number of digits edited after the decimal point depends on the precision set by DIMDEC. DIMRND does not apply to angular dimensions.


DIMSAH (Quick Reference)

DIMRND
DIMSAH
DIMSCALE
System Variables > D System Variables >
DIMSAH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls the display of dimension line arrowhead blocks.

Off | Use arrowhead blocks set by DIMBLK
On | Use arrowhead blocks set by DIMBLK1 and DIMBLK2


DIMSCALE (Quick Reference)

DIMSAH
DIMSCALE
DIMSD1
System Variables > D System Variables >
DIMSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the overall scale factor applied to dimensioning variables that specify sizes, distances, or offsets.

Also affects the leader objects with the LEADER command.

Use MLEADERSCALE to scale multileader objects created with the MLEADER command.

0.0 | A reasonable default value is computed based on the scaling between the current model space viewport and paper space. If you are in paper space or model space and not using the paper space feature, the scale factor is 1.0.
>0 | A scale factor is computed that leads text sizes, arrowhead sizes, and other scaled distances to plot at their face values.

DIMSCALE does not affect measured lengths, coordinates, or angles.

Use DIMSCALE to control the overall scale of dimensions. However, if the current dimension style is annotative, DIMSCALE is automatically set to zero and the dimension scale is controlled by the CANNOSCALE system variable. DIMSCALE cannot be set to a non-zero value when using annotative dimensions.


DIMSD1 (Quick Reference)

DIMSCALE
DIMSD1
DIMSD2
System Variables > D System Variables >
DIMSD1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls suppression of the first dimension line and arrowhead.

When turned on, suppresses the display of the dimension line and arrowhead between the first extension line and the text.

Off | First dimension line is not suppressed
On | First dimension line is suppressed


DIMSD2 (Quick Reference)

DIMSD1
DIMSD2
DIMSE1
System Variables > D System Variables >
DIMSD2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls suppression of the second dimension line and arrowhead.

When turned on, suppresses the display of the dimension line and arrowhead between the second extension line and the text.

Off | Second dimension line is not suppressed
On | Second dimension line is suppressed


DIMSE1 (Quick Reference)

DIMSD2
DIMSE1
DIMSE2
System Variables > D System Variables >
DIMSE1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Suppresses display of the first extension line.

Off | Extension line is not suppressed
On | Extension line is suppressed


DIMSE2 (Quick Reference)

DIMSE1
DIMSE2
DIMSHO
System Variables > D System Variables >
DIMSE2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Suppresses display of the second extension line.

Off | Extension line is not suppressed
On | Extension line is suppressed


DIMSOXD (Quick Reference)

DIMSHO
DIMSOXD
DIMSTYLE
System Variables > D System Variables >
DIMSOXD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Suppresses arrowheads if not enough space is available inside the extension lines.

Off | Arrowheads are not suppressed
On | Arrowheads are suppressed

If not enough space is available inside the extension lines and DIMTIX is on, setting DIMSOXD to On suppresses the arrowheads. If DIMTIX is off, DIMSOXD has no effect.


DIMSTYLE (Quick Reference)

DIMSOXD
DIMSTYLE
DIMTAD
System Variables > D System Variables >
DIMSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Drawing
Initial value: | Standard (imperial) or ISO-25 (metric)

Stores the name of the current dimension style.

This system variable has the same name as a command. Use the SETVAR command to access this system variable. The DIMSTYLE system variable is read-only; to change the current dimension style, use the DIMSTYLE command.


DIMTAD (Quick Reference)

DIMSTYLE
DIMTAD
DIMTDEC
System Variables > D System Variables >
DIMTAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0 (imperial) or 1 (metric)

Controls the vertical position of text in relation to the dimension line.

0 | Centers the dimension text between the extension lines.
1 | Places the dimension text above the dimension line except when the dimension line is not horizontal and text inside the extension lines is forced horizontal (DIMTIH = 1). The distance from the dimension line to the baseline of the lowest line of text is the current DIMGAP value.
2 | Places the dimension text on the side of the dimension line farthest away from the defining points.
3 | Places the dimension text to conform to Japanese Industrial Standards (JIS).
4 | Places the dimension text below the dimension line.


DIMTDEC (Quick Reference)

DIMTAD
DIMTDEC
DIMTFAC
System Variables > D System Variables >
DIMTDEC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 4 (imperial) or 2 (metric)

Sets the number of decimal places to display in tolerance values for the primary units in a dimension.

This system variable has no effect unless DIMTOL is set to On. The default for DIMTOL is Off.


DIMTFAC (Quick Reference)

DIMTDEC
DIMTFAC
DIMTFILL
System Variables > D System Variables >
DIMTFAC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Specifies a scale factor for the text height of fractions and tolerance values relative to the dimension text height, as set by DIMTXT.

For example, if DIMTFAC is set to 1.0, the text height of fractions and tolerances is the same height as the dimension text. If DIMTFAC is set to 0.7500, the text height of fractions and tolerances is three-quarters the size of dimension text.


DIMTFILL (Quick Reference)

DIMTFAC
DIMTFILL
DIMTFILLCLR
System Variables > D System Variables >
DIMTFILL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the background of dimension text.

0 | No background
1 | The background color of the drawing
2 | The background specified by DIMTFILLCLR


DIMTFILLCLR (Quick Reference)

DIMTFILL
DIMTFILLCLR
DIMTIH
System Variables > D System Variables >
DIMTFILLCLR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the color for the text background in dimensions.

Color numbers are displayed in the Select Color dialog box. For BYBLOCK, enter 0. For BYLAYER, enter 256.


DIMTIH (Quick Reference)

DIMTFILLCLR
DIMTIH
DIMTIX
System Variables > D System Variables >
DIMTIH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | On (imperial) or Off (metric)

Controls the position of dimension text inside the extension lines for all dimension types except Ordinate.

Off | Aligns text with the dimension line
On | Draws text horizontally


DIMTIX (Quick Reference)

DIMTIH
DIMTIX
DIMTM
System Variables > D System Variables >
DIMTIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Draws text between extension lines.

Off | Varies with the type of dimension. For linear and angular dimensions, text is placed inside the extension lines if there is sufficient room. For radius and diameter dimensions that don't fit inside the circle or arc, DIMTIX has no effect and always forces the text outside the circle or arc.
On | Draws dimension text between the extension lines even if it would ordinarily be placed outside those lines


DIMTM (Quick Reference)

DIMTIX
DIMTM
DIMTMOVE
System Variables > D System Variables >
DIMTM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the minimum (or lower) tolerance limit for dimension text when DIMTOL or DIMLIM is on.

DIMTM accepts signed values. If DIMTOL is on and DIMTP and DIMTM are set to the same value, a tolerance value is drawn.

If DIMTM and DIMTP values differ, the upper tolerance is drawn above the lower, and a plus sign is added to the DIMTP value if it is positive.

For DIMTM, the program uses the negative of the value you enter (adding a minus sign if you specify a positive number and a plus sign if you specify a negative number).


DIMTMOVE (Quick Reference)

DIMTM
DIMTMOVE
DIMTOFL
System Variables > D System Variables >
DIMTMOVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets dimension text movement rules.

0 | Moves the dimension line with dimension text
1 | Adds a leader when dimension text is moved
2 | Allows text to be moved freely without a leader


DIMTOFL (Quick Reference)

DIMTMOVE
DIMTOFL
DIMTOH
System Variables > D System Variables >
DIMTOFL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off (imperial) or On (metric)

Controls whether a dimension line is drawn between the extension lines even when the text is placed outside.

For radius and diameter dimensions (when DIMTIX is off), draws a dimension line inside the circle or arc and places the text, arrowheads, and leader outside.

Off | Does not draw dimension lines between the measured points when arrowheads are placed outside the measured points
On | Draws dimension lines between the measured points even when arrowheads are placed outside the measured points


DIMTOH (Quick Reference)

DIMTOFL
DIMTOH
DIMTOL
System Variables > D System Variables >
DIMTOH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | On (imperial) or Off (metric)

Controls the position of dimension text outside the extension lines.

Off | Aligns text with the dimension line
On | Draws text horizontally


DIMTOL (Quick Reference)

DIMTOH
DIMTOL
DIMTOLJ
System Variables > D System Variables >
DIMTOL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Appends tolerances to dimension text.

Setting DIMTOL to on turns DIMLIM off.


DIMTOLJ (Quick Reference)

DIMTOL
DIMTOLJ
DIMTP
System Variables > D System Variables >
DIMTOLJ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1 (imperial) or 0 (metric)

Sets the vertical justification for tolerance values relative to the nominal dimension text.

This system variable has no effect unless DIMTOL is set to On. The default for DIMTOL is Off.

0 | Bottom
1 | Middle
2 | Top


DIMTP (Quick Reference)

DIMTOLJ
DIMTP
DIMTSZ
System Variables > D System Variables >
DIMTP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the maximum (or upper) tolerance limit for dimension text when DIMTOL or DIMLIM is on.

DIMTP accepts signed values. If DIMTOL is on and DIMTP and DIMTM are set to the same value, a tolerance value is drawn.

If DIMTM and DIMTP values differ, the upper tolerance is drawn above the lower and a plus sign is added to the DIMTP value if it is positive.


DIMTSZ (Quick Reference)

DIMTP
DIMTSZ
DIMTVP
System Variables > D System Variables >
DIMTSZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Specifies the size of oblique strokes drawn instead of arrowheads for linear, radius, and diameter dimensioning.

0 | Draws arrowheads.
>0 | Draws oblique strokes instead of arrowheads. The size of the oblique strokes is determined by this value multiplied by the DIMSCALE value


DIMTVP (Quick Reference)

DIMTSZ
DIMTVP
DIMTXSTY
System Variables > D System Variables >
DIMTVP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Controls the vertical position of dimension text above or below the dimension line.

The DIMTVP value is used when DIMTAD is off. The magnitude of the vertical offset of text is the product of the text height and DIMTVP. Setting DIMTVP to 1.0 is equivalent to setting DIMTAD to on. The dimension line splits to accommodate the text only if the absolute value of DIMTVP is less than 0.7.


DIMTXSTY (Quick Reference)

DIMTVP
DIMTXSTY
DIMTXT
System Variables > D System Variables >
DIMTXSTY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Standard

Specifies the text style of the dimension.


DIMTXT (Quick Reference)

DIMTXSTY
DIMTXT
DIMTXTDIRECTION
System Variables > D System Variables >
DIMTXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.1800 (imperial) or 2.5000 (metric)

Specifies the height of dimension text, unless the current text style has a fixed height.


DIMTXTDIRECTION (Quick Reference)

DIMTXT
DIMTXTDIRECTION
DIMTZIN
System Variables > D System Variables >
DIMTXTDIRECTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies the reading direction of the dimension text.

0 | Displays dimension text in a Left-to-Right reading style
1 | Displays dimension text in a Right-to-Left reading style


DIMTZIN (Quick Reference)

DIMTXTDIRECTION
DIMTZIN
DIMUNIT
System Variables > D System Variables >
DIMTZIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0 (imperial) or 8 (metric)

Controls the suppression of zeros in tolerance values.

Values 0-3 affect feet-and-inch dimensions only.

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet
4 | Suppresses leading zeros in decimal dimensions (for example, 0.5000 becomes .5000)
8 | Suppresses trailing zeros in decimal dimensions (for example, 12.5000 becomes 12.5)
12 | Suppresses both leading and trailing zeros (for example, 0.5000 becomes .5)


DIMUPT (Quick Reference)

DIMUNIT
DIMUPT
DIMZIN
System Variables > D System Variables >
DIMUPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls options for user-positioned text.

Off | Cursor controls only the dimension line location
On | Cursor controls both the text position and the dimension line location


DIMZIN (Quick Reference)

DIMUPT
DIMZIN
DISPSILH
System Variables > D System Variables >
DIMZIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0 (imperial) or 8 (metric)

Controls the suppression of zeros in the primary unit value.

Values 0-3 affect feet-and-inch dimensions only:

0 | Suppresses zero feet and precisely zero inches
1 | Includes zero feet and precisely zero inches
2 | Includes zero feet and suppresses zero inches
3 | Includes zero inches and suppresses zero feet
4 | Suppresses leading zeros in decimal dimensions (for example, 0.5000 becomes .5000)
8 | Suppresses trailing zeros in decimal dimensions (for example, 12.5000 becomes 12.5)
12 | Suppresses both leading and trailing zeros (for example, 0.5000 becomes .5)

DIMZIN also affects real-to-string conversions performed by the AutoLISP rtos and angtos functions.


DISPSILH (Quick Reference)

DIMZIN
DISPSILH
DISTANCE
System Variables > D System Variables >
DISPSILH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls display of silhouette edges of 3D solid objects in a 2D Wireframe or 3D Wireframe visual style.

You can use the REGEN command to display the results.

DISPSILH also suppresses the mesh displayed when using the HIDE command in the 2D wireframe visual style.

0 | Off
1 | On


DISTANCE (Quick Reference)

DISPSILH
DISTANCE
DIVMESHBOXHEIGHT
System Variables > D System Variables >
DISTANCE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Stores the distance computed by the DIST command.


DIVMESHBOXHEIGHT (Quick Reference)

DISTANCE
DIVMESHBOXHEIGHT
DIVMESHBOXLENGTH
System Variables > D System Variables >
DIVMESHBOXHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions for the height of a mesh box along the Z axis.

This setting affects new mesh boxes that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHBOXLENGTH (Quick Reference)

DIVMESHBOXHEIGHT
DIVMESHBOXLENGTH
DIVMESHBOXWIDTH
System Variables > D System Variables >
DIVMESHBOXLENGTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions for the length of a mesh box along the X axis.

This setting affects new mesh boxes that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHBOXWIDTH (Quick Reference)

DIVMESHBOXLENGTH
DIVMESHBOXWIDTH
DIVMESHCONEAXIS
System Variables > D System Variables >
DIVMESHBOXWIDTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions for the width of a mesh box along the Y axis.

This setting affects new mesh boxes that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCONEAXIS (Quick Reference)

DIVMESHBOXWIDTH
DIVMESHCONEAXIS
DIVMESHCONEBASE
System Variables > D System Variables >
DIVMESHCONEAXIS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 8

Sets the number of subdivisions around the perimeter of the mesh cone base.

This setting affects new mesh cones that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCONEBASE (Quick Reference)

DIVMESHCONEAXIS
DIVMESHCONEBASE
DIVMESHCONEHEIGHT
System Variables > D System Variables >
DIVMESHCONEBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions between the perimeter and the center point of the mesh cone base.

This setting affects new mesh cones that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCONEHEIGHT (Quick Reference)

DIVMESHCONEBASE
DIVMESHCONEHEIGHT
DIVMESHCYLAXIS
System Variables > D System Variables >
DIVMESHCONEHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions between the base and the point or top of the mesh cone.

This setting affects new mesh cones that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCYLAXIS (Quick Reference)

DIVMESHCONEHEIGHT
DIVMESHCYLAXIS
DIVMESHCYLBASE
System Variables > D System Variables >
DIVMESHCYLAXIS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 8

Sets the number of subdivisions around the perimeter of the mesh cylinder base.

This setting affects new mesh cylinders that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCYLBASE (Quick Reference)

DIVMESHCYLAXIS
DIVMESHCYLBASE
DIVMESHCYLHEIGHT
System Variables > D System Variables >
DIVMESHCYLBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of radial subdivisions from the center of the mesh cylinder base to its perimeter.

This setting affects new mesh cylinders that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHCYLHEIGHT (Quick Reference)

DIVMESHCYLBASE
DIVMESHCYLHEIGHT
DIVMESHPYRBASE
System Variables > D System Variables >
DIVMESHCYLHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions between the base and the top of the mesh cylinder.

This setting affects new mesh cylinders that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHPYRBASE (Quick Reference)

DIVMESHCYLHEIGHT
DIVMESHPYRBASE
DIVMESHPYRHEIGHT
System Variables > D System Variables >
DIVMESHPYRBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of radial subdivisions between the center of the mesh pyramid base and its perimeter.

This setting affects new mesh pyramids that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHPYRHEIGHT (Quick Reference)

DIVMESHPYRBASE
DIVMESHPYRHEIGHT
DIVMESHPYRLENGTH
System Variables > D System Variables >
DIVMESHPYRHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions between the base and the top of the mesh pyramid.

This setting affects new mesh pyramids that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHPYRLENGTH (Quick Reference)

DIVMESHPYRHEIGHT
DIVMESHPYRLENGTH
DIVMESHSPHEREAXIS
System Variables > D System Variables >
DIVMESHPYRLENGTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions along each dimension of a mesh pyramid base.

This setting affects new mesh pyramids that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHSPHEREAXIS (Quick Reference)

DIVMESHPYRLENGTH
DIVMESHSPHEREAXIS
DIVMESHSPHEREHEIGHT
System Variables > D System Variables >
DIVMESHSPHEREAXIS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 12

Sets the number of radial subdivisions around the axis endpoint of the mesh sphere.

This setting affects new mesh spheres that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHSPHEREHEIGHT (Quick Reference)

DIVMESHSPHEREAXIS
DIVMESHSPHEREHEIGHT
DIVMESHTORUSPATH
System Variables > D System Variables >
DIVMESHSPHEREHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 6

Sets the number of subdivisions between the two axis endpoints of the mesh sphere.

This setting affects new mesh spheres that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHTORUSPATH (Quick Reference)

DIVMESHSPHEREHEIGHT
DIVMESHTORUSPATH
DIVMESHTORUSSECTION
System Variables > D System Variables >
DIVMESHTORUSPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 8

Sets the number of subdivisions in the path that is swept by the profile of a mesh torus.

This setting affects new mesh tori that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHTORUSSECTION (Quick Reference)

DIVMESHTORUSPATH
DIVMESHTORUSSECTION
DIVMESHWEDGEBASE
System Variables > D System Variables >
DIVMESHTORUSSECTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 8

Sets the number of subdivisions in the profile that sweeps the path of a mesh torus.

This setting affects new mesh tori that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHWEDGEBASE (Quick Reference)

DIVMESHTORUSSECTION
DIVMESHWEDGEBASE
DIVMESHWEDGEHEIGHT
System Variables > D System Variables >
DIVMESHWEDGEBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions between the midpoint of the perimeter of triangular dimension of the mesh wedge.

This setting affects new mesh wedges that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHWEDGEHEIGHT (Quick Reference)

DIVMESHWEDGEBASE
DIVMESHWEDGEHEIGHT
DIVMESHWEDGELENGTH
System Variables > D System Variables >
DIVMESHWEDGEHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions for the height of the mesh wedge along the Z axis.

This setting affects new mesh wedges that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHWEDGELENGTH (Quick Reference)

DIVMESHWEDGEHEIGHT
DIVMESHWEDGELENGTH
DIVMESHWEDGESLOPE
System Variables > D System Variables >
DIVMESHWEDGELENGTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 4

Sets the number of subdivisions for the length of a mesh wedge along the X axis.

This setting affects new mesh wedges that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHWEDGESLOPE (Quick Reference)

DIVMESHWEDGELENGTH
DIVMESHWEDGESLOPE
DIVMESHWEDGEWIDTH
System Variables > D System Variables >
DIVMESHWEDGESLOPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions in the slope that extends from the apex of the wedge to the edge of the base.

This setting affects new mesh wedges that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DIVMESHWEDGEWIDTH (Quick Reference)

DIVMESHWEDGESLOPE
DIVMESHWEDGEWIDTH
DONUTID
System Variables > D System Variables >
DIVMESHWEDGEWIDTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the number of subdivisions for the width of the mesh wedge along the Y axis.

This setting affects new mesh wedges that are created with the MESH command. This value can also be set in the Mesh Primitive Options dialog box.


DONUTID (Quick Reference)

DIVMESHWEDGEWIDTH
DONUTID
DONUTOD
System Variables > D System Variables >
DONUTID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 0.5000

Sets the default for the inside diameter of a donut.


DONUTOD (Quick Reference)

DONUTID
DONUTOD
DRAGMODE
System Variables > D System Variables >
DONUTOD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 1.0000

Sets the default for the outside diameter of a donut.

The value must be nonzero. If DONUTID is larger than DONUTOD, the two values are swapped by the next command.


DRAGMODE (Quick Reference)

DONUTOD
DRAGMODE
DRAGP1
System Variables > D System Variables >
DRAGMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the display of objects being dragged.

This system variable has the same name as a command. Use the SETVAR command to access this system variable.

When it is on, the image of an object is displayed as you drag it to another position. With some computer configurations, dragging can be time-consuming. Use DRAGMODE to suppress dragging.

0 | Does not display an outline of the object as you drag it
1 | Displays the outline of the object as you drag it only if you enter drag at the Command prompt after selecting the object to drag
2 | Auto; always displays an outline of the object as you drag it


DRAGP1 (Quick Reference)

DRAGMODE
DRAGP1
DRAGP2
System Variables > D System Variables >
DRAGP1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 10

Sets the regen-drag input sampling rate.


DRAGP2 (Quick Reference)

DRAGP1
DRAGP2
DRAGVS
System Variables > D System Variables >
DRAGP2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 25

Sets the fast-drag input sampling rate.


DRAGVS (Quick Reference)

DRAGP2
DRAGVS
DRAWORDERCTL
System Variables > D System Variables >
DRAGVS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Sets the visual style that is displayed while creating 3D solid and mesh primitives and extruded solids, surfaces, and meshes.

You can enter a period (.) to specify the current visual style. DRAGVS can only be set to a visual style that is saved in the drawing.

DRAGVS has no effect when the current viewport's visual style is set to 2D Wireframe.

The visual style specified for DRAGVS cannot be removed with the PURGE command.


DRAWORDERCTL (Quick Reference)

DRAGVS
DRAWORDERCTL
DRSTATE
System Variables > D System Variables >
DRAWORDERCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Controls the default display behavior of overlapping objects when they are created or edited.

0 | Turns off the default draw order of overlapping objects: after objects are edited, regardless of their draw order, the objects are displayed on top until a drawing is regenerated (REGEN) or reopened. This setting also turns off draw order inheritance: new objects that are created from another object using the commands listed below are not assigned the draw order of the original object. Use this setting to improve the speed of editing operations in large drawings. The commands that are affected by inheritance are BREAK, FILLET, HATCH, HATCHEDIT, EXPLODE, TRIM, JOIN, PEDIT, and OFFSET.
1 | Turns on the default draw order of objects: after objects are edited, they are automatically displayed according to the correct draw order.
2 | Turns on draw order inheritance: new objects created from another object using the commands listed above are assigned the draw order of the original object.
3 | Provides full draw order display. Turns on the correct draw order of objects, and turns on draw order inheritance.
NoteFull draw order display may slow some editing operations.


DRSTATE (Quick Reference)

DRAWORDERCTL
DRSTATE
DTEXTED
System Variables > D System Variables >
DRSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Drawing Recovery Manager window is open or closed.

0 | Closed
1 | Open


DTEXTED (Quick Reference)

DRSTATE
DTEXTED
DWFFRAME
System Variables > D System Variables >
DTEXTED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies the user interface displayed for editing single-line text.

0 | Displays the In-Place Text Editor.
1 | Displays a text prompt for creating text and allows you to click anywhere in the drawing to create a new text block; displays the Edit Text dialog box for editing text.
2 | Displays the In-Place Text Editor for creating and editing text. When creating text, you can click anywhere in a drawing to create a new text block. You can also use the keyboard to move among text blocks (for example: for new text created using the TEXT command, you can navigate through text groups by pressing TAB or Shift+TAB, or edit a group of text lines by pressing Alt and clicking each text object.)


DWFFRAME (Quick Reference)

DTEXTED
DWFFRAME
DWFOSNAP
System Variables > D System Variables >
DWFFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Determines whether DWF or DWFx underlay frames are visible or plotted in the current drawing.

The FRAME system variable overrides the DWFFRAME setting. Use the DWFFRAME system variable after the FRAME system variable to reset the DWF frame settings

0 | The DWF or DWFx underlay frame is not visible and it is not plotted
1 | Displays the DWF or DWFx underlay frame and allows it to be plotted
2 | Displays the DWF or DWFx underlay frame but keeps it from being plotted


DWFOSNAP (Quick Reference)

DWFFRAME
DWFOSNAP
DWGCHECK
System Variables > D System Variables >
DWFOSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether object snapping is active for geometry in DWF or DWFx underlays that are attached to the drawing.

The UOSNAP system variable overrides the DWFOSNAP setting.

0 | Object snapping is disabled for geometry in all DWF or DWFx underlay attachments in the drawing
1 | Object snapping is enabled for geometry in all DWF or DWFx underlay attachments in the drawing


DWGCHECK (Quick Reference)

DWFOSNAP
DWGCHECK
DWGCODEPAGE
System Variables > D System Variables >
DWGCHECK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Checks drawings for potential problems when opening them.

0 | If a drawing that you try to open has a potential problem, you are warned before the drawing is opened.
1 | If a drawing that you try to open has a potential problem, or if it was saved by an application other than one released by Autodesk or based on RealDWG, you are warned before the drawing is opened.
2 | If a drawing that you try to open has a potential problem, you are notified at the Command prompt.
3 | If a drawing that you try to open has a potential problem, you are notified at the Command prompt. If the drawing has a potential problem and the drawing was saved by an application other than one released by Autodesk or based on RealDWG, you are warned before the drawing is opened.


DWGCODEPAGE (Quick Reference)

DWGCHECK
DWGCODEPAGE
DWGNAME
System Variables > D System Variables >
DWGCODEPAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Stores the same value as SYSCODEPAGE (for compatibility reasons).


DWGNAME (Quick Reference)

DWGCODEPAGE
DWGNAME
DWGPREFIX
System Variables > D System Variables >
DWGNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Drawing1.dwg

Stores the name of the current drawing.

If a new drawing has not been saved yet, DWGNAME defaults to Drawing1.dwg. Additional new drawings are named Drawing2.dwg, Drawing3.dwg, and so on.

If you specified a drive and folder prefix, the prefix is stored in DWGPREFIX.


DWGPREFIX (Quick Reference)

DWGNAME
DWGPREFIX
DWGTITLED
System Variables > D System Variables >
DWGPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Stores the drive and folder prefix for the drawing.


DWGTITLED (Quick Reference)

DWGPREFIX
DWGTITLED
DXEVAL
System Variables > D System Variables >
DWGTITLED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the current drawing has been named.

0 | Drawing has not been named
1 | Drawing has been named


DXEVAL (Quick Reference)

DWGTITLED
DXEVAL
DYNCONSTRAINTDISPLAY
System Variables > D System Variables >
DXEVAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 12

Controls when data extraction tables are compared against the data source, and if the data is not current, displays an update notification

The setting is stored as an integer using the sum of the following values:

0 | No notification
1 | Open
2 | Save
4 | Plot
8 | Publish
16 | eTransmit/Archive
32 | Save with Automatic Update
64 | Plot with Automatic Update
128 | Publish with Automatic Update
256 | eTransmit/Archive with Automatic Update


DYNCONSTRAINTDISPLAY (Quick Reference)

DXEVAL
DYNCONSTRAINTDISPLAY
DYNCONSTRAINTMODE
System Variables > D System Variables >
DYNCONSTRAINTDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Displays or hides dynamic constraints.

0 | Hide
1 | Display


DYNCONSTRAINTMODE (Quick Reference)

DYNCONSTRAINTDISPLAY
DYNCONSTRAINTMODE
DYNDIGRIP
System Variables > D System Variables >
DYNCONSTRAINTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Displays hidden dimensional constraints when constrained objects are selected.

0 | Keeps constraints hidden when an object is selected
1 | Displays hidden constraints when dimensionally constrained objects are selected

NoteThis system variable takes effect when dynamic constraints are hidden (DYNCONSTRAINTDISPLAY is set to 0).


DYNDIGRIP (Quick Reference)

DYNCONSTRAINTMODE
DYNDIGRIP
DYNDIVIS
System Variables > D System Variables >
DYNDIGRIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 31

Controls which dynamic dimensions are displayed during grip stretch editing.

The DYNDIVIS system variable must be set to 2, which displays all dynamic dimensions.

The setting is stored as a bitcode using the sum of the following values:

0 | None
1 | Resulting dimension
2 | Length change dimension
4 | Absolute angle dimension
8 | Angle change dimension
16 | Arc radius dimension

The DYNMODE system variable turns Dynamic Input features on and off.


DYNDIVIS (Quick Reference)

DYNDIGRIP
DYNDIVIS
DYNMODE
System Variables > D System Variables >
DYNDIVIS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls how many dynamic dimensions are displayed during grip stretch editing.

DYNDIGRIP controls which dynamic dimensions are displayed during grip stretch editing.

0 | Only the first dynamic dimension in the cycle order
1 | Only the first two dynamic dimensions in the cycle order
2 | All dynamic dimensions, as controlled by the DYNDIGRIP system variable

The DYNMODE system variable turns Dynamic Input features on and off.


DYNMODE (Quick Reference)

DYNDIVIS
DYNMODE
DYNPICOORDS
System Variables > D System Variables >
DYNMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 3

Turns Dynamic Input features on and off.

When all features are on, the context governs what is displayed.

When DYNMODE is set to a negative value, the Dynamic Input features are not turned on, but the setting is stored. Press the Dyn button in the status bar to set DYNMODE to the corresponding positive value.

0 | All Dynamic Input features, including dynamic prompts, off
1 | Pointer input on
2 | Dimensional input on
3 | Both pointer input and dimensional input on

If dynamic prompts are on (DYNPROMPT is set to 1), they are displayed when DYNMODE is set to 1, 2, or 3.

When dimensional input is turned on (DYNMODE = 2 or 3), the program switches to pointer input when you enter a comma or an angle bracket (<), or when you select multiple grip points.

When DYNMODE is set to 1, 2, or 3, you can turn off all features temporarily by holding down the temporary override key, F12.

Settings are on the Dynamic Input tab in the Drafting Settings dialog box.


DYNPICOORDS (Quick Reference)

DYNMODE
DYNPICOORDS
DYNPIFORMAT
System Variables > D System Variables >
DYNPICOORDS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Registry
Initial value: | 0

Controls whether pointer input uses relative or absolute format for coordinates.

0 | Relative
1 | Absolute

The DYNMODE system variable turns Dynamic Input features on and off.


DYNPIFORMAT (Quick Reference)

DYNPICOORDS
DYNPIFORMAT
DYNPIVIS
System Variables > D System Variables >
DYNPIFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Registry
Initial value: | 0

Controls whether pointer input uses polar or Cartesian format for coordinates.

This setting applies only to a second or next point.

0 | Polar
1 | Cartesian

The DYNMODE system variable turns Dynamic Input features on and off.


DYNPIVIS (Quick Reference)

DYNPIFORMAT
DYNPIVIS
DYNPROMPT
System Variables > D System Variables >
DYNPIVIS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls when pointer input is displayed.

0 | Only when you type at a prompt for a point
1 | Automatically at a prompt for a point
2 | Always

The DYNMODE system variable turns Dynamic Input features on and off.


DYNPROMPT (Quick Reference)

DYNPIVIS
DYNPROMPT
DYNTOOLTIPS
System Variables > D System Variables >
DYNPROMPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls display of prompts in Dynamic Input tooltips.

0 | Off
1 | On

The DYNMODE system variable turns Dynamic Input features on and off. When DYNMODE is set to 0 (off), prompts are not displayed regardless of the DYNPROMPT setting.


DYNTOOLTIPS (Quick Reference)

DYNPROMPT
DYNTOOLTIPS
EDGEMODE
System Variables > D System Variables >
DYNTOOLTIPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Registry
Initial value: | 1

Controls which tooltips are affected by tooltip appearance settings.

0 | Only Dynamic Input value fields
1 | All drafting tooltips


E System Variables

DYNTOOLTIPS
System Variables
EDGEMODE
System Variables >
E System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • EDGEMODE

    Controls how the TRIM and EXTEND commands determine cutting and boundary edges.

  • ELEVATION

    Stores the current elevation of new objects relative to the current UCS.

  • ENTERPRISEMENU

    Stores the enterprise customization file name (if defined), including the path for the file name.

  • ERRNO

    Displays the number of the appropriate error code when an AutoLISP function call causes an error that AutoCAD detects.

  • ERSTATE

    Indicates whether the External References palette is open or closed.

  • EXPERT

    Controls whether certain prompts are issued.

  • EXPORTEPLOTFORMAT

    Sets the default electronic file output type: PDF, DWF, or DWFx.

  • EXPORTMODELSPACE

    Specifies what part of the drawing to export to a DWF, DWFx, or PDF file from Model space

  • EXPORTPAPERSPACE

    Specifies what part of the drawing to export to a DWF, DWFx, or PDF file from paper space.

  • EXPORTPAGESETUP

    Specifies whether to export to a DWF, DWFx, or PDF file with the current page setup.

  • EXPLMODE

    Controls whether the EXPLODE command supports nonuniformly scaled (NUS) blocks.

  • EXTMAX

    Stores the upper-right point of the drawing extents.

  • EXTMIN

    Stores the lower-left point of the drawing extents.

  • EXTNAMES

    Sets the parameters for named object names (such as linetypes and layers) stored in definition tables.


EDGEMODE (Quick Reference)

DYNTOOLTIPS
EDGEMODE
ELEVATION
System Variables > E System Variables >
EDGEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls how the TRIM and EXTEND commands determine cutting and boundary edges.

0 | Uses the selected edge without an extensions
1 | Extends or trims the selected object to an imaginary extension of the cutting or boundary edge

Lines, arcs, elliptical arcs, rays, and polylines are objects eligible for natural extension. The natural extension of a line or ray is an unbounded line (xline), an arc is a circle, and an elliptical arc is an ellipse. A polyline is broken down into its line and arc components, which are extended to their natural boundaries.


ELEVATION (Quick Reference)

EDGEMODE
ELEVATION
ENTERPRISEMENU
System Variables > E System Variables >
ELEVATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the current elevation of new objects relative to the current UCS.


ENTERPRISEMENU (Quick Reference)

ELEVATION
ENTERPRISEMENU
ERRNO
System Variables > E System Variables >
ENTERPRISEMENU
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | "."

Stores the enterprise customization file name (if defined), including the path for the file name.


ERRNO (Quick Reference)

ENTERPRISEMENU
ERRNO
ERSTATE
System Variables > E System Variables >
ERRNO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Displays the number of the appropriate error code when an AutoLISP function call causes an error that AutoCAD detects.

AutoLISP applications can inspect the current value of ERRNO with (getvar "errno").

The ERRNO system variable is not always cleared to zero. Unless it is inspected immediately after an AutoLISP function has reported an error, the error that its value indicates may be misleading. This variable is always cleared when starting or opening a drawing.

See the AutoLISP Developer's Guide for more information.


ERSTATE (Quick Reference)

ERRNO
ERSTATE
EXPERT
System Variables > E System Variables >
ERSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the External References palette is open or closed.

0 | Closed
1 | Open


EXPERT (Quick Reference)

ERSTATE
EXPERT
EXPORTEPLOTFORMAT
System Variables > E System Variables >
EXPERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls whether certain prompts are issued.

0 | Issues all prompts normally.
1 | Suppresses “About to regen, proceed?” and “Really want to turn the current layer off?” (-LAYER)
2 | Suppresses the preceding prompts and “Block already defined. Redefine it?” (-BLOCK) and “A drawing with this name already exists. Overwrite it?” (SAVE or WBLOCK).
3 | Suppresses the preceding prompts and those issued by the LINETYPE Command prompt (-LINETYPE) if you try to load a linetype that's already loaded or create a new linetype in a file that already defines that linetype.
4 | Suppresses the preceding prompts and those issued by UCS Save and VPORTS Save if the name you supply already exists.
5 | Suppresses the prompt, “That name is already in Use, redefine it?” issued by the -DIMSTYLE Save option when you supply the name of an existing dimension style. Suppresses the same prompt issued by the -SCALELISTEDIT Add option.

When a prompt is suppressed by EXPERT, the operation in question is performed as though you entered y at the prompt. Setting EXPERT can affect scripts, menu macros, AutoLISP, and the command functions.


EXPORTEPLOTFORMAT (Quick Reference)

EXPERT
EXPORTEPLOTFORMAT
EXPORTMODELSPACE
System Variables > E System Variables >
EXPORTEPLOTFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 2

Sets the default electronic file output type: PDF, DWF, or DWFx.

0 | PDF
1 | DWF
2 | DWFx


EXPORTMODELSPACE (Quick Reference)

EXPORTEPLOTFORMAT
EXPORTMODELSPACE
EXPORTPAPERSPACE
System Variables > E System Variables >
EXPORTMODELSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies what part of the drawing to export to a DWF, DWFx, or PDF file from Model space

0 | Display
1 | Extents
2 | Window


EXPORTPAPERSPACE (Quick Reference)

EXPORTMODELSPACE
EXPORTPAPERSPACE
EXPORTPAGESETUP
System Variables > E System Variables >
EXPORTPAPERSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies what part of the drawing to export to a DWF, DWFx, or PDF file from paper space.

0 | Current Layout
1 | All Layouts


EXPORTPAGESETUP (Quick Reference)

EXPORTPAPERSPACE
EXPORTPAGESETUP
EXPLMODE
System Variables > E System Variables >
EXPORTPAGESETUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies whether to export to a DWF, DWFx, or PDF file with the current page setup.

0 | Default
1 | Override


EXPLMODE (Quick Reference)

EXPORTPAGESETUP
EXPLMODE
EXTMAX
System Variables > E System Variables >
EXPLMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Controls whether the EXPLODE command supports nonuniformly scaled (NUS) blocks.

0 | Does not explode NUS blocks
1 | Explodes NUS blocks


EXTMAX (Quick Reference)

EXPLMODE
EXTMAX
EXTMIN
System Variables > E System Variables >
EXTMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | Varies

Stores the upper-right point of the drawing extents.

Expands outward as new objects are drawn; shrinks only with ZOOM All or ZOOM Extents. Reported in world coordinates for the current space.


EXTMIN (Quick Reference)

EXTMAX
EXTMIN
EXTNAMES
System Variables > E System Variables >
EXTMIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | Varies

Stores the lower-left point of the drawing extents.

Expands outward as new objects are drawn; shrinks only with ZOOM All or ZOOM Extents. Reported in world coordinates for the current space.


EXTNAMES (Quick Reference)

EXTMIN
EXTNAMES
FACETERDEVNORMAL
System Variables > E System Variables >
EXTNAMES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Sets the parameters for named object names (such as linetypes and layers) stored in definition tables.

0 | Uses AutoCAD Release 14 parameters, which limit names to 31 characters in length. Names can include the letters A to Z, the numerals 0 to 9, and the special characters dollar sign ($), underscore (_), and hyphen (-).
1 | Uses AutoCAD 2000 (and later releases) parameters. Names can be up to 255 characters in length, and can include the letters A to Z, the numerals 0 to 9, spaces, and any special characters not used by Microsoft® Windows® and AutoCAD for other purposes.


F System Variables

EXTNAMES
System Variables
FACETERDEVNORMAL
System Variables >
F System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • FACETERDEVNORMAL

    Sets the maximum angle between the surface normal and contiguous mesh faces.

  • FACETERDEVSURFACE

    Sets how closely the converted mesh object adheres to the original shape of the solid or surface.

  • FACETERGRIDRATIO

    Sets the maximum aspect ratio for the mesh subdivisions that are created for solids and surfaces converted to mesh.

  • FACETERMAXEDGELENGTH

    Sets the maximum length of edges for mesh objects that are created by conversion from solids and surfaces.

  • FACETERMAXGRID

    Sets the maximum number of U and V grid lines for solids and surfaces converted to mesh.

  • FACETERMESHTYPE

    Sets the type of mesh to be created.

  • FACETERMINUGRID

    Sets the minimum number of U grid lines for solids and surfaces that are converted to mesh.

  • FACETERMINVGRID

    Sets the minimum number of V grid lines for solids and surfaces that are converted to mesh.

  • FACETERPRIMITIVEMODE

    Specifies whether smoothness settings for objects that are converted to mesh are derived from the Mesh Tessellation Options or the Mesh Primitive Options dialog box.

  • FACETERSMOOTHLEV

    Sets the default level of smoothness for objects that are converted to mesh.

  • FACETRATIO

    Controls the aspect ratio of faceting for cylindrical and conic solids.

  • FACETRES

    Adjusts the smoothness of shaded objects and objects with hidden lines removed. Valid values are from 0.01 to 10.0.

  • FIELDDISPLAY

    Controls whether fields are displayed with a gray background.

  • FIELDEVAL

    Controls how fields are updated.

  • FILEDIA

    Suppresses display of file navigation dialog boxes.

  • FILLETRAD

    Stores the current fillet radius.

  • FILLMODE

    Specifies whether hatches and fills, 2D solids, and wide polylines are filled in.

  • FONTALT

    Specifies the alternate font to be used when the specified font file cannot be located.

  • FONTMAP

    Specifies the font mapping file to be used.

  • FRAME

    Turns the display of frames on and off for all external references, images, and DWF, DWFx, PDF, and DGN underlays.

  • FRONTZ

    Stores the front clipping plane offset from the target plane for the current viewport, in drawing units.

  • FULLOPEN

    Indicates whether the current drawing is partially open.

  • FULLPLOTPATH

    Controls whether the full path of the drawing file is sent to the plot spooler.


FACETERDEVNORMAL (Quick Reference)

EXTNAMES
FACETERDEVNORMAL
FACETERDEVSURFACE
System Variables > F System Variables >
FACETERDEVNORMAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | User-settings
Initial value: | 40

Sets the maximum angle between the surface normal and contiguous mesh faces.

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) This value can also be set in the Mesh Tessellation Options dialog box.

Use this setting to retain visual consistency between mesh objects that have the same shape but different sizes. You can enter any non-negative number between 0 (zero) and 180. Lowering the value increases the density in areas of high curvature and decreases density in flatter areas.

Lowering the value might increase the drawing file size, and should be saved for larger objects with high FACETERDEVSURFACE settings. Avoid lowering this value for objects with small details such as holes or fillets.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERDEVSURFACE (Quick Reference)

FACETERDEVNORMAL
FACETERDEVSURFACE
FACETERGRIDRATIO
System Variables > F System Variables >
FACETERDEVSURFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | User-settings
Initial value: | 0.001

Sets how closely the converted mesh object adheres to the original shape of the solid or surface.

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) This value can also be set in the Mesh Tessellation Options dialog box.

You can enter any non-negative number, including 0 (zero). Smaller values result in a higher number of faces, more accurate meshes with less deviation from the object surface, and slower performance. Set the value to 0 to turn off the option.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERGRIDRATIO (Quick Reference)

FACETERDEVSURFACE
FACETERGRIDRATIO
FACETERMAXEDGELENGTH
System Variables > F System Variables >
FACETERGRIDRATIO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | User-settings
Initial value: | 0.0000

Sets the maximum aspect ratio for the mesh subdivisions that are created for solids and surfaces converted to mesh.

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) This value can also be set in the Mesh Tessellation Options dialog box.

Permissible values range from 0 to 100, and set the height/width ratio of the face. Use this variable to prevent long, thin faces that can result from cylindrical object conversions. Smaller values result in more, better-formed faces, but can affect performance. Set this value to 0 to turn it off.

If the value you enter is less than 1, the ratio calculation is based on 1/n. For example, if you enter 0.2, the variable value is 1/0.2 = 5.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERMAXEDGELENGTH (Quick Reference)

FACETERGRIDRATIO
FACETERMAXEDGELENGTH
FACETERMAXGRID
System Variables > F System Variables >
FACETERMAXEDGELENGTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | User-settings
Initial value: | 0.0000

Sets the maximum length of edges for mesh objects that are created by conversion from solids and surfaces.

You can use any non-negative number, including 0 (zero).

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) This value can also be set in the Mesh Tessellation Options dialog box.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERMAXGRID (Quick Reference)

FACETERMAXEDGELENGTH
FACETERMAXGRID
FACETERMESHTYPE
System Variables > F System Variables >
FACETERMAXGRID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 4096

Sets the maximum number of U and V grid lines for solids and surfaces converted to mesh.

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.)

Permissible values range from 0 to 4096.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERMESHTYPE (Quick Reference)

FACETERMAXGRID
FACETERMESHTYPE
FACETERMINUGRID
System Variables > F System Variables >
FACETERMESHTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 0

Sets the type of mesh to be created.

0 | Objects are converted to an optimized mesh object type with fewer faces
1 | Faces are mostly quadrilateral
2 | Faces are mostly triangular

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) This value can also be set in the Mesh Tessellation Options dialog box.


FACETERMINUGRID (Quick Reference)

FACETERMESHTYPE
FACETERMINUGRID
FACETERMINVGRID
System Variables > F System Variables >
FACETERMINUGRID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 0

Sets the minimum number of U grid lines for solids and surfaces that are converted to mesh.

This setting affects mesh that is converted from another object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.)

Permissible values range from 0 to 1023. Setting 0 (zero) turns off the setting. The value of this system variable cannot exceed the value of FACETERMAXGRID/FACETERMINVGRID.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERMINVGRID (Quick Reference)

FACETERMINUGRID
FACETERMINVGRID
FACETERPRIMITIVEMODE
System Variables > F System Variables >
FACETERMINVGRID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 0

Sets the minimum number of V grid lines for solids and surfaces that are converted to mesh.

This setting affects mesh that is converted from a 3D solid or surface object using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.)

Permissible values range from 0 to 1023. Setting 0 (zero) turns off the setting. The value of this system variable cannot exceed the value of FACETERMAXGRID/FACETERMINUGRID.

NoteThe value of this system variable reflects the value for objects with no smoothness.


FACETERPRIMITIVEMODE (Quick Reference)

FACETERMINVGRID
FACETERPRIMITIVEMODE
FACETERSMOOTHLEV
System Variables > F System Variables >
FACETERPRIMITIVEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | User-settings
Initial value: | 1

Specifies whether smoothness settings for objects that are converted to mesh are derived from the Mesh Tessellation Options or the Mesh Primitive Options dialog box.

0 | Applies settings from the Mesh Tessellation Options dialog box to the converted object.
1 | Applies settings from the Mesh Primitive Options dialog box to the converted object.

This setting affects mesh that is converted from a primitive 3D solid object (such as box or cone) using the MESHSMOOTH command. (For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.) It can also be set in the Mesh Tessellation Options dialog box.


FACETERSMOOTHLEV (Quick Reference)

FACETERPRIMITIVEMODE
FACETERSMOOTHLEV
FACETRATIO
System Variables > F System Variables >
FACETERSMOOTHLEV
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Sets the default level of smoothness for objects that are converted to mesh.

-1 or any negative number | Does not smooth the object after conversion
0 | Does not smooth the object after conversion
1 | Applies smoothness level 1 after conversion
2 | Applies smoothness level 2 after conversion
3 | Applies smoothness level 3 after conversion

This variable sets the default level of smoothness that is applied to mesh that is created as a result of conversion from another object with the MESHSMOOTH command.

The value cannot be greater than the value of SMOOTHMESHMAXLEV.

Mesh objects that are created under the following circumstances are always created without smoothness, and are not affected by this system variable:

  • Mesh created using REVSURF, TABSURF, RULESURF, or EDGESURF
  • Mesh created using MESHSMOOTH when the type of mesh is set to be quadrilateral or triangular (FACETERMESHTYPE)

For a complete list of objects that can be converted to mesh, see Objects That Can Be Converted to Mesh.

This variable can also be set in the Mesh Tessellation Options dialog box.


FACETRATIO (Quick Reference)

FACETERSMOOTHLEV
FACETRATIO
FACETRES
System Variables > F System Variables >
FACETRATIO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls the aspect ratio of faceting for cylindrical and conic solids.

0 | Creates an N by 1 mesh for cylindrical and conic solids
1 | Creates an N by M mesh for cylindrical and conic solids

A setting of 1 increases the density of the mesh to improve the quality of rendered and shaded models.

The faceting is visible only in the 2D wireframe visual style.


FACETRES (Quick Reference)

FACETRATIO
FACETRES
FIELDDISPLAY
System Variables > F System Variables >
FACETRES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.5000

Adjusts the smoothness of shaded objects and objects with hidden lines removed. Valid values are from 0.01 to 10.0.

When you use the 3DPRINT command, the FACTRES system variable is set to 10.

Note3DDWFPREC replaces FACETRES in controlling the precision of published 3D DWF files.


FIELDDISPLAY (Quick Reference)

FACETRES
FIELDDISPLAY
FIELDEVAL
System Variables > F System Variables >
FIELDDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether fields are displayed with a gray background.

The background is not plotted.

0 | Fields are displayed with no background
1 | Fields are displayed with a gray background


FIELDEVAL (Quick Reference)

FIELDDISPLAY
FIELDEVAL
FILEDIA
System Variables > F System Variables >
FIELDEVAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 31

Controls how fields are updated.

The setting is stored as a bitcode using the sum of the following values:

0 | Not updated
1 | Updated on open
2 | Updated on save
4 | Updated on plot
8 | Updated on use of ETRANSMIT
16 | Updated on regeneration
NoteThe Date field is updated by UPDATEFIELD, but it is not updated automatically based on the setting of the FIELDEVAL system variable.


FILEDIA (Quick Reference)

FIELDEVAL
FILEDIA
FILLETRAD
System Variables > F System Variables >
FILEDIA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Suppresses display of file navigation dialog boxes.

0 | Does not display dialog boxes. You can still request a file dialog box to appear by entering a tilde (~) in response to the command's prompt. The same is true for AutoLISP and ADS functions.
1 | Displays dialog boxes. However, if a script or AutoLISP/ObjectARX™ program is active, an ordinary prompt is displayed.


FILLETRAD (Quick Reference)

FILEDIA
FILLETRAD
FILLMODE
System Variables > F System Variables >
FILLETRAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the current fillet radius.


FILLMODE (Quick Reference)

FILLETRAD
FILLMODE
FONTALT
System Variables > F System Variables >
FILLMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies whether hatches and fills, 2D solids, and wide polylines are filled in.

0 | Objects are not filled
1 | Objects are filled


FONTALT (Quick Reference)

FILLMODE
FONTALT
FONTMAP
System Variables > F System Variables >
FONTALT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | simplex.shx

Specifies the alternate font to be used when the specified font file cannot be located.

When a drawing file with a defined text style is opened and an alternate font is not specified, the Alternate Font dialog box is displayed.


FONTMAP (Quick Reference)

FONTALT
FONTMAP
FRAME
System Variables > F System Variables >
FONTMAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | acad.fmp

Specifies the font mapping file to be used.

A font mapping file contains one font mapping per line; the original font used in the drawing and the font to be substituted for it are separated by a semicolon (;). For example, to substitute the Times TrueType font for the Roman font, the line in the mapping file would read as follows:

romanc.shx;times.ttf

If FONTMAP does not point to a font mapping file, if the FMP file is not found, or if the font file name specified in the FMP file is not found, the font defined in the style is used. If the font in the style is not found, a font is substituted according to the substitution rules.

FONTMAP only works with text created through the MTEXT command.


FRAME (Quick Reference)

FONTMAP
FRAME
FRONTZ
System Variables > F System Variables >
FRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Turns the display of frames on and off for all external references, images, and DWF, DWFx, PDF, and DGN underlays.

The FRAME setting overrides the individual IMAGEFRAME, DWFFRAME, PDFFRAME, DGNFRAME, and XCLIPFRAME settings.

0 | The frame is not visible and it is not plotted
1 | Displays the frame and allows it to be plotted
2 | Displays the frame but keeps it from being plotted
3 | The individual setting varies for all underlays in the current drawing (external references, images, and DWF, DWFx, PDF, and DGN underlays all have different frame settings). NoteThis value is used internally by AutoCAD.


FRONTZ (Quick Reference)

FRAME
FRONTZ
FULLOPEN
System Variables > F System Variables >
FRONTZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the front clipping plane offset from the target plane for the current viewport, in drawing units.

The front clipping and front clip not at eye bitcodes in VIEWMODE are on. The FRONTZ value is the last front clipping plane value set current with the CAMERA, DVIEW, or 3DCLIP command. The distance of the front clipping plane from the camera point is found by subtracting FRONTZ from the camera-to-target distance.


FULLOPEN (Quick Reference)

FRONTZ
FULLOPEN
FULLPLOTPATH
System Variables > F System Variables >
FULLOPEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Indicates whether the current drawing is partially open.

0 | Indicates a partially open drawing
1 | Indicates a fully open drawing


FULLPLOTPATH (Quick Reference)

FULLOPEN
FULLPLOTPATH
GEOLATLONGFORMAT
System Variables > F System Variables >
FULLPLOTPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether the full path of the drawing file is sent to the plot spooler.

0 | Sends the drawing file name only
1 | Sends the full path of the drawing file


G System Variables

FULLPLOTPATH
System Variables
GEOLATLONGFORMAT
System Variables >
G System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • GEOLATLONGFORMAT

    Controls the format of the latitude or longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode.

  • GEOMARKERVISIBILITY

    Controls the visibility of geographic markers.

  • GRIDDISPLAY

    Controls the display behavior and display limits of the grid.

  • GRIDMAJOR

    Controls the frequency of major grid lines compared to minor grid lines.

  • GRIDMODE

    Specifies whether the grid is turned on or off.

  • GRIDUNIT

    Specifies the grid spacing (X and Y) for the current viewport.

  • GRIPBLOCK

    Controls the display of grips in blocks.

  • GRIPCOLOR

    Controls the color of unselected grips.

  • GRIPDYNCOLOR

    Controls the color of custom grips for dynamic blocks.

  • GRIPHOT

    Controls the color of selected grips.

  • GRIPHOVER

    Controls the fill color of an unselected grip when the cursor pauses over it.

  • GRIPOBJLIMIT

    Suppresses the display of grips when the selection set includes more than the specified number of objects.

  • GRIPS

    Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes.

  • GRIPSIZE

    Sets the size of the grip box in pixels.

  • GRIPSUBOBJMODE

    Sets whether edge, face, or vertex grips are active upon initial selection.

  • GRIPTIPS

    Controls the display of grip tips when the cursor hovers over grips on dynamic blocks and custom objects that support grip tips.

  • GTAUTO

    Controls whether 3D gizmos are automatically displayed when you select objects before you start a command in a viewport with a 3D visual style.

  • GTDEFAULT

    Controls whether the 3D Move, 3D Rotate, or 3D Scale operation starts automatically when you start the MOVE, ROTATE, or SCALE command in a viewport with a 3D visual style.

  • GTLOCATION

    Controls the initial location of the 3D Move, 3D Rotate, or 3D Scale gizmo when you select objects before you start a command in a viewport with a 3D visual style.


GEOLATLONGFORMAT (Quick Reference)

FULLPLOTPATH
GEOLATLONGFORMAT
GEOMARKERVISIBILITY
System Variables > G System Variables >
GEOLATLONGFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the format of the latitude or longitude values in the Geographic Location dialog box, and the coordinate status bar in Geographic mode.

0 | Latitude and longitude format is decimal degrees (DD)
1 | Latitude and longitude format is degrees minutes seconds (DMS)


GEOMARKERVISIBILITY (Quick Reference)

GEOLATLONGFORMAT
GEOMARKERVISIBILITY
GRIDDISPLAY
System Variables > G System Variables >
GEOMARKERVISIBILITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the visibility of geographic markers.

0 | Geographic marker is not visible
1 | Geographic marker is visible


GRIDDISPLAY (Quick Reference)

GEOMARKERVISIBILITY
GRIDDISPLAY
GRIDMAJOR
System Variables > G System Variables >
GRIDDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Drawing
Initial value: | 2

Controls the display behavior and display limits of the grid.

The setting is stored as a bitcode using the sum of the following values:

0 | Restricts the grid to the area specified by the LIMITS command
1 | Does not restrict the grid to the area specified by the LIMITS command
2 | Turns on adaptive grid display, which limits the density of the grid when zoomed out
4 | If the grid is set to adaptive display and when zoomed in, generates additional, more closely spaced grid lines in the same proportion as the intervals of the major grid lines
8 | Changes the grid plane to follow the XY plane of the dynamic UCS.
NoteSetting 4 is ignored unless setting 2 is specified.


GRIDMAJOR (Quick Reference)

GRIDDISPLAY
GRIDMAJOR
GRIDMODE
System Variables > G System Variables >
GRIDMAJOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 5

Controls the frequency of major grid lines compared to minor grid lines.

Valid values range from 1 to 100.

Grid lines are displayed in any visual style except 2D Wireframe.


GRIDMODE (Quick Reference)

GRIDMAJOR
GRIDMODE
GRIDUNIT
System Variables > G System Variables >
GRIDMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies whether the grid is turned on or off.

0 | Turns the grid off
1 | Turns the grid on


GRIDUNIT (Quick Reference)

GRIDMODE
GRIDUNIT
GRIPBLOCK
System Variables > G System Variables >
GRIDUNIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 0.5000,0.5000 (imperial) or 10,10 (metric)

Specifies the grid spacing (X and Y) for the current viewport.


GRIPBLOCK (Quick Reference)

GRIDUNIT
GRIPBLOCK
GRIPCOLOR
System Variables > G System Variables >
GRIPBLOCK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of grips in blocks.

0 | Assigns a grip only to the insertion point of the block
1 | Assigns grips to objects within the block


GRIPCOLOR (Quick Reference)

GRIPBLOCK
GRIPCOLOR
GRIPDYNCOLOR
System Variables > G System Variables >
GRIPCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 150

Controls the color of unselected grips.

The valid range is 1 to 255.


GRIPDYNCOLOR (Quick Reference)

GRIPCOLOR
GRIPDYNCOLOR
GRIPHOT
System Variables > G System Variables >
GRIPDYNCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 140

Controls the color of custom grips for dynamic blocks.

The valid range is 1 to 255.


GRIPHOT (Quick Reference)

GRIPDYNCOLOR
GRIPHOT
GRIPHOVER
System Variables > G System Variables >
GRIPHOT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 12

Controls the color of selected grips.

The valid range is 1 to 255.


GRIPHOVER (Quick Reference)

GRIPHOT
GRIPHOVER
GRIPOBJLIMIT
System Variables > G System Variables >
GRIPHOVER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 11

Controls the fill color of an unselected grip when the cursor pauses over it.

The valid range is 1 to 255.


GRIPOBJLIMIT (Quick Reference)

GRIPHOVER
GRIPOBJLIMIT
GRIPS
System Variables > G System Variables >
GRIPOBJLIMIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 100

Suppresses the display of grips when the selection set includes more than the specified number of objects.

The valid range is 0 to 32,767. For example, when set to 1, grips are suppressed when more than one object is selected. When set to 0, grips are always displayed.


GRIPS (Quick Reference)

GRIPOBJLIMIT
GRIPS
GRIPSIZE
System Variables > G System Variables >
GRIPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the use of selection set grips for the Stretch, Move, Rotate, Scale, and Mirror Grip modes.

0 | Turns off grips
1 | Turns on grips

To adjust the size of the grips and the effective selection area used by the cursor when you snap to a grip, use GRIPSIZE.


GRIPSIZE (Quick Reference)

GRIPS
GRIPSIZE
GRIPSUBOBJMODE
System Variables > G System Variables >
GRIPSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 5

Sets the size of the grip box in pixels.

The valid range is 1 to 255.


GRIPSUBOBJMODE (Quick Reference)

GRIPSIZE
GRIPSUBOBJMODE
GRIPTIPS
System Variables > G System Variables >
GRIPSUBOBJMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | User-settings
Initial value: | 1

Sets whether edge, face, or vertex grips are active upon initial selection.

0 | Specifies that grips are inactive when a subobject is initially selected. When multiple subobjects are selected, you specify the subobjects to modify by pressing Shift and selecting them again.
1 | Specifies that the subobject selection grips are active when the subobject is selected. When multiple subobjects are selected, you can immediately modify them as a group without selecting them again.

Setting this system variable to 1 is especially helpful for quickly modifying groups of faces, edges and vertices on mesh objects.


GRIPTIPS (Quick Reference)

GRIPSUBOBJMODE
GRIPTIPS
GTAUTO
System Variables > G System Variables >
GRIPTIPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of grip tips when the cursor hovers over grips on dynamic blocks and custom objects that support grip tips.

0 | Turns off the display of grip tips
1 | Turns on the display of grip tips


GTAUTO (Quick Reference)

GRIPTIPS
GTAUTO
GTDEFAULT
System Variables > G System Variables >
GTAUTO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether 3D gizmos are automatically displayed when you select objects before you start a command in a viewport with a 3D visual style.

0 | Gizmos are not displayed automatically when you select objects before starting a command.
1 | Gizmos are displayed automatically after you create a selection set.

This system variable affects the display of the 3D Move, 3D Rotate, and 3D Scale gizmos. Gizmos were previously known as “grip tools.”


GTDEFAULT (Quick Reference)

GTAUTO
GTDEFAULT
GTLOCATION
System Variables > G System Variables >
GTDEFAULT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the 3D Move, 3D Rotate, or 3D Scale operation starts automatically when you start the MOVE, ROTATE, or SCALE command in a viewport with a 3D visual style.

0 | Does not automatically start the 3DMOVE, 3DROTATE, or 3DSCALEcommands when the MOVE, ROTATE, or SCALE commands are started in a 3D view.
1 | Automatically starts the 3DMOVE, 3DROTATE, or 3DSCALE commands when the MOVE, ROTATE, or SCALE commands are started in a 3D view.


GTLOCATION (Quick Reference)

GTDEFAULT
GTLOCATION
HALOGAP
System Variables > G System Variables >
GTLOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the initial location of the 3D Move, 3D Rotate, or 3D Scale gizmo when you select objects before you start a command in a viewport with a 3D visual style.

0 | Places the 3D Move, 3D Rotate, or 3D Scale gizmo at the same location as the UCS icon. The gizmo orientation is aligned with the current UCS.
1 | Places the 3D Move, 3D Rotate, or 3D Scale gizmo at the geometric center of the selection set.

This system variable affects the display of the 3D Move, 3D Rotate, and 3D Scale gizmos. Gizmos were previously known as “grip tools.”


H System Variables

GTLOCATION
System Variables
HALOGAP
System Variables >
H System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • HALOGAP

    Specifies a gap to be displayed where an object is hidden by another object.

  • HANDLES

    Reports whether object handles can be accessed by applications.

  • HIDEPRECISION

    Controls the accuracy of hides and shades.

  • HIDETEXT

    Specifies whether text objects created by the TEXT, DTEXT, or MTEXT command are processed during a HIDE command.

  • HIGHLIGHT

    Controls object highlighting; does not affect objects selected with grips.

  • HPANG

    Specifies the hatch pattern angle.

  • HPASSOC

    Controls whether hatch patterns and gradient fills are associative.

  • HPBOUND

    Controls the object type created by the BHATCH and BOUNDARY commands.

  • HPDOUBLE

    Specifies hatch pattern doubling for user-defined patterns.

  • HPDRAWORDER

    Controls the draw order of hatches and fills.

  • HPGAPTOL

    Treats a set of objects that almost enclose an area as a closed hatch boundary.

  • HPINHERIT

    Controls the hatch origin of the resulting hatch when using Inherit Properties in HATCH and HATCHEDIT.

  • HPMAXLINES

    Sets the maximum number of hatch lines that are generated in a hatch operation.

  • HPNAME

    Sets a default hatch pattern name of up to 34 characters without spaces.

  • HPOBJWARNING

    Sets the number of hatch boundary objects that can be selected before displaying a warning message.

  • HPORIGIN

    Sets the hatch origin point for new hatch objects relative to the current user coordinate system.

  • HPORIGINMODE

    Controls how HATCH determines the default hatch origin point.

  • HPSCALE

    Specifies the hatch pattern scale factor, which must be greater than zero.

  • HPSEPARATE

    Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries.

  • HPSPACE

    Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero.

  • HYPERLINKBASE

    Specifies the path used for all relative hyperlinks in the drawing.


HALOGAP (Quick Reference)

GTLOCATION
HALOGAP
HANDLES
System Variables > H System Variables >
HALOGAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies a gap to be displayed where an object is hidden by another object.

The value is specified as a percent of one unit and is independent of the zoom level.

HALOGAP is available only in 2D views. In 3D views, the VSHALOGAP system variable is used.


HANDLES (Quick Reference)

HALOGAP
HANDLES
HIDEPRECISION
System Variables > H System Variables >
HANDLES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | On

Reports whether object handles can be accessed by applications.

Because handles can no longer be turned off, has no effect except to preserve the integrity of scripts.


HIDEPRECISION (Quick Reference)

HANDLES
HIDEPRECISION
HIDETEXT
System Variables > H System Variables >
HIDEPRECISION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls the accuracy of hides and shades.

Hides can be calculated in double precision or single precision. Setting HIDEPRECISION to 1 produces more accurate hides by using double precision, but this setting also uses more memory and can affect performance, especially when hiding solids.

0 | Single precision; uses less memory
1 | Double precision; uses more memory


HIDETEXT (Quick Reference)

HIDEPRECISION
HIDETEXT
HIGHLIGHT
System Variables > H System Variables >
HIDETEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | On

Specifies whether text objects created by the TEXT, DTEXT, or MTEXT command are processed during a HIDE command.

Off | Text is not hidden and does not hide other objects
On | Text is hidden but does not hide other objects


HIGHLIGHT (Quick Reference)

HIDETEXT
HIGHLIGHT
HPANG
System Variables > H System Variables >
HIGHLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Controls object highlighting; does not affect objects selected with grips.

0 | Turns off object selection highlighting
1 | Turns on object selection highlighting


HPANG (Quick Reference)

HIGHLIGHT
HPANG
HPASSOC
System Variables > H System Variables >
HPANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Specifies the hatch pattern angle.


HPASSOC (Quick Reference)

HPANG
HPASSOC
HPBOUND
System Variables > H System Variables >
HPASSOC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether hatch patterns and gradient fills are associative.

0 | Hatch patterns and gradient fills are not associated with their boundaries
1 | Hatch patterns and gradient fills are associated with their boundaries and are updated when the boundaries change


HPBOUND (Quick Reference)

HPASSOC
HPBOUND
HPDOUBLE
System Variables > H System Variables >
HPBOUND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Controls the object type created by the BHATCH and BOUNDARY commands.

0 | Creates a region
1 | Creates a polyline


HPDOUBLE (Quick Reference)

HPBOUND
HPDOUBLE
HPDRAWORDER
System Variables > H System Variables >
HPDOUBLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Specifies hatch pattern doubling for user-defined patterns.

Doubling specifies a second set of lines drawn at 90 degrees to the original lines.

0 | Turns off hatch pattern doubling
1 | Turns on hatch pattern doubling


HPDRAWORDER (Quick Reference)

HPDOUBLE
HPDRAWORDER
HPGAPTOL
System Variables > H System Variables >
HPDRAWORDER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 3

Controls the draw order of hatches and fills.

Stores the Draw Order setting from the Hatch and Fill Dialog Box.

0 | None. The hatch or fill is not assigned a draw order.
1 | Send to back. The hatch or fill is sent to the back of all other objects.
2 | Bring to front. The hatch or fill is brought to the front of all other objects.
3 | Send behind boundary. The hatch or fill is sent behind the hatch boundary.
4 | Bring in front of boundary. The hatch or fill is brought in front of the hatch boundary


HPGAPTOL (Quick Reference)

HPDRAWORDER
HPGAPTOL
HPINHERIT
System Variables > H System Variables >
HPGAPTOL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 0.0000

Treats a set of objects that almost enclose an area as a closed hatch boundary.

The default value, 0, specifies that the objects enclose the area, with no gaps. Enter a value, in drawing units, from 0 to 5000 to set the maximum size of gaps that can be ignored when the objects serve as a hatch boundary.


HPINHERIT (Quick Reference)

HPGAPTOL
HPINHERIT
HPMAXLINES
System Variables > H System Variables >
HPINHERIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the hatch origin of the resulting hatch when using Inherit Properties in HATCH and HATCHEDIT.

0 | The hatch origin is taken from HPORIGIN
1 | The hatch origin is taken from the source hatch object


HPMAXLINES (Quick Reference)

HPINHERIT
HPMAXLINES
HPNAME
System Variables > H System Variables >
HPMAXLINES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 1000000

Sets the maximum number of hatch lines that are generated in a hatch operation.

Values can be set at a minimum of 100 and a maximum of 10,000,000.


HPNAME (Quick Reference)

HPMAXLINES
HPNAME
HPOBJWARNING
System Variables > H System Variables >
HPNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | ANSI31 (imperial) or ANGLE (metric)

Sets a default hatch pattern name of up to 34 characters without spaces.

Returns "" if there is no default. Enter a period (.) to reset HPNAME to the default value.


HPOBJWARNING (Quick Reference)

HPNAME
HPOBJWARNING
HPORIGIN
System Variables > H System Variables >
HPOBJWARNING
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 10000

Sets the number of hatch boundary objects that can be selected before displaying a warning message.

The maximum value can vary, but is significantly larger than 100000000 (one hundred million).


HPORIGIN (Quick Reference)

HPOBJWARNING
HPORIGIN
HPORIGINMODE
System Variables > H System Variables >
HPORIGIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Sets the hatch origin point for new hatch objects relative to the current user coordinate system.


HPORIGINMODE (Quick Reference)

HPORIGIN
HPORIGINMODE
HPSCALE
System Variables > H System Variables >
HPORIGINMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls how HATCH determines the default hatch origin point.

0 | Hatch origins are set using HPORIGIN
1 | Hatch origins are set using the bottom-left corner of the rectangular extents of the hatch boundaries
2 | Hatch origins are set using the bottom-right corner of the rectangular extents of the hatch boundaries
3 | Hatch origins are set using the top-right corner of the rectangular extents of the hatch boundaries
4 | Hatch origins are set using the top-left corner of the rectangular extents of the hatch boundaries
5 | Hatch origins are set using the center of the rectangular extents of the hatch boundaries


HPSCALE (Quick Reference)

HPORIGINMODE
HPSCALE
HPSEPARATE
System Variables > H System Variables >
HPSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 1.0000

Specifies the hatch pattern scale factor, which must be greater than zero.


HPSEPARATE (Quick Reference)

HPSCALE
HPSEPARATE
HPSPACE
System Variables > H System Variables >
HPSEPARATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether HATCH creates a single hatch object or separate hatch objects when operating on several closed boundaries.

0 | A single hatch object is created
1 | Separate hatch objects are created


HPSPACE (Quick Reference)

HPSEPARATE
HPSPACE
HYPERLINKBASE
System Variables > H System Variables >
HPSPACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 1.0000

Specifies the hatch pattern line spacing for user-defined simple patterns, which must be greater than zero.


HYPERLINKBASE (Quick Reference)

HPSPACE
HYPERLINKBASE
IMAGEFRAME
System Variables > H System Variables >
HYPERLINKBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Specifies the path used for all relative hyperlinks in the drawing.

If no value is specified, the drawing path is used for all relative hyperlinks.


I System Variables

HYPERLINKBASE
System Variables
IMAGEFRAME
System Variables >
I System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • IMAGEFRAME

    Controls whether image frames are displayed and plotted.

  • IMAGEHLT

    Controls whether the entire raster image or only the raster image frame is highlighted.

  • IMPLIEDFACE

    Controls the detection of implied faces.

  • INDEXCTL

    Controls whether layer and spatial indexes are created and saved in drawing files.

  • INETLOCATION

    Stores the Internet location used by the BROWSER command and the Browse the Web dialog box.

  • INPUTHISTORYMODE

    Controls the content and location of the display of a history of user input.

  • INSBASE

    Stores the insertion base point set by BASE, which gets expressed as a UCS coordinate for the current space.

  • INSNAME

    Sets a default block name for the INSERT command.

  • INSUNITS

    Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing.

  • INSUNITSDEFSOURCE

    Sets source content units value when INSUNITS is set to 0.

  • INSUNITSDEFTARGET

    Sets target drawing units value when INSUNITS is set to 0.

  • INTELLIGENTUPDATE

    Controls the graphics refresh rate.

  • INTERFERECOLOR

    Sets the color for interference objects.

  • INTERFEREOBJVS

    Sets the visual style for interference objects.

  • INTERFEREVPVS

    Specifies the visual style for the viewport during interference checking.

  • INTERSECTIONCOLOR

    Controls the color of polylines at the intersection of 3D surfaces when the visual style is set to 2D Wireframe.

  • INTERSECTIONDISPLAY

    Controls the display of polylines at the intersection of 3D surfaces when the visual style is set to 2D Wireframe.

  • ISAVEBAK

    Improves the speed of incremental saves, especially for large drawings.

  • ISAVEPERCENT

    Determines the amount of wasted space tolerated in a drawing file.

  • ISOLINES

    Specifies the number of contour lines per surface on objects.


IMAGEFRAME (Quick Reference)

HYPERLINKBASE
IMAGEFRAME
IMAGEHLT
System Variables > I System Variables >
IMAGEFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether image frames are displayed and plotted.

The FRAME system variable overrides the IMAGEFRAME setting. Use the IMAGEFRAME system variable after the FRAME system variable to reset the IMAGE frame settings.

NoteNormally, when image frames are not displayed, you cannot select images. However, the IMAGECLIP command temporarily turns image frames on.
0 | The image frames are not visible and they are not plotted
1 | The image frames are displayed and plotted
2 | The image frames are displayed but not plotted


IMAGEHLT (Quick Reference)

IMAGEFRAME
IMAGEHLT
IMPLIEDFACE
System Variables > I System Variables >
IMAGEHLT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the entire raster image or only the raster image frame is highlighted.

0 | Highlights only the raster image frame
1 | Highlights the entire raster image


IMPLIEDFACE (Quick Reference)

IMAGEHLT
IMPLIEDFACE
INDEXCTL
System Variables > I System Variables >
IMPLIEDFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the detection of implied faces.

0 | Implied faces cannot be detected.
1 | Implied faces can be detected.

An implied face is a closed area that creates a boundary by intersecting or overlapping a face on a 3D solid object. This variable affects the ability to use implied faces when you press Ctrl+Shift+E and drag the area inside the boundary to create an extrusion dynamically.

This variable must be set to 1 if you want to select and modify implied faces.


INDEXCTL (Quick Reference)

IMPLIEDFACE
INDEXCTL
INETLOCATION
System Variables > I System Variables >
INDEXCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether layer and spatial indexes are created and saved in drawing files.

To receive the maximum benefit of demand loading, it is recommended that you save any drawings that are used as xrefs with layer and spatial indexes

0 | No indexes are created
1 | Layer index is created
2 | Spatial index is created
3 | Layer and spatial indexes are created


INETLOCATION (Quick Reference)

INDEXCTL
INETLOCATION
INPUTHISTORYMODE
System Variables > I System Variables >
INETLOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | http://www.autodesk.com

Stores the Internet location used by the BROWSER command and the Browse the Web dialog box.


INPUTHISTORYMODE (Quick Reference)

INETLOCATION
INPUTHISTORYMODE
INSBASE
System Variables > I System Variables >
INPUTHISTORYMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 15

Controls the content and location of the display of a history of user input.

The setting is stored as a bitcode using the sum of the following values:

0 | No history of recent input is displayed.
1 | History of recent input is displayed at the command line or in a dynamic prompt tooltip. Access with the Up Arrow and Down Arrow keys at the Command prompt, or at an input prompt.
2 | History of recent input for the current command is displayed in the shortcut menu under Recent Input.
4 | History of recent input for all commands in the current session is displayed in the shortcut menu under Recent Input.
8 | Markers for recent input of point locations are displayed. Use the arrow keys at the Command prompt for specifying a point location.


INSBASE (Quick Reference)

INPUTHISTORYMODE
INSBASE
INSNAME
System Variables > I System Variables >
INSBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 3D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000,0.0000

Stores the insertion base point set by BASE, which gets expressed as a UCS coordinate for the current space.


INSNAME (Quick Reference)

INSBASE
INSNAME
INSUNITS
System Variables > I System Variables >
INSNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | ""

Sets a default block name for the INSERT command.

The name must conform to symbol naming conventions. Returns "" if no default is set. Enter a period (.) to set no default.


INSUNITS (Quick Reference)

INSNAME
INSUNITS
INSUNITSDEFSOURCE
System Variables > I System Variables >
INSUNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1 (imperial) or 4 (metric)

Specifies a drawing-units value for automatic scaling of blocks, images, or xrefs inserted or attached to a drawing.

NoteThe INSUNITS setting is ignored when inserting annotative blocks into a drawing.
0 | Unspecified (No units)
1 | Inches
2 | Feet
3 | Miles
4 | Millimeters
5 | Centimeters
6 | Meters
7 | Kilometers
8 | Microinches
9 | Mils
10 | Yards
11 | Angstroms
12 | Nanometers
13 | Microns
14 | Decimeters
15 | Dekameters
16 | Hectometers
17 | Gigameters
18 | Astronomical Units
19 | Light Years
20 | Parsecs


INSUNITSDEFSOURCE (Quick Reference)

INSUNITS
INSUNITSDEFSOURCE
INSUNITSDEFTARGET
System Variables > I System Variables >
INSUNITSDEFSOURCE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Sets source content units value when INSUNITS is set to 0.

Valid range is 0 to 20.

0 | Unspecified (No units)
1 | Inches
2 | Feet
3 | Miles
4 | Millimeters
5 | Centimeters
6 | Meters
7 | Kilometers
8 | Microinches
9 | Mils
10 | Yards
11 | Angstroms
12 | Nanometers
13 | Microns
14 | Decimeters
15 | Dekameters
16 | Hectometers
17 | Gigameters
18 | Astronomical Units
19 | Light Years
20 | Parsecs


INSUNITSDEFTARGET (Quick Reference)

INSUNITSDEFSOURCE
INSUNITSDEFTARGET
INTELLIGENTUPDATE
System Variables > I System Variables >
INSUNITSDEFTARGET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Sets target drawing units value when INSUNITS is set to 0.

Valid range is 0 to 20.

0 | Unspecified (No units)
1 | Inches
2 | Feet
3 | Miles
4 | Millimeters
5 | Centimeters
6 | Meters
7 | Kilometers
8 | Microinches
9 | Mils
10 | Yards
11 | Angstroms
12 | Nanometers
13 | Microns
14 | Decimeters
15 | Dekameters
16 | Hectometers
17 | Gigameters
18 | Astronomical Units
19 | Light Years
20 | Parsecs


INTELLIGENTUPDATE (Quick Reference)

INSUNITSDEFTARGET
INTELLIGENTUPDATE
INTERFERECOLOR
System Variables > I System Variables >
INTELLIGENTUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 20

Controls the graphics refresh rate.

The default value is 20 frames per second. If you encounter problems related to graphics generation or timing, turn off the variable by setting it to 0. INTELLIGENTUPDATE works by suppressing the graphics update until the timer expires. Subsequent updates reset the timer.

The performance improvement significantly affects updates for scripts and AutoLISP graphics. Those using regular AutoCAD commands will not see a noticeable difference in performance.


INTERFERECOLOR (Quick Reference)

INTELLIGENTUPDATE
INTERFERECOLOR
INTERFEREOBJVS
System Variables > I System Variables >
INTERFERECOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | 1

Sets the color for interference objects.

Valid values include BYLAYER, BYBLOCK, a color name, and integers from 0 to 255.

Valid values for True Colors are a string of integers each from 0 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000

If you have a color book installed, you can specify any colors that are defined in the book.


INTERFEREOBJVS (Quick Reference)

INTERFERECOLOR
INTERFEREOBJVS
INTERFEREVPVS
System Variables > I System Variables >
INTERFEREOBJVS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Realistic

Sets the visual style for interference objects.

INTERFEREOBJVS can only be set to a visual style that is saved in the drawing.

The visual style specified for INTERFEREOBJVS cannot be removed with the PURGE command.


INTERFEREVPVS (Quick Reference)

INTERFEREOBJVS
INTERFEREVPVS
INTERSECTIONCOLOR
System Variables > I System Variables >
INTERFEREVPVS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | 3D Wireframe

Specifies the visual style for the viewport during interference checking.

INTERFEREVPVS can only be set to a visual style that is saved in the drawing.

The visual style specified for INTERFEREVPVS cannot be removed with the PURGE command.


INTERSECTIONCOLOR (Quick Reference)

INTERFEREVPVS
INTERSECTIONCOLOR
INTERSECTIONDISPLAY
System Variables > I System Variables >
INTERSECTIONCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the color of polylines at the intersection of 3D surfaces when the visual style is set to 2D Wireframe.

Value 0 designates ByBlock, value 256 designates ByLayer, and value 257 designates ByEntity. Values 1-255 designate an AutoCAD Color Index (ACI) color. True Colors and Color Book colors are also available.

The INTERSECTIONCOLOR setting is visible only if INTERSECTIONDISPLAY is turned on.


INTERSECTIONDISPLAY (Quick Reference)

INTERSECTIONCOLOR
INTERSECTIONDISPLAY
ISAVEBAK
System Variables > I System Variables >
INTERSECTIONDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | Off

Controls the display of polylines at the intersection of 3D surfaces when the visual style is set to 2D Wireframe.

Off | Turns off the display of intersection polylines
On | Turns on the display of intersection polylines


ISAVEBAK (Quick Reference)

INTERSECTIONDISPLAY
ISAVEBAK
ISAVEPERCENT
System Variables > I System Variables >
ISAVEBAK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Improves the speed of incremental saves, especially for large drawings.

ISAVEBAK controls the creation of a backup file (BAK). In the operating system, copying the file data to create a BAK file for large drawings takes a major portion of the incremental save time.

0 | No BAK file is created (even for a full save)
1 | A BAK file is created
WarningIn some cases (such as a power failure in the middle of a save), it's possible that drawing data can be lost.


ISAVEPERCENT (Quick Reference)

ISAVEBAK
ISAVEPERCENT
ISOLINES
System Variables > I System Variables >
ISAVEPERCENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Determines the amount of wasted space tolerated in a drawing file.

The value of ISAVEPERCENT is an integer between 0 and 100. The default value of 50 means that the estimate of wasted space within the file does not exceed 50 percent of the total file size. Wasted space is eliminated by periodic full saves. When the estimate exceeds 50 percent, the next save will be a full save. This resets the wasted space estimate to 0. If ISAVEPERCENT is set to 0, every save is a full save.


ISOLINES (Quick Reference)

ISAVEPERCENT
ISOLINES
LARGEOBJECTSUPPORT
System Variables > I System Variables >
ISOLINES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 4

Specifies the number of contour lines per surface on objects.

Valid settings are integers from 0 to 2047.


L System Variables

ISOLINES
System Variables
LARGEOBJECTSUPPORT
System Variables >
L System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • LARGEOBJECTSUPPORT

    Controls large object size limit support when you open and save drawings.

  • LASTANGLE

    Stores the end angle of the last arc entered relative to the XY plane of the current UCS for the current space.

  • LASTPOINT

    Stores the last point specified, expressed as UCS coordinates for the current space.

  • LASTPROMPT

    Stores the last string echoed to the Command prompt.

  • LATITUDE

    Specifies the latitude of the drawing model in decimal format.

  • LAYERDLGMODE

    Sets the flavor of the Layer Properties Manager that is defined for the use of the LAYER command.

  • LAYEREVAL

    Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs.

  • LAYEREVALCTL

    Controls the overall Unreconciled New Layer filter list in Layer Properties Manager which is evaluated for new layers.

  • LAYERFILTERALERT

    Deletes excessive layer filters to improve performance.

  • LAYERMANAGERSTATE

    Indicates whether the Layer Properties Manager is open or closed.

  • LAYERNOTIFY

    Specifies when an alert displays when unreconciled new layers are found.

  • LAYLOCKFADECTL

    Controls the amount of fading for objects on locked layers.

  • LAYOUTREGENCTL

    Specifies how the display list is updated in the Model tab and layout tabs.

  • LEGACYCTRLPICK

    Specifies the keys for selection cycling and the behavior for Ctrl+click.

  • LENSLENGTH

    Stores the length of the lens (in millimeters) used in perspective viewing.

  • LIGHTGLYPHDISPLAY

    Controls whether light glyphs are displayed

  • LIGHTINGUNITS

    Controls whether generic or photometric lights are used, and indicates the current lighting units

  • LIGHTLISTSTATE

    Indicates whether the Lights in Model window is open.

  • LIGHTSINBLOCKS

    Controls whether lights contained in blocks are used when rendering

  • LIMCHECK

    Controls the creation of objects outside the grid limits.

  • LIMMAX

    Stores the upper-right grid limits for the current space, expressed as a world coordinate.

  • LIMMIN

    Stores the lower-left grid limits for the current space, expressed as a world coordinate.

  • LINEARBRIGHTNESS

    Controls the brightness level of the viewport in the standard lighting workflow.

  • LINEARCONTRAST

    Controls the contrast level of the viewport in the standard lighting workflow.

  • LOCALE

    Displays a code that indicates the current locale.

  • LOCALROOTPREFIX

    Stores the full path to the root folder where local customizable files were installed.

  • LOCKUI

    Locks the position and size of toolbars and dockable windows such as the ribbon, DesignCenter, and the Properties palette.

  • LOFTANG1

    Sets the draft angle through the first cross section in a loft operation.

  • LOFTANG2

    Sets the draft angle through the last cross section in a loft operation.

  • LOFTMAG1

    Sets the magnitude of the draft angle through the first cross section in a loft operation.

  • LOFTMAG2

    Sets the magnitude of the draft angle through the last cross section in a loft operation.

  • LOFTNORMALS

    Controls the normals of a lofted object where it passes through cross sections.

  • LOFTPARAM

    Controls the shape of lofted solids and surfaces.

  • LOGEXPBRIGHTNESS

    Controls the brightness level of the viewport when using photometric lighting

  • LOGEXPCONTRAST

    Controls the contrast level of the viewport when using photometric lighting

  • LOGEXPDAYLIGHT

    Controls if exterior daylight is used when using photometric lighting

  • LOGEXPMIDTONES

    Controls the mid tones level of the viewport when using photometric lighting

  • LOGEXPPHYSICALSCALE

    Controls the relative brightness of self-illuminated materials in a photometric environment

  • LOGFILEMODE

    Specifies whether the contents of the text window are written to a log file.

  • LOGFILENAME

    Specifies the path and name of the text window log file for the current drawing.

  • LOGFILEPATH

    Specifies the path for the text window log files for all drawings in a session.

  • LOGINNAME

    Displays the Windows login name and is saved with the file properties statistics of DWG and related files.

  • LONGITUDE

    Specifies the longitude of the drawing model in decimal format.

  • LTSCALE

    Sets the global linetype scale factor.

  • LUNITS

    Sets linear units.

  • LUPREC

    Sets the display precision for linear units and coordinates.

  • LWDEFAULT

    Sets the value for the default lineweight.

  • LWDISPLAY

    Controls whether the lineweights of objects are displayed.

  • LWUNITS

    Controls whether lineweight units are displayed in inches or millimeters.


LARGEOBJECTSUPPORT (Quick Reference)

ISOLINES
LARGEOBJECTSUPPORT
LASTANGLE
System Variables > L System Variables >
LARGEOBJECTSUPPORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls large object size limit support when you open and save drawings.

0 | Use legacy object size limits from AutoCAD 2009 and prior
1 | Use AutoCAD 2010 object size limits


LASTANGLE (Quick Reference)

LARGEOBJECTSUPPORT
LASTANGLE
LASTPOINT
System Variables > L System Variables >
LASTANGLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Stores the end angle of the last arc entered relative to the XY plane of the current UCS for the current space.


LASTPOINT (Quick Reference)

LASTANGLE
LASTPOINT
LASTPROMPT
System Variables > L System Variables >
LASTPOINT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 3D-point
Saved in: | Not-saved
Initial value: | 0.0000,0.0000,0.0000

Stores the last point specified, expressed as UCS coordinates for the current space.

You can reference the last point by entering the at symbol (@) at a point prompt.


LASTPROMPT (Quick Reference)

LASTPOINT
LASTPROMPT
LATITUDE
System Variables > L System Variables >
LASTPROMPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | ""

Stores the last string echoed to the Command prompt.

This string is identical to the last line seen at the Command prompt and includes any user input.


LATITUDE (Quick Reference)

LASTPROMPT
LATITUDE
LAYERDLGMODE
System Variables > L System Variables >
LATITUDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 37.7950

Specifies the latitude of the drawing model in decimal format.

The default is the latitude of San Francisco, California. The valid range is -90 to +90. Positive values represent north latitudes.

This value is affected by the settings of the LUPREC system variable.

This value is not affected by the settings of the AUNITS and AUPREC system variables.


LAYERDLGMODE (Quick Reference)

LATITUDE
LAYERDLGMODE
LAYEREVAL
System Variables > L System Variables >
LAYERDLGMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Sets the flavor of the Layer Properties Manager that is defined for the use of the LAYER command.

The LAYER command is mapped to execute either the CLASSICLAYER or LAYERPALETTE.

0 | Maps the LAYER command to use the modal Layer Properties Manager
1 | Maps LAYER command to use the modeless Layer Properties Manager


LAYEREVAL (Quick Reference)

LAYERDLGMODE
LAYEREVAL
LAYEREVALCTL
System Variables > L System Variables >
LAYEREVAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies whether the layer list is evaluated for new layers when added to the drawing or to attached xrefs.

The setting is stored in an integer using one of the following values:

0 | Off
1 | Detects when new xref layers have been added in the drawing
2 | Detects when new layers have been added in the drawing and xrefs
NoteLAYEREVALCTL overrides the LAYEREVAL and LAYERNOTIFY setvars when LAYEREVALCTL = 0. It acts like a global off (but not a global on). There is no effect even if LAYEREVALCTL is turned on if LAYERNOTIFY = 0 or LAYEREVAL = 0. LAYEREVALCTL must be set to 1 for LAYERNOTIFY and LAYEREVAL to function correctly.
See Also

    • LAYEREVALCTL

    • LAYERNOTIFY


LAYEREVALCTL (Quick Reference)

LAYEREVAL
LAYEREVALCTL
LAYERFILTERALERT
System Variables > L System Variables >
LAYEREVALCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Controls the overall Unreconciled New Layer filter list in Layer Properties Manager which is evaluated for new layers.

This system variable also affects whether the new layer notification is displayed or not.

0 | Disables the evaluation and notification of new layers
1 | Enables the evaluation of new layers on LAYEREVAL settings in DWG file
NoteLAYEREVALCTL overrides the LAYEREVAL and LAYERNOTIFY setvars when LAYEREVALCTL = 0. It acts like a global off (but not a global on). There is no effect even if LAYEREVALCTL is turned on if LAYERNOTIFY = 0 or LAYEREVAL = 0. LAYEREVALCTL must be set to 1 for LAYERNOTIFY and LAYEREVAL to function correctly.
See Also

    • LAYEREVAL

    • LAYERNOTIFY


LAYERFILTERALERT (Quick Reference)

LAYEREVALCTL
LAYERFILTERALERT
LAYERMANAGERSTATE
System Variables > L System Variables >
LAYERFILTERALERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Deletes excessive layer filters to improve performance.

When a drawing has 100 or more layer filters, and the number of layer filters exceeds the number of layers, LAYERFILTERALERT provides a method for deleting layer filters to improve performance.

0 | Off
1 | When the Layer Manager is opened, deletes all layer filters; no message is displayed
2 | When the Layer Manager is opened, displays a message that states the problem, recommends deleting all filters, and offers a choice: “Do you want to delete all layer filters now?”
3 | When the drawing is opened, displays a message that states the problem and offers to display a dialog box where you can choose which filters to delete


LAYERMANAGERSTATE (Quick Reference)

LAYERFILTERALERT
LAYERMANAGERSTATE
LAYERNOTIFY
System Variables > L System Variables >
LAYERMANAGERSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Layer Properties Manager is open or closed.

0 | Closed
1 | Open


LAYERNOTIFY (Quick Reference)

LAYERMANAGERSTATE
LAYERNOTIFY
LAYLOCKFADECTL
System Variables > L System Variables >
LAYERNOTIFY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Drawing
Initial value: | 0

Specifies when an alert displays when unreconciled new layers are found.

0 | Off
1 | Plot
2 | Open
4 | Load/Reload/Attach for xrefs
8 | Restore layer state
16 | Save
32 | Insert
NoteLAYEREVALCTL overrides the LAYEREVAL and LAYERNOTIFY setvars when LAYEREVALCTL = 0. It acts like a global off (but not a global on). There is no effect even if LAYEREVALCTL is turned on if LAYERNOTIFY = 0 or LAYEREVAL = 0. LAYEREVALCTL must be set to 1 for LAYERNOTIFY and LAYEREVAL to function correctly.
See Also

    • LAYEREVAL

    • LAYEREVALCTL


LAYLOCKFADECTL (Quick Reference)

LAYERNOTIFY
LAYLOCKFADECTL
LAYOUTREGENCTL
System Variables > L System Variables >
LAYLOCKFADECTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Controls the amount of fading for objects on locked layers.

Fades the objects on locked layers to contrast them with objects on unlocked layers and reduces the visual complexity of a drawing. Objects on locked layers are still visible for reference and for object snapping.

The range for controlling the fading for objects on locked layers is from -90 to 90.

0 | Locked layers are not faded
>0 | When the value is positive, controls the percent of fading up to 90 percent
<0 | When the value is negative, locked layers are not faded, but the value is saved for switching to that value by changing the sign
NoteThe fading value is limited to 90 percent to avoid confusion with layers that are turned off or frozen.


LAYOUTREGENCTL (Quick Reference)

LAYLOCKFADECTL
LAYOUTREGENCTL
LEGACYCTRLPICK
System Variables > L System Variables >
LAYOUTREGENCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies how the display list is updated in the Model tab and layout tabs.

For each tab, the display list is updated either by regenerating the drawing when you switch to that tab or by saving the display list to memory and regenerating only the modified objects when you switch to that tab. Changing the LAYOUTREGENCTL setting can improve performance.

0 | The drawing is regenerated each time you switch tabs.
1 | For the Model tab and the last layout made current, the display list is saved to memory and regenerations are suppressed when you switch between the two tabs. For all other layouts, regenerations still occur when you switch to those tabs.
2 | The drawing is regenerated the first time you switch to each tab. For the remainder of the drawing session, the display list is saved to memory and regenerations are suppressed when you switch to those tabs.

The performance gain achieved by changing the LAYOUTREGENCTL setting is dependent on several factors, including the drawing size and type, the objects contained in the drawing, the amount of available memory, and the effect of other open drawings or applications. When LAYOUTREGENCTL is set to 1 or 2, the amount of additional memory used is the size of the Model tab's display list multiplied by the number of viewports in each layout for which the display list is saved.

If LAYOUTREGENCTL is set to 1 or 2 and performance seems slow in general or when you switch between tabs for which the display list is saved, consider changing to a setting of 0 or 1 to find the optimal balance for your work environment. For additional information about performance settings, see System tab (in the Options dialog box).

Regardless of the LAYOUTREGENCTL setting, if you redefine a block or undo a tab switch, the drawing is regenerated the first time you switch to any tab that contains saved viewports.


LEGACYCTRLPICK (Quick Reference)

LAYOUTREGENCTL
LEGACYCTRLPICK
LENSLENGTH
System Variables > L System Variables >
LEGACYCTRLPICK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Specifies the keys for selection cycling and the behavior for Ctrl+click.

0 | Ctrl+click is used to select subobjects (faces, edges, and vertices) on 3D solids and meshes.
1 | Ctrl+click is used to cycle through overlapping objects. Disallows using Ctrl+click to select subobjects on 3D solids and meshes.


LENSLENGTH (Quick Reference)

LEGACYCTRLPICK
LENSLENGTH
LIGHTGLYPHDISPLAY
System Variables > L System Variables >
LENSLENGTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 50.0000

Stores the length of the lens (in millimeters) used in perspective viewing.


LIGHTGLYPHDISPLAY (Quick Reference)

LENSLENGTH
LIGHTGLYPHDISPLAY
LIGHTINGUNITS
System Variables > L System Variables >
LIGHTGLYPHDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether light glyphs are displayed

When this system variable is set to Off, the glyphs that represent lights in the drawing are not displayed.

A light glyph is a symbolic representation of a point lights and spotlights.

0 | Off
1 | On


LIGHTINGUNITS (Quick Reference)

LIGHTGLYPHDISPLAY
LIGHTINGUNITS
LIGHTLISTSTATE
System Variables > L System Variables >
LIGHTINGUNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls whether generic or photometric lights are used, and indicates the current lighting units

When this system variable is set to 1 or 2, photometric lighting is enabled; otherwise standard (generic) lighting is used.

The illuminance values are formatted in the standard used by AutoCAD 2008 and earlier versions.

With this standard, the illuminance values are formatted in foot-candles rather than in lux.

With this standard, the illuminance values are formatted in lux rather than in foot-candles.

0 | No lighting units are used and standard (generic) lighting is enabled
1 | American lighting units are used and photometric lighting is enabled
2 | International lighting units are used and photometric lighting is enabled


LIGHTLISTSTATE (Quick Reference)

LIGHTINGUNITS
LIGHTLISTSTATE
LIGHTSINBLOCKS
System Variables > L System Variables >
LIGHTLISTSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the Lights in Model window is open.

0 | Closed
1 | Open


LIGHTSINBLOCKS (Quick Reference)

LIGHTLISTSTATE
LIGHTSINBLOCKS
LIMCHECK
System Variables > L System Variables >
LIGHTSINBLOCKS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether lights contained in blocks are used when rendering

By default, this system variable is turned on in AutoCAD drawings. When this system variable is off, lights in blocks do not affect 3D objects in the current viewport when rendering. Previous versions of AutoCAD did not support rendering lights in blocks.

0 (Off) | Lights in blocks are disabled
1 (On) | Lights in blocks are enabled


LIMCHECK (Quick Reference)

LIGHTSINBLOCKS
LIMCHECK
LIMMAX
System Variables > L System Variables >
LIMCHECK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the creation of objects outside the grid limits.

0 | Objects can be created outside the limits
1 | Objects cannot be created outside the limits


LIMMAX (Quick Reference)

LIMCHECK
LIMMAX
LIMMIN
System Variables > L System Variables >
LIMMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 12.0000,9.0000 (imperial) or 420.0000,297.0000 (metric)

Stores the upper-right grid limits for the current space, expressed as a world coordinate.

LIMMAX is read-only when paper space is active and the paper background or printable area is displayed.


LIMMIN (Quick Reference)

LIMMAX
LIMMIN
LINEARBRIGHTNESS
System Variables > L System Variables >
LIMMIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Stores the lower-left grid limits for the current space, expressed as a world coordinate.

LIMMIN is read-only when paper space is active and the paper background or printable area is displayed.


LINEARBRIGHTNESS (Quick Reference)

LIMMIN
LINEARBRIGHTNESS
LINEARCONTRAST
System Variables > L System Variables >
LINEARBRIGHTNESS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the brightness level of the viewport in the standard lighting workflow.

Controls the brightness level of the viewport when standard lighting is enabled (LIGHTINGUNITS system variable is set to 0). Valid settings are integers from -10 to 10. The brightness level in photometric lighting can be controlled by the LOGEXPBRIGHTNESS systems variable.


LINEARCONTRAST (Quick Reference)

LINEARBRIGHTNESS
LINEARCONTRAST
LOCALE
System Variables > L System Variables >
LINEARCONTRAST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the contrast level of the viewport in the standard lighting workflow.

Controls the contrast level of the viewport when standard lighting is enabled (LIGHTINGUNITS system variable is set to 0). Valid settings are integers from -10 to 10. The contrast level in photometric lighting can be controlled by LOGEXPCONTRAST.


LOCALE (Quick Reference)

LINEARCONTRAST
LOCALE
LOCALROOTPREFIX
System Variables > L System Variables >
LOCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies by country/region

Displays a code that indicates the current locale.

This code appears as a three-letter abbreviation returned by the Windows GetLocaleInfo function using the LOCALE_SABBREVLANGNAME constant.


LOCALROOTPREFIX (Quick Reference)

LOCALE
LOCALROOTPREFIX
LOCKUI
System Variables > L System Variables >
LOCALROOTPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | Varies

Stores the full path to the root folder where local customizable files were installed.

These files are stored in the product folder under the Local Settings folder; for example, "c:\Documents and Settings\username\Local Settings\Application Data\application_name\release_number\language".

The Template and Textures folders are in this location, and you can add any customizable files that you do not want to roam on the network. See ROAMABLEROOTPREFIX for the location of the roamable files.


LOCKUI (Quick Reference)

LOCALROOTPREFIX
LOCKUI
LOFTANG1
System Variables > L System Variables >
LOCKUI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 0

Locks the position and size of toolbars and dockable windows such as the ribbon, DesignCenter, and the Properties palette.

Locked toolbars and windows can still be opened and closed and items can be added and deleted. To unlock them temporarily, hold down Ctrl.

A lock icon in the status bar tray indicates whether toolbars and windows are locked. Right-click the icon to display locking options.

The setting is stored as a bitcode using the sum of the following values:

0 | Toolbars and windows not locked
1 | Docked toolbars locked
2 | Docked or anchored windows locked
4 | Floating toolbars locked
8 | Floating windows locked


LOFTANG1 (Quick Reference)

LOCKUI
LOFTANG1
LOFTANG2
System Variables > L System Variables >
LOFTANG1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 90

Sets the draft angle through the first cross section in a loft operation.

The 0 direction is measured outward from the curve on the plane of the curve. The positive direction is measured toward the next cross section. Valid values include 0 to less than 360.


LOFTANG2 (Quick Reference)

LOFTANG1
LOFTANG2
LOFTMAG1
System Variables > L System Variables >
LOFTANG2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 90

Sets the draft angle through the last cross section in a loft operation.

The 0 direction is measured outward from the curve on the plane of the curve. The positive direction is measured toward the previous cross section. Valid values include 0 to less than 360.


LOFTMAG1 (Quick Reference)

LOFTANG2
LOFTMAG1
LOFTMAG2
System Variables > L System Variables >
LOFTMAG1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the magnitude of the draft angle through the first cross section in a loft operation.

Controls how soon the surface starts bending back toward the next cross section.


LOFTMAG2 (Quick Reference)

LOFTMAG1
LOFTMAG2
LOFTNORMALS
System Variables > L System Variables >
LOFTMAG2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the magnitude of the draft angle through the last cross section in a loft operation.

Controls how soon the surface starts bending back toward the next cross section.


LOFTNORMALS (Quick Reference)

LOFTMAG2
LOFTNORMALS
LOFTPARAM
System Variables > L System Variables >
LOFTNORMALS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the normals of a lofted object where it passes through cross sections.

This setting is ignored when specifying a path or guide curves.

These settings can also be specified in the Loft Settings Dialog Box.

0 | Ruled
1 | Smooth Fit
2 | Start cross section
3 | End cross section
4 | Start and End cross sections
5 | All cross sections
6 | Use draft angle and magnitude


LOFTPARAM (Quick Reference)

LOFTNORMALS
LOFTPARAM
LOGEXPBRIGHTNESS
System Variables > L System Variables >
LOFTPARAM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Drawing
Initial value: | 7

Controls the shape of lofted solids and surfaces.

The setting is stored as a bitcode using the sum of the following values:

1 | No twist (minimizes the twist between cross sections)
2 | Align direction (aligns the start to end direction of each cross section curve)
4 | Simplify (produces simple solids and surfaces, such as a cylinder or plane, instead of spline solids and surfaces)
8 | Close (closes the surface or solid between the first and the last cross sections)


LOGEXPBRIGHTNESS (Quick Reference)

LOFTPARAM
LOGEXPBRIGHTNESS
LOGEXPCONTRAST
System Variables > L System Variables >
LOGEXPBRIGHTNESS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 65.0

Controls the brightness level of the viewport when using photometric lighting

Controls the brightness level of the viweport when photometric lighting is enabled (LIGHTINGUNITS system variable is set to 1 or 2). Valid range is from 0.0 to 200.0. The brightness level in standard lighting can be controlled by the LINEARBRIGHTNESS systems variable.


LOGEXPCONTRAST (Quick Reference)

LOGEXPBRIGHTNESS
LOGEXPCONTRAST
LOGEXPDAYLIGHT
System Variables > L System Variables >
LOGEXPCONTRAST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 50.0

Controls the contrast level of the viewport when using photometric lighting

Controls the contrast level of the viewport when photometric lighting is enabled (LIGHTINGUNITS system variable is set to 1 or 2). Valid range is from 0.0 to 100.0. The contrast level in standard lighting can be controlled by the LINEARCONTRAST systems variable.


LOGEXPDAYLIGHT (Quick Reference)

LOGEXPCONTRAST
LOGEXPDAYLIGHT
LOGEXPMIDTONES
System Variables > L System Variables >
LOGEXPDAYLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls if exterior daylight is used when using photometric lighting

When this system variable is off, exterior daylight is turned off when photometric lighting is enabled (LIGHTINGUNITS system variable is set to 1 or 2). When on, the exposure control algorithm in the rendering acts as if there is an extremely bright light source in the scene. Therefore, the default setting of “Auto” is tied directly to the sun setting. Under special circumstances, it may be desirable to manually set this variable due to extremely bright artificial light sources or, conversely, due to a sun-lit scene that it is illuminated only by a small amount of directly visible sunlight.

0 | Off
1 | On
2 | Auto, current sun status is used


LOGEXPMIDTONES (Quick Reference)

LOGEXPDAYLIGHT
LOGEXPMIDTONES
LOGEXPPHYSICALSCALE
System Variables > L System Variables >
LOGEXPMIDTONES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0

Controls the mid tones level of the viewport when using photometric lighting

Controls the mid tones level of the viewport when photometric lighting is enabled (LIGHTINGUNITS system variable is set to 1 or 2). Valid range from 0.01 to 20.0.


LOGEXPPHYSICALSCALE (Quick Reference)

LOGEXPMIDTONES
LOGEXPPHYSICALSCALE
LOGFILEMODE
System Variables > L System Variables >
LOGEXPPHYSICALSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1500.0000

Controls the relative brightness of self-illuminated materials in a photometric environment

This global scale factor is used to adjust the relative brightness of self-illuminated materials in a photometric environment. Valid values range from 0.001 to 200000.


LOGFILEMODE (Quick Reference)

LOGEXPPHYSICALSCALE
LOGFILEMODE
LOGFILENAME
System Variables > L System Variables >
LOGFILEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Specifies whether the contents of the text window are written to a log file.

0 | Log file is not maintained
1 | Log file is maintained


LOGFILENAME (Quick Reference)

LOGFILEMODE
LOGFILENAME
LOGFILEPATH
System Variables > L System Variables >
LOGFILENAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Drawing
Initial value: | Varies

Specifies the path and name of the text window log file for the current drawing.

The initial value varies depending on the name of the current drawing and the installation folder.


LOGFILEPATH (Quick Reference)

LOGFILENAME
LOGFILEPATH
LOGINNAME
System Variables > L System Variables >
LOGFILEPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies

Specifies the path for the text window log files for all drawings in a session.

You can also specify the path by using the OPTIONS command. The initial value is based on the installation folder.


LOGINNAME (Quick Reference)

LOGFILEPATH
LOGINNAME
LONGITUDE
System Variables > L System Variables >
LOGINNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Displays the Windows login name and is saved with the file properties statistics of DWG and related files.


LONGITUDE (Quick Reference)

LOGINNAME
LONGITUDE
LTSCALE
System Variables > L System Variables >
LONGITUDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | -122.3940

Specifies the longitude of the drawing model in decimal format.

The default is the longitude of San Francisco, California. The valid range is -180 to +180. Positive values represent east longitudes.

This value is affected by the settings of the LUPREC system variable.

This value is not affected by the settings of the AUNITS and AUPREC system variables.


LTSCALE (Quick Reference)

LONGITUDE
LTSCALE
LUNITS
System Variables > L System Variables >
LTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the global linetype scale factor.

The linetype scale factor cannot equal zero. This system variable has the same name as a command. Use the SETVAR command to access this system variable.


LUNITS (Quick Reference)

LTSCALE
LUNITS
LUPREC
System Variables > L System Variables >
LUNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets linear units.

1 | Scientific
2 | Decimal
3 | Engineering
4 | Architectural
5 | Fractional


LUPREC (Quick Reference)

LUNITS
LUPREC
LWDEFAULT
System Variables > L System Variables >
LUPREC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 4

Sets the display precision for linear units and coordinates.

However, the internal precision of distance, area, and volume values, and linear coordinates is always maintained, regardless of the display precision. LUPREC does not affect the display precision of dimension text (see DIMSTYLE).

Valid values are integers from 0 to 8.


LWDEFAULT (Quick Reference)

LUPREC
LWDEFAULT
LWDISPLAY
System Variables > L System Variables >
LWDEFAULT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Enum
Saved in: | Registry
Initial value: | 25

Sets the value for the default lineweight.

The default lineweight can be set to any valid lineweight value in hundredths of millimeters, including: 0, 5, 9, 13, 15, 18, 20, 25, 30, 35, 40, 50, 53, 60, 70, 80, 90, 100, 106, 120, 140, 158, 200, and 211.

All values must be entered in hundredths of millimeters. (Multiply a value by 2540 to convert values from inches to hundredths of millimeters.)


LWDISPLAY (Quick Reference)

LWDEFAULT
LWDISPLAY
LWUNITS
System Variables > L System Variables >
LWDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | OFF

Controls whether the lineweights of objects are displayed.

This setting is controlled separately for model space and for all paper space layouts.

OFF | Lineweights are not displayed
ON | Lineweights are displayed


LWUNITS (Quick Reference)

LWDISPLAY
LWUNITS
MATSTATE
System Variables > L System Variables >
LWUNITS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether lineweight units are displayed in inches or millimeters.

0 | Inches
1 | Millimeters


M System Variables

LWUNITS
System Variables
MATSTATE
System Variables >
M System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • MATSTATE

    Indicates whether the Materials window is open or closed.

  • MAXACTVP

    Sets the maximum number of viewports that can be active at one time in a layout.

  • MAXSORT

    Sets the maximum number of symbol names or block names sorted by listing commands.

  • MBUTTONPAN

    Controls the behavior of the third button or wheel on the pointing device.

  • MEASUREINIT

    Controls whether a drawing you start from scratch uses imperial or metric default settings.

  • MEASUREMENT

    Controls whether the current drawing uses imperial or metric hatch pattern and linetype files.

  • MENUBAR

    Controls the display of the menu bar.

  • MENUCTL

    Controls the page switching of the screen menu.

  • MENUECHO

    Sets menu echo and prompt control bits.

  • MENUNAME

    Stores the customization file name, including the path for the file name.

  • MESHTYPE

    Controls the type of mesh that is created by REVSURF, TABSURF, RULESURF and EDGESURF.

  • MIRRTEXT

    Controls how the MIRROR command reflects text.

  • MLEADERSCALE

    Sets the overall scale factor applied to multileader objects.

  • MODEMACRO

    Displays a text string on the status line, such as the name of the current drawing, time/date stamp, or special modes.

  • MSMSTATE

    Indicates whether the Markup Set Manager is open or closed.

  • MSOLESCALE

    Controls the size of an OLE object with text that is pasted into model space.

  • MSLTSCALE

    Scales linetypes displayed on the model tab by the annotation scale

  • MTEXTCOLUMN

    Sets the default column setting for a multiline text (mtext) object.

  • MTEXTED

    Sets the application for editing multiline text objects.

  • MTEXTFIXED

    Sets the display size and orientation of multiline text in a specified text editor.

  • MTEXTTOOLBAR

    Controls the display of the Text Formatting toolbar.

  • MTJIGSTRING

    Sets the content of the sample text displayed at the cursor location when the MTEXT command is started.

  • MYDOCUMENTSPREFIX

    Stores the full path to the My Documents folder for the user currently logged on.


MATSTATE (Quick Reference)

LWUNITS
MATSTATE
MAXACTVP
System Variables > M System Variables >
MATSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Materials window is open or closed.

0 | Closed
1 | Open


MAXACTVP (Quick Reference)

MATSTATE
MAXACTVP
MAXSORT
System Variables > M System Variables >
MAXACTVP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 64

Sets the maximum number of viewports that can be active at one time in a layout.

MAXACTVP has no effect on the number of viewports that are plotted.


MAXSORT (Quick Reference)

MAXACTVP
MAXSORT
MBUTTONPAN
System Variables > M System Variables >
MAXSORT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1000

Sets the maximum number of symbol names or block names sorted by listing commands.

If the total number of items exceeds this value, no items are sorted.

The value of MAXSORT is an integer between 0 and 32767.


MBUTTONPAN (Quick Reference)

MAXSORT
MBUTTONPAN
MEASUREINIT
System Variables > M System Variables >
MBUTTONPAN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the behavior of the third button or wheel on the pointing device.

0 | Supports the action defined in the customization (CUIx) file
1 | Supports panning when you hold and drag the button or wheel


MEASUREINIT (Quick Reference)

MBUTTONPAN
MEASUREINIT
MEASUREMENT
System Variables > M System Variables >
MEASUREINIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | Varies by country/region

Controls whether a drawing you start from scratch uses imperial or metric default settings.

Specifically, MEASUREINIT controls which hatch pattern and linetype files are used. The Drawing1.dwg that opens when you start the program is a drawing that is started from scratch.

0 | Imperial; uses the hatch pattern file and linetype file designated by the ANSIHatch and ANSILinetype registry settings
1 | Metric; uses the hatch pattern file and linetype file designated by the ISOHatch and ISOLinetype registry settings


MEASUREMENT (Quick Reference)

MEASUREINIT
MEASUREMENT
MENUBAR
System Variables > M System Variables >
MEASUREMENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0 (imperial) or 1 (metric)

Controls whether the current drawing uses imperial or metric hatch pattern and linetype files.

0 | Imperial; uses the hatch pattern file and linetype file designated by the ANSIHatch and ANSILinetype registry settings
1 | Metric; uses the hatch pattern file and linetype file designated by the ISOHatch and ISOLinetype registry settings


MENUBAR (Quick Reference)

MEASUREMENT
MENUBAR
MENUCTL
System Variables > M System Variables >
MENUBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Controls the display of the menu bar.

0 | Hides the menu bar
1 | Displays the menu bar


MENUCTL (Quick Reference)

MENUBAR
MENUCTL
MENUECHO
System Variables > M System Variables >
MENUCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the page switching of the screen menu.

0 | Screen menu does not switch pages in response to keyboard command entry
1 | Screen menu does switch pages in response to keyboard command entry


MENUECHO (Quick Reference)

MENUCTL
MENUECHO
MENUNAME
System Variables > M System Variables >
MENUECHO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Sets menu echo and prompt control bits.

The value is the sum of the following:

1 | Suppresses echo of menu items (^P in a menu item toggles echoing)
2 | Suppresses display of system prompts during menu
4 | Disables ^P toggle of menu echoing
8 | Displays input/output strings; debugging aid for DIESEL macros


MENUNAME (Quick Reference)

MENUECHO
MENUNAME
MESHTYPE
System Variables > M System Variables >
MENUNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | customization_file_name

Stores the customization file name, including the path for the file name.


MESHTYPE (Quick Reference)

MENUNAME
MESHTYPE
MIRRTEXT
System Variables > M System Variables >
MESHTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Drawing
Initial value: | 1

Controls the type of mesh that is created by REVSURF, TABSURF, RULESURF and EDGESURF.

0 | Creates legacy polygon or polyface mesh when you use REVSURF, TABSURF, RULESURF, or EDGESURF
1 | Creates full-featured mesh objects when you use REVSURF, TABSURF, RULESURF, or EDGESURF (recommended)

This option does not affect mesh created using the 3DMESH and PFACE commands.


MIRRTEXT (Quick Reference)

MESHTYPE
MIRRTEXT
MLEADERSCALE
System Variables > M System Variables >
MIRRTEXT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls how the MIRROR command reflects text.

0 | Retains text direction
1 | Mirrors the text


MLEADERSCALE (Quick Reference)

MIRRTEXT
MLEADERSCALE
MODEMACRO
System Variables > M System Variables >
MLEADERSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Sets the overall scale factor applied to multileader objects.

Use DIMSCALE to scale leader objects created with the LEADER command.

0.0 | A reasonable default value is computed based on the scaling between the current model space viewport and paper space. If you are in paper space or model space and not using the paper space feature, the scale factor is 1.0.
>0 | A scale factor is computed that leads text sizes, arrowhead sizes, and other scaled distances to plot at their face values.

MLEADERSCALE does not affect measured lengths, coordinates, or angles.

When MLEADERSCALE is set to 0, and the current multileader style is not annotative, the overall multileader scale of multileader objects created in paper space viewports is determined by the viewport scale. When the current multileader style is annotative, the MLEADERSCALE value is set to 0. Changes to the MLEADERSCALE value are ignored and the value is reset to 0.


MODEMACRO (Quick Reference)

MLEADERSCALE
MODEMACRO
MSMSTATE
System Variables > M System Variables >
MODEMACRO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | ""

Displays a text string on the status line, such as the name of the current drawing, time/date stamp, or special modes.

Use MODEMACRO to display a string of text, or use special text strings written in the DIESEL macro language to have the macro evaluated from time to time and base the status line on user-selected conditions.


MSMSTATE (Quick Reference)

MODEMACRO
MSMSTATE
MSOLESCALE
System Variables > M System Variables >
MSMSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Markup Set Manager is open or closed.

0 | Closed
1 | Open


MSOLESCALE (Quick Reference)

MSMSTATE
MSOLESCALE
MSLTSCALE
System Variables > M System Variables >
MSOLESCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 1.0000

Controls the size of an OLE object with text that is pasted into model space.

MSOLESCALE controls only the initial size. If the scale factor value is changed, existing OLE objects in the drawing are not affected.

A positive number scales by value. Zero (0) scales by the DIMSCALE value.


MSLTSCALE (Quick Reference)

MSOLESCALE
MSLTSCALE
MTEXTCOLUMN
System Variables > M System Variables >
MSLTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Scales linetypes displayed on the model tab by the annotation scale

0 | Linetypes displayed on the Model tab are not scaled by the annotation scale
1 | Linetypes displayed on the Model tab are scaled by the annotation scale
NoteMSLTSCALE is set to 0 when you open drawings created in AutoCAD 2007 and earlier.


MTEXTCOLUMN (Quick Reference)

MSLTSCALE
MTEXTCOLUMN
MTEXTED
System Variables > M System Variables >
MTEXTCOLUMN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Sets the default column setting for a multiline text (mtext) object.

0 | No column.
1 | Dynamic columns with auto height.
2 | Dynamic column with manual height.


MTEXTED (Quick Reference)

MTEXTCOLUMN
MTEXTED
MTEXTFIXED
System Variables > M System Variables >
MTEXTED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Registry
Initial value: | "Internal"

Sets the application for editing multiline text objects.

You can specify a different text editor for the MTEXT command. If you set MTEXTED to internal or to null (.), the In-Place Text Editor is displayed. If you set MTEXTED to “OldEditor”, the Multiline Text Editor is displayed. If you specify a path and the name of the executable file for another text editor or word processor, that path and file name instead are displayed instead.

If the multiline text object is fewer than 80 characters, you can enter :lisped to use the LISP editor.

Text editors other than the internal one show the formatting codes in paragraph text.


MTEXTFIXED (Quick Reference)

MTEXTED
MTEXTFIXED
MTEXTTOOLBAR
System Variables > M System Variables >
MTEXTFIXED
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Sets the display size and orientation of multiline text in a specified text editor.

If MTEXTED is set to “Internal”, multiline text is displayed in the In-Place Text Editor, and the setting of MTEXTFIXED has the following results:

0 or 1

Displays the In-Place Text Editor and the text within it at the size, position, and rotation of the multiline text object in the drawing.

2

Displays the In-Place Text Editor and the text within it at the size, position, and rotation of the multiline text object in the drawing.

Text that would otherwise be difficult to read (if it is very small, very large, or is rotated) is displayed at a legible size and is oriented horizontally so that you can easily read and edit it.

If MTEXTED is set to “OldEditor,” multiline text is displayed in the Multiline Text Editor, and the setting of MTEXTFIXED has the following results:

0 | Displays the Multiline Text Editor and the text within it at the size and position of the multiline text object in the drawing. Text too large or too small to be edited is displayed at a minimum or maximum size. Text that is rotated is displayed horizontally.
1 or 2 | Displays the Multiline Text Editor at a fixed position and size based on last use, and displays text in the editor at a fixed height. Text that is rotated is displayed horizontally.


MTEXTTOOLBAR (Quick Reference)

MTEXTFIXED
MTEXTTOOLBAR
MTJIGSTRING
System Variables > M System Variables >
MTEXTTOOLBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 2

Controls the display of the Text Formatting toolbar.

0 | The Text Formatting toolbar is never displayed.
1 | The Text Formatting toolbar is displayed upon selection of an MTEXT object.
2 | The Text Formatting toolbar does not display when the ribbon is on.


MTJIGSTRING (Quick Reference)

MTEXTTOOLBAR
MTJIGSTRING
MYDOCUMENTSPREFIX
System Variables > M System Variables >
MTJIGSTRING
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | "abc"

Sets the content of the sample text displayed at the cursor location when the MTEXT command is started.

The text string is displayed in the current text size and font. You can enter any string of up to ten letters or numbers or enter a period (.) to display no sample text.


MYDOCUMENTSPREFIX (Quick Reference)

MTJIGSTRING
MYDOCUMENTSPREFIX
NAVSWHEELMODE
System Variables > M System Variables >
MYDOCUMENTSPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | Varies

Stores the full path to the My Documents folder for the user currently logged on.

These files are stored in the product folder under the Local Settings folder; for example, "c:\Documents and Settings\username\My Documents".


N System Variables

MYDOCUMENTSPREFIX
System Variables
NAVSWHEELMODE
System Variables >
N System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • NAVSWHEELMODE

    Specifies the current mode of the SteeringWheel.

  • NAVSWHEELOPACITYBIG

    Controls the opacity of the big SteeringWheels.

  • NAVSWHEELOPACITYMINI

    Controls the opacity of the mini SteeringWheels.

  • NAVSWHEELSIZEBIG

    Specifies the size of the big SteeringWheels.

  • NAVSWHEELSIZEMINI

    Specifies the size of the mini SteeringWheels.

  • NAVVCUBEDISPLAY

    Controls the display of the ViewCube tool in the current viewport when the 3D graphics system is active.

  • NAVVCUBELOCATION

    Identifies the corner in a viewport where the ViewCube tool is displayed.

  • NAVVCUBEOPACITY

    Controls the opacity of the ViewCube tool when inactive.

  • NAVVCUBEORIENT

    Controls whether the ViewCube tool reflects the current UCS or WCS.

  • NAVVCUBESIZE

    Specifies the size of the ViewCube tool.

  • NOMUTT

    Suppresses the message display (muttering) when it wouldn't normally be suppressed.

  • NORTHDIRECTION

    Specifies the angle of the sun from north.


NAVSWHEELMODE (Quick Reference)

MYDOCUMENTSPREFIX
NAVSWHEELMODE
NAVSWHEELOPACITYBIG
System Variables > N System Variables >
NAVSWHEELMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies the current mode of the SteeringWheel.

0 | Big View Object wheel
1 | Big Tour Building wheel
2 | Big Full Navigation wheel
3 | 2D Navigation wheel
4 | Mini View Object wheel
5 | Mini Tour Building wheel
6 | Mini Full Navigation wheel


NAVSWHEELOPACITYBIG (Quick Reference)

NAVSWHEELMODE
NAVSWHEELOPACITYBIG
NAVSWHEELOPACITYMINI
System Variables > N System Variables >
NAVSWHEELOPACITYBIG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Controls the opacity of the big SteeringWheels.

Valid values are from 25 to 90 percent. When set to 90, the big wheels appear almost fully opaque against the drawing window and obscure the view of the objects under the wheel. When set to less than 90, the big wheels appear to fade into the drawing window, which results in the objects under the wheel to appear less obscured.


NAVSWHEELOPACITYMINI (Quick Reference)

NAVSWHEELOPACITYBIG
NAVSWHEELOPACITYMINI
NAVSWHEELSIZEBIG
System Variables > N System Variables >
NAVSWHEELOPACITYMINI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Controls the opacity of the mini SteeringWheels.

Valid values are from 25 to 90 percent. When set to 90, the mini wheels appear almost fully opaque against the drawing window and obscure the view of the objects under the wheel. When set to less than 90, the mini wheels appear to fade into the drawing window, which results in the objects under the wheel to appear less obscured.


NAVSWHEELSIZEBIG (Quick Reference)

NAVSWHEELOPACITYMINI
NAVSWHEELSIZEBIG
NAVSWHEELSIZEMINI
System Variables > N System Variables >
NAVSWHEELSIZEBIG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Specifies the size of the big SteeringWheels.

0 | Small
1 | Normal
2 | Large


NAVSWHEELSIZEMINI (Quick Reference)

NAVSWHEELSIZEBIG
NAVSWHEELSIZEMINI
NAVVCUBEDISPLAY
System Variables > N System Variables >
NAVSWHEELSIZEMINI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Specifies the size of the mini SteeringWheels.

0 | Small
1 | Normal
2 | Large
3 | Extra


NAVVCUBEDISPLAY (Quick Reference)

NAVSWHEELSIZEMINI
NAVVCUBEDISPLAY
NAVVCUBELOCATION
System Variables > N System Variables >
NAVVCUBEDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the display of the ViewCube tool in the current viewport when the 3D graphics system is active.

0 | ViewCube is not displayed
1 | ViewCube is displayed


NAVVCUBELOCATION (Quick Reference)

NAVVCUBEDISPLAY
NAVVCUBELOCATION
NAVVCUBEOPACITY
System Variables > N System Variables >
NAVVCUBELOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Identifies the corner in a viewport where the ViewCube tool is displayed.

0 | Upper-right
1 | Upper-left
2 | Lower-left
3 | Lower-right


NAVVCUBEOPACITY (Quick Reference)

NAVVCUBELOCATION
NAVVCUBEOPACITY
NAVVCUBEORIENT
System Variables > N System Variables >
NAVVCUBEOPACITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Controls the opacity of the ViewCube tool when inactive.

Valid values are from 0 to 100 percent. When set to 100, the ViewCube appears fully opaque against the drawing window and obscures all objects under it in the viewport. When set to less than 100, the ViewCube fades into the drawing window, which results in the objects under it to appear less obscured. If set to 0, the ViewCube is not displayed in the viewport unless the cursor is positioned over top of the ViewCube’s location.


NAVVCUBEORIENT (Quick Reference)

NAVVCUBEOPACITY
NAVVCUBEORIENT
NAVVCUBESIZE
System Variables > N System Variables >
NAVVCUBEORIENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether the ViewCube tool reflects the current UCS or WCS.

0 | ViewCube is oriented to reflect WCS
1 | ViewCube is oriented to reflect the current UCS


NAVVCUBESIZE (Quick Reference)

NAVVCUBEORIENT
NAVVCUBESIZE
NOMUTT
System Variables > N System Variables >
NAVVCUBESIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 4

Specifies the size of the ViewCube tool.

0 | Small
1 | Normal
2 | Large
3 | Tiny
4 | Automatic; the size of the ViewCube tool is scaled up or down based on the size of the active viewport, zoom factor of the active layout, or drawing window


NOMUTT (Quick Reference)

NAVVCUBESIZE
NOMUTT
NORTHDIRECTION
System Variables > N System Variables >
NOMUTT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Short
Saved in: | Not-saved
Initial value: | 0

Suppresses the message display (muttering) when it wouldn't normally be suppressed.

Displaying messages is the normal mode, but message display is suppressed during scripts, AutoLISP routines, and so on.

0 | Resumes normal muttering behavior
1 | Suppresses muttering indefinitely


NORTHDIRECTION (Quick Reference)

NOMUTT
NORTHDIRECTION
OBSCUREDCOLOR
System Variables > N System Variables >
NORTHDIRECTION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Specifies the angle of the sun from north.

This value is affected by the settings of the AUNITS and AUPREC system variables.

NoteThe angle is interpreted in the context of the world coordinate system (WCS). This value is completely separate from surveyor angular units, which are always set relative to the current UCS.


O System Variables

NORTHDIRECTION
System Variables
OBSCUREDCOLOR
System Variables >
O System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • OBSCUREDCOLOR

    Specifies the color of obscured lines.

  • OBSCUREDLTYPE

    Specifies the linetype of obscured lines.

  • OFFSETDIST

    Sets the default offset distance.

  • OFFSETGAPTYPE

    Controls how potential gaps between segments are treated when closed polylines are offset.

  • OLEFRAME

    Controls whether a frame is displayed and plotted on all OLE objects in the drawing.

  • OLEHIDE

    Controls the display and plotting of OLE objects.

  • OLEQUALITY

    Sets the default plot quality for OLE objects.

  • OLESTARTUP

    Controls whether the source application of an embedded OLE object loads when plotting.

  • OPENPARTIAL

    Controls whether a drawing file can be worked on before it is fully open.

  • OPMSTATE

    Stores a value that indicates whether the Properties palette is open, closed or hidden.

  • ORTHOMODE

    Constrains cursor movement to the perpendicular.

  • OSMODE

    Sets running object snaps

  • OSNAPCOORD

    Controls whether coordinates entered on the command line will override running object snaps.

  • OSNAPNODELEGACY

    Controls whether the Node object snap can be used to snap to multiline text objects.

  • OSNAPZ

    Controls whether object snaps are automatically projected onto a plane parallel to the XY plane of the current UCS at the current elevation.

  • OSOPTIONS

    Automatically suppresses object snaps on hatch objects and geometry with negative Z values when using a dynamic UCS.


OBSCUREDCOLOR (Quick Reference)

NORTHDIRECTION
OBSCUREDCOLOR
OBSCUREDLTYPE
System Variables > O System Variables >
OBSCUREDCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 257

Specifies the color of obscured lines.

Value 0 designates ByBlock, value 256 designates ByLayer, and value 257 designates ByEntity. Values 1-255 designate an AutoCAD Color Index (ACI).

An obscured line is a hidden line made visible by changing its color and linetype. OBSCUREDCOLOR is available only in 2D views. In 3D views, the VSOBSCUREDCOLOR system variable is used.

The OBSCUREDCOLOR setting is visible only if the OBSCUREDLTYPE system variable is turned on by setting it to a value other than 0.


OBSCUREDLTYPE (Quick Reference)

OBSCUREDCOLOR
OBSCUREDLTYPE
OFFSETDIST
System Variables > O System Variables >
OBSCUREDLTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Specifies the linetype of obscured lines.

Obscured linetypes are independent of zoom level, unlike regular linetypes. The linetype values are defined as follows:

0 | Off
1 | Solid
2 | Dashed
3 | Dotted
4 | Short Dash
5 | Medium Dash
6 | Long Dash
7 | Double Short Dash
8 | Double Medium Dash
9 | Double Long Dash
10 | Medium Long Dash
11 | Sparse Dot

An obscured line is a hidden line made visible by changing its color and linetype. OBSCUREDLTYPE is available only in 2D views. In 3D views, the VSOBSCUREDLTYPE system variable is used.


OFFSETDIST (Quick Reference)

OBSCUREDLTYPE
OFFSETDIST
OFFSETGAPTYPE
System Variables > O System Variables >
OFFSETDIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | -1.0000

Sets the default offset distance.

<0 | Offsets an object through a specified point
≥0 | Sets the default offset distance


OFFSETGAPTYPE (Quick Reference)

OFFSETDIST
OFFSETGAPTYPE
OLEFRAME
System Variables > O System Variables >
OFFSETGAPTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls how potential gaps between segments are treated when closed polylines are offset.

0 | Fills the gaps by extending the polyline segments
1 | Fills the gaps with filleted arc segments (the radius of each arc segment is equal to the offset distance)
2 | Fills the gaps with chamfered line segments (the perpendicular distance to each chamfer is equal to the offset distance)


OLEFRAME (Quick Reference)

OFFSETGAPTYPE
OLEFRAME
OLEHIDE
System Variables > O System Variables >
OLEFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Controls whether a frame is displayed and plotted on all OLE objects in the drawing.

The frame on an OLE object must be displayed in order for grips to be visible.

0 | Frame is not displayed and not plotted
1 | Frame is displayed and is plotted
2 | Frame is displayed but is not plotted


OLEHIDE (Quick Reference)

OLEFRAME
OLEHIDE
OLEQUALITY
System Variables > O System Variables >
OLEHIDE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display and plotting of OLE objects.

0 | All OLE objects are visible and plot
1 | OLE objects are visible and plot in paper space only
2 | OLE objects are visible and plot in model space only
3 | No OLE objects are visible or plot


OLEQUALITY (Quick Reference)

OLEHIDE
OLEQUALITY
OLESTARTUP
System Variables > O System Variables >
OLEQUALITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 3

Sets the default plot quality for OLE objects.

When OLEQUALITY is set to 3, the quality level is assigned automatically based on the type of object. For example, spreadsheets and tables are set to 0, color text and pie charts are set to 1, and photographs are set to 2.

0 | Monochrome
1 | Low graphics
2 | High graphics
3 | Automatically Select


OLESTARTUP (Quick Reference)

OLEQUALITY
OLESTARTUP
OPENPARTIAL
System Variables > O System Variables >
OLESTARTUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether the source application of an embedded OLE object loads when plotting.

Loading the OLE source application may improve the plot quality.

0 | Does not load the OLE source application
1 | Loads the OLE source application when plotting


OPENPARTIAL (Quick Reference)

OLESTARTUP
OPENPARTIAL
OPMSTATE
System Variables > O System Variables >
OPENPARTIAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether a drawing file can be worked on before it is fully open.

Two conditions must be met for this system variable to have an effect. The drawing must have been saved with paper space displayed (TILEMODE is set to 0), and the INDEXCTL system variable must be set to a non-zero value.

0 | Legacy behavior: A drawing must be fully opened before work can begin on it
1 | Work can begin on the visible portions of a drawing before it is fully open


OPMSTATE (Quick Reference)

OPENPARTIAL
OPMSTATE
ORTHOMODE
System Variables > O System Variables >
OPMSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Stores a value that indicates whether the Properties palette is open, closed or hidden.

0 | Closed
1 | Open
2 | Auto-hide: Open but only the title bar is displayed when the cursor moves off the palette


ORTHOMODE (Quick Reference)

OPMSTATE
ORTHOMODE
OSMODE
System Variables > O System Variables >
ORTHOMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Constrains cursor movement to the perpendicular.

When ORTHOMODE is turned on, the cursor can move only horizontally or vertically relative to the UCS and the current grid rotation angle

0 | Turns off Ortho mode
1 | Turns on Ortho mode


OSMODE (Quick Reference)

ORTHOMODE
OSMODE
OSNAPCOORD
System Variables > O System Variables >
OSMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 4133

Sets running object snaps

The setting is stored as a bitcode using the sum of the following values:

0 | NONe
1 | ENDpoint
2 | MIDpoint
4 | CENter
8 | NODe
16 | QUAdrant
32 | INTersection
64 | INSertion
128 | PERpendicular
256 | TANgent
512 | NEArest
1024 | Clears all object snaps
2048 | APParent Intersection
4096 | EXTension
8192 | PARallel

To specify more than one object snap, enter the sum of their values. For example, entering 3 specifies the Endpoint (bitcode 1) and Midpoint (bitcode 2) object snaps. Entering 16383 specifies all object snaps.

When object snaps are switched off using the Osnap button on the status bar, a bitcode of 16384 (0x4000) is returned, in addition to the normal value of OSMODE. With this additional value, developers can distinguish this mode from Object Snap modes that have been turned off from within the Drafting Settings dialog box. Setting this bit toggles running object snaps off. Setting OSMODE to a value with this bit off toggles running object snaps on.


OSNAPCOORD (Quick Reference)

OSMODE
OSNAPCOORD
OSNAPHATCH
System Variables > O System Variables >
OSNAPCOORD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls whether coordinates entered on the command line will override running object snaps.

0 | Running object snap settings override keyboard coordinate entry
1 | Keyboard entry overrides object snap settings
2 | Keyboard entry overrides object snap settings except in scripts


OSNAPNODELEGACY (Quick Reference)

OSNAPHATCH
OSNAPNODELEGACY
OSNAPZ
System Variables > O System Variables >
OSNAPNODELEGACY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the Node object snap can be used to snap to multiline text objects.

The number and location of nodes on a multiline text object snap depends on the vertical and horizontal justification of the multiline text object.

0 | Node object snap can be used with multiline text objects
1 | Node object snap ignores multiline text objects


OSNAPZ (Quick Reference)

OSNAPNODELEGACY
OSNAPZ
OSOPTIONS
System Variables > O System Variables >
OSNAPZ
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls whether object snaps are automatically projected onto a plane parallel to the XY plane of the current UCS at the current elevation.

0 | Osnap uses the Z-value of the specified point
1 | Osnap substitutes the Z-value of the specified point with the elevation (ELEV) set for the current UCS


OSOPTIONS (Quick Reference)

OSNAPZ
OSOPTIONS
PALETTEOPAQUE
System Variables > O System Variables >
OSOPTIONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 3

Automatically suppresses object snaps on hatch objects and geometry with negative Z values when using a dynamic UCS.

The setting is stored as a bitcode using the sum of the following values:

0 | Object snaps operate on hatch objects, and on geometry with negative Z values when using a dynamic UCS
1 | Object snaps ignore hatch objects
2 | Object snaps ignore geometry with negative Z values during use of a dynamic UCS


P System Variables

OSOPTIONS
System Variables
PALETTEOPAQUE
System Variables >
P System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • PALETTEOPAQUE

    Controls whether palettes can be made transparent.

  • PAPERUPDATE

    Controls the display of a warning dialog when attempting to print a layout with a paper size different from the paper size specified by the default for the plotter configuration file.

  • PARAMETERCOPYMODE

    Controls how constraints and referenced variables are copied when replicating constrained geometry.

  • PARAMETERSSTATUS

    Indicates whether the Parameters Manager palette is displayed or hidden.

  • PDFFRAME

    Determines whether the PDF underlay frame is visible.

  • PDFOSNAP

    Determines whether object snapping is active for geometry in PDF underlays that are attached to the drawing.

  • PDMODE

    Controls how point objects are displayed.

  • PDSIZE

    Sets the display size for point objects.

  • PEDITACCEPT

    Suppresses display of the Object Selected Is Not a Polyline prompt in PEDIT.

  • PELLIPSE

    Controls the ellipse type created with ELLIPSE.

  • PERIMETER

    Stores the last perimeter value computed by the AREA or LIST command.

  • PERSPECTIVE

    Specifies whether the current viewport displays a perspective view.

  • PERSPECTIVECLIP

    Determines the location of eyepoint clipping.

  • PFACEVMAX

    Sets the maximum number of vertices per face.

  • PICKADD

    Controls whether subsequent selections replace the current selection set or add to it.

  • PICKAUTO

    Controls automatic windowing at the Select Objects prompt.

  • PICKBOX

    Sets the object selection target height, in pixels.

  • PICKDRAG

    Controls the method of drawing a selection window.

  • PICKFIRST

    Controls whether you select objects before (noun-verb selection) or after you issue a command.

  • PICKSTYLE

    Controls the use of group selection and associative hatch selection.

  • PLATFORM

    Indicates which platform is in use.

  • PLINECONVERTMODE

    Specifies the fit method used in converting splines to polylines.

  • PLINEGEN

    Sets how linetype patterns generate around the vertices of a 2D polyline.

  • PLINETYPE

    Specifies whether optimized 2D polylines are used.

  • PLINEWID

    Stores the default polyline width.

  • PLOTOFFSET

    Controls whether the plot offset is relative to the printable area or to the edge of the paper.

  • PLOTROTMODE

    Controls the orientation of plots.

  • PLQUIET

    Controls the display of optional plot-related dialog boxes and nonfatal errors for scripts.

  • POLARADDANG

    Stores additional angles for polar tracking and polar snap.

  • POLARANG

    Sets the polar angle increment.

  • POLARDIST

    Sets the snap increment when the SNAPTYPE is set to 1 (PolarSnap).

  • POLARMODE

    Controls settings for polar and object snap tracking.

  • POLYSIDES

    Sets the default number of sides for the POLYGON command.

  • POPUPS

    Displays the status of the currently configured display driver.

  • PREVIEWEFFECT

    Specifies the visual effect used for previewing selection of objects.

  • PREVIEWFILTER

    Excludes specified object types from selection previewing.

  • PREVIEWTYPE

    Controls the view to use for the drawing thumbnail.

  • PRODUCT

    Returns the product name.

  • PROGRAM

    Returns the program name.

  • PROJECTNAME

    Assigns a project name to the current drawing.

  • PROJMODE

    Sets the current Projection mode for trimming or extending.

  • PROXYGRAPHICS

    Specifies whether images of proxy objects are saved in the drawing.

  • PROXYNOTICE

    Displays a notice when a proxy is created.

  • PROXYSHOW

    Controls the display of proxy objects in a drawing.

  • PROXYWEBSEARCH

    Specifies how the program checks for object enablers.

  • PSLTSCALE

    Controls the linetype scaling of objects displayed in paper space viewports.

  • PSOLHEIGHT

    Controls the default height for a swept solid object created with the POLYSOLID command.

  • PSOLWIDTH

    Controls the default width for a swept solid object created with the POLYSOLID command.

  • PSTYLEMODE

    Indicates whether the current drawing is in a Color-Dependent or Named Plot Style mode.

  • PSTYLEPOLICY

    Controls the plot style mode, Color-Dependent or Named, that is used when opening a drawing that was created in a release prior to AutoCAD 2000 or when creating a new drawing from scratch without using a drawing template.

  • PSVPSCALE

    Sets the view scale factor for all newly created viewports.

  • PUBLISHALLSHEETS

    Specifies whether to load the contents of the active document or of all open documents in the Publish dialog box.

  • PUBLISHCOLLATE
  • PUBLISHHATCH

    Controls whether hatch patterns published to DWF or DWFx format are treated as a single object when they are opened in Autodesk Impression.

  • PUCSBASE

    Stores the name of the UCS that defines the origin and orientation of orthographic UCS settings in paper space only.


PALETTEOPAQUE (Quick Reference)

OSOPTIONS
PALETTEOPAQUE
PAPERUPDATE
System Variables > P System Variables >
PALETTEOPAQUE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether palettes can be made transparent.

When transparency is available and turned on, you can use the Transparency option on the shortcut menu to set a different degree of transparency for the current palette or for all palettes.

When transparency is unavailable or turned off, all palettes are opaque. Transparency is unavailable when palettes or windows are docked, when transparency is not supported by the current operating system, or when a hardware accelerator is in use.

0 | Transparency is turned on
1 | Transparency is turned off
2 | Transparency is not available


PAPERUPDATE (Quick Reference)

PALETTEOPAQUE
PAPERUPDATE
PARAMETERCOPYMODE
System Variables > P System Variables >
PAPERUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of a warning dialog when attempting to print a layout with a paper size different from the paper size specified by the default for the plotter configuration file.

0 | Displays a warning dialog box if the paper size specified in the layout is not supported by the plotter
1 | Sets paper size to the configured paper size of the plotter configuration file


PARAMETERCOPYMODE (Quick Reference)

PAPERUPDATE
PARAMETERCOPYMODE
PARAMETERSSTATUS
System Variables > P System Variables >
PARAMETERCOPYMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls how constraints and referenced variables are copied when replicating constrained geometry.

You can use the PARAMETERCOPYMODE system variable to copy constraints and referenced variables within a drawing or across drawings.

NoteThe PARAMETERCOPYMODE system variable controls the replication of variables referenced by dimensional constraints, when the original variables cannot be referenced by the copied dimensional constraints. For example, you can copy constrained objects within the same drawing using commands such as COPY, ARRAY, or MIRROR command, and the dimensional constraints that are being copied contain expressions referencing other variables or dimensions. The newly created dimensional constraints will reference the same variables or dimensions as the originals. Additional parameters are not copied, no matter what the value of PARAMETERCOPYMODE system variable is.
0 | Within a drawing: Copies objects only. Across drawings: Does not copy constraints.
1 | Within a drawing: Copies objects and constraints. Across drawings: Copies constraints and variables; evaluates expressions as constraints.
2 | Within a drawing: Copies objects and constraints. Across drawings: Copies constraints, variables, and expressions. References the variable, if it exists in the new drawing; replaces the data with a constant, if it does not.
3 | Within a drawing: Copies objects and constraints. Across drawings: Copies constraints, variables, and expressions. References the variable, if it exists in the new drawing; creates the variable in the drawing, if it does not.
4 | Within a drawing: Copies objects and constraints. Across a drawing: Copies everything. Creates variables as needed.


PARAMETERSSTATUS (Quick Reference)

PARAMETERCOPYMODE
PARAMETERSSTATUS
PDFFRAME
System Variables > P System Variables >
PARAMETERSSTATUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Registry
Initial value: | 0

Indicates whether the Parameters Manager palette is displayed or hidden.

0 | Hidden
1 | Displayed


PDFFRAME (Quick Reference)

PARAMETERSSTATUS
PDFFRAME
PDFOSNAP
System Variables > P System Variables >
PDFFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Determines whether the PDF underlay frame is visible.

The FRAME system variable overrides the PDFFRAME setting. Use the PDFFRAME system variable after the FRAME system variable to reset the PDF frame settings.

0 | The PDF underlay frame is not visible and it is not plotted
1 | Displays the PDF underlay frame and allows it to be plotted
2 | Displays the PDF underlay frame but keeps it from being plotted


PDFOSNAP (Quick Reference)

PDFFRAME
PDFOSNAP
PDMODE
System Variables > P System Variables >
PDFOSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether object snapping is active for geometry in PDF underlays that are attached to the drawing.

The UOSNAP system variable overrides the PDFOSNAP setting.

0 | Object snapping is disabled for geometry in all PDF underlay attachments in the drawing
1 | Object snapping is enabled for geometry in all PDF underlay attachments in the drawing


PDMODE (Quick Reference)

PDFOSNAP
PDMODE
PDSIZE
System Variables > P System Variables >
PDMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls how point objects are displayed.

For information about values to enter, see the POINT command.


PDSIZE (Quick Reference)

PDMODE
PDSIZE
PEDITACCEPT
System Variables > P System Variables >
PDSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the display size for point objects.

0 | Creates a point at 5 percent of the drawing area height
>0 | Specifies an absolute size
<0 | Specifies a percentage of the viewport size


PEDITACCEPT (Quick Reference)

PDSIZE
PEDITACCEPT
PELLIPSE
System Variables > P System Variables >
PEDITACCEPT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Suppresses display of the Object Selected Is Not a Polyline prompt in PEDIT.

The prompt is followed by “Do you want it to turn into one?” Entering y converts the selected object to a polyline. When the prompt is suppressed, the selected object is automatically converted to a polyline.

0 | The prompt is displayed
1 | The prompt is suppressed


PELLIPSE (Quick Reference)

PEDITACCEPT
PELLIPSE
PERIMETER
System Variables > P System Variables >
PELLIPSE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the ellipse type created with ELLIPSE.

0 | Creates a true ellipse object.
1 | Creates a polyline representation of an ellipse


PERIMETER (Quick Reference)

PELLIPSE
PERIMETER
PERSPECTIVE
System Variables > P System Variables >
PERIMETER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Not-saved
Initial value: | 0.0000

Stores the last perimeter value computed by the AREA or LIST command.

Also stores perimeter values computed by DBLIST


PERSPECTIVE (Quick Reference)

PERIMETER
PERSPECTIVE
PERSPECTIVECLIP
System Variables > P System Variables >
PERSPECTIVE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | Varies

Specifies whether the current viewport displays a perspective view.

0 | Perspective view turned off
1 | Perspective view turned on

Perspective views are available only in model space, and only with 3D visual styles.

NotePERSPECTIVE is set to 0 when the drawing file or DXF file is saved to a file format earlier than AutoCAD 2007.


PERSPECTIVECLIP (Quick Reference)

PERSPECTIVE
PERSPECTIVECLIP
PFACEVMAX
System Variables > P System Variables >
PERSPECTIVECLIP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 5.0000

Determines the location of eyepoint clipping.

The value determines where the eye point clipping occurs as a percentage. Values can range between 0.01 and 10.0. If you select a small value, the z-values of objects will be compressed at the target view and beyond. If you select a value such as 0.5%, the clipping will appear very close to the eyepoint of the view. In some extreme cases it might be appropriate to use 0.1%, but it is recommended to change the setting to a higher value such as 5%.


PFACEVMAX (Quick Reference)

PERSPECTIVECLIP
PFACEVMAX
PICKADD
System Variables > P System Variables >
PFACEVMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 4

Sets the maximum number of vertices per face.

This system variable affects only legacy polyface meshes such as those created by PFACE.


PICKADD (Quick Reference)

PFACEVMAX
PICKADD
PICKAUTO
System Variables > P System Variables >
PICKADD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether subsequent selections replace the current selection set or add to it.

0 | Turns off PICKADD. The objects and subobjects most recently selected become the selection set. Previously selected objects and subobjects are removed from the selection set. Add more objects or subobjects to the selection set by pressing SHIFT while selecting.
1 | Turns on PICKADD. Each object and subobject selected, either individually or by windowing, is added to the current selection set. To remove objects or subobjects from the set, press SHIFT while selecting.


PICKAUTO (Quick Reference)

PICKADD
PICKAUTO
PICKBOX
System Variables > P System Variables >
PICKAUTO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls automatic windowing at the Select Objects prompt.

0 | Turns off PICKAUTO.
1 | Draws a selection window (for either a window or a crossing selection) automatically at the Select Objects prompt


PICKBOX (Quick Reference)

PICKAUTO
PICKBOX
PICKDRAG
System Variables > P System Variables >
PICKBOX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 3

Sets the object selection target height, in pixels.

NoteWhen PICKBOX is set to 0, selection previewing of objects is not available.


PICKDRAG (Quick Reference)

PICKBOX
PICKDRAG
PICKFIRST
System Variables > P System Variables >
PICKDRAG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the method of drawing a selection window.

0 | Draws the selection window using two points. Click the pointing device at one corner, and then click to select another corner.
1 | Draws the selection window using dragging. Click one corner and drag the pointing device; release the button at the other corner.


PICKFIRST (Quick Reference)

PICKDRAG
PICKFIRST
PICKSTYLE
System Variables > P System Variables >
PICKFIRST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether you select objects before (noun-verb selection) or after you issue a command.

0 | Turns off PICKFIRST; you select objects after you issue a command
1 | Turns on PICKFIRST; you select objects before you issue a command


PICKSTYLE (Quick Reference)

PICKFIRST
PICKSTYLE
PLATFORM
System Variables > P System Variables >
PICKSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the use of group selection and associative hatch selection.

0 | No group selection or associative hatch selection
1 | Group selection
2 | Associative hatch selection
3 | Group selection and associative hatch selection


PLATFORM (Quick Reference)

PICKSTYLE
PLATFORM
PLINECONVERTMODE
System Variables > P System Variables >
PLATFORM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Indicates which platform is in use.


PLINECONVERTMODE (Quick Reference)

PLATFORM
PLINECONVERTMODE
PLINEGEN
System Variables > P System Variables >
PLINECONVERTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Specifies the fit method used in converting splines to polylines.

0 | Polylines are created with linear segments
1 | Polylines are created with arc segments


PLINEGEN (Quick Reference)

PLINECONVERTMODE
PLINEGEN
PLINETYPE
System Variables > P System Variables >
PLINEGEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets how linetype patterns generate around the vertices of a 2D polyline.

Does not apply to polylines with tapered segments.

0 | Generates polylines to start and end with a dash at each vertex
1 | Generates the linetype in a continuous pattern around the vertices of the polyline


PLINETYPE (Quick Reference)

PLINEGEN
PLINETYPE
PLINEWID
System Variables > P System Variables >
PLINETYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies whether optimized 2D polylines are used.

PLINETYPE controls both the creation of new polylines with the PLINE command and the conversion of existing polylines in drawings from previous releases.

0 | Polylines in older drawings are not converted when opened; PLINE creates old-format polylines
1 | Polylines in older drawings are not converted when opened; PLINE creates optimized polylines
2 | Polylines in AutoCAD Release 14 or older drawings are converted when opened; PLINE creates optimized polylines

For more information on the two formats, see the CONVERT command.

PLINETYPE also controls the polyline type created with the following commands: BOUNDARY (when object type is set to Polyline), DONUT, PEDIT (when selecting a line or arc), POLYGON, and SKETCH (when SKPOLY is set to 1).


PLINEWID (Quick Reference)

PLINETYPE
PLINEWID
PLOTOFFSET
System Variables > P System Variables >
PLINEWID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the default polyline width.


PLOTOFFSET (Quick Reference)

PLINEWID
PLOTOFFSET
PLOTROTMODE
System Variables > P System Variables >
PLOTOFFSET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the plot offset is relative to the printable area or to the edge of the paper.

0 | Sets the plot offset relative to the printable area.
1 | Sets the plot offset relative to the edge of the paper


PLOTROTMODE (Quick Reference)

PLOTOFFSET
PLOTROTMODE
PLQUIET
System Variables > P System Variables >
PLOTROTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the orientation of plots.

0 | Rotates the effective plotting area so the corner with the Rotation icon aligns with the paper at the lower left for 0, top left for 90, top right for 180, and lower right for 270. X and Y origin offsets are calculated relative to the lower-left corner.
1 | Aligns the lower-left corner of the effective plotting area with the lower-left corner of the paper.
2 | Works the same as 0 value except that the X and Y origin offsets are calculated relative to the rotated origin position.


PLQUIET (Quick Reference)

PLOTROTMODE
PLQUIET
POLARADDANG
System Variables > P System Variables >
PLQUIET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of optional plot-related dialog boxes and nonfatal errors for scripts.

0 | Displays plot dialog boxes and nonfatal errors
1 | Logs nonfatal errors and doesn't display plot-related dialog boxes


POLARADDANG (Quick Reference)

PLQUIET
POLARADDANG
POLARANG
System Variables > P System Variables >
POLARADDANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | ""

Stores additional angles for polar tracking and polar snap.

You can add up to 10 angles. Each angle can be up to 25 characters, separated with semicolons (;). The AUNITS system variable sets the format for display of angles.Unlike POLARANG, POLARADDANG angles do not result in multiples of their values.

The bit value for the POLARMODE system variable must have 4 turned on for POLARADDANG to have an effect.

When using fractions of an angle, set the AUPREC system variable (angular precision) to a higher value. Otherwise, the POLARADDANG value will be rounded off.


POLARANG (Quick Reference)

POLARADDANG
POLARANG
POLARDIST
System Variables > P System Variables >
POLARANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 90

Sets the polar angle increment.

Values are 90, 45, 30, 22.5, 18, 15,10, and 5.


POLARDIST (Quick Reference)

POLARANG
POLARDIST
POLARMODE
System Variables > P System Variables >
POLARDIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Registry
Initial value: | 0.0000

Sets the snap increment when the SNAPTYPE is set to 1 (PolarSnap).


POLARMODE (Quick Reference)

POLARDIST
POLARMODE
POLYSIDES
System Variables > P System Variables >
POLARMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls settings for polar and object snap tracking.

The setting is stored as a bitcode using the sum of the following values:

Polar angle measurements

0 | Measure polar angles based on current UCS (absolute)
1 | Measure polar angles from selected objects (relative)

Object snap tracking

0 | Track orthogonally only
2 | Use polar tracking settings in object snap tracking

Use additional polar tracking angles

0 | No
4 | Yes

Acquire object snap tracking points

0 | Acquire automatically
8 | Press SHIFT to acquire
NoteIn a 3D view, a tracking vector parallel to the Z axis of the UCS is also displayed, and the tooltip displays +Z and -Z for the angle depending on the direction along the Z axis.


POLYSIDES (Quick Reference)

POLARMODE
POLYSIDES
POPUPS
System Variables > P System Variables >
POLYSIDES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 4

Sets the default number of sides for the POLYGON command.

The range is 3 to 1024.


POPUPS (Quick Reference)

POLYSIDES
POPUPS
PREVIEWEFFECT
System Variables > P System Variables >
POPUPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Displays the status of the currently configured display driver.

0 | Does not support dialog boxes, the menu bar, and icon menus
1 | Supports these features


PREVIEWEFFECT (Quick Reference)

POPUPS
PREVIEWEFFECT
PREVIEWFILTER
System Variables > P System Variables >
PREVIEWEFFECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies the visual effect used for previewing selection of objects.

0 | Dashed lines (the default display for selected objects)
1 | Thickened lines
2 | Dashed and thickened lines


PREVIEWFILTER (Quick Reference)

PREVIEWEFFECT
PREVIEWFILTER
PREVIEWTYPE
System Variables > P System Variables >
PREVIEWFILTER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 7

Excludes specified object types from selection previewing.

The setting is stored as a bitcode using the sum of the following values:

0 | Excludes nothing
1 | Excludes objects on locked layers
2 | Excludes objects in xrefs
4 | Excludes tables
8 | Excludes multiline text objects
16 | Excludes hatch objects
32 | Excludes objects in groups


PREVIEWTYPE (Quick Reference)

PREVIEWFILTER
PREVIEWTYPE
PRODUCT
System Variables > P System Variables >
PREVIEWTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the view to use for the drawing thumbnail.

0 | Use last saved view
1 | Use Home view


PRODUCT (Quick Reference)

PREVIEWTYPE
PRODUCT
PROGRAM
System Variables > P System Variables >
PRODUCT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | "AutoCAD"

Returns the product name.


PROGRAM (Quick Reference)

PRODUCT
PROGRAM
PROJECTNAME
System Variables > P System Variables >
PROGRAM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | "acad"

Returns the program name.


PROJECTNAME (Quick Reference)

PROGRAM
PROJECTNAME
PROJMODE
System Variables > P System Variables >
PROJECTNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Assigns a project name to the current drawing.

Used when an xref, image, or DWF underlay file is not found in its original path. The project name points to a section in the registry that can contain one or more search paths for each project name defined. Project names and their search directories are created from the Files tab of the Options dialog box.

Project names make it easier for users to manage xrefs, images, and DWF underlay when drawings are exchanged between customers, or if users have different drive mappings to the same location on a server.

If the xref, image, or DWF underlay file is not found at the original path, the project paths associated with the project name are searched. If the xref, image, or DWF underlay file is not found there, the AutoCAD search path is searched.


PROJMODE (Quick Reference)

PROJECTNAME
PROJMODE
PROXYGRAPHICS
System Variables > P System Variables >
PROJMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Sets the current Projection mode for trimming or extending.

0 | True 3D mode (no projection)
1 | Project to the XY plane of the current UCS
2 | Project to the current view plane


PROXYGRAPHICS (Quick Reference)

PROJMODE
PROXYGRAPHICS
PROXYNOTICE
System Variables > P System Variables >
PROXYGRAPHICS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies whether images of proxy objects are saved in the drawing.

0 | Does not save image with the drawing; a bounding box is displayed instead
1 | Saves image with the drawing


PROXYNOTICE (Quick Reference)

PROXYGRAPHICS
PROXYNOTICE
PROXYSHOW
System Variables > P System Variables >
PROXYNOTICE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Displays a notice when a proxy is created.

A proxy is created when you open a drawing containing custom objects created by an application that is not present. A proxy is also created when you issue a command that unloads a custom object's parent application.

0 | No proxy warning is displayed
1 | Proxy warning is displayed


PROXYSHOW (Quick Reference)

PROXYNOTICE
PROXYSHOW
PROXYWEBSEARCH
System Variables > P System Variables >
PROXYSHOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of proxy objects in a drawing.

0 | Proxy objects are not displayed
1 | Graphic images are displayed for all proxy objects
2 | Only the bounding box is displayed for all proxy objects


PROXYWEBSEARCH (Quick Reference)

PROXYSHOW
PROXYWEBSEARCH
PSLTSCALE
System Variables > P System Variables >
PROXYWEBSEARCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Specifies how the program checks for object enablers.

Object enablers allow you to display and use custom objects in drawings even when the ObjectARX application that created them is unavailable. PROXYWEBSEARCH is also controlled with the Live Enabler options on the System tab of the Options dialog box.

0 | Prevents checking for object enablers
1 | Checks for object enablers only if a live Internet connection is present


PSLTSCALE (Quick Reference)

PROXYWEBSEARCH
PSLTSCALE
PSOLHEIGHT
System Variables > P System Variables >
PSLTSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the linetype scaling of objects displayed in paper space viewports.

0 | No special linetype scaling. Linetype dash lengths are based on the drawing units of the space (model or paper) in which the objects were created. Scaled by the global LTSCALE factor.
1 | Viewport scaling governs linetype scaling. If TILEMODE is set to 0, dash lengths are based on paper space drawing units, even for objects in model space. In this mode, viewports can have varying magnifications, yet display linetypes identically. For a specific linetype, the dash lengths of a line in a viewport are the same as the dash lengths of a line in paper space. You can still control the dash lengths with LTSCALE

When you change PSLTSCALE or use a command such as ZOOM with PSLTSCALE set to 1, objects in viewports are not automatically regenerated with the new linetype scale. Use the REGEN or REGENALL command to update the linetype scales in each viewport.


PSOLHEIGHT (Quick Reference)

PSLTSCALE
PSOLHEIGHT
PSOLWIDTH
System Variables > P System Variables >
PSOLHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 4.0000 (imperial) or 80.0000 (metric)

Controls the default height for a swept solid object created with the POLYSOLID command.

The value reflects the last entered height value when using the POLYSOLID command. You cannot enter 0 as the value.


PSOLWIDTH (Quick Reference)

PSOLHEIGHT
PSOLWIDTH
PSTYLEMODE
System Variables > P System Variables >
PSOLWIDTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.2500 (imperial) or 5.0000 (metric)

Controls the default width for a swept solid object created with the POLYSOLID command.

The value reflects the last entered height value when using the POLYSOLID command. You cannot enter 0 as the value.


PSTYLEMODE (Quick Reference)

PSOLWIDTH
PSTYLEMODE
PSTYLEPOLICY
System Variables > P System Variables >
PSTYLEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Indicates whether the current drawing is in a Color-Dependent or Named Plot Style mode.

0 | Uses named plot style tables in the current drawing
1 | Uses color-dependent plot style tables in the current drawing


PSTYLEPOLICY (Quick Reference)

PSTYLEMODE
PSTYLEPOLICY
PSVPSCALE
System Variables > P System Variables >
PSTYLEPOLICY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the plot style mode, Color-Dependent or Named, that is used when opening a drawing that was created in a release prior to AutoCAD 2000 or when creating a new drawing from scratch without using a drawing template.

0 | Drawing is set to use named plot styles. The plot style for new objects is set to the default defined in DEFPLSTYLE. The plot style for new layers is set to the default defined in DEFLPLSTYLE.
1 | Drawing is set to use color-dependent plot styles. The plot style for an object is based on the object’s color.


PSVPSCALE (Quick Reference)

PSTYLEPOLICY
PSVPSCALE
PUBLISHALLSHEETS
System Variables > P System Variables >
PSVPSCALE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the view scale factor for all newly created viewports.

The view scale factor is defined by comparing the ratio of units in paper space to the units in newly created model space viewports. The view scale factor you set is used with the VPORTS command. A value of 0 means the scale factor is Scaled to Fit. A scale must be a positive real value.


PUBLISHALLSHEETS (Quick Reference)

PSVPSCALE
PUBLISHALLSHEETS
PUBLISHCOLLATE
System Variables > P System Variables >
PUBLISHALLSHEETS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Specifies whether to load the contents of the active document or of all open documents in the Publish dialog box.

0 | Only the current document's contents (layouts and/or model space) are automatically loaded in the publish list
1 | The contents (layouts and/or model space) of all open AutoCAD documents are automatically loaded in the publish list


PUBLISHCOLLATE (Quick Reference)

PUBLISHALLSHEETS
PUBLISHCOLLATE
PUBLISHHATCH
System Variables > P System Variables >
PUBLISHCOLLATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Publishing sheets as a single job requires A plot driver that supports the multi-sheet plotting or printing option

0 | A published sheet set is processed one sheet at a time. Separate PLT files are created for each sheet. If the sheet set is published, the sheets might be interleaved with other plot jobs.
1 | A published sheet set is processed as a single job. A multi-sheet PLT file is created. If the sheet set is published, it is never interleaved with other plot jobs.


PUBLISHHATCH (Quick Reference)

PUBLISHCOLLATE
PUBLISHHATCH
PUCSBASE
System Variables > P System Variables >
PUBLISHHATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether hatch patterns published to DWF or DWFx format are treated as a single object when they are opened in Autodesk Impression.

0 | Treats hatch pattern components as separate objects when published to a DWF or DWFx format
1 | Treats hatch pattern components as a single object when published to a DWF or DWFx format
NoteAutodesk Impression uses this information to improve performance when handling DWF or DWFx files that contain hatches. This variable only affects drawings published to the DWF or DWFx format. It does not affect drawings plotted to the DWF or DWFx format.


PUCSBASE (Quick Reference)

PUBLISHHATCH
PUCSBASE
QCSTATE
System Variables > P System Variables >
PUCSBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Stores the name of the UCS that defines the origin and orientation of orthographic UCS settings in paper space only.


Q System Variables

PUCSBASE
System Variables
QCSTATE
System Variables >
Q System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • QCSTATE

    Indicates whether the QuickCalc calculator is open or closed.

  • QPMODE

    Sets the on or off state of Quick Properties palette.

  • QPLOCATION

    Sets the location mode of Quick Properties palette.

  • QTEXTMODE

    Controls how text is displayed.

  • QVDRAWINGPIN

    Controls the default display state of preview images of drawings.

  • QVLAYOUTPIN

    Controls the default display state of preview images of model space and layouts in a drawing.


QCSTATE (Quick Reference)

PUCSBASE
QCSTATE
QPMODE
System Variables > Q System Variables >
QCSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | Varies

Indicates whether the QuickCalc calculator is open or closed.

0 | Closed
1 | Open


QPMODE (Quick Reference)

QCSTATE
QPMODE
QPLOCATION
System Variables > Q System Variables >
QPMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Sets the on or off state of Quick Properties palette.

0 | Turns off the display of the Quick Properties palette for all objects. When turned back on by clicking Quick Properties on the status bar, QPMODE is set to 1
1 | Turns on the display of the Quick Properties palette for all objects
2 | Turns on the display of Quick Properties palette only for objects that are defined in the Customize User Interface (CUI) Editor to display properties
NoteWhen this system variable is set to a negative number, the feature is turned off but the value is retained.


QPLOCATION (Quick Reference)

QPMODE
QPLOCATION
QTEXTMODE
System Variables > Q System Variables >
QPLOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Sets the location mode of Quick Properties palette.

0 | Quick Properties palette displays using the Cursor-dependent location mode
1 | Quick Properties palette displays using the Static location mode


QTEXTMODE (Quick Reference)

QPLOCATION
QTEXTMODE
QVDRAWINGPIN
System Variables > Q System Variables >
QTEXTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls how text is displayed.

0 | Turns off Quick Text mode; displays characters
1 | Turns on Quick Text mode; displays a box in place of text


QVDRAWINGPIN (Quick Reference)

QTEXTMODE
QVDRAWINGPIN
QVLAYOUTPIN
System Variables > Q System Variables >
QVDRAWINGPIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the default display state of preview images of drawings.

0 | Displays preview images of drawings in an unpinned state
1 | Displays preview images of drawings in a pinned state


QVLAYOUTPIN (Quick Reference)

QVDRAWINGPIN
QVLAYOUTPIN
RASTERDPI
System Variables > Q System Variables >
QVLAYOUTPIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the default display state of preview images of model space and layouts in a drawing.

0 | Displays preview images of model space and layouts in a drawing in an unpinned state
1 | Displays preview images of model space and layouts in a drawing in a pinned state


R System Variables

QVLAYOUTPIN
System Variables
RASTERDPI
System Variables >
R System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • RASTERDPI

    Controls paper size and plot scaling when changing from dimensional to dimensionless output devices, or vice versa.

  • RASTERPERCENT

    Sets the maximum percentage of available virtual memory that is allowed for plotting a raster image.

  • RASTERPREVIEW

    Controls whether BMP preview images are saved with the drawing.

  • RASTERTHRESHOLD

    Specifies a raster threshold in megabytes.

  • RECOVERYMODE

    Controls whether drawing recovery information is recorded after a system failure.

  • REFEDITNAME

    Displays the name of the reference being edited.

  • REGENMODE

    Controls automatic regeneration of the drawing.

  • RE-INIT

    Reinitializes the digitizer, digitizer port, and acad.pgp file.

  • REMEMBERFOLDERS

    Controls the default path displayed in standard file selection dialog boxes.

  • RENDERPREFSSTATE

    Indicates whether the Render Settings palette is open or closed.

  • RENDERUSERLIGHTS

    Controls whether to override the setting for viewport lighting during rendering.

  • REPORTERROR

    Controls whether an error report can be sent to Autodesk if the program closes unexpectedly.

  • RIBBONCONTEXTSELECT

    Controls how ribbon contextual tabs are displayed when you single- or double-click an object.

  • RIBBONCONTEXTSELLIM

    Suppresses the display of ribbon contextual tabs when the selection set includes more than the specified number of objects.

  • RIBBONDOCKEDHEIGHT

    Determines whether the docked ribbon is set to the height of the current tab or a predetermined height.

  • RIBBONSELECTMODE

    Determines whether a pickfirst selection set remains selected after a ribbon contextual tab is invoked and the command is completed.

  • RIBBONSTATE

    Indicates whether the ribbon palette is open or closed.

  • ROAMABLEROOTPREFIX

    Stores the full path to the root folder where roamable customizable files were installed.

  • ROLLOVERTIPS

    Controls the display of rollover tooltips in the application.

  • RTDISPLAY

    Controls the display of raster images and OLE objects during Realtime ZOOM or PAN.


RASTERDPI (Quick Reference)

QVLAYOUTPIN
RASTERDPI
RASTERPERCENT
System Variables > R System Variables >
RASTERDPI
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 300

Controls paper size and plot scaling when changing from dimensional to dimensionless output devices, or vice versa.

Converts millimeters or inches to pixels, or vice versa. Accepts an integer between 100 and 32,767 as a valid value.


RASTERPERCENT (Quick Reference)

RASTERDPI
RASTERPERCENT
RASTERPREVIEW
System Variables > R System Variables >
RASTERPERCENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 20

Sets the maximum percentage of available virtual memory that is allowed for plotting a raster image.


RASTERPREVIEW (Quick Reference)

RASTERPERCENT
RASTERPREVIEW
RASTERTHRESHOLD
System Variables > R System Variables >
RASTERPREVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether BMP preview images are saved with the drawing.

0 | No preview image is created
1 | Preview image created


RASTERTHRESHOLD (Quick Reference)

RASTERPREVIEW
RASTERTHRESHOLD
RECOVERYMODE
System Variables > R System Variables >
RASTERTHRESHOLD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 20

Specifies a raster threshold in megabytes.

If the plotted raster image exceeds this threshold, the availability of system memory is checked. The plot is aborted if the image is too big for the available memory.


RECOVERYMODE (Quick Reference)

RASTERTHRESHOLD
RECOVERYMODE
REFEDITNAME
System Variables > R System Variables >
RECOVERYMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls whether drawing recovery information is recorded after a system failure.

0 | Recovery information is not recorded, the Drawing Recovery window does not display automatically after a system failure, and any recovery information in the system registry is removed
1 | Recovery information is recorded, but the Drawing Recovery window does not display automatically after a system failure
2 | Recovery information is recorded, and the Drawing Recovery window displays automatically in the next session after a system failure


REFEDITNAME (Quick Reference)

RECOVERYMODE
REFEDITNAME
REGENMODE
System Variables > R System Variables >
REFEDITNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | ""

Displays the name of the reference being edited.


REGENMODE (Quick Reference)

REFEDITNAME
REGENMODE
RE-INIT
System Variables > R System Variables >
REGENMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls automatic regeneration of the drawing.

0 | Turns off the REGENAUTO command
1 | Turns on the REGENAUTO command


RE-INIT (Quick Reference)

REGENMODE
RE-INIT
REMEMBERFOLDERS
System Variables > R System Variables >
RE-INIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Reinitializes the digitizer, digitizer port, and acad.pgp file.

The setting is stored as a bitcode using the sum of the following values:

1 | Digitizer input/output port reinitialization
4 | Digitizer reinitialization
16 | PGP file reinitialization (reload)

To specify more than one reinitialization, enter the sum of the bitcode values. For example, enter 5 to specify both digitizer port (1) and digitizer reinitialization (4).


REMEMBERFOLDERS (Quick Reference)

RE-INIT
REMEMBERFOLDERS
RENDERPREFSSTATE
System Variables > R System Variables >
REMEMBERFOLDERS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the default path displayed in standard file selection dialog boxes.

0 | Uses standard Microsoft behavior. When you first start the program after installation, the default path in each standard file selection dialog box is My Documents. When you open or save a file to another folder, that folder is remembered for future file selection. The Start In folder specified for the shortcut icon is not used)
1 | Restores the behavior of AutoCAD 2000 and previous releases. When you start the program by double-clicking a shortcut icon, if a Start In path is specified in the icon properties, that path is used as the default for all standard file selection dialog boxes.


RENDERPREFSSTATE (Quick Reference)

REMEMBERFOLDERS
RENDERPREFSSTATE
RENDERUSERLIGHTS
System Variables > R System Variables >
RENDERPREFSSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the Render Settings palette is open or closed.

0 | Closed
1 | Open


RENDERUSERLIGHTS (Quick Reference)

RENDERPREFSSTATE
RENDERUSERLIGHTS
REPORTERROR
System Variables > R System Variables >
RENDERUSERLIGHTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether to override the setting for viewport lighting during rendering.

Provides a way of overriding the DEFAULTLIGHTING system variable for rendering while retaining the setting for working in a viewport.

0 | The current lights in the viewport are used in the rendered scene, either default lights or user lights, as specified by the DEFAULTLIGHTING system variable.
1 | Overrides the setting for the DEFAULTLIGHTING system variable. Only user lights are rendered.


REPORTERROR (Quick Reference)

RENDERUSERLIGHTS
REPORTERROR
RIBBONCONTEXTSELECT
System Variables > R System Variables >
REPORTERROR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether an error report can be sent to Autodesk if the program closes unexpectedly.

Error reports help Autodesk diagnose problems with the software.

0 | The Error Report message is not displayed, and no report can be sent to Autodesk.
1 | The Error Report message is displayed, and an error report can be sent to Autodesk

An error report can be sent to Microsoft if REPORTERROR is set to 0 and Windows is set to allow error reports.


RIBBONCONTEXTSELECT (Quick Reference)

REPORTERROR
RIBBONCONTEXTSELECT
RIBBONCONTEXTSELLIM
System Variables > R System Variables >
RIBBONCONTEXTSELECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Controls how ribbon contextual tabs are displayed when you single- or double-click an object.

You can set this variable in the Ribbon Contextual Tab State Options dialog box.

0 | When an object or selection set is single- or double-clicked, focus is not automatically switched to ribbon contextual tabs defined in contextual tab states.
1 | When an object or selection set is single-clicked, focus is switched to the first ribbon contextual tab defined in contextual tab states.
2 | When an object or selection set is double-clicked, focus is switched to the first ribbon contextual tab defined in contextual tab states.


RIBBONCONTEXTSELLIM (Quick Reference)

RIBBONCONTEXTSELECT
RIBBONCONTEXTSELLIM
RIBBONDOCKEDHEIGHT
System Variables > R System Variables >
RIBBONCONTEXTSELLIM
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 2500

Suppresses the display of ribbon contextual tabs when the selection set includes more than the specified number of objects.

The valid range is 0 to 32,767. For example, when set to 1, ribbon contextual tabs are not displayed when more than one object is selected. When set to 0, ribbon contextual tabs are always displayed.

You can set this variable in the Ribbon Contextual Tab State Options dialog box.


RIBBONDOCKEDHEIGHT (Quick Reference)

RIBBONCONTEXTSELLIM
RIBBONDOCKEDHEIGHT
RIBBONSELECTMODE
System Variables > R System Variables >
RIBBONDOCKEDHEIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 100

Determines whether the docked ribbon is set to the height of the current tab or a predetermined height.

The valid range is from 0 to 500. When set to 0, the ribbon will always size itself to the height of the selected tab. When set to any value between 1 to 500, the ribbon will always be that number of pixels high.


RIBBONSELECTMODE (Quick Reference)

RIBBONDOCKEDHEIGHT
RIBBONSELECTMODE
RIBBONSTATE
System Variables > R System Variables >
RIBBONSELECTMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Determines whether a pickfirst selection set remains selected after a ribbon contextual tab is invoked and the command is completed.

You can set this variable in the Ribbon Contextual Tab State Options dialog box.

0 | The pickfirst selection set does not remain selected after a command is executed from a ribbon contextual tab. NoteThere may be exceptions for some commands.
1 | The pickfirst selection set remains selected after a command is executed from a ribbon contextual tab.


RIBBONSTATE (Quick Reference)

RIBBONSELECTMODE
RIBBONSTATE
ROAMABLEROOTPREFIX
System Variables > R System Variables >
RIBBONSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Indicates whether the ribbon palette is open or closed.

0 | Closed
1 | Open


ROAMABLEROOTPREFIX (Quick Reference)

RIBBONSTATE
ROAMABLEROOTPREFIX
ROLLOVERTIPS
System Variables > R System Variables >
ROAMABLEROOTPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | Varies

Stores the full path to the root folder where roamable customizable files were installed.

If you are working on a network that supports roaming, when you customize files that are in your roaming profile they are available to you regardless of which machine you are currently using.

These files are stored in the product folder under the Application Data folder; for example, "c:\Documents and Settings\username\Application Data\productname\version\language".


ROLLOVERTIPS (Quick Reference)

ROAMABLEROOTPREFIX
ROLLOVERTIPS
RTDISPLAY
System Variables > R System Variables >
ROLLOVERTIPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of rollover tooltips in the application.

The content in tooltips can be customized in the Customize User Interface (CUI) Editor.

0 | Object rollover tooltips are not displayed
1 | Object rollover tooltips are displayed

ROLLOVERTIPS is saved in the current profile.


RTDISPLAY (Quick Reference)

ROLLOVERTIPS
RTDISPLAY
SAVEFIDELITY
System Variables > R System Variables >
RTDISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of raster images and OLE objects during Realtime ZOOM or PAN.

0 | Displays raster image and OLE content
1 | Displays outline only

RTDISPLAY is saved in the current profile.


S System Variables

RTDISPLAY
System Variables
SAVEFIDELITY
System Variables >
S System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • SAVEFIDELITY

    Controls whether the drawing is saved with visual fidelity.

  • SAVEFILE

    Stores the current automatic save file name.

  • SAVEFILEPATH

    Specifies the path to the directory for all automatic save files for the current session.

  • SAVENAME

    Displays the file name and directory path of the most recently saved drawing.

  • SAVETIME

    Sets the automatic save interval, in minutes.

  • SCREENBOXES

    Stores the number of boxes in the screen menu area of the drawing area.

  • SCREENMODE

    Indicates the state of the display.

  • SCREENSIZE

    Stores current viewport size in pixels (X and Y).

  • SELECTIONANNODISPLAY

    Controls whether alternate scale representations are temporarily displayed in a dimmed state when an annotative object is selected

  • SELECTIONAREA

    Controls the display of effects for selection areas.

  • SELECTIONAREAOPACITY

    Controls the transparency of the selection area during window and crossing selection.

  • SELECTIONPREVIEW

    Controls the display of selection previewing

  • SETBYLAYERMODE

    Controls which properties are selected for the SETBYLAYER command.

  • SHADEDGE

    Controls the shading of edges in rendering.

  • SHADEDIF

    Sets the ratio of diffuse reflective light to ambient light.

  • SHADOWPLANELOCATION

    Controls the location of an invisible ground plane used to display shadows.

  • SHORTCUTMENU

    Controls whether Default, Edit, and Command mode shortcut menus are available in the drawing area.

  • SHOWHIST

    Controls the Show History property for solids in a drawing.

  • SHOWLAYERUSAGE

    Displays icons in the Layer Properties Manager to indicate whether layers are in use.

  • SHOWMOTIONPIN

    Controls the default state of the thumbnail shots.

  • SHPNAME

    Sets a default shape name that must conform to symbol- naming conventions.

  • SIGWARN

    Controls whether a warning is presented when a file with an attached digital signature is opened.

  • SKETCHINC

    Sets the record increment for the SKETCH command.

  • SKPOLY

    Determines whether the SKETCH command generates lines or polylines.

  • SKYSTATUS

    Determines if the sky illumination is computed at render time.

  • SMOOTHMESHCONVERT

    Sets whether mesh objects that you convert to 3D solids or surfaces are smoothed or faceted, and whether their faces are merged.

  • SMOOTHMESHGRID

    Sets the maximum level of smoothness at which the underlying mesh facet grid is displayed on 3D mesh objects.

  • SMOOTHMESHMAXFACE

    Sets the maximum number of faces permitted for mesh objects.

  • SMOOTHMESHMAXLEV

    Sets the maximum smoothness level for mesh objects.

  • SNAPANG

    Sets the snap and grid rotation angle for the current viewport relative to the current UCS.

  • SNAPBASE

    Sets the snap and grid origin point for the current viewport relative to the current UCS.

  • SNAPISOPAIR

    Controls the isometric plane for the current viewport.

  • SNAPMODE

    Turns the Snap mode on and off.

  • SNAPSTYL

    Sets the snap style for the current viewport.

  • SNAPTYPE

    Sets the type of snap for the current viewport.

  • SNAPUNIT

    Sets the snap spacing for the current viewport.

  • SOLIDCHECK

    Turns 3D solid validation on and off for the current session.

  • SOLIDHIST

    Controls the default History property setting for new and existing objects.

  • SORTENTS

    Controls object sorting in support of draw order for several operations.

  • SPLFRAME

    Controls the display of splines and spline-fit polylines.

  • SPLINESEGS

    Sets the number of line segments to be generated for each spline-fit polyline generated by the Spline option of the PEDIT command.

  • SPLINETYPE

    Sets the type of curve generated by the Spline option of the PEDIT command.

  • SSFOUND

    Displays the sheet set path and file name if a search for a sheet set is successful.

  • SSLOCATE

    Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened.

  • SSMAUTOOPEN

    Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened.

  • SSMPOLLTIME

    Controls the time interval between automatic refreshes of the status data in a sheet set.

  • SSMSHEETSTATUS

    Controls how the status data in a sheet set is refreshed.

  • SSMSTATE

    Indicates whether the Sheet Set Manager window is open or closed.

  • STANDARDSVIOLATION

    Specifies whether a user is notified of standards violations in the current drawing when a nonstandard object is created or modified.

  • STARTUP

    Controls whether the Create New Drawing dialog box is displayed when a new drawing is started with NEW or QNEW.

  • STATUSBAR

    Controls the display of the application and drawing status bars

  • STEPSIZE

    Specifies the size of each step when in walk or fly mode, in drawing units.

  • STEPSPERSEC

    Specifies the number of steps taken per second when you are in walk or fly mode.

  • SUBOBJSELECTIONMODE

    Filters whether a face, edge, or vertex is selected with Ctrl+click.

  • SUNPROPERTIESSTATE

    Indicates whether the Sun Properties window is open or closed.

  • SUNSTATUS

    Turns on and off the lighting effects of the sun in the current viewport.

  • SURFTAB1

    Sets the number of tabulations to be generated for the RULESURF and TABSURF commands.

  • SURFTAB2

    Sets the mesh density in the N direction for the REVSURF and EDGESURF commands.

  • SURFTYPE

    Controls the type of surface-fitting to be performed by the Smooth option of the PEDIT command.

  • SURFU

    Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects.

  • SURFV

    Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects.

  • SYSCODEPAGE

    Indicates the system code page, which is determined by the operating system.


SAVEFIDELITY (Quick Reference)

RTDISPLAY
SAVEFIDELITY
SAVEFILE
System Variables > S System Variables >
SAVEFIDELITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 1

Controls whether the drawing is saved with visual fidelity.

The setting is stored as a bitcode using the sum of the following values:

0 | Saved without visual fidelity.
1 | Annotation objects assigned annotative scales are saved to separate layers for each scale used. Only affects drawings when saving to AutoCAD 2007 or earlier file formats.


SAVEFILE (Quick Reference)

SAVEFIDELITY
SAVEFILE
SAVEFILEPATH
System Variables > S System Variables >
SAVEFILE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Registry
Initial value: | Varies

Stores the current automatic save file name.


SAVEFILEPATH (Quick Reference)

SAVEFILE
SAVEFILEPATH
SAVENAME
System Variables > S System Variables >
SAVEFILEPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies

Specifies the path to the directory for all automatic save files for the current session.

You can also change the path on the Files tab in the Options dialog box.


SAVENAME (Quick Reference)

SAVEFILEPATH
SAVENAME
SAVETIME
System Variables > S System Variables >
SAVENAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | ""

Displays the file name and directory path of the most recently saved drawing.


SAVETIME (Quick Reference)

SAVENAME
SAVETIME
SCREENBOXES
System Variables > S System Variables >
SAVETIME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 10

Sets the automatic save interval, in minutes.

0 | Turns off automatic saving.
>0 | Saves the drawing at intervals specified by the nonzero integer automatically

The value of SAVETIME is an integer between 0 and 600.

The SAVETIME timer starts as soon as you make a change to a drawing. It is reset and restarted by a manual QSAVE, SAVE, or SAVEAS. The current drawing is saved to the path specified by the SAVEFILEPATH system variable. The file name is stored in the SAVEFILE system variable.


SCREENBOXES (Quick Reference)

SAVETIME
SCREENBOXES
SCREENMODE
System Variables > S System Variables >
SCREENBOXES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Stores the number of boxes in the screen menu area of the drawing area.

If the screen menu is turned off, SCREENBOXES is zero. On platforms that permit the drawing area to be resized or the screen menu to be reconfigured during an editing session, the value of this variable might change during the editing session.


SCREENMODE (Quick Reference)

SCREENBOXES
SCREENMODE
SCREENSIZE
System Variables > S System Variables >
SCREENMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 3

Indicates the state of the display.

The setting is stored as a bitcode using the sum of the following values:

0 | Text screen is displayed
1 | Drawing area is displayed
2 | Dual-screen display is configured


SCREENSIZE (Quick Reference)

SCREENMODE
SCREENSIZE
SELECTIONANNODISPLAY
System Variables > S System Variables >
SCREENSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 2D-point
Saved in: | Not-saved
Initial value: | Varies

Stores current viewport size in pixels (X and Y).


SELECTIONANNODISPLAY (Quick Reference)

SCREENSIZE
SELECTIONANNODISPLAY
SELECTIONAREA
System Variables > S System Variables >
SELECTIONANNODISPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether alternate scale representations are temporarily displayed in a dimmed state when an annotative object is selected

0 | Off
1 | On

The dimming intensity is controlled by the XFADECTL system variable.


SELECTIONAREA (Quick Reference)

SELECTIONANNODISPLAY
SELECTIONAREA
SELECTIONAREAOPACITY
System Variables > S System Variables >
SELECTIONAREA
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of effects for selection areas.

Selection areas are created by the Window, Crossing, WPolygon, and CPolygon options of SELECT.

0 | Off
1 | On


SELECTIONAREAOPACITY (Quick Reference)

SELECTIONAREA
SELECTIONAREAOPACITY
SELECTIONPREVIEW
System Variables > S System Variables >
SELECTIONAREAOPACITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 25

Controls the transparency of the selection area during window and crossing selection.

The valid range is 0 to 100. The lower the setting, the more transparent the area. A value of 100 makes the area opaque. The SELECTIONAREA system variable must be on.


SELECTIONPREVIEW (Quick Reference)

SELECTIONAREAOPACITY
SELECTIONPREVIEW
SETBYLAYERMODE
System Variables > S System Variables >
SELECTIONPREVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | Registry
Initial value: | 3

Controls the display of selection previewing

Objects are highlighted when the pickbox cursor rolls over them. This selection previewing indicates that the object would be selected if you clicked. The setting is stored as a bitcode using the sum of the following values:

0 | Off
1 | On when no commands are active
2 | On when a command prompts for object selection


SETBYLAYERMODE (Quick Reference)

SELECTIONPREVIEW
SETBYLAYERMODE
SHADEDGE
System Variables > S System Variables >
SETBYLAYERMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 127

Controls which properties are selected for the SETBYLAYER command.

The setting is stored as an integer using the sum of the following values:

0 | No properties are selected
1 | Color property
2 | Linetype property
4 | Lineweight property
8 | Material property
16 | Plot Style property
32 | Changes ByBlock to ByLayer
64 | Includes blocks when changing ByBlock to ByLayer


SHADEDGE (Quick Reference)

SETBYLAYERMODE
SHADEDGE
SHADEDIF
System Variables > S System Variables >
SHADEDGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Controls the shading of edges in rendering.

0 | Faces shaded, edges not highlighted
1 | Faces shaded, edges drawn in background color
2 | Faces not filled, edges in object color
3 | Faces in object color, edges in background color


SHADEDIF (Quick Reference)

SHADEDGE
SHADEDIF
SHADOWPLANELOCATION
System Variables > S System Variables >
SHADEDIF
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 70

Sets the ratio of diffuse reflective light to ambient light.

The ratio is a percentage of diffuse reflective light when SHADEDGE is set to 0 or 1.


SHADOWPLANELOCATION (Quick Reference)

SHADEDIF
SHADOWPLANELOCATION
SHORTCUTMENU
System Variables > S System Variables >
SHADOWPLANELOCATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Controls the location of an invisible ground plane used to display shadows.

The value is a location on the current Z axis. The ground plane is invisible, but it casts and receives shadows. Objects that are located below the ground plane are shadowed by it. The ground plane is used when the VSSHADOWS system variable is set to display either full shadows or ground shadows.


SHORTCUTMENU (Quick Reference)

SHADOWPLANELOCATION
SHORTCUTMENU
SHOWHIST
System Variables > S System Variables >
SHORTCUTMENU
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 11

Controls whether Default, Edit, and Command mode shortcut menus are available in the drawing area.

The setting is stored as a bitcode using the sum of the following values:

0 | Disables all Default, Edit, and Command mode shortcut menus, restoring AutoCAD Release 14 behavior.
1 | Enables Default mode shortcut menus.
2 | Enables Edit mode shortcut menus.
4 | Enables Command mode shortcut menus whenever a command is active.
8 | Enables Command mode shortcut menus only when command options are currently available at the Command prompt.
16 | Enables display of a shortcut menu when the right button on the pointing device is held down longer


SHOWHIST (Quick Reference)

SHORTCUTMENU
SHOWHIST
SHOWLAYERUSAGE
System Variables > S System Variables >
SHOWHIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the Show History property for solids in a drawing.

0 | Sets the Show History property to No (read-only) for all solids. Overrides the individual Show History property settings for solids. You cannot view the original objects that were used to create the solid.
1 | Does not override the individual Show History property settings for solids.
2 | Displays the history of all solids by overriding the individual Show History property settings for solids. You can view the original objects that were used to create the solid.


SHOWLAYERUSAGE (Quick Reference)

SHOWHIST
SHOWLAYERUSAGE
SHOWMOTIONPIN
System Variables > S System Variables >
SHOWLAYERUSAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Displays icons in the Layer Properties Manager to indicate whether layers are in use.

Setting this system variable to Off improves performance in the Layer Properties Manager.

0 | Off
1 | On


SHOWMOTIONPIN (Quick Reference)

SHOWLAYERUSAGE
SHOWMOTIONPIN
SHPNAME
System Variables > S System Variables >
SHOWMOTIONPIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the default state of the thumbnail shots.

0 | Displays thumbnail shots in an unpinned state
1 | Displays thumbnail shots in a pinned state


SHPNAME (Quick Reference)

SHOWMOTIONPIN
SHPNAME
SIGWARN
System Variables > S System Variables >
SHPNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | ""

Sets a default shape name that must conform to symbol- naming conventions.

If no default is set, it returns "". Enter a period (.) to set no default.


SIGWARN (Quick Reference)

SHPNAME
SIGWARN
SKETCHINC
System Variables > S System Variables >
SIGWARN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether a warning is presented when a file with an attached digital signature is opened.

If the system variable is on and you open a file with a valid signature, the digital signature status is displayed. If the variable is off and you open a file, the digital signature status is displayed only if a signature is invalid. You can set the variable using the Display Digital Signature Information option on the Open and Save tab of the Options dialog box.

0 | Warning is not presented if a file has a valid signature
1 | Warning is presented


SKETCHINC (Quick Reference)

SIGWARN
SKETCHINC
SKPOLY
System Variables > S System Variables >
SKETCHINC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.1000 (imperial) or 1.0000 (metric)

Sets the record increment for the SKETCH command.


SKPOLY (Quick Reference)

SKETCHINC
SKPOLY
SKYSTATUS
System Variables > S System Variables >
SKPOLY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Determines whether the SKETCH command generates lines or polylines.

0 | Generates lines
1 | Generates polylines


SKYSTATUS (Quick Reference)

SKPOLY
SKYSTATUS
SMOOTHMESHCONVERT
System Variables > S System Variables >
SKYSTATUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Determines if the sky illumination is computed at render time.

This has no impact on the viewport illumination or the background. It only makes the sky available as a gathered light source for rendering.

0 | Sky off
1 | Sky background
2 | Sky background and illumination


SMOOTHMESHCONVERT (Quick Reference)

SKYSTATUS
SMOOTHMESHCONVERT
SMOOTHMESHGRID
System Variables > S System Variables >
SMOOTHMESHCONVERT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Bitcode
Saved in: | User-settings
Initial value: | 0

Sets whether mesh objects that you convert to 3D solids or surfaces are smoothed or faceted, and whether their faces are merged.

0 | Creates a smooth model. Coplanar faces are optimized, or merged.
1 | Creates a smooth model. Original mesh faces are retained in the converted object.
2 | Creates a model with flattened faces. Coplanar faces are optimized, or merged.
3 | Creates a model with flattened faces. Original mesh faces are retained in the converted object.

This system variable sets the default value for operations that use CONVTOSOLID and CONVTOSURFACE commands.


SMOOTHMESHGRID (Quick Reference)

SMOOTHMESHCONVERT
SMOOTHMESHGRID
SMOOTHMESHMAXFACE
System Variables > S System Variables >
SMOOTHMESHGRID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 3

Sets the maximum level of smoothness at which the underlying mesh facet grid is displayed on 3D mesh objects.

0 | Never displays the underlying mesh facet grid
1 | Displays the facet grid for smoothing levels 0 and 1
2 | Displays the facet grid for smoothing levels 2 and lower
3 | Displays the facet grid for levels 3 and lower

Use this variable to help visualize smooth surfaces. By setting limits, you can simplify the display of the underlying facet grid when you work with extremely dense mesh objects.

You can enter any number, depending on the number of smoothing levels you expect. This variable does not affect the smoothing level of the mesh. Its value cannot exceed the value of SMOOTHMESHMAXLEV.

If the VSLIGHTINGQUALITY system variable is 0, this system variable is ignored and all smoothness levels are displayed as faceted.


SMOOTHMESHMAXFACE (Quick Reference)

SMOOTHMESHGRID
SMOOTHMESHMAXFACE
SMOOTHMESHMAXLEV
System Variables > S System Variables >
SMOOTHMESHMAXFACE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1000000

Sets the maximum number of faces permitted for mesh objects.

The initial value of this system variable is adjusted for best performance based on your system configuration. Permissible values are from 1 to 16,000,000. Use this limit to prevent creating extremely dense meshes that might affect program performance.


SMOOTHMESHMAXLEV (Quick Reference)

SMOOTHMESHMAXFACE
SMOOTHMESHMAXLEV
SNAPANG
System Variables > S System Variables >
SMOOTHMESHMAXLEV
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 4

Sets the maximum smoothness level for mesh objects.

Permissible values are from 1 to 255. The recommended range is 1-5. Use this limit to prevent creating extremely dense meshes that might affect program performance.


SNAPANG (Quick Reference)

SMOOTHMESHMAXLEV
SNAPANG
SNAPBASE
System Variables > S System Variables >
SNAPANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the snap and grid rotation angle for the current viewport relative to the current UCS.

When SNAPANG is set to a value other than 0, the lined grid will not display.


SNAPBASE (Quick Reference)

SNAPANG
SNAPBASE
SNAPISOPAIR
System Variables > S System Variables >
SNAPBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Sets the snap and grid origin point for the current viewport relative to the current UCS.


SNAPISOPAIR (Quick Reference)

SNAPBASE
SNAPISOPAIR
SNAPMODE
System Variables > S System Variables >
SNAPISOPAIR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the isometric plane for the current viewport.

0 | Left
1 | Top
2 | Right


SNAPMODE (Quick Reference)

SNAPISOPAIR
SNAPMODE
SNAPSTYL
System Variables > S System Variables >
SNAPMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Turns the Snap mode on and off.

0 | Snap off
1 | Snap on for the current viewport


SNAPSTYL (Quick Reference)

SNAPMODE
SNAPSTYL
SNAPTYPE
System Variables > S System Variables >
SNAPSTYL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the snap style for the current viewport.

0 | Standard (rectangular snap)
1 | Isometric snap


SNAPTYPE (Quick Reference)

SNAPSTYL
SNAPTYPE
SNAPUNIT
System Variables > S System Variables >
SNAPTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Sets the type of snap for the current viewport.

0 | Grid, or standard snap.
1 | PolarSnap. Snaps along polar angle increments. Use PolarSnap with polar and object snap tracking.


SNAPUNIT (Quick Reference)

SNAPTYPE
SNAPUNIT
SOLIDCHECK
System Variables > S System Variables >
SNAPUNIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | 2D-point
Saved in: | Drawing
Initial value: | 0.5000,0.5000 (imperial) or 10.0000,10.0000 (metric)

Sets the snap spacing for the current viewport.

If SNAPSTYL is set to 1, the X value of SNAPUNIT is adjusted automatically to accommodate the isometric snap.

Changes to this system variable are not reflected in the grid until the display is refreshed.


SOLIDCHECK (Quick Reference)

SNAPUNIT
SOLIDCHECK
SOLIDHIST
System Variables > S System Variables >
SOLIDCHECK
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Turns 3D solid validation on and off for the current session.

0 | Off
1 | On


SOLIDHIST (Quick Reference)

SOLIDCHECK
SOLIDHIST
SORTENTS
System Variables > S System Variables >
SOLIDHIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the default History property setting for new and existing objects.

When set to 1, composite solids retain a “history” of the original objects contained in the composite.

0 | Sets the History property to None for all solids. No history is retained.
1 | Sets the History property to Record for all solids. All solids retain a history of their original objects.


SORTENTS (Quick Reference)

SOLIDHIST
SORTENTS
SPLFRAME
System Variables > S System Variables >
SORTENTS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 127

Controls object sorting in support of draw order for several operations.

The setting is stored as a bitcode using the sum of the following values:

0 | Turns off all object sorting
1 | Sorts for object selection
2 | Sorts for object snaps
4 | Obsolete, has no effect
8 | Obsolete, has no effect
16 | Sorts for REGEN commands
32 | Sorts for plotting
64 | Obsolete, has no effect


SPLFRAME (Quick Reference)

SORTENTS
SPLFRAME
SPLINESEGS
System Variables > S System Variables >
SPLFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the display of splines and spline-fit polylines.

0 | Does not display the control polygon for splines and spline-fit polylines. Displays the fit surface of a polygon mesh, not the defining mesh. Does not display the invisible edges of 3D faces or polyface meshes.
1 | Displays the control polygon for splines and spline-fit polylines


SPLINESEGS (Quick Reference)

SPLFRAME
SPLINESEGS
SPLINETYPE
System Variables > S System Variables >
SPLINESEGS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 8

Sets the number of line segments to be generated for each spline-fit polyline generated by the Spline option of the PEDIT command.

Enter a non-zero integer between -32768 to 32767. If you set SPLINESEGS to a negative value, segments are generated using the absolute value of the setting and then a fit-type curve is applied to those segments. Fit-type curves use arcs as the approximating segments. Using arcs yields a smoother generated curve when few segments are specified, but the curve can take longer to generate.


SPLINETYPE (Quick Reference)

SPLINESEGS
SPLINETYPE
SSFOUND
System Variables > S System Variables >
SPLINETYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the type of curve generated by the Spline option of the PEDIT command.

5 | Quadratic B-spline
6 | Cubic B-spline


SSFOUND (Quick Reference)

SPLINETYPE
SSFOUND
SSLOCATE
System Variables > S System Variables >
SSFOUND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | ""

Displays the sheet set path and file name if a search for a sheet set is successful.

SSLOCATE must be set to 1 and the drawing file must be open for a successful search.


SSLOCATE (Quick Reference)

SSFOUND
SSLOCATE
SSMAUTOOPEN
System Variables > S System Variables >
SSLOCATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Controls whether the sheet set associated with a drawing is located and opened when the drawing is opened.

0 | Does not open a drawing's sheet set with the drawing
1 | Opens a drawing's sheet set with the drawing

SSMAUTOOPEN and SSLOCATE must both be set to 1 to open a sheet set automatically in the Sheet Set Manager.


SSMAUTOOPEN (Quick Reference)

SSLOCATE
SSMAUTOOPEN
SSMPOLLTIME
System Variables > S System Variables >
SSMAUTOOPEN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Controls the display behavior of the Sheet Set Manager when a drawing associated with a sheet is opened.

0 | Does not open the Sheet Set Manager automatically
1 | Opens the Sheet Set Manager automatically

SSMAUTOOPEN and SSLOCATE must both be set to 1 to open a sheet set automatically in the Sheet Set Manager.


SSMPOLLTIME (Quick Reference)

SSMAUTOOPEN
SSMPOLLTIME
SSMSHEETSTATUS
System Variables > S System Variables >
SSMPOLLTIME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 60

Controls the time interval between automatic refreshes of the status data in a sheet set.

The SSMPOLLTIME timer sets the time in seconds between automatic refreshes of the status data of sheets in a sheet set. Valid values are 20-600. The SSMSHEETSTATUS system variable must be set to 2 for the timer to operate.


SSMSHEETSTATUS (Quick Reference)

SSMPOLLTIME
SSMSHEETSTATUS
SSMSTATE
System Variables > S System Variables >
SSMSHEETSTATUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls how the status data in a sheet set is refreshed.

The status data for sheets in the current sheet set includes whether a sheet is locked and whether a sheet is missing (or found in an unexpected location). This status data can be updated automatically for all sheets.

To refresh the sheet set manually, use the Refresh Sheet Status button on the Sheet List tab of the Sheet Set Manager.

0 | Do not automatically refresh the status data in a sheet set
1 | Refresh the status data when the sheet set is loaded or updated
2 | Refresh the status data when the sheet set is loaded or updated, or at a time interval set by SSMPOLLTIME


SSMSTATE (Quick Reference)

SSMSHEETSTATUS
SSMSTATE
STANDARDSVIOLATION
System Variables > S System Variables >
SSMSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Sheet Set Manager window is open or closed.

0 | Closed
1 | Open


STANDARDSVIOLATION (Quick Reference)

SSMSTATE
STANDARDSVIOLATION
STARTUP
System Variables > S System Variables >
STANDARDSVIOLATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Specifies whether a user is notified of standards violations in the current drawing when a nonstandard object is created or modified.

Changes to the value of this system variable take effect only when Display Icons from Services is checked in the Tray Settings dialog box. To display the Tray Settings dialog box, click the down arrow at the right end of the tray on the status bar, and then click Tray Settings on the shortcut menu.

0 | Notification is turned off
1 | An alert is displayed when a standards violation occurs in the drawing
2 | An icon is displayed in the status bar tray when you open a file associated with a standards file and when you create or modify nonstandard objects


STARTUP (Quick Reference)

STANDARDSVIOLATION
STARTUP
STATUSBAR
System Variables > S System Variables >
STARTUP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the Create New Drawing dialog box is displayed when a new drawing is started with NEW or QNEW.

Also controls whether the Startup dialog box is displayed when the application is started.

If the FILEDIA system variable is set to 0, file dialog boxes are not displayed.

0 | Displays the Select Template dialog box, or uses a default drawing template file set in the Options dialog box, on the Files tab.
1 | Displays the Startup and the Create New Drawing dialog boxes


STATUSBAR (Quick Reference)

STARTUP
STATUSBAR
STEPSIZE
System Variables > S System Variables >
STATUSBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of the application and drawing status bars

0 | Hides both the application and drawing status bars
1 | Displays only the application status bar
2 | Displays both the application and drawing status bars
3 | Displays only the drawing status bar


STEPSIZE (Quick Reference)

STATUSBAR
STEPSIZE
STEPSPERSEC
System Variables > S System Variables >
STEPSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 6.0000

Specifies the size of each step when in walk or fly mode, in drawing units.

You can enter any real number from 1E-6 to 1E+6.


STEPSPERSEC (Quick Reference)

STEPSIZE
STEPSPERSEC
SUBOBJSELECTIONMODE
System Variables > S System Variables >
STEPSPERSEC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 2.0000

Specifies the number of steps taken per second when you are in walk or fly mode.

You can enter any real number from 1 to 30.


SUBOBJSELECTIONMODE (Quick Reference)

STEPSPERSEC
SUBOBJSELECTIONMODE
SUNPROPERTIESSTATE
System Variables > S System Variables >
SUBOBJSELECTIONMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Filters whether a face, edge, or vertex is selected with Ctrl+click.

0 | Turns off subobject filtering, so that all types of subobjects are available for selection
1 | Only vertices are available for selection
2 | Only edges are available for selection
3 | Only faces are available for selection
4 | Only history subobjects of compound objects are available for selection

When subobject filtering is turned off, you can select all types of 3D subobjects, including faces, edges, vertices, and history subobjects for compound objects.

When filtering is set for vertices, you cannot select faces, edges, or history subobjects.

When filtering is set for edges, you cannot select faces, vertices, or history subobjects.

When filtering is set for faces, you cannot select edges, faces, or history subobjects.

When filtering is set for history subobjects, you can only select the wireframe representations of portions of objects removed during a union, subtract, or intersect operation.

Subobject Selection Filter Cursors

When a subobject selection filter is set, the following images are displayed next to the cursor when you press Ctrl:

Vertex filtering is on
Edge filtering is on
Face filtering is on
History subobject filtering is on
Subobject not eligible for selection


SUNPROPERTIESSTATE (Quick Reference)

SUBOBJSELECTIONMODE
SUNPROPERTIESSTATE
SUNSTATUS
System Variables > S System Variables >
SUNPROPERTIESSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the Sun Properties window is open or closed.

0 | Closed
1 | Open


SUNSTATUS (Quick Reference)

SUNPROPERTIESSTATE
SUNSTATUS
SURFTAB1
System Variables > S System Variables >
SUNSTATUS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Turns on and off the lighting effects of the sun in the current viewport.

Only the lights from sources other than the sun affect the view in the current viewport.

0 | Off
1 | On


SURFTAB1 (Quick Reference)

SUNSTATUS
SURFTAB1
SURFTAB2
System Variables > S System Variables >
SURFTAB1
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the number of tabulations to be generated for the RULESURF and TABSURF commands.

Also sets the mesh density in the M direction for the REVSURF and EDGESURF commands.


SURFTAB2 (Quick Reference)

SURFTAB1
SURFTAB2
SURFTYPE
System Variables > S System Variables >
SURFTAB2
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the mesh density in the N direction for the REVSURF and EDGESURF commands.


SURFTYPE (Quick Reference)

SURFTAB2
SURFTYPE
SURFU
System Variables > S System Variables >
SURFTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Controls the type of surface-fitting to be performed by the Smooth option of the PEDIT command.

5 | Quadratic B-spline surface
6 | Cubic B-spline surface
8 | Bezier surface


SURFU (Quick Reference)

SURFTYPE
SURFU
SURFV
System Variables > S System Variables >
SURFU
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the surface density for PEDIT Smooth in the M direction and the U isolines density on surface objects.

Valid values are 0 through 200. Meshes are always created with a minimum surface density of 2.


SURFV (Quick Reference)

SURFU
SURFV
SYSCODEPAGE
System Variables > S System Variables >
SURFV
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 6

Sets the surface density for PEDIT Smooth in the N direction and the V isolines density on surface objects.

Valid values are 0 through 200. Meshes are always created with a minimum surface density of 2.


SYSCODEPAGE (Quick Reference)

SURFV
SYSCODEPAGE
TABLEINDICATOR
System Variables > S System Variables >
SYSCODEPAGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Indicates the system code page, which is determined by the operating system.

To change the code page, see Help in your operating system.


T System Variables

SYSCODEPAGE
System Variables
TABLEINDICATOR
System Variables >
T System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • TABLEINDICATOR

    Controls the display of row numbers and column letters when the In-Place Text Editor is open for editing a table cell.

  • TABLETOOLBAR

    Controls the display of the Table toolbar.

  • TABMODE

    Controls the use of the tablet.

  • TARGET

    Stores the location (as a UCS coordinate) of the target point for the current viewport.

  • TBCUSTOMIZE

    Controls whether tool palette groups can be customized.

  • TDCREATE

    Stores the local time and date the drawing was created.

  • TDINDWG

    Stores the total editing time, which is the total elapsed time between saves of the current drawing.

  • TDUCREATE

    Stores the universal time and date that the drawing was created.

  • TDUPDATE

    Stores the local time and date of the last update/save.

  • TDUSRTIMER

    Stores the user-elapsed timer.

  • TDUUPDATE

    Stores the universal time and date of the last update or save.

  • TEMPOVERRIDES

    Turns temporary override keys on and off.

  • TEMPPREFIX

    Contains the directory name (if any) configured for placement of temporary files, with a path separator appended.

  • TEXTEVAL

    Controls how text strings entered with TEXT (using AutoLISP) or with -TEXT are evaluated.

  • TEXTFILL

    Controls the filling of TrueType fonts while plotting and rendering.

  • TEXTOUTPUTFILEFORMAT

    Provides Unicode options for plot and text window log files.

  • TEXTQLTY

    Sets the resolution tessellation fineness of text outlines.

  • TEXTSIZE

    Sets the default height for new text objects drawn with the current text style.

  • TEXTSTYLE

    Sets the name of the current text style.

  • THICKNESS

    Sets the current 3D thickness.

  • THUMBSIZE

    Specifies the maximum generated size for thumbnail previews in pixels.

  • TILEMODE

    Makes the Model tab or the last layout tab current.

  • TIMEZONE

    Sets the time zone for the sun in the drawing.

  • TOOLTIPMERGE

    Combines drafting tooltips into a single tooltip.

  • TOOLTIPS

    Controls the display of tooltips on the ribbon, toolbars, and other user interface elements.

  • TPSTATE

    Indicates whether the Tool Palettes window is open or closed.

  • TRACEWID

    Sets the default trace width.

  • TRACKPATH

    Controls the display of polar and object snap tracking alignment paths.

  • TRAYICONS

    Controls whether a tray is displayed on the status bar.

  • TRAYNOTIFY

    Controls whether service notifications are displayed in the status bar tray.

  • TRAYTIMEOUT

    Controls the length of time (in seconds) that service notifications are displayed.

  • TREEDEPTH

    Specifies the maximum depth, that is, the number of times the tree-structured spatial index can divide into branches.

  • TREEMAX

    Limits memory consumption during drawing regeneration by limiting the number of nodes in the spatial index (oct-tree).

  • TRIMMODE

    Controls whether selected edges for chamfers and fillets are trimmed.

  • TSPACEFAC

    Controls the multiline text line-spacing distance measured as a factor of text height.

  • TSPACETYPE

    Controls the type of line spacing used in multiline text.

  • TSTACKALIGN

    Controls the vertical alignment of stacked text.

  • TSTACKSIZE

    Controls the percentage of stacked text fraction height relative to selected text's current height.


TABLEINDICATOR (Quick Reference)

SYSCODEPAGE
TABLEINDICATOR
TABLETOOLBAR
System Variables > T System Variables >
TABLEINDICATOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of row numbers and column letters when the In-Place Text Editor is open for editing a table cell.

0 | Off
1 | On


TABLETOOLBAR (Quick Reference)

TABLEINDICATOR
TABLETOOLBAR
TABMODE
System Variables > T System Variables >
TABLETOOLBAR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the display of the Table toolbar.

0 | The Table toolbar is never displayed.
1 | The Table toolbar is displayed upon selection of a table cell.
2 | The Table toolbar is not displayed when the ribbon is turned on.


TABMODE (Quick Reference)

TABLETOOLBAR
TABMODE
TARGET
System Variables > T System Variables >
TABMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls the use of the tablet.

For more information on using and configuring a tablet, see the TABLET command.

0 | Off
1 | On


TARGET (Quick Reference)

TABMODE
TARGET
TBCUSTOMIZE
System Variables > T System Variables >
TARGET
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000,0.0000

Stores the location (as a UCS coordinate) of the target point for the current viewport.


TBCUSTOMIZE (Quick Reference)

TARGET
TBCUSTOMIZE
TDCREATE
System Variables > T System Variables >
TBCUSTOMIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Registry
Initial value: | 1

Controls whether tool palette groups can be customized.

Controls whether the CUSTOMIZE command is enabled or disabled for tool palette group customization, and if the Customize option from the toolbar shortcut menu is displayed or not.

0 | Disables access to customization
1 | Enables access to customization


TDCREATE (Quick Reference)

TBCUSTOMIZE
TDCREATE
TDINDWG
System Variables > T System Variables >
TDCREATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the local time and date the drawing was created.


TDINDWG (Quick Reference)

TDCREATE
TDINDWG
TDUCREATE
System Variables > T System Variables >
TDINDWG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the total editing time, which is the total elapsed time between saves of the current drawing.

The format is:

<number of days>.<decimal fraction of a day>

To compute the number of seconds, multiply the decimal fraction in TDINDWG by 86400 seconds.


TDUCREATE (Quick Reference)

TDINDWG
TDUCREATE
TDUPDATE
System Variables > T System Variables >
TDUCREATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the universal time and date that the drawing was created.


TDUPDATE (Quick Reference)

TDUCREATE
TDUPDATE
TDUSRTIMER
System Variables > T System Variables >
TDUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the local time and date of the last update/save.


TDUSRTIMER (Quick Reference)

TDUPDATE
TDUSRTIMER
TDUUPDATE
System Variables > T System Variables >
TDUSRTIMER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the user-elapsed timer.


TDUUPDATE (Quick Reference)

TDUSRTIMER
TDUUPDATE
TEMPOVERRIDES
System Variables > T System Variables >
TDUUPDATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the universal time and date of the last update or save.


TEMPOVERRIDES (Quick Reference)

TDUUPDATE
TEMPOVERRIDES
TEMPPREFIX
System Variables > T System Variables >
TEMPOVERRIDES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Turns temporary override keys on and off.

A temporary override key is a key that you can hold down to temporarily turn on or turn off one of the drawing aids that are set in the Drafting Settings dialog box; for example, Ortho mode, object snaps, or Polar mode.

0 | Off
1 | On


TEMPPREFIX (Quick Reference)

TEMPOVERRIDES
TEMPPREFIX
TEXTEVAL
System Variables > T System Variables >
TEMPPREFIX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Not-saved
Initial value: | Varies

Contains the directory name (if any) configured for placement of temporary files, with a path separator appended.

Windows has a character limit of 255 for the combined file name and path length of temporary files. You can modify this limit from the Options dialog box, Files tab, under Temporary Drawing File Location.


TEXTEVAL (Quick Reference)

TEMPPREFIX
TEXTEVAL
TEXTFILL
System Variables > T System Variables >
TEXTEVAL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls how text strings entered with TEXT (using AutoLISP) or with -TEXT are evaluated.

0 | All responses to prompts for text strings and attribute values are taken literally.
1 | All text starting from an opening parenthesis [(] or an exclamation mark [!] is evaluated as an AutoLISP expression, as for nontextual input.

The TEXT command takes all input literally regardless of the setting of TEXTEVAL unless it is executed completely with a script or AutoLISP expression. The -TEXT command honors the setting of TEXTEVAL.


TEXTFILL (Quick Reference)

TEXTEVAL
TEXTFILL
TEXTOUTPUTFILEFORMAT
System Variables > T System Variables >
TEXTFILL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the filling of TrueType fonts while plotting and rendering.

0 | Displays text as outlines
1 | Displays text as filled images


TEXTOUTPUTFILEFORMAT (Quick Reference)

TEXTFILL
TEXTOUTPUTFILEFORMAT
TEXTQLTY
System Variables > T System Variables >
TEXTOUTPUTFILEFORMAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Provides Unicode options for plot and text window log files.

0 | ANSI format
1 | UTF-8 (Unicode)
2 | UTF-16LE (Unicode)
3 | UTF-16BE (Unicode)


TEXTQLTY (Quick Reference)

TEXTOUTPUTFILEFORMAT
TEXTQLTY
TEXTSIZE
System Variables > T System Variables >
TEXTQLTY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Sets the resolution tessellation fineness of text outlines.

Type: | Integer
Saved in: | Not-saved
Initial value: | 50

Sets the resolution tessellation fineness of text outlines for TrueType fonts while plotting and rendering. 0 represents no effort to refine the smoothness of the text; 100 represents a maximum effort to smooth text characters. Lower values decrease resolution and increase plotting speed. Higher values increase resolution and decrease plotting speed.

Sets the resolution of TrueType fonts while plotting. Use integer values from 0 to 100. Lower values decrease resolution and increase plotting speed. Higher values increase resolution and decrease plotting speed.


TEXTSIZE (Quick Reference)

TEXTQLTY
TEXTSIZE
TEXTSTYLE
System Variables > T System Variables >
TEXTSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.2000 (imperial) or 2.5000 (metric)

Sets the default height for new text objects drawn with the current text style.

TEXTSIZE has no effect if the current text style has a fixed height.


TEXTSTYLE (Quick Reference)

TEXTSIZE
TEXTSTYLE
THICKNESS
System Variables > T System Variables >
TEXTSTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | Standard

Sets the name of the current text style.


THICKNESS (Quick Reference)

TEXTSTYLE
THICKNESS
THUMBSIZE
System Variables > T System Variables >
THICKNESS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Sets the current 3D thickness.


THUMBSIZE (Quick Reference)

THICKNESS
THUMBSIZE
TILEMODE
System Variables > T System Variables >
THUMBSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Specifies the maximum generated size for thumbnail previews in pixels.

0 | 64x64
1 | 128x128
2 | 256x256


TILEMODE (Quick Reference)

THUMBSIZE
TILEMODE
TIMEZONE
System Variables > T System Variables >
TILEMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Makes the Model tab or the last layout tab current.

0 | Makes the last active layout tab (paper space) active
1 | Makes the Model tab active


TIMEZONE (Quick Reference)

TILEMODE
TIMEZONE
TOOLTIPMERGE
System Variables > T System Variables >
TIMEZONE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Enum
Saved in: | Drawing
Initial value: | -8000

Sets the time zone for the sun in the drawing.

The values in the table are expressed as hours and minutes away from Greenwich Mean Time. The geographic location you set also sets the time zone. If the time zone is not accurate, you can correct it in the Geographic Location dialog box or set the TIMEZONE system variable.

-12000 | International Date Line West
-11000 | Midway Island, Samoa
-10000 | Hawaii
-9000 | Alaska
-8000 | Pacific Time (US & Canada), Tijuana
-7000 | Arizona
-7000 | Chihuahua, La Paz, Mazatlan
-7000 | Mountain Time (US & Canada)
-7001 | Arizona
-7002 | Mazatlan
-6000 | Central America
-6001 | Central Time (US & Canada)
-6002 | Guadalajara, Mexico City, Monterrey
-6003 | Saskatchewan
-5000 | Eastern Time (US & Canada)
-5001 | Indiana (East)
-5002 | Bogota, Lima, Quito
-4000 | Atlantic Time (Canada)
-4001 | Caracas, La Paz
-4002 | Santiago
-3300 | Newfoundland
-3000 | Brasilia
-3001 | Buenos Aires, Georgetown
-3002 | Greenland
-2000 | Mid-Atlantic
-1000 | Azores
-1001 | Cape Verde Is.
0 | Universal Coordinated Time
1 | Greenwich Mean Time
2 | Casablanca, Monrovia
+1000 | Amsterdam, Berlin, Bern, Rome, Stockholm
+1001 | Brussels, Madrid, Copenhagen, Paris
+1002 | Belgrade, Bratislava, Budapest, Ljubljana, Prague
+1003 | Sarajevo, Skopje, Warsaw, Zagreb
+1004 | West Central Africa
+2000 | Athens, Beirut, Istanbul, Minsk
+2001 | Bucharest
+2002 | Cairo
+2003 | Harare, Pretoria
+2004 | Helsinki, Kyiv, Sofia, Talinn, Vilnius
+2005 | Jerusalem
+3000 | Moscow, St. Petersburg, Volograd
+3001 | Kuwait, Riyadh
+3002 | Baghdad
+3003 | Nairobi
+3300 | Tehran
+4000 | Abu Dhabi, Muscat
+4001 | Baku, Tbilisi, Yerevan
+4300 | Kabul
+5000 | Ekaterinburg
+5001 | Islamabad, Karachi, Tashkent
+5300 | Chennai, Kolkata, Mumbai, New Delhi
+5450 | Kathmandu
+6000 | Almaty, Novosibirsk
+6001 | Astana, Dhaka
+6002 | Sri Jayawardenepura
+6300 | Rangoon
+7000 | Bangkok, Hanoi, Jakarta
+7001 | Krasnoyarsk
+8000 | Beijing, Chongqing, Hong Kong, Urumqi
+8001 | Kuala Lumpur, Singapore
+8002 | Taipei
+8003 | Irkutsk, Ulaan Bataar
+8004 | Perth
+9000 | Osaka, Sapporo, Tokyo
+9001 | Seoul
+9002 | Yakutsk
+9300 | Adelaide
+9301 | Darwin
+10000 | Canberra, Melbourne, Sydney
+10001 | Guam, Port Moresby
+10002 | Brisbane
+10003 | Hobart
+10004 | Vladivostok
+11000 | Magadan, Solomon Is., New Caledonia
+12000 | Auckland, Wellington
+12001 | Fiji, Kamchatka, Marshall Is.
+13000 | Nuku’alofa


TOOLTIPMERGE (Quick Reference)

TIMEZONE
TOOLTIPMERGE
TOOLTIPS
System Variables > T System Variables >
TOOLTIPMERGE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Switch
Saved in: | Registry
Initial value: | 0

Combines drafting tooltips into a single tooltip.

The appearance of the merged tooltip is controlled by the settings in the Tooltip Appearance dialog box.

0 | Off
1 | On


TOOLTIPS (Quick Reference)

TOOLTIPMERGE
TOOLTIPS
TPSTATE
System Variables > T System Variables >
TOOLTIPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the display of tooltips on the ribbon, toolbars, and other user interface elements.

0 | Turns off the display of tooltips
1 | Turns on the display of tooltips


TPSTATE (Quick Reference)

TOOLTIPS
TPSTATE
TRACEWID
System Variables > T System Variables >
TPSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | Varies

Indicates whether the Tool Palettes window is open or closed.

0 | Closed
1 | Open


TRACEWID (Quick Reference)

TPSTATE
TRACEWID
TRACKPATH
System Variables > T System Variables >
TRACEWID
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0500 (imperial) or 1.0000 (metric)

Sets the default trace width.


TRACKPATH (Quick Reference)

TRACEWID
TRACKPATH
TRAYICONS
System Variables > T System Variables >
TRACKPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the display of polar and object snap tracking alignment paths.

0 | Displays full-screen polar and object snap tracking paths
1 | Displays full-screen polar tracking path; displays object snap tracking path only between the alignment point and the From point to the cursor location
2 | Displays full-screen object snap tracking path; does not display polar tracking path
3 | Does not display polar tracking path; displays object snap tracking path only between the alignment point and the From point to the cursor location


TRAYICONS (Quick Reference)

TRACKPATH
TRAYICONS
TRAYNOTIFY
System Variables > T System Variables >
TRAYICONS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether a tray is displayed on the status bar.

0 | Does not display a tray
1 | Displays a tray


TRAYNOTIFY (Quick Reference)

TRAYICONS
TRAYNOTIFY
TRAYTIMEOUT
System Variables > T System Variables >
TRAYNOTIFY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether service notifications are displayed in the status bar tray.

0 | Does not display notifications
1 | Displays notifications


TRAYTIMEOUT (Quick Reference)

TRAYNOTIFY
TRAYTIMEOUT
TREEDEPTH
System Variables > T System Variables >
TRAYTIMEOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the length of time (in seconds) that service notifications are displayed.

Valid values are 0 to 10.


TREEDEPTH (Quick Reference)

TRAYTIMEOUT
TREEDEPTH
TREEMAX
System Variables > T System Variables >
TREEDEPTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3020

Specifies the maximum depth, that is, the number of times the tree-structured spatial index can divide into branches.

0 | Suppresses the spatial index entirely, eliminating the performance improvements it provides in working with large drawings. This setting assures that objects are always processed in database order.
>0 | Turns on spatial indexing. An integer of up to five digits is valid. The first three digits refer to model space, and the remaining two digits refer to paper space.
<0 | Treats model space objects as 2D (Z coordinates are ignored), as is always the case with paper space objects. Such a setting is appropriate for 2D drawings and makes more efficient use of memory without loss of performance

You cannot use TREEDEPTH transparently.


TREEMAX (Quick Reference)

TREEDEPTH
TREEMAX
TRIMMODE
System Variables > T System Variables >
TREEMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 10000000

Limits memory consumption during drawing regeneration by limiting the number of nodes in the spatial index (oct-tree).

By imposing a fixed limit with TREEMAX, you can load drawings created on systems with more memory than your system and with a larger TREEDEPTH than your system can handle. These drawings, if left unchecked, have an oct-tree large enough to eventually consume more memory than is available to your computer. TREEMAX also provides a safeguard against experimentation with inappropriately high TREEDEPTH values.

The initial default for TREEMAX is 10000000 (10 million), a value high enough to effectively disable TREEMAX as a control for TREEDEPTH. The value to which you should set TREEMAX depends on your system's available RAM. You get about 15,000 oct-tree nodes per megabyte of RAM.

If you want an oct-tree to use up to, but no more than, 2 megabytes of RAM, set TREEMAX to 30000 (2 x 15,000). If the program runs out of memory allocating oct-tree nodes, restart, set TREEMAX to a smaller number, and try loading the drawing again.

The program might occasionally run into the limit you set with TREEMAX. Follow the resulting prompt instructions. Your ability to increase TREEMAX depends on your computer's available memory.


TRIMMODE (Quick Reference)

TREEMAX
TRIMMODE
TSPACEFAC
System Variables > T System Variables >
TRIMMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether selected edges for chamfers and fillets are trimmed.

0 | Leaves selected edges intact
1 | Trims selected edges to the endpoints of chamfer lines and fillet arcs


TSPACEFAC (Quick Reference)

TRIMMODE
TSPACEFAC
TSPACETYPE
System Variables > T System Variables >
TSPACEFAC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Real
Saved in: | Not-saved
Initial value: | 1.0000

Controls the multiline text line-spacing distance measured as a factor of text height.

Valid values are 0.25 to 4.0.


TSPACETYPE (Quick Reference)

TSPACEFAC
TSPACETYPE
TSTACKALIGN
System Variables > T System Variables >
TSPACETYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls the type of line spacing used in multiline text.

At Least adjusts line spacing based on the tallest characters in a line. Exactly uses the specified line spacing, regardless of individual character sizes.

1 | At Least
2 | Exactly


TSTACKALIGN (Quick Reference)

TSPACETYPE
TSTACKALIGN
TSTACKSIZE
System Variables > T System Variables >
TSTACKALIGN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the vertical alignment of stacked text.

0 | Bottom aligned
1 | Center aligned
2 | Top aligned


TSTACKSIZE (Quick Reference)

TSTACKALIGN
TSTACKSIZE
UCSAXISANG
System Variables > T System Variables >
TSTACKSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 70

Controls the percentage of stacked text fraction height relative to selected text's current height.

Valid values are from 25 to 125.


U System Variables

TSTACKSIZE
System Variables
UCSAXISANG
System Variables >
U System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • UCSAXISANG

    Stores the default angle when rotating the UCS around one of its axes using the X, Y, or Z option of the UCS command.

  • UCSBASE

    Stores the name of the UCS that defines the origin and orientation of orthographic UCS settings.

  • UCSDETECT

    Controls whether dynamic UCS acquisition is active or not.

  • UCSFOLLOW

    Generates a plan view whenever you change from one UCS to another.

  • UCSICON

    Displays the UCS icon for the current viewport or layout.

  • UCSNAME

    Stores the name of the current coordinate system for the current viewport in the current space.

  • UCSORG

    Stores the origin point of the current coordinate system for the current viewport in the current space.

  • UCSORTHO

    Determines whether the related orthographic UCS setting is restored automatically when an orthographic view is restored.

  • UCSVIEW

    Determines whether the current UCS is saved with a named view.

  • UCSVP

    Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport.

  • UCSXDIR

    Stores the X direction of the current UCS for the current viewport in the current space.

  • UCSYDIR

    Stores the Y direction of the current UCS for the current viewport in the current space.

  • UNDOCTL

    Indicates the state of the Auto, Control, and Group options of the UNDO command.

  • UNDOMARKS

    Stores the number of marks placed in the UNDO control stream by the Mark option.

  • UNITMODE

    Controls the display format for units.

  • UOSNAP

    Determines whether object snapping is active for geometry in DWF, DWFx, PDF, and DGN underlays that are attached to the drawing.

  • UPDATETHUMBNAIL

    Controls updating of the thumbnail previews in the Sheet Set Manager and Quick View.

  • USERI1-5

    Provides storage and retrieval of integer values.

  • USERR1-5

    Provides storage and retrieval of real numbers.

  • USERS1-5

    Provides storage and retrieval of text string data.


UCSAXISANG (Quick Reference)

TSTACKSIZE
UCSAXISANG
UCSBASE
System Variables > U System Variables >
UCSAXISANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 90

Stores the default angle when rotating the UCS around one of its axes using the X, Y, or Z option of the UCS command.

Its value must be entered as an angle in degrees (valid values are: 5, 10, 15, 18, 22.5, 30, 45, 90, 180).


UCSBASE (Quick Reference)

UCSAXISANG
UCSBASE
UCSDETECT
System Variables > U System Variables >
UCSBASE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | ""

Stores the name of the UCS that defines the origin and orientation of orthographic UCS settings.

Valid values include any named UCS.


UCSDETECT (Quick Reference)

UCSBASE
UCSDETECT
UCSFOLLOW
System Variables > U System Variables >
UCSDETECT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether dynamic UCS acquisition is active or not.

0 | Not active
1 | Active


UCSFOLLOW (Quick Reference)

UCSDETECT
UCSFOLLOW
UCSICON
System Variables > U System Variables >
UCSFOLLOW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Generates a plan view whenever you change from one UCS to another.

The UCSFOLLOW setting is saved separately for each viewport. If UCSFOLLOW is on for a particular viewport, a plan view is generated in that viewport whenever you change coordinate systems.

Once the new UCS has been established, you can use DVIEW, PLAN, VIEW, or VPOINT to change the view of the drawing. It will change to a plan view again the next time you change coordinate systems.

0 | UCS does not affect the view
1 | Any UCS change causes a change to the plan view of the new UCS in the current viewport

The setting of UCSFOLLOW is maintained separately for paper space and model space and can be accessed in either, but the setting is ignored while in paper space (it is always treated as if set to 0). Although you can define a non-world UCS in paper space, the view remains in plan view to the world coordinate system.


UCSICON (Quick Reference)

UCSFOLLOW
UCSICON
UCSNAME
System Variables > U System Variables >
UCSICON
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Displays the UCS icon for the current viewport or layout.

This system variable has the same name as a command. Use the SETVAR command to access this system variable.

The setting is stored as a bitcode using the sum of the following values:

0 | No icon is displayed
1 | On; the icon is displayed in the lower-left corner of the current viewport or layout
2 | Origin; if the icon is on, the icon is displayed at the UCS origin, if possible

The setting of this system variable is viewport and layout specific.


UCSNAME (Quick Reference)

UCSICON
UCSNAME
UCSORG
System Variables > U System Variables >
UCSNAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | String
Saved in: | Drawing

Stores the name of the current coordinate system for the current viewport in the current space.

Returns a null string if the current UCS is unnamed.


UCSORG (Quick Reference)

UCSNAME
UCSORG
UCSORTHO
System Variables > U System Variables >
UCSORG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | 0.0000,0.0000

Stores the origin point of the current coordinate system for the current viewport in the current space.

This value is always stored as a world coordinate.


UCSORTHO (Quick Reference)

UCSORG
UCSORTHO
UCSVIEW
System Variables > U System Variables >
UCSORTHO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether the related orthographic UCS setting is restored automatically when an orthographic view is restored.

0 | Specifies that the UCS setting remains unchanged when an orthographic view is restored
1 | Specifies that the related orthographic UCS setting is restored automatically when an orthographic view is restored


UCSVIEW (Quick Reference)

UCSORTHO
UCSVIEW
UCSVP
System Variables > U System Variables >
UCSVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether the current UCS is saved with a named view.

0 | Does not save current UCS with a named view
1 | Saves current UCS whenever a named view is created


UCSVP (Quick Reference)

UCSVIEW
UCSVP
UCSXDIR
System Variables > U System Variables >
UCSVP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Determines whether the UCS in viewports remains fixed or changes to reflect the UCS of the current viewport.

The setting of this system variable is viewport specific.

0 | Unlocked; UCS reflects the UCS of the current viewport
1 | Locked; UCS stored in viewport, and is independent of the UCS of the current viewport


UCSXDIR (Quick Reference)

UCSVP
UCSXDIR
UCSYDIR
System Variables > U System Variables >
UCSXDIR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | 1.0000,0.0000,0.0000

Stores the X direction of the current UCS for the current viewport in the current space.

The setting of this system variable is viewport specific.


UCSYDIR (Quick Reference)

UCSXDIR
UCSYDIR
UNDOCTL
System Variables > U System Variables >
UCSYDIR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | 0.0000,1.0000,0.0000

Stores the Y direction of the current UCS for the current viewport in the current space.

The setting of this system variable is viewport specific.


UNDOCTL (Quick Reference)

UCSYDIR
UNDOCTL
UNDOMARKS
System Variables > U System Variables >
UNDOCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 53

Indicates the state of the Auto, Control, and Group options of the UNDO command.

The setting is stored as a bitcode using the sum of the following values:

0 | UNDO is turned off
1 | UNDO is turned on
2 | Only one command can be undone
4 | Auto is turned on
8 | A group is currently active
16 | Zoom and pan operations are grouped as a single action
32 | Layer property operations are grouped as a single action


UNDOMARKS (Quick Reference)

UNDOCTL
UNDOMARKS
UNITMODE
System Variables > U System Variables >
UNDOMARKS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Stores the number of marks placed in the UNDO control stream by the Mark option.

The Mark and Back options are not available if a group is currently active.


UNITMODE (Quick Reference)

UNDOMARKS
UNITMODE
UOSNAP
System Variables > U System Variables >
UNITMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the display format for units.

By default, the format for displaying measured values differs slightly from the format used for entering them. (You cannot include spaces when entering measured values.)

0 | Displays fractional, feet-and-inches, and surveyor's angles in “report” format using spaces as delimiters
1 | Displays fractional, feet-and-inches, and surveyor's angles in “input” format without including spaces and, in some cases, substituting dashes for spaces


UOSNAP (Quick Reference)

UNITMODE
UOSNAP
UPDATETHUMBNAIL
System Variables > U System Variables >
UOSNAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Determines whether object snapping is active for geometry in DWF, DWFx, PDF, and DGN underlays that are attached to the drawing.

UOSNAP overrides the DWFOSNAP, PDFOSNAP, and DGNOSNAP settings. Conversely, you can override the UOSNAP setting for DWF, DWFx, PDF, and DGN underlays by issuing the necessary DWFOSNAP, PDFOSNAP, or DGNOSNAP system variables.

0 | Object snapping is disabled for geometry in all underlay attachments in the drawing
1 | Object snapping is enabled for geometry in all underlay attachments in the drawing
2 | The individual setting varies for all underlays in the current drawing: DWF, DWFx and DGN.


UPDATETHUMBNAIL (Quick Reference)

UOSNAP
UPDATETHUMBNAIL
USERI1-5
System Variables > U System Variables >
UPDATETHUMBNAIL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Bitcode
Saved in: | Drawing
Initial value: | 15

Controls updating of the thumbnail previews in the Sheet Set Manager and Quick View.

The setting is stored as a bitcode using the sum of the following values:

0 | Does not update thumbnail previews for sheet views, model space views, sheets, or Quick View images
1 | Updates model space view thumbnail previews
2 | Updates sheet view thumbnail previews
4 | Updates sheet thumbnail previews
8 | Updates thumbnail previews when sheets or views are created, modified, or restored
16 | Updates thumbnail previews when the drawing is saved


USERI1-5 (Quick Reference)

UPDATETHUMBNAIL
USERI1-5
USERR1-5
System Variables > U System Variables >
USERI1-5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Provides storage and retrieval of integer values.

There are five system variables: USERI1, USERI2, USERI3, USERI4, and USERI5.


USERR1-5 (Quick Reference)

USERI1-5
USERR1-5
USERS1-5
System Variables > U System Variables >
USERR1-5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Provides storage and retrieval of real numbers.

There are five system variables: USERR1, USERR2, USERR3, USERR4, and USERR5.


USERS1-5 (Quick Reference)

USERR1-5
USERS1-5
VIEWCTR
System Variables > U System Variables >
USERS1-5
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | ""

Provides storage and retrieval of text string data.

There are five system variables: USERS1, USERS2, USERS3, USERS4, and USERS5.


V System Variables

USERS1-5
System Variables
VIEWCTR
System Variables >
V System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • VIEWCTR

    Stores the center of view in the current viewport.

  • VIEWDIR

    Stores the viewing direction in the current viewport, expressed in UCS coordinates.

  • VIEWMODE

    Stores the View mode for the current viewport.

  • VIEWSIZE

    Stores the height of the view displayed in the current viewport, measured in drawing units.

  • VIEWTWIST

    Stores the view rotation angle for the current viewport measured relative to the WCS.

  • VISRETAIN

    Controls the properties of xref-dependent layers.

  • VPLAYEROVERRIDES

    Indicates if there are any layers with viewport (VP) property overrides for the current layout viewport.

  • VPLAYEROVERRIDESMODE

    Controls whether layer property overrides for layout viewports are displayed and plotted.

  • VPMAXIMIZEDSTATE

    Indicates whether the viewport is maximized or not.

  • VPROTATEASSOC

    Controls whether the view within a viewport is rotated with the viewport when the viewport is rotated.

  • VSBACKGROUNDS

    Controls whether backgrounds are displayed in the visual style applied to the current viewport.

  • VSEDGECOLOR

    Sets the color of edges in the visual style in the current viewport.

  • VSEDGEJITTER

    Makes edges on 3D objects appear wavy, as though they were sketched with a pencil.

  • VSEDGEOVERHANG

    Makes edges on 3D objects extend beyond their intersection for a hand-drawn effect.

  • VSEDGES

    Controls the types of edges that are displayed in the viewport.

  • VSEDGESMOOTH

    Specifies the angle at which crease edges are displayed.

  • VSFACECOLORMODE

    Controls how the color of faces is calculated.

  • VSFACEHIGHLIGHT

    Controls the level of transparency for 3D objects.

  • VSFACEOPACITY

    Turns on and off a preset level of transparency for 3D objects.

  • VSFACESTYLE

    Controls how faces are displayed in the current viewport.

  • VSHALOGAP

    Sets the halo gap in the visual style applied to the current viewport.

  • VSHIDEPRECISION

    Controls the accuracy of hides and shades in the visual style applied to the current viewport.

  • VSINTERSECTIONCOLOR

    Specifies the color of intersection polylines in the visual style applied to the current viewport.

  • VSINTERSECTIONEDGES

    Controls the display of intersection edges in the visual style applied to the current viewport.

  • VSINTERSECTIONLTYPE

    Sets the linetype for intersection lines in the visual style applied to the current viewport.

  • VSISOONTOP

    Displays isolines on top of shaded objects in the visual style applied to the current viewport.

  • VSLIGHTINGQUALITY

    Sets the lighting quality in the current viewport.

  • VSMATERIALMODE

    Controls the display of materials in the current viewport.

  • VSMAX

    Stores the upper-right corner of the current viewport's virtual screen.

  • VSMIN

    Stores the lower-left corner of the current viewport's virtual screen.

  • VSMONOCOLOR

    Sets the color for monochrome and tint display of faces in the visual style applied to the current viewport.

  • VSOBSCUREDCOLOR

    Specifies the color of obscured (hidden) lines in the visual style applied to the current viewport.

  • VSOBSCUREDEDGES

    Controls whether obscured (hidden) edges are displayed.

  • VSOBSCUREDLTYPE

    Specifies the linetype of obscured (hidden) lines in the visual style applied to the current viewport.

  • VSSHADOWS

    Controls whether a visual style displays shadows.

  • VSSILHEDGES

    Controls display of silhouette edges of solid objects in the visual style applied to the current viewport.

  • VSSILHWIDTH

    Specifies the width in pixels of silhouette edges in the current viewport.

  • VSSTATE

    Indicates whether the Visual Styles window is open or closed.

  • VTDURATION

    Sets the duration of a smooth view transition, in milliseconds.

  • VTENABLE

    Controls when smooth view transitions are used.

  • VTFPS

    Sets the minimum speed of a smooth view transition, in frames per second.


VIEWCTR (Quick Reference)

USERS1-5
VIEWCTR
VIEWDIR
System Variables > V System Variables >
VIEWCTR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | Varies

Stores the center of view in the current viewport.

Expressed as a UCS coordinate.


VIEWDIR (Quick Reference)

VIEWCTR
VIEWDIR
VIEWMODE
System Variables > V System Variables >
VIEWDIR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | 3D-vector
Saved in: | Drawing
Initial value: | 0.0000,0.0000,1.0000

Stores the viewing direction in the current viewport, expressed in UCS coordinates.

This describes the camera point as a 3D offset from the target point.


VIEWMODE (Quick Reference)

VIEWDIR
VIEWMODE
VIEWSIZE
System Variables > V System Variables >
VIEWMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Stores the View mode for the current viewport.

The setting is stored as a bitcode using the sum of the following values:

0 | Turned off.
1 | Perspective view active.
2 | Front clipping on
4 | Back clipping on.
8 | UCS Follow mode on.
16 | Front clip not at eye. If on, the front clip distance (FRONTZ) determines the front clipping plane. If off, FRONTZ is ignored, and the front clipping plane is set to pass through the camera point (vectors behind the camera are not displayed). This flag is ignored if the front-clipping bit (2) is off.


VIEWSIZE (Quick Reference)

VIEWMODE
VIEWSIZE
VIEWTWIST
System Variables > V System Variables >
VIEWSIZE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | Varies

Stores the height of the view displayed in the current viewport, measured in drawing units.


VIEWTWIST (Quick Reference)

VIEWSIZE
VIEWTWIST
VISRETAIN
System Variables > V System Variables >
VIEWTWIST
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Real
Saved in: | Drawing
Initial value: | 0.0000

Stores the view rotation angle for the current viewport measured relative to the WCS.


VISRETAIN (Quick Reference)

VIEWTWIST
VISRETAIN
VPLAYEROVERRIDES
System Variables > V System Variables >
VISRETAIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the properties of xref-dependent layers.

Controls visibility, color, linetype, lineweight, and plot styles.

0 | The layer table, as stored in the reference drawing (xref), takes precedence. Changes made to xref-dependent layers in the current drawing are valid in the current session only and are not saved with the drawing. When the current drawing is reopened, the layer table is reloaded from the reference drawing, and the current drawing reflects all of those layer property settings.
1 | Xref-dependent layer changes made in the current drawing take precedence. Layer settings are saved with the current drawing's layer table and persist from session to session.


VPLAYEROVERRIDES (Quick Reference)

VISRETAIN
VPLAYEROVERRIDES
VPLAYEROVERRIDESMODE
System Variables > V System Variables >
VPLAYEROVERRIDES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Indicates if there are any layers with viewport (VP) property overrides for the current layout viewport.

0 | Current viewport does not have any associated layer property overrides
1 | Current viewport has associated layer property overrides


VPLAYEROVERRIDESMODE (Quick Reference)

VPLAYEROVERRIDES
VPLAYEROVERRIDESMODE
VPMAXIMIZEDSTATE
System Variables > V System Variables >
VPLAYEROVERRIDESMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether layer property overrides for layout viewports are displayed and plotted.

0 | Layer property overrides are not displayed in layout viewports or plotted
1 | Layer property overrides are displayed in layout viewports and plotted


VPMAXIMIZEDSTATE (Quick Reference)

VPLAYEROVERRIDESMODE
VPMAXIMIZEDSTATE
VPROTATEASSOC
System Variables > V System Variables >
VPMAXIMIZEDSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the viewport is maximized or not.

The maximized viewport state is canceled if you start the PLOT command.

0 | Not maximized
1 | Maximized


VPROTATEASSOC (Quick Reference)

VPMAXIMIZEDSTATE
VPROTATEASSOC
VSBACKGROUNDS
System Variables > V System Variables >
VPROTATEASSOC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | User-settings
Initial value: | 1

Controls whether the view within a viewport is rotated with the viewport when the viewport is rotated.

0 | When a viewport is rotated, the view inside is not rotated.
1 | When a viewport is rotated, the view inside is rotated to match the rotation of the viewport.
NoteAfter rotating a viewport, VPROTATEASSOC is set to 0 for a new viewport created in the same layout.


VSBACKGROUNDS (Quick Reference)

VPROTATEASSOC
VSBACKGROUNDS
VSEDGECOLOR
System Variables > V System Variables >
VSBACKGROUNDS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether backgrounds are displayed in the visual style applied to the current viewport.

0 | Off
1 | On
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSEDGECOLOR (Quick Reference)

VSBACKGROUNDS
VSEDGECOLOR
VSEDGEJITTER
System Variables > V System Variables >
VSEDGECOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | BYENTITY

Sets the color of edges in the visual style in the current viewport.

Value 0 designates ByBlock, value 256 designates ByLayer, and value 257 designates ByEntity. Values 1-255 designate an AutoCAD Color Index (ACI) color. True Colors and Color Book colors are also available.

Valid values for True Colors are a string of integers each from 0 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000

If you have a color book installed, you can specify any colors that are defined in the book.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSEDGEJITTER (Quick Reference)

VSEDGECOLOR
VSEDGEJITTER
VSEDGEOVERHANG
System Variables > V System Variables >
VSEDGEJITTER
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | -2

Makes edges on 3D objects appear wavy, as though they were sketched with a pencil.

Turn off the jitter effect by preceding the setting with a minus sign.

1 | Low
2 | Medium
3 | High
NotePlot styles are not available for objects with the Jitter edge modifier applied.
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSEDGEOVERHANG (Quick Reference)

VSEDGEJITTER
VSEDGEOVERHANG
VSEDGES
System Variables > V System Variables >
VSEDGEOVERHANG
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | -6

Makes edges on 3D objects extend beyond their intersection for a hand-drawn effect.

The range is 1 to 100 pixels. Turn off the overhang effect by preceding the setting with a minus sign.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSEDGES (Quick Reference)

VSEDGEOVERHANG
VSEDGES
VSEDGESMOOTH
System Variables > V System Variables >
VSEDGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls the types of edges that are displayed in the viewport.

0 | No edges are displayed
1 | Isolines are displayed
2 | Facet edges are displayed
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSEDGESMOOTH (Quick Reference)

VSEDGES
VSEDGESMOOTH
VSFACECOLORMODE
System Variables > V System Variables >
VSEDGESMOOTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies the angle at which crease edges are displayed.

The range is 0 to 180.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSFACECOLORMODE (Quick Reference)

VSEDGESMOOTH
VSFACECOLORMODE
VSFACEHIGHLIGHT
System Variables > V System Variables >
VSFACECOLORMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls how the color of faces is calculated.

0 | Normal: Does not apply a face color modifier
1 | Monochrome: Displays all faces in the color that is specified in the VSMONOCOLOR system variable.
2 | Tint: Uses the color that is specified in the VSMONOCOLOR system variable to shade all faces by changing the hue and saturation values of the color.
3 | Desaturate: Softens the color by reducing its saturation component by 30 percent
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSFACEHIGHLIGHT (Quick Reference)

VSFACECOLORMODE
VSFACEHIGHLIGHT
VSFACEOPACITY
System Variables > V System Variables >
VSFACEHIGHLIGHT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | -30

Controls the level of transparency for 3D objects.

The range is -100 to 100. The higher the number, the larger the highlight. Objects with materials attached ignore the setting of VSFACEHIGHLIGHT when VSMATERIALMODE is on.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSFACEOPACITY (Quick Reference)

VSFACEHIGHLIGHT
VSFACEOPACITY
VSFACESTYLE
System Variables > V System Variables >
VSFACEOPACITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | -60

Turns on and off a preset level of transparency for 3D objects.

The range is -100 to 100. At 100, the face is completely opaque. At 0, the face is completely transparent. Negative values set the transparency level but turn off the effect in the drawing.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSFACESTYLE (Quick Reference)

VSFACEOPACITY
VSFACESTYLE
VSHALOGAP
System Variables > V System Variables >
VSFACESTYLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls how faces are displayed in the current viewport.

0 | No style applied
1 | Real: as close as possible to how the face would appear in the real world
2 | Gooch: uses cool and warm colors instead of dark and light to enhance the display of faces that might be shadowed and difficult to see in a realistic display
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSHALOGAP (Quick Reference)

VSFACESTYLE
VSHALOGAP
VSHIDEPRECISION
System Variables > V System Variables >
VSHALOGAP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Sets the halo gap in the visual style applied to the current viewport.

The range is 0 to 100.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSHIDEPRECISION (Quick Reference)

VSHALOGAP
VSHIDEPRECISION
VSINTERSECTIONCOLOR
System Variables > V System Variables >
VSHIDEPRECISION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Controls the accuracy of hides and shades in the visual style applied to the current viewport.

0 | Single precision; uses less memory
1 | Double precision; uses more memory
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSINTERSECTIONCOLOR (Quick Reference)

VSHIDEPRECISION
VSINTERSECTIONCOLOR
VSINTERSECTIONEDGES
System Variables > V System Variables >
VSINTERSECTIONCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 7

Specifies the color of intersection polylines in the visual style applied to the current viewport.

The initial value is 7, which is a special value that inverts the color (black or white) based on the background color.

Value 0 designates ByBlock, value 256 designates ByLayer, and value 257 designates ByEntity. Values 1-255 designate an AutoCAD Color Index (ACI) color. True Colors and Color Book colors are also available.

NoteINTERSECTIONCOLOR controls the color of intersection polylines when the visual style is set to 2D Wireframe.
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSINTERSECTIONEDGES (Quick Reference)

VSINTERSECTIONCOLOR
VSINTERSECTIONEDGES
VSINTERSECTIONLTYPE
System Variables > V System Variables >
VSINTERSECTIONEDGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | 0

Controls the display of intersection edges in the visual style applied to the current viewport.

NoteINTERSECTIONDISPLAY controls the color of intersection polylines when the visual style is set to 2D Wireframe.
0 | Off
1 | On
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSINTERSECTIONLTYPE (Quick Reference)

VSINTERSECTIONEDGES
VSINTERSECTIONLTYPE
VSISOONTOP
System Variables > V System Variables >
VSINTERSECTIONLTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Sets the linetype for intersection lines in the visual style applied to the current viewport.

The range is 1 to 11.

1 | Solid
2 | Dashed
3 | Dotted
4 | Short Dash
5 | Medium Dash
6 | Long Dash
7 | Double Short Dash
8 | Double Medium Dash
9 | Double Long Dash
10 | Medium Long Dash
11 | Sparse Dot
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSISOONTOP (Quick Reference)

VSINTERSECTIONLTYPE
VSISOONTOP
VSLIGHTINGQUALITY
System Variables > V System Variables >
VSISOONTOP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Displays isolines on top of shaded objects in the visual style applied to the current viewport.

0 | Off
1 | On
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSLIGHTINGQUALITY (Quick Reference)

VSISOONTOP
VSLIGHTINGQUALITY
VSMATERIALMODE
System Variables > V System Variables >
VSLIGHTINGQUALITY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Sets the lighting quality in the current viewport.

0 | Faceted. A single color is computed for each face of a surface or 3D solid.
1 | Smooth. The colors are computed as a gradient between the vertices of the faces.
2 | Smoothest. If the Per-Pixel Lighting setting is turned on in the Manual Performance Tuning dialog box, then the colors are computed for individual pixels. If not, the Smooth setting is used instead.
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSMATERIALMODE (Quick Reference)

VSLIGHTINGQUALITY
VSMATERIALMODE
VSMAX
System Variables > V System Variables >
VSMATERIALMODE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls the display of materials in the current viewport.

Turn off the display of materials and textures to maximize performance during unrelated operations.

Turn off the display of textures to modify materials, or to increase performance during unrelated operations.

After turning them off, you can restore the display of materials and textures.

0 | No materials are displayed
1 | Materials are displayed, textures are not displayed
2 | Materials and textures are displayed
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSMAX (Quick Reference)

VSMATERIALMODE
VSMAX
VSMIN
System Variables > V System Variables >
VSMAX
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | Varies

Stores the upper-right corner of the current viewport's virtual screen.

Expressed as a UCS coordinate.


VSMIN (Quick Reference)

VSMAX
VSMIN
VSMONOCOLOR
System Variables > V System Variables >
VSMIN
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | 3D-point
Saved in: | Drawing
Initial value: | Varies

Stores the lower-left corner of the current viewport's virtual screen.

Expressed as a UCS coordinate.


VSMONOCOLOR (Quick Reference)

VSMIN
VSMONOCOLOR
VSOBSCUREDCOLOR
System Variables > V System Variables >
VSMONOCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | 255,255,255

Sets the color for monochrome and tint display of faces in the visual style applied to the current viewport.

The initial value is white.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSOBSCUREDCOLOR (Quick Reference)

VSMONOCOLOR
VSOBSCUREDCOLOR
VSOBSCUREDEDGES
System Variables > V System Variables >
VSOBSCUREDCOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Drawing
Initial value: | BYENTITY

Specifies the color of obscured (hidden) lines in the visual style applied to the current viewport.

Valid values include ByLayer (256), ByBlock (0), ByEntity (257), and any AutoCAD Color Index (ACI) color (an integer from 1 to 255).

You can also specify a true color or a color book color. Valid values for true colors are a string of integers each from 1 to 255 separated by commas and preceded by RGB. The True Color setting is entered as follows:

RGB:000,000,000

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSOBSCUREDEDGES (Quick Reference)

VSOBSCUREDCOLOR
VSOBSCUREDEDGES
VSOBSCUREDLTYPE
System Variables > V System Variables >
VSOBSCUREDEDGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether obscured (hidden) edges are displayed.

0 | Off
1 | On
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSOBSCUREDLTYPE (Quick Reference)

VSOBSCUREDEDGES
VSOBSCUREDLTYPE
VSSHADOWS
System Variables > V System Variables >
VSOBSCUREDLTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Specifies the linetype of obscured (hidden) lines in the visual style applied to the current viewport.

The range is 1 to 11.

1 | Solid
2 | Dashed
3 | Dotted
4 | Short Dash
5 | Medium Dash
6 | Long Dash
7 | Double Short Dash
8 | Double Medium Dash
9 | Double Long Dash
10 | Medium Long Dash
11 | Sparse Dot

The initial value of VSOBSCUREDLTYPE varies on the current visual style.

Visual Style (VSCURRENT) | Initial Value
2D Wireframe | 1
3D Wireframe | 1
3D Hidden | 2
Realistic | 1
Conceptual | 1
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSSHADOWS (Quick Reference)

VSOBSCUREDLTYPE
VSSHADOWS
VSSILHEDGES
System Variables > V System Variables >
VSSHADOWS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls whether a visual style displays shadows.

0 | No shadows are displayed
1 | Ground shadows only are displayed
2 | Full shadows are displayed
NoteTo display full shadows, hardware acceleration is required. When Geometry Acceleration is off, full shadows cannot be displayed. (To access these settings, enter 3dconfig at the Command prompt. In the Adaptive Degradation and Performance Tuning dialog box, click Manual Tune.)
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSSILHEDGES (Quick Reference)

VSSHADOWS
VSSILHEDGES
VSSILHWIDTH
System Variables > V System Variables >
VSSILHEDGES
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 0

Controls display of silhouette edges of solid objects in the visual style applied to the current viewport.

0 | Off
1 | On

The initial value of VSSILHEDGES varies on the current visual style.

Visual Style (VSCURRENT) | Initial Value
2D Wireframe | 0
3D Wireframe | 0
3D Hidden | 1
Realistic | 0
Conceptual | 1
NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSSILHWIDTH (Quick Reference)

VSSILHEDGES
VSSILHWIDTH
VSSTATE
System Variables > V System Variables >
VSSILHWIDTH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 5

Specifies the width in pixels of silhouette edges in the current viewport.

The range is 1 to 25.

NoteExisting visual styles are not changed when you enter a new value for this system variable. Any new value entered for this system variable temporarily creates an unsaved new visual style.


VSSTATE (Quick Reference)

VSSILHWIDTH
VSSTATE
VTDURATION
System Variables > V System Variables >
VSSTATE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 0

Indicates whether the Visual Styles window is open or closed.


VTDURATION (Quick Reference)

VSSTATE
VTDURATION
VTENABLE
System Variables > V System Variables >
VTDURATION
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 750

Sets the duration of a smooth view transition, in milliseconds.

The valid range is 0 to 5000.


VTENABLE (Quick Reference)

VTDURATION
VTENABLE
VTFPS
System Variables > V System Variables >
VTENABLE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 3

Controls when smooth view transitions are used.

Smooth view transitions can be on or off for panning and zooming, for changes of view angle, or for scripts. The valid range is 0 to 7.

Setting | For pan/zoom | For rotation | For scripts
0 | Off | Off | Off
1 | On | Off | Off
2 | Off | On | Off
3 | On | On | Off
4 | Off | Off | On
5 | On | Off | On
6 | Off | On | On
7 | On | On | On


VTFPS (Quick Reference)

VTENABLE
VTFPS
WHIPARC
System Variables > V System Variables >
VTFPS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 7

Sets the minimum speed of a smooth view transition, in frames per second.

When a smooth view transition cannot maintain this speed, an instant transition is used. The valid range is 1 to 30.


W System Variables

VTFPS
System Variables
WHIPARC
System Variables >
W System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • WHIPARC

    Controls whether the display of circles and arcs is smooth.

  • WHIPTHREAD

    Controls whether to use an additional processor to improve the speed of operations such as ZOOM that redraw or regenerate the drawing.

  • WINDOWAREACOLOR

    Controls the color of the transparent selection area during window selection.

  • WMFBKGND

    Controls the background display when objects are inserted in Windows metafile (WMF) format.

  • WMFFOREGND

    Controls the assignment of the foreground color when objects are inserted in Windows metafile (WMF) format.

  • WORLDUCS

    Indicates whether the UCS is the same as the WCS.

  • WORLDVIEW

    Determines whether input to the DVIEW and VPOINT commands is relative to the WCS (default) or the current UCS.

  • WRITESTAT

    Indicates whether a drawing file is read-only or can be revised.

  • WSCURRENT

    Returns the current workspace name at the Command prompt and sets a workspace to current.


WHIPARC (Quick Reference)

VTFPS
WHIPARC
WHIPTHREAD
System Variables > W System Variables >
WHIPARC
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether the display of circles and arcs is smooth.

0 | Circles and arcs are not smooth, but rather are displayed as a series of vectors
1 | Circles and arcs are smooth, displayed as true circles and arcs


WHIPTHREAD (Quick Reference)

WHIPARC
WHIPTHREAD
WINDOWAREACOLOR
System Variables > W System Variables >
WHIPTHREAD
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 1

Controls whether to use an additional processor to improve the speed of operations such as ZOOM that redraw or regenerate the drawing.

WHIPTHREAD has no effect on single processor machines.

0 | No multithreaded processing; restricts regeneration and redraw processing to a single processor. This setting restores the behavior of AutoCAD 2000 and previous releases.
1 | Regeneration multithreaded processing only; regeneration processing is distributed across two processors on a multiprocessor machine.
2 | Redraw multithreaded processing only; redraw processing is distributed across two processors on a multiprocessor machine.
3 | Regeneration and redraw multithreaded processing; regeneration and redraw processing is distributed across two processors on a multiprocessor machine.

When multithreaded processing is used for redraw operations (value 2 or 3), the order of objects specified with the DRAWORDER command is not guaranteed to be preserved for display but is preserved for plotting.


WINDOWAREACOLOR (Quick Reference)

WHIPTHREAD
WINDOWAREACOLOR
WMFBKGND
System Variables > W System Variables >
WINDOWAREACOLOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 150

Controls the color of the transparent selection area during window selection.

The valid range is 1 to 255. SELECTIONAREA must be on.


WMFBKGND (Quick Reference)

WINDOWAREACOLOR
WMFBKGND
WMFFOREGND
System Variables > W System Variables >
WMFBKGND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | Off

Controls the background display when objects are inserted in Windows metafile (WMF) format.

The objects may be inserted using any of the following methods:

  • Output to a Windows metafile using WMFOUT
  • Copied to the Clipboard and pasted as a Windows metafile
  • Dragged as a Windows metafile
Off | The background color is transparent. The foreground color depends on the setting of WMFFOREGND.
On | The background color is the same as the current background color in the drawing, whether in model space or in a layout. The foreground color remains unchanged.


WMFFOREGND (Quick Reference)

WMFBKGND
WMFFOREGND
WORLDUCS
System Variables > W System Variables >
WMFFOREGND
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Integer
Saved in: | Not-saved
Initial value: | Off

Controls the assignment of the foreground color when objects are inserted in Windows metafile (WMF) format.

The objects may be inserted using any of the following methods:

  • Output to a Windows metafile using WMFOUT
  • Copied to the Clipboard and pasted as a Windows metafile
  • Dragged as a Windows metafile

WMFFOREGND applies only when WMFBKGND is set to Off.

Off | The foreground and background colors are swapped if necessary to ensure that the foreground color is darker than the background color
On | The foreground and background colors are swapped if necessary to ensure that the foreground color is lighter than the background color


WORLDUCS (Quick Reference)

WMFFOREGND
WORLDUCS
WORLDVIEW
System Variables > W System Variables >
WORLDUCS
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Indicates whether the UCS is the same as the WCS.

0 | UCS differs from the WCS
1 | UCS matches the WCS


WORLDVIEW (Quick Reference)

WORLDUCS
WORLDVIEW
WRITESTAT
System Variables > W System Variables >
WORLDVIEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Determines whether input to the DVIEW and VPOINT commands is relative to the WCS (default) or the current UCS.

0 | UCS remains unchanged
1 | UCS changes to the WCS for the duration of the command; the command input is relative to the current UCS


WRITESTAT (Quick Reference)

WORLDVIEW
WRITESTAT
WSCURRENT
System Variables > W System Variables >
WRITESTAT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
(Read-only)
Type: | Integer
Saved in: | Not-saved
Initial value: | 1

Indicates whether a drawing file is read-only or can be revised.

For developers who need to determine write status through AutoLISP.

0 | Can't write to the drawing
1 | Can write to the drawing


WSCURRENT (Quick Reference)

WRITESTAT
WSCURRENT
XCLIPFRAME
System Variables > W System Variables >
WSCURRENT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Not-saved
Initial value: | Name of current workspace

Returns the current workspace name at the Command prompt and sets a workspace to current.


X System Variables

WSCURRENT
System Variables
XCLIPFRAME
System Variables >
X System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • XCLIPFRAME

    Determines whether xref clipping boundaries are visible or plotted in the current drawing.

  • XDWGFADECTL

    Controls the dimming for all DWG xref objects.

  • XEDIT

    Controls whether the current drawing can be edited in-place when being referenced by another drawing.

  • XFADECTL

    Controls the fading intensity percentage for references being edited in-place.

  • XLOADCTL

    Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy.

  • XLOADPATH

    Creates a path for storing temporary copies of demand-loaded xref files.

  • XREFCTL

    Controls whether external reference log (XLG) files are created.

  • XREFNOTIFY

    Controls the notification for updated or missing xrefs.

  • XREFTYPE

    Controls the default reference type when attaching or overlaying an external reference.


XCLIPFRAME (Quick Reference)

WSCURRENT
XCLIPFRAME
XDWGFADECTL
System Variables > X System Variables >
XCLIPFRAME
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Determines whether xref clipping boundaries are visible or plotted in the current drawing.

The FRAME system variable overrides the XCLIPFRAME setting.Use the XCLIPFRAME system variable after the FRAME system variable to reset the XCLIP frame settings

0 | The xclip frame is not visible and it is not plotted
1 | The xclip frame is displayed and plotted
2 | The xclip frame is displayed but not plotted


XDWGFADECTL (Quick Reference)

XCLIPFRAME
XDWGFADECTL
XEDIT
System Variables > X System Variables >
XDWGFADECTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 70

Controls the dimming for all DWG xref objects.

The valid XDWGFADECTL system variable value is between -90 and 90. When XDWGFADECTL is set to a negative value, the Xref Fading feature is not turned on, but the setting is stored.

0 | DWG xref objects are not faded.
>0 | When the value is positive, controls the percent of fading up to 90 percent.
<0 | When the value is negative, xref objects are not faded, but the value is saved for switching to that value by changing the sign.


XEDIT (Quick Reference)

XDWGFADECTL
XEDIT
XFADECTL
System Variables > X System Variables >
XEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 1

Controls whether the current drawing can be edited in-place when being referenced by another drawing.

0 | Can't use in-place reference editing
1 | Can use in-place reference editing


XFADECTL (Quick Reference)

XEDIT
XFADECTL
XLOADCTL
System Variables > X System Variables >
XFADECTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 50

Controls the fading intensity percentage for references being edited in-place.

Valid values are from 0 to 90.

Also controls the fading intensity percentage of alternate object representations that display in a dimmed state, such as alternate scale representations of annotative objects.

SELECTIONANNODISPLAY controls whether or not alternate scale representations of annotative objects are displayed.


XLOADCTL (Quick Reference)

XFADECTL
XLOADCTL
XLOADPATH
System Variables > X System Variables >
XLOADCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Turns xref demand-loading on and off, and controls whether it opens the referenced drawing or a copy.

0 | Turns off demand-loading; the entire drawing is loaded.
1 | Turns on demand-loading. Referenced drawings are kept open and locked.
2 | Turns on demand-loading. Copies of referenced drawings are opened and locked; referenced drawings are not locked

When XLOADCTL is set to 2, a copy of each referenced drawing file is stored in the folder specified by the XLOADPATH system variable or the temporary files folder (set in the Options dialog box). Additionally, xrefs load faster when you work across a network: the performance enhancement is most pronounced when you open drawings with many xrefs.


XLOADPATH (Quick Reference)

XLOADCTL
XLOADPATH
XREFCTL
System Variables > X System Variables >
XLOADPATH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | String
Saved in: | Registry
Initial value: | Varies

Creates a path for storing temporary copies of demand-loaded xref files.

For more information, see XLOADCTL.


XREFCTL (Quick Reference)

XLOADPATH
XREFCTL
XREFNOTIFY
System Variables > X System Variables >
XREFCTL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls whether external reference log (XLG) files are created.

0 | Does not write log files
1 | Writes log files


XREFNOTIFY (Quick Reference)

XREFCTL
XREFNOTIFY
XREFTYPE
System Variables > X System Variables >
XREFNOTIFY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 2

Controls the notification for updated or missing xrefs.

0 | Disables xref notification
1 | Enables xref notification. Notifies you that xrefs are attached to the current drawing by displaying the xref icon in the lower-right corner of the application window (the notification area of the status bar tray). When you open a drawing, alerts you to missing xrefs by displaying the xref icon with a yellow alert symbol (!).
2 | Enables xref notification and balloon messages. Displays the xref icon as in 1 above. Also displays balloon messages in the same area when xrefs are modified. The number of minutes between checking for modified xrefs is controlled by the system registry variable XNOTIFYTIME.


XREFTYPE (Quick Reference)

XREFNOTIFY
XREFTYPE
ZOOMFACTOR
System Variables > X System Variables >
XREFTYPE
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Controls the default reference type when attaching or overlaying an external reference.

0 | Attachment is the default
1 | Overlay is the default


Z System Variables

XREFTYPE
System Variables
ZOOMFACTOR
System Variables >
Z System Variables
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • ZOOMFACTOR

    Controls how much the magnification changes when the mouse wheel moves forward or backward.

  • ZOOMWHEEL

    Toggles the direction of transparent zoom operations when you scroll the middle mouse wheel.


ZOOMFACTOR (Quick Reference)

XREFTYPE
ZOOMFACTOR
ZOOMWHEEL
System Variables > Z System Variables >
ZOOMFACTOR
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 60

Controls how much the magnification changes when the mouse wheel moves forward or backward.

Accepts an integer between 3 and 100 as a valid value. The higher the number, the more the change.


ZOOMWHEEL (Quick Reference)

ZOOMFACTOR
ZOOMWHEEL
Attach Digital Signatures
System Variables > Z System Variables >
ZOOMWHEEL
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Toggles the direction of transparent zoom operations when you scroll the middle mouse wheel.

0 | Moves wheel forward zooms in; moving wheel backwards zooms out.
1 | Move wheel forward zooms out; moving wheel backwards zooms in.


Utilities

ZOOMWHEEL
Utilities
Utilities
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

This section describes the AutoCAD® utilities. You run these utilities separately from AutoCAD.

Topics in this section

  • Utilities


Utilities
Utilities
Attach Digital Signatures
Utilities >
Utilities
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.

Topics in this section

  • Attach Digital Signatures

    Attaches a digital signature to files.

  • Batch Standards Checker

    Audits a set of drawings for standards violations.

  • SLIDELIB

    Compiles slide files listed in an ASCII file into a slide library file.


Attach Digital Signatures (Quick Reference)

ZOOMWHEEL
Attach Digital Signatures
Attach Digital Signatures Dialog Box
Utilities > Utilities >
Attach Digital Signatures
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Attaches a digital signature to files.

Menu: Start menu (Windows) [image] Programs [image] Autodesk [image] AutoCAD [image] Attach Digital Signatures
Command entry: (DOS) AcSignApply.exe

The Attach Digital Signatures dialogbox is displayed.


Attach Digital Signatures Dialog Box (Quick Reference)

Attach Digital Signatures
Attach Digital Signatures
Search Folders Dialog Box
Utilities > Utilities > Attach Digital Signatures >
Attach Digital Signatures Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Selects the files for attachment of digital signatures.

Files to Be Signed

Lists the names of the files to be signed, the folder in which each file resides, and the current status of the file.

Add Files

Opens the Select File dialog box, where you select the files for digital signature.

Search Folders

Opens the Search Folders dialog box, where you can search for files in the folder you specify.

Remove

Removes selected files from the Files to Be Signed list.

Clear List

Removes all files from the Files to Be Signed list.

Number of Files to Sign

Displays the number of files that the Attach Digital Signatures program will attempt to sign.

Select a Digital ID (Certificate)

Displays a list of digital IDs that you can use to sign files. Includes information about the organization or individual to whom the digital ID was issued, the digital ID vendor who issued the digital ID, and when the digital ID expires.

Signature Information

Provides a list of time services you can use to add a time stamp to your digital signature, the status of the time server connection, and a Comments area (to include information relevant to the digital signature or to the files you are signing).

Get Time Stamp From

Provides a list of time servers you can use to time stamp your digital signature and includes the connection status of the time server.

Time Service Status

Displays the connection status (Successfully Contacted Time Server or Could Not Contact Time Server) of the time service.

Comment

Provides a place to include information relevant to the digital signature or to the files you are signing.

Sign Files

Attaches a digital signature to every file listed in this dialog box.


Search Folders Dialog Box (Quick Reference)

Attach Digital Signatures Dialog Box
Attach Digital Signatures
Batch Standards Checker
Utilities > Utilities > Attach Digital Signatures >
Search Folders Dialog Box
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Searches for folders that contain files you want to digitally sign.

Start in Folder

Enters the name of the folder where you want to begin the search for files you want to sign.

Include Subfolders

Searches subfolders of the folder in the Start in Folder box.

Browse

Opens the Browse for Folder dialog box, where you can choose a folder to search.

Search for Files Named

Searches for the file type you specify.

You can specify DWG, DWS, and DWT files, as well as EXE and ZIP files generated by eTransmit.


Batch Standards Checker (Quick Reference)

Search Folders Dialog Box
Batch Standards Checker
Batch Standards Checker Window
Utilities > Utilities >
Batch Standards Checker
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Audits a set of drawings for standards violations.

Menu: Start menu (Windows) [image] Programs [image] Autodesk [image] AutoCAD [image] Batch Standards Checker

The Batch Standards Checker Window is displayed.


Batch Standards Checker Window (Quick Reference)

Batch Standards Checker
Batch Standards Checker
SLIDELIB
Utilities > Utilities > Batch Standards Checker >
Batch Standards Checker Window
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

The Batch Standards Checker audits a series of drawings for standards violations and creates an XML-based summary report detailing all violations. To use the Batch Standards Checker, you must first create a standards check file that specifies the drawings to audit and the standards files used for the audit.

The Batch Standards Checker contains the following tabs:

  • Drawings
  • Standards
  • Plug-ins
  • Notes
  • Progress

The Batch Standards Checker toolbar contains additional options.

Drawings Tab (Batch Standards Checker)

Allows you to create a list of drawings to audit for standards violations.

Drawings to Check

Lists the drawings to audit for standards violations. To add a drawing, click Add Drawing. To remove a drawing, click Remove Drawing. An exclamation mark precedes any drawings that the Batch Standards Checker can't locate. Drawings are audited in the order in which they are listed. To reorder drawings in the list, click Move Up or Move Down.

Add Standards File

Opens a standard file selection dialog box, where you can locate and select a drawing to audit.

Remove Drawing

Removes a drawing from the list displayed in Drawings to Check.

Move Up

Moves the currently selected drawing up one position in the list displayed in Drawings to Check.

Move Down

Moves a standards file down one position in the list displayed in Standards Used for Checking All Drawings.

Description

Provides summary information about the drawing file currently selected in Drawings to Check.

Check External References of Listed Drawings

Determines if external references (xrefs) are added to the Drawings to Check list. If checked, external references are added to the list as soon as you start a batch standards audit.

Standards Tab (Batch Standards Checker)

Allows you to specify what standards files are used to verify named objects during the batch standards audit.

Check Each Drawing Using Its Associated Standards Files

Specifies auditing each drawing using the standards files that are associated with it. If this option is selected, the remaining options on the tab are not available.

Check All Drawings Using the Following Standards Files

Specifies ignoring the standards files that are associated with individual drawings and using the ones you select in Standards Used for Checking All Drawings instead.

Standards Used for Checking All Drawings

Lists the standards files used to audit the drawings. To add a standards file, click Add Standards File. To remove a standards file, click Remove Standards File. If conflicts arise between multiple standards in this list (for example, if two standards files specify layers of the same name but with different properties), the standards file that is shown first in the list takes precedence. To change the position of a standards file in the list, select it and click Move Up or Move Down.

Add Standards File

Adds a standards file to the list displayed in Standards Used for Checking All Drawings.

Remove Standards File

Removes a standards file from the list displayed in Standards Used for Checking All Drawings.

Move Up

Moves a standards file up one position in the list displayed in Standards Used for Checking All Drawings.

Move Down

Moves a standards file down one position in the list displayed in Standards Used for Checking All Drawings.

Description

Provides summary information about the standards file currently selected in the list.

Plug-ins Tab (Batch Standards Checker)

Lists the standards plug-ins that are installed on the current system. A standards plug-in is installed for each of the named objects for which standards can be defined (layers, dimension styles, linetypes, and text styles). In the future, it is expected that third-party applications will be able to install additional plug-ins.

Plug-ins Used When Checking Standards

Displays a list of all the standards plug-ins on the current system. You specify at least one plug-in to use when auditing a drawing by selecting from the list. The selected plug-ins are used when checking standards for the entire series of drawings.

Description

Provides summary information about the plug-in currently selected in the list.

Notes Tab (Batch Standards Checker)

Allows you to add notes to the XML report.

Enter Notes to Include in Report

Allows you to enter additional notes for inclusion in the report.

Progress Tab (Batch Standards Checker)

Provides summary information about the status of the current batch standards audit.

Batch Standards Checker Toolbar

New | Creates a new standards check file with a .chx file name extension. Standards check files specify what drawings and standards files are used by the batch audit.
Open | Opens a standard file selection dialog box, where you can select a standards check file.
Save | Saves the current standards check file.
Save As | Opens a standard file save dialog box, where you can specify a name and location to save a standards check file.
Start Check | Begins a batch audit using the currently loaded standards check file. This button is available only when you have added drawings, associated a standards file, and selected at least one plug-in to use when checking for standards violations.
Stop Check | Stops a previously started batch audit operation. This button is available only if a batch audit is currently in progress.
View Report | Displays an HTML report summarizing the results of the batch audit. This button is available when a batch audit report is available for viewing. The contents of the report are included with the standards check file.
Export Report | Exports an HTML report that can be distributed to other users. This button is available only when a batch audit has been completed and a report is available to export. This button also allows you to optimize existing XML reports that were created with a previous version of the CAD Standards feature, in order to improve report printing quality.


SLIDELIB (Quick Reference)

Batch Standards Checker Window
SLIDELIB
Utilities > Utilities >
SLIDELIB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Compiles slide files listed in an ASCII file into a slide library file.

You can construct slide library (SLB) files from slide (SLD) files by using the SLIDELIB utility program supplied in the main program folder. The following operating system command prompt syntax constructs a slide library:

slidelib library [ < slidelist ]

where

library specifies the slide library file (extension .slb) into which the slide files (extension .sld) are added. slidelist specifies a list of slide files. If you want to specify a file extension, it must be .sld.

SLIDELIB reads a list of slide file names. This list is normally supplied by redirecting a list of files (one per line in another file created using a text editor or a user-supplied utility program) to standard input.

The operating system commands shown below will create a slidelist file that can be used with SLIDELIB. All the slide files you want to compile into a slide library should be placed in a single directory. At a DOS prompt (version 5.0 or newer), enter the following:

dir *.sld /b > mylist

This creates the mylist file, which you can pass to SLIDELIB. You can also create the mylist file with a text editor by listing the slide file names (and paths, if necessary), such as lobby, d:\slides\office, and \aec\slides\stairs. The slide file name, but not the drive and directory information, is saved in the library file. Because only the file name is included, a library can contain slides with the same name from different directories, but only one of the slides can be accessed.

To generate the slide library mlib from mylist, enter the following:

slidelib mlib < mylist

This entry creates the file mlib.slb, which contains the names and definitions of the slides listed in mylist.

WarningDo not delete your original slides. SLIDELIB has no provision for updating a slide library once it is created. If you want to add or delete a slide, update the slidelist file and re-create the library with SLIDELIB. All the original slides must be present in order to do this.


Edit PGP (Quick Reference)

EDGESURF
Edit PGP
ELEV
Commands > E commands >
Edit PGP
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Opens the Program Parameters (PGP) text file that defines command abbreviations

Ribbon: Tools tab [image] Customization panel [image] Edit PGP.Not available on the ribbon in the current workspace

Commands can have abbreviated names called command aliases that you can enter at the Command prompt. Command aliases are defined in the PGP file.

If you edit the PGP file while the program is running, enter REINIT to use the revised file. You can also restart program to reload the file automatically.


LSNEW (Quick Reference)

LSLIB
LSNEW
LTSCALE
Commands > L commands >
LSNEW
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Has no effect except to preserve the integrity of scripts.

Command entry: lsnew

Obsolete command.


LSLIB (Quick Reference)

LSEDIT
LSLIB
LSNEW
Commands > L commands >
LSLIB
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Has no effect except to preserve the integrity of scripts.

Command entry: lslib

Obsolete command.


LSEDIT (Quick Reference)

LOGFILEON
LSEDIT
LSLIB
Commands > L commands >
LSEDIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Has no effect except to preserve the integrity of scripts.

Command entry: lsedit

Obsolete command.


OSNAPHATCH (Quick Reference)

OSNAPCOORD
OSNAPHATCH
OSNAPNODELEGACY
System Variables > O System Variables >
OSNAPHATCH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Registry
Initial value: | 0

Obsolete

Use the OSOPTIONS system variable to control whether object snaps ignore hatch objects. The default setting, 0, improves performance

0 | Object snaps ignore hatch objects
1 | Object snaps treat hatch objects the same as other objects


3DDWFPUBLISH (Quick Reference)

3D DWF Publish Dialog Box
3DDWFPUBLISH
3DFACE
Commands > 3D commands >
3DDWFPUBLISH
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

Access Methods

Command entry: 3ddwfpublish

Summary

The Export 3D DWF dialog box (a standard file selection dialog box) is displayed.

Refer to the 3DDWF command.


3DSOUT (Quick Reference)

3D Studio File Import Options Dialog Box
3DSOUT
3DSWIVEL
Commands > 3D commands >
3DSOUT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference

Obsolete

For best results, it is recommended that you import DWG files into 3ds MAX instead.

Access Methods

Command entry: 3dsout


DIMUNIT (Quick Reference)

DIMTZIN
DIMUNIT
DIMUPT
System Variables > D System Variables >
DIMUNIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 2

Obsolete

Retained in the product to preserve the integrity of scripts. DIMUNIT is replaced by DIMLUNIT and DIMFRAC.


DIMSHO (Quick Reference)

DIMSE2
DIMSHO
DIMSOXD
System Variables > D System Variables >
DIMSHO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | On

Obsolete

Has no effect except to preserve the integrity of scripts.


DIMFIT (Quick Reference)

DIMEXO
DIMFIT
DIMFRAC
System Variables > D System Variables >
DIMFIT
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Integer
Saved in: | Drawing
Initial value: | 3

Obsolete, use DIMATFIT and DIMTMOVE instead.

DIMFIT is replaced by DIMATFIT and DIMTMOVE. However, if DIMFIT is set to 0 - 3, then DIMATFIT is also set to 0 - 3 and DIMTMOVE is set to 0. If DIMFIT is set to 4 or 5, then DIMATFIT is set to 3 and DIMTMOVE is set to 1 or 2 respectively.


DIMASO (Quick Reference)

DIMARCSYM
DIMASO
DIMASSOC
System Variables > D System Variables >
DIMASO
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Procedure Quick Reference
Type: | Switch
Saved in: | Drawing
Initial value: | On

Obsolete. Retained in the product to preserve the integrity of scripts. See DIMASSOC.


REPLAY (Quick Reference)

RENDSCR
REPLAY
RESETBLOCK
Commands > R commands >
REPLAY
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Concept Quick Reference

Obsolete

Command entry: replay

This command is obsolete.


Undocumented Command or System Variable (Quick Reference)

UNDO
Undocumented Command or System Variable
UNION
Commands > U commands >
Undocumented Command or System Variable
Expand All
Expand all collapsed sections.
Collapse All
Collapse all expanded sections.
Quick Reference

This command or system variable is not documented in the Help system for one of several reasons, including

  • It is obsolete, but included in the product to maintain legacy script compatibility
  • It was included for testing purposes and has limited or no functionality
  • It is a special case of a similar, documented command and is used in the menu or the ribbon only

Use Search to find additional information about the feature in which you are interested, and the documented commands and system variables associated with it.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!